diff -pruN 5.9.0+dfsg-3/bypy/sources.json 5.10.0+dfsg-1/bypy/sources.json
--- 5.9.0+dfsg-3/bypy/sources.json	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/bypy/sources.json	2021-01-22 02:26:39.000000000 +0000
@@ -771,6 +771,25 @@
     },
 
     {
+        "name": "texttable",
+		"comment": "needed for py7zr",
+        "unix": {
+            "filename": "texttable-1.6.3.tar.gz",
+            "hash": "sha256:ce0faf21aa77d806bbff22b107cc22cce68dc9438f97a2df32c93e9afa4ce436",
+            "urls": ["pypi"]
+        }
+    },
+
+    {
+        "name": "py7zr",
+        "unix": {
+            "filename": "py7zr-0.11.1.tar.gz",
+            "hash": "sha256:29a427f61c1be1907406fde59ae912dd7d44730771e58d643d5021f17fedba8e",
+            "urls": ["pypi"]
+        }
+    },
+
+    {
         "name": "zeroconf",
 		"python": 3,
         "unix": {
diff -pruN 5.9.0+dfsg-3/Changelog.txt 5.10.0+dfsg-1/Changelog.txt
--- 5.9.0+dfsg-3/Changelog.txt	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/Changelog.txt	2021-01-22 02:26:39.000000000 +0000
@@ -23,6 +23,58 @@
 # - title by author
 # }}}
 
+{{{ 5.10.0 2021-01-22
+
+:: new features
+
+- [1911888] Bulk metadata edit: Add a new control to compress the cover image files for all selected books
+
+- [1912212] Add support for the CB7 comic file file format
+
+- [1912070] E-book viewer: Allow adding a button to the selection bar that copies the
+  currently selected text along with a calibre:// URL to show the text in the book
+
+- Conversion: Insert metadata: Allow showing identifiers such as ISBN in the jacket page template
+
+- Conversion: Insert metadata: Allow hiding entries in the jacket template when they are not present in the metadata
+
+- [1912337] calibre-server --manage-users: Add a scriptable interface: calibre-server --manage-users -- help
+
+- [1912070] E-book viewer: Add keyboard shortcuts to copy the current location to the clipboard
+
+- [1912003] E-book viewer: Highlight all currently visible Table of Contents entries, not just the first
+
+- Add a new tweak under Preferences->Tweaks->Author sort name algorithm to optionally recognize
+  common surname prefixes such as von, van, de, etc. when generating sort names.
+
+:: bug fixes
+
+- [1911470] E-book viewer: Move read aloud pop-up bar to the bottom of the screen in flow mode
+
+- [1911218] E-book viewer: Fix scrolling with two fingers on touch pad on macOS not smooth
+
+- [1911466] PDF Output: When converting fixed layout input documents fix anchors inserted for navigation sometimes being rendered as blue boxes
+
+- [1904350] Edit book: Remove unused CSS: Fix selectors that don't match from CSS rules containing multiple selectors not being removed
+
+- Bulk metadata download: Fix series number not being changes if the series is the same as the existing series
+
+- E-book viewer: Fix a regression that caused non-HTML descriptions to not be displayed in the metadata page
+
+- E-book viewer: Fix clock being displayed in 24 hr format on some systems even though system locale is set to use 12 hr format.
+
+- Bulk metadata edit: Fix regression that inverted the meaning of the case sensitivity setting in the Search & replace tab
+
+- calibredb list: Fix incorrect output when redirecting to file
+
+:: improved recipes
+- Jacobin
+- Japan Times
+- The Wall Street Journal
+- Mediapart
+
+}}}
+
 {{{ 5.9.0 2021-01-08
 
 :: new features
@@ -37,7 +89,7 @@
 
 :: bug fixes
 
-- Fix a regression that caused the Content server to crash if a client closed a connection during a file transfer on macOS and Linux.
+- [1909880 1906152] Fix a regression that caused the Content server to crash if a client closed a connection during a file transfer on macOS and Linux.
 
 - [1909224] LRF Output: Fix conversion broken in calibre 5 when font size rescaling is active
 
diff -pruN 5.9.0+dfsg-3/debian/changelog 5.10.0+dfsg-1/debian/changelog
--- 5.9.0+dfsg-3/debian/changelog	2021-01-12 00:49:49.000000000 +0000
+++ 5.10.0+dfsg-1/debian/changelog	2021-01-22 09:04:49.000000000 +0000
@@ -1,3 +1,22 @@
+calibre (5.10.0+dfsg-1) unstable; urgency=medium
+
+  * New upstream version 5.10.0+dfsg
+  * Update patch queue
+  * Add py7zr to dependency list
+
+ -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 22 Jan 2021 18:04:49 +0900
+
+calibre (5.9.0+dfsg-4) unstable; urgency=medium
+
+  [ Norbert Preining ]
+  * Switch to sip-tools as B-D (Closes: #980224)
+
+  [ YOKOTA Hiroshi ]
+  * Close upstream-fixed bug report (Closes: #951426)
+    "calibre: Fails to input IDEOGRAPHIC SPACE (U+3000) character"
+
+ -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 18 Jan 2021 01:12:16 +0900
+
 calibre (5.9.0+dfsg-3) unstable; urgency=medium
 
   [ Norbert Preining ]
diff -pruN 5.9.0+dfsg-3/debian/control 5.10.0+dfsg-1/debian/control
--- 5.9.0+dfsg-3/debian/control	2021-01-12 00:47:48.000000000 +0000
+++ 5.10.0+dfsg-1/debian/control	2021-01-22 09:04:49.000000000 +0000
@@ -52,6 +52,7 @@ Build-Depends:
  python3-pil,
  python3-pkg-resources,
  python3-psutil,
+ python3-py7zr,
  python3-pygments,
  python3-pyparsing,
  python3-pyqt5,
@@ -68,7 +69,7 @@ Build-Depends:
  qtbase5-dev (>= 5.12),
  qtbase5-private-dev,
  qtchooser,
- sip5-tools,
+ sip-tools,
  xauth,
  xdg-utils,
  xvfb,
@@ -115,6 +116,7 @@ Depends: calibre-bin (>= ${source:Versio
  python3-netifaces,
  python3-pil,
  python3-pkg-resources,
+ python3-py7zr,
  python3-pygments,
  python3-pyparsing,
  python3-pyqt5 (>= ${pyqt:Version}),
diff -pruN 5.9.0+dfsg-3/debian/patches/0003-disable-unrar-test.patch 5.10.0+dfsg-1/debian/patches/0003-disable-unrar-test.patch
--- 5.9.0+dfsg-3/debian/patches/0003-disable-unrar-test.patch	2021-01-11 14:59:40.000000000 +0000
+++ 5.10.0+dfsg-1/debian/patches/0003-disable-unrar-test.patch	2021-01-22 06:35:52.000000000 +0000
@@ -10,7 +10,7 @@ disable unrar test since the module is n
  1 file changed, 5 insertions(+)
 
 diff --git a/src/calibre/test_build.py b/src/calibre/test_build.py
-index 21713cb..94920d9 100644
+index b37fb1b..bbb4e52 100644
 --- a/src/calibre/test_build.py
 +++ b/src/calibre/test_build.py
 @@ -17,6 +17,10 @@ from polyglot.builtins import iteritems, map, unicode_type, getenv
diff -pruN 5.9.0+dfsg-3/debian/patches/0004-Use-pyopenssl-instead-of-certgen.patch 5.10.0+dfsg-1/debian/patches/0004-Use-pyopenssl-instead-of-certgen.patch
--- 5.9.0+dfsg-3/debian/patches/0004-Use-pyopenssl-instead-of-certgen.patch	2021-01-11 14:59:40.000000000 +0000
+++ 5.10.0+dfsg-1/debian/patches/0004-Use-pyopenssl-instead-of-certgen.patch	2021-01-22 06:35:52.000000000 +0000
@@ -34,7 +34,7 @@ index bb215a0..474db76 100644
          "name": "html_syntax_highlighter",
          "sources": "calibre/gui2/tweak_book/editor/syntax/html.c"
 diff --git a/src/calibre/constants.py b/src/calibre/constants.py
-index d6edf36..678dd55 100644
+index a18945c..a03a3a2 100644
 --- a/src/calibre/constants.py
 +++ b/src/calibre/constants.py
 @@ -246,7 +246,6 @@ class ExtensionsImporter:
diff -pruN 5.9.0+dfsg-3/debian/patches/0005-Extend-timeout-limit.patch 5.10.0+dfsg-1/debian/patches/0005-Extend-timeout-limit.patch
--- 5.9.0+dfsg-3/debian/patches/0005-Extend-timeout-limit.patch	2021-01-11 14:59:40.000000000 +0000
+++ 5.10.0+dfsg-1/debian/patches/0005-Extend-timeout-limit.patch	2021-01-22 06:35:52.000000000 +0000
@@ -129,7 +129,7 @@ index c0547d9..dae78ef 100644
              service = b.services[0]
              self.ae(service.type, '_calibre._tcp.local.')
 diff --git a/src/calibre/test_build.py b/src/calibre/test_build.py
-index 94920d9..bcc8cf5 100644
+index bbb4e52..24712ef 100644
 --- a/src/calibre/test_build.py
 +++ b/src/calibre/test_build.py
 @@ -15,7 +15,7 @@ import os, ctypes, sys, unittest, time, shutil
diff -pruN 5.9.0+dfsg-3/debian/patches/0006-BTS-944875-html_writer.patch 5.10.0+dfsg-1/debian/patches/0006-BTS-944875-html_writer.patch
--- 5.9.0+dfsg-3/debian/patches/0006-BTS-944875-html_writer.patch	2021-01-11 14:59:40.000000000 +0000
+++ 5.10.0+dfsg-1/debian/patches/0006-BTS-944875-html_writer.patch	2021-01-22 06:35:52.000000000 +0000
@@ -20,7 +20,7 @@ Date:   Tue May 12 12:32:01 2020 +0200
  1 file changed, 4 insertions(+), 1 deletion(-)
 
 diff --git a/src/calibre/ebooks/pdf/html_writer.py b/src/calibre/ebooks/pdf/html_writer.py
-index 548f8d7..1397673 100644
+index 5f2470e..1b4e567 100644
 --- a/src/calibre/ebooks/pdf/html_writer.py
 +++ b/src/calibre/ebooks/pdf/html_writer.py
 @@ -273,7 +273,10 @@ class RenderManager(QObject):
diff -pruN 5.9.0+dfsg-3/debian/patches/0008-Don-t-change-book-file-unless-user-s-consent-Closes-.patch 5.10.0+dfsg-1/debian/patches/0008-Don-t-change-book-file-unless-user-s-consent-Closes-.patch
--- 5.9.0+dfsg-3/debian/patches/0008-Don-t-change-book-file-unless-user-s-consent-Closes-.patch	2021-01-11 14:59:40.000000000 +0000
+++ 5.10.0+dfsg-1/debian/patches/0008-Don-t-change-book-file-unless-user-s-consent-Closes-.patch	2021-01-22 06:35:52.000000000 +0000
@@ -19,10 +19,10 @@ for easy sharing".
  4 files changed, 4 insertions(+), 4 deletions(-)
 
 diff --git a/resources/viewer.js b/resources/viewer.js
-index 1e374d1..43f97a6 100644
+index 5b8b028..1efb7f6 100644
 --- a/resources/viewer.js
 +++ b/resources/viewer.js
-@@ -37971,7 +37971,7 @@ return this.__repr__();
+@@ -38047,7 +38047,7 @@ return this.__repr__();
              ρσ_d["remember_last_read"] = true;
              ρσ_d["show_actions_toolbar"] = false;
              ρσ_d["show_actions_toolbar_in_fullscreen"] = false;
diff -pruN 5.9.0+dfsg-3/debian/patches/0009-dont-use-python-crypto.patch 5.10.0+dfsg-1/debian/patches/0009-dont-use-python-crypto.patch
--- 5.9.0+dfsg-3/debian/patches/0009-dont-use-python-crypto.patch	2021-01-11 14:59:40.000000000 +0000
+++ 5.10.0+dfsg-1/debian/patches/0009-dont-use-python-crypto.patch	2021-01-22 06:35:52.000000000 +0000
@@ -11,7 +11,7 @@ remove the one trivial crypto loading te
  1 file changed, 4 deletions(-)
 
 diff --git a/src/calibre/test_build.py b/src/calibre/test_build.py
-index bcc8cf5..3af6e69 100644
+index 24712ef..864a5ae 100644
 --- a/src/calibre/test_build.py
 +++ b/src/calibre/test_build.py
 @@ -35,10 +35,6 @@ class BuildTest(unittest.TestCase):
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/calibre.1 5.10.0+dfsg-1/man-pages/ar/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/calibre.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/calibre.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/ar/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/calibre-customize.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/calibre-customize.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/calibredb.1 5.10.0+dfsg-1/man-pages/ar/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/calibredb.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/calibredb.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/ar/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/calibre-debug.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/calibre-debug.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/ar/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/calibre-server.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/calibre-server.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/ar/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/calibre-smtp.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/calibre-smtp.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/ar/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/ebook-convert.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/ebook-convert.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/ar/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/ebook-edit.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/ebook-edit.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/ar/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/ebook-meta.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/ebook-meta.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 قراءة/كتابة البيانات الوصفية من ملفات الكتب الالكترونية.
 .sp
-الصيغ المدعومة لقراءة البيانات الوصفية: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+الصيغ المدعومة لقراءة البيانات الوصفية: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 الصيغ المدعومة لكتابة البيانات الوصفية: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/ar/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/ebook-polish.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/ebook-polish.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/ar/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/ebook-viewer.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/ebook-viewer.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/ar/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/fetch-ebook-metadata.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/fetch-ebook-metadata.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/ar/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/lrf2lrs.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/lrf2lrs.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/ar/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/lrfviewer.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/lrfviewer.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/ar/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/lrs2lrf.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/lrs2lrf.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ar/man1/web2disk.1 5.10.0+dfsg-1/man-pages/ar/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/ar/man1/web2disk.1	2021-01-08 04:24:39.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ar/man1/web2disk.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "يناير 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "يناير 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/calibre.1 5.10.0+dfsg-1/man-pages/bg/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/calibre.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/calibre.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/bg/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/calibre-customize.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/calibre-customize.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/calibredb.1 5.10.0+dfsg-1/man-pages/bg/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/calibredb.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/calibredb.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/bg/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/calibre-debug.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/calibre-debug.1	2021-01-22 02:58:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/bg/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/calibre-server.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/calibre-server.1	2021-01-22 02:58:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/bg/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/calibre-smtp.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/calibre-smtp.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/bg/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/ebook-convert.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/ebook-convert.1	2021-01-22 02:58:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/bg/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/ebook-edit.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/ebook-edit.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/bg/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/ebook-meta.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/ebook-meta.1	2021-01-22 02:58:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/bg/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/ebook-polish.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/ebook-polish.1	2021-01-22 02:58:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/bg/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/ebook-viewer.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/ebook-viewer.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/bg/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/fetch-ebook-metadata.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/fetch-ebook-metadata.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/bg/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/lrf2lrs.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/lrf2lrs.1	2021-01-22 02:58:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/bg/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/lrfviewer.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/lrfviewer.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/bg/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/lrs2lrf.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/lrs2lrf.1	2021-01-22 02:58:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/bg/man1/web2disk.1 5.10.0+dfsg-1/man-pages/bg/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/bg/man1/web2disk.1	2021-01-08 04:24:36.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/bg/man1/web2disk.1	2021-01-22 02:58:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "януари 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "януари 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/calibre.1 5.10.0+dfsg-1/man-pages/ca/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/calibre.1	2021-01-08 04:25:22.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/calibre.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/ca/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/calibre-customize.1	2021-01-08 04:25:22.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/calibre-customize.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/calibredb.1 5.10.0+dfsg-1/man-pages/ca/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/calibredb.1	2021-01-08 04:25:22.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/calibredb.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/ca/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/calibre-debug.1	2021-01-08 04:25:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/calibre-debug.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/ca/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/calibre-server.1	2021-01-08 04:25:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/calibre-server.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Gestioneu la base de dades dels usuaris que poden connectar\-se a aquest servidor. Vegeu també l\fB\(aq\fPopció \fI\%\-\-userdb\fP\&.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/ca/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/calibre-smtp.1	2021-01-08 04:25:22.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/calibre-smtp.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/ca/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/ebook-convert.1	2021-01-08 04:25:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/ebook-convert.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/ca/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/ebook-edit.1	2021-01-08 04:25:22.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/ebook-edit.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/ca/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/ebook-meta.1	2021-01-08 04:25:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/ebook-meta.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [opcions]
 .sp
 Llegeix/escriu les metadades dels/cap als fitxers de llibre electrònic.
 .sp
-Formats implementats per llegir metadades: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Formats implementats per llegir metadades: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Formats implementats per escriure metadades: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/ca/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/ebook-polish.1	2021-01-08 04:25:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/ebook-polish.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/ca/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/ebook-viewer.1	2021-01-08 04:25:22.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/ebook-viewer.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/ca/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/fetch-ebook-metadata.1	2021-01-08 04:25:22.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/fetch-ebook-metadata.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/ca/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/lrf2lrs.1	2021-01-08 04:25:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/lrf2lrs.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/ca/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/lrfviewer.1	2021-01-08 04:25:22.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/lrfviewer.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/ca/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/lrs2lrf.1	2021-01-08 04:25:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/lrs2lrf.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ca/man1/web2disk.1 5.10.0+dfsg-1/man-pages/ca/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/ca/man1/web2disk.1	2021-01-08 04:25:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ca/man1/web2disk.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "de gener 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "de gener 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/calibre.1 5.10.0+dfsg-1/man-pages/cs/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/calibre.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/calibre.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/cs/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/calibre-customize.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/calibre-customize.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/calibredb.1 5.10.0+dfsg-1/man-pages/cs/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/calibredb.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/calibredb.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/cs/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/calibre-debug.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/calibre-debug.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/cs/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/calibre-server.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/calibre-server.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Cesta k souboru protokolu pro protokol s
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Spravovat databázi uživatelů, kteří mají povoleno připojovat se k tomuto serveru. Podívejte se také na volbu \fI\%\-\-userdb\fP\&.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/cs/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/calibre-smtp.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/calibre-smtp.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/cs/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/ebook-convert.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/ebook-convert.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/cs/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/ebook-edit.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/ebook-edit.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/cs/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/ebook-meta.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/ebook-meta.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Číst/Zapisovat metadata z/do souborů e\-knih.
 .sp
-Podporované formáty pro čtení metadat: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Podporované formáty pro čtení metadat: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Podporované formáty pro zápis metadat: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/cs/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/ebook-polish.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/ebook-polish.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/cs/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/ebook-viewer.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/ebook-viewer.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/cs/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/fetch-ebook-metadata.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/fetch-ebook-metadata.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/cs/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/lrf2lrs.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/lrf2lrs.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/cs/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/lrfviewer.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/lrfviewer.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/cs/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/lrs2lrf.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/lrs2lrf.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/cs/man1/web2disk.1 5.10.0+dfsg-1/man-pages/cs/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/cs/man1/web2disk.1	2021-01-08 04:24:56.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/cs/man1/web2disk.1	2021-01-22 02:59:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "ledna 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "ledna 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/calibre.1 5.10.0+dfsg-1/man-pages/da/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/da/man1/calibre.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/calibre.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
@@ -62,7 +62,7 @@ Detach from the controlling terminal, if
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -92,7 +92,7 @@ Ignoreret, brug den ikke. Kun til stede
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/da/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/da/man1/calibre-customize.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/calibre-customize.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
@@ -73,7 +73,7 @@ Aktiver det navngivne udvidelsesmodul
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -88,7 +88,7 @@ Fjern et tilpasset udvidelsesmodul efter
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/calibredb.1 5.10.0+dfsg-1/man-pages/da/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/da/man1/calibredb.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/calibredb.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
@@ -41,42 +41,41 @@ calibredb kommando [valgmuligheder] [arg
 .UNINDENT
 .UNINDENT
 .sp
-\fBcalibredb\fP is the command line interface to the calibre database. It has
-several sub\-commands, documented below.
+\fBcalibredb\fP er kommandolinjegrænsefladen til Calibres database. Den har
+flere underkommandoer, dokumenteret nedenfor.
 .sp
-\fBcalibredb\fP can be used to manipulate either a calibre database
-specified by path or a calibre Content server running either on
-the local machine or over the internet. You can start a calibre
-Content server using either the \fBcalibre\-server\fP
-program or in the main calibre program click Connect/share  → 
-Start Content server\&. Since \fBcalibredb\fP can make changes to your
-calibre libraries, you must setup authentication on the server first. There
-are two ways to do that:
+\fBcalibredb\fP kan bruges til at manipulere enten en Calibredatabase
+angivet ved sti eller en Indholdsserver for Calibre der afvikles enten på
+den lokale maskine eller over internettet. Du kan starte en
+Indholdsserver for Calirbe via enten programmet \fBcalibre\-server\fP
+eller i Calibres hovedprogram Connect/share  → 
+Start indholdsserver\&. Da \fBcalibredb\fP kan foretage ændringer i dine
+Calibrebiblioteket, skal du opsætte godkendelse på serveren først. Der
+er to måder at gøre dette på:
 .INDENT 0.0
 .INDENT 3.5
 .INDENT 0.0
 .IP \(bu 2
-If you plan to connect only to a server running on the same computer,
-you can simply use the \fB\-\-enable\-local\-write\fP option of the
-content server, to allow any program, including calibredb, running on
-the local computer to make changes to your calibre data. When running
-the server from the main calibre program, this option is in
-Preferences → Sharing over the net → Advanced\&.
+Hvis du plnalægger kun at forbinde til en server på den samme computer,
+kan du bare bruge tilvalget \fB\-\-enable\-local\-write\fP for
+indholdsserveren, så ethvert program, inklusive  calibredb, der afvikles på den
+lokale computer for at lave ændringer i dine Calibredata. Når serveren
+afvikles fra Calibres hovedprogram, er dette tilvalg i
+Præferencer → Deling over nettet → Avanceret\&.
 .IP \(bu 2
-If you want to enable access over the internet, then you should setup
-user accounts on the server and use the \fI\%\-\-username\fP and \fI\%\-\-password\fP
-options to \fBcalibredb\fP to give it access. You can setup
-user authentication for \fBcalibre\-server\fP by using the \fB\-\-enable\-auth\fP
-option and using \fB\-\-manage\-users\fP to create the user accounts.
-If you are running the server from the main calibre program, use
-Preferences → Sharing over the net → Require username/password\&.
+Hvis du ønsker at aktivere adgang over internettet, så skal du opsætte
+brugerkonti på serveren og bruge tilvalgene  \fI\%\-\-username\fP og \fI\%\-\-password\fP
+til \fBcalibredb\fP for at få adgang. Du kan opsætte
+brugergodkendelse for \fBcalibre\-server\fP ved at bruge tilvalget \fB\-\-enable\-auth\fP
+og bruge \fB\-\-manage\-users\fP til at oprette brugerkonti.
+Hvis du afvikler serveren fra Calibres hovedprogram, så brug
+Præferencer → Deling over nettet → Kræv brugernavn/adgangskode\&.
 .UNINDENT
 .UNINDENT
 .UNINDENT
 .sp
-To connect to a running Content server, pass the URL of the server to the
-\fI\%\-\-with\-library\fP option, see the documentation of that option for
-details and examples.
+For at forbinde til en aktiv indholdsserver sendes adressen for serveren til tilvalget
+\fI\%\-\-with\-library\fP, se dokumentationen for dette tilvalg for detaljer og eksempler.
 .INDENT 0.0
 .IP \(bu 2
 \fI\%GLOBAL OPTIONS\fP
@@ -104,7 +103,7 @@ details and examples.
 \fI\%catalog\fP
 .INDENT 2.0
 .IP \(bu 2
-\fI\%EPUB OPTIONS\fP
+\fI\%EPUB INDSTILLINGER\fP
 .UNINDENT
 .IP \(bu 2
 \fI\%saved_searches\fP
@@ -135,7 +134,7 @@ details and examples.
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -150,12 +149,12 @@ Password for connecting to a calibre Con
 .INDENT 0.0
 .TP
 .B \-\-username
-Username for connecting to a calibre Content server
+Brugernavn til forbindelsen med en Calibre\-indholdsserver
 .UNINDENT
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH LIST
 .INDENT 0.0
@@ -246,12 +245,12 @@ If books with similar titles and authors
 .INDENT 0.0
 .TP
 .B \-\-cover, \-c
-Sti til cover til brug for den tilføjede bog
+Sti til omslag til brug for den tilføjede bog
 .UNINDENT
 .INDENT 0.0
 .TP
 .B \-\-duplicates, \-d
-Add books to database even if they already exist. Comparison is done based on book titles and authors. Note that the \fI\%\-\-automerge\fP option takes precedence.
+Tilføj bøger til databasen selv om de allerede findes. Sammenligning udføres på bogtitler og forfattere. Bemærk at indstillingen \fI\%\-\-automerge\fP har forrang.
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -309,7 +308,7 @@ A filename (glob) pattern, files matchin
 .INDENT 0.0
 .TP
 .B \-\-one\-book\-per\-directory, \-1
-Formod at hver mappe kun har én enkelt logisk bog og at alle filer i den er forskellige e\-bogsformater af denne bog
+Formod at hver mappe kun har én enkelt logisk bog og at alle filer i den er forskellige e\-bogformater af denne bog
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -538,7 +537,7 @@ Filtrér resultatet med søgeforespørgs
 .B \-\-verbose, \-v
 Vis detaljeret output\-information. Anvendeligt ved fejlfinding
 .UNINDENT
-.SS EPUB OPTIONS
+.SS EPUB INDSTILLINGER
 .INDENT 0.0
 .TP
 .B \-\-catalog\-title
@@ -698,7 +697,7 @@ calibredb custom_columns [options]
 .UNINDENT
 .UNINDENT
 .sp
-List available custom columns. Shows column labels and ids.
+Vis tilgængelige tilpassede kolonner. Viser kolonneetiketter og id\(aqer.
 .sp
 Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"
 .INDENT 0.0
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/da/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/da/man1/calibre-debug.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/calibre-debug.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
@@ -68,7 +68,7 @@ Tilføj et simpelt udvidelsesmodul (dvs.
 .INDENT 0.0
 .TP
 .B \-\-command, \-c
-Run Python code.
+Afvikl Pythonkode.
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -93,7 +93,7 @@ Launch the calibre \fB"\fPEdit book\fB"\
 .INDENT 0.0
 .TP
 .B \-\-exec\-file, \-e
-Run the Python code in file.
+Afvikl Pythonkoden i fil.
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -108,7 +108,7 @@ Export all calibre data (books/settings/
 .INDENT 0.0
 .TP
 .B \-\-fix\-multiprocessing
-For internal use
+For intern brug
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -123,7 +123,7 @@ Kør den grafiske brugerflade med en fej
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -173,12 +173,12 @@ Test binære moduler i bygning
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
 .B \-\-viewer, \-w
-Run the E\-book viewer in debug mode
+Afvikl e\-bogfremviseren i fejlsøgningstilstand
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/da/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/da/man1/calibre-server.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/calibre-server.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -141,7 +141,7 @@ Zero copy file transfers for increased p
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -256,7 +256,7 @@ Path to the user database to use for aut
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/da/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/da/man1/calibre-smtp.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/calibre-smtp.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
@@ -62,7 +62,7 @@ Fork and deliver message in background.
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -87,7 +87,7 @@ Giv flere detaljer
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SS COMPOSE MAIL
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/da/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/da/man1/ebook-convert.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/ebook-convert.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
@@ -92,7 +92,7 @@ options specific to every input and outp
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -107,12 +107,12 @@ List builtin recipe names. You can creat
 .INDENT 0.0
 .TP
 .B \-\-output\-profile
-Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device (such as by resizing images for the device screen size). In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony\-landscape, sonyt3, tablet
+Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device (such as by resizing images for the device screen size). In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, generic_eink, generic_eink_large, generic_eink_hd, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony\-landscape, sonyt3, tablet
 .UNINDENT
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH INPUT VALGMULIGHEDER
 .sp
@@ -168,7 +168,7 @@ Normalt, hvis input\-filen ikke har et o
 .INDENT 0.0
 .TP
 .B \-\-no\-svg\-cover
-Anvend ikke SVG (Scalable Vector Graphics) til et e\-bogsomslag. Anvend denne valgmulighed hvis din EPUB skal anvendes til en enhed som ikke understøtter SVG, som f.eks. iPhone eller JetBook Lite. Uden dette fravalg vil disse enheder blot vise omslaget som en blank side.
+Anvend ikke SVG (Scalable Vector Graphics) til et e\-bogomslag. Anvend denne valgmulighed hvis din EPUB skal anvendes til en enhed som ikke understøtter SVG, som f.eks. iPhone eller JetBook Lite. Uden dette fravalg vil disse enheder blot vise omslaget som en blank side.
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -251,7 +251,7 @@ Set the height of the inserted blank lin
 .INDENT 0.0
 .TP
 .B \-\-keep\-ligatures
-Bevar evt. ligaturer i input\-dokumentet. En ligatur er en speciel skrivning af et par bogstaver såsom ff, fi, fl et cetera. De fleste e\-bogslæsere understøtter ikke ligaturer i deres standardskriftstyper og de vil derfor ikke vises korrekt. Som standard vil calibre translitterære en ligatur til korresponderende par af normale bogstaver. Dette valg bibeholde ligaturer.
+Bevar ligaturer i input\-dokumentet. En ligatur er en speciel skrivning af et par bogstaver såsom ff, fi, fl et cetera. De fleste e\-boglæsere understøtter ikke ligaturer i deres skriftstyper og de vil derfor ikke vises korrekt. Som standard vil Calibre omdanne en ligatur til korresponderende par af normale bogstaver. Dette valg bibeholde ligaturer.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/da/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/da/man1/ebook-edit.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/ebook-edit.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
@@ -54,12 +54,12 @@ Detach from the controlling terminal, if
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/da/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/da/man1/ebook-meta.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/ebook-meta.1	2021-01-22 02:59:21.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
@@ -101,7 +101,7 @@ Get the cover from the e\-book and save
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -166,7 +166,7 @@ Angiv navnet til en OPF\-fil. Metadataen
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/da/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/da/man1/ebook-polish.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/ebook-polish.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
@@ -78,7 +78,7 @@ Embed all fonts that are referenced in t
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -128,7 +128,7 @@ Produce more verbose output, useful for
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/da/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/da/man1/ebook-viewer.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/ebook-viewer.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
@@ -68,7 +68,7 @@ If specified, the E\-book viewer window
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -83,7 +83,7 @@ If specified, the E\-book viewer window
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/da/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/da/man1/fetch-ebook-metadata.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/fetch-ebook-metadata.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
@@ -64,7 +64,7 @@ Angiv et filnavn. Omslaget, hvis tilgæn
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -99,7 +99,7 @@ Vis loggen i konsollen (standardfejl)
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/da/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/da/man1/lrf2lrs.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/lrf2lrs.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
@@ -53,7 +53,7 @@ Undlad at gemme inkluderede billed\- og
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -68,7 +68,7 @@ Giv flere detaljer
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/da/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/da/man1/lrfviewer.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/lrfviewer.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
@@ -53,7 +53,7 @@ Deaktiver orddeling. Bør markant øge h
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -68,7 +68,7 @@ Udskriv yderligere information om optegn
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/da/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/da/man1/lrs2lrf.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/lrs2lrf.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
@@ -48,7 +48,7 @@ Whenever you pass arguments to \fBlrs2lr
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -68,7 +68,7 @@ Uddybende behandling
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/da/man1/web2disk.1 5.10.0+dfsg-1/man-pages/da/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/da/man1/web2disk.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/da/man1/web2disk.1	2021-01-22 02:59:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
@@ -73,7 +73,7 @@ Any link that matches this regular expre
 .INDENT 0.0
 .TP
 .B \-\-help, \-h
-show this help message and exit
+Vis denne hjælpetekst og afslut
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -103,7 +103,7 @@ Vis detaljeret output\-information. Anve
 .INDENT 0.0
 .TP
 .B \-\-version
-show program\fB\(aq\fPs version number and exit
+vis programmets version og afslut
 .UNINDENT
 .SH AUTHOR
 Kovid Goyal
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/calibre.1 5.10.0+dfsg-1/man-pages/de/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/de/man1/calibre.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/calibre.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/de/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/de/man1/calibre-customize.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/calibre-customize.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/calibredb.1 5.10.0+dfsg-1/man-pages/de/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/de/man1/calibredb.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/calibredb.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/de/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/de/man1/calibre-debug.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/calibre-debug.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/de/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/de/man1/calibre-server.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/calibre-server.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -160,7 +160,7 @@ Pfad zur Protokolldatei für das Serverp
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Datenbank der Benutzer verwalten, die Zugriff auf diesen Server haben. Beachten Sie auch die \fB\-\-userdb\-Option\fP\&.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/de/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/de/man1/calibre-smtp.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/calibre-smtp.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/de/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/de/man1/ebook-convert.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/ebook-convert.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/de/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/de/man1/ebook-edit.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/ebook-edit.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/de/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/de/man1/ebook-meta.1	2021-01-08 04:24:28.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/ebook-meta.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta eBook_Datei [Optionen]
 .sp
 Metadaten lesen/schreiben aus/in eBook\-Dateien
 .sp
-Unterstützte Formate zum Lesen von Metadaten: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Unterstützte Formate zum Lesen von Metadaten: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Unterstützte Formate zum Schreiben von Metadaten: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/de/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/de/man1/ebook-polish.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/ebook-polish.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/de/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/de/man1/ebook-viewer.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/ebook-viewer.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/de/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/de/man1/fetch-ebook-metadata.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/fetch-ebook-metadata.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/de/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/de/man1/lrf2lrs.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/lrf2lrs.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/de/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/de/man1/lrfviewer.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/lrfviewer.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/de/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/de/man1/lrs2lrf.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/lrs2lrf.1	2021-01-22 02:58:24.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/de/man1/web2disk.1 5.10.0+dfsg-1/man-pages/de/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/de/man1/web2disk.1	2021-01-08 04:24:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/de/man1/web2disk.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Januar 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "Januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/calibre.1 5.10.0+dfsg-1/man-pages/el/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/el/man1/calibre.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/calibre.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/el/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/el/man1/calibre-customize.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/calibre-customize.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/calibredb.1 5.10.0+dfsg-1/man-pages/el/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/el/man1/calibredb.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/calibredb.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/el/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/el/man1/calibre-debug.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/calibre-debug.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/el/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/el/man1/calibre-server.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/calibre-server.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/el/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/el/man1/calibre-smtp.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/calibre-smtp.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/el/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/el/man1/ebook-convert.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/ebook-convert.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/el/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/el/man1/ebook-edit.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/ebook-edit.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/el/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/el/man1/ebook-meta.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/ebook-meta.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Ανάγνωση/Εγγραφή μεταδεδομένων από/προς αρχεία ψηφιακών βιβλίων.
 .sp
-Υποστηριζόμενες μορφές για ανάγνωση μεταδεδομένων: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Υποστηριζόμενες μορφές για ανάγνωση μεταδεδομένων: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Υποστηριζόμενες μορφές για εγγραφή μεταδεδομένων: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/el/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/el/man1/ebook-polish.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/ebook-polish.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/el/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/el/man1/ebook-viewer.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/ebook-viewer.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/el/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/el/man1/fetch-ebook-metadata.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/fetch-ebook-metadata.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/el/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/el/man1/lrf2lrs.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/lrf2lrs.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/el/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/el/man1/lrfviewer.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/lrfviewer.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/el/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/el/man1/lrs2lrf.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/lrs2lrf.1	2021-01-22 02:57:54.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/el/man1/web2disk.1 5.10.0+dfsg-1/man-pages/el/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/el/man1/web2disk.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/el/man1/web2disk.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Ιανουαρίου 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "Ιανουαρίου 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/calibre.1 5.10.0+dfsg-1/man-pages/es/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/es/man1/calibre.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/calibre.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/es/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/es/man1/calibre-customize.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/calibre-customize.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/calibredb.1 5.10.0+dfsg-1/man-pages/es/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/es/man1/calibredb.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/calibredb.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/es/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/es/man1/calibre-debug.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/calibre-debug.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/es/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/es/man1/calibre-server.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/calibre-server.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -158,7 +158,7 @@ Ruta de acceso para el registro del serv
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Gestionar la base de datos de usuarios con permiso para conectar con este servidor. Véase también la opción \fI\%\-\-userdb\fP\&.
+Gestionar la base de datos de usuarios con permiso para conectar con este servidor. Puede usarlo en modo automático añadiendo \-\-. Véase calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help para más detalles. Véase también la opción \fI\%\-\-userdb\fP\&.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/es/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/es/man1/calibre-smtp.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/calibre-smtp.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/es/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/es/man1/ebook-convert.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/ebook-convert.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/es/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/es/man1/ebook-edit.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/ebook-edit.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/es/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/es/man1/ebook-meta.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/ebook-meta.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta archivo_de_libro [opciones]
 .sp
 Leer/escribir metadatos de/en archivos de libro electrónico.
 .sp
-Formatos soportados para leer metadatos: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Formatos soportados para leer metadatos: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Formatos soportados para escribir metadatos: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/es/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/es/man1/ebook-polish.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/ebook-polish.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/es/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/es/man1/ebook-viewer.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/ebook-viewer.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/es/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/es/man1/fetch-ebook-metadata.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/fetch-ebook-metadata.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/es/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/es/man1/lrf2lrs.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/lrf2lrs.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/es/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/es/man1/lrfviewer.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/lrfviewer.1	2021-01-22 02:58:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/es/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/es/man1/lrs2lrf.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/lrs2lrf.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/es/man1/web2disk.1 5.10.0+dfsg-1/man-pages/es/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/es/man1/web2disk.1	2021-01-08 04:25:10.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/es/man1/web2disk.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "enero 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "enero 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/calibre.1 5.10.0+dfsg-1/man-pages/et/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/et/man1/calibre.1	2021-01-08 04:24:04.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/calibre.1	2021-01-22 02:58:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/et/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/et/man1/calibre-customize.1	2021-01-08 04:24:04.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/calibre-customize.1	2021-01-22 02:58:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/calibredb.1 5.10.0+dfsg-1/man-pages/et/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/et/man1/calibredb.1	2021-01-08 04:24:04.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/calibredb.1	2021-01-22 02:58:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/et/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/et/man1/calibre-debug.1	2021-01-08 04:24:03.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/calibre-debug.1	2021-01-22 02:58:11.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/et/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/et/man1/calibre-server.1	2021-01-08 04:24:03.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/calibre-server.1	2021-01-22 02:58:11.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Rada serveri logifailini. See logi sisal
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/et/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/et/man1/calibre-smtp.1	2021-01-08 04:24:04.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/calibre-smtp.1	2021-01-22 02:58:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/et/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/et/man1/ebook-convert.1	2021-01-08 04:24:03.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/ebook-convert.1	2021-01-22 02:58:11.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/et/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/et/man1/ebook-edit.1	2021-01-08 04:24:04.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/ebook-edit.1	2021-01-22 02:58:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/et/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/et/man1/ebook-meta.1	2021-01-08 04:24:03.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/ebook-meta.1	2021-01-22 02:58:11.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/et/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/et/man1/ebook-polish.1	2021-01-08 04:24:03.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/ebook-polish.1	2021-01-22 02:58:11.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/et/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/et/man1/ebook-viewer.1	2021-01-08 04:24:04.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/ebook-viewer.1	2021-01-22 02:58:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/et/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/et/man1/fetch-ebook-metadata.1	2021-01-08 04:24:04.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/fetch-ebook-metadata.1	2021-01-22 02:58:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/et/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/et/man1/lrf2lrs.1	2021-01-08 04:24:03.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/lrf2lrs.1	2021-01-22 02:58:11.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/et/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/et/man1/lrfviewer.1	2021-01-08 04:24:04.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/lrfviewer.1	2021-01-22 02:58:12.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/et/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/et/man1/lrs2lrf.1	2021-01-08 04:24:03.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/lrs2lrf.1	2021-01-22 02:58:11.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/et/man1/web2disk.1 5.10.0+dfsg-1/man-pages/et/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/et/man1/web2disk.1	2021-01-08 04:24:03.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/et/man1/web2disk.1	2021-01-22 02:58:11.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "jaanuar 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "jaanuar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/calibre.1 5.10.0+dfsg-1/man-pages/eu/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/calibre.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/calibre.1	2021-01-22 02:58:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/eu/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/calibre-customize.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/calibre-customize.1	2021-01-22 02:58:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/calibredb.1 5.10.0+dfsg-1/man-pages/eu/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/calibredb.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/calibredb.1	2021-01-22 02:58:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/eu/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/calibre-debug.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/calibre-debug.1	2021-01-22 02:58:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/eu/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/calibre-server.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/calibre-server.1	2021-01-22 02:58:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/eu/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/calibre-smtp.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/calibre-smtp.1	2021-01-22 02:58:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/eu/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/ebook-convert.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/ebook-convert.1	2021-01-22 02:58:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/eu/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/ebook-edit.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/ebook-edit.1	2021-01-22 02:58:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/eu/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/ebook-meta.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/ebook-meta.1	2021-01-22 02:58:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/eu/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/ebook-polish.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/ebook-polish.1	2021-01-22 02:58:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/eu/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/ebook-viewer.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/ebook-viewer.1	2021-01-22 02:58:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/eu/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/fetch-ebook-metadata.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/fetch-ebook-metadata.1	2021-01-22 02:58:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/eu/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/lrf2lrs.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/lrf2lrs.1	2021-01-22 02:58:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/eu/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/lrfviewer.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/lrfviewer.1	2021-01-22 02:58:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/eu/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/lrs2lrf.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/lrs2lrf.1	2021-01-22 02:58:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/eu/man1/web2disk.1 5.10.0+dfsg-1/man-pages/eu/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/eu/man1/web2disk.1	2021-01-08 04:25:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/eu/man1/web2disk.1	2021-01-22 02:58:34.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "urtarrilak 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "urtarrilak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/calibre.1 5.10.0+dfsg-1/man-pages/fa/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/calibre.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/calibre.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/fa/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/calibre-customize.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/calibre-customize.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/calibredb.1 5.10.0+dfsg-1/man-pages/fa/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/calibredb.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/calibredb.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/fa/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/calibre-debug.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/calibre-debug.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/fa/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/calibre-server.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/calibre-server.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/fa/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/calibre-smtp.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/calibre-smtp.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/fa/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/ebook-convert.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/ebook-convert.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/fa/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/ebook-edit.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/ebook-edit.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/fa/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/ebook-meta.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/ebook-meta.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/fa/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/ebook-polish.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/ebook-polish.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/fa/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/ebook-viewer.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/ebook-viewer.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/fa/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/fetch-ebook-metadata.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/fetch-ebook-metadata.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/fa/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/lrf2lrs.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/lrf2lrs.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/fa/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/lrfviewer.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/lrfviewer.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/fa/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/lrs2lrf.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/lrs2lrf.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fa/man1/web2disk.1 5.10.0+dfsg-1/man-pages/fa/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/fa/man1/web2disk.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fa/man1/web2disk.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "ژانویهٔ 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "ژانویهٔ 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/calibre.1 5.10.0+dfsg-1/man-pages/fi/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/calibre.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/calibre.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/fi/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/calibre-customize.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/calibre-customize.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/calibredb.1 5.10.0+dfsg-1/man-pages/fi/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/calibredb.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/calibredb.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/fi/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/calibre-debug.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/calibre-debug.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/fi/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/calibre-server.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/calibre-server.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/fi/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/calibre-smtp.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/calibre-smtp.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/fi/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/ebook-convert.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/ebook-convert.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/fi/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/ebook-edit.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/ebook-edit.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/fi/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/ebook-meta.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/ebook-meta.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ekirja\-tiedosto [vaihtoehdo
 .sp
 Lue/Kirjoita metatietoja ekirjoista/\-hin.
 .sp
-Tuetut formaatit metatietojen lukemiseen: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Tuetut formaatit metatietojen lukemiseen: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Tuetut formaatit metatietojen kirjoittamiseen: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/fi/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/ebook-polish.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/ebook-polish.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/fi/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/ebook-viewer.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/ebook-viewer.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/fi/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/fetch-ebook-metadata.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/fetch-ebook-metadata.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/fi/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/lrf2lrs.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/lrf2lrs.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/fi/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/lrfviewer.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/lrfviewer.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/fi/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/lrs2lrf.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/lrs2lrf.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fi/man1/web2disk.1 5.10.0+dfsg-1/man-pages/fi/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/fi/man1/web2disk.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fi/man1/web2disk.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "tammikuuta 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "tammikuuta 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/calibre.1 5.10.0+dfsg-1/man-pages/fr/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/calibre.1	2021-01-08 04:24:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/calibre.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/fr/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/calibre-customize.1	2021-01-08 04:24:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/calibre-customize.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/calibredb.1 5.10.0+dfsg-1/man-pages/fr/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/calibredb.1	2021-01-08 04:24:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/calibredb.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/fr/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/calibre-debug.1	2021-01-08 04:24:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/calibre-debug.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/fr/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/calibre-server.1	2021-01-08 04:24:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/calibre-server.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Chemin vers le fichier journal pour le j
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Gérer la base de données des utilisateurs autorisés à se connecter à ce serveur. Voir aussi l\fB\(aq\fPoption \fI\%\-\-userdb\fP\&.
+Gérer la base de données des utilisateurs autorisés à se connecter à ce serveur. Vous pouvez l\fB\(aq\fPutiliser en mode automatique en ajoutant un \-\-. Voir calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help pour plus de détails. Voir aussi l\fB\(aq\fPoption \fI\%\-\-userdb\fP\&.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/fr/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/calibre-smtp.1	2021-01-08 04:24:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/calibre-smtp.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/fr/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/ebook-convert.1	2021-01-08 04:24:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/ebook-convert.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/fr/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/ebook-edit.1	2021-01-08 04:24:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/ebook-edit.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/fr/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/ebook-meta.1	2021-01-08 04:24:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/ebook-meta.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Lire/Écrire des métadonnées de/vers des fichiers de livre numérique.
 .sp
-Formats pris en charge pour la lecture des métadonnées: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Formats pris en charge pour la lecture des métadonnées: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Formats pris en charge pour l’écriture des métadonnées:  azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/fr/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/ebook-polish.1	2021-01-08 04:24:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/ebook-polish.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/fr/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/ebook-viewer.1	2021-01-08 04:24:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/ebook-viewer.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/fr/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/fetch-ebook-metadata.1	2021-01-08 04:24:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/fetch-ebook-metadata.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/fr/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/lrf2lrs.1	2021-01-08 04:24:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/lrf2lrs.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/fr/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/lrfviewer.1	2021-01-08 04:24:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/lrfviewer.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/fr/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/lrs2lrf.1	2021-01-08 04:24:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/lrs2lrf.1	2021-01-22 02:59:06.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/fr/man1/web2disk.1 5.10.0+dfsg-1/man-pages/fr/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/fr/man1/web2disk.1	2021-01-08 04:24:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/fr/man1/web2disk.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "janvier 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "janvier 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/calibre.1 5.10.0+dfsg-1/man-pages/gl/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/calibre.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/calibre.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/gl/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/calibre-customize.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/calibre-customize.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/calibredb.1 5.10.0+dfsg-1/man-pages/gl/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/calibredb.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/calibredb.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/gl/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/calibre-debug.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/calibre-debug.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/gl/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/calibre-server.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/calibre-server.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/gl/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/calibre-smtp.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/calibre-smtp.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/gl/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/ebook-convert.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/ebook-convert.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/gl/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/ebook-edit.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/ebook-edit.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/gl/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/ebook-meta.1	2021-01-08 04:24:16.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/ebook-meta.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/gl/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/ebook-polish.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/ebook-polish.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/gl/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/ebook-viewer.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/ebook-viewer.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/gl/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/fetch-ebook-metadata.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/fetch-ebook-metadata.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/gl/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/lrf2lrs.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/lrf2lrs.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/gl/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/lrfviewer.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/lrfviewer.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/gl/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/lrs2lrf.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/lrs2lrf.1	2021-01-22 02:59:05.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/gl/man1/web2disk.1 5.10.0+dfsg-1/man-pages/gl/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/gl/man1/web2disk.1	2021-01-08 04:24:17.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/gl/man1/web2disk.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "xaneiro 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "xaneiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/calibre.1 5.10.0+dfsg-1/man-pages/he/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/he/man1/calibre.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/calibre.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/he/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/he/man1/calibre-customize.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/calibre-customize.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/calibredb.1 5.10.0+dfsg-1/man-pages/he/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/he/man1/calibredb.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/calibredb.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/he/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/he/man1/calibre-debug.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/calibre-debug.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/he/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/he/man1/calibre-server.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/calibre-server.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/he/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/he/man1/calibre-smtp.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/calibre-smtp.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/he/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/he/man1/ebook-convert.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/ebook-convert.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/he/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/he/man1/ebook-edit.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/ebook-edit.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/he/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/he/man1/ebook-meta.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/ebook-meta.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/he/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/he/man1/ebook-polish.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/ebook-polish.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/he/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/he/man1/ebook-viewer.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/ebook-viewer.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/he/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/he/man1/fetch-ebook-metadata.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/fetch-ebook-metadata.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/he/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/he/man1/lrf2lrs.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/lrf2lrs.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/he/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/he/man1/lrfviewer.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/lrfviewer.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/he/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/he/man1/lrs2lrf.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/lrs2lrf.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/he/man1/web2disk.1 5.10.0+dfsg-1/man-pages/he/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/he/man1/web2disk.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/he/man1/web2disk.1	2021-01-22 02:58:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "ינואר 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "ינואר 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/calibre.1 5.10.0+dfsg-1/man-pages/hr/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/calibre.1	2021-01-08 04:25:15.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/calibre.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/hr/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/calibre-customize.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/calibre-customize.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/calibredb.1 5.10.0+dfsg-1/man-pages/hr/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/calibredb.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/calibredb.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/hr/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/calibre-debug.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/calibre-debug.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/hr/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/calibre-server.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/calibre-server.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/hr/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/calibre-smtp.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/calibre-smtp.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/hr/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/ebook-convert.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/ebook-convert.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/hr/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/ebook-edit.1	2021-01-08 04:25:15.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/ebook-edit.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/hr/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/ebook-meta.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/ebook-meta.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/hr/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/ebook-polish.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/ebook-polish.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/hr/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/ebook-viewer.1	2021-01-08 04:25:15.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/ebook-viewer.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/hr/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/fetch-ebook-metadata.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/fetch-ebook-metadata.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/hr/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/lrf2lrs.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/lrf2lrs.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/hr/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/lrfviewer.1	2021-01-08 04:25:15.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/lrfviewer.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/hr/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/lrs2lrf.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/lrs2lrf.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hr/man1/web2disk.1 5.10.0+dfsg-1/man-pages/hr/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/hr/man1/web2disk.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hr/man1/web2disk.1	2021-01-22 02:58:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "siječnja 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "siječnja 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/calibre.1 5.10.0+dfsg-1/man-pages/hu/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/calibre.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/calibre.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/hu/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/calibre-customize.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/calibre-customize.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/calibredb.1 5.10.0+dfsg-1/man-pages/hu/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/calibredb.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/calibredb.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/hu/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/calibre-debug.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/calibre-debug.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/hu/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/calibre-server.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/calibre-server.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/hu/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/calibre-smtp.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/calibre-smtp.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/hu/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/ebook-convert.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/ebook-convert.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/hu/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/ebook-edit.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/ebook-edit.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/hu/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/ebook-meta.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/ebook-meta.1	2021-01-22 02:58:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/hu/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/ebook-polish.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/ebook-polish.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/hu/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/ebook-viewer.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/ebook-viewer.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/hu/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/fetch-ebook-metadata.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/fetch-ebook-metadata.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/hu/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/lrf2lrs.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/lrf2lrs.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/hu/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/lrfviewer.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/lrfviewer.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/hu/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/lrs2lrf.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/lrs2lrf.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/hu/man1/web2disk.1 5.10.0+dfsg-1/man-pages/hu/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/hu/man1/web2disk.1	2021-01-08 04:24:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/hu/man1/web2disk.1	2021-01-22 02:58:26.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "január 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "január 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/calibre.1 5.10.0+dfsg-1/man-pages/id/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/id/man1/calibre.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/calibre.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/id/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/id/man1/calibre-customize.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/calibre-customize.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/calibredb.1 5.10.0+dfsg-1/man-pages/id/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/id/man1/calibredb.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/calibredb.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/id/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/id/man1/calibre-debug.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/calibre-debug.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/id/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/id/man1/calibre-server.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/calibre-server.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/id/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/id/man1/calibre-smtp.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/calibre-smtp.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/id/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/id/man1/ebook-convert.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/ebook-convert.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/id/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/id/man1/ebook-edit.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/ebook-edit.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/id/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/id/man1/ebook-meta.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/ebook-meta.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta berkas_ebook [opsi]
 .sp
 Membaca/menulis metadata dari/ke berkas e\-book.
 .sp
-Format yang didukung untuk membaca metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Format yang didukung untuk membaca metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Format yang didukung untuk menulis metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/id/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/id/man1/ebook-polish.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/ebook-polish.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/id/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/id/man1/ebook-viewer.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/ebook-viewer.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/id/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/id/man1/fetch-ebook-metadata.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/fetch-ebook-metadata.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/id/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/id/man1/lrf2lrs.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/lrf2lrs.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/id/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/id/man1/lrfviewer.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/lrfviewer.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/id/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/id/man1/lrs2lrf.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/lrs2lrf.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/id/man1/web2disk.1 5.10.0+dfsg-1/man-pages/id/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/id/man1/web2disk.1	2021-01-08 04:25:26.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/id/man1/web2disk.1	2021-01-22 02:59:23.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/calibre.1 5.10.0+dfsg-1/man-pages/is/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/is/man1/calibre.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/calibre.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/is/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/is/man1/calibre-customize.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/calibre-customize.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/calibredb.1 5.10.0+dfsg-1/man-pages/is/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/is/man1/calibredb.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/calibredb.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/is/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/is/man1/calibre-debug.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/calibre-debug.1	2021-01-22 02:59:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/is/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/is/man1/calibre-server.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/calibre-server.1	2021-01-22 02:59:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/is/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/is/man1/calibre-smtp.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/calibre-smtp.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/is/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/is/man1/ebook-convert.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/ebook-convert.1	2021-01-22 02:59:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/is/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/is/man1/ebook-edit.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/ebook-edit.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/is/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/is/man1/ebook-meta.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/ebook-meta.1	2021-01-22 02:59:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/is/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/is/man1/ebook-polish.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/ebook-polish.1	2021-01-22 02:59:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/is/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/is/man1/ebook-viewer.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/ebook-viewer.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/is/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/is/man1/fetch-ebook-metadata.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/fetch-ebook-metadata.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/is/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/is/man1/lrf2lrs.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/lrf2lrs.1	2021-01-22 02:59:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/is/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/is/man1/lrfviewer.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/lrfviewer.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/is/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/is/man1/lrs2lrf.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/lrs2lrf.1	2021-01-22 02:59:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/is/man1/web2disk.1 5.10.0+dfsg-1/man-pages/is/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/is/man1/web2disk.1	2021-01-08 04:25:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/is/man1/web2disk.1	2021-01-22 02:59:15.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "janúar 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "janúar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/calibre.1 5.10.0+dfsg-1/man-pages/it/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/it/man1/calibre.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/calibre.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/it/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/it/man1/calibre-customize.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/calibre-customize.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/calibredb.1 5.10.0+dfsg-1/man-pages/it/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/it/man1/calibredb.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/calibredb.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/it/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/it/man1/calibre-debug.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/calibre-debug.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/it/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/it/man1/calibre-server.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/calibre-server.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Gestisci il database degli utenti abilitati a collegarsi con questo server. Controlla anche le opzioni di \fI\%\-\-userdb\fP\&.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/it/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/it/man1/calibre-smtp.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/calibre-smtp.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/it/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/it/man1/ebook-convert.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/ebook-convert.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/it/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/it/man1/ebook-edit.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/ebook-edit.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/it/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/it/man1/ebook-meta.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/ebook-meta.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [opzioni]
 .sp
 Leggi/Scrivi metadata da/su file e\-book.
 .sp
-Formati supportati per la lettura dei metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Formati supportati per la lettura dei metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Formati supportati per la scrittura dei metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/it/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/it/man1/ebook-polish.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/ebook-polish.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/it/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/it/man1/ebook-viewer.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/ebook-viewer.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/it/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/it/man1/fetch-ebook-metadata.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/fetch-ebook-metadata.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/it/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/it/man1/lrf2lrs.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/lrf2lrs.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/it/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/it/man1/lrfviewer.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/lrfviewer.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/it/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/it/man1/lrs2lrf.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/lrs2lrf.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/it/man1/web2disk.1 5.10.0+dfsg-1/man-pages/it/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/it/man1/web2disk.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/it/man1/web2disk.1	2021-01-22 02:58:22.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "gennaio 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "gennaio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/calibre.1 5.10.0+dfsg-1/man-pages/ja/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/calibre.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/calibre.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/ja/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/calibre-customize.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/calibre-customize.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/calibredb.1 5.10.0+dfsg-1/man-pages/ja/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/calibredb.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/calibredb.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
@@ -250,7 +250,7 @@ 追加する本の表紙をパスで指
 .INDENT 0.0
 .TP
 .B \-\-duplicates, \-d
-Add books to database even if they already exist. Comparison is done based on book titles and authors. Note that the \fI\%\-\-automerge\fP option takes precedence.
+本がすでにデータベースに存在する場合でも追加します。本のタイトルと著者に基づいて比較します。\fI\%\-\-automerge\fP オプションが優先します。
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -613,7 +613,7 @@ Descriptionヘッダに挿入するノ
 .INDENT 0.0
 .TP
 .B \-\-merge\-comments\-rule
-#<custom field>:[before|after]:[True|False] specifying:  <custom field> Custom field containing notes to merge with comments  [before|after] Placement of notes with respect to comments  [True|False] \- A horizontal rule is inserted between notes and comments Default: \fB\(aq\fP::\fB\(aq\fP Applies to: AZW3, EPUB, MOBI output formats
+#<custom field>:[before|after]:[True|False] の形式で指定。 <custom field> コメントにマージするノートを含むカスタムフィールド [before|after] コメントに関するノートの位置 [True|False] ノートとコメントの間に水平線を挿入するかどうか デフォルト: \fB\(aq\fP::\fB\(aq\fP 適用: AZW3, EPUB, MOBI出力形式
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -824,8 +824,7 @@ calibredb list_categories [options]
 .UNINDENT
 .UNINDENT
 .sp
-Produce a report of the category information in the database. The
-information is the equivalent of what is shown in the Tag browser.
+データベース中のカテゴリ情報のレポートを作成します。情報はタグブラウザに表示されるものと同等です。
 .sp
 スペースを含む引数を calibredb に渡す場合には、クォーテーションマークでくくってください。例: "/some path/with spaces"
 .INDENT 0.0
@@ -891,11 +890,12 @@ calibredb clone path/to/new/library
 .UNINDENT
 .UNINDENT
 .sp
-Create a \fBclone\fP of the current library. This creates a new, empty library that has all the
-same custom columns, Virtual libraries and other settings as the current library.
+現在のライブラリの複製を作成します。現在のライブラリと
+列、仮想ライブラリ、その他の設定が同じである、新しい空の
+ライブラリが作成されます。
 .sp
-The cloned library will contain no books. If you want to create a full duplicate, including
-all books, then simply use your filesystem tools to copy the library folder.
+複製されたライブラリに本は含まれません。すべての本を含む複製を
+作成したい場合には、単にライブラリのフォルダをコピーしてください。
 .sp
 スペースを含む引数を calibredb に渡す場合には、クォーテーションマークでくくってください。例: "/some path/with spaces"
 .SH EMBED_METADATA
@@ -939,12 +939,7 @@ calibredb search [options] search expres
 .UNINDENT
 .UNINDENT
 .sp
-Search the library for the specified \fBsearch\fP term, returning a comma separated
-list of book ids matching the \fBsearch\fP expression. The output format is useful
-to feed into other commands that accept a list of ids as input.
-.sp
-The \fBsearch\fP expression can be anything from calibre\(aqs powerful \fBsearch\fP query
-language, for example: calibredb \fBsearch\fP author:asimov \(aqtitle:"i robot"\(aq
+検索条件を指定してライブラリを検索し、結果を本のIDのカンマ区切りリストで返します。出力された結果は、本のIDを引数にとる他のコマンドの入力として使用するのに便利です。以下のようにCalibreの強力な検索用言語が使用できます。例: calibredb \fBsearch\fP author:asimov \(aqtitle:"i robot"\(aq
 .sp
 スペースを含む引数を calibredb に渡す場合には、クォーテーションマークでくくってください。例: "/some path/with spaces"
 .INDENT 0.0
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/ja/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/calibre-debug.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/calibre-debug.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
@@ -41,22 +41,21 @@ calibre\-debug [options]
 .UNINDENT
 .UNINDENT
 .sp
-Various command line interfaces useful for debugging calibre. With no options,
-this command starts an embedded Python interpreter. You can also run the main
-calibre GUI, the calibre E\-book viewer and the calibre editor in debug mode.
-.sp
-It also contains interfaces to various bits of calibre that do not have
-dedicated command line tools, such as font subsetting, the E\-book diff tool and so
-on.
+Calibre デバッグ用に有用なコマンドラインインタフェイス。
+オプションなしで実行すると内蔵のPythonインタプリタを起動します。
+ここからCalibreのGUI、ビューア、エディタをデバッグモードで起動できます。
 .sp
-You can also use \fBcalibre\-debug\fP to run standalone scripts. To do that use it like this:
+また、フォントのサブセットや電子書籍の差分比較ツールなど、コマンドラインツールにない
+ちょっとしたインターフェイスが含まれています。
+.sp
+スタンドアロンスクリプトを実行するには、\fBcalibre\-debug\fP を使用します。使い方はこちら:
 .INDENT 0.0
 .INDENT 3.5
 \fBcalibre\-debug\fP myscript.py \fB\-\-\fP \fB\-\-option1\fP \fB\-\-option2\fP file1 file2 ...
 .UNINDENT
 .UNINDENT
 .sp
-Everything after the \fB\-\-\fP is passed to the script.
+”\-\-” の後に付けるとスクリプトに渡します。
 .sp
 スペースを含む引数を \fBcalibre\-debug\fP に渡す場合には、クォーテーションマークでくくってください。例: "/some path/with spaces"
 .SH [オプション]
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/ja/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/calibre-server.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/calibre-server.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -151,7 +151,7 @@ 無視するユーザ定義書誌情報
 .INDENT 0.0
 .TP
 .B \-\-listen\-on
-接続を待ち受けするインタフェース.   The default is to listen on all available IPv4 interfaces. You can change this to, for example, \fB"\fP127.0.0.1\fB"\fP to only listen for connections from the local machine, or to \fB"\fP::\fB"\fP to listen to all incoming IPv6 and IPv4 connections.
+接続を待ち受けするインタフェース.   デフォルトでは、すべての利用可能なインタフェースで待ち受けします。これをたとえば \fB"\fP127.0.0.1\fB"\fP に変更するとローカルマシンからの接続に限定し、\fB"\fP::\fB"\fP に変更するとIPv6とIPv4の接続を待ち受けします。
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -161,7 +161,7 @@ サーバログファイルへのpath。
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-サーバーに接続するユーザのデータベースを管理。オプション \fI\%\-\-userdb\fP も確認してください。
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/ja/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/calibre-smtp.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/calibre-smtp.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/ja/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/ebook-convert.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/ebook-convert.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
@@ -187,7 +187,7 @@ 出力の外観を調整するための
 .INDENT 0.0
 .TP
 .B \-\-asciiize
-Transliterate Unicode characters to an ASCII representation. Use with care because this will replace Unicode characters with ASCII. For instance it will replace \fB"\fPМихаил Горбачёв\fB"\fP with \fB"\fPMikhail Gorbachiov\fB"\fP\&. Also, note that in cases where there are multiple representations of a character (characters shared by Chinese and Japanese for instance) the representation based on the current calibre interface language will be used.
+Unicode文字をASCII表記に変換します。これはUnicode文字をASCIIに変換するため注意して使ってください。例えば\fB"\fPMikhail Gorbachiov\fB"\fPは\fB"\fPМихаил Горбачёв\fB"\fPに変換されます。それと、文字に複数の表記がある場合（例えば中国語と日本語で共有されている文字）、表記は現在のCalibreのインタフェース言語が使われます。
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/ja/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/ebook-edit.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/ebook-edit.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
@@ -41,8 +41,9 @@ ebook\-edit [opts] [path_to_ebook] [name
 .UNINDENT
 .UNINDENT
 .sp
-Launch the calibre Edit book tool. You can optionally also specify the names of
-files inside the book which will be opened for editing automatically.
+Calibreの書籍編集ツールを起動します。
+オプションで、本の内部のファイルを指定して、編集のため自動的に
+開かれるようにすることができます。
 .sp
 スペースを含む引数を \fBebook\-edit\fP に渡す場合には、クォーテーションマークでくくってください。例: "/some path/with spaces"
 .SH [オプション]
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/ja/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/ebook-meta.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/ebook-meta.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 電子書籍ファイルの書誌情報を読み書きします。
 .sp
-書誌情報を読めるフォーマット: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+書誌情報を読めるフォーマット: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 書誌情報を書けるフォーマット: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/ja/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/ebook-polish.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/ebook-polish.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
@@ -98,7 +98,7 @@ Remove soft hyphens from all text in the
 .INDENT 0.0
 .TP
 .B \-\-remove\-unused\-css, \-u
-Remove all unused CSS rules from stylesheets and <style> tags. Some books created from production templates can have a large number of extra CSS rules that don\fB\(aq\fPt match any actual content. These extra rules can slow down readers that need to parse them all.
+使用されていないCSSルールをスタイルシートと<style> tags.タグから削除します。テンプレートから作成された本のような場合、使われていないCSSルールが大量にあることがあります。そのような不要なルールは、すべてパースする必要があるため、リーダの動作を遅くする場合があります。
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/ja/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/ebook-viewer.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/ebook-viewer.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
@@ -63,7 +63,7 @@ Force reload of all opened books
 .INDENT 0.0
 .TP
 .B \-\-full\-screen, \-\-fullscreen, \-f
-If specified, the E\-book viewer window will try to open full screen when started.
+指定した場合は、ビューアーウィンドウは起動時に全画面表示しようとします。
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -78,7 +78,7 @@ The position at which to open the specif
 .INDENT 0.0
 .TP
 .B \-\-raise\-window
-If specified, the E\-book viewer window will try to come to the front when started.
+指定した場合は、ビューアーウィンドウは起動時に前面へ表示しようとします。
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/ja/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/fetch-ebook-metadata.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/fetch-ebook-metadata.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/ja/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/lrf2lrs.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/lrf2lrs.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/ja/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/lrfviewer.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/lrfviewer.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/ja/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/lrs2lrf.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/lrs2lrf.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ja/man1/web2disk.1 5.10.0+dfsg-1/man-pages/ja/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/ja/man1/web2disk.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ja/man1/web2disk.1	2021-01-22 02:58:42.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/calibre.1 5.10.0+dfsg-1/man-pages/ko/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/calibre.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/calibre.1	2021-01-22 02:58:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/ko/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/calibre-customize.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/calibre-customize.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/calibredb.1 5.10.0+dfsg-1/man-pages/ko/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/calibredb.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/calibredb.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/ko/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/calibre-debug.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/calibre-debug.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/ko/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/calibre-server.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/calibre-server.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/ko/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/calibre-smtp.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/calibre-smtp.1	2021-01-22 02:58:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/ko/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/ebook-convert.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/ebook-convert.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/ko/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/ebook-edit.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/ebook-edit.1	2021-01-22 02:58:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/ko/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/ebook-meta.1	2021-01-08 04:24:54.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/ebook-meta.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/ko/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/ebook-polish.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/ebook-polish.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/ko/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/ebook-viewer.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/ebook-viewer.1	2021-01-22 02:58:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/ko/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/fetch-ebook-metadata.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/fetch-ebook-metadata.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/ko/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/lrf2lrs.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/lrf2lrs.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/ko/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/lrfviewer.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/lrfviewer.1	2021-01-22 02:58:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/ko/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/lrs2lrf.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/lrs2lrf.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ko/man1/web2disk.1 5.10.0+dfsg-1/man-pages/ko/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/ko/man1/web2disk.1	2021-01-08 04:24:55.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ko/man1/web2disk.1	2021-01-22 02:58:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "1월 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "1월 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/calibre.1 5.10.0+dfsg-1/man-pages/lt/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/calibre.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/calibre.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/lt/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/calibre-customize.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/calibre-customize.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/calibredb.1 5.10.0+dfsg-1/man-pages/lt/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/calibredb.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/calibredb.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/lt/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/calibre-debug.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/calibre-debug.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/lt/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/calibre-server.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/calibre-server.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/lt/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/calibre-smtp.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/calibre-smtp.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/lt/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/ebook-convert.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/ebook-convert.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/lt/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/ebook-edit.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/ebook-edit.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/lt/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/ebook-meta.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/ebook-meta.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/lt/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/ebook-polish.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/ebook-polish.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/lt/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/ebook-viewer.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/ebook-viewer.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/lt/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/fetch-ebook-metadata.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/fetch-ebook-metadata.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/lt/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/lrf2lrs.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/lrf2lrs.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/lt/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/lrfviewer.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/lrfviewer.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/lt/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/lrs2lrf.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/lrs2lrf.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lt/man1/web2disk.1 5.10.0+dfsg-1/man-pages/lt/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/lt/man1/web2disk.1	2021-01-08 04:25:29.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lt/man1/web2disk.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "sausio 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "sausio 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/calibre.1 5.10.0+dfsg-1/man-pages/lv/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/calibre.1	2021-01-08 04:24:50.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/calibre.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/lv/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/calibre-customize.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/calibre-customize.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/calibredb.1 5.10.0+dfsg-1/man-pages/lv/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/calibredb.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/calibredb.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/lv/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/calibre-debug.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/calibre-debug.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/lv/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/calibre-server.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/calibre-server.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Ceļš pie servera žurnāla faila. Šaj
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Pārvaldiet lietotāju datu bāzi, kuriem atļauts izveidot savienojumu ar šo serveri. Skatiet arī \fI\%\-\-userdb\fP opciju.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/lv/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/calibre-smtp.1	2021-01-08 04:24:50.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/calibre-smtp.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/lv/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/ebook-convert.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/ebook-convert.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/lv/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/ebook-edit.1	2021-01-08 04:24:50.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/ebook-edit.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/lv/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/ebook-meta.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/ebook-meta.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [opcijas]
 .sp
 Lasīt/Rakstīt metadatus no/uz e\-grāmatu failiem.
 .sp
-Atbalstītie metadatu lasīšanas formāti: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Atbalstītie metadatu lasīšanas formāti: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Atbalstītie metadatu rakstīšanas formāti: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/lv/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/ebook-polish.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/ebook-polish.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/lv/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/ebook-viewer.1	2021-01-08 04:24:50.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/ebook-viewer.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/lv/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/fetch-ebook-metadata.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/fetch-ebook-metadata.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/lv/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/lrf2lrs.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/lrf2lrs.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/lv/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/lrfviewer.1	2021-01-08 04:24:50.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/lrfviewer.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/lv/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/lrs2lrf.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/lrs2lrf.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/lv/man1/web2disk.1 5.10.0+dfsg-1/man-pages/lv/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/lv/man1/web2disk.1	2021-01-08 04:24:49.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/lv/man1/web2disk.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "janvāris 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "janvāris 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/calibre.1 5.10.0+dfsg-1/man-pages/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/man1/calibre.1	2021-01-08 04:23:46.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/calibre.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/man1/calibre-customize.1	2021-01-08 04:23:46.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/calibre-customize.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/calibredb.1 5.10.0+dfsg-1/man-pages/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/man1/calibredb.1	2021-01-08 04:23:45.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/calibredb.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/man1/calibre-debug.1	2021-01-08 04:23:45.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/calibre-debug.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/man1/calibre-server.1	2021-01-08 04:23:45.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/calibre-server.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/man1/calibre-smtp.1	2021-01-08 04:23:46.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/calibre-smtp.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/man1/ebook-convert.1	2021-01-08 04:23:45.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/ebook-convert.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/man1/ebook-edit.1	2021-01-08 04:23:46.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/ebook-edit.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/man1/ebook-meta.1	2021-01-08 04:23:45.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/ebook-meta.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/man1/ebook-polish.1	2021-01-08 04:23:45.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/ebook-polish.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/man1/ebook-viewer.1	2021-01-08 04:23:46.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/ebook-viewer.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/man1/fetch-ebook-metadata.1	2021-01-08 04:23:46.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/fetch-ebook-metadata.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/man1/lrf2lrs.1	2021-01-08 04:23:45.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/lrf2lrs.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/man1/lrfviewer.1	2021-01-08 04:23:46.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/lrfviewer.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/man1/lrs2lrf.1	2021-01-08 04:23:45.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/lrs2lrf.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/man1/web2disk.1 5.10.0+dfsg-1/man-pages/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/man1/web2disk.1	2021-01-08 04:23:45.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/man1/web2disk.1	2021-01-22 02:57:35.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "January 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "January 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/calibre.1 5.10.0+dfsg-1/man-pages/ms/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/calibre.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/calibre.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/ms/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/calibre-customize.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/calibre-customize.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/calibredb.1 5.10.0+dfsg-1/man-pages/ms/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/calibredb.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/calibredb.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/ms/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/calibre-debug.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/calibre-debug.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/ms/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/calibre-server.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/calibre-server.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Laluan ke fail log untuk log pelayan. Lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Urus pangkalan data pengguna yang dibenarkan untuk sambung ke pelayan ini. Lihat juga pilihan \fI\%\-\-userdb\fP\&.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/ms/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/calibre-smtp.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/calibre-smtp.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/ms/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/ebook-convert.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/ebook-convert.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/ms/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/ebook-edit.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/ebook-edit.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/ms/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/ebook-meta.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/ebook-meta.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Baca/Tulis data meta dari/ke fail e\-buku.
 .sp
-Format disokong untuk data meta pembacaan: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Format disokong untuk data meta pembacaan: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Format disokong untuk data meta penulisan: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/ms/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/ebook-polish.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/ebook-polish.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/ms/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/ebook-viewer.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/ebook-viewer.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/ms/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/fetch-ebook-metadata.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/fetch-ebook-metadata.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/ms/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/lrf2lrs.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/lrf2lrs.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/ms/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/lrfviewer.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/lrfviewer.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/ms/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/lrs2lrf.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/lrs2lrf.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ms/man1/web2disk.1 5.10.0+dfsg-1/man-pages/ms/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/ms/man1/web2disk.1	2021-01-08 04:25:12.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ms/man1/web2disk.1	2021-01-22 02:58:37.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Januari 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "Januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/calibre.1 5.10.0+dfsg-1/man-pages/nb/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/calibre.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/calibre.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/nb/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/calibre-customize.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/calibre-customize.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/calibredb.1 5.10.0+dfsg-1/man-pages/nb/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/calibredb.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/calibredb.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/nb/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/calibre-debug.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/calibre-debug.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/nb/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/calibre-server.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/calibre-server.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/nb/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/calibre-smtp.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/calibre-smtp.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/nb/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/ebook-convert.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/ebook-convert.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/nb/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/ebook-edit.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/ebook-edit.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/nb/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/ebook-meta.1	2021-01-08 04:25:13.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/ebook-meta.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [valg]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/nb/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/ebook-polish.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/ebook-polish.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/nb/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/ebook-viewer.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/ebook-viewer.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/nb/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/fetch-ebook-metadata.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/fetch-ebook-metadata.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/nb/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/lrf2lrs.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/lrf2lrs.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/nb/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/lrfviewer.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/lrfviewer.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/nb/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/lrs2lrf.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/lrs2lrf.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nb/man1/web2disk.1 5.10.0+dfsg-1/man-pages/nb/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/nb/man1/web2disk.1	2021-01-08 04:25:14.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nb/man1/web2disk.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/calibre.1 5.10.0+dfsg-1/man-pages/nds/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/calibre.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/calibre.1	2021-01-22 02:58:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/nds/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/calibre-customize.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/calibre-customize.1	2021-01-22 02:58:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/calibredb.1 5.10.0+dfsg-1/man-pages/nds/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/calibredb.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/calibredb.1	2021-01-22 02:58:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/nds/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/calibre-debug.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/calibre-debug.1	2021-01-22 02:58:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/nds/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/calibre-server.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/calibre-server.1	2021-01-22 02:58:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/nds/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/calibre-smtp.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/calibre-smtp.1	2021-01-22 02:58:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/nds/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/ebook-convert.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/ebook-convert.1	2021-01-22 02:58:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/nds/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/ebook-edit.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/ebook-edit.1	2021-01-22 02:58:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/nds/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/ebook-meta.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/ebook-meta.1	2021-01-22 02:58:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/nds/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/ebook-polish.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/ebook-polish.1	2021-01-22 02:58:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/nds/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/ebook-viewer.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/ebook-viewer.1	2021-01-22 02:58:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/nds/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/fetch-ebook-metadata.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/fetch-ebook-metadata.1	2021-01-22 02:58:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/nds/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/lrf2lrs.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/lrf2lrs.1	2021-01-22 02:58:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/nds/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/lrfviewer.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/lrfviewer.1	2021-01-22 02:58:41.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/nds/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/lrs2lrf.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/lrs2lrf.1	2021-01-22 02:58:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nds/man1/web2disk.1 5.10.0+dfsg-1/man-pages/nds/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/nds/man1/web2disk.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nds/man1/web2disk.1	2021-01-22 02:58:40.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Januaar 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "Januaar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/calibre.1 5.10.0+dfsg-1/man-pages/nl/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/calibre.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/calibre.1	2021-01-22 02:58:48.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/nl/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/calibre-customize.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/calibre-customize.1	2021-01-22 02:58:48.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/calibredb.1 5.10.0+dfsg-1/man-pages/nl/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/calibredb.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/calibredb.1	2021-01-22 02:58:48.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/nl/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/calibre-debug.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/calibre-debug.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/nl/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/calibre-server.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/calibre-server.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Pad naar logbestand voor serverlog. Dit
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Beheer de gegevensbank van gebruikers die met deze server een verbinding mogen maken. Raadpleeg ook de optie \fI\%\-\-userdb\fP\&.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/nl/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/calibre-smtp.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/calibre-smtp.1	2021-01-22 02:58:48.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/nl/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/ebook-convert.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/ebook-convert.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/nl/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/ebook-edit.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/ebook-edit.1	2021-01-22 02:58:48.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/nl/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/ebook-meta.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/ebook-meta.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [opties]
 .sp
 Lezen/schrijven metagegevens van/naar e\-boekbestanden.
 .sp
-Ondersteunende formaten om metagegevens te lezen: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Ondersteunende formaten om metagegevens te lezen: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Ondersteunende formaten om metagegevens te schrijven: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/nl/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/ebook-polish.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/ebook-polish.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/nl/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/ebook-viewer.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/ebook-viewer.1	2021-01-22 02:58:48.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/nl/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/fetch-ebook-metadata.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/fetch-ebook-metadata.1	2021-01-22 02:58:48.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/nl/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/lrf2lrs.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/lrf2lrs.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/nl/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/lrfviewer.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/lrfviewer.1	2021-01-22 02:58:48.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/nl/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/lrs2lrf.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/lrs2lrf.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/nl/man1/web2disk.1 5.10.0+dfsg-1/man-pages/nl/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/nl/man1/web2disk.1	2021-01-08 04:24:40.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/nl/man1/web2disk.1	2021-01-22 02:58:47.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/calibre.1 5.10.0+dfsg-1/man-pages/pl/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/calibre.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/calibre.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/pl/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/calibre-customize.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/calibre-customize.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/calibredb.1 5.10.0+dfsg-1/man-pages/pl/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/calibredb.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/calibredb.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/pl/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/calibre-debug.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/calibre-debug.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/pl/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/calibre-server.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/calibre-server.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Ścieżka do pliku dziennika dla dzienni
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Zarządzaj bazą danych użytkowników, którzy mogą łączyć się z tym serwerem. Zobacz także opcję \fI\%\-\-userdb\fP\&.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/pl/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/calibre-smtp.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/calibre-smtp.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/pl/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/ebook-convert.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/ebook-convert.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/pl/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/ebook-edit.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/ebook-edit.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/pl/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/ebook-meta.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/ebook-meta.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Czytanie/zapis metadanych plików książki
 .sp
-Obsługiwane formaty odczytu metadanych: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Obsługiwane formaty odczytu metadanych: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Obsługiwane formaty zapisu metadanych: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/pl/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/ebook-polish.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/ebook-polish.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/pl/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/ebook-viewer.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/ebook-viewer.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/pl/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/fetch-ebook-metadata.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/fetch-ebook-metadata.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/pl/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/lrf2lrs.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/lrf2lrs.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/pl/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/lrfviewer.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/lrfviewer.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/pl/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/lrs2lrf.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/lrs2lrf.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pl/man1/web2disk.1 5.10.0+dfsg-1/man-pages/pl/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/pl/man1/web2disk.1	2021-01-08 04:24:02.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pl/man1/web2disk.1	2021-01-22 02:58:46.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "stycznia 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "stycznia 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/calibre.1 5.10.0+dfsg-1/man-pages/pt/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/calibre.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/calibre.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/pt/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/calibre-customize.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/calibre-customize.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/calibredb.1 5.10.0+dfsg-1/man-pages/pt/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/calibredb.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/calibredb.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/pt/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/calibre-debug.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/calibre-debug.1	2021-01-22 02:57:52.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/pt/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/calibre-server.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/calibre-server.1	2021-01-22 02:57:52.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/pt/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/calibre-smtp.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/calibre-smtp.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/pt/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/ebook-convert.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/ebook-convert.1	2021-01-22 02:57:52.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/pt/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/ebook-edit.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/ebook-edit.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/pt/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/ebook-meta.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/ebook-meta.1	2021-01-22 02:57:52.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [opções]
 .sp
 Ler/Escrever metadados a partir de/para ficheiros de ebook.
 .sp
-Formatos suportados para leitura de metadados:  azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Formatos suportados para leitura de metadados:  azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Formatos suportados para escrita de metadados: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/pt/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/ebook-polish.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/ebook-polish.1	2021-01-22 02:57:52.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/pt/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/ebook-viewer.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/ebook-viewer.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/pt/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/fetch-ebook-metadata.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/fetch-ebook-metadata.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/pt/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/lrf2lrs.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/lrf2lrs.1	2021-01-22 02:57:52.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/pt/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/lrfviewer.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/lrfviewer.1	2021-01-22 02:57:53.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/pt/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/lrs2lrf.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/lrs2lrf.1	2021-01-22 02:57:52.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt/man1/web2disk.1 5.10.0+dfsg-1/man-pages/pt/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/pt/man1/web2disk.1	2021-01-08 04:25:01.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt/man1/web2disk.1	2021-01-22 02:57:52.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre.1	2021-01-08 04:24:44.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre.1	2021-01-22 02:59:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre-customize.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre-customize.1	2021-01-22 02:59:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibredb.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibredb.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibredb.1	2021-01-22 02:59:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre-debug.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre-debug.1	2021-01-22 02:59:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre-server.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre-server.1	2021-01-22 02:59:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Caminho para o arquivo de registros do s
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Gerenciar o banco de dados de usuários com permissão de conectar nesse servidor. Veja também a opção \fI\%\-\-userdb\fP\&.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/calibre-smtp.1	2021-01-08 04:24:44.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/calibre-smtp.1	2021-01-22 02:59:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-convert.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-convert.1	2021-01-22 02:59:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-edit.1	2021-01-08 04:24:44.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-edit.1	2021-01-22 02:59:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-meta.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-meta.1	2021-01-22 02:59:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Leitura/Gravação de metadados de/para arquivos de e\-book.
 .sp
-Formatos suportados para leitura de metadados: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Formatos suportados para leitura de metadados: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Formatos suportados para gravação de metadados: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-polish.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-polish.1	2021-01-22 02:59:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/ebook-viewer.1	2021-01-08 04:24:44.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/ebook-viewer.1	2021-01-22 02:59:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/fetch-ebook-metadata.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/fetch-ebook-metadata.1	2021-01-22 02:59:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/lrf2lrs.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/lrf2lrs.1	2021-01-22 02:59:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/lrfviewer.1	2021-01-08 04:24:44.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/lrfviewer.1	2021-01-22 02:59:14.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/lrs2lrf.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/lrs2lrf.1	2021-01-22 02:59:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/pt_BR/man1/web2disk.1 5.10.0+dfsg-1/man-pages/pt_BR/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/pt_BR/man1/web2disk.1	2021-01-08 04:24:43.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/pt_BR/man1/web2disk.1	2021-01-22 02:59:13.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "janeiro 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "janeiro 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/calibre.1 5.10.0+dfsg-1/man-pages/ro/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/calibre.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/calibre.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/ro/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/calibre-customize.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/calibre-customize.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/calibredb.1 5.10.0+dfsg-1/man-pages/ro/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/calibredb.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/calibredb.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/ro/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/calibre-debug.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/calibre-debug.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/ro/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/calibre-server.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/calibre-server.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/ro/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/calibre-smtp.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/calibre-smtp.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/ro/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/ebook-convert.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/ebook-convert.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/ro/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/ebook-edit.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/ebook-edit.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/ro/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/ebook-meta.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/ebook-meta.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/ro/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/ebook-polish.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/ebook-polish.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/ro/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/ebook-viewer.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/ebook-viewer.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/ro/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/fetch-ebook-metadata.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/fetch-ebook-metadata.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/ro/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/lrf2lrs.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/lrf2lrs.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/ro/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/lrfviewer.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/lrfviewer.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/ro/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/lrs2lrf.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/lrs2lrf.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ro/man1/web2disk.1 5.10.0+dfsg-1/man-pages/ro/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/ro/man1/web2disk.1	2021-01-08 04:24:18.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ro/man1/web2disk.1	2021-01-22 02:58:30.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "ianuarie 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "ianuarie 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/calibre.1 5.10.0+dfsg-1/man-pages/ru/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/calibre.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/calibre.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/ru/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/calibre-customize.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/calibre-customize.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/calibredb.1 5.10.0+dfsg-1/man-pages/ru/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/calibredb.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/calibredb.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/ru/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/calibre-debug.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/calibre-debug.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/ru/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/calibre-server.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/calibre-server.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Путь к файлу журнала с
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Управлять пользователями базы данных, которым разрешено подключаться к этому серверу. Смотрите так же параметр \fI\%\-\-userdb\fP\&.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/ru/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/calibre-smtp.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/calibre-smtp.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/ru/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/ebook-convert.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/ebook-convert.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/ru/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/ebook-edit.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/ebook-edit.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/ru/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/ebook-meta.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/ebook-meta.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta файл_электронн
 .sp
 Читать / писать метаданные из / в файлы электронных книг.
 .sp
-Поддерживаемые форматы для чтения метаданных: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Поддерживаемые форматы для чтения метаданных: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Поддерживаемые форматы для записи метаданных: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/ru/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/ebook-polish.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/ebook-polish.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/ru/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/ebook-viewer.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/ebook-viewer.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/ru/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/fetch-ebook-metadata.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/fetch-ebook-metadata.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/ru/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/lrf2lrs.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/lrf2lrs.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/ru/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/lrfviewer.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/lrfviewer.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/ru/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/lrs2lrf.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/lrs2lrf.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/ru/man1/web2disk.1 5.10.0+dfsg-1/man-pages/ru/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/ru/man1/web2disk.1	2021-01-08 04:24:06.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/ru/man1/web2disk.1	2021-01-22 02:59:25.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "января 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "января 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/calibre.1 5.10.0+dfsg-1/man-pages/sk/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/calibre.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/calibre.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/sk/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/calibre-customize.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/calibre-customize.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/calibredb.1 5.10.0+dfsg-1/man-pages/sk/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/calibredb.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/calibredb.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/sk/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/calibre-debug.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/calibre-debug.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/sk/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/calibre-server.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/calibre-server.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/sk/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/calibre-smtp.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/calibre-smtp.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/sk/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/ebook-convert.1	2021-01-08 04:24:50.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/ebook-convert.1	2021-01-22 02:58:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/sk/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/ebook-edit.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/ebook-edit.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/sk/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/ebook-meta.1	2021-01-08 04:24:50.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/ebook-meta.1	2021-01-22 02:58:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/sk/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/ebook-polish.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/ebook-polish.1	2021-01-22 02:58:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/sk/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/ebook-viewer.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/ebook-viewer.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/sk/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/fetch-ebook-metadata.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/fetch-ebook-metadata.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/sk/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/lrf2lrs.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/lrf2lrs.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/sk/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/lrfviewer.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/lrfviewer.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/sk/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/lrs2lrf.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/lrs2lrf.1	2021-01-22 02:59:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sk/man1/web2disk.1 5.10.0+dfsg-1/man-pages/sk/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/sk/man1/web2disk.1	2021-01-08 04:24:51.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sk/man1/web2disk.1	2021-01-22 02:58:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "januára 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "januára 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/calibre.1 5.10.0+dfsg-1/man-pages/sl/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/calibre.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/calibre.1	2021-01-22 02:59:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/sl/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/calibre-customize.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/calibre-customize.1	2021-01-22 02:59:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/calibredb.1 5.10.0+dfsg-1/man-pages/sl/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/calibredb.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/calibredb.1	2021-01-22 02:59:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/sl/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/calibre-debug.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/calibre-debug.1	2021-01-22 02:59:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/sl/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/calibre-server.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/calibre-server.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/sl/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/calibre-smtp.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/calibre-smtp.1	2021-01-22 02:59:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/sl/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/ebook-convert.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/ebook-convert.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/sl/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/ebook-edit.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/ebook-edit.1	2021-01-22 02:59:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/sl/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/ebook-meta.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/ebook-meta.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/sl/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/ebook-polish.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/ebook-polish.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/sl/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/ebook-viewer.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/ebook-viewer.1	2021-01-22 02:59:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/sl/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/fetch-ebook-metadata.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/fetch-ebook-metadata.1	2021-01-22 02:59:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/sl/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/lrf2lrs.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/lrf2lrs.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/sl/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/lrfviewer.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/lrfviewer.1	2021-01-22 02:59:17.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/sl/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/lrs2lrf.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/lrs2lrf.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sl/man1/web2disk.1 5.10.0+dfsg-1/man-pages/sl/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/sl/man1/web2disk.1	2021-01-08 04:24:00.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sl/man1/web2disk.1	2021-01-22 02:59:16.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "januar 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "januar 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/calibre.1 5.10.0+dfsg-1/man-pages/sr/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/calibre.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/calibre.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/sr/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/calibre-customize.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/calibre-customize.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/calibredb.1 5.10.0+dfsg-1/man-pages/sr/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/calibredb.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/calibredb.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/sr/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/calibre-debug.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/calibre-debug.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/sr/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/calibre-server.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/calibre-server.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/sr/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/calibre-smtp.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/calibre-smtp.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/sr/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/ebook-convert.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/ebook-convert.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/sr/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/ebook-edit.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/ebook-edit.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/sr/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/ebook-meta.1	2021-01-08 04:25:07.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/ebook-meta.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/sr/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/ebook-polish.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/ebook-polish.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/sr/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/ebook-viewer.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/ebook-viewer.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/sr/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/fetch-ebook-metadata.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/fetch-ebook-metadata.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/sr/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/lrf2lrs.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/lrf2lrs.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/sr/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/lrfviewer.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/lrfviewer.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/sr/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/lrs2lrf.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/lrs2lrf.1	2021-01-22 02:57:50.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sr/man1/web2disk.1 5.10.0+dfsg-1/man-pages/sr/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/sr/man1/web2disk.1	2021-01-08 04:25:08.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sr/man1/web2disk.1	2021-01-22 02:57:49.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "јануар 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "јануар 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/calibre.1 5.10.0+dfsg-1/man-pages/sv/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/calibre.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/calibre.1	2021-01-22 02:58:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/sv/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/calibre-customize.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/calibre-customize.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/calibredb.1 5.10.0+dfsg-1/man-pages/sv/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/calibredb.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/calibredb.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
@@ -195,7 +195,7 @@ Högsta antalet resultat att visa. Stand
 .INDENT 0.0
 .TP
 .B \-\-line\-width, \-w
-Största bredd på en enskild rad i utmatning. Som standard används den detekterade skärmstorleken.
+Den största bredden på en enskild rad i utmatning. Standardinställningen är att upptäcka skärmstorlek.
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -487,7 +487,7 @@ Exportera alla böcker till en enda kata
 .INDENT 0.0
 .TP
 .B \-\-template
-Mallen för att styra filnamn och mappstruktur för de sparade filerna. Standard är \fB"\fP{author_sort}/{title}/{title} \- {authors}\fB"\fP vilket sparar böcker i en undermapp per författare med filnamn bestående av titel och författare. Tillgängliga kontroller är: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}
+Mallen för att anpassa filnamn och mappstruktur för de sparade filerna. Standard är \fB"\fP{author_sort}/{title}/{title} \- {authors}\fB"\fP vilket sparar böcker i en undermapp per författare med filnamn bestående av titel och författare. Tillgängliga kontroller är: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -562,7 +562,7 @@ Regex beskriver taggar för att utesluta
 .INDENT 0.0
 .TP
 .B \-\-exclusion\-rules
-Anger de regler som används för att utesluta böcker från den genererade katalogen. Modellen för en undantagsregel är antingen (\fB\(aq\fP<regel namn>\fB\(aq\fP,\fB\(aq\fPTaggar\fB"\fP,\fB\(aq\fP<komma\-separerad lista med taggar>\fB\(aq\fP) eller (\fB\(aq\fP<regel namn>\fB\(aq\fP,\fB\(aq\fP<anpassad column>\fB\(aq\fP,\fB\(aq\fP<mönster>\fB\(aq\fP). Till exempel: ((\fB"\fPArkiverade böcker\fB"\fP, \fB"\fP# status\fB"\fP, \fB"\fPArkiverade\fB"\fP),) kommer att utesluta en bok med ett värde på \fB"\fPstatus\fB"\fP \fB"\fPArkiverat\fB"\fP i den anpassade kolumnen. När flera regler är definierade, kommer alla regler tillämpas. Standard: \fB"\fP((\fB\(aq\fPCatalogs\fB\(aq\fP,\fB\(aq\fPTags\fB\(aq\fP,\fB\(aq\fPCatalog\fB\(aq\fP),)\fB"\fP Gäller: AZW3\-, EPUB\-, MOBI\-utmatningsformat
+Anger de regler som används för att utesluta böcker från den genererade katalogen. Modellen för en undantagsregel är antingen (\fB\(aq\fP<regel namn>\fB\(aq\fP,\fB\(aq\fPTaggar\fB\(aq\fP,\fB\(aq\fP<komma\-separerad lista med taggar>\fB\(aq\fP) eller (\fB\(aq\fP<regel namn>\fB\(aq\fP,\fB\(aq\fP<anpassad column>\fB\(aq\fP,\fB\(aq\fP<mönster>\fB\(aq\fP). Till exempel: ((\fB"\fPArkiverade böcker\fB"\fP, \fB"\fP# status\fB"\fP, \fB"\fPArkiverade\fB"\fP),) kommer att utesluta en bok med ett värde på \fB"\fPstatus\fB"\fP \fB"\fPArkiverat\fB"\fP i den anpassade kolumnen. När flera regler är definierade, kommer alla regler tillämpas. Standard: \fB"\fP((\fB\(aq\fPCatalogs\fB\(aq\fP,\fB\(aq\fPTags\fB\(aq\fP,\fB\(aq\fPCatalog\fB\(aq\fP),)\fB"\fP Gäller: AZW3\-, EPUB\-, MOBI\-utmatningsformat
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -602,7 +602,7 @@ Källfältet för \fB"\fPGenrer\fB"\fP s
 .INDENT 0.0
 .TP
 .B \-\-header\-note\-source\-field
-Anpassat fält innehåller anmärkningstext att infoga i beskrivningsrubrik. Standard: \fB"\fP\fB"\fP  Gäller: AZW3\-, EPUB\-, MOBI\-utmatningsformat
+Anpassat fält innehåller anmärkningstext att infoga i beskrivningsrubrik. Standard: \fB\(aq\fP\fB\(aq\fP Gäller: AZW3\-, EPUB\-, MOBI\-utmatningsformat
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -851,7 +851,7 @@ Skriv ut endast antalet poster i en kate
 .INDENT 0.0
 .TP
 .B \-\-width, \-w
-Största bredd på en enskild rad i utmatning. Som standard används den detekterade skärmstorleken.
+Den största bredden på en enskild rad i utmatning. Standardinställningen är att upptäcka skärmstorlek.
 .UNINDENT
 .SH BACKUP_METADATA
 .INDENT 0.0
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/sv/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/calibre-debug.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/calibre-debug.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/sv/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/calibre-server.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/calibre-server.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -117,7 +117,7 @@ Lösenordsbaserad autentisering för att
 .INDENT 0.0
 .TP
 .B \-\-enable\-fallback\-to\-detected\-interface, \-\-disable\-fallback\-to\-detected\-interface
-Återgång till automatiskt detekterat gränssnitt.    Om av någon anledning servern inte kan binda till gränssnittet som anges i listen_on alternativet, så kommer det att försöka identifiera ett gränssnitt som ansluter till omvärlden och binda till det. Som standard är det här alternativet aktiverat.
+Återfall till automatiskt upptäckt gränssnitt.      Om av någon anledning servern inte kan binda till gränssnittet som anges i listen_on alternativet, så kommer det att försöka identifiera ett gränssnitt som ansluter till omvärlden och binda till det. Som standard är det här alternativet aktiverat.
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -127,7 +127,7 @@ Tillåt icke\-autentiserade lokala anslu
 .INDENT 0.0
 .TP
 .B \-\-enable\-log\-not\-found, \-\-disable\-log\-not\-found
-Logga HTTP 404 (Inte hittad) förfrågningar.         Normalt loggar servern alla HTTP\-förfrågningar för resurser som inte finns. Detta kan generera en hel del skräploggar, om din server är inriktad från robotar. Använd det här alternativet för att stänga av dem. Som standard är det här alternativet aktiverat.
+Logga HTTP 404 (inte hittad)\-förfrågningar.         Normalt loggar servern alla HTTP\-förfrågningar för resurser som inte finns. Detta kan generera en hel del skräploggar, om din server är inriktad från robotar. Använd det här alternativet för att stänga av dem. Som standard är det här alternativet aktiverat.
 .UNINDENT
 .INDENT 0.0
 .TP
@@ -162,7 +162,7 @@ Sökväg till loggfil för servern. Denn
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Hantera databasen av användare tillåtna att ansluta till denna server. Se också alternativet \fI\%\-\-userdb\fP\&.
+Hantera databasen över användare som får ansluta till denna server. Du kan använda den i automatiserat läge genom att lägga till en \-\-. Se calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help för mer information. Se även alternativet \fI\%\-\-userdb\fP\&.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/sv/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/calibre-smtp.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/calibre-smtp.1	2021-01-22 02:58:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/sv/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/ebook-convert.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/ebook-convert.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
@@ -187,7 +187,7 @@ Titel för alla genererade infogade inne
 .UNINDENT
 .SH UTSEENDE OCH KÄNSLA
 .sp
-Alternativ för utseende på utmatning
+Alternativ för att anpassa utmatningens utseende och känsla
 .INDENT 0.0
 .TP
 .B \-\-asciiize
@@ -420,7 +420,7 @@ Sökmönster (reguljära uttryck) att er
 .UNINDENT
 .SH STRUKTURDETEKTERING
 .sp
-Kontrollera automatisk identifiering av dokumentets struktur.
+Anpassa automatisk identifiering av dokumentets struktur.
 .INDENT 0.0
 .TP
 .B \-\-chapter
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/sv/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/ebook-edit.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/ebook-edit.1	2021-01-22 02:58:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/sv/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/ebook-meta.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/ebook-meta.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Läs/skriv metadata från/till e\-bokfil.
 .sp
-Stödda format för läsning av metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Stödda format för läsning av metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Stödda format för skrivning av metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/sv/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/ebook-polish.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/ebook-polish.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
@@ -45,7 +45,7 @@ Polera böcker handlar om att sätta gla
 dina noggrant utformade e\-böcker.
 .sp
 Polering försöker minimera ändringarna i den interna koden av din e\-bok.
-Till skillnad från konvertering, plattar det inte ut CSS, byter namn på filer, ändrar teckenstorlekar, justerar marginaler o.s.v. Varje åtgärd utför endast minsta uppsättning av ändringar som krävs för önskad effekt.
+Till skillnad från konvertering, plattar den inte ut CSS, byter namn på filer, ändrar teckenstorlekar, justerar marginaler o.s.v. Varje åtgärd utför endast minsta uppsättning av ändringar som krävs för önskad effekt.
 .sp
 Du bör använda det här verktyget som det sista steget i din e\-bokskaparprocess.
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/sv/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/ebook-viewer.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/ebook-viewer.1	2021-01-22 02:58:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/sv/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/fetch-ebook-metadata.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/fetch-ebook-metadata.1	2021-01-22 02:58:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/sv/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/lrf2lrs.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/lrf2lrs.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/sv/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/lrfviewer.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/lrfviewer.1	2021-01-22 02:58:00.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/sv/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/lrs2lrf.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/lrs2lrf.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/sv/man1/web2disk.1 5.10.0+dfsg-1/man-pages/sv/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/sv/man1/web2disk.1	2021-01-08 04:25:38.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/sv/man1/web2disk.1	2021-01-22 02:57:59.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "januari 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "januari 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/calibre.1 5.10.0+dfsg-1/man-pages/tr/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/calibre.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/calibre.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/tr/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/calibre-customize.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/calibre-customize.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/calibredb.1 5.10.0+dfsg-1/man-pages/tr/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/calibredb.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/calibredb.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/tr/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/calibre-debug.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/calibre-debug.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/tr/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/calibre-server.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/calibre-server.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/tr/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/calibre-smtp.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/calibre-smtp.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/tr/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/ebook-convert.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/ebook-convert.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/tr/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/ebook-edit.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/ebook-edit.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/tr/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/ebook-meta.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/ebook-meta.1	2021-01-22 02:57:56.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [seçenekler]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/tr/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/ebook-polish.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/ebook-polish.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/tr/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/ebook-viewer.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/ebook-viewer.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/tr/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/fetch-ebook-metadata.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/fetch-ebook-metadata.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/tr/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/lrf2lrs.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/lrf2lrs.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/tr/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/lrfviewer.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/lrfviewer.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/tr/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/lrs2lrf.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/lrs2lrf.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/tr/man1/web2disk.1 5.10.0+dfsg-1/man-pages/tr/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/tr/man1/web2disk.1	2021-01-08 04:25:31.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/tr/man1/web2disk.1	2021-01-22 02:57:57.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "Ocak 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "Ocak 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/calibre.1 5.10.0+dfsg-1/man-pages/uk/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/calibre.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/calibre.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/uk/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/calibre-customize.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/calibre-customize.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/calibredb.1 5.10.0+dfsg-1/man-pages/uk/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/calibredb.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/calibredb.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/uk/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/calibre-debug.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/calibre-debug.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/uk/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/calibre-server.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/calibre-server.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -162,7 +162,7 @@ Шлях до файла журналу
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Керувати базою даних користувачів, які можуть встановлювати з’єднання із цим сервером. Див. також параметр \fI\%\-\-userdb\fP\&.
+Керування базою даних користувачів, які можуть встановлювати з\fB\(aq\fPєднання із цим сервером. Можете користуватися автоматичним режимом, додавши до команди \-\-. Див. calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help, щоб дізнатися більше. Див. також параметр \fI\%\-\-userdb\fP\&.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/uk/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/calibre-smtp.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/calibre-smtp.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/uk/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/ebook-convert.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/ebook-convert.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/uk/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/ebook-edit.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/ebook-edit.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/uk/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/ebook-meta.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/ebook-meta.1	2021-01-22 02:58:01.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta файл_книги [пар
 .sp
 Прочитати або записати метадані до файлі електронних книг.
 .sp
-Підтримувані формати читання метаданих: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Підтримувані формати читання метаданих: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Підтримувані формати запису метаданих: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/uk/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/ebook-polish.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/ebook-polish.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/uk/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/ebook-viewer.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/ebook-viewer.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/uk/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/fetch-ebook-metadata.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/fetch-ebook-metadata.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/uk/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/lrf2lrs.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/lrf2lrs.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/uk/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/lrfviewer.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/lrfviewer.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/uk/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/lrs2lrf.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/lrs2lrf.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/uk/man1/web2disk.1 5.10.0+dfsg-1/man-pages/uk/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/uk/man1/web2disk.1	2021-01-08 04:24:32.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/uk/man1/web2disk.1	2021-01-22 02:58:02.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "січня 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "січня 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/calibre.1 5.10.0+dfsg-1/man-pages/vi/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/calibre.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/calibre.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/vi/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/calibre-customize.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/calibre-customize.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/calibredb.1 5.10.0+dfsg-1/man-pages/vi/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/calibredb.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/calibredb.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/vi/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/calibre-debug.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/calibre-debug.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/vi/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/calibre-server.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/calibre-server.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/vi/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/calibre-smtp.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/calibre-smtp.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/vi/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/ebook-convert.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/ebook-convert.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/vi/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/ebook-edit.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/ebook-edit.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/vi/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/ebook-meta.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/ebook-meta.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/vi/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/ebook-polish.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/ebook-polish.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/vi/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/ebook-viewer.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/ebook-viewer.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/vi/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/fetch-ebook-metadata.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/fetch-ebook-metadata.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/vi/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/lrf2lrs.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/lrf2lrs.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/vi/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/lrfviewer.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/lrfviewer.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/vi/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/lrs2lrf.1	2021-01-08 04:24:21.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/lrs2lrf.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/vi/man1/web2disk.1 5.10.0+dfsg-1/man-pages/vi/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/vi/man1/web2disk.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/vi/man1/web2disk.1	2021-01-22 02:58:07.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "tháng 1 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "tháng 1 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre-customize.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre-customize.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibredb.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibredb.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibredb.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre-debug.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre-debug.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre-server.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre-server.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -166,11 +166,7 @@ 服务器日志的日志文件路径。
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-管理允许连接到该服务器的用户的数据库。也请参阅:option:
-.nf
-\(ga
-.fi
-\-\-userdb\(ga选项。
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/calibre-smtp.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/calibre-smtp.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-convert.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-convert.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-edit.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-edit.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-meta.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-meta.1	2021-01-22 02:59:03.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [选项]
 .sp
 对电子书文件读/写元数据
 .sp
-支持读取元数据的格式：azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+支持读取元数据的格式：azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 支持写入元数据的格式：azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-polish.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-polish.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/ebook-viewer.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/ebook-viewer.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/fetch-ebook-metadata.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/fetch-ebook-metadata.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/lrf2lrs.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/lrf2lrs.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/lrfviewer.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/lrfviewer.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/lrs2lrf.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/lrs2lrf.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_CN/man1/web2disk.1 5.10.0+dfsg-1/man-pages/zh_CN/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/zh_CN/man1/web2disk.1	2021-01-08 04:25:30.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_CN/man1/web2disk.1	2021-01-22 02:59:04.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "一月 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "一月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre.1	2021-01-22 02:59:10.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre \- calibre
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre-customize.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre-customize.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre-customize.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre-customize.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-CUSTOMIZE" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-CUSTOMIZE" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-customize \- calibre-customize
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibredb.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibredb.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibredb.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibredb.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBREDB" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBREDB" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibredb \- calibredb
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre-debug.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre-debug.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre-debug.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre-debug.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-DEBUG" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-DEBUG" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-debug \- calibre-debug
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre-server.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre-server.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre-server.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre-server.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SERVER" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SERVER" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-server \- calibre-server
 .
@@ -161,7 +161,7 @@ Path to log file for server log. This lo
 .INDENT 0.0
 .TP
 .B \-\-manage\-users
-Manage the database of users allowed to connect to this server. See also the \fI\%\-\-userdb\fP option.
+Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a \-\-. See calibre\-server \fI\%\-\-manage\-users\fP \fB\-\-\fP help for details. See also the \fI\%\-\-userdb\fP option.
 .UNINDENT
 .INDENT 0.0
 .TP
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre-smtp.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre-smtp.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/calibre-smtp.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/calibre-smtp.1	2021-01-22 02:59:10.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "CALIBRE-SMTP" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "CALIBRE-SMTP" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 calibre-smtp \- calibre-smtp
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-convert.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-convert.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-convert.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-convert.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-CONVERT" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-CONVERT" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-convert \- ebook-convert
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-edit.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-edit.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-edit.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-edit.1	2021-01-22 02:59:10.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-EDIT" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-EDIT" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-edit \- ebook-edit
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-meta.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-meta.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-meta.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-meta.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-META" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-META" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-meta \- ebook-meta
 .
@@ -43,7 +43,7 @@ ebook\-meta ebook_file [options]
 .sp
 Read/Write metadata from/to e\-book files.
 .sp
-Supported formats for reading metadata: azw, azw1, azw3, azw4, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
+Supported formats for reading metadata: azw, azw1, azw3, azw4, cb7, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip
 .sp
 Supported formats for writing metadata: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz
 .sp
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-polish.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-polish.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-polish.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-polish.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-POLISH" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-POLISH" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-polish \- ebook-polish
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-viewer.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-viewer.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/ebook-viewer.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/ebook-viewer.1	2021-01-22 02:59:10.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "EBOOK-VIEWER" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "EBOOK-VIEWER" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 ebook-viewer \- ebook-viewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/fetch-ebook-metadata.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/fetch-ebook-metadata.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/fetch-ebook-metadata.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/fetch-ebook-metadata.1	2021-01-22 02:59:10.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "FETCH-EBOOK-METADATA" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "FETCH-EBOOK-METADATA" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 fetch-ebook-metadata \- fetch-ebook-metadata
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/lrf2lrs.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/lrf2lrs.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/lrf2lrs.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/lrf2lrs.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRF2LRS" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "LRF2LRS" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrf2lrs \- lrf2lrs
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/lrfviewer.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/lrfviewer.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/lrfviewer.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/lrfviewer.1	2021-01-22 02:59:10.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRFVIEWER" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "LRFVIEWER" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrfviewer \- lrfviewer
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/lrs2lrf.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/lrs2lrf.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/lrs2lrf.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/lrs2lrf.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "LRS2LRF" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "LRS2LRF" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 lrs2lrf \- lrs2lrf
 .
diff -pruN 5.9.0+dfsg-3/man-pages/zh_TW/man1/web2disk.1 5.10.0+dfsg-1/man-pages/zh_TW/man1/web2disk.1
--- 5.9.0+dfsg-3/man-pages/zh_TW/man1/web2disk.1	2021-01-08 04:24:20.000000000 +0000
+++ 5.10.0+dfsg-1/man-pages/zh_TW/man1/web2disk.1	2021-01-22 02:59:09.000000000 +0000
@@ -1,6 +1,6 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "WEB2DISK" "1" "1月 08, 2021" "5.9.0" "calibre"
+.TH "WEB2DISK" "1" "1月 22, 2021" "5.10.0" "calibre"
 .SH NAME
 web2disk \- web2disk
 .
diff -pruN 5.9.0+dfsg-3/manual/edit.rst 5.10.0+dfsg-1/manual/edit.rst
--- 5.9.0+dfsg-3/manual/edit.rst	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/manual/edit.rst	2021-01-22 02:26:39.000000000 +0000
@@ -312,15 +312,15 @@ will show you the location. Click OK onc
     :alt: The Edit Table of Contents tool, how to change the location an entry points to
     :align: center
 
-Checking the Book
+Checking the book
 ^^^^^^^^^^^^^^^^^^^^^
 
-The :guilabel:`Check Book` tool searches your book for problems that could
+The :guilabel:`Check book` tool searches your book for problems that could
 prevent it working as intended on actual reader devices. Activate it via
-:guilabel:`Tools->Check Book`.
+:guilabel:`Tools->Check book`.
 
 .. image:: images/check-book.png
-    :alt: The Check Book tool
+    :alt: The Check book tool
     :align: center
 
 Any problems found are
diff -pruN 5.9.0+dfsg-3/manual/faq.rst 5.10.0+dfsg-1/manual/faq.rst
--- 5.9.0+dfsg-3/manual/faq.rst	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/manual/faq.rst	2021-01-22 02:26:39.000000000 +0000
@@ -18,7 +18,7 @@ What formats does calibre support conver
 calibre supports the conversion of many input formats to many output formats.
 It can convert every input format in the following list, to every output format.
 
-*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ
+*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ
 
 *Output Formats:* AZW3, EPUB, DOCX, FB2, HTMLZ, OEB, LIT, LRF, MOBI, PDB, PMLZ, RB, PDF, RTF, SNB, TCR, TXT, TXTZ, ZIP
 
@@ -61,7 +61,7 @@ In the MOBI format, the situation is a l
 
 Now it might well seem to you that the MOBI book has two identical ToCs. Remember that one is semantically a content ToC and the other is a metadata ToC, even though both might have exactly the same entries and look the same. One can be accessed directly from the Kindle's menus, the other cannot.
 
-When converting to MOBI, calibre detects the *metadata ToC* in the input document and generates an end-of-file ToC in the output MOBI file. You can turn this off by an option in the MOBI Output settings. You can also tell calibre whether to put it and the start or the end of the book via an option in the MOBI Output settings. Remember this ToC is semantically a *metadata ToC*, in any format other than MOBI it *cannot not be part of the text*. The fact that it is part of the text in MOBI is an accident caused by the limitations of MOBI. If you want a ToC at a particular location in your document text, create one by hand. So we strongly recommend that you leave the default as it is, i.e. with the metadata ToC at the end of the book. Also note that if you disable the generation of the end-of-file ToC the resulting MOBI file may not function correctly on a Kindle, since the Kindle's use the metadata ToC for many things, including the Page Flip feature.
+When converting to MOBI, calibre detects the *metadata ToC* in the input document and generates an end-of-file ToC in the output MOBI file. You can turn this off by an option in the MOBI Output settings. You can also tell calibre whether to put it at the start or the end of the book via an option in the MOBI Output settings. Remember this ToC is semantically a *metadata ToC*, in any format other than MOBI it *cannot not be part of the text*. The fact that it is part of the text in MOBI is an accident caused by the limitations of MOBI. If you want a ToC at a particular location in your document text, create one by hand. So we strongly recommend that you leave the default as it is, i.e. with the metadata ToC at the end of the book. Also note that if you disable the generation of the end-of-file ToC the resulting MOBI file may not function correctly on a Kindle, since the Kindle's use the metadata ToC for many things, including the Page Flip feature.
 
 If you have a hand edited ToC in the input document, you can use the ToC detection options in calibre to automatically generate the metadata ToC from it. See the conversion section of the User Manual for more details on how to use these options.
 
@@ -439,7 +439,7 @@ Why does calibre not support collections
 Neither the Kindle nor the Nook provide any way to manipulate collections over
 a USB connection.  If you really care about using collections, I would urge you
 to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to understand that
-life is too short to be entering collections one by one on an e-ink screen :)
+life is too short to be entering collections one by one on an e-ink screen 😇
 
 Note that in the case of the Kindle, there is a way to manipulate collections
 via USB, but it requires that the Kindle be rebooted *every time* it is
@@ -513,7 +513,7 @@ you have found the problem book, delete
 or MOBI to AZW3 conversion in calibre and then send it back. This will most
 likely take care of the problem.
 
-Library Management
+Library management
 ------------------
 
 .. contents:: Contents
@@ -847,6 +847,18 @@ see which one is causing the issue. Basi
 check for crashes. If they still happen, stop another program and repeat.
 
 
+The calibre E-book viewer and Edit book tools do not work on Windows?
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+These two programs use hardware acceleration as they embed a version of the
+Chrome browser to render HTML. If they do not work it will be because of
+incompatibility with your system's GPU (graphics) drivers. Try updating these
+first, and reboot. If that does not fix it, you can set the
+``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value
+``--disable-gpu`` to turn off hardware acceleration. See
+`this page <https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details.
+
+
 Using the viewer or doing any conversions results in a permission denied error on Windows
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
diff -pruN 5.9.0+dfsg-3/manual/template_lang.rst 5.10.0+dfsg-1/manual/template_lang.rst
--- 5.9.0+dfsg-3/manual/template_lang.rst	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/manual/template_lang.rst	2021-01-22 02:26:39.000000000 +0000
@@ -346,7 +346,7 @@ parameters can be statements (sequences
 
     * ``and(value, value, ...)`` -- returns the string "1" if all values are not empty, otherwise returns the empty string. This function works
       well with test or first_non_empty. You can have as many values as you want.
-    * ``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not numbers.
+    * ``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception if an argument is not a number.
     * ``assign(id, val)`` -- assigns val to id, then returns val. id must be an identifier, not an expression
     * ``approximate_formats()`` -- return a comma-separated list of formats that at one point were associated with the book. There is no
       guarantee that the list is correct, although it probably is. This function can be called in Template Program Mode using the template
@@ -390,6 +390,7 @@ parameters can be statements (sequences
       `[[` for the `{` character and `]]` for the '}' character; they are converted automatically. Note also that prefixes and suffixes
       (the `|prefix|suffix` syntax) cannot be used in the argument to this function when using Template Program Mode.
     * ``field(name)`` -- returns the metadata field named by ``name``.
+    * ``field_exists(field_name)`` -- checks if a field (column) named ``field_name`` exists, returning '1' if so and '' if not.
     * ``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format,
       prefix, and suffix to a value in the same way as done in a template like
       ``{series_index:05.2f| - |- }``. This function is provided to ease
@@ -480,7 +481,7 @@ parameters can be statements (sequences
       ``separator``, as are the items in the returned list.
     * ``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and the result are integers. Throws an exception if either ``x`` or
       ``y`` is not a number.
-    * ``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y are not numbers.
+    * ``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an exception if any argument is not a number.
     * ``ondevice()`` -- return the string "Yes" if ``ondevice`` is set, otherwise return the empty string
     * ``or(value, value, ...)`` -- returns the string ``"1"`` if any value is not empty, otherwise returns the empty string. This function works
       well with test or `first_non_empty`. You can have as many values as you want.
diff -pruN 5.9.0+dfsg-3/manual/viewer.rst 5.10.0+dfsg-1/manual/viewer.rst
--- 5.9.0+dfsg-3/manual/viewer.rst	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/manual/viewer.rst	2021-01-22 02:26:39.000000000 +0000
@@ -153,6 +153,11 @@ behavior`.
 .. note:: On Linux, :guilabel:`Read aloud` requires `Speech Dispatcher
    <https://freebsoft.org/speechd>`_ to be installed and working.
 
+.. note:: On Windows, not all installed voices may be visible to the SAPI
+   sub-system that is used for text-to-speech. There are `instructions to
+   make all voices visible
+   <https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_.
+
 
 Following links using only the keyboard
 -----------------------------------------------
diff -pruN 5.9.0+dfsg-3/recipes/chinadaily.recipe 5.10.0+dfsg-1/recipes/chinadaily.recipe
--- 5.9.0+dfsg-3/recipes/chinadaily.recipe	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/recipes/chinadaily.recipe	1970-01-01 00:00:00.000000000 +0000
@@ -1,46 +0,0 @@
-# -*- mode: python -*-
-# -*- coding: utf-8 -*-
-# vim:fileencoding=utf-8
-
-__license__ = 'GPL v3'
-__copyright__ = '2010 - 2017, Darko Miletic <darko.miletic at gmail.com>'
-'''
-www.chinadaily.com.cn
-'''
-
-from calibre.web.feeds.news import BasicNewsRecipe
-
-
-class Pagina12(BasicNewsRecipe):
-    title = 'China Daily'
-    __author__ = 'Darko Miletic'
-    description = 'Chinadaily.com.cn is the largest English portal in China, providing news, business information, BBS, learning materials.'
-    publisher = 'China Daily Information Co.'
-    category = 'news, politics, China'
-    oldest_article = 2
-    max_articles_per_feed = 200
-    no_stylesheets = True
-    encoding = 'utf8'
-    use_embedded_content = False
-    language = 'en_CN'
-    remove_empty_feeds = True
-    publication_type = 'newsportal'
-    auto_cleanup = True
-    masthead_url = 'http://www.chinadaily.com.cn/98103.files/logo.jpg'
-    extra_css             = """
-                                body{font-family: Arial,Helvetica,sans-serif }
-                                .titlebox{font-family: "Times New Roman",Times,serif}
-                                .timebox, .authorbox{font-size: x-small}
-                            """
-
-    conversion_options = {
-        'comment': description,
-        'tags': category,
-        'publisher': publisher,
-        'language': language
-    }
-
-    feeds = [
-    (u'China Daily', u'http://www.chinadaily.com.cn/rss/cndy_rss.xml'),
-    (u'HK Edition', u'http://www.chinadaily.com.cn/rss/hk_rss.xml'),
-    ]
diff -pruN 5.9.0+dfsg-3/recipes/china_post.recipe 5.10.0+dfsg-1/recipes/china_post.recipe
--- 5.9.0+dfsg-3/recipes/china_post.recipe	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/recipes/china_post.recipe	1970-01-01 00:00:00.000000000 +0000
@@ -1,28 +0,0 @@
-from calibre.web.feeds.news import BasicNewsRecipe
-
-
-class CP(BasicNewsRecipe):
-    title = u'China Post'
-    language = 'en_CN'
-    __author__ = 'Krittika Goyal'
-    oldest_article = 1  # days
-    max_articles_per_feed = 25
-    use_embedded_content = False
-
-    no_stylesheets = True
-    auto_cleanup = True
-
-    feeds = [
-        ('Top Stories',
-         'http://www.chinapost.com.tw/rss/front.xml'),
-        ('Taiwan',
-         'http://www.chinapost.com.tw/rss/taiwan.xml'),
-        ('China',
-         'http://www.chinapost.com.tw/rss/china.xml'),
-        ('Business',
-         'http://www.chinapost.com.tw/rss/business.xml'),
-        ('World',
-         'http://www.chinapost.com.tw/rss/international.xml'),
-        ('Sports',
-         'http://www.chinapost.com.tw/rss/sports.xml'),
-    ]
diff -pruN 5.9.0+dfsg-3/recipes/hbr.recipe 5.10.0+dfsg-1/recipes/hbr.recipe
--- 5.9.0+dfsg-3/recipes/hbr.recipe	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/recipes/hbr.recipe	1970-01-01 00:00:00.000000000 +0000
@@ -1,87 +0,0 @@
-#!/usr/bin/env python
-# vim:fileencoding=utf-8
-# License: GPLv3 Copyright: 2016, Kovid Goyal <kovid at kovidgoyal.net>
-
-from calibre.web.feeds.news import BasicNewsRecipe
-from css_selectors import Select
-from mechanize import Request
-import json
-try:
-    from urllib.parse import urlencode
-except ImportError:
-    from urllib import urlencode
-
-
-class HBR(BasicNewsRecipe):
-
-    title = 'Harvard Business Review'
-    description = 'To subscribe go to http://hbr.harvardbusiness.org'
-    needs_subscription = True
-    __author__ = 'Kovid Goyal'
-    timefmt = ' [%B %Y]'
-    language = 'en'
-    no_stylesheets = True
-
-    keep_only_tags = [
-        dict(attrs={'class': ['article-hed', 'byline']}),
-        dict(attrs={'class': lambda x: x and 'article' in x.split()}),
-    ]
-    remove_tags = [
-        dict(name='personalization-placement'),
-    ]
-
-    def get_browser(self):
-        br = BasicNewsRecipe.get_browser(self)
-        # br.set_debug_http(True)
-        br.open('https://hbr.org/sign-in')
-        rq = Request('https://hbr.org/authenticate', headers={
-            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8',
-            'Referer': 'https://hbr.org/sign-in',
-            'Origin': 'https://hbr.org',
-            'X-Requested-With': 'XMLHttpRequest',
-            'Accept': 'application/json, text/javascript, */*; q=0.01',
-        }, data=urlencode({'username': self.username, 'password': self.password}))
-        r = br.open(rq)
-        raw = r.read()
-        data = json.loads(raw)
-        if data['code'] != 200 or data["message"] != "Authentication Successful.":
-            raise ValueError('Failed to log in check username/password')
-        return br
-
-    def hbr_parse_toc(self, url):
-        root = self.index_to_soup(url, as_tree=True)
-        select = Select(root)
-        section = 'Unknown'
-        articles = []
-        feeds = []
-        toc = next(
-            select('stream-content[data-stream-name="table-of-contents"] ul'))
-        for x in toc.xpath('descendant::*[local-name()="h4" or local-name()="stream-item"]'):
-            if 'h4' in x.tag:
-                if articles:
-                    feeds.append((section, articles))
-                section = self.tag_to_string(x)
-                articles = []
-                self.log('Found section:', section)
-            else:
-                title, url = x.get('data-title'), x.get('data-url')
-                desc = ''.join(c.tail or '' for c in x).strip()
-                authors = x.get('data-authors')
-                if authors:
-                    desc = 'by ' + authors + ': ' + desc
-                self.log('\tFound article:', title, url, desc)
-                articles.append(
-                    {'title': title, 'url': 'https://hbr.org' + url, 'description': desc})
-        if articles:
-            feeds.append((section, articles))
-        return feeds
-
-    def parse_index(self):
-        soup = self.index_to_soup('http://hbr.org/magazine')
-        fig = soup.find('figure', attrs={
-                        'class': lambda x: x and 'current-issue' in x.split()})
-        url = 'https://hbr.org' + fig.find('a', href=True)['href']
-        img = fig.find('img')
-        self.cover_url = 'https://hbr.org' + img['src']
-        self.timefmt = img['alt']
-        return self.hbr_parse_toc(url)
diff -pruN 5.9.0+dfsg-3/recipes/jacobinmag.recipe 5.10.0+dfsg-1/recipes/jacobinmag.recipe
--- 5.9.0+dfsg-3/recipes/jacobinmag.recipe	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/recipes/jacobinmag.recipe	2021-01-22 02:26:39.000000000 +0000
@@ -11,6 +11,12 @@ www.jacobinmag.com
 from calibre.web.feeds.news import BasicNewsRecipe
 
 
+def classes(classes):
+    q = frozenset(classes.split(' '))
+    return dict(attrs={
+        'class': lambda x: x and frozenset(x.split()).intersection(q)})
+
+
 class Jacobinmag(BasicNewsRecipe):
     title = 'Jacobin'
     __author__ = 'Darko Miletic'
@@ -29,12 +35,11 @@ class Jacobinmag(BasicNewsRecipe):
     issue_url = None
     PREFIX = 'https://www.jacobinmag.com'
     LOGIN = 'https://auth.jacobinmag.com/mini_profile?redirect=https%3A%2F%2Fwww.jacobinmag.com%2F'
-    masthead_url = 'https://www.jacobinmag.com/wp-content/themes/boukman/images/banner/type.svg'
     extra_css = """
-                               body{font-family: Antwerp, 'Times New Roman', Times, serif}
-                               img{margin-top:1em; margin-bottom: 1em; display:block}
-                               .entry-dek,.entry-author{font-family: Hurme-No3, Futura, sans-serif}
-                           """
+        body{font-family: Antwerp, 'Times New Roman', Times, serif}
+        img{margin-top:1em; margin-bottom: 1em; display:block}
+        .entry-dek,.entry-author{font-family: Hurme-No3, Futura, sans-serif}
+    """
 
     conversion_options = {
         'comment': description,
@@ -44,56 +49,50 @@ class Jacobinmag(BasicNewsRecipe):
     }
 
     remove_tags = [
-        dict(name=['meta', 'link']),
-        dict(name='div', attrs={'class': 'entry-bottom'}),
-        dict(name='div', attrs={'data-app': 'share_buttons'}),
+        dict(id=['post-header-share', 'post-print']),
+        dict(name='form'),
     ]
 
-    keep_only_tags = [dict(attrs={'class': ['entry-header', 'entry-content']})]
+    keep_only_tags = [
+        classes('po__article')
+    ]
 
     def parse_index(self):
         ans = []
         articles = []
-        lurl = self.get_issue()
-        if lurl:
-            soup = self.index_to_soup(lurl)
-
-            # Find cover url
-            myimg = soup.find('img', attrs={'id': 'front-cover'})
-            if myimg:
-                self.cover_url = self.image_url_processor(None, myimg['src'])
-            # End find cover url
-
-            # Configure series
-            self.conversion_options.update({'series': 'Jacobin'})
-
-            # Get series title
-            feedtitle = 'Articles'
-            title = soup.find('div', attrs={'id': 'iss-title-name'})
-            if title:
-                feedtitle = self.tag_to_string(title)
-
-            # Scrape article links
-            for section in soup.findAll('div', attrs={'class': 'section-articles'}):
-                for art in section.findAll('article'):
-                    urlbase = art.find('h3', attrs={'class': 'iss-hed'})
-                    if urlbase and urlbase.a[
-                        'href'
-                    ] != 'https://www.jacobinmag.com/subscribe/':
-                        url = urlbase.a['href']
-                        title = self.tag_to_string(urlbase)
-                        desc = ''
-                        descbase = urlbase = art.find(
-                            'p', attrs={'class': 'iss-dek'}
-                        )
-                        if descbase:
-                            desc = self.tag_to_string(descbase)
-                        articles.append({
-                            'title': title,
-                            'url': url,
-                            'description': desc
-                        })
-        ans.append((feedtitle, articles))
+        soup = self.index_to_soup('https://www.jacobinmag.com/store/issues')
+        lurl = 'https://jacobinmag.com' + soup.find('a', text='View Issue')['href']
+        feedtitle = 'Articles'
+        self.log('Loading issue from', lurl)
+        soup = self.index_to_soup(lurl)
+
+        # Find cover url
+        di = soup.find('figure', attrs={'class': lambda x: x and '__cover' in x})
+        img = di.find('img')
+        self.cover_url = img['src']
+        # End find cover url
+
+        # Get series title
+        title = soup.find('h1', attrs={'class': lambda x: x and '__heading' in x})
+        feedtitle = self.tag_to_string(title)
+
+        # Scrape article links
+        for section in soup.findAll('div', attrs={'class': lambda x: x and '__content' in x}):
+            for art in section.findAll('article'):
+                h1 = art.find('h1')
+                a = h1.find('a')
+                title = self.tag_to_string(a)
+                url = 'https://jacobinmag.com' + a['href']
+                desc = ''
+                p = art.find('p')
+                if p:
+                    desc = self.tag_to_string(p)
+                articles.append({'title': title, 'url': url, 'description': desc})
+                self.log(title, 'at', url)
+                if desc:
+                    self.log('\t', desc)
+        if articles:
+            ans.append((feedtitle, articles))
         return ans
 
     def get_browser(self):
@@ -111,11 +110,3 @@ class Jacobinmag(BasicNewsRecipe):
             if div:
                 br.open(div['data-redirect'])
         return br
-
-    def get_issue(self):
-        issue = None
-        soup = self.index_to_soup(self.PREFIX)
-        mag = soup.find('li', attrs={'class': 'magazine'})
-        if mag:
-            issue = mag.a['href']
-        return issue
diff -pruN 5.9.0+dfsg-3/recipes/japan_times.recipe 5.10.0+dfsg-1/recipes/japan_times.recipe
--- 5.9.0+dfsg-3/recipes/japan_times.recipe	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/recipes/japan_times.recipe	2021-01-22 02:26:39.000000000 +0000
@@ -7,6 +7,12 @@ japantimes.co.jp
 from calibre.web.feeds.news import BasicNewsRecipe
 
 
+def classes(classes):
+    q = frozenset(classes.split(' '))
+    return dict(attrs={
+        'class': lambda x: x and frozenset(x.split()).intersection(q)})
+
+
 class JapanTimes(BasicNewsRecipe):
     title = 'The Japan Times'
     __author__ = 'Darko Miletic'
@@ -20,18 +26,19 @@ class JapanTimes(BasicNewsRecipe):
     use_embedded_content = False
     encoding = 'utf8'
     publication_type = 'newspaper'
-    masthead_url = 'http://www.japantimes.co.jp/wp-content/themes/jt_theme/library/img/logo-japan-times.png'
     extra_css = 'body{font-family: Geneva,Arial,Helvetica,sans-serif}'
 
     conversion_options = {
         'comment': description, 'tags': category, 'publisher': publisher, 'language': language
     }
 
-    remove_tags_after = dict(name='div', attrs={'class': 'entry'})
+    remove_tags_after = dict(name='div', attrs={'class': 'entry'}),
     keep_only_tags = [dict(name='div', attrs={'class': 'padding_block'})]
     remove_tags = [
-        dict(name=['iframe', 'embed', 'object', 'base']), dict(attrs={'class': [
-            'meta_extras', 'related_articles']}), dict(attrs={'id': 'content_footer_menu'})
+        dict(name=['iframe', 'embed', 'object', 'base', 'form']), dict(attrs={'class': [
+            'meta_extras', 'related_articles']}), dict(attrs={'id': 'content_footer_menu'}),
+        dict(id='no_js_blocker'),
+        classes('single-sns-area jt-related-stories'),
     ]
     feeds = [
 
diff -pruN 5.9.0+dfsg-3/recipes/mediapart.recipe 5.10.0+dfsg-1/recipes/mediapart.recipe
--- 5.9.0+dfsg-3/recipes/mediapart.recipe	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/recipes/mediapart.recipe	2021-01-22 02:26:39.000000000 +0000
@@ -1,28 +1,38 @@
 #!/usr/bin/env python
 # vim:fileencoding=utf-8
+#
+# 11 Jan 2021 -  L. Houpert - Major changes in the Mediapart recipe:
+#   1) Summary of the article are noow available
+#   2) Additional sections  International, France, Economie and Culture have
+# been added through custom entries in the function my_parse_index.
+#   3) Fix the cover image so it doesnt disappear from the Kindle menu
+# ( cover image format is changed to .jpeg)
+# 14 Jan 2021 - Add Mediapart Logo url as masthead_url and change cover
+#   by overlaying the date on top of the Mediapart cover
 from __future__ import unicode_literals
 
 __license__ = 'GPL v3'
-__copyright__ = '2016, Daniel Bonnery ? (contact: DanielBonnery sur mobileread.com) 2009, Mathieu Godlewski <mathieu at godlewski.fr>; 2010-2012, Louis Gesbert <meta at antislash dot info>'  # noqa
+__copyright__ = '2021, Loïc Houpert <houpertloic at gmail .com>. Adapted from: 2016, Daniel Bonnery; 2009, Mathieu Godlewski; 2010-2012, Louis Gesbert'  # noqa
 '''
 Mediapart
 '''
 
 import re
-from calibre.web.feeds.news import BasicNewsRecipe
+from datetime import date, datetime, timezone, timedelta
 from calibre.web.feeds import feeds_from_index
-from datetime import date, timedelta
+from calibre.web.feeds.news import BasicNewsRecipe
 
 
 def classes(classes):
     q = frozenset(classes.split(' '))
-    return dict(attrs={
-        'class': lambda x: x and frozenset(x.split()).intersection(q)})
+    return dict(
+        attrs={'class': lambda x: x and frozenset(x.split()).intersection(q)}
+    )
 
 
 class Mediapart(BasicNewsRecipe):
     title = 'Mediapart'
-    __author__ = 'Daniel Bonnery from a version by Mathieu Godlewski, Louis Gesbert'
+    __author__ = 'Loïc Houpert'
     description = 'Global news in French from news site Mediapart'
     publication_type = 'newspaper'
     language = 'fr'
@@ -37,113 +47,196 @@ class Mediapart(BasicNewsRecipe):
         dict(name='div', **classes('author')),
         classes('introduction content-article')
     ]
-    remove_tags = [
-        classes('login-subscribe print-source_url')
-    ]
-
-    cover_url = 'https://static.mediapart.fr/files/M%20Philips/logo-mediapart.png'
+    remove_tags = [classes('login-subscribe print-source_url')]
+    conversion_options = {'smarten_punctuation': True}
 
-# --
+    masthead_url = "https://raw.githubusercontent.com/lhoupert/calibre_contrib/main/mediapart_masthead.png"
+    # cover_url = 'https://raw.githubusercontent.com/lhoupert/calibre_contrib/main/mediapart.jpeg'
 
-    oldest_article_date = date.today() - timedelta(days=oldest_article)
+    # --
 
-# -- get the index (the feed at 'http://www.mediapart.fr/articles/feed' only has
-#    the 10 last elements :/)
+    # Get date in french time zone format
+    today = datetime.now(timezone.utc) + timedelta(hours=1)
+    oldest_article_date = today - timedelta(days=oldest_article)
 
     feeds = [
         ('La Une', 'http://www.mediapart.fr/articles/feed'),
     ]
 
+    # The feed at 'http://www.mediapart.fr/articles/feed' only displayed the 10
+    # last elements so the articles are indexed on specific pages
+    # in the function my_parse_index. In this function the article are parsed
+    # using the funtion get_articles and the dict values dict_article_sources
+
     def parse_feeds(self):
         feeds = super(Mediapart, self).parse_feeds()
         feeds += feeds_from_index(self.my_parse_index(feeds))
         return feeds
 
     def my_parse_index(self, la_une):
-        articles = []
 
-        breves = []
-        liens = []
-        confidentiels = []
-
-        soup = self.index_to_soup(
-            'https://www.mediapart.fr/journal/fil-dactualites')
-        page = soup.find('main', {'class': 'global-wrapper'})
-        fils = page.find('ul', {'class': 'post-list universe-journal'})
-
-        for article in fils.findAll('li'):
-            try:
-                title = article.find('h3', recursive=False)
-
-                if title is None or ''.join(title['class']) == 'title-specific':
-                    continue
-
-                # print "found fil ",title
-                article_type = article.find('a', {'href': re.compile(
-                    r'.*\/type-darticles\/.*')}).renderContents().decode('utf-8')
-                # print "kind: ",article_type
-
-                for s in title('span'):
-                    s.replaceWith(s.renderContents().decode('utf-8') + "\n")
-                url = title.find('a', href=True)['href']
-
-                # article_date = self.parse_french_date(article.find("span", "article-date").renderContents().decode('utf-8'))
-                # print("################################# 9")
-                # print(article_date)
-
-                # if article_date < self.oldest_article_date:
-                #    print "too old"
-                #    continue
-
-                authors = article.findAll(
-                    'a', {'class': re.compile(r'\bjournalist\b')})
-                authors = [self.tag_to_string(a) for a in authors]
-
-                # description = article.find('div', {'class': lambda c: c != 'taxonomy-teaser'}, recursive=False).findAll('p')
-
-                # print "fil ",title," by ",authors," : ",description
-
-                summary = {
-                    'title': self.tag_to_string(title).strip(),
-                    'author': ', '.join(authors),
-                    'url': 'https://www.mediapart.fr' + url
+        dict_article_sources = [
+            {
+                'type': 'Brèves',
+                'webpage': 'https://www.mediapart.fr/journal/fil-dactualites',
+                'separador': {
+                    'page': 'ul',
+                    'thread': 'li'
                 }
-                if article_type == 'Lien':
-                    liens.append(summary)
-                if article_type == 'Confidentiel':
-                    confidentiels.append(summary)
-                if article_type not in ['Lien', 'Confidentiel']:
-                    breves.append(summary)
-            except:
-                pass
-
-        # print 'La Une: ', len(la_une), ' articles'
-        # for a in la_une: print a["title"]
-        # print 'Brèves: ', len(breves), ' articles'
-        # print 'Revue web: ', len(liens), ' articles'
-        # print 'Confidentiel: ', len(confidentiels), ' articles'
-
-        articles += [('Brèves', breves)] if breves else []
-        articles += [('Revue du Web', liens)] if liens else []
-        articles += [('Confidentiel', confidentiels)] if confidentiels else []
-        return articles
-# -- print-version
+            },
+            {
+                'type': 'International',
+                'webpage': 'https://www.mediapart.fr/journal/international',
+                'separador': {
+                    'page': 'div',
+                    'thread': 'div'
+                }
+            },
+            {
+                'type': 'France',
+                'webpage': 'https://www.mediapart.fr/journal/france',
+                'separador': {
+                    'page': 'div',
+                    'thread': 'div'
+                }
+            },
+            {
+                'type': 'Économie',
+                'webpage': 'https://www.mediapart.fr/journal/economie',
+                'separador': {
+                    'page': 'div',
+                    'thread': 'div'
+                }
+            },
+            {
+                'type': 'Culture',
+                'webpage': 'https://www.mediapart.fr/journal/culture-idees',
+                'separador': {
+                    'page': 'div',
+                    'thread': 'div'
+                }
+            },
+        ]
 
-    conversion_options = {'smarten_punctuation': True}
+        def get_articles(
+            type_of_article, webpage, separador_page='ul', separador_thread='li'
+        ):
+
+            specific_articles = []
+
+            webpage_article = []
+            soup = self.index_to_soup(webpage)
+            page = soup.find('main', {'class': 'global-wrapper'})
+            fils = page.find(separador_page, {'class': 'post-list universe-journal'})
+
+            all_articles = fils.findAll(separador_thread)
+            for article in all_articles:
+                try:
+                    title = article.find('h3', recursive=False)
+                    if title is None or ''.join(title['class']) == 'title-specific':
+                        # print(f"[BAD title entry] Print value of title:\n {title}")
+                        continue
+                    # print(f"\n[OK title entry] Print value of title:\n {title}\n")
+
+                    try:
+                        article_mot_cle = article.find(
+                            'a', {
+                                'href': re.compile(r'.*\/mot-cle\/.*')
+                            }
+                        ).renderContents().decode('utf-8')
+                    except Exception:
+                        article_mot_cle = ''
+
+                    try:
+                        article_type = article.find(
+                            'a', {
+                                'href': re.compile(r'.*\/type-darticles\/.*')
+                            }
+                        ).renderContents().decode('utf-8')
+                    except Exception:
+                        article_type = ''
+
+                    for s in title('span'):
+                        s.replaceWith(s.renderContents().decode('utf-8') + "\n")
+                    url = title.find('a', href=True)['href']
+
+                    date = article.find('time', datetime=True)['datetime']
+                    article_date = datetime.strptime(date, '%Y-%m-%d')
+                    # Add French timezone to date of the article for date check
+                    article_date = article_date.replace(tzinfo=timezone.utc) + timedelta(hours=1)
+                    if article_date < self.oldest_article_date:
+                        print("article_date < self.oldest_article_date\n")
+                        continue
+
+                    # print("-------- Recent article added to the list ------- \n")
+                    all_authors = article.findAll(
+                        'a', {'class': re.compile(r'\bjournalist\b')}
+                    )
+                    authors = [self.tag_to_string(a) for a in all_authors]
+                    # print(f"Authors in tag <a>: {authors}")
+
+                    # If not link to the author profile is available the
+                    # html separador is a span tag
+                    if not all_authors:
+                        try:
+                            all_authors = article.findAll(
+                                'span', {'class': re.compile(r'\bjournalist\b')}
+                            )
+                            authors = [self.tag_to_string(a) for a in all_authors]
+                            # print(f"Authors in tag <span>: {authors}")
+                        except:
+                            authors = 'unknown'
+
+                    description = article.find('p').renderContents().decode('utf-8')
+                    # print(f" <p> in article : {self.tag_to_string(description).strip()} ")
+
+                    summary = {
+                        'title': self.tag_to_string(title).strip(),
+                        'description': description,
+                        'date': article_date.strftime("%a, %d %b, %Y %H:%M"),
+                        'author': ', '.join(authors),
+                        'article_type': article_type,
+                        'mot_cle': article_mot_cle.capitalize(),
+                        'url': 'https://www.mediapart.fr' + url,
+                    }
+
+                    webpage_article.append(summary)
+                except Exception:
+                    pass
+
+            specific_articles += [(type_of_article,
+                                   webpage_article)] if webpage_article else []
+            return specific_articles
+
+        articles = []
+
+        for category in dict_article_sources:
+            articles += get_articles(
+                category['type'], category['webpage'], category['separador']['page'],
+                category['separador']['thread']
+            )
+
+        return articles
 
     # non-locale specific date parse (strptime("%d %b %Y",s) would work with
     # french locale)
     def parse_french_date(self, date_str):
         date_arr = date_str.lower().split()
-        return date(day=int(date_arr[0]),
-                    year=int(date_arr[2]),
-                    month=[None, 'janvier', 'février', 'mars', 'avril', 'mai', 'juin', 'juillet',
-                           'août', 'septembre', 'octobre', 'novembre', 'décembre'].index(date_arr[1]))
+        return date(
+            day=int(date_arr[0]),
+            year=int(date_arr[2]),
+            month=[
+                None, 'janvier', 'février', 'mars', 'avril', 'mai', 'juin',
+                'juillet', 'août', 'septembre', 'octobre', 'novembre', 'décembre'
+            ].index(date_arr[1])
+        )
 
-# -- Handle login
     def get_browser(self):
+        # -- Handle login
+
         def is_form_login(form):
             return "id" in form.attrs and form.attrs['id'] == "logFormEl"
+
         br = BasicNewsRecipe.get_browser(self)
         if self.username is not None and self.password is not None:
             br.open('https://www.mediapart.fr/login')
@@ -152,3 +245,72 @@ class Mediapart(BasicNewsRecipe):
             br['password'] = self.password
             br.submit()
         return br
+
+    def default_cover(self, cover_file):
+        '''
+        Create a generic cover for recipes that don't have a cover
+        '''
+        from PyQt5.Qt import QImage, QPainter, QPen, Qt, QFont, QRect
+        from calibre.gui2 import ensure_app, load_builtin_fonts, pixmap_to_data
+
+        def init_environment():
+            ensure_app()
+            load_builtin_fonts()
+
+        def create_cover_mediapart(date):
+            ' Create a cover for mediapart adding the date on Mediapart Cover'
+            init_environment()
+            # Get data
+            image_url = 'https://raw.githubusercontent.com/lhoupert/calibre_contrib/main/mediapart.jpeg'
+            data = self.index_to_soup(image_url, raw=True)
+            # Get date and hour corresponding to french time zone
+            today = datetime.now(timezone.utc) + timedelta(hours=1)
+            wkd = today.weekday()
+            french_weekday={0:'Mon',1:'Mar',2:'Mer',3:'Jeu',4:'Ven',5:'Sam',6:'Dim'}
+            day = french_weekday[wkd]+'.'
+            date = day + ' ' + today.strftime('%d %b. %Y')
+            edition = today.strftime('Édition de %Hh')
+
+            # Get Cover data
+            img  = QImage()
+            img.loadFromData(data)
+
+            # Overlay date on cover
+            p = QPainter(img)
+            pen = QPen(Qt.black)
+            pen.setWidth(6)
+            p.setPen(pen)
+            font = QFont()
+            font.setFamily('Times')
+            font.setPointSize(78)
+            p.setFont(font)
+            r = QRect(0, 600, 744,100)
+            p.drawText(r, Qt.AlignmentFlag.AlignJustify | Qt.AlignmentFlag.AlignVCenter | Qt.AlignmentFlag.AlignCenter, date)
+            p.end()
+
+            # Overlay edition information on cover
+            p = QPainter(img)
+            pen = QPen(Qt.black)
+            pen.setWidth(4)
+            p.setPen(pen)
+            font = QFont()
+            font.setFamily('Times')
+            font.setItalic(True)
+            font.setPointSize(66)
+            p.setFont(font)
+            # Add date
+            r = QRect(0, 720, 744,100)
+            p.drawText(r, Qt.AlignmentFlag.AlignJustify | Qt.AlignmentFlag.AlignVCenter | Qt.AlignmentFlag.AlignCenter, edition)
+            p.end()
+            return pixmap_to_data(img)
+
+        try:
+            today=datetime.today()
+            date = today.strftime('%d %b %Y')
+            img_data = create_cover_mediapart(date)
+            cover_file.write(img_data)
+            cover_file.flush()
+        except Exception:
+            self.log.exception('Failed to generate default cover')
+            return False
+        return True
diff -pruN 5.9.0+dfsg-3/recipes/wsj_free.recipe 5.10.0+dfsg-1/recipes/wsj_free.recipe
--- 5.9.0+dfsg-3/recipes/wsj_free.recipe	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/recipes/wsj_free.recipe	2021-01-22 02:26:39.000000000 +0000
@@ -66,7 +66,7 @@ class WSJ(BasicNewsRecipe):
             ' media-object-video article_tools nc-exp-artmeta category type-InsetArticlesRelatedByType media-object-rich-text'),
         dict(name='span', attrs={
              'data-country-code': True, 'data-ticker-code': True}),
-        dict(name='meta link'.split()),
+        dict(name='meta link button'.split()),
     ]
 
     def preprocess_soup(self, soup):
@@ -184,6 +184,8 @@ class WSJ(BasicNewsRecipe):
 
             articles.append({'title': title, 'url': url,
                              'description': desc, 'date': ''})
+            if self.test and len(articles) >= self.test[1]:
+                break
 
             self.log('\tFound article:', title)
             self.log('\t\t', desc)
@@ -192,7 +194,7 @@ class WSJ(BasicNewsRecipe):
 
     def wsj_find_wn_articles(self, feeds, root, CSSSelect):
         articles = []
-        for a in CSSSelect('.style--strap--3DsLojSy'):
+        for a in CSSSelect('.style--strap--ND8Cuaip'):
             if 'WHAT\'S NEWS' in self.tag_to_string(a).upper():
                 whats_news = a.getparent()
                 break
@@ -248,6 +250,8 @@ class WSJ(BasicNewsRecipe):
             self.wsj_add_feed(feeds, title, url)
             if frontpage:
                 self.wsj_find_wn_articles(feeds, root, CSSSelect)
+            if self.test and len(feeds) >= self.test[0]:
+                break
         return feeds
 
     def test_wsj_index(self):
diff -pruN 5.9.0+dfsg-3/recipes/wsj.recipe 5.10.0+dfsg-1/recipes/wsj.recipe
--- 5.9.0+dfsg-3/recipes/wsj.recipe	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/recipes/wsj.recipe	2021-01-22 02:26:39.000000000 +0000
@@ -66,7 +66,7 @@ class WSJ(BasicNewsRecipe):
             ' media-object-video article_tools nc-exp-artmeta category type-InsetArticlesRelatedByType media-object-rich-text'),
         dict(name='span', attrs={
              'data-country-code': True, 'data-ticker-code': True}),
-        dict(name='meta link'.split()),
+        dict(name='meta link button'.split()),
     ]
 
     def preprocess_soup(self, soup):
@@ -184,6 +184,8 @@ class WSJ(BasicNewsRecipe):
 
             articles.append({'title': title, 'url': url,
                              'description': desc, 'date': ''})
+            if self.test and len(articles) >= self.test[1]:
+                break
 
             self.log('\tFound article:', title)
             self.log('\t\t', desc)
@@ -192,7 +194,7 @@ class WSJ(BasicNewsRecipe):
 
     def wsj_find_wn_articles(self, feeds, root, CSSSelect):
         articles = []
-        for a in CSSSelect('.style--strap--3DsLojSy'):
+        for a in CSSSelect('.style--strap--ND8Cuaip'):
             if 'WHAT\'S NEWS' in self.tag_to_string(a).upper():
                 whats_news = a.getparent()
                 break
@@ -248,6 +250,8 @@ class WSJ(BasicNewsRecipe):
             self.wsj_add_feed(feeds, title, url)
             if frontpage:
                 self.wsj_find_wn_articles(feeds, root, CSSSelect)
+            if self.test and len(feeds) >= self.test[0]:
+                break
         return feeds
 
     def test_wsj_index(self):
diff -pruN 5.9.0+dfsg-3/resources/builtin_recipes.xml 5.10.0+dfsg-1/resources/builtin_recipes.xml
--- 5.9.0+dfsg-3/resources/builtin_recipes.xml	2021-01-08 03:06:53.000000000 +0000
+++ 5.10.0+dfsg-1/resources/builtin_recipes.xml	2021-01-22 02:30:49.000000000 +0000
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
-<recipe_collection xmlns="http://calibre-ebook.com/recipe_collection" count="1537">
+<recipe_collection xmlns="http://calibre-ebook.com/recipe_collection" count="1534">
   <recipe id="builtin:plus_info" title="+info" author="Darko Spasovski" language="mk" needs_subscription="no" description="Macedonian news portal"/>
   <recipe id="builtin:tyzden" title=".týždeň" author="Martin Račák, zemiak" language="sk" needs_subscription="optional" description="Politicko-spoločenský týždenník."/>
   <recipe id="builtin:10minutos" title="10minutos" author="Carlos Alves" language="es_UY" needs_subscription="no" description="Noticias de Salto - Uruguay"/>
@@ -95,7 +95,7 @@
   <recipe id="builtin:bbc_fast" title="BBC News (fast)" author="Kovid Goyal" language="en_GB" needs_subscription="no" description="Visit BBC News for up-to-the-minute news, breaking news, video, audio and feature stories. BBC News provides trusted World and UK news as well as local and regional perspectives. Also entertainment, business, science, technology and health news."/>
   <recipe id="builtin:bbc_sport" title="BBC Sport" author="limawhiskey, Darko Miletic, Starson17" language="en_GB" needs_subscription="no" description="Sports news from UK. A fast version that does not download pictures"/>
   <recipe id="builtin:bbcvietnamese" title="BBC Vietnamese" author="Huan Komrade T" language="vi" needs_subscription="no" description="Vietnam news and current affairs from the British Broadcasting Corporation"/>
-  <recipe id="builtin:bsi_news" title="BSI News - DE" author="Volker Heggemann, VoHe" language="de" needs_subscription="no" description="News from BSI fetched: 2021-01-08"/>
+  <recipe id="builtin:bsi_news" title="BSI News - DE" author="Volker Heggemann, VoHe" language="de" needs_subscription="no" description="News from BSI fetched: 2021-01-22"/>
   <recipe id="builtin:bt_dk" title="BT Nyheder" author="CoderAllan.github.com" language="da" needs_subscription="no" description=""/>
   <recipe id="builtin:bugun_gazetesi" title="BUGÜN Gazetesi" author="thomass" language="tr" needs_subscription="no" description=""/>
   <recipe id="builtin:babyonline" title="Baby Online" author="Silviu Cotoară" language="ro" needs_subscription="no" description="De la părinte la părinte"/>
@@ -179,9 +179,7 @@
   <recipe id="builtin:cetnixploitation" title="Chetnixploitation" author="Darko Miletic" language="sr" needs_subscription="no" description="Filmski blog"/>
   <recipe id="builtin:chicago_breaking_news" title="Chicago Breaking News" author="Darko Miletic" language="en" needs_subscription="no" description="Breaking News from Chicago"/>
   <recipe id="builtin:chicago_tribune" title="Chicago Tribune" author="Kovid Goyal" language="en" needs_subscription="no" description="Politics, local and business news from Chicago"/>
-  <recipe id="builtin:chinadaily" title="China Daily" author="Darko Miletic" language="en_CN" needs_subscription="no" description="Chinadaily.com.cn is the largest English portal in China, providing news, business information, BBS, learning materials."/>
   <recipe id="builtin:china_economic_net" title="China Economic Net" author="rty" language="zh_CN" needs_subscription="no" description="China Economic Net Magazine"/>
-  <recipe id="builtin:china_post" title="China Post" author="Krittika Goyal" language="en_CN" needs_subscription="no" description=""/>
   <recipe id="builtin:chipro" title="Chip Online" author="Silviu Cotoară" language="ro" needs_subscription="no" description="Chip Online"/>
   <recipe id="builtin:chowk" title="Chowk" author="kwetal" language="en_IN" needs_subscription="no" description="Ideas &amp; Identities of South Asia"/>
   <recipe id="builtin:cicero" title="Cicero Online" author="Armin Geller" language="de" needs_subscription="no" description="Magazin für politische Kultur (RSS Version)"/>
@@ -486,7 +484,7 @@
   <recipe id="builtin:good_house_keeping" title="Good House Keeping" author="Anonymous" language="en" needs_subscription="no" description=""/>
   <recipe id="builtin:good_to_know" title="Good to Know (uk)" author="Anonymous" language="en_GB" needs_subscription="no" description=""/>
   <recipe id="builtin:googlemobileblog" title="Google Mobile Blog" author="calibre" language="en" needs_subscription="no" description=""/>
-  <recipe id="builtin:google_news" title="Google News" author="Volker Heggemann, VoHe" language="und" needs_subscription="no" description="Google News filter by your own recipe. Please read it in calibre software! fetched: 2021-01-08"/>
+  <recipe id="builtin:google_news" title="Google News" author="Volker Heggemann, VoHe" language="und" needs_subscription="no" description="Google News filter by your own recipe. Please read it in calibre software! fetched: 2021-01-22"/>
   <recipe id="builtin:gosc_niedzielny" title="Gość Niedzielny" author="Piotr Kontek, Tomasz Długosz" language="pl" needs_subscription="no" description="Ogólnopolski tygodnik katolicki - fragmenty artykułów z aktualnego numeru"/>
   <recipe id="builtin:gosc_full" title="Gość Niedzielny - pełny numer" author="Piotr Kontek, Tomasz Długosz" language="pl" needs_subscription="no" description="Ogólnopolski tygodnik katolicki - pełny numer sprzed 4 tygodni"/>
   <recipe id="builtin:gram_pl" title="Gram.pl" author="fenuks" language="pl" needs_subscription="no" description="Serwis społecznościowy o grach: recenzje, newsy, zapowiedzi, encyklopedia gier, forum. Gry PC, PS3, X360, PS Vita, sprzęt dla graczy."/>
@@ -513,7 +511,6 @@
   <recipe id="builtin:hannoversche_zeitung" title="Hannoversche Allgemeine Zeitung" author="Artemis" language="de" needs_subscription="no" description=""/>
   <recipe id="builtin:harpers" title="Harper's Magazine" author="Darko Miletic" language="en" needs_subscription="no" description="Harper's Magazine: Founded June 1850."/>
   <recipe id="builtin:harpers_full" title="Harper's Magazine - articles from printed edition" author="Darko Miletic" language="en" needs_subscription="optional" description="Harper's Magazine, the oldest general-interest monthly in America, explores the issues that drive our national conversation, through long-form narrative journalism and essays, and such celebrated features as the iconic Harper's Index."/>
-  <recipe id="builtin:hbr" title="Harvard Business Review" author="Kovid Goyal" language="en" needs_subscription="yes" description="To subscribe go to http://hbr.harvardbusiness.org"/>
   <recipe id="builtin:hatalska" title="Hatalska" author="teepel &lt;teepel44@gmail.com&gt;" language="pl" needs_subscription="no" description="Blog specjalistki z branży mediowo-reklamowej - Natalii Hatalskiej"/>
   <recipe id="builtin:heavy_metal_it" title="Heavy Metal" author="faber1971" language="it" needs_subscription="no" description="An Heavy metal Italian magazine"/>
   <recipe id="builtin:heise_open" title="Heise Open" author="Anton Gillert" language="de" needs_subscription="no" description="Opensource news from Germany"/>
@@ -774,7 +771,7 @@
   <recipe id="builtin:mediaindonesia" title="Media Indonesia" author="bakthariq" language="id" needs_subscription="no" description="Indonesian Media Indonesia newsportal"/>
   <recipe id="builtin:media2" title="Media2" author="teepel &lt;teepel44@gmail.com&gt;" language="pl" needs_subscription="no" description="Media2.pl to jeden z najczęściej odwiedzanych serwisów dla profesjonalistów z branży medialnej, telekomunikacyjnej, public relations oraz nowych technologii."/>
   <recipe id="builtin:mediafax" title="Mediafax" author="Silviu Cotoară" language="ro" needs_subscription="no" description="Știri din România"/>
-  <recipe id="builtin:mediapart" title="Mediapart" author="Daniel Bonnery from a version by Mathieu Godlewski, Louis Gesbert" language="fr" needs_subscription="yes" description="Global news in French from news site Mediapart"/>
+  <recipe id="builtin:mediapart" title="Mediapart" author="Loïc Houpert" language="fr" needs_subscription="yes" description="Global news in French from news site Mediapart"/>
   <recipe id="builtin:melbourne_herald_sun" title="Melbourne Herald Sun" author="Ray Hartley" language="en_AU" needs_subscription="optional" description="Victorian and National News. You will need to have a subscription to http://www.heraldsun.com.au to get full articles."/>
   <recipe id="builtin:men24_gr" title="Men24.gr" author="Stelios" language="el" needs_subscription="no" description="Greek Mens portal"/>
   <recipe id="builtin:mens_health" title="Mens Health (US)" author="Anonymous" language="en" needs_subscription="no" description=""/>
@@ -802,7 +799,7 @@
   <recipe id="builtin:motherjones" title="Mother Jones" author="Daniel Bonnery" language="en" needs_subscription="no" description=""/>
   <recipe id="builtin:murnauer_tagblatt" title="Murnauer Tagblatt" author="Bernd Boehm" language="de" needs_subscription="no" description="German  online portal of Münchner Merkur"/>
   <recipe id="builtin:myapple_pl" title="MyApple.pl" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;" language="pl" needs_subscription="no" description=" Największy w Polsce serwis zajmujący się tematyką związaną z Apple i wszelkimi produktami tej firmy."/>
-  <recipe id="builtin:my_dealz_de" title="MyDealz" author="Volker Heggemann, VoHe" language="de" needs_subscription="no" description="MyDealz - Shopping Deals for Germany fetched: 2021-01-08"/>
+  <recipe id="builtin:my_dealz_de" title="MyDealz" author="Volker Heggemann, VoHe" language="de" needs_subscription="no" description="MyDealz - Shopping Deals for Germany fetched: 2021-01-22"/>
   <recipe id="builtin:metro_montreal" title="Métro Montréal" author="Jerry Clapperton" language="fr" needs_subscription="no" description="Le quotidien le plus branché sur le monde"/>
   <recipe id="builtin:mult_kor" title="Múlt-Kor" author="pofa" language="hu" needs_subscription="no" description=""/>
   <recipe id="builtin:munchner_merkur_nord" title="Münchner Merkur Nord" author="Bernd Boehm" language="de" needs_subscription="no" description="German  online portal of Münchner Merkur"/>
@@ -983,7 +980,7 @@
   <recipe id="builtin:pressthink" title="PressThink" author="Darko Miletic" language="en" needs_subscription="no" description="Ghost of democracy in the media machine"/>
   <recipe id="builtin:german_gov" title="Pressemitteilungen der Bundesregierung" author="malfi" language="de" needs_subscription="no" description=""/>
   <recipe id="builtin:eu_commission" title="Pressemitteilungen der EU Kommission pro Politikbereich" author="malfi" language="de" needs_subscription="no" description=""/>
-  <recipe id="builtin:presse_portal" title="Presseportal DE" author="Volker Heggemann, VoHe" language="de" needs_subscription="no" description="Presseportal News Feed DE fetched: 2021-01-08"/>
+  <recipe id="builtin:presse_portal" title="Presseportal DE" author="Volker Heggemann, VoHe" language="de" needs_subscription="no" description="Presseportal News Feed DE fetched: 2021-01-22"/>
   <recipe id="builtin:private_eye" title="Private Eye Online" author="Sophist at sodalis.co.uk" language="en" needs_subscription="no" description="Private Eye is a fortnightly British satirical news and current affairs magazine, edited by Ian Hislop, offering a unique blend of humour, social and political observations and investigative journalism. This e-book is a download of the online-edition. The full edition is available only on subscription."/>
   <recipe id="builtin:pro_physik" title="Pro Physik" author="schuster, Armin Geller" language="de" needs_subscription="no" description=""/>
   <recipe id="builtin:propublica" title="Pro Publica" author="kwetal" language="en" needs_subscription="no" description="Independent investigative journalism in the public interest."/>
@@ -1127,7 +1124,7 @@
   <recipe id="builtin:spectator_magazine" title="Spectator Magazine" author="Kovid Goyal" language="en" needs_subscription="no" description="Magazine"/>
   <recipe id="builtin:spektrum" title="Spektrum der Wissenschaft" author="Armin Geller, Bratzzo, Rainer Zenz, update epubli" language="de" needs_subscription="no" description="German  online portal of Spektrum der Wissenschaft"/>
   <recipe id="builtin:spiegel_int" title="Spiegel Online International" author="Darko Miletic and Sujata Raman" language="en_DE" needs_subscription="no" description="Daily news, analysis and opinion from Europe's leading newsmagazine and Germany's top news Web site"/>
-  <recipe id="builtin:spiegelde" title="Spiegel Online RSS - German alle Themen" author="Volker Heggemann, VoHe" language="de" needs_subscription="no" description="Spiegel Online RSS News fetched: 2021-01-08"/>
+  <recipe id="builtin:spiegelde" title="Spiegel Online RSS - German alle Themen" author="Volker Heggemann, VoHe" language="de" needs_subscription="no" description="Spiegel Online RSS News fetched: 2021-01-22"/>
   <recipe id="builtin:sportowefakty" title="SportoweFakty" author="Artur Stachecki &lt;artur.stachecki@gmail.com&gt;, Tomasz Długosz &lt;tomek3d@gmail.com&gt;" language="pl" needs_subscription="no" description="Najważniejsze informacje sportowe z kraju i ze świata, relacje, komentarze, wywiady, zdjęcia!"/>
   <recipe id="builtin:sports_illustrated" title="Sports Illustrated" author="Kovid Goyal" language="en" needs_subscription="no" description=""/>
   <recipe id="builtin:sporza_be" title="Sporza.be" author="erkfuizfeuadjfjzefzfuzeff" language="nl_BE" needs_subscription="no" description="Sport news from Belgium in Dutch"/>
Binary files 5.9.0+dfsg-3/resources/builtin_recipes.zip and 5.10.0+dfsg-1/resources/builtin_recipes.zip differ
diff -pruN 5.9.0+dfsg-3/resources/changelog.json 5.10.0+dfsg-1/resources/changelog.json
--- 5.9.0+dfsg-3/resources/changelog.json	2021-01-08 03:49:22.000000000 +0000
+++ 5.10.0+dfsg-1/resources/changelog.json	2021-01-22 02:30:51.000000000 +0000
@@ -1,5 +1,104 @@
 [
     {
+        "version": "5.10.0",
+        "date": "2021-01-22",
+        "new features": [
+            {
+                "tickets": [
+                    1911888
+                ],
+                "title": "Bulk metadata edit: Add a new control to compress the cover image files for all selected books"
+            },
+            {
+                "tickets": [
+                    1912212
+                ],
+                "title": "Add support for the CB7 comic file file format"
+            },
+            {
+                "tickets": [
+                    1912070
+                ],
+                "title": "E-book viewer: Allow adding a button to the selection bar that copies thecurrently selected text along with a calibre:// URL to show the text in the book"
+            },
+            {
+                "title": "Conversion: Insert metadata: Allow showing identifiers such as ISBN in the jacket page template"
+            },
+            {
+                "title": "Conversion: Insert metadata: Allow hiding entries in the jacket template when they are not present in the metadata"
+            },
+            {
+                "tickets": [
+                    1912337
+                ],
+                "title": "calibre-server --manage-users: Add a scriptable interface: calibre-server --manage-users -- help"
+            },
+            {
+                "tickets": [
+                    1912070
+                ],
+                "title": "E-book viewer: Add keyboard shortcuts to copy the current location to the clipboard"
+            },
+            {
+                "tickets": [
+                    1912003
+                ],
+                "title": "E-book viewer: Highlight all currently visible Table of Contents entries, not just the first"
+            },
+            {
+                "title": "Add a new tweak under Preferences->Tweaks->Author sort name algorithm to optionally recognizecommon surname prefixes such as von, van, de, etc. when generating sort names."
+            }
+        ],
+        "bug fixes": [
+            {
+                "tickets": [
+                    1911470
+                ],
+                "title": "E-book viewer: Move read aloud pop-up bar to the bottom of the screen in flow mode"
+            },
+            {
+                "tickets": [
+                    1911218
+                ],
+                "title": "E-book viewer: Fix scrolling with two fingers on touch pad on macOS not smooth"
+            },
+            {
+                "tickets": [
+                    1911466
+                ],
+                "title": "PDF Output: When converting fixed layout input documents fix anchors inserted for navigation sometimes being rendered as blue boxes"
+            },
+            {
+                "tickets": [
+                    1904350
+                ],
+                "title": "Edit book: Remove unused CSS: Fix selectors that don't match from CSS rules containing multiple selectors not being removed"
+            },
+            {
+                "title": "Bulk metadata download: Fix series number not being changes if the series is the same as the existing series"
+            },
+            {
+                "title": "E-book viewer: Fix a regression that caused non-HTML descriptions to not be displayed in the metadata page"
+            },
+            {
+                "title": "E-book viewer: Fix clock being displayed in 24 hr format on some systems even though system locale is set to use 12 hr format."
+            },
+            {
+                "title": "Bulk metadata edit: Fix regression that inverted the meaning of the case sensitivity setting in the Search & replace tab"
+            },
+            {
+                "title": "calibredb list: Fix incorrect output when redirecting to file"
+            }
+        ],
+        "improved recipes": [
+            "Jacobin",
+            "Japan Times",
+            "The Wall Street Journal",
+            "Mediapart"
+        ],
+        "new recipes": []
+    },
+    {
         "version": "5.9.0",
         "date": "2021-01-08",
         "new features": [
@@ -27,6 +126,10 @@
         ],
         "bug fixes": [
             {
+                "tickets": [
+                    1909880,
+                    1906152
+                ],
                 "title": "Fix a regression that caused the Content server to crash if a client closed a connection during a file transfer on macOS and Linux."
             },
             {
diff -pruN 5.9.0+dfsg-3/resources/content-server/index-generated.html 5.10.0+dfsg-1/resources/content-server/index-generated.html
--- 5.9.0+dfsg-3/resources/content-server/index-generated.html	2021-01-08 03:54:49.000000000 +0000
+++ 5.10.0+dfsg-1/resources/content-server/index-generated.html	2021-01-22 02:30:37.000000000 +0000
@@ -4912,9 +4912,9 @@ var str = ρσ_str, repr = ρσ_repr;;
     ρσ_modules["read_book.prefs.main"] = {};
     ρσ_modules["read_book.word_actions"] = {};
     ρσ_modules["read_book.overlay"] = {};
+    ρσ_modules["read_book.read_aloud"] = {};
     ρσ_modules["read_book.scrollbar"] = {};
     ρσ_modules["read_book.search"] = {};
-    ρσ_modules["read_book.read_aloud"] = {};
     ρσ_modules["read_book.timers"] = {};
     ρσ_modules["read_book.view"] = {};
     ρσ_modules["read_book.ui"] = {};
@@ -18047,6 +18047,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     ρσ_d["read_aloud"] = desc("Ctrl+s", "ui", _("Read aloud"));
                     ρσ_d["toggle_hints"] = desc("Alt+f", "ui", _("Follow links with the keyboard"));
                     ρσ_d["copy_to_clipboard"] = desc(['Ctrl+c', 'Meta+c'], "ui", _("Copy to clipboard"));
+                    ρσ_d["copy_location_to_clipboard"] = desc(['Alt+c'], "ui", _("Copy current location to clipboard"));
+                    ρσ_d["copy_location_as_url_to_clipboard"] = desc(['Ctrl+Shift+c'], "ui", _("Copy current location as calibre:// URL to clipboard"));
                     ρσ_d["start_search"] = desc(['/', 'Ctrl+f'], "ui", _("Start search"));
                     ρσ_d["next_match"] = desc(['F3', 'Enter'], "ui", _("Find next"));
                     ρσ_d["previous_match"] = desc(['Shift+F3'], "ui", _("Find previous"));
@@ -19256,9 +19258,10 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     }
                 }
             }
-            if (di) {
+            if (Math.abs(di) >= 1) {
                 scroll_viewport.scroll_by_in_inline_direction(di);
-            } else if (Math.abs(db) >= 1) {
+            }
+            if (Math.abs(db) >= 1) {
                 scroll_by_and_check_next_page(db);
             }
         };
@@ -21631,8 +21634,8 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
 
         var encode_query = ρσ_modules.ajax.encode_query;
 
-        var get_session_data = ρσ_modules["book_list.globals"].get_session_data;
         var get_current_query = ρσ_modules["book_list.globals"].get_current_query;
+        var get_session_data = ρσ_modules["book_list.globals"].get_session_data;
 
         var get_color = ρσ_modules["book_list.theme"].get_color;
 
@@ -21653,7 +21656,9 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
         var question_dialog = ρσ_modules.modals.question_dialog;
         var warning_dialog = ρσ_modules.modals.warning_dialog;
 
+        var current_book = ρσ_modules["read_book.globals"].current_book;
         var is_dark_theme = ρσ_modules["read_book.globals"].is_dark_theme;
+        var runtime = ρσ_modules["read_book.globals"].runtime;
 
         var create_button = ρσ_modules.widgets.create_button;
 
@@ -22492,6 +22497,41 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
             __module__ : {value: "read_book.highlights"}
         });
 
+        function get_current_link_prefix() {
+            var link_prefix;
+            if (runtime.is_standalone_viewer) {
+                return current_book().calibre_book_url;
+            }
+            link_prefix = window.location.href;
+            return link_prefix.slice(0, link_prefix.indexOf("#") + 1);
+        };
+        if (!get_current_link_prefix.__module__) Object.defineProperties(get_current_link_prefix, {
+            __module__ : {value: "read_book.highlights"}
+        });
+
+        function link_to_epubcfi(epubcfi, link_prefix, current_query) {
+            var link;
+            if (runtime.is_standalone_viewer) {
+                current_query = (function(){
+                    var ρσ_d = Object.create(null);
+                    ρσ_d["open_at"] = epubcfi;
+                    return ρσ_d;
+                }).call(this);
+                link = encode_query(current_query);
+            } else {
+                if (!current_query) {
+                    current_query = Object.assign(Object.create(null), get_current_query());
+                }
+                current_query.bookpos = epubcfi;
+                link = encode_query(current_query).slice(1);
+            }
+            return link_prefix + link.replace(/\)/g, "%29").replace(/\(/g, "%28");
+        };
+        if (!link_to_epubcfi.__argnames__) Object.defineProperties(link_to_epubcfi, {
+            __argnames__ : {value: ["epubcfi", "link_prefix", "current_query"]},
+            __module__ : {value: "read_book.highlights"}
+        });
+
         function render_highlight_as_text() {
             var hl = ( 0 === arguments.length-1 && arguments[arguments.length-1] !== null && typeof arguments[arguments.length-1] === "object" && arguments[arguments.length-1] [ρσ_kwargs_symbol] === true) ? undefined : arguments[0];
             var lines = ( 1 === arguments.length-1 && arguments[arguments.length-1] !== null && typeof arguments[arguments.length-1] === "object" && arguments[arguments.length-1] [ρσ_kwargs_symbol] === true) ? undefined : arguments[1];
@@ -22509,8 +22549,7 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
             if (as_markdown) {
                 cfi = hl.start_cfi;
                 spine_index = (1 + hl.spine_index) * 2;
-                current_query.bookpos = "epubcfi(/" + ρσ_str.format("{}", spine_index) + "" + ρσ_str.format("{}", cfi) + ")";
-                link = link_prefix + encode_query(current_query).slice(1).replace(/\)/g, "%29");
+                link = link_to_epubcfi("epubcfi(/" + ρσ_str.format("{}", spine_index) + "" + ρσ_str.format("{}", cfi) + ")", link_prefix, current_query);
                 date = "[" + ρσ_str.format("{}", date) + "](" + ρσ_str.format("{}", link) + ")";
             }
             lines.push(date);
@@ -22547,8 +22586,7 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
             idx = href.indexOf("#");
             href = href.slice(0, idx + 1);
             current_query = Object.assign(Object.create(null), get_current_query());
-            link_prefix = window.location.href;
-            link_prefix = link_prefix.slice(0, link_prefix.indexOf("#") + 1);
+            link_prefix = get_current_link_prefix();
             function update_text() {
                 var data, as_markdown, lines, hl;
                 if (fmt === "calibre_annotations_collection") {
@@ -23015,6 +23053,8 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
         ρσ_modules["read_book.highlights"].EditNotesAndColors = EditNotesAndColors;
         ρσ_modules["read_book.highlights"].get_container_id = get_container_id;
         ρσ_modules["read_book.highlights"].get_container = get_container;
+        ρσ_modules["read_book.highlights"].get_current_link_prefix = get_current_link_prefix;
+        ρσ_modules["read_book.highlights"].link_to_epubcfi = link_to_epubcfi;
         ρσ_modules["read_book.highlights"].render_highlight_as_text = render_highlight_as_text;
         ρσ_modules["read_book.highlights"].show_export_dialog = show_export_dialog;
         ρσ_modules["read_book.highlights"].focus_search = focus_search;
@@ -24921,7 +24961,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         });
 
         function get_current_toc_nodes() {
-            var toc, ρσ_unpack, parent_map, id_map, data, ans, before;
+            var toc, ρσ_unpack, parent_map, id_map, data, ans, before, r, fam, x;
             toc = current_book().manifest.toc;
             ρσ_unpack = get_toc_maps(toc);
 ρσ_unpack = ρσ_unpack_asarray(2, ρσ_unpack);
@@ -24941,11 +24981,16 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     }
                 }
             }
-            ans = Object.keys(ans);
-            if (ans.length) {
-                return family_for_toc_node(ans[0], parent_map, id_map);
+            r = [];
+            var ρσ_Iter2 = ρσ_Iterable(Object.keys(ans));
+            for (var ρσ_Index2 = 0; ρσ_Index2 < ρσ_Iter2.length; ρσ_Index2++) {
+                x = ρσ_Iter2[ρσ_Index2];
+                fam = family_for_toc_node(x, parent_map, id_map);
+                if ((typeof fam !== "undefined" && fam !== null ? fam : Object.create(null)).length) {
+                    r.push(fam);
+                }
             }
-            return [];
+            return r;
         };
         if (!get_current_toc_nodes.__module__) Object.defineProperties(get_current_toc_nodes, {
             __module__ : {value: "read_book.toc"}
@@ -24967,9 +25012,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     }
                 }
             }
-            var ρσ_Iter2 = ρσ_Iterable(Object.keys(ans));
-            for (var ρσ_Index2 = 0; ρσ_Index2 < ρσ_Iter2.length; ρσ_Index2++) {
-                node_id = ρσ_Iter2[ρσ_Index2];
+            var ρσ_Iter3 = ρσ_Iterable(Object.keys(ans));
+            for (var ρσ_Index3 = 0; ρσ_Index3 < ρσ_Iter3.length; ρσ_Index3++) {
+                node_id = ρσ_Iter3[ρσ_Index3];
                 p = parent_map[(typeof node_id === "number" && node_id < 0) ? parent_map.length + node_id : node_id];
                 while (p && p.title) {
                     ans[ρσ_bound_index(p.id, ans)] = true;
@@ -24995,9 +25040,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 var c;
                 id_map[ρσ_bound_index(node.id, id_map)] = node;
                 parent_map[ρσ_bound_index(node.id, parent_map)] = parent;
-                var ρσ_Iter3 = ρσ_Iterable(node.children);
-                for (var ρσ_Index3 = 0; ρσ_Index3 < ρσ_Iter3.length; ρσ_Index3++) {
-                    c = ρσ_Iter3[ρσ_Index3];
+                var ρσ_Iter4 = ρσ_Iterable(node.children);
+                for (var ρσ_Index4 = 0; ρσ_Index4 < ρσ_Iter4.length; ρσ_Index4++) {
+                    c = ρσ_Iter4[ρσ_Index4];
                     process_node(c, node);
                 }
             };
@@ -25097,9 +25142,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 am = Object.create(null);
                 anchors = [];
                 pos_map = Object.create(null);
-                var ρσ_Iter4 = ρσ_Iterable(enumerate(tam[(typeof name === "number" && name < 0) ? tam.length + name : name] || []));
-                for (var ρσ_Index4 = 0; ρσ_Index4 < ρσ_Iter4.length; ρσ_Index4++) {
-                    ρσ_unpack = ρσ_Iter4[ρσ_Index4];
+                var ρσ_Iter5 = ρσ_Iterable(enumerate(tam[(typeof name === "number" && name < 0) ? tam.length + name : name] || []));
+                for (var ρσ_Index5 = 0; ρσ_Index5 < ρσ_Iter5.length; ρσ_Index5++) {
+                    ρσ_unpack = ρσ_Iter5[ρσ_Index5];
                     i = ρσ_unpack[0];
                     anchor = ρσ_unpack[1];
                     val = anchor_funcs.pos_for_elem();
@@ -25147,9 +25192,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             before = after = null;
             visible_anchors = Object.create(null);
             has_visible = false;
-            var ρσ_Iter5 = ρσ_Iterable(tam.sorted_anchors);
-            for (var ρσ_Index5 = 0; ρσ_Index5 < ρσ_Iter5.length; ρσ_Index5++) {
-                anchor_id = ρσ_Iter5[ρσ_Index5];
+            var ρσ_Iter6 = ρσ_Iterable(tam.sorted_anchors);
+            for (var ρσ_Index6 = 0; ρσ_Index6 < ρσ_Iter6.length; ρσ_Index6++) {
+                anchor_id = ρσ_Iter6[ρσ_Index6];
                 pos = (ρσ_expr_temp = tam.pos_map)[(typeof anchor_id === "number" && anchor_id < 0) ? ρσ_expr_temp.length + anchor_id : anchor_id];
                 visibility = anchor_funcs.visibility(pos);
                 if (visibility < 0) {
@@ -25192,9 +25237,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     }
                     return ρσ_Result;
                 })();
-                var ρσ_Iter6 = ρσ_Iterable(tam.sorted_anchors);
-                for (var ρσ_Index6 = 0; ρσ_Index6 < ρσ_Iter6.length; ρσ_Index6++) {
-                    anchor_id = ρσ_Iter6[ρσ_Index6];
+                var ρσ_Iter7 = ρσ_Iterable(tam.sorted_anchors);
+                for (var ρσ_Index7 = 0; ρσ_Index7 < ρσ_Iter7.length; ρσ_Index7++) {
+                    anchor_id = ρσ_Iter7[ρσ_Index7];
                     anchor = amap[(typeof anchor_id === "number" && anchor_id < 0) ? amap.length + anchor_id : anchor_id];
                     is_before = true;
                     if (anchor.frag) {
@@ -26348,7 +26393,7 @@ return this.__repr__();
         var is_ios = ρσ_modules.utils.is_ios;
 
         FORCE_FLOW_MODE = false;
-        CALIBRE_VERSION = "5.9.0";
+        CALIBRE_VERSION = "5.10.0";
         ERS_SUPPORTED_FEATURES = (function(){
             var s = ρσ_set();
             s.jsset.add("dom-manipulation");
@@ -27748,6 +27793,15 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 }
                 ρσ_interpolate_kwargs.call(self, self.send_message, ["annotations"].concat([ρσ_desugar_kwargs({type: "highlight-applied", uuid: data.uuid, ok: annot_id !== null, bounds: bounds, removed_highlights: removed_highlights, highlighted_text: text, anchor_before: anchor_before})]));
                 reset_find_caches();
+            } else if (dtype === "cite-current-selection") {
+                sel = window.getSelection();
+                if (!sel.rangeCount) {
+                    return;
+                }
+                bounds = cfi_for_selection();
+                anchor_before = find_anchor_before_range(sel.getRangeAt(0), self.book.manifest.toc_anchor_map, self.anchor_funcs);
+                text = sel.toString();
+                ρσ_interpolate_kwargs.call(self, self.send_message, ["annotations"].concat([ρσ_desugar_kwargs({type: "cite-data", bounds: bounds, highlighted_text: text})]));
             } else {
                 console.log("Ignoring annotations message to iframe with unknown type: " + dtype);
             }
@@ -30597,7 +30651,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var h;
             h = (as_utc) ? dt.getUTCHours() : dt.getHours();
             if (ampm) {
-                h = h % 12;
+                h %= 12;
             }
             return (hr.length === 1) ? h.toString() : str.format("{:02d}", h);
         };
@@ -30768,7 +30822,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             var ans;
             ans = am_pm_pat.ans;
             if (!(typeof ans !== "undefined" && ans !== null)) {
-                ans = am_pm_pat.ans = /(ap)|(a)/;
+                ans = am_pm_pat.ans = /(ap)|(a)|(AP)|(A)/;
             }
             return ans;
         };
@@ -34202,7 +34256,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                                 var ρσ_Iter = ρσ_Iterable(val.split("\n\n")), ρσ_Result = [], x;
                                 for (var ρσ_Index = 0; ρσ_Index < ρσ_Iter.length; ρσ_Index++) {
                                     x = ρσ_Iter[ρσ_Index];
-                                    ρσ_Result.push("<p class=\"description\">{}</p>".format(x.pyreplace("\n", "<br>")));
+                                    ρσ_Result.push("<p class=\"description\">{}</p>".format(x.replace(/\n/g, "<br>")));
                                 }
                                 ρσ_Result = ρσ_list_constructor(ρσ_Result);
                                 return ρσ_Result;
@@ -36320,10 +36374,6 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var DRAG_SCROLL_ZONE_MIN_HEIGHT, BUTTON_MARGIN, HIDDEN, WAITING, DRAGGING, EDITING;
         var E = ρσ_modules.elementmaker.E;
 
-        var _ = ρσ_modules.gettext.gettext;
-
-        var short_uuid = ρσ_modules.uuid.short_uuid;
-
         var get_session_data = ρσ_modules["book_list.globals"].get_session_data;
 
         var get_color = ρσ_modules["book_list.theme"].get_color;
@@ -36333,9 +36383,11 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var svgicon = ρσ_modules.dom.svgicon;
         var unique_id = ρσ_modules.dom.unique_id;
 
+        var _ = ρσ_modules.gettext.gettext;
+
+        var create_custom_dialog = ρσ_modules.modals.create_custom_dialog;
         var error_dialog = ρσ_modules.modals.error_dialog;
         var question_dialog = ρσ_modules.modals.question_dialog;
-        var create_custom_dialog = ρσ_modules.modals.create_custom_dialog;
 
         var runtime = ρσ_modules["read_book.globals"].runtime;
         var ui_operations = ρσ_modules["read_book.globals"].ui_operations;
@@ -36344,14 +36396,18 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var EditNotesAndColors = ρσ_modules["read_book.highlights"].EditNotesAndColors;
         var HighlightStyle = ρσ_modules["read_book.highlights"].HighlightStyle;
         var all_styles = ρσ_modules["read_book.highlights"].all_styles;
+        var get_current_link_prefix = ρσ_modules["read_book.highlights"].get_current_link_prefix;
+        var link_to_epubcfi = ρσ_modules["read_book.highlights"].link_to_epubcfi;
         var render_notes = ρσ_modules["read_book.highlights"].render_notes;
 
-        var create_button = ρσ_modules.widgets.create_button;
-
         var shortcut_for_key_event = ρσ_modules["read_book.shortcuts"].shortcut_for_key_event;
 
-        var get_toc_nodes_bordering_spine_item = ρσ_modules["read_book.toc"].get_toc_nodes_bordering_spine_item;
         var family_for_toc_node = ρσ_modules["read_book.toc"].family_for_toc_node;
+        var get_toc_nodes_bordering_spine_item = ρσ_modules["read_book.toc"].get_toc_nodes_bordering_spine_item;
+
+        var short_uuid = ρσ_modules.uuid.short_uuid;
+
+        var create_button = ρσ_modules.widgets.create_button;
 
         DRAG_SCROLL_ZONE_MIN_HEIGHT = 10;
         BUTTON_MARGIN = "0.5rem";
@@ -36660,6 +36716,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     ρσ_d["remove_highlight"] = a("trash", _("Remove this highlight"), "remove_highlight", true);
                     ρσ_d["clear"] = a("close", _("Clear selection"), "clear_selection");
                     ρσ_d["speak"] = a("bullhorn", _("Read aloud"), "speak_aloud");
+                    ρσ_d["cite"] = a("reference-mode", _("Copy citation to clipboard"), "cite");
                     return ρσ_d;
                 }).call(this);
                 qh = all_actions.ans.quick_highlight;
@@ -36752,6 +36809,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             this.internet_search = SelectionBar.prototype.internet_search.bind(this);
             this.clear_selection = SelectionBar.prototype.clear_selection.bind(this);
             this.speak_aloud = SelectionBar.prototype.speak_aloud.bind(this);
+            this.cite = SelectionBar.prototype.cite.bind(this);
             this.create_highlight = SelectionBar.prototype.create_highlight.bind(this);
             this.quick_highlight = SelectionBar.prototype.quick_highlight.bind(this);
             this.quick_highlight_with_style = SelectionBar.prototype.quick_highlight_with_style.bind(this);
@@ -37952,6 +38010,13 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         if (!SelectionBar.prototype.speak_aloud.__module__) Object.defineProperties(SelectionBar.prototype.speak_aloud, {
             __module__ : {value: "read_book.selection_bar"}
         });
+        SelectionBar.prototype.cite = function cite() {
+            var self = this;
+            self.send_message("cite-current-selection");
+        };
+        if (!SelectionBar.prototype.cite.__module__) Object.defineProperties(SelectionBar.prototype.cite, {
+            __module__ : {value: "read_book.selection_bar"}
+        });
         SelectionBar.prototype.create_highlight = function create_highlight() {
             var self = this;
             var cs, hs, notes, am, q;
@@ -38062,7 +38127,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         });
         SelectionBar.prototype.handle_message = function handle_message(msg) {
             var self = this;
-            var notes, toc_family, before;
+            var notes, toc_family, before, spine_index, cfi, link_prefix, url, text;
             if (msg.type === "highlight-applied") {
                 notes = self.current_notes;
                 self.current_notes = "";
@@ -38087,6 +38152,17 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 self.report_failed_edit_highlight(msg.uuid);
             } else if (msg.type === "double-click") {
                 self.last_double_click_at = window.performance.now();
+            } else if (msg.type === "cite-data") {
+                spine_index = self.view.currently_showing.spine_index;
+                spine_index = (1 + spine_index) * 2;
+                cfi = msg.bounds.start;
+                link_prefix = get_current_link_prefix();
+                if (!link_prefix) {
+                    return self.view.show_not_a_library_book_error();
+                }
+                url = link_to_epubcfi("epubcfi(/" + ρσ_str.format("{}", spine_index) + "" + ρσ_str.format("{}", cfi) + ")", link_prefix);
+                text = msg.highlighted_text.replace(/\[/g, "\\[").replace(/\]/g, "\\]");
+                ui_operations.copy_selection("[" + ρσ_str.format("{}", text) + "](" + ρσ_str.format("{}", url) + ")");
             } else {
                 print("Ignoring annotations message with unknown type:", msg.type);
             }
@@ -41383,6 +41459,459 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
     })();
 
     (function(){
+        var __name__ = "read_book.read_aloud";
+        var HIDDEN, WAITING_FOR_PLAY_TO_START, PAUSED, PLAYING, STOPPED;
+        var E = ρσ_modules.elementmaker.E;
+
+        var get_session_data = ρσ_modules["book_list.globals"].get_session_data;
+
+        var get_color = ρσ_modules["book_list.theme"].get_color;
+
+        var clear = ρσ_modules.dom.clear;
+        var svgicon = ρσ_modules.dom.svgicon;
+        var unique_id = ρσ_modules.dom.unique_id;
+
+        var _ = ρσ_modules.gettext.gettext;
+
+        var runtime = ρσ_modules["read_book.globals"].runtime;
+        var ui_operations = ρσ_modules["read_book.globals"].ui_operations;
+
+        var ICON_SIZE = ρσ_modules["read_book.highlights"].ICON_SIZE;
+
+        var BUTTON_MARGIN = ρσ_modules["read_book.selection_bar"].BUTTON_MARGIN;
+        var get_margins = ρσ_modules["read_book.selection_bar"].get_margins;
+        var map_to_iframe_coords = ρσ_modules["read_book.selection_bar"].map_to_iframe_coords;
+
+        var shortcut_for_key_event = ρσ_modules["read_book.shortcuts"].shortcut_for_key_event;
+
+        HIDDEN = 0;
+        WAITING_FOR_PLAY_TO_START = 1;
+        PAUSED = 2;
+        PLAYING = 3;
+        STOPPED = 4;
+        function is_flow_mode() {
+            var sd, mode;
+            sd = get_session_data();
+            mode = sd.get("read_mode");
+            return mode === "flow";
+        };
+        if (!is_flow_mode.__module__) Object.defineProperties(is_flow_mode, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+
+        function ReadAloud() {
+            if (this.ρσ_object_id === undefined) Object.defineProperty(this, "ρσ_object_id", {"value":++ρσ_object_counter});
+            ReadAloud.prototype.__bind_methods__.call(this);
+            ReadAloud.prototype.__init__.apply(this, arguments);
+        }
+        Object.defineProperty(ReadAloud.prototype, "__bind_methods__", {value: function () {
+            this.hide = ReadAloud.prototype.hide.bind(this);
+            this.show = ReadAloud.prototype.show.bind(this);
+            this.focus = ReadAloud.prototype.focus.bind(this);
+            this.build_bar = ReadAloud.prototype.build_bar.bind(this);
+            this.configure = ReadAloud.prototype.configure.bind(this);
+            this.slower = ReadAloud.prototype.slower.bind(this);
+            this.faster = ReadAloud.prototype.faster.bind(this);
+            this.play = ReadAloud.prototype.play.bind(this);
+            this.pause = ReadAloud.prototype.pause.bind(this);
+            this.stop = ReadAloud.prototype.stop.bind(this);
+            this.toggle = ReadAloud.prototype.toggle.bind(this);
+            this.container_clicked = ReadAloud.prototype.container_clicked.bind(this);
+            this.on_keydown = ReadAloud.prototype.on_keydown.bind(this);
+            this.handle_tts_event = ReadAloud.prototype.handle_tts_event.bind(this);
+            this.send_message = ReadAloud.prototype.send_message.bind(this);
+            this.handle_message = ReadAloud.prototype.handle_message.bind(this);
+        }});
+        Object.defineProperties(ReadAloud.prototype,  {
+            "container": {
+                "enumerable": true, 
+                "get": function container() {
+                    var self = this;
+                    return document.getElementById("book-read-aloud-overlay");
+                }, 
+                "set": function () { throw new AttributeError("can't set attribute") }
+            }, 
+            "supports_css_min_max": {
+                "enumerable": true, 
+                "get": function supports_css_min_max() {
+                    var self = this;
+                    return !runtime.is_standalone_viewer || runtime.QT_VERSION >= 331520;
+                }, 
+                "set": function () { throw new AttributeError("can't set attribute") }
+            }, 
+            "bar": {
+                "enumerable": true, 
+                "get": function bar() {
+                    var self = this;
+                    return document.getElementById(self.bar_id);
+                }, 
+                "set": function () { throw new AttributeError("can't set attribute") }
+            }, 
+            "is_visible": {
+                "enumerable": true, 
+                "get": function is_visible() {
+                    var self = this;
+                    return self.container.style.display !== "none";
+                }, 
+                "set": function () { throw new AttributeError("can't set attribute") }
+            }, 
+            "state": {
+                "enumerable": true, 
+                "get": function state() {
+                    var self = this;
+                    return self._state;
+                }, 
+                "set": function state(val) {
+                    var self = this;
+                    if (val !== self._state) {
+                        self._state = val;
+                        self.build_bar();
+                    }
+                }
+            }, 
+        });
+        ReadAloud.prototype.__init__ = function __init__(view) {
+            var self = this;
+            var container;
+            self.view = view;
+            self._state = HIDDEN;
+            self.bar_id = unique_id("bar");
+            container = self.container;
+            container.setAttribute("tabindex", "0");
+            container.style.overflow = "hidden";
+            container.style.justifyContent = "flex-end";
+            container.style.alignItems = (is_flow_mode()) ? "flex-end" : "flex-start";
+            container.appendChild(ρσ_interpolate_kwargs.call(E, E.div, [ρσ_desugar_kwargs({id: self.bar_id, style: "border: solid 1px currentColor; border-radius: 5px;display: flex; flex-direction: column; margin: 1rem;"})]));
+            container.addEventListener("keydown", self.on_keydown, (function(){
+                var ρσ_d = Object.create(null);
+                ρσ_d["passive"] = false;
+                return ρσ_d;
+            }).call(this));
+            container.addEventListener("click", self.container_clicked, (function(){
+                var ρσ_d = Object.create(null);
+                ρσ_d["passive"] = false;
+                return ρσ_d;
+            }).call(this));
+        };
+        if (!ReadAloud.prototype.__init__.__argnames__) Object.defineProperties(ReadAloud.prototype.__init__, {
+            __argnames__ : {value: ["view"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.__argnames__ = ReadAloud.prototype.__init__.__argnames__;
+        ReadAloud.__handles_kwarg_interpolation__ = ReadAloud.prototype.__init__.__handles_kwarg_interpolation__;
+        ReadAloud.prototype.hide = function hide() {
+            var self = this;
+            if (self.state !== HIDDEN) {
+                ui_operations.tts("stop");
+                self.state = HIDDEN;
+                self.container.style.display = "none";
+                self.view.focus_iframe();
+                if (ui_operations.read_aloud_state_changed) {
+                    ui_operations.read_aloud_state_changed(false);
+                }
+            }
+        };
+        if (!ReadAloud.prototype.hide.__module__) Object.defineProperties(ReadAloud.prototype.hide, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.show = function show() {
+            var self = this;
+            if (self.state === HIDDEN) {
+                self.container.style.display = "flex";
+                self.state = STOPPED;
+                self.focus();
+                if (ui_operations.read_aloud_state_changed) {
+                    ui_operations.read_aloud_state_changed(true);
+                }
+            }
+        };
+        if (!ReadAloud.prototype.show.__module__) Object.defineProperties(ReadAloud.prototype.show, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.focus = function focus() {
+            var self = this;
+            self.container.focus();
+        };
+        if (!ReadAloud.prototype.focus.__module__) Object.defineProperties(ReadAloud.prototype.focus, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.build_bar = function build_bar(annot_id) {
+            var self = this;
+            var bar_container, x, bar, notes_container;
+            if (self.state === HIDDEN) {
+                return;
+            }
+            self.container.style.alignItems = (is_flow_mode()) ? "flex-end" : "flex-start";
+            bar_container = self.bar;
+            clear(bar_container);
+            bar_container.style.maxWidth = (self.supports_css_min_max) ? "min(40rem, 80vw)" : "40rem";
+            bar_container.style.backgroundColor = get_color("window-background");
+            var ρσ_Iter0 = ρσ_Iterable(ρσ_list_decorate([ ρσ_interpolate_kwargs.call(E, E.div, [ρσ_desugar_kwargs({style: "height: 4ex; display: flex; align-items: center; padding: 5px; justify-content: center"})]), ρσ_interpolate_kwargs.call(E, E.hr, [ρσ_desugar_kwargs({style: "border-top: solid 1px; margin: 0; padding: 0; display: none"})]), ρσ_interpolate_kwargs.call(E, E.div, [E.div()].concat([ρσ_desugar_kwargs({style: "display: none; padding: 5px; font-size: smaller"})])) ]));
+            for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
+                x = ρσ_Iter0[ρσ_Index0];
+                bar_container.appendChild(x);
+            }
+            bar = bar_container.firstChild;
+            function cb(name, icon, text) {
+                var ans;
+                ans = svgicon(icon, ICON_SIZE, ICON_SIZE, text);
+                if (name) {
+                    ans.addEventListener("click", (function() {
+                        var ρσ_anonfunc = function (ev) {
+                            [ev.stopPropagation(), ev.preventDefault()];
+                            self[(typeof name === "number" && name < 0) ? self.length + name : name](ev);
+                            self.view.focus_iframe();
+                        };
+                        if (!ρσ_anonfunc.__argnames__) Object.defineProperties(ρσ_anonfunc, {
+                            __argnames__ : {value: ["ev"]},
+                            __module__ : {value: "read_book.read_aloud"}
+                        });
+                        return ρσ_anonfunc;
+                    })());
+                }
+                ans.classList.add("simple-link");
+                ans.style.marginLeft = ans.style.marginRight = BUTTON_MARGIN;
+                return ans;
+            };
+            if (!cb.__argnames__) Object.defineProperties(cb, {
+                __argnames__ : {value: ["name", "icon", "text"]},
+                __module__ : {value: "read_book.read_aloud"}
+            });
+
+            if (self.state === PLAYING) {
+                bar.appendChild(cb("pause", "pause", _("Pause reading")));
+            } else if (self.state === WAITING_FOR_PLAY_TO_START) {
+                bar.appendChild(cb(null, "hourglass", _("Pause reading")));
+            } else {
+                bar.appendChild(cb("play", "play", (self.state === STOPPED) ? _("Start reading") : _("Resume reading")));
+            }
+            bar.appendChild(cb("slower", "slower", _("Slow down speech")));
+            bar.appendChild(cb("faster", "faster", _("Speed up speech")));
+            bar.appendChild(cb("configure", "cogs", _("Configure Read aloud")));
+            bar.appendChild(cb("hide", "close", _("Close Read aloud")));
+            if (self.state !== WAITING_FOR_PLAY_TO_START) {
+                notes_container = bar_container.lastChild;
+                notes_container.style.display = notes_container.previousSibling.style.display = "block";
+                notes_container = notes_container.lastChild;
+                if (self.state === STOPPED) {
+                    notes_container.textContent = _("Tap/click on a word to start from there");
+                } else if (self.state === PLAYING) {
+                    notes_container.textContent = _("Tap/click on a word to skip to it");
+                } else {
+                    notes_container.textContent = _("Tap/click on a word to continue from there");
+                }
+            }
+        };
+        if (!ReadAloud.prototype.build_bar.__argnames__) Object.defineProperties(ReadAloud.prototype.build_bar, {
+            __argnames__ : {value: ["annot_id"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.configure = function configure() {
+            var self = this;
+            self.pause();
+            self.waiting_for_configure = true;
+            ui_operations.tts("configure");
+        };
+        if (!ReadAloud.prototype.configure.__module__) Object.defineProperties(ReadAloud.prototype.configure, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.slower = function slower() {
+            var self = this;
+            ui_operations.tts("slower");
+        };
+        if (!ReadAloud.prototype.slower.__module__) Object.defineProperties(ReadAloud.prototype.slower, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.faster = function faster() {
+            var self = this;
+            ui_operations.tts("faster");
+        };
+        if (!ReadAloud.prototype.faster.__module__) Object.defineProperties(ReadAloud.prototype.faster, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.play = function play() {
+            var self = this;
+            if (self.state === PAUSED) {
+                ui_operations.tts((self.waiting_for_configure) ? "resume_after_configure" : "resume");
+                self.waiting_for_configure = false;
+                self.state = PLAYING;
+            } else if (self.state === STOPPED) {
+                self.send_message("play");
+                self.state = WAITING_FOR_PLAY_TO_START;
+            }
+        };
+        if (!ReadAloud.prototype.play.__module__) Object.defineProperties(ReadAloud.prototype.play, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.pause = function pause() {
+            var self = this;
+            if (self.state === PLAYING) {
+                ui_operations.tts("pause");
+                self.state = PAUSED;
+            }
+        };
+        if (!ReadAloud.prototype.pause.__module__) Object.defineProperties(ReadAloud.prototype.pause, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.stop = function stop() {
+            var self = this;
+            if (self.state === PLAYING || self.state === PAUSED) {
+                ui_operations.tts("stop");
+                self.state = STOPPED;
+            }
+        };
+        if (!ReadAloud.prototype.stop.__module__) Object.defineProperties(ReadAloud.prototype.stop, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.toggle = function toggle() {
+            var self = this;
+            if (self.state === PLAYING) {
+                self.pause();
+            } else if (self.state === PAUSED || self.state === STOPPED) {
+                self.play();
+            }
+        };
+        if (!ReadAloud.prototype.toggle.__module__) Object.defineProperties(ReadAloud.prototype.toggle, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.container_clicked = function container_clicked(ev) {
+            var self = this;
+            var margins, pos;
+            if (ev.button !== 0) {
+                return;
+            }
+            [ev.stopPropagation(), ev.preventDefault()];
+            margins = get_margins();
+            pos = (function(){
+                var ρσ_d = Object.create(null);
+                ρσ_d["x"] = ev.clientX;
+                ρσ_d["y"] = ev.clientY;
+                return ρσ_d;
+            }).call(this);
+            pos = map_to_iframe_coords(pos, margins);
+            ρσ_interpolate_kwargs.call(self, self.send_message, ["play"].concat([ρσ_desugar_kwargs({pos: pos})]));
+        };
+        if (!ReadAloud.prototype.container_clicked.__argnames__) Object.defineProperties(ReadAloud.prototype.container_clicked, {
+            __argnames__ : {value: ["ev"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.on_keydown = function on_keydown(ev) {
+            var self = this;
+            var sc_name;
+            [ev.stopPropagation(), ev.preventDefault()];
+            if (ev.key === "Escape") {
+                self.hide();
+                return;
+            }
+            if (ev.key === " " || ev.key === "MediaPlayPause" || ev.key === "PlayPause") {
+                self.toggle();
+                return;
+            }
+            if (ev.key === "Play" || ev.key === "MediaPlay") {
+                self.play();
+                return;
+            }
+            if (ev.key === "Pause" || ev.key === "MediaPause") {
+                self.pause();
+                return;
+            }
+            if (ev.key === "MediaStop") {
+                self.stop();
+                return;
+            }
+            sc_name = shortcut_for_key_event(ev, self.view.keyboard_shortcut_map);
+            if (!sc_name) {
+                return;
+            }
+            if (sc_name === "show_chrome") {
+                self.hide();
+            } else if (sc_name === "quit") {
+                self.hide();
+                ui_operations.quit();
+            } else if (ρσ_in(sc_name, ["up", "down", "pageup", "pagedown", "left", "right"])) {
+                ρσ_interpolate_kwargs.call(self, self.send_message, ["trigger-shortcut"].concat([ρσ_desugar_kwargs({name: sc_name})]));
+            }
+        };
+        if (!ReadAloud.prototype.on_keydown.__argnames__) Object.defineProperties(ReadAloud.prototype.on_keydown, {
+            __argnames__ : {value: ["ev"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.handle_tts_event = function handle_tts_event(which, data) {
+            var self = this;
+            if (which === "mark") {
+                ρσ_interpolate_kwargs.call(self, self.send_message, ["mark"].concat([ρσ_desugar_kwargs({num: data})]));
+            } else if (which === "begin") {
+                self.state = PLAYING;
+            } else if (which === "end") {
+                self.state = STOPPED;
+                self.view.show_next_spine_item();
+            } else if (which === "configured") {
+                self.focus();
+                if (self.waiting_for_configure) {
+                    self.play();
+                }
+                if (data !== null) {
+                }
+            }
+        };
+        if (!ReadAloud.prototype.handle_tts_event.__argnames__) Object.defineProperties(ReadAloud.prototype.handle_tts_event, {
+            __argnames__ : {value: ["which", "data"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.send_message = function send_message() {
+            var self = this;
+            var type = ( 0 === arguments.length-1 && arguments[arguments.length-1] !== null && typeof arguments[arguments.length-1] === "object" && arguments[arguments.length-1] [ρσ_kwargs_symbol] === true) ? undefined : arguments[0];
+            var kw = arguments[arguments.length-1];
+            if (kw === null || typeof kw !== "object" || kw [ρσ_kwargs_symbol] !== true) kw = {};
+            ρσ_interpolate_kwargs.call(self.view.iframe_wrapper, self.view.iframe_wrapper.send_message, ["tts"].concat([ρσ_desugar_kwargs(kw, {type: type})]));
+        };
+        if (!ReadAloud.prototype.send_message.__handles_kwarg_interpolation__) Object.defineProperties(ReadAloud.prototype.send_message, {
+            __handles_kwarg_interpolation__ : {value: true},
+            __argnames__ : {value: ["type"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.handle_message = function handle_message(msg) {
+            var self = this;
+            if (msg.type === "text-extracted") {
+                if (msg.pos) {
+                    self.stop();
+                }
+                ui_operations.tts("play", (function(){
+                    var ρσ_d = Object.create(null);
+                    ρσ_d["marked_text"] = msg.marked_text;
+                    return ρσ_d;
+                }).call(this));
+            }
+        };
+        if (!ReadAloud.prototype.handle_message.__argnames__) Object.defineProperties(ReadAloud.prototype.handle_message, {
+            __argnames__ : {value: ["msg"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.__repr__ = function __repr__ () {
+                        return "<" + __name__ + "." + this.constructor.name + " #" + this.ρσ_object_id + ">";
+        };
+        ReadAloud.prototype.__str__ = function __str__ () {
+            return this.__repr__();
+        };
+        Object.defineProperty(ReadAloud.prototype, "__bases__", {value: []});
+        ReadAloud.prototype.dont_hide_on_content_loaded = true;
+        
+        
+        
+        
+        
+        
+
+        ρσ_modules["read_book.read_aloud"].HIDDEN = HIDDEN;
+        ρσ_modules["read_book.read_aloud"].WAITING_FOR_PLAY_TO_START = WAITING_FOR_PLAY_TO_START;
+        ρσ_modules["read_book.read_aloud"].PAUSED = PAUSED;
+        ρσ_modules["read_book.read_aloud"].PLAYING = PLAYING;
+        ρσ_modules["read_book.read_aloud"].STOPPED = STOPPED;
+        ρσ_modules["read_book.read_aloud"].is_flow_mode = is_flow_mode;
+        ρσ_modules["read_book.read_aloud"].ReadAloud = ReadAloud;
+    })();
+
+    (function(){
         var __name__ = "read_book.scrollbar";
         var SIZE;
         var E = ρσ_modules.elementmaker.E;
@@ -41894,444 +42423,6 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
     })();
 
     (function(){
-        var __name__ = "read_book.read_aloud";
-        var HIDDEN, WAITING_FOR_PLAY_TO_START, PAUSED, PLAYING, STOPPED;
-        var E = ρσ_modules.elementmaker.E;
-
-        var get_color = ρσ_modules["book_list.theme"].get_color;
-
-        var clear = ρσ_modules.dom.clear;
-        var svgicon = ρσ_modules.dom.svgicon;
-        var unique_id = ρσ_modules.dom.unique_id;
-
-        var _ = ρσ_modules.gettext.gettext;
-
-        var runtime = ρσ_modules["read_book.globals"].runtime;
-        var ui_operations = ρσ_modules["read_book.globals"].ui_operations;
-
-        var ICON_SIZE = ρσ_modules["read_book.highlights"].ICON_SIZE;
-
-        var BUTTON_MARGIN = ρσ_modules["read_book.selection_bar"].BUTTON_MARGIN;
-        var get_margins = ρσ_modules["read_book.selection_bar"].get_margins;
-        var map_to_iframe_coords = ρσ_modules["read_book.selection_bar"].map_to_iframe_coords;
-
-        var shortcut_for_key_event = ρσ_modules["read_book.shortcuts"].shortcut_for_key_event;
-
-        HIDDEN = 0;
-        WAITING_FOR_PLAY_TO_START = 1;
-        PAUSED = 2;
-        PLAYING = 3;
-        STOPPED = 4;
-        function ReadAloud() {
-            if (this.ρσ_object_id === undefined) Object.defineProperty(this, "ρσ_object_id", {"value":++ρσ_object_counter});
-            ReadAloud.prototype.__bind_methods__.call(this);
-            ReadAloud.prototype.__init__.apply(this, arguments);
-        }
-        Object.defineProperty(ReadAloud.prototype, "__bind_methods__", {value: function () {
-            this.hide = ReadAloud.prototype.hide.bind(this);
-            this.show = ReadAloud.prototype.show.bind(this);
-            this.focus = ReadAloud.prototype.focus.bind(this);
-            this.build_bar = ReadAloud.prototype.build_bar.bind(this);
-            this.configure = ReadAloud.prototype.configure.bind(this);
-            this.slower = ReadAloud.prototype.slower.bind(this);
-            this.faster = ReadAloud.prototype.faster.bind(this);
-            this.play = ReadAloud.prototype.play.bind(this);
-            this.pause = ReadAloud.prototype.pause.bind(this);
-            this.stop = ReadAloud.prototype.stop.bind(this);
-            this.toggle = ReadAloud.prototype.toggle.bind(this);
-            this.container_clicked = ReadAloud.prototype.container_clicked.bind(this);
-            this.on_keydown = ReadAloud.prototype.on_keydown.bind(this);
-            this.handle_tts_event = ReadAloud.prototype.handle_tts_event.bind(this);
-            this.send_message = ReadAloud.prototype.send_message.bind(this);
-            this.handle_message = ReadAloud.prototype.handle_message.bind(this);
-        }});
-        Object.defineProperties(ReadAloud.prototype,  {
-            "container": {
-                "enumerable": true, 
-                "get": function container() {
-                    var self = this;
-                    return document.getElementById("book-read-aloud-overlay");
-                }, 
-                "set": function () { throw new AttributeError("can't set attribute") }
-            }, 
-            "supports_css_min_max": {
-                "enumerable": true, 
-                "get": function supports_css_min_max() {
-                    var self = this;
-                    return !runtime.is_standalone_viewer || runtime.QT_VERSION >= 331520;
-                }, 
-                "set": function () { throw new AttributeError("can't set attribute") }
-            }, 
-            "bar": {
-                "enumerable": true, 
-                "get": function bar() {
-                    var self = this;
-                    return document.getElementById(self.bar_id);
-                }, 
-                "set": function () { throw new AttributeError("can't set attribute") }
-            }, 
-            "is_visible": {
-                "enumerable": true, 
-                "get": function is_visible() {
-                    var self = this;
-                    return self.container.style.display !== "none";
-                }, 
-                "set": function () { throw new AttributeError("can't set attribute") }
-            }, 
-            "state": {
-                "enumerable": true, 
-                "get": function state() {
-                    var self = this;
-                    return self._state;
-                }, 
-                "set": function state(val) {
-                    var self = this;
-                    if (val !== self._state) {
-                        self._state = val;
-                        self.build_bar();
-                    }
-                }
-            }, 
-        });
-        ReadAloud.prototype.__init__ = function __init__(view) {
-            var self = this;
-            var container;
-            self.view = view;
-            self._state = HIDDEN;
-            self.bar_id = unique_id("bar");
-            container = self.container;
-            container.setAttribute("tabindex", "0");
-            container.style.overflow = "hidden";
-            container.style.textAlign = "right";
-            container.appendChild(ρσ_interpolate_kwargs.call(E, E.div, [ρσ_desugar_kwargs({id: self.bar_id, style: "position: static; border: solid 1px currentColor; border-radius: 5px;display: inline-flex; flex-direction: column; margin: 1rem;"})]));
-            container.addEventListener("keydown", self.on_keydown, (function(){
-                var ρσ_d = Object.create(null);
-                ρσ_d["passive"] = false;
-                return ρσ_d;
-            }).call(this));
-            container.addEventListener("click", self.container_clicked, (function(){
-                var ρσ_d = Object.create(null);
-                ρσ_d["passive"] = false;
-                return ρσ_d;
-            }).call(this));
-        };
-        if (!ReadAloud.prototype.__init__.__argnames__) Object.defineProperties(ReadAloud.prototype.__init__, {
-            __argnames__ : {value: ["view"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.__argnames__ = ReadAloud.prototype.__init__.__argnames__;
-        ReadAloud.__handles_kwarg_interpolation__ = ReadAloud.prototype.__init__.__handles_kwarg_interpolation__;
-        ReadAloud.prototype.hide = function hide() {
-            var self = this;
-            if (self.state !== HIDDEN) {
-                ui_operations.tts("stop");
-                self.state = HIDDEN;
-                self.container.style.display = "none";
-                self.view.focus_iframe();
-                if (ui_operations.read_aloud_state_changed) {
-                    ui_operations.read_aloud_state_changed(false);
-                }
-            }
-        };
-        if (!ReadAloud.prototype.hide.__module__) Object.defineProperties(ReadAloud.prototype.hide, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.show = function show() {
-            var self = this;
-            if (self.state === HIDDEN) {
-                self.container.style.display = "block";
-                self.state = STOPPED;
-                self.focus();
-                if (ui_operations.read_aloud_state_changed) {
-                    ui_operations.read_aloud_state_changed(true);
-                }
-            }
-        };
-        if (!ReadAloud.prototype.show.__module__) Object.defineProperties(ReadAloud.prototype.show, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.focus = function focus() {
-            var self = this;
-            self.container.focus();
-        };
-        if (!ReadAloud.prototype.focus.__module__) Object.defineProperties(ReadAloud.prototype.focus, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.build_bar = function build_bar(annot_id) {
-            var self = this;
-            var bar_container, x, bar, notes_container;
-            if (self.state === HIDDEN) {
-                return;
-            }
-            bar_container = self.bar;
-            clear(bar_container);
-            bar_container.style.maxWidth = (self.supports_css_min_max) ? "min(40rem, 80vw)" : "40rem";
-            bar_container.style.backgroundColor = get_color("window-background");
-            var ρσ_Iter0 = ρσ_Iterable(ρσ_list_decorate([ ρσ_interpolate_kwargs.call(E, E.div, [ρσ_desugar_kwargs({style: "height: 4ex; display: flex; align-items: center; padding: 5px; justify-content: center"})]), ρσ_interpolate_kwargs.call(E, E.hr, [ρσ_desugar_kwargs({style: "border-top: solid 1px; margin: 0; padding: 0; display: none"})]), ρσ_interpolate_kwargs.call(E, E.div, [E.div()].concat([ρσ_desugar_kwargs({style: "display: none; padding: 5px; font-size: smaller"})])) ]));
-            for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
-                x = ρσ_Iter0[ρσ_Index0];
-                bar_container.appendChild(x);
-            }
-            bar = bar_container.firstChild;
-            function cb(name, icon, text) {
-                var ans;
-                ans = svgicon(icon, ICON_SIZE, ICON_SIZE, text);
-                if (name) {
-                    ans.addEventListener("click", (function() {
-                        var ρσ_anonfunc = function (ev) {
-                            [ev.stopPropagation(), ev.preventDefault()];
-                            self[(typeof name === "number" && name < 0) ? self.length + name : name](ev);
-                            self.view.focus_iframe();
-                        };
-                        if (!ρσ_anonfunc.__argnames__) Object.defineProperties(ρσ_anonfunc, {
-                            __argnames__ : {value: ["ev"]},
-                            __module__ : {value: "read_book.read_aloud"}
-                        });
-                        return ρσ_anonfunc;
-                    })());
-                }
-                ans.classList.add("simple-link");
-                ans.style.marginLeft = ans.style.marginRight = BUTTON_MARGIN;
-                return ans;
-            };
-            if (!cb.__argnames__) Object.defineProperties(cb, {
-                __argnames__ : {value: ["name", "icon", "text"]},
-                __module__ : {value: "read_book.read_aloud"}
-            });
-
-            if (self.state === PLAYING) {
-                bar.appendChild(cb("pause", "pause", _("Pause reading")));
-            } else if (self.state === WAITING_FOR_PLAY_TO_START) {
-                bar.appendChild(cb(null, "hourglass", _("Pause reading")));
-            } else {
-                bar.appendChild(cb("play", "play", (self.state === STOPPED) ? _("Start reading") : _("Resume reading")));
-            }
-            bar.appendChild(cb("slower", "slower", _("Slow down speech")));
-            bar.appendChild(cb("faster", "faster", _("Speed up speech")));
-            bar.appendChild(cb("configure", "cogs", _("Configure Read aloud")));
-            bar.appendChild(cb("hide", "close", _("Close Read aloud")));
-            if (self.state !== WAITING_FOR_PLAY_TO_START) {
-                notes_container = bar_container.lastChild;
-                notes_container.style.display = notes_container.previousSibling.style.display = "block";
-                notes_container = notes_container.lastChild;
-                if (self.state === STOPPED) {
-                    notes_container.textContent = _("Tap/click on a word to start from there");
-                } else if (self.state === PLAYING) {
-                    notes_container.textContent = _("Tap/click on a word to skip to it");
-                } else {
-                    notes_container.textContent = _("Tap/click on a word to continue from there");
-                }
-            }
-        };
-        if (!ReadAloud.prototype.build_bar.__argnames__) Object.defineProperties(ReadAloud.prototype.build_bar, {
-            __argnames__ : {value: ["annot_id"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.configure = function configure() {
-            var self = this;
-            self.pause();
-            self.waiting_for_configure = true;
-            ui_operations.tts("configure");
-        };
-        if (!ReadAloud.prototype.configure.__module__) Object.defineProperties(ReadAloud.prototype.configure, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.slower = function slower() {
-            var self = this;
-            ui_operations.tts("slower");
-        };
-        if (!ReadAloud.prototype.slower.__module__) Object.defineProperties(ReadAloud.prototype.slower, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.faster = function faster() {
-            var self = this;
-            ui_operations.tts("faster");
-        };
-        if (!ReadAloud.prototype.faster.__module__) Object.defineProperties(ReadAloud.prototype.faster, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.play = function play() {
-            var self = this;
-            if (self.state === PAUSED) {
-                ui_operations.tts((self.waiting_for_configure) ? "resume_after_configure" : "resume");
-                self.waiting_for_configure = false;
-                self.state = PLAYING;
-            } else if (self.state === STOPPED) {
-                self.send_message("play");
-                self.state = WAITING_FOR_PLAY_TO_START;
-            }
-        };
-        if (!ReadAloud.prototype.play.__module__) Object.defineProperties(ReadAloud.prototype.play, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.pause = function pause() {
-            var self = this;
-            if (self.state === PLAYING) {
-                ui_operations.tts("pause");
-                self.state = PAUSED;
-            }
-        };
-        if (!ReadAloud.prototype.pause.__module__) Object.defineProperties(ReadAloud.prototype.pause, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.stop = function stop() {
-            var self = this;
-            if (self.state === PLAYING || self.state === PAUSED) {
-                ui_operations.tts("stop");
-                self.state = STOPPED;
-            }
-        };
-        if (!ReadAloud.prototype.stop.__module__) Object.defineProperties(ReadAloud.prototype.stop, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.toggle = function toggle() {
-            var self = this;
-            if (self.state === PLAYING) {
-                self.pause();
-            } else if (self.state === PAUSED || self.state === STOPPED) {
-                self.play();
-            }
-        };
-        if (!ReadAloud.prototype.toggle.__module__) Object.defineProperties(ReadAloud.prototype.toggle, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.container_clicked = function container_clicked(ev) {
-            var self = this;
-            var margins, pos;
-            if (ev.button !== 0) {
-                return;
-            }
-            [ev.stopPropagation(), ev.preventDefault()];
-            margins = get_margins();
-            pos = (function(){
-                var ρσ_d = Object.create(null);
-                ρσ_d["x"] = ev.clientX;
-                ρσ_d["y"] = ev.clientY;
-                return ρσ_d;
-            }).call(this);
-            pos = map_to_iframe_coords(pos, margins);
-            ρσ_interpolate_kwargs.call(self, self.send_message, ["play"].concat([ρσ_desugar_kwargs({pos: pos})]));
-        };
-        if (!ReadAloud.prototype.container_clicked.__argnames__) Object.defineProperties(ReadAloud.prototype.container_clicked, {
-            __argnames__ : {value: ["ev"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.on_keydown = function on_keydown(ev) {
-            var self = this;
-            var sc_name;
-            [ev.stopPropagation(), ev.preventDefault()];
-            if (ev.key === "Escape") {
-                self.hide();
-                return;
-            }
-            if (ev.key === " " || ev.key === "MediaPlayPause" || ev.key === "PlayPause") {
-                self.toggle();
-                return;
-            }
-            if (ev.key === "Play" || ev.key === "MediaPlay") {
-                self.play();
-                return;
-            }
-            if (ev.key === "Pause" || ev.key === "MediaPause") {
-                self.pause();
-                return;
-            }
-            if (ev.key === "MediaStop") {
-                self.stop();
-                return;
-            }
-            sc_name = shortcut_for_key_event(ev, self.view.keyboard_shortcut_map);
-            if (!sc_name) {
-                return;
-            }
-            if (sc_name === "show_chrome") {
-                self.hide();
-            } else if (sc_name === "quit") {
-                self.hide();
-                ui_operations.quit();
-            } else if (ρσ_in(sc_name, ["up", "down", "pageup", "pagedown", "left", "right"])) {
-                ρσ_interpolate_kwargs.call(self, self.send_message, ["trigger-shortcut"].concat([ρσ_desugar_kwargs({name: sc_name})]));
-            }
-        };
-        if (!ReadAloud.prototype.on_keydown.__argnames__) Object.defineProperties(ReadAloud.prototype.on_keydown, {
-            __argnames__ : {value: ["ev"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.handle_tts_event = function handle_tts_event(which, data) {
-            var self = this;
-            if (which === "mark") {
-                ρσ_interpolate_kwargs.call(self, self.send_message, ["mark"].concat([ρσ_desugar_kwargs({num: data})]));
-            } else if (which === "begin") {
-                self.state = PLAYING;
-            } else if (which === "end") {
-                self.state = STOPPED;
-                self.view.show_next_spine_item();
-            } else if (which === "configured") {
-                self.focus();
-                if (self.waiting_for_configure) {
-                    self.play();
-                }
-                if (data !== null) {
-                }
-            }
-        };
-        if (!ReadAloud.prototype.handle_tts_event.__argnames__) Object.defineProperties(ReadAloud.prototype.handle_tts_event, {
-            __argnames__ : {value: ["which", "data"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.send_message = function send_message() {
-            var self = this;
-            var type = ( 0 === arguments.length-1 && arguments[arguments.length-1] !== null && typeof arguments[arguments.length-1] === "object" && arguments[arguments.length-1] [ρσ_kwargs_symbol] === true) ? undefined : arguments[0];
-            var kw = arguments[arguments.length-1];
-            if (kw === null || typeof kw !== "object" || kw [ρσ_kwargs_symbol] !== true) kw = {};
-            ρσ_interpolate_kwargs.call(self.view.iframe_wrapper, self.view.iframe_wrapper.send_message, ["tts"].concat([ρσ_desugar_kwargs(kw, {type: type})]));
-        };
-        if (!ReadAloud.prototype.send_message.__handles_kwarg_interpolation__) Object.defineProperties(ReadAloud.prototype.send_message, {
-            __handles_kwarg_interpolation__ : {value: true},
-            __argnames__ : {value: ["type"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.handle_message = function handle_message(msg) {
-            var self = this;
-            if (msg.type === "text-extracted") {
-                if (msg.pos) {
-                    self.stop();
-                }
-                ui_operations.tts("play", (function(){
-                    var ρσ_d = Object.create(null);
-                    ρσ_d["marked_text"] = msg.marked_text;
-                    return ρσ_d;
-                }).call(this));
-            }
-        };
-        if (!ReadAloud.prototype.handle_message.__argnames__) Object.defineProperties(ReadAloud.prototype.handle_message, {
-            __argnames__ : {value: ["msg"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.__repr__ = function __repr__ () {
-                        return "<" + __name__ + "." + this.constructor.name + " #" + this.ρσ_object_id + ">";
-        };
-        ReadAloud.prototype.__str__ = function __str__ () {
-            return this.__repr__();
-        };
-        Object.defineProperty(ReadAloud.prototype, "__bases__", {value: []});
-        ReadAloud.prototype.dont_hide_on_content_loaded = true;
-        
-        
-        
-        
-        
-        
-
-        ρσ_modules["read_book.read_aloud"].HIDDEN = HIDDEN;
-        ρσ_modules["read_book.read_aloud"].WAITING_FOR_PLAY_TO_START = WAITING_FOR_PLAY_TO_START;
-        ρσ_modules["read_book.read_aloud"].PAUSED = PAUSED;
-        ρσ_modules["read_book.read_aloud"].PLAYING = PLAYING;
-        ρσ_modules["read_book.read_aloud"].STOPPED = STOPPED;
-        ρσ_modules["read_book.read_aloud"].ReadAloud = ReadAloud;
-    })();
-
-    (function(){
         var __name__ = "read_book.timers";
         var THRESHOLD, FILTER_THRESHOLD, MAX_SAMPLES;
         THRESHOLD = 5;
@@ -42459,8 +42550,6 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var __name__ = "read_book.view";
         var E = ρσ_modules.elementmaker.E;
 
-        var _ = ρσ_modules.gettext.gettext;
-
         var read_book = ρσ_modules.read_book;
         read_book.iframe = ρσ_modules["read_book.iframe"];
 
@@ -42481,6 +42570,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var svgicon = ρσ_modules.dom.svgicon;
         var unique_id = ρσ_modules.dom.unique_id;
 
+        var _ = ρσ_modules.gettext.gettext;
+
         var IframeWrapper = ρσ_modules.iframe_comm.IframeWrapper;
 
         var error_dialog = ρσ_modules.modals.error_dialog;
@@ -42501,6 +42592,11 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
 
         var get_next_section = ρσ_modules["read_book.goto"].get_next_section;
 
+        var get_current_link_prefix = ρσ_modules["read_book.highlights"].get_current_link_prefix;
+        var link_to_epubcfi = ρσ_modules["read_book.highlights"].link_to_epubcfi;
+
+        var Hints = ρσ_modules["read_book.hints"].Hints;
+
         var add_book_to_recently_viewed = ρσ_modules["read_book.open_book"].add_book_to_recently_viewed;
 
         var Overlay = ρσ_modules["read_book.overlay"].Overlay;
@@ -42516,6 +42612,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var SCROLL_SPEED_STEP = ρσ_modules["read_book.prefs.scrolling"].MIN_SCROLL_SPEED_AUTO;
         var change_scroll_speed = ρσ_modules["read_book.prefs.scrolling"].change_scroll_speed;
 
+        var ReadAloud = ρσ_modules["read_book.read_aloud"].ReadAloud;
+
         var load_resources = ρσ_modules["read_book.resources"].load_resources;
 
         var BookScrollbar = ρσ_modules["read_book.scrollbar"].BookScrollbar;
@@ -42525,10 +42623,6 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
 
         var SelectionBar = ρσ_modules["read_book.selection_bar"].SelectionBar;
 
-        var ReadAloud = ρσ_modules["read_book.read_aloud"].ReadAloud;
-
-        var Hints = ρσ_modules["read_book.hints"].Hints;
-
         var create_shortcut_map = ρσ_modules["read_book.shortcuts"].create_shortcut_map;
 
         var Timers = ρσ_modules["read_book.timers"].Timers;
@@ -42731,6 +42825,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         }
         Object.defineProperty(View.prototype, "__bind_methods__", {value: function () {
             this.copy_to_clipboard = View.prototype.copy_to_clipboard.bind(this);
+            this.show_not_a_library_book_error = View.prototype.show_not_a_library_book_error.bind(this);
+            this.copy_current_location_to_clipboard = View.prototype.copy_current_location_to_clipboard.bind(this);
             this.set_scrollbar_visibility = View.prototype.set_scrollbar_visibility.bind(this);
             this.toggle_scrollbar = View.prototype.toggle_scrollbar.bind(this);
             this.on_annotations_message = View.prototype.on_annotations_message.bind(this);
@@ -42886,7 +42982,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 return ρσ_d;
             }).call(this);
             self.current_toc_node = self.current_toc_toplevel_node = null;
-            self.current_toc_family = [];
+            self.current_toc_families = [];
             self.report_cfi_callbacks = Object.create(null);
             self.get_cfi_counter = 0;
             self.show_loading_callback_timer = null;
@@ -43056,6 +43152,41 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         if (!View.prototype.copy_to_clipboard.__module__) Object.defineProperties(View.prototype.copy_to_clipboard, {
             __module__ : {value: "read_book.view"}
         });
+        View.prototype.show_not_a_library_book_error = function show_not_a_library_book_error() {
+            var self = this;
+            error_dialog(_("Not a calibre library book"), _("This book is not a part of a calibre library, so no calibre:// URL for it exists."));
+        };
+        if (!View.prototype.show_not_a_library_book_error.__module__) Object.defineProperties(View.prototype.show_not_a_library_book_error, {
+            __module__ : {value: "read_book.view"}
+        });
+        View.prototype.copy_current_location_to_clipboard = function copy_current_location_to_clipboard(as_url) {
+            var self = this;
+            var link_prefix;
+            link_prefix = get_current_link_prefix();
+            if (!link_prefix && as_url) {
+                return self.show_not_a_library_book_error();
+            }
+            self.get_current_cfi("copy-location-url", (function() {
+                var ρσ_anonfunc = function (req_id, data) {
+                    var text;
+                    if (as_url) {
+                        text = link_to_epubcfi(data.cfi, link_prefix);
+                    } else {
+                        text = data.cfi;
+                    }
+                    ui_operations.copy_selection(text);
+                };
+                if (!ρσ_anonfunc.__argnames__) Object.defineProperties(ρσ_anonfunc, {
+                    __argnames__ : {value: ["req_id", "data"]},
+                    __module__ : {value: "read_book.view"}
+                });
+                return ρσ_anonfunc;
+            })());
+        };
+        if (!View.prototype.copy_current_location_to_clipboard.__argnames__) Object.defineProperties(View.prototype.copy_current_location_to_clipboard, {
+            __argnames__ : {value: ["as_url"]},
+            __module__ : {value: "read_book.view"}
+        });
         View.prototype.set_scrollbar_visibility = function set_scrollbar_visibility(visible) {
             var self = this;
             var sd;
@@ -43338,6 +43469,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 self.new_bookmark();
             } else if (data.name === "copy_to_clipboard") {
                 self.copy_to_clipboard();
+            } else if (data.name === "copy_location_to_clipboard" || data.name === "copy_location_as_url_to_clipboard") {
+                self.copy_current_location_to_clipboard(ρσ_in("url", data.name));
             } else if (data.name === "toggle_inspector") {
                 ui_operations.toggle_inspector();
             } else if (data.name === "toggle_lookup") {
@@ -44742,16 +44875,26 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         });
         View.prototype.on_update_toc_position = function on_update_toc_position(data) {
             var self = this;
+            var first, r, fam;
             update_visible_toc_nodes(data.visible_anchors);
-            self.current_toc_family = get_current_toc_nodes();
-            if (self.current_toc_family.length) {
-                self.current_toc_node = (ρσ_expr_temp = self.current_toc_family)[ρσ_expr_temp.length-1];
-                self.current_toc_toplevel_node = self.current_toc_family[0];
+            self.current_toc_families = get_current_toc_nodes();
+            if (self.current_toc_families.length) {
+                first = self.current_toc_families[0];
+                self.current_toc_node = first[first.length-1];
+                self.current_toc_toplevel_node = first[0];
             } else {
                 self.current_toc_node = self.current_toc_toplevel_node = null;
             }
             if (runtime.is_standalone_viewer) {
-                ui_operations.update_current_toc_nodes(ρσ_exists.d(self.current_toc_node).id, ρσ_exists.d(self.current_toc_toplevel_node).id);
+                r = [];
+                var ρσ_Iter11 = ρσ_Iterable(self.current_toc_families);
+                for (var ρσ_Index11 = 0; ρσ_Index11 < ρσ_Iter11.length; ρσ_Index11++) {
+                    fam = ρσ_Iter11[ρσ_Index11];
+                    if (fam.length) {
+                        r.push(fam[fam.length-1].id);
+                    }
+                }
+                ui_operations.update_current_toc_nodes(r);
             }
             self.update_header_footer();
         };
@@ -44785,9 +44928,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         View.prototype.on_content_loaded = function on_content_loaded(data) {
             var self = this;
             var x;
-            var ρσ_Iter11 = ρσ_Iterable(self.modal_overlays);
-            for (var ρσ_Index11 = 0; ρσ_Index11 < ρσ_Iter11.length; ρσ_Index11++) {
-                x = ρσ_Iter11[ρσ_Index11];
+            var ρσ_Iter12 = ρσ_Iterable(self.modal_overlays);
+            for (var ρσ_Index12 = 0; ρσ_Index12 < ρσ_Iter12.length; ρσ_Index12++) {
+                x = ρσ_Iter12[ρσ_Index12];
                 if (!x.dont_hide_on_content_loaded) {
                     x.hide();
                 }
Binary files 5.9.0+dfsg-3/resources/content-server/locales.zip and 5.10.0+dfsg-1/resources/content-server/locales.zip differ
diff -pruN 5.9.0+dfsg-3/resources/default_tweaks.py 5.10.0+dfsg-1/resources/default_tweaks.py
--- 5.9.0+dfsg-3/resources/default_tweaks.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/resources/default_tweaks.py	2021-01-22 02:26:39.000000000 +0000
@@ -53,22 +53,35 @@ authors_completer_append_separator = Fal
 #  comma : use 'copy' if there is a ',' in the name, otherwise use 'invert'
 #  nocomma : "fn ln" -> "ln fn" (without the comma)
 # When this tweak is changed, the author_sort values stored with each author
-# must be recomputed by right-clicking on an author in the left-hand tags panel,
-# selecting 'manage authors', and pressing 'Recalculate all author sort values'.
-# The author name suffixes are words that are ignored when they occur at the
+# must be recomputed by right-clicking on an author in the left-hand tags
+# panel, selecting 'manage authors', and pressing
+# 'Recalculate all author sort values'.
+#
+# The author_name_suffixes are words that are ignored when they occur at the
 # end of an author name. The case of the suffix is ignored and trailing
-# periods are automatically handled. The same is true for prefixes.
-# The author name copy words are a set of words which if they occur in an
-# author name cause the automatically generated author sort string to be
-# identical to the author name. This means that the sort for a string like Acme
-# Inc. will be Acme Inc. instead of Inc., Acme
+# periods are automatically handled.
+#
+# The same is true for author_name_prefixes.
+#
+# The author_name_copywords are a set of words which, if they occur in an
+# author name, cause the automatically generated author sort string to be
+# identical to the author name. This means that the sort for a string like
+# "Acme Inc." will be "Acme Inc." instead of "Inc., Acme".
+#
+# If author_use_surname_prefixes is enabled, any of the words in
+# author_surname_prefixes will be treated as a prefix to the surname, if they
+# occur before the surname. So for example, "John von Neumann" would be sorted
+# as "von Neumann, John" and not "Neumann, John von".
 author_sort_copy_method = 'comma'
 author_name_suffixes = ('Jr', 'Sr', 'Inc', 'Ph.D', 'Phd',
                         'MD', 'M.D', 'I', 'II', 'III', 'IV',
                         'Junior', 'Senior')
 author_name_prefixes = ('Mr', 'Mrs', 'Ms', 'Dr', 'Prof')
-author_name_copywords = ('Corporation', 'Company', 'Co.', 'Agency', 'Council',
-        'Committee', 'Inc.', 'Institute', 'Society', 'Club', 'Team')
+author_name_copywords = ('Agency', 'Corporation', 'Company', 'Co.', 'Council',
+                         'Committee', 'Inc.', 'Institute', 'National',
+                         'Society', 'Club', 'Team')
+author_use_surname_prefixes = False
+author_surname_prefixes = ('da', 'de', 'di', 'la', 'le', 'van', 'von')
 
 #: Splitting multiple author names
 # By default, calibre splits a string containing multiple author names on
@@ -79,10 +92,10 @@ author_name_copywords = ('Corporation',
 authors_split_regex = r'(?i),?\s+(and|with)\s+'
 
 #: Use author sort in Tag browser
-# Set which author field to display in the tags panel (the list of authors,
+# Set which author field to display in the Tag browser (the list of authors,
 # series, publishers etc on the left hand side). The choices are author and
 # author_sort. This tweak affects only what is displayed under the authors
-# category in the tags panel and Content server. Please note that if you set this
+# category in the Tag browser and Content server. Please note that if you set this
 # to author_sort, it is very possible to see duplicate names in the list because
 # although it is guaranteed that author names are unique, there is no such
 # guarantee for author_sort values. Showing duplicates won't break anything, but
@@ -267,8 +280,8 @@ title_sort_articles=r'^(A|The|An)\s+'
 auto_connect_to_folder = ''
 
 #: Specify renaming rules for SONY collections
-# Specify renaming rules for sony collections. This tweak is only applicable if
-# metadata management is set to automatic. Collections on Sonys are named
+# Specify renaming rules for SONY collections. This tweak is only applicable if
+# metadata management is set to automatic. Collections on SONYs are named
 # depending upon whether the field is standard or custom. A collection derived
 # from a standard field is named for the value in that field. For example, if
 # the standard 'series' column contains the value 'Darkover', then the
@@ -320,7 +333,7 @@ sony_collection_renaming_rules={}
 sony_collection_name_template='{value}{category:| (|)}'
 
 #: Specify how SONY collections are sorted
-# Specify how sony collections are sorted. This tweak is only applicable if
+# Specify how SONY collections are sorted. This tweak is only applicable if
 # metadata management is set to automatic. You can indicate which metadata is to
 # be used to sort on a collection-by-collection basis. The format of the tweak
 # is a list of metadata fields from which collections are made, followed by the
@@ -466,7 +479,7 @@ save_original_format_when_polishing = Tr
 # how many should be shown, here.
 gui_view_history_size = 15
 
-#: Change the font size of book details in the interface
+#: Change the font size of the Book details panel in the interface
 # Change the font size at which book details are rendered in the side panel and
 # comments are rendered in the metadata edit dialog. Set it to a positive or
 # negative number to increase or decrease the font size.
Binary files 5.9.0+dfsg-3/resources/ebook-convert-complete.calibre_msgpack and 5.10.0+dfsg-1/resources/ebook-convert-complete.calibre_msgpack differ
diff -pruN 5.9.0+dfsg-3/resources/jacket/template.xhtml 5.10.0+dfsg-1/resources/jacket/template.xhtml
--- 5.9.0+dfsg-3/resources/jacket/template.xhtml	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/resources/jacket/template.xhtml	2021-01-22 02:26:39.000000000 +0000
@@ -39,6 +39,13 @@
                 </tr>
                 <tr data-calibre-jacket-searchable-tags="1" style="color:white; display:none"><td colspan="2">{searchable_tags}</td></tr>
             </table>
+			<!-- 
+                If you want to insert the identifiers you can do so either as a
+                comma separated list of links, just like they are displayed in
+                the Book details panel, or as individual entries, for example::
+				<div style="display: {display.identifiers}">{identifiers.links}</div>
+				<div style="display: {identifiers.display.isbn}">{identifiers.isbn}</div>
+			-->
             <div class="cbj_footer">{footer}</div>
         </div>
         <hr class="cbj_kindle_banner_hr" />
@@ -49,7 +56,9 @@
         label #genre, you can add it to this template with _genre_label and
         _genre. Note that the # is replaced by an underscore. For example
         
-        <div><b>{_genre_label}:</b> {_genre}</div>
+        <div style="display: display._genre"><b>{_genre_label}:</b> {_genre}</div>
+
+		If #genre is not set, then the entire <div> element will be hidden.
         -->
 
         <div class="cbj_comments">{comments}</div>
Binary files 5.9.0+dfsg-3/resources/localization/locales.zip and 5.10.0+dfsg-1/resources/localization/locales.zip differ
Binary files 5.9.0+dfsg-3/resources/localization/stats.calibre_msgpack and 5.10.0+dfsg-1/resources/localization/stats.calibre_msgpack differ
diff -pruN 5.9.0+dfsg-3/resources/localization/website-languages.txt 5.10.0+dfsg-1/resources/localization/website-languages.txt
--- 5.9.0+dfsg-3/resources/localization/website-languages.txt	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/resources/localization/website-languages.txt	2021-01-22 02:30:33.000000000 +0000
@@ -1 +1 @@
-es et fr it pt pt_BR ru sv uk zh_CN
\ No newline at end of file
+da es et fr it pt pt_BR ru sv uk zh_CN
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/resources/mozilla-ca-certs.pem 5.10.0+dfsg-1/resources/mozilla-ca-certs.pem
--- 5.9.0+dfsg-3/resources/mozilla-ca-certs.pem	2020-12-11 02:57:07.000000000 +0000
+++ 5.10.0+dfsg-1/resources/mozilla-ca-certs.pem	2021-01-22 02:30:34.000000000 +0000
@@ -1,7 +1,7 @@
 ##
 ## Bundle of CA Root Certificates
 ##
-## Certificate data from Mozilla as of: Tue Dec  8 04:12:05 2020 GMT
+## Certificate data from Mozilla as of: Tue Jan 19 04:12:04 2021 GMT
 ##
 ## This is a bundle of X.509 certificates of public Certificate Authorities
 ## (CA). These were automatically extracted from Mozilla's root certificates
@@ -14,7 +14,7 @@
 ## Just configure this file as the SSLCACertificateFile.
 ##
 ## Conversion done with mk-ca-bundle.pl version 1.28.
-## SHA256: d820b8696d8ffe42064a1384a56a8981cdc7e7e198036bbb5fa04a6c282dd9a2
+## SHA256: 3bdc63d1de27058fec943a999a2a8a01fcc6806a611b19221a7727d3d9bbbdfd
 ##
 
 
@@ -132,87 +132,6 @@ W3iDVuycNsMm4hH2Z0kdkquM++v/eu6FSqdQgPCn
 tHuu2guQOHXvgR1m0vdXcDazv/wor3ElhVsT/h5/WrQ8
 -----END CERTIFICATE-----
 
-GeoTrust Global CA
-==================
------BEGIN CERTIFICATE-----
-MIIDVDCCAjygAwIBAgIDAjRWMA0GCSqGSIb3DQEBBQUAMEIxCzAJBgNVBAYTAlVTMRYwFAYDVQQK
-Ew1HZW9UcnVzdCBJbmMuMRswGQYDVQQDExJHZW9UcnVzdCBHbG9iYWwgQ0EwHhcNMDIwNTIxMDQw
-MDAwWhcNMjIwNTIxMDQwMDAwWjBCMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNR2VvVHJ1c3QgSW5j
-LjEbMBkGA1UEAxMSR2VvVHJ1c3QgR2xvYmFsIENBMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
-CgKCAQEA2swYYzD99BcjGlZ+W988bDjkcbd4kdS8odhM+KhDtgPpTSEHCIjaWC9mOSm9BXiLnTjo
-BbdqfnGk5sRgprDvgOSJKA+eJdbtg/OtppHHmMlCGDUUna2YRpIuT8rxh0PBFpVXLVDviS2Aelet
-8u5fa9IAjbkU+BQVNdnARqN7csiRv8lVK83Qlz6cJmTM386DGXHKTubU1XupGc1V3sjs0l44U+Vc
-T4wt/lAjNvxm5suOpDkZALeVAjmRCw7+OC7RHQWa9k0+bw8HHa8sHo9gOeL6NlMTOdReJivbPagU
-vTLrGAMoUgRx5aszPeE4uwc2hGKceeoWMPRfwCvocWvk+QIDAQABo1MwUTAPBgNVHRMBAf8EBTAD
-AQH/MB0GA1UdDgQWBBTAephojYn7qwVkDBF9qn1luMrMTjAfBgNVHSMEGDAWgBTAephojYn7qwVk
-DBF9qn1luMrMTjANBgkqhkiG9w0BAQUFAAOCAQEANeMpauUvXVSOKVCUn5kaFOSPeCpilKInZ57Q
-zxpeR+nBsqTP3UEaBU6bS+5Kb1VSsyShNwrrZHYqLizz/Tt1kL/6cdjHPTfStQWVYrmm3ok9Nns4
-d0iXrKYgjy6myQzCsplFAMfOEVEiIuCl6rYVSAlk6l5PdPcFPseKUgzbFbS9bZvlxrFUaKnjaZC2
-mqUPuLk/IH2uSrW4nOQdtqvmlKXBx4Ot2/Unhw4EbNX/3aBd7YdStysVAq45pmp06drE57xNNB6p
-XE0zX5IJL4hmXXeXxx12E6nV5fEWCRE11azbJHFwLJhWC9kXtNHjUStedejV0NxPNO3CBWaAocvm
-Mw==
------END CERTIFICATE-----
-
-GeoTrust Universal CA
-=====================
------BEGIN CERTIFICATE-----
-MIIFaDCCA1CgAwIBAgIBATANBgkqhkiG9w0BAQUFADBFMQswCQYDVQQGEwJVUzEWMBQGA1UEChMN
-R2VvVHJ1c3QgSW5jLjEeMBwGA1UEAxMVR2VvVHJ1c3QgVW5pdmVyc2FsIENBMB4XDTA0MDMwNDA1
-MDAwMFoXDTI5MDMwNDA1MDAwMFowRTELMAkGA1UEBhMCVVMxFjAUBgNVBAoTDUdlb1RydXN0IElu
-Yy4xHjAcBgNVBAMTFUdlb1RydXN0IFVuaXZlcnNhbCBDQTCCAiIwDQYJKoZIhvcNAQEBBQADggIP
-ADCCAgoCggIBAKYVVaCjxuAfjJ0hUNfBvitbtaSeodlyWL0AG0y/YckUHUWCq8YdgNY96xCcOq9t
-JPi8cQGeBvV8Xx7BDlXKg5pZMK4ZyzBIle0iN430SppyZj6tlcDgFgDgEB8rMQ7XlFTTQjOgNB0e
-RXbdT8oYN+yFFXoZCPzVx5zw8qkuEKmS5j1YPakWaDwvdSEYfyh3peFhF7em6fgemdtzbvQKoiFs
-7tqqhZJmr/Z6a4LauiIINQ/PQvE1+mrufislzDoR5G2vc7J2Ha3QsnhnGqQ5HFELZ1aD/ThdDc7d
-8Lsrlh/eezJS/R27tQahsiFepdaVaH/wmZ7cRQg+59IJDTWU3YBOU5fXtQlEIGQWFwMCTFMNaN7V
-qnJNk22CDtucvc+081xdVHppCZbW2xHBjXWotM85yM48vCR85mLK4b19p71XZQvk/iXttmkQ3Cga
-Rr0BHdCXteGYO8A3ZNY9lO4L4fUorgtWv3GLIylBjobFS1J72HGrH4oVpjuDWtdYAVHGTEHZf9hB
-Z3KiKN9gg6meyHv8U3NyWfWTehd2Ds735VzZC1U0oqpbtWpU5xPKV+yXbfReBi9Fi1jUIxaS5BZu
-KGNZMN9QAZxjiRqf2xeUgnA3wySemkfWWspOqGmJch+RbNt+nhutxx9z3SxPGWX9f5NAEC7S8O08
-ni4oPmkmM8V7AgMBAAGjYzBhMA8GA1UdEwEB/wQFMAMBAf8wHQYDVR0OBBYEFNq7LqqwDLiIJlF0
-XG0D08DYj3rWMB8GA1UdIwQYMBaAFNq7LqqwDLiIJlF0XG0D08DYj3rWMA4GA1UdDwEB/wQEAwIB
-hjANBgkqhkiG9w0BAQUFAAOCAgEAMXjmx7XfuJRAyXHEqDXsRh3ChfMoWIawC/yOsjmPRFWrZIRc
-aanQmjg8+uUfNeVE44B5lGiku8SfPeE0zTBGi1QrlaXv9z+ZhP015s8xxtxqv6fXIwjhmF7DWgh2
-qaavdy+3YL1ERmrvl/9zlcGO6JP7/TG37FcREUWbMPEaiDnBTzynANXH/KttgCJwpQzgXQQpAvvL
-oJHRfNbDflDVnVi+QTjruXU8FdmbyUqDWcDaU/0zuzYYm4UPFd3uLax2k7nZAY1IEKj79TiG8dsK
-xr2EoyNB3tZ3b4XUhRxQ4K5RirqNPnbiucon8l+f725ZDQbYKxek0nxru18UGkiPGkzns0ccjkxF
-KyDuSN/n3QmOGKjaQI2SJhFTYXNd673nxE0pN2HrrDktZy4W1vUAg4WhzH92xH3kt0tm7wNFYGm2
-DFKWkoRepqO1pD4r2czYG0eq8kTaT/kD6PAUyz/zg97QwVTjt+gKN02LIFkDMBmhLMi9ER/frslK
-xfMnZmaGrGiR/9nmUxwPi1xpZQomyB40w11Re9epnAahNt3ViZS82eQtDF4JbAiXfKM9fJP/P6EU
-p8+1Xevb2xzEdt+Iub1FBZUbrvxGakyvSOPOrg/SfuvmbJxPgWp6ZKy7PtXny3YuxadIwVyQD8vI
-P/rmMuGNG2+k5o7Y+SlIis5z/iw=
------END CERTIFICATE-----
-
-GeoTrust Universal CA 2
-=======================
------BEGIN CERTIFICATE-----
-MIIFbDCCA1SgAwIBAgIBATANBgkqhkiG9w0BAQUFADBHMQswCQYDVQQGEwJVUzEWMBQGA1UEChMN
-R2VvVHJ1c3QgSW5jLjEgMB4GA1UEAxMXR2VvVHJ1c3QgVW5pdmVyc2FsIENBIDIwHhcNMDQwMzA0
-MDUwMDAwWhcNMjkwMzA0MDUwMDAwWjBHMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNR2VvVHJ1c3Qg
-SW5jLjEgMB4GA1UEAxMXR2VvVHJ1c3QgVW5pdmVyc2FsIENBIDIwggIiMA0GCSqGSIb3DQEBAQUA
-A4ICDwAwggIKAoICAQCzVFLByT7y2dyxUxpZKeexw0Uo5dfR7cXFS6GqdHtXr0om/Nj1XqduGdt0
-DE81WzILAePb63p3NeqqWuDW6KFXlPCQo3RWlEQwAx5cTiuFJnSCegx2oG9NzkEtoBUGFF+3Qs17
-j1hhNNwqCPkuwwGmIkQcTAeC5lvO0Ep8BNMZcyfwqph/Lq9O64ceJHdqXbboW0W63MOhBW9Wjo8Q
-JqVJwy7XQYci4E+GymC16qFjwAGXEHm9ADwSbSsVsaxLse4YuU6W3Nx2/zu+z18DwPw76L5GG//a
-QMJS9/7jOvdqdzXQ2o3rXhhqMcceujwbKNZrVMaqW9eiLBsZzKIC9ptZvTdrhrVtgrrY6slWvKk2
-WP0+GfPtDCapkzj4T8FdIgbQl+rhrcZV4IErKIM6+vR7IVEAvlI4zs1meaj0gVbi0IMJR1FbUGrP
-20gaXT73y/Zl92zxlfgCOzJWgjl6W70viRu/obTo/3+NjN8D8WBOWBFM66M/ECuDmgFz2ZRthAAn
-ZqzwcEAJQpKtT5MNYQlRJNiS1QuUYbKHsu3/mjX/hVTK7URDrBs8FmtISgocQIgfksILAAX/8sgC
-SqSqqcyZlpwvWOB94b67B9xfBHJcMTTD7F8t4D1kkCLm0ey4Lt1ZrtmhN79UNdxzMk+MBB4zsslG
-8dhcyFVQyWi9qLo2CQIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MB0GA1UdDgQWBBR281Xh+qQ2
-+/CfXGJx7Tz0RzgQKzAfBgNVHSMEGDAWgBR281Xh+qQ2+/CfXGJx7Tz0RzgQKzAOBgNVHQ8BAf8E
-BAMCAYYwDQYJKoZIhvcNAQEFBQADggIBAGbBxiPz2eAubl/oz66wsCVNK/g7WJtAJDday6sWSf+z
-dXkzoS9tcBc0kf5nfo/sm+VegqlVHy/c1FEHEv6sFj4sNcZj/NwQ6w2jqtB8zNHQL1EuxBRa3ugZ
-4T7GzKQp5y6EqgYweHZUcyiYWTjgAA1i00J9IZ+uPTqM1fp3DRgrFg5fNuH8KrUwJM/gYwx7WBr+
-mbpCErGR9Hxo4sjoryzqyX6uuyo9DRXcNJW2GHSoag/HtPQTxORb7QrSpJdMKu0vbBKJPfEncKpq
-A1Ihn0CoZ1Dy81of398j9tx4TuaYT1U6U+Pv8vSfx3zYWK8pIpe44L2RLrB27FcRz+8pRPPphXpg
-Y+RdM4kX2TGq2tbzGDVyz4crL2MjhF2EjD9XoIj8mZEoJmmZ1I+XRL6O1UixpCgp8RW04eWe3fiP
-pm8m1wk8OhwRDqZsN/etRIcsKMfYdIKz0G9KV7s1KSegi+ghp4dkNl3M2Basx7InQJJVOCiNUW7d
-FGdTbHFcJoRNdVq2fmBWqU2t+5sel/MN2dKXVHfaPRK34B7vCAas+YWH6aLcr34YEoP9VhdBLtUp
-gn2Z9DH2canPLAEnpQW5qrJITirvn5NSUZU8UnOOVkwXQMAJKOSLakhT2+zNVVXxxvjpoixMptEm
-X36vWkzaH6byHCx+rgIW0lbQL1dTR+iS
------END CERTIFICATE-----
-
 Comodo AAA Services root
 ========================
 -----BEGIN CERTIFICATE-----
@@ -596,78 +515,6 @@ DIm6uNO5wJOKMPqN5ZprFQFOZ6raYlY+hAhm0sQ2
 DgEj8Z+7fNzcbBGXJbLytGMU0gYqZ4yD9c7qB9iaah7s5Aq7KkzrCWA5zspi2C5u
 -----END CERTIFICATE-----
 
-GeoTrust Primary Certification Authority
-========================================
------BEGIN CERTIFICATE-----
-MIIDfDCCAmSgAwIBAgIQGKy1av1pthU6Y2yv2vrEoTANBgkqhkiG9w0BAQUFADBYMQswCQYDVQQG
-EwJVUzEWMBQGA1UEChMNR2VvVHJ1c3QgSW5jLjExMC8GA1UEAxMoR2VvVHJ1c3QgUHJpbWFyeSBD
-ZXJ0aWZpY2F0aW9uIEF1dGhvcml0eTAeFw0wNjExMjcwMDAwMDBaFw0zNjA3MTYyMzU5NTlaMFgx
-CzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1HZW9UcnVzdCBJbmMuMTEwLwYDVQQDEyhHZW9UcnVzdCBQ
-cmltYXJ5IENlcnRpZmljYXRpb24gQXV0aG9yaXR5MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
-CgKCAQEAvrgVe//UfH1nrYNke8hCUy3f9oQIIGHWAVlqnEQRr+92/ZV+zmEwu3qDXwK9AWbK7hWN
-b6EwnL2hhZ6UOvNWiAAxz9juapYC2e0DjPt1befquFUWBRaa9OBesYjAZIVcFU2Ix7e64HXprQU9
-nceJSOC7KMgD4TCTZF5SwFlwIjVXiIrxlQqD17wxcwE07e9GceBrAqg1cmuXm2bgyxx5X9gaBGge
-RwLmnWDiNpcB3841kt++Z8dtd1k7j53WkBWUvEI0EME5+bEnPn7WinXFsq+W06Lem+SYvn3h6YGt
-tm/81w7a4DSwDRp35+MImO9Y+pyEtzavwt+s0vQQBnBxNQIDAQABo0IwQDAPBgNVHRMBAf8EBTAD
-AQH/MA4GA1UdDwEB/wQEAwIBBjAdBgNVHQ4EFgQULNVQQZcVi/CPNmFbSvtr2ZnJM5IwDQYJKoZI
-hvcNAQEFBQADggEBAFpwfyzdtzRP9YZRqSa+S7iq8XEN3GHHoOo0Hnp3DwQ16CePbJC/kRYkRj5K
-Ts4rFtULUh38H2eiAkUxT87z+gOneZ1TatnaYzr4gNfTmeGl4b7UVXGYNTq+k+qurUKykG/g/CFN
-NWMziUnWm07Kx+dOCQD32sfvmWKZd7aVIl6KoKv0uHiYyjgZmclynnjNS6yvGaBzEi38wkG6gZHa
-Floxt/m0cYASSJlyc1pZU8FjUjPtp8nSOQJw+uCxQmYpqptR7TBUIhRf2asdweSU8Pj1K/fqynhG
-1riR/aYNKxoUAT6A8EKglQdebc3MS6RFjasS6LPeWuWgfOgPIh1a6Vk=
------END CERTIFICATE-----
-
-thawte Primary Root CA
-======================
------BEGIN CERTIFICATE-----
-MIIEIDCCAwigAwIBAgIQNE7VVyDV7exJ9C/ON9srbTANBgkqhkiG9w0BAQUFADCBqTELMAkGA1UE
-BhMCVVMxFTATBgNVBAoTDHRoYXd0ZSwgSW5jLjEoMCYGA1UECxMfQ2VydGlmaWNhdGlvbiBTZXJ2
-aWNlcyBEaXZpc2lvbjE4MDYGA1UECxMvKGMpIDIwMDYgdGhhd3RlLCBJbmMuIC0gRm9yIGF1dGhv
-cml6ZWQgdXNlIG9ubHkxHzAdBgNVBAMTFnRoYXd0ZSBQcmltYXJ5IFJvb3QgQ0EwHhcNMDYxMTE3
-MDAwMDAwWhcNMzYwNzE2MjM1OTU5WjCBqTELMAkGA1UEBhMCVVMxFTATBgNVBAoTDHRoYXd0ZSwg
-SW5jLjEoMCYGA1UECxMfQ2VydGlmaWNhdGlvbiBTZXJ2aWNlcyBEaXZpc2lvbjE4MDYGA1UECxMv
-KGMpIDIwMDYgdGhhd3RlLCBJbmMuIC0gRm9yIGF1dGhvcml6ZWQgdXNlIG9ubHkxHzAdBgNVBAMT
-FnRoYXd0ZSBQcmltYXJ5IFJvb3QgQ0EwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCs
-oPD7gFnUnMekz52hWXMJEEUMDSxuaPFsW0hoSVk3/AszGcJ3f8wQLZU0HObrTQmnHNK4yZc2AreJ
-1CRfBsDMRJSUjQJib+ta3RGNKJpchJAQeg29dGYvajig4tVUROsdB58Hum/u6f1OCyn1PoSgAfGc
-q/gcfomk6KHYcWUNo1F77rzSImANuVud37r8UVsLr5iy6S7pBOhih94ryNdOwUxkHt3Ph1i6Sk/K
-aAcdHJ1KxtUvkcx8cXIcxcBn6zL9yZJclNqFwJu/U30rCfSMnZEfl2pSy94JNqR32HuHUETVPm4p
-afs5SSYeCaWAe0At6+gnhcn+Yf1+5nyXHdWdAgMBAAGjQjBAMA8GA1UdEwEB/wQFMAMBAf8wDgYD
-VR0PAQH/BAQDAgEGMB0GA1UdDgQWBBR7W0XPr87Lev0xkhpqtvNG61dIUDANBgkqhkiG9w0BAQUF
-AAOCAQEAeRHAS7ORtvzw6WfUDW5FvlXok9LOAz/t2iWwHVfLHjp2oEzsUHboZHIMpKnxuIvW1oeE
-uzLlQRHAd9mzYJ3rG9XRbkREqaYB7FViHXe4XI5ISXycO1cRrK1zN44veFyQaEfZYGDm/Ac9IiAX
-xPcW6cTYcvnIc3zfFi8VqT79aie2oetaupgf1eNNZAqdE8hhuvU5HIe6uL17In/2/qxAeeWsEG89
-jxt5dovEN7MhGITlNgDrYyCZuen+MwS7QcjBAvlEYyCegc5C09Y/LHbTY5xZ3Y+m4Q6gLkH3LpVH
-z7z9M/P2C2F+fpErgUfCJzDupxBdN49cOSvkBPB7jVaMaA==
------END CERTIFICATE-----
-
-VeriSign Class 3 Public Primary Certification Authority - G5
-============================================================
------BEGIN CERTIFICATE-----
-MIIE0zCCA7ugAwIBAgIQGNrRniZ96LtKIVjNzGs7SjANBgkqhkiG9w0BAQUFADCByjELMAkGA1UE
-BhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2lnbiBUcnVzdCBO
-ZXR3b3JrMTowOAYDVQQLEzEoYykgMjAwNiBWZXJpU2lnbiwgSW5jLiAtIEZvciBhdXRob3JpemVk
-IHVzZSBvbmx5MUUwQwYDVQQDEzxWZXJpU2lnbiBDbGFzcyAzIFB1YmxpYyBQcmltYXJ5IENlcnRp
-ZmljYXRpb24gQXV0aG9yaXR5IC0gRzUwHhcNMDYxMTA4MDAwMDAwWhcNMzYwNzE2MjM1OTU5WjCB
-yjELMAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2ln
-biBUcnVzdCBOZXR3b3JrMTowOAYDVQQLEzEoYykgMjAwNiBWZXJpU2lnbiwgSW5jLiAtIEZvciBh
-dXRob3JpemVkIHVzZSBvbmx5MUUwQwYDVQQDEzxWZXJpU2lnbiBDbGFzcyAzIFB1YmxpYyBQcmlt
-YXJ5IENlcnRpZmljYXRpb24gQXV0aG9yaXR5IC0gRzUwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
-ggEKAoIBAQCvJAgIKXo1nmAMqudLO07cfLw8RRy7K+D+KQL5VwijZIUVJ/XxrcgxiV0i6CqqpkKz
-j/i5Vbext0uz/o9+B1fs70PbZmIVYc9gDaTY3vjgw2IIPVQT60nKWVSFJuUrjxuf6/WhkcIzSdhD
-Y2pSS9KP6HBRTdGJaXvHcPaz3BJ023tdS1bTlr8Vd6Gw9KIl8q8ckmcY5fQGBO+QueQA5N06tRn/
-Arr0PO7gi+s3i+z016zy9vA9r911kTMZHRxAy3QkGSGT2RT+rCpSx4/VBEnkjWNHiDxpg8v+R70r
-fk/Fla4OndTRQ8Bnc+MUCH7lP59zuDMKz10/NIeWiu5T6CUVAgMBAAGjgbIwga8wDwYDVR0TAQH/
-BAUwAwEB/zAOBgNVHQ8BAf8EBAMCAQYwbQYIKwYBBQUHAQwEYTBfoV2gWzBZMFcwVRYJaW1hZ2Uv
-Z2lmMCEwHzAHBgUrDgMCGgQUj+XTGoasjY5rw8+AatRIGCx7GS4wJRYjaHR0cDovL2xvZ28udmVy
-aXNpZ24uY29tL3ZzbG9nby5naWYwHQYDVR0OBBYEFH/TZafC3ey78DAJ80M5+gKvMzEzMA0GCSqG
-SIb3DQEBBQUAA4IBAQCTJEowX2LP2BqYLz3q3JktvXf2pXkiOOzEp6B4Eq1iDkVwZMXnl2YtmAl+
-X6/WzChl8gGqCBpH3vn5fJJaCGkgDdk+bW48DW7Y5gaRQBi5+MHt39tBquCWIMnNZBU4gcmU7qKE
-KQsTb47bDN0lAtukixlE0kF6BWlKWE9gyn6CagsCqiUXObXbf+eEZSqVir2G3l6BFoMtEMze/aiC
-Km0oHw0LxOXnGiYZ4fQRbxC1lfznQgUy286dUV4otp6F01vvpX1FQHKOtw5rDgb7MzVIcbidJ4vE
-ZV8NhnacRHr2lVz2XTIIM6RUthg/aFzyQkqFOFSDX9HoLPKsEdao7WNq
------END CERTIFICATE-----
-
 SecureTrust CA
 ==============
 -----BEGIN CERTIFICATE-----
@@ -871,70 +718,6 @@ vBTjD4au8as+x6AJzKNI0eDbZOeStc+vckNwi/nD
 TogVZ96edhBiIL5VaZVDADlN9u6wWk5JRFRYX0KD
 -----END CERTIFICATE-----
 
-GeoTrust Primary Certification Authority - G3
-=============================================
------BEGIN CERTIFICATE-----
-MIID/jCCAuagAwIBAgIQFaxulBmyeUtB9iepwxgPHzANBgkqhkiG9w0BAQsFADCBmDELMAkGA1UE
-BhMCVVMxFjAUBgNVBAoTDUdlb1RydXN0IEluYy4xOTA3BgNVBAsTMChjKSAyMDA4IEdlb1RydXN0
-IEluYy4gLSBGb3IgYXV0aG9yaXplZCB1c2Ugb25seTE2MDQGA1UEAxMtR2VvVHJ1c3QgUHJpbWFy
-eSBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eSAtIEczMB4XDTA4MDQwMjAwMDAwMFoXDTM3MTIwMTIz
-NTk1OVowgZgxCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1HZW9UcnVzdCBJbmMuMTkwNwYDVQQLEzAo
-YykgMjAwOCBHZW9UcnVzdCBJbmMuIC0gRm9yIGF1dGhvcml6ZWQgdXNlIG9ubHkxNjA0BgNVBAMT
-LUdlb1RydXN0IFByaW1hcnkgQ2VydGlmaWNhdGlvbiBBdXRob3JpdHkgLSBHMzCCASIwDQYJKoZI
-hvcNAQEBBQADggEPADCCAQoCggEBANziXmJYHTNXOTIz+uvLh4yn1ErdBojqZI4xmKU4kB6Yzy5j
-K/BGvESyiaHAKAxJcCGVn2TAppMSAmUmhsalifD614SgcK9PGpc/BkTVyetyEH3kMSj7HGHmKAdE
-c5IiaacDiGydY8hS2pgn5whMcD60yRLBxWeDXTPzAxHsatBT4tG6NmCUgLthY2xbF37fQJQeqw3C
-IShwiP/WJmxsYAQlTlV+fe+/lEjetx3dcI0FX4ilm/LC7urRQEFtYjgdVgbFA0dRIBn8exALDmKu
-dlW/X3e+PkkBUz2YJQN2JFodtNuJ6nnltrM7P7pMKEF/BqxqjsHQ9gUdfeZChuOl1UcCAwEAAaNC
-MEAwDwYDVR0TAQH/BAUwAwEB/zAOBgNVHQ8BAf8EBAMCAQYwHQYDVR0OBBYEFMR5yo6hTgMdHNxr
-2zFblD4/MH8tMA0GCSqGSIb3DQEBCwUAA4IBAQAtxRPPVoB7eni9n64smefv2t+UXglpp+duaIy9
-cr5HqQ6XErhK8WTTOd8lNNTBzU6B8A8ExCSzNJbGpqow32hhc9f5joWJ7w5elShKKiePEI4ufIbE
-Ap7aDHdlDkQNkv39sxY2+hENHYwOB4lqKVb3cvTdFZx3NWZXqxNT2I7BQMXXExZacse3aQHEerGD
-AWh9jUGhlBjBJVz88P6DAod8DQ3PLghcSkANPuyBYeYk28rgDi0Hsj5W3I31QYUHSJsMC8tJP33s
-t/3LjWeJGqvtux6jAAgIFyqCXDFdRootD4abdNlF+9RAsXqqaC2Gspki4cErx5z481+oghLrGREt
------END CERTIFICATE-----
-
-thawte Primary Root CA - G2
-===========================
------BEGIN CERTIFICATE-----
-MIICiDCCAg2gAwIBAgIQNfwmXNmET8k9Jj1Xm67XVjAKBggqhkjOPQQDAzCBhDELMAkGA1UEBhMC
-VVMxFTATBgNVBAoTDHRoYXd0ZSwgSW5jLjE4MDYGA1UECxMvKGMpIDIwMDcgdGhhd3RlLCBJbmMu
-IC0gRm9yIGF1dGhvcml6ZWQgdXNlIG9ubHkxJDAiBgNVBAMTG3RoYXd0ZSBQcmltYXJ5IFJvb3Qg
-Q0EgLSBHMjAeFw0wNzExMDUwMDAwMDBaFw0zODAxMTgyMzU5NTlaMIGEMQswCQYDVQQGEwJVUzEV
-MBMGA1UEChMMdGhhd3RlLCBJbmMuMTgwNgYDVQQLEy8oYykgMjAwNyB0aGF3dGUsIEluYy4gLSBG
-b3IgYXV0aG9yaXplZCB1c2Ugb25seTEkMCIGA1UEAxMbdGhhd3RlIFByaW1hcnkgUm9vdCBDQSAt
-IEcyMHYwEAYHKoZIzj0CAQYFK4EEACIDYgAEotWcgnuVnfFSeIf+iha/BebfowJPDQfGAFG6DAJS
-LSKkQjnE/o/qycG+1E3/n3qe4rF8mq2nhglzh9HnmuN6papu+7qzcMBniKI11KOasf2twu8x+qi5
-8/sIxpHR+ymVo0IwQDAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBBjAdBgNVHQ4EFgQU
-mtgAMADna3+FGO6Lts6KDPgR4bswCgYIKoZIzj0EAwMDaQAwZgIxAN344FdHW6fmCsO99YCKlzUN
-G4k8VIZ3KMqh9HneteY4sPBlcIx/AlTCv//YoT7ZzwIxAMSNlPzcU9LcnXgWHxUzI1NS41oxXZ3K
-rr0TKUQNJ1uo52icEvdYPy5yAlejj6EULg==
------END CERTIFICATE-----
-
-thawte Primary Root CA - G3
-===========================
------BEGIN CERTIFICATE-----
-MIIEKjCCAxKgAwIBAgIQYAGXt0an6rS0mtZLL/eQ+zANBgkqhkiG9w0BAQsFADCBrjELMAkGA1UE
-BhMCVVMxFTATBgNVBAoTDHRoYXd0ZSwgSW5jLjEoMCYGA1UECxMfQ2VydGlmaWNhdGlvbiBTZXJ2
-aWNlcyBEaXZpc2lvbjE4MDYGA1UECxMvKGMpIDIwMDggdGhhd3RlLCBJbmMuIC0gRm9yIGF1dGhv
-cml6ZWQgdXNlIG9ubHkxJDAiBgNVBAMTG3RoYXd0ZSBQcmltYXJ5IFJvb3QgQ0EgLSBHMzAeFw0w
-ODA0MDIwMDAwMDBaFw0zNzEyMDEyMzU5NTlaMIGuMQswCQYDVQQGEwJVUzEVMBMGA1UEChMMdGhh
-d3RlLCBJbmMuMSgwJgYDVQQLEx9DZXJ0aWZpY2F0aW9uIFNlcnZpY2VzIERpdmlzaW9uMTgwNgYD
-VQQLEy8oYykgMjAwOCB0aGF3dGUsIEluYy4gLSBGb3IgYXV0aG9yaXplZCB1c2Ugb25seTEkMCIG
-A1UEAxMbdGhhd3RlIFByaW1hcnkgUm9vdCBDQSAtIEczMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8A
-MIIBCgKCAQEAsr8nLPvb2FvdeHsbnndmgcs+vHyu86YnmjSjaDFxODNi5PNxZnmxqWWjpYvVj2At
-P0LMqmsywCPLLEHd5N/8YZzic7IilRFDGF/Eth9XbAoFWCLINkw6fKXRz4aviKdEAhN0cXMKQlkC
-+BsUa0Lfb1+6a4KinVvnSr0eAXLbS3ToO39/fR8EtCab4LRarEc9VbjXsCZSKAExQGbY2SS99irY
-7CFJXJv2eul/VTV+lmuNk5Mny5K76qxAwJ/C+IDPXfRa3M50hqY+bAtTyr2SzhkGcuYMXDhpxwTW
-vGzOW/b3aJzcJRVIiKHpqfiYnODz1TEoYRFsZ5aNOZnLwkUkOQIDAQABo0IwQDAPBgNVHRMBAf8E
-BTADAQH/MA4GA1UdDwEB/wQEAwIBBjAdBgNVHQ4EFgQUrWyqlGCc7eT/+j4KdCtjA/e2Wb8wDQYJ
-KoZIhvcNAQELBQADggEBABpA2JVlrAmSicY59BDlqQ5mU1143vokkbvnRFHfxhY0Cu9qRFHqKweK
-A3rD6z8KLFIWoCtDuSWQP3CpMyVtRRooOyfPqsMpQhvfO0zAMzRbQYi/aytlryjvsvXDqmbOe1bu
-t8jLZ8HJnBoYuMTDSQPxYA5QzUbF83d597YV4Djbxy8ooAw/dyZ02SUS2jHaGh7cKUGRIjxpp7sC
-8rZcJwOJ9Abqm+RyguOhCcHpABnTPtRwa7pxpqpYrvS76Wy274fMm7v/OeZWYdMKp8RcTGB7BXcm
-er/YB1IsYvdwY9k5vG8cwnncdimvzsUsZAReiDZuMdRAGmI0Nj81Aa6sY6A=
------END CERTIFICATE-----
-
 GeoTrust Primary Certification Authority - G2
 =============================================
 -----BEGIN CERTIFICATE-----
@@ -980,27 +763,6 @@ wGZsY6rp2aQW9IHRlRQOfc2VNNnSj3BzgXucfr2Y
 mJO37M2CYfE45k+XmCpajQ==
 -----END CERTIFICATE-----
 
-VeriSign Class 3 Public Primary Certification Authority - G4
-============================================================
------BEGIN CERTIFICATE-----
-MIIDhDCCAwqgAwIBAgIQL4D+I4wOIg9IZxIokYesszAKBggqhkjOPQQDAzCByjELMAkGA1UEBhMC
-VVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2lnbiBUcnVzdCBOZXR3
-b3JrMTowOAYDVQQLEzEoYykgMjAwNyBWZXJpU2lnbiwgSW5jLiAtIEZvciBhdXRob3JpemVkIHVz
-ZSBvbmx5MUUwQwYDVQQDEzxWZXJpU2lnbiBDbGFzcyAzIFB1YmxpYyBQcmltYXJ5IENlcnRpZmlj
-YXRpb24gQXV0aG9yaXR5IC0gRzQwHhcNMDcxMTA1MDAwMDAwWhcNMzgwMTE4MjM1OTU5WjCByjEL
-MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2lnbiBU
-cnVzdCBOZXR3b3JrMTowOAYDVQQLEzEoYykgMjAwNyBWZXJpU2lnbiwgSW5jLiAtIEZvciBhdXRo
-b3JpemVkIHVzZSBvbmx5MUUwQwYDVQQDEzxWZXJpU2lnbiBDbGFzcyAzIFB1YmxpYyBQcmltYXJ5
-IENlcnRpZmljYXRpb24gQXV0aG9yaXR5IC0gRzQwdjAQBgcqhkjOPQIBBgUrgQQAIgNiAASnVnp8
-Utpkmw4tXNherJI9/gHmGUo9FANL+mAnINmDiWn6VMaaGF5VKmTeBvaNSjutEDxlPZCIBIngMGGz
-rl0Bp3vefLK+ymVhAIau2o970ImtTR1ZmkGxvEeA3J5iw/mjgbIwga8wDwYDVR0TAQH/BAUwAwEB
-/zAOBgNVHQ8BAf8EBAMCAQYwbQYIKwYBBQUHAQwEYTBfoV2gWzBZMFcwVRYJaW1hZ2UvZ2lmMCEw
-HzAHBgUrDgMCGgQUj+XTGoasjY5rw8+AatRIGCx7GS4wJRYjaHR0cDovL2xvZ28udmVyaXNpZ24u
-Y29tL3ZzbG9nby5naWYwHQYDVR0OBBYEFLMWkf3upm7ktS5Jj4d4gYDs5bG1MAoGCCqGSM49BAMD
-A2gAMGUCMGYhDBgmYFo4e1ZC4Kf8NoRRkSAsdk1DPcQdhCPQrNZ8NQbOzWm9kA3bbEhCHQ6qQgIx
-AJw9SDkjOVgaFRJZap7v1VmyHVIsmXHNxynfGyphe3HR3vPA5Q06Sqotp9iGKt0uEA==
------END CERTIFICATE-----
-
 NetLock Arany (Class Gold) Főtanúsítvány
 ========================================
 -----BEGIN CERTIFICATE-----
@@ -3433,3 +3195,34 @@ HQ8BAf8EBQMDBwYAMB0GA1UdDgQWBBRVqYSJ0sEy
 ADBkAjA3AZKXRRJ+oPM+rRk6ct30UJMDEr5E0k9BpIycnR+j9sKS50gU/k6bpZFXrsY3crsCMGcl
 CrEMXu6pY5Jv5ZAL/mYiykf9ijH3g/56vxC+GCsej/YpHpRZ744hN8tRmKVuSw==
 -----END CERTIFICATE-----
+
+NAVER Global Root Certification Authority
+=========================================
+-----BEGIN CERTIFICATE-----
+MIIFojCCA4qgAwIBAgIUAZQwHqIL3fXFMyqxQ0Rx+NZQTQ0wDQYJKoZIhvcNAQEMBQAwaTELMAkG
+A1UEBhMCS1IxJjAkBgNVBAoMHU5BVkVSIEJVU0lORVNTIFBMQVRGT1JNIENvcnAuMTIwMAYDVQQD
+DClOQVZFUiBHbG9iYWwgUm9vdCBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eTAeFw0xNzA4MTgwODU4
+NDJaFw0zNzA4MTgyMzU5NTlaMGkxCzAJBgNVBAYTAktSMSYwJAYDVQQKDB1OQVZFUiBCVVNJTkVT
+UyBQTEFURk9STSBDb3JwLjEyMDAGA1UEAwwpTkFWRVIgR2xvYmFsIFJvb3QgQ2VydGlmaWNhdGlv
+biBBdXRob3JpdHkwggIiMA0GCSqGSIb3DQEBAQUAA4ICDwAwggIKAoICAQC21PGTXLVAiQqrDZBb
+UGOukJR0F0Vy1ntlWilLp1agS7gvQnXp2XskWjFlqxcX0TM62RHcQDaH38dq6SZeWYp34+hInDEW
++j6RscrJo+KfziFTowI2MMtSAuXaMl3Dxeb57hHHi8lEHoSTGEq0n+USZGnQJoViAbbJAh2+g1G7
+XNr4rRVqmfeSVPc0W+m/6imBEtRTkZazkVrd/pBzKPswRrXKCAfHcXLJZtM0l/aM9BhK4dA9WkW2
+aacp+yPOiNgSnABIqKYPszuSjXEOdMWLyEz59JuOuDxp7W87UC9Y7cSw0BwbagzivESq2M0UXZR4
+Yb8ObtoqvC8MC3GmsxY/nOb5zJ9TNeIDoKAYv7vxvvTWjIcNQvcGufFt7QSUqP620wbGQGHfnZ3z
+VHbOUzoBppJB7ASjjw2i1QnK1sua8e9DXcCrpUHPXFNwcMmIpi3Ua2FzUCaGYQ5fG8Ir4ozVu53B
+A0K6lNpfqbDKzE0K70dpAy8i+/Eozr9dUGWokG2zdLAIx6yo0es+nPxdGoMuK8u180SdOqcXYZai
+cdNwlhVNt0xz7hlcxVs+Qf6sdWA7G2POAN3aCJBitOUt7kinaxeZVL6HSuOpXgRM6xBtVNbv8ejy
+YhbLgGvtPe31HzClrkvJE+2KAQHJuFFYwGY6sWZLxNUxAmLpdIQM201GLQIDAQABo0IwQDAdBgNV
+HQ4EFgQU0p+I36HNLL3s9TsBAZMzJ7LrYEswDgYDVR0PAQH/BAQDAgEGMA8GA1UdEwEB/wQFMAMB
+Af8wDQYJKoZIhvcNAQEMBQADggIBADLKgLOdPVQG3dLSLvCkASELZ0jKbY7gyKoNqo0hV4/GPnrK
+21HUUrPUloSlWGB/5QuOH/XcChWB5Tu2tyIvCZwTFrFsDDUIbatjcu3cvuzHV+YwIHHW1xDBE1UB
+jCpD5EHxzzp6U5LOogMFDTjfArsQLtk70pt6wKGm+LUx5vR1yblTmXVHIloUFcd4G7ad6Qz4G3bx
+hYTeodoS76TiEJd6eN4MUZeoIUCLhr0N8F5OSza7OyAfikJW4Qsav3vQIkMsRIz75Sq0bBwcupTg
+E34h5prCy8VCZLQelHsIJchxzIdFV4XTnyliIoNRlwAYl3dqmJLJfGBs32x9SuRwTMKeuB330DTH
+D8z7p/8Dvq1wkNoL3chtl1+afwkyQf3NosxabUzyqkn+Zvjp2DXrDige7kgvOtB5CTh8piKCk5XQ
+A76+AqAF3SAi428diDRgxuYKuQl1C/AH6GmWNcf7I4GOODm4RStDeKLRLBT/DShycpWbXgnbiUSY
+qqFJu3FS8r/2/yehNq+4tneI3TqkbZs0kNwUXTC/t+sX5Ie3cdCh13cV1ELX8vMxmV2b3RZtP+oG
+I/hGoiLtk/bdmuYqh7GYVPEi92tF4+KOdh2ajcQGjTa3FPOdVGm3jjzVpG2Tgbet9r1ke8LJaDmg
+kpzNNIaRkPpkUZ3+/uul9XXeifdy
+-----END CERTIFICATE-----
diff -pruN 5.9.0+dfsg-3/resources/template-functions.json 5.10.0+dfsg-1/resources/template-functions.json
--- 5.9.0+dfsg-3/resources/template-functions.json	2021-01-08 03:54:58.000000000 +0000
+++ 5.10.0+dfsg-1/resources/template-functions.json	2021-01-22 02:30:51.000000000 +0000
@@ -1,5 +1,5 @@
 {
-    "add": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(x + y)\n",
+    "add": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    res = 0\n    for v in args:\n        v = float(v if v and v != 'None' else 0)\n        res += v\n    return unicode_type(res)\n",
     "and": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    while i < len(args):\n        if not args[i]:\n            return ''\n        i += 1\n    return '1'\n",
     "approximate_formats": "def evaluate(self, formatter, kwargs, mi, locals):\n    if hasattr(mi, '_proxy_metadata'):\n        fmt_data = mi._proxy_metadata.db_approx_formats\n        if not fmt_data:\n            return ''\n        data = sorted(fmt_data)\n        return ','.join(v.upper() for v in data)\n    return _('This function can be used only in the GUI')\n",
     "arguments": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    # The arguments function is implemented in-line in the formatter\n    raise NotImplementedError()\n",
@@ -22,6 +22,7 @@
     "eval": "def evaluate(self, formatter, kwargs, mi, locals, template):\n    from calibre.utils.formatter import EvalFormatter\n    template = template.replace('[[', '{').replace(']]', '}')\n    return EvalFormatter().safe_format(template, locals, 'EVAL', None)\n",
     "first_non_empty": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    while i < len(args):\n        if args[i]:\n            return args[i]\n        i += 1\n    return ''\n",
     "field": "def evaluate(self, formatter, kwargs, mi, locals, name):\n    return formatter.get_value(name, [], kwargs)\n",
+    "field_exists": "def evaluate(self, formatter, kwargs, mi, locals, field_name):\n    if field_name.lower() in mi.all_field_keys():\n        return '1'\n    return ''\n",
     "finish_formatting": "def evaluate(self, formatter, kwargs, mi, locals_, val, fmt, prefix, suffix):\n    if not val:\n        return val\n    return prefix + formatter._do_format(val, fmt) + suffix\n",
     "first_matching_cmp": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    if (len(args) % 2) != 0:\n        raise ValueError(_('first_matching_cmp requires an even number of arguments'))\n    val = float(args[0] if args[0] and args[0] != 'None' else 0)\n    for i in range(1, len(args) - 1, 2):\n        c = float(args[i] if args[i] and args[i] != 'None' else 0)\n        if val < c:\n            return args[i+1]\n    return args[len(args)-1]\n",
     "floor": "def evaluate(self, formatter, kwargs, mi, locals, x):\n    x = float(x if x and x != 'None' else 0)\n    return unicode_type(int(floor(x)))\n",
@@ -51,7 +52,7 @@
     "lookup": "def evaluate(self, formatter, kwargs, mi, locals, val, *args):\n    if len(args) == 2:  # here for backwards compatibility\n        if val:\n            return formatter.vformat('{'+args[0].strip()+'}', [], kwargs)\n        else:\n            return formatter.vformat('{'+args[1].strip()+'}', [], kwargs)\n    if (len(args) % 2) != 1:\n        raise ValueError(_('lookup requires either 2 or an odd number of arguments'))\n    i = 0\n    while i < len(args):\n        if i + 1 >= len(args):\n            return formatter.vformat('{' + args[i].strip() + '}', [], kwargs)\n        if re.search(args[i], val, flags=re.I):\n            return formatter.vformat('{'+args[i+1].strip() + '}', [], kwargs)\n        i += 2\n",
     "lowercase": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return val.lower()\n",
     "mod": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(int(x % y))\n",
-    "multiply": "def evaluate(self, formatter, kwargs, mi, locals, x, y):\n    x = float(x if x and x != 'None' else 0)\n    y = float(y if y and y != 'None' else 0)\n    return unicode_type(x * y)\n",
+    "multiply": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    res = 1\n    for v in args:\n        v = float(v if v and v != 'None' else 0)\n        res *= v\n    return unicode_type(res)\n",
     "not": "def evaluate(self, formatter, kwargs, mi, locals, val):\n    return '' if val else '1'\n",
     "ondevice": "def evaluate(self, formatter, kwargs, mi, locals):\n    if hasattr(mi, '_proxy_metadata'):\n        if mi._proxy_metadata.ondevice_col:\n            return _('Yes')\n        return ''\n    return _('This function can be used only in the GUI')\n",
     "or": "def evaluate(self, formatter, kwargs, mi, locals, *args):\n    i = 0\n    while i < len(args):\n        if args[i]:\n            return '1'\n        i += 1\n    return ''\n",
diff -pruN 5.9.0+dfsg-3/resources/user-agent-data.json 5.10.0+dfsg-1/resources/user-agent-data.json
--- 5.9.0+dfsg-3/resources/user-agent-data.json	2021-01-08 03:55:01.000000000 +0000
+++ 5.10.0+dfsg-1/resources/user-agent-data.json	2021-01-22 02:30:54.000000000 +0000
@@ -1,6 +1,11 @@
 {
   "chrome_versions": [
     {
+      "chrome_version": "88.0.4324",
+      "date": "2021-01-19",
+      "webkit_version": "88"
+    },
+    {
       "chrome_version": "87.0.4280",
       "date": "2020-11-17",
       "webkit_version": "87"
@@ -429,72 +434,71 @@
   "common_user_agents": [
     "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
     "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.141 Safari/537.36",
     "Mozilla/5.0 (Windows NT 10.0; WOW64; Trident/7.0; rv:11.0) like Gecko",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 Edg/87.0.664.66",
     "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.87 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 Edg/87.0.664.66",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.141 Safari/537.36 Edg/87.0.664.75",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Safari/605.1.15",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 OPR/73.0.3856.284",
-    "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 11_1_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 OPR/73.0.3856.284",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.101 Safari/537.36",
-    "Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Safari/605.1.15",
     "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 OPR/73.0.3856.329",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.101 Safari/537.36",
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.16; rv:84.0) Gecko/20100101 Firefox/84.0",
+    "Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
     "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36",
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:84.0) Gecko/20100101 Firefox/84.0",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15",
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.16; rv:84.0) Gecko/20100101 Firefox/84.0",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.141 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0",
+    "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.87 Safari/537.36",
     "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:83.0) Gecko/20100101 Firefox/83.0",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:84.0) Gecko/20100101 Firefox/84.0",
-    "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.87 Safari/537.36",
-    "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.108 Safari/537.36",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0 Safari/605.1.15",
-    "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0",
     "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36",
-    "Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 11_0_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
-    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.1.2 Safari/605.1.15",
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
-    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.108 Safari/537.36",
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36 OPR/72.0.3815.459",
     "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.107 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15",
     "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36",
-    "Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 Edg/87.0.664.66",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101 Firefox/78.0",
+    "Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:84.0) Gecko/20100101 Firefox/84.0",
     "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:85.0) Gecko/20100101 Firefox/85.0",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 Edg/87.0.664.60",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36",
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
-    "Mozilla/5.0 (Windows NT 10.0; rv:84.0) Gecko/20100101 Firefox/84.0",
-    "Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko",
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 11_0_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101 Firefox/78.0",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36 OPR/72.0.3815.459",
     "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Safari/605.1.15",
+    "Mozilla/5.0 (Windows NT 10.0; rv:84.0) Gecko/20100101 Firefox/84.0",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36",
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.107 Safari/537.36",
     "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.102 Safari/537.36 Edge/18.18363",
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:82.0) Gecko/20100101 Firefox/82.0"
+    "Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko",
+    "Mozilla/5.0 (Windows NT 6.1; rv:84.0) Gecko/20100101 Firefox/84.0",
+    "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.108 Safari/537.36"
   ],
   "desktop_platforms": [
-    "Windows NT 10.0; WOW64",
     "Macintosh; Intel Mac OS X 11_1_0",
-    "Macintosh; Intel Mac OS X 11_0_1",
-    "Macintosh; Intel Mac OS X 10_15_6",
+    "Windows NT 10.0; WOW64",
     "Macintosh; Intel Mac OS X 10_14_6",
+    "Windows NT 10.0; Win64; x64",
+    "Windows NT 6.1; WOW64",
+    "Macintosh; Intel Mac OS X 10.14",
+    "Windows NT 6.3; Win64; x64",
+    "Macintosh; Intel Mac OS X 10_15_7",
+    "Windows NT 6.1; Win64; x64",
+    "Windows NT 6.1",
     "Macintosh; Intel Mac OS X 10.15",
     "Macintosh; Intel Mac OS X 10_13_6",
-    "Windows NT 6.1; Win64; x64",
-    "Windows NT 6.1; WOW64",
+    "Macintosh; Intel Mac OS X 11_0_1",
     "Windows NT 10.0",
-    "Windows NT 10.0; Win64; x64",
-    "Macintosh; Intel Mac OS X 10_15_7",
-    "Windows NT 6.3; Win64; x64",
-    "Macintosh; Intel Mac OS X 10.16",
-    "Macintosh; Intel Mac OS X 10.14",
-    "Windows NT 6.1"
+    "Macintosh; Intel Mac OS X 10.16"
   ],
   "firefox_versions": [
     "84.0",
@@ -587,57 +591,57 @@
     "1.0",
     "0.1"
   ],
-  "timestamp": "2021-01-08T03:55:01.875795+00:00",
+  "timestamp": "2021-01-22T02:30:54.573306+00:00",
   "user_agents_popularity": {
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:84.0) Gecko/20100101 Firefox/84.0": 878,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:84.0) Gecko/20100101 Firefox/84.0": 2222,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.16; rv:84.0) Gecko/20100101 Firefox/84.0": 2600,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 1451,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.1.2 Safari/605.1.15": 1474,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 2329,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Safari/605.1.15": 714,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 820,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15": 2610,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Safari/605.1.15": 13539,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 6291,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0 Safari/605.1.15": 1779,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15": 1355,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Safari/605.1.15": 3831,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 11_0_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 1498,
-    "Mozilla/5.0 (Macintosh; Intel Mac OS X 11_1_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 7698,
-    "Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 1628,
-    "Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 Edg/87.0.664.66": 902,
-    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.108 Safari/537.36": 1441,
-    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36": 1056,
-    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 1491,
-    "Mozilla/5.0 (Windows NT 10.0; WOW64; Trident/7.0; rv:11.0) like Gecko": 56936,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36": 1664,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.102 Safari/537.36 Edge/18.18363": 697,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36": 1227,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.87 Safari/537.36": 39943,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36": 2617,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36 OPR/72.0.3815.459": 1182,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.101 Safari/537.36": 5402,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.107 Safari/537.36": 1075,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.141 Safari/537.36": 2550,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36": 860,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 159221,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 Edg/87.0.664.60": 864,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 Edg/87.0.664.66": 56501,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 OPR/73.0.3856.284": 8274,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101 Firefox/78.0": 885,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:82.0) Gecko/20100101 Firefox/82.0": 640,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:83.0) Gecko/20100101 Firefox/83.0": 2547,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0": 70204,
-    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:85.0) Gecko/20100101 Firefox/85.0": 866,
-    "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0": 1101,
-    "Mozilla/5.0 (Windows NT 10.0; rv:84.0) Gecko/20100101 Firefox/84.0": 767,
-    "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 1983,
-    "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.87 Safari/537.36": 1990,
-    "Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko": 715,
-    "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 7796,
-    "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0": 3592,
-    "Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 4191,
-    "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0": 1750
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:84.0) Gecko/20100101 Firefox/84.0": 2093,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:84.0) Gecko/20100101 Firefox/84.0": 4846,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.16; rv:84.0) Gecko/20100101 Firefox/84.0": 5964,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 2037,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.1.2 Safari/605.1.15": 2824,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 3413,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Safari/605.1.15": 1768,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15": 4587,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Safari/605.1.15": 31349,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 9054,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0 Safari/605.1.15": 3204,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.1 Safari/605.1.15": 2353,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Safari/605.1.15": 8719,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 11_0_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 2014,
+    "Mozilla/5.0 (Macintosh; Intel Mac OS X 11_1_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 11092,
+    "Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 2204,
+    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.108 Safari/537.36": 3312,
+    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36": 2353,
+    "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 2374,
+    "Mozilla/5.0 (Windows NT 10.0; WOW64; Trident/7.0; rv:11.0) like Gecko": 123207,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36": 3197,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.102 Safari/537.36 Edge/18.18363": 1549,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.119 Safari/537.36": 2567,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.87 Safari/537.36": 86916,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36": 4893,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.198 Safari/537.36 OPR/72.0.3815.459": 1893,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.101 Safari/537.36": 6869,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.107 Safari/537.36": 1583,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.141 Safari/537.36": 150806,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.141 Safari/537.36 Edg/87.0.664.75": 56512,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.66 Safari/537.36": 1587,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 206860,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 Edg/87.0.664.66": 72597,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 OPR/73.0.3856.284": 9602,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36 OPR/73.0.3856.329": 7251,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101 Firefox/78.0": 2001,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:83.0) Gecko/20100101 Firefox/83.0": 3703,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0": 158017,
+    "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:85.0) Gecko/20100101 Firefox/85.0": 2090,
+    "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0": 2579,
+    "Mozilla/5.0 (Windows NT 10.0; rv:84.0) Gecko/20100101 Firefox/84.0": 1727,
+    "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 2554,
+    "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.87 Safari/537.36": 3754,
+    "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.108 Safari/537.36": 1333,
+    "Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko": 1472,
+    "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 10168,
+    "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0": 7644,
+    "Mozilla/5.0 (Windows NT 6.1; rv:84.0) Gecko/20100101 Firefox/84.0": 1355,
+    "Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36": 5501,
+    "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:84.0) Gecko/20100101 Firefox/84.0": 3927
   }
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/resources/user-manual-translation-stats.json 5.10.0+dfsg-1/resources/user-manual-translation-stats.json
--- 5.9.0+dfsg-3/resources/user-manual-translation-stats.json	2021-01-08 03:54:58.000000000 +0000
+++ 5.10.0+dfsg-1/resources/user-manual-translation-stats.json	2021-01-22 02:30:51.000000000 +0000
@@ -1,15 +1,15 @@
 {
     "uk": 1.0,
-    "zh_CN": 0.32099173553719007,
-    "es": 0.9907438016528926,
-    "sv": 0.9639669421487603,
-    "ru": 0.6423140495867768,
-    "de": 0.4317355371900826,
-    "pt_BR": 0.32264462809917355,
-    "nl": 0.4700826446280992,
-    "tr": 0.610909090909091,
+    "zh_CN": 0.3203563180468492,
+    "es": 1.0,
+    "sv": 0.9646981194325305,
+    "ru": 0.7683932695480039,
+    "de": 0.42857142857142855,
+    "pt_BR": 0.3213460903992082,
+    "nl": 0.4675024744308809,
+    "tr": 0.6077202243483999,
     "fr": 1.0,
-    "pt": 0.31636363636363635,
-    "et": 0.35173553719008266,
-    "cs": 0.6105785123966943
+    "pt": 0.31474760805014845,
+    "et": 0.3500494886176179,
+    "cs": 0.6096997690531177
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/resources/viewer.js 5.10.0+dfsg-1/resources/viewer.js
--- 5.9.0+dfsg-3/resources/viewer.js	2021-01-08 03:54:49.000000000 +0000
+++ 5.10.0+dfsg-1/resources/viewer.js	2021-01-22 02:30:36.000000000 +0000
@@ -4453,9 +4453,9 @@ var str = ρσ_str, repr = ρσ_repr;;
     ρσ_modules["read_book.prefs.main"] = {};
     ρσ_modules["read_book.word_actions"] = {};
     ρσ_modules["read_book.overlay"] = {};
+    ρσ_modules["read_book.read_aloud"] = {};
     ρσ_modules["read_book.scrollbar"] = {};
     ρσ_modules["read_book.search"] = {};
-    ρσ_modules["read_book.read_aloud"] = {};
     ρσ_modules["read_book.timers"] = {};
     ρσ_modules["read_book.view"] = {};
 
@@ -5635,7 +5635,7 @@ return parser;
             var h;
             h = (as_utc) ? dt.getUTCHours() : dt.getHours();
             if (ampm) {
-                h = h % 12;
+                h %= 12;
             }
             return (hr.length === 1) ? h.toString() : str.format("{:02d}", h);
         };
@@ -5806,7 +5806,7 @@ return parser;
             var ans;
             ans = am_pm_pat.ans;
             if (!(typeof ans !== "undefined" && ans !== null)) {
-                ans = am_pm_pat.ans = /(ap)|(a)/;
+                ans = am_pm_pat.ans = /(ap)|(a)|(AP)|(A)/;
             }
             return ans;
         };
@@ -18665,6 +18665,8 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
                     ρσ_d["read_aloud"] = desc("Ctrl+s", "ui", _("Read aloud"));
                     ρσ_d["toggle_hints"] = desc("Alt+f", "ui", _("Follow links with the keyboard"));
                     ρσ_d["copy_to_clipboard"] = desc(['Ctrl+c', 'Meta+c'], "ui", _("Copy to clipboard"));
+                    ρσ_d["copy_location_to_clipboard"] = desc(['Alt+c'], "ui", _("Copy current location to clipboard"));
+                    ρσ_d["copy_location_as_url_to_clipboard"] = desc(['Ctrl+Shift+c'], "ui", _("Copy current location as calibre:// URL to clipboard"));
                     ρσ_d["start_search"] = desc(['/', 'Ctrl+f'], "ui", _("Start search"));
                     ρσ_d["next_match"] = desc(['F3', 'Enter'], "ui", _("Find next"));
                     ρσ_d["previous_match"] = desc(['Shift+F3'], "ui", _("Find previous"));
@@ -19664,9 +19666,10 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
                     }
                 }
             }
-            if (di) {
+            if (Math.abs(di) >= 1) {
                 scroll_viewport.scroll_by_in_inline_direction(di);
-            } else if (Math.abs(db) >= 1) {
+            }
+            if (Math.abs(db) >= 1) {
                 scroll_by_and_check_next_page(db);
             }
         };
@@ -20802,8 +20805,8 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
 
         var encode_query = ρσ_modules.ajax.encode_query;
 
-        var get_session_data = ρσ_modules["book_list.globals"].get_session_data;
         var get_current_query = ρσ_modules["book_list.globals"].get_current_query;
+        var get_session_data = ρσ_modules["book_list.globals"].get_session_data;
 
         var get_color = ρσ_modules["book_list.theme"].get_color;
 
@@ -20824,7 +20827,9 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
         var question_dialog = ρσ_modules.modals.question_dialog;
         var warning_dialog = ρσ_modules.modals.warning_dialog;
 
+        var current_book = ρσ_modules["read_book.globals"].current_book;
         var is_dark_theme = ρσ_modules["read_book.globals"].is_dark_theme;
+        var runtime = ρσ_modules["read_book.globals"].runtime;
 
         var create_button = ρσ_modules.widgets.create_button;
 
@@ -21663,6 +21668,41 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
             __module__ : {value: "read_book.highlights"}
         });
 
+        function get_current_link_prefix() {
+            var link_prefix;
+            if (runtime.is_standalone_viewer) {
+                return current_book().calibre_book_url;
+            }
+            link_prefix = window.location.href;
+            return link_prefix.slice(0, link_prefix.indexOf("#") + 1);
+        };
+        if (!get_current_link_prefix.__module__) Object.defineProperties(get_current_link_prefix, {
+            __module__ : {value: "read_book.highlights"}
+        });
+
+        function link_to_epubcfi(epubcfi, link_prefix, current_query) {
+            var link;
+            if (runtime.is_standalone_viewer) {
+                current_query = (function(){
+                    var ρσ_d = Object.create(null);
+                    ρσ_d["open_at"] = epubcfi;
+                    return ρσ_d;
+                }).call(this);
+                link = encode_query(current_query);
+            } else {
+                if (!current_query) {
+                    current_query = Object.assign(Object.create(null), get_current_query());
+                }
+                current_query.bookpos = epubcfi;
+                link = encode_query(current_query).slice(1);
+            }
+            return link_prefix + link.replace(/\)/g, "%29").replace(/\(/g, "%28");
+        };
+        if (!link_to_epubcfi.__argnames__) Object.defineProperties(link_to_epubcfi, {
+            __argnames__ : {value: ["epubcfi", "link_prefix", "current_query"]},
+            __module__ : {value: "read_book.highlights"}
+        });
+
         function render_highlight_as_text() {
             var hl = ( 0 === arguments.length-1 && arguments[arguments.length-1] !== null && typeof arguments[arguments.length-1] === "object" && arguments[arguments.length-1] [ρσ_kwargs_symbol] === true) ? undefined : arguments[0];
             var lines = ( 1 === arguments.length-1 && arguments[arguments.length-1] !== null && typeof arguments[arguments.length-1] === "object" && arguments[arguments.length-1] [ρσ_kwargs_symbol] === true) ? undefined : arguments[1];
@@ -21680,8 +21720,7 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
             if (as_markdown) {
                 cfi = hl.start_cfi;
                 spine_index = (1 + hl.spine_index) * 2;
-                current_query.bookpos = "epubcfi(/" + ρσ_str.format("{}", spine_index) + "" + ρσ_str.format("{}", cfi) + ")";
-                link = link_prefix + encode_query(current_query).slice(1).replace(/\)/g, "%29");
+                link = link_to_epubcfi("epubcfi(/" + ρσ_str.format("{}", spine_index) + "" + ρσ_str.format("{}", cfi) + ")", link_prefix, current_query);
                 date = "[" + ρσ_str.format("{}", date) + "](" + ρσ_str.format("{}", link) + ")";
             }
             lines.push(date);
@@ -21718,8 +21757,7 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
             idx = href.indexOf("#");
             href = href.slice(0, idx + 1);
             current_query = Object.assign(Object.create(null), get_current_query());
-            link_prefix = window.location.href;
-            link_prefix = link_prefix.slice(0, link_prefix.indexOf("#") + 1);
+            link_prefix = get_current_link_prefix();
             function update_text() {
                 var data, as_markdown, lines, hl;
                 if (fmt === "calibre_annotations_collection") {
@@ -22186,6 +22224,8 @@ ρσ_unpack = ρσ_unpack_asarray(3, ρ
         ρσ_modules["read_book.highlights"].EditNotesAndColors = EditNotesAndColors;
         ρσ_modules["read_book.highlights"].get_container_id = get_container_id;
         ρσ_modules["read_book.highlights"].get_container = get_container;
+        ρσ_modules["read_book.highlights"].get_current_link_prefix = get_current_link_prefix;
+        ρσ_modules["read_book.highlights"].link_to_epubcfi = link_to_epubcfi;
         ρσ_modules["read_book.highlights"].render_highlight_as_text = render_highlight_as_text;
         ρσ_modules["read_book.highlights"].show_export_dialog = show_export_dialog;
         ρσ_modules["read_book.highlights"].focus_search = focus_search;
@@ -24092,7 +24132,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         });
 
         function get_current_toc_nodes() {
-            var toc, ρσ_unpack, parent_map, id_map, data, ans, before;
+            var toc, ρσ_unpack, parent_map, id_map, data, ans, before, r, fam, x;
             toc = current_book().manifest.toc;
             ρσ_unpack = get_toc_maps(toc);
 ρσ_unpack = ρσ_unpack_asarray(2, ρσ_unpack);
@@ -24112,11 +24152,16 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     }
                 }
             }
-            ans = Object.keys(ans);
-            if (ans.length) {
-                return family_for_toc_node(ans[0], parent_map, id_map);
+            r = [];
+            var ρσ_Iter2 = ρσ_Iterable(Object.keys(ans));
+            for (var ρσ_Index2 = 0; ρσ_Index2 < ρσ_Iter2.length; ρσ_Index2++) {
+                x = ρσ_Iter2[ρσ_Index2];
+                fam = family_for_toc_node(x, parent_map, id_map);
+                if ((typeof fam !== "undefined" && fam !== null ? fam : Object.create(null)).length) {
+                    r.push(fam);
+                }
             }
-            return [];
+            return r;
         };
         if (!get_current_toc_nodes.__module__) Object.defineProperties(get_current_toc_nodes, {
             __module__ : {value: "read_book.toc"}
@@ -24138,9 +24183,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     }
                 }
             }
-            var ρσ_Iter2 = ρσ_Iterable(Object.keys(ans));
-            for (var ρσ_Index2 = 0; ρσ_Index2 < ρσ_Iter2.length; ρσ_Index2++) {
-                node_id = ρσ_Iter2[ρσ_Index2];
+            var ρσ_Iter3 = ρσ_Iterable(Object.keys(ans));
+            for (var ρσ_Index3 = 0; ρσ_Index3 < ρσ_Iter3.length; ρσ_Index3++) {
+                node_id = ρσ_Iter3[ρσ_Index3];
                 p = parent_map[(typeof node_id === "number" && node_id < 0) ? parent_map.length + node_id : node_id];
                 while (p && p.title) {
                     ans[ρσ_bound_index(p.id, ans)] = true;
@@ -24166,9 +24211,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 var c;
                 id_map[ρσ_bound_index(node.id, id_map)] = node;
                 parent_map[ρσ_bound_index(node.id, parent_map)] = parent;
-                var ρσ_Iter3 = ρσ_Iterable(node.children);
-                for (var ρσ_Index3 = 0; ρσ_Index3 < ρσ_Iter3.length; ρσ_Index3++) {
-                    c = ρσ_Iter3[ρσ_Index3];
+                var ρσ_Iter4 = ρσ_Iterable(node.children);
+                for (var ρσ_Index4 = 0; ρσ_Index4 < ρσ_Iter4.length; ρσ_Index4++) {
+                    c = ρσ_Iter4[ρσ_Index4];
                     process_node(c, node);
                 }
             };
@@ -24268,9 +24313,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 am = Object.create(null);
                 anchors = [];
                 pos_map = Object.create(null);
-                var ρσ_Iter4 = ρσ_Iterable(enumerate(tam[(typeof name === "number" && name < 0) ? tam.length + name : name] || []));
-                for (var ρσ_Index4 = 0; ρσ_Index4 < ρσ_Iter4.length; ρσ_Index4++) {
-                    ρσ_unpack = ρσ_Iter4[ρσ_Index4];
+                var ρσ_Iter5 = ρσ_Iterable(enumerate(tam[(typeof name === "number" && name < 0) ? tam.length + name : name] || []));
+                for (var ρσ_Index5 = 0; ρσ_Index5 < ρσ_Iter5.length; ρσ_Index5++) {
+                    ρσ_unpack = ρσ_Iter5[ρσ_Index5];
                     i = ρσ_unpack[0];
                     anchor = ρσ_unpack[1];
                     val = anchor_funcs.pos_for_elem();
@@ -24318,9 +24363,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             before = after = null;
             visible_anchors = Object.create(null);
             has_visible = false;
-            var ρσ_Iter5 = ρσ_Iterable(tam.sorted_anchors);
-            for (var ρσ_Index5 = 0; ρσ_Index5 < ρσ_Iter5.length; ρσ_Index5++) {
-                anchor_id = ρσ_Iter5[ρσ_Index5];
+            var ρσ_Iter6 = ρσ_Iterable(tam.sorted_anchors);
+            for (var ρσ_Index6 = 0; ρσ_Index6 < ρσ_Iter6.length; ρσ_Index6++) {
+                anchor_id = ρσ_Iter6[ρσ_Index6];
                 pos = (ρσ_expr_temp = tam.pos_map)[(typeof anchor_id === "number" && anchor_id < 0) ? ρσ_expr_temp.length + anchor_id : anchor_id];
                 visibility = anchor_funcs.visibility(pos);
                 if (visibility < 0) {
@@ -24363,9 +24408,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     }
                     return ρσ_Result;
                 })();
-                var ρσ_Iter6 = ρσ_Iterable(tam.sorted_anchors);
-                for (var ρσ_Index6 = 0; ρσ_Index6 < ρσ_Iter6.length; ρσ_Index6++) {
-                    anchor_id = ρσ_Iter6[ρσ_Index6];
+                var ρσ_Iter7 = ρσ_Iterable(tam.sorted_anchors);
+                for (var ρσ_Index7 = 0; ρσ_Index7 < ρσ_Iter7.length; ρσ_Index7++) {
+                    anchor_id = ρσ_Iter7[ρσ_Index7];
                     anchor = amap[(typeof anchor_id === "number" && anchor_id < 0) ? amap.length + anchor_id : anchor_id];
                     is_before = true;
                     if (anchor.frag) {
@@ -25519,7 +25564,7 @@ return this.__repr__();
         var is_ios = ρσ_modules.utils.is_ios;
 
         FORCE_FLOW_MODE = false;
-        CALIBRE_VERSION = "5.9.0";
+        CALIBRE_VERSION = "5.10.0";
         ERS_SUPPORTED_FEATURES = (function(){
             var s = ρσ_set();
             s.jsset.add("dom-manipulation");
@@ -26919,6 +26964,15 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 }
                 ρσ_interpolate_kwargs.call(self, self.send_message, ["annotations"].concat([ρσ_desugar_kwargs({type: "highlight-applied", uuid: data.uuid, ok: annot_id !== null, bounds: bounds, removed_highlights: removed_highlights, highlighted_text: text, anchor_before: anchor_before})]));
                 reset_find_caches();
+            } else if (dtype === "cite-current-selection") {
+                sel = window.getSelection();
+                if (!sel.rangeCount) {
+                    return;
+                }
+                bounds = cfi_for_selection();
+                anchor_before = find_anchor_before_range(sel.getRangeAt(0), self.book.manifest.toc_anchor_map, self.anchor_funcs);
+                text = sel.toString();
+                ρσ_interpolate_kwargs.call(self, self.send_message, ["annotations"].concat([ρσ_desugar_kwargs({type: "cite-data", bounds: bounds, highlighted_text: text})]));
             } else {
                 console.log("Ignoring annotations message to iframe with unknown type: " + dtype);
             }
@@ -33269,7 +33323,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                                 var ρσ_Iter = ρσ_Iterable(val.split("\n\n")), ρσ_Result = [], x;
                                 for (var ρσ_Index = 0; ρσ_Index < ρσ_Iter.length; ρσ_Index++) {
                                     x = ρσ_Iter[ρσ_Index];
-                                    ρσ_Result.push("<p class=\"description\">{}</p>".format(x.pyreplace("\n", "<br>")));
+                                    ρσ_Result.push("<p class=\"description\">{}</p>".format(x.replace(/\n/g, "<br>")));
                                 }
                                 ρσ_Result = ρσ_list_constructor(ρσ_Result);
                                 return ρσ_Result;
@@ -35387,10 +35441,6 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var DRAG_SCROLL_ZONE_MIN_HEIGHT, BUTTON_MARGIN, HIDDEN, WAITING, DRAGGING, EDITING;
         var E = ρσ_modules.elementmaker.E;
 
-        var _ = ρσ_modules.gettext.gettext;
-
-        var short_uuid = ρσ_modules.uuid.short_uuid;
-
         var get_session_data = ρσ_modules["book_list.globals"].get_session_data;
 
         var get_color = ρσ_modules["book_list.theme"].get_color;
@@ -35400,9 +35450,11 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var svgicon = ρσ_modules.dom.svgicon;
         var unique_id = ρσ_modules.dom.unique_id;
 
+        var _ = ρσ_modules.gettext.gettext;
+
+        var create_custom_dialog = ρσ_modules.modals.create_custom_dialog;
         var error_dialog = ρσ_modules.modals.error_dialog;
         var question_dialog = ρσ_modules.modals.question_dialog;
-        var create_custom_dialog = ρσ_modules.modals.create_custom_dialog;
 
         var runtime = ρσ_modules["read_book.globals"].runtime;
         var ui_operations = ρσ_modules["read_book.globals"].ui_operations;
@@ -35411,14 +35463,18 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var EditNotesAndColors = ρσ_modules["read_book.highlights"].EditNotesAndColors;
         var HighlightStyle = ρσ_modules["read_book.highlights"].HighlightStyle;
         var all_styles = ρσ_modules["read_book.highlights"].all_styles;
+        var get_current_link_prefix = ρσ_modules["read_book.highlights"].get_current_link_prefix;
+        var link_to_epubcfi = ρσ_modules["read_book.highlights"].link_to_epubcfi;
         var render_notes = ρσ_modules["read_book.highlights"].render_notes;
 
-        var create_button = ρσ_modules.widgets.create_button;
-
         var shortcut_for_key_event = ρσ_modules["read_book.shortcuts"].shortcut_for_key_event;
 
-        var get_toc_nodes_bordering_spine_item = ρσ_modules["read_book.toc"].get_toc_nodes_bordering_spine_item;
         var family_for_toc_node = ρσ_modules["read_book.toc"].family_for_toc_node;
+        var get_toc_nodes_bordering_spine_item = ρσ_modules["read_book.toc"].get_toc_nodes_bordering_spine_item;
+
+        var short_uuid = ρσ_modules.uuid.short_uuid;
+
+        var create_button = ρσ_modules.widgets.create_button;
 
         DRAG_SCROLL_ZONE_MIN_HEIGHT = 10;
         BUTTON_MARGIN = "0.5rem";
@@ -35727,6 +35783,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                     ρσ_d["remove_highlight"] = a("trash", _("Remove this highlight"), "remove_highlight", true);
                     ρσ_d["clear"] = a("close", _("Clear selection"), "clear_selection");
                     ρσ_d["speak"] = a("bullhorn", _("Read aloud"), "speak_aloud");
+                    ρσ_d["cite"] = a("reference-mode", _("Copy citation to clipboard"), "cite");
                     return ρσ_d;
                 }).call(this);
                 qh = all_actions.ans.quick_highlight;
@@ -35819,6 +35876,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
             this.internet_search = SelectionBar.prototype.internet_search.bind(this);
             this.clear_selection = SelectionBar.prototype.clear_selection.bind(this);
             this.speak_aloud = SelectionBar.prototype.speak_aloud.bind(this);
+            this.cite = SelectionBar.prototype.cite.bind(this);
             this.create_highlight = SelectionBar.prototype.create_highlight.bind(this);
             this.quick_highlight = SelectionBar.prototype.quick_highlight.bind(this);
             this.quick_highlight_with_style = SelectionBar.prototype.quick_highlight_with_style.bind(this);
@@ -37019,6 +37077,13 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         if (!SelectionBar.prototype.speak_aloud.__module__) Object.defineProperties(SelectionBar.prototype.speak_aloud, {
             __module__ : {value: "read_book.selection_bar"}
         });
+        SelectionBar.prototype.cite = function cite() {
+            var self = this;
+            self.send_message("cite-current-selection");
+        };
+        if (!SelectionBar.prototype.cite.__module__) Object.defineProperties(SelectionBar.prototype.cite, {
+            __module__ : {value: "read_book.selection_bar"}
+        });
         SelectionBar.prototype.create_highlight = function create_highlight() {
             var self = this;
             var cs, hs, notes, am, q;
@@ -37129,7 +37194,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         });
         SelectionBar.prototype.handle_message = function handle_message(msg) {
             var self = this;
-            var notes, toc_family, before;
+            var notes, toc_family, before, spine_index, cfi, link_prefix, url, text;
             if (msg.type === "highlight-applied") {
                 notes = self.current_notes;
                 self.current_notes = "";
@@ -37154,6 +37219,17 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 self.report_failed_edit_highlight(msg.uuid);
             } else if (msg.type === "double-click") {
                 self.last_double_click_at = window.performance.now();
+            } else if (msg.type === "cite-data") {
+                spine_index = self.view.currently_showing.spine_index;
+                spine_index = (1 + spine_index) * 2;
+                cfi = msg.bounds.start;
+                link_prefix = get_current_link_prefix();
+                if (!link_prefix) {
+                    return self.view.show_not_a_library_book_error();
+                }
+                url = link_to_epubcfi("epubcfi(/" + ρσ_str.format("{}", spine_index) + "" + ρσ_str.format("{}", cfi) + ")", link_prefix);
+                text = msg.highlighted_text.replace(/\[/g, "\\[").replace(/\]/g, "\\]");
+                ui_operations.copy_selection("[" + ρσ_str.format("{}", text) + "](" + ρσ_str.format("{}", url) + ")");
             } else {
                 print("Ignoring annotations message with unknown type:", msg.type);
             }
@@ -40450,6 +40526,459 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
     })();
 
     (function(){
+        var __name__ = "read_book.read_aloud";
+        var HIDDEN, WAITING_FOR_PLAY_TO_START, PAUSED, PLAYING, STOPPED;
+        var E = ρσ_modules.elementmaker.E;
+
+        var get_session_data = ρσ_modules["book_list.globals"].get_session_data;
+
+        var get_color = ρσ_modules["book_list.theme"].get_color;
+
+        var clear = ρσ_modules.dom.clear;
+        var svgicon = ρσ_modules.dom.svgicon;
+        var unique_id = ρσ_modules.dom.unique_id;
+
+        var _ = ρσ_modules.gettext.gettext;
+
+        var runtime = ρσ_modules["read_book.globals"].runtime;
+        var ui_operations = ρσ_modules["read_book.globals"].ui_operations;
+
+        var ICON_SIZE = ρσ_modules["read_book.highlights"].ICON_SIZE;
+
+        var BUTTON_MARGIN = ρσ_modules["read_book.selection_bar"].BUTTON_MARGIN;
+        var get_margins = ρσ_modules["read_book.selection_bar"].get_margins;
+        var map_to_iframe_coords = ρσ_modules["read_book.selection_bar"].map_to_iframe_coords;
+
+        var shortcut_for_key_event = ρσ_modules["read_book.shortcuts"].shortcut_for_key_event;
+
+        HIDDEN = 0;
+        WAITING_FOR_PLAY_TO_START = 1;
+        PAUSED = 2;
+        PLAYING = 3;
+        STOPPED = 4;
+        function is_flow_mode() {
+            var sd, mode;
+            sd = get_session_data();
+            mode = sd.get("read_mode");
+            return mode === "flow";
+        };
+        if (!is_flow_mode.__module__) Object.defineProperties(is_flow_mode, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+
+        function ReadAloud() {
+            if (this.ρσ_object_id === undefined) Object.defineProperty(this, "ρσ_object_id", {"value":++ρσ_object_counter});
+            ReadAloud.prototype.__bind_methods__.call(this);
+            ReadAloud.prototype.__init__.apply(this, arguments);
+        }
+        Object.defineProperty(ReadAloud.prototype, "__bind_methods__", {value: function () {
+            this.hide = ReadAloud.prototype.hide.bind(this);
+            this.show = ReadAloud.prototype.show.bind(this);
+            this.focus = ReadAloud.prototype.focus.bind(this);
+            this.build_bar = ReadAloud.prototype.build_bar.bind(this);
+            this.configure = ReadAloud.prototype.configure.bind(this);
+            this.slower = ReadAloud.prototype.slower.bind(this);
+            this.faster = ReadAloud.prototype.faster.bind(this);
+            this.play = ReadAloud.prototype.play.bind(this);
+            this.pause = ReadAloud.prototype.pause.bind(this);
+            this.stop = ReadAloud.prototype.stop.bind(this);
+            this.toggle = ReadAloud.prototype.toggle.bind(this);
+            this.container_clicked = ReadAloud.prototype.container_clicked.bind(this);
+            this.on_keydown = ReadAloud.prototype.on_keydown.bind(this);
+            this.handle_tts_event = ReadAloud.prototype.handle_tts_event.bind(this);
+            this.send_message = ReadAloud.prototype.send_message.bind(this);
+            this.handle_message = ReadAloud.prototype.handle_message.bind(this);
+        }});
+        Object.defineProperties(ReadAloud.prototype,  {
+            "container": {
+                "enumerable": true, 
+                "get": function container() {
+                    var self = this;
+                    return document.getElementById("book-read-aloud-overlay");
+                }, 
+                "set": function () { throw new AttributeError("can't set attribute") }
+            }, 
+            "supports_css_min_max": {
+                "enumerable": true, 
+                "get": function supports_css_min_max() {
+                    var self = this;
+                    return !runtime.is_standalone_viewer || runtime.QT_VERSION >= 331520;
+                }, 
+                "set": function () { throw new AttributeError("can't set attribute") }
+            }, 
+            "bar": {
+                "enumerable": true, 
+                "get": function bar() {
+                    var self = this;
+                    return document.getElementById(self.bar_id);
+                }, 
+                "set": function () { throw new AttributeError("can't set attribute") }
+            }, 
+            "is_visible": {
+                "enumerable": true, 
+                "get": function is_visible() {
+                    var self = this;
+                    return self.container.style.display !== "none";
+                }, 
+                "set": function () { throw new AttributeError("can't set attribute") }
+            }, 
+            "state": {
+                "enumerable": true, 
+                "get": function state() {
+                    var self = this;
+                    return self._state;
+                }, 
+                "set": function state(val) {
+                    var self = this;
+                    if (val !== self._state) {
+                        self._state = val;
+                        self.build_bar();
+                    }
+                }
+            }, 
+        });
+        ReadAloud.prototype.__init__ = function __init__(view) {
+            var self = this;
+            var container;
+            self.view = view;
+            self._state = HIDDEN;
+            self.bar_id = unique_id("bar");
+            container = self.container;
+            container.setAttribute("tabindex", "0");
+            container.style.overflow = "hidden";
+            container.style.justifyContent = "flex-end";
+            container.style.alignItems = (is_flow_mode()) ? "flex-end" : "flex-start";
+            container.appendChild(ρσ_interpolate_kwargs.call(E, E.div, [ρσ_desugar_kwargs({id: self.bar_id, style: "border: solid 1px currentColor; border-radius: 5px;display: flex; flex-direction: column; margin: 1rem;"})]));
+            container.addEventListener("keydown", self.on_keydown, (function(){
+                var ρσ_d = Object.create(null);
+                ρσ_d["passive"] = false;
+                return ρσ_d;
+            }).call(this));
+            container.addEventListener("click", self.container_clicked, (function(){
+                var ρσ_d = Object.create(null);
+                ρσ_d["passive"] = false;
+                return ρσ_d;
+            }).call(this));
+        };
+        if (!ReadAloud.prototype.__init__.__argnames__) Object.defineProperties(ReadAloud.prototype.__init__, {
+            __argnames__ : {value: ["view"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.__argnames__ = ReadAloud.prototype.__init__.__argnames__;
+        ReadAloud.__handles_kwarg_interpolation__ = ReadAloud.prototype.__init__.__handles_kwarg_interpolation__;
+        ReadAloud.prototype.hide = function hide() {
+            var self = this;
+            if (self.state !== HIDDEN) {
+                ui_operations.tts("stop");
+                self.state = HIDDEN;
+                self.container.style.display = "none";
+                self.view.focus_iframe();
+                if (ui_operations.read_aloud_state_changed) {
+                    ui_operations.read_aloud_state_changed(false);
+                }
+            }
+        };
+        if (!ReadAloud.prototype.hide.__module__) Object.defineProperties(ReadAloud.prototype.hide, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.show = function show() {
+            var self = this;
+            if (self.state === HIDDEN) {
+                self.container.style.display = "flex";
+                self.state = STOPPED;
+                self.focus();
+                if (ui_operations.read_aloud_state_changed) {
+                    ui_operations.read_aloud_state_changed(true);
+                }
+            }
+        };
+        if (!ReadAloud.prototype.show.__module__) Object.defineProperties(ReadAloud.prototype.show, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.focus = function focus() {
+            var self = this;
+            self.container.focus();
+        };
+        if (!ReadAloud.prototype.focus.__module__) Object.defineProperties(ReadAloud.prototype.focus, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.build_bar = function build_bar(annot_id) {
+            var self = this;
+            var bar_container, x, bar, notes_container;
+            if (self.state === HIDDEN) {
+                return;
+            }
+            self.container.style.alignItems = (is_flow_mode()) ? "flex-end" : "flex-start";
+            bar_container = self.bar;
+            clear(bar_container);
+            bar_container.style.maxWidth = (self.supports_css_min_max) ? "min(40rem, 80vw)" : "40rem";
+            bar_container.style.backgroundColor = get_color("window-background");
+            var ρσ_Iter0 = ρσ_Iterable(ρσ_list_decorate([ ρσ_interpolate_kwargs.call(E, E.div, [ρσ_desugar_kwargs({style: "height: 4ex; display: flex; align-items: center; padding: 5px; justify-content: center"})]), ρσ_interpolate_kwargs.call(E, E.hr, [ρσ_desugar_kwargs({style: "border-top: solid 1px; margin: 0; padding: 0; display: none"})]), ρσ_interpolate_kwargs.call(E, E.div, [E.div()].concat([ρσ_desugar_kwargs({style: "display: none; padding: 5px; font-size: smaller"})])) ]));
+            for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
+                x = ρσ_Iter0[ρσ_Index0];
+                bar_container.appendChild(x);
+            }
+            bar = bar_container.firstChild;
+            function cb(name, icon, text) {
+                var ans;
+                ans = svgicon(icon, ICON_SIZE, ICON_SIZE, text);
+                if (name) {
+                    ans.addEventListener("click", (function() {
+                        var ρσ_anonfunc = function (ev) {
+                            [ev.stopPropagation(), ev.preventDefault()];
+                            self[(typeof name === "number" && name < 0) ? self.length + name : name](ev);
+                            self.view.focus_iframe();
+                        };
+                        if (!ρσ_anonfunc.__argnames__) Object.defineProperties(ρσ_anonfunc, {
+                            __argnames__ : {value: ["ev"]},
+                            __module__ : {value: "read_book.read_aloud"}
+                        });
+                        return ρσ_anonfunc;
+                    })());
+                }
+                ans.classList.add("simple-link");
+                ans.style.marginLeft = ans.style.marginRight = BUTTON_MARGIN;
+                return ans;
+            };
+            if (!cb.__argnames__) Object.defineProperties(cb, {
+                __argnames__ : {value: ["name", "icon", "text"]},
+                __module__ : {value: "read_book.read_aloud"}
+            });
+
+            if (self.state === PLAYING) {
+                bar.appendChild(cb("pause", "pause", _("Pause reading")));
+            } else if (self.state === WAITING_FOR_PLAY_TO_START) {
+                bar.appendChild(cb(null, "hourglass", _("Pause reading")));
+            } else {
+                bar.appendChild(cb("play", "play", (self.state === STOPPED) ? _("Start reading") : _("Resume reading")));
+            }
+            bar.appendChild(cb("slower", "slower", _("Slow down speech")));
+            bar.appendChild(cb("faster", "faster", _("Speed up speech")));
+            bar.appendChild(cb("configure", "cogs", _("Configure Read aloud")));
+            bar.appendChild(cb("hide", "close", _("Close Read aloud")));
+            if (self.state !== WAITING_FOR_PLAY_TO_START) {
+                notes_container = bar_container.lastChild;
+                notes_container.style.display = notes_container.previousSibling.style.display = "block";
+                notes_container = notes_container.lastChild;
+                if (self.state === STOPPED) {
+                    notes_container.textContent = _("Tap/click on a word to start from there");
+                } else if (self.state === PLAYING) {
+                    notes_container.textContent = _("Tap/click on a word to skip to it");
+                } else {
+                    notes_container.textContent = _("Tap/click on a word to continue from there");
+                }
+            }
+        };
+        if (!ReadAloud.prototype.build_bar.__argnames__) Object.defineProperties(ReadAloud.prototype.build_bar, {
+            __argnames__ : {value: ["annot_id"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.configure = function configure() {
+            var self = this;
+            self.pause();
+            self.waiting_for_configure = true;
+            ui_operations.tts("configure");
+        };
+        if (!ReadAloud.prototype.configure.__module__) Object.defineProperties(ReadAloud.prototype.configure, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.slower = function slower() {
+            var self = this;
+            ui_operations.tts("slower");
+        };
+        if (!ReadAloud.prototype.slower.__module__) Object.defineProperties(ReadAloud.prototype.slower, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.faster = function faster() {
+            var self = this;
+            ui_operations.tts("faster");
+        };
+        if (!ReadAloud.prototype.faster.__module__) Object.defineProperties(ReadAloud.prototype.faster, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.play = function play() {
+            var self = this;
+            if (self.state === PAUSED) {
+                ui_operations.tts((self.waiting_for_configure) ? "resume_after_configure" : "resume");
+                self.waiting_for_configure = false;
+                self.state = PLAYING;
+            } else if (self.state === STOPPED) {
+                self.send_message("play");
+                self.state = WAITING_FOR_PLAY_TO_START;
+            }
+        };
+        if (!ReadAloud.prototype.play.__module__) Object.defineProperties(ReadAloud.prototype.play, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.pause = function pause() {
+            var self = this;
+            if (self.state === PLAYING) {
+                ui_operations.tts("pause");
+                self.state = PAUSED;
+            }
+        };
+        if (!ReadAloud.prototype.pause.__module__) Object.defineProperties(ReadAloud.prototype.pause, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.stop = function stop() {
+            var self = this;
+            if (self.state === PLAYING || self.state === PAUSED) {
+                ui_operations.tts("stop");
+                self.state = STOPPED;
+            }
+        };
+        if (!ReadAloud.prototype.stop.__module__) Object.defineProperties(ReadAloud.prototype.stop, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.toggle = function toggle() {
+            var self = this;
+            if (self.state === PLAYING) {
+                self.pause();
+            } else if (self.state === PAUSED || self.state === STOPPED) {
+                self.play();
+            }
+        };
+        if (!ReadAloud.prototype.toggle.__module__) Object.defineProperties(ReadAloud.prototype.toggle, {
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.container_clicked = function container_clicked(ev) {
+            var self = this;
+            var margins, pos;
+            if (ev.button !== 0) {
+                return;
+            }
+            [ev.stopPropagation(), ev.preventDefault()];
+            margins = get_margins();
+            pos = (function(){
+                var ρσ_d = Object.create(null);
+                ρσ_d["x"] = ev.clientX;
+                ρσ_d["y"] = ev.clientY;
+                return ρσ_d;
+            }).call(this);
+            pos = map_to_iframe_coords(pos, margins);
+            ρσ_interpolate_kwargs.call(self, self.send_message, ["play"].concat([ρσ_desugar_kwargs({pos: pos})]));
+        };
+        if (!ReadAloud.prototype.container_clicked.__argnames__) Object.defineProperties(ReadAloud.prototype.container_clicked, {
+            __argnames__ : {value: ["ev"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.on_keydown = function on_keydown(ev) {
+            var self = this;
+            var sc_name;
+            [ev.stopPropagation(), ev.preventDefault()];
+            if (ev.key === "Escape") {
+                self.hide();
+                return;
+            }
+            if (ev.key === " " || ev.key === "MediaPlayPause" || ev.key === "PlayPause") {
+                self.toggle();
+                return;
+            }
+            if (ev.key === "Play" || ev.key === "MediaPlay") {
+                self.play();
+                return;
+            }
+            if (ev.key === "Pause" || ev.key === "MediaPause") {
+                self.pause();
+                return;
+            }
+            if (ev.key === "MediaStop") {
+                self.stop();
+                return;
+            }
+            sc_name = shortcut_for_key_event(ev, self.view.keyboard_shortcut_map);
+            if (!sc_name) {
+                return;
+            }
+            if (sc_name === "show_chrome") {
+                self.hide();
+            } else if (sc_name === "quit") {
+                self.hide();
+                ui_operations.quit();
+            } else if (ρσ_in(sc_name, ["up", "down", "pageup", "pagedown", "left", "right"])) {
+                ρσ_interpolate_kwargs.call(self, self.send_message, ["trigger-shortcut"].concat([ρσ_desugar_kwargs({name: sc_name})]));
+            }
+        };
+        if (!ReadAloud.prototype.on_keydown.__argnames__) Object.defineProperties(ReadAloud.prototype.on_keydown, {
+            __argnames__ : {value: ["ev"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.handle_tts_event = function handle_tts_event(which, data) {
+            var self = this;
+            if (which === "mark") {
+                ρσ_interpolate_kwargs.call(self, self.send_message, ["mark"].concat([ρσ_desugar_kwargs({num: data})]));
+            } else if (which === "begin") {
+                self.state = PLAYING;
+            } else if (which === "end") {
+                self.state = STOPPED;
+                self.view.show_next_spine_item();
+            } else if (which === "configured") {
+                self.focus();
+                if (self.waiting_for_configure) {
+                    self.play();
+                }
+                if (data !== null) {
+                }
+            }
+        };
+        if (!ReadAloud.prototype.handle_tts_event.__argnames__) Object.defineProperties(ReadAloud.prototype.handle_tts_event, {
+            __argnames__ : {value: ["which", "data"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.send_message = function send_message() {
+            var self = this;
+            var type = ( 0 === arguments.length-1 && arguments[arguments.length-1] !== null && typeof arguments[arguments.length-1] === "object" && arguments[arguments.length-1] [ρσ_kwargs_symbol] === true) ? undefined : arguments[0];
+            var kw = arguments[arguments.length-1];
+            if (kw === null || typeof kw !== "object" || kw [ρσ_kwargs_symbol] !== true) kw = {};
+            ρσ_interpolate_kwargs.call(self.view.iframe_wrapper, self.view.iframe_wrapper.send_message, ["tts"].concat([ρσ_desugar_kwargs(kw, {type: type})]));
+        };
+        if (!ReadAloud.prototype.send_message.__handles_kwarg_interpolation__) Object.defineProperties(ReadAloud.prototype.send_message, {
+            __handles_kwarg_interpolation__ : {value: true},
+            __argnames__ : {value: ["type"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.handle_message = function handle_message(msg) {
+            var self = this;
+            if (msg.type === "text-extracted") {
+                if (msg.pos) {
+                    self.stop();
+                }
+                ui_operations.tts("play", (function(){
+                    var ρσ_d = Object.create(null);
+                    ρσ_d["marked_text"] = msg.marked_text;
+                    return ρσ_d;
+                }).call(this));
+            }
+        };
+        if (!ReadAloud.prototype.handle_message.__argnames__) Object.defineProperties(ReadAloud.prototype.handle_message, {
+            __argnames__ : {value: ["msg"]},
+            __module__ : {value: "read_book.read_aloud"}
+        });
+        ReadAloud.prototype.__repr__ = function __repr__ () {
+                        return "<" + __name__ + "." + this.constructor.name + " #" + this.ρσ_object_id + ">";
+        };
+        ReadAloud.prototype.__str__ = function __str__ () {
+            return this.__repr__();
+        };
+        Object.defineProperty(ReadAloud.prototype, "__bases__", {value: []});
+        ReadAloud.prototype.dont_hide_on_content_loaded = true;
+        
+        
+        
+        
+        
+        
+
+        ρσ_modules["read_book.read_aloud"].HIDDEN = HIDDEN;
+        ρσ_modules["read_book.read_aloud"].WAITING_FOR_PLAY_TO_START = WAITING_FOR_PLAY_TO_START;
+        ρσ_modules["read_book.read_aloud"].PAUSED = PAUSED;
+        ρσ_modules["read_book.read_aloud"].PLAYING = PLAYING;
+        ρσ_modules["read_book.read_aloud"].STOPPED = STOPPED;
+        ρσ_modules["read_book.read_aloud"].is_flow_mode = is_flow_mode;
+        ρσ_modules["read_book.read_aloud"].ReadAloud = ReadAloud;
+    })();
+
+    (function(){
         var __name__ = "read_book.scrollbar";
         var SIZE;
         var E = ρσ_modules.elementmaker.E;
@@ -40961,444 +41490,6 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
     })();
 
     (function(){
-        var __name__ = "read_book.read_aloud";
-        var HIDDEN, WAITING_FOR_PLAY_TO_START, PAUSED, PLAYING, STOPPED;
-        var E = ρσ_modules.elementmaker.E;
-
-        var get_color = ρσ_modules["book_list.theme"].get_color;
-
-        var clear = ρσ_modules.dom.clear;
-        var svgicon = ρσ_modules.dom.svgicon;
-        var unique_id = ρσ_modules.dom.unique_id;
-
-        var _ = ρσ_modules.gettext.gettext;
-
-        var runtime = ρσ_modules["read_book.globals"].runtime;
-        var ui_operations = ρσ_modules["read_book.globals"].ui_operations;
-
-        var ICON_SIZE = ρσ_modules["read_book.highlights"].ICON_SIZE;
-
-        var BUTTON_MARGIN = ρσ_modules["read_book.selection_bar"].BUTTON_MARGIN;
-        var get_margins = ρσ_modules["read_book.selection_bar"].get_margins;
-        var map_to_iframe_coords = ρσ_modules["read_book.selection_bar"].map_to_iframe_coords;
-
-        var shortcut_for_key_event = ρσ_modules["read_book.shortcuts"].shortcut_for_key_event;
-
-        HIDDEN = 0;
-        WAITING_FOR_PLAY_TO_START = 1;
-        PAUSED = 2;
-        PLAYING = 3;
-        STOPPED = 4;
-        function ReadAloud() {
-            if (this.ρσ_object_id === undefined) Object.defineProperty(this, "ρσ_object_id", {"value":++ρσ_object_counter});
-            ReadAloud.prototype.__bind_methods__.call(this);
-            ReadAloud.prototype.__init__.apply(this, arguments);
-        }
-        Object.defineProperty(ReadAloud.prototype, "__bind_methods__", {value: function () {
-            this.hide = ReadAloud.prototype.hide.bind(this);
-            this.show = ReadAloud.prototype.show.bind(this);
-            this.focus = ReadAloud.prototype.focus.bind(this);
-            this.build_bar = ReadAloud.prototype.build_bar.bind(this);
-            this.configure = ReadAloud.prototype.configure.bind(this);
-            this.slower = ReadAloud.prototype.slower.bind(this);
-            this.faster = ReadAloud.prototype.faster.bind(this);
-            this.play = ReadAloud.prototype.play.bind(this);
-            this.pause = ReadAloud.prototype.pause.bind(this);
-            this.stop = ReadAloud.prototype.stop.bind(this);
-            this.toggle = ReadAloud.prototype.toggle.bind(this);
-            this.container_clicked = ReadAloud.prototype.container_clicked.bind(this);
-            this.on_keydown = ReadAloud.prototype.on_keydown.bind(this);
-            this.handle_tts_event = ReadAloud.prototype.handle_tts_event.bind(this);
-            this.send_message = ReadAloud.prototype.send_message.bind(this);
-            this.handle_message = ReadAloud.prototype.handle_message.bind(this);
-        }});
-        Object.defineProperties(ReadAloud.prototype,  {
-            "container": {
-                "enumerable": true, 
-                "get": function container() {
-                    var self = this;
-                    return document.getElementById("book-read-aloud-overlay");
-                }, 
-                "set": function () { throw new AttributeError("can't set attribute") }
-            }, 
-            "supports_css_min_max": {
-                "enumerable": true, 
-                "get": function supports_css_min_max() {
-                    var self = this;
-                    return !runtime.is_standalone_viewer || runtime.QT_VERSION >= 331520;
-                }, 
-                "set": function () { throw new AttributeError("can't set attribute") }
-            }, 
-            "bar": {
-                "enumerable": true, 
-                "get": function bar() {
-                    var self = this;
-                    return document.getElementById(self.bar_id);
-                }, 
-                "set": function () { throw new AttributeError("can't set attribute") }
-            }, 
-            "is_visible": {
-                "enumerable": true, 
-                "get": function is_visible() {
-                    var self = this;
-                    return self.container.style.display !== "none";
-                }, 
-                "set": function () { throw new AttributeError("can't set attribute") }
-            }, 
-            "state": {
-                "enumerable": true, 
-                "get": function state() {
-                    var self = this;
-                    return self._state;
-                }, 
-                "set": function state(val) {
-                    var self = this;
-                    if (val !== self._state) {
-                        self._state = val;
-                        self.build_bar();
-                    }
-                }
-            }, 
-        });
-        ReadAloud.prototype.__init__ = function __init__(view) {
-            var self = this;
-            var container;
-            self.view = view;
-            self._state = HIDDEN;
-            self.bar_id = unique_id("bar");
-            container = self.container;
-            container.setAttribute("tabindex", "0");
-            container.style.overflow = "hidden";
-            container.style.textAlign = "right";
-            container.appendChild(ρσ_interpolate_kwargs.call(E, E.div, [ρσ_desugar_kwargs({id: self.bar_id, style: "position: static; border: solid 1px currentColor; border-radius: 5px;display: inline-flex; flex-direction: column; margin: 1rem;"})]));
-            container.addEventListener("keydown", self.on_keydown, (function(){
-                var ρσ_d = Object.create(null);
-                ρσ_d["passive"] = false;
-                return ρσ_d;
-            }).call(this));
-            container.addEventListener("click", self.container_clicked, (function(){
-                var ρσ_d = Object.create(null);
-                ρσ_d["passive"] = false;
-                return ρσ_d;
-            }).call(this));
-        };
-        if (!ReadAloud.prototype.__init__.__argnames__) Object.defineProperties(ReadAloud.prototype.__init__, {
-            __argnames__ : {value: ["view"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.__argnames__ = ReadAloud.prototype.__init__.__argnames__;
-        ReadAloud.__handles_kwarg_interpolation__ = ReadAloud.prototype.__init__.__handles_kwarg_interpolation__;
-        ReadAloud.prototype.hide = function hide() {
-            var self = this;
-            if (self.state !== HIDDEN) {
-                ui_operations.tts("stop");
-                self.state = HIDDEN;
-                self.container.style.display = "none";
-                self.view.focus_iframe();
-                if (ui_operations.read_aloud_state_changed) {
-                    ui_operations.read_aloud_state_changed(false);
-                }
-            }
-        };
-        if (!ReadAloud.prototype.hide.__module__) Object.defineProperties(ReadAloud.prototype.hide, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.show = function show() {
-            var self = this;
-            if (self.state === HIDDEN) {
-                self.container.style.display = "block";
-                self.state = STOPPED;
-                self.focus();
-                if (ui_operations.read_aloud_state_changed) {
-                    ui_operations.read_aloud_state_changed(true);
-                }
-            }
-        };
-        if (!ReadAloud.prototype.show.__module__) Object.defineProperties(ReadAloud.prototype.show, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.focus = function focus() {
-            var self = this;
-            self.container.focus();
-        };
-        if (!ReadAloud.prototype.focus.__module__) Object.defineProperties(ReadAloud.prototype.focus, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.build_bar = function build_bar(annot_id) {
-            var self = this;
-            var bar_container, x, bar, notes_container;
-            if (self.state === HIDDEN) {
-                return;
-            }
-            bar_container = self.bar;
-            clear(bar_container);
-            bar_container.style.maxWidth = (self.supports_css_min_max) ? "min(40rem, 80vw)" : "40rem";
-            bar_container.style.backgroundColor = get_color("window-background");
-            var ρσ_Iter0 = ρσ_Iterable(ρσ_list_decorate([ ρσ_interpolate_kwargs.call(E, E.div, [ρσ_desugar_kwargs({style: "height: 4ex; display: flex; align-items: center; padding: 5px; justify-content: center"})]), ρσ_interpolate_kwargs.call(E, E.hr, [ρσ_desugar_kwargs({style: "border-top: solid 1px; margin: 0; padding: 0; display: none"})]), ρσ_interpolate_kwargs.call(E, E.div, [E.div()].concat([ρσ_desugar_kwargs({style: "display: none; padding: 5px; font-size: smaller"})])) ]));
-            for (var ρσ_Index0 = 0; ρσ_Index0 < ρσ_Iter0.length; ρσ_Index0++) {
-                x = ρσ_Iter0[ρσ_Index0];
-                bar_container.appendChild(x);
-            }
-            bar = bar_container.firstChild;
-            function cb(name, icon, text) {
-                var ans;
-                ans = svgicon(icon, ICON_SIZE, ICON_SIZE, text);
-                if (name) {
-                    ans.addEventListener("click", (function() {
-                        var ρσ_anonfunc = function (ev) {
-                            [ev.stopPropagation(), ev.preventDefault()];
-                            self[(typeof name === "number" && name < 0) ? self.length + name : name](ev);
-                            self.view.focus_iframe();
-                        };
-                        if (!ρσ_anonfunc.__argnames__) Object.defineProperties(ρσ_anonfunc, {
-                            __argnames__ : {value: ["ev"]},
-                            __module__ : {value: "read_book.read_aloud"}
-                        });
-                        return ρσ_anonfunc;
-                    })());
-                }
-                ans.classList.add("simple-link");
-                ans.style.marginLeft = ans.style.marginRight = BUTTON_MARGIN;
-                return ans;
-            };
-            if (!cb.__argnames__) Object.defineProperties(cb, {
-                __argnames__ : {value: ["name", "icon", "text"]},
-                __module__ : {value: "read_book.read_aloud"}
-            });
-
-            if (self.state === PLAYING) {
-                bar.appendChild(cb("pause", "pause", _("Pause reading")));
-            } else if (self.state === WAITING_FOR_PLAY_TO_START) {
-                bar.appendChild(cb(null, "hourglass", _("Pause reading")));
-            } else {
-                bar.appendChild(cb("play", "play", (self.state === STOPPED) ? _("Start reading") : _("Resume reading")));
-            }
-            bar.appendChild(cb("slower", "slower", _("Slow down speech")));
-            bar.appendChild(cb("faster", "faster", _("Speed up speech")));
-            bar.appendChild(cb("configure", "cogs", _("Configure Read aloud")));
-            bar.appendChild(cb("hide", "close", _("Close Read aloud")));
-            if (self.state !== WAITING_FOR_PLAY_TO_START) {
-                notes_container = bar_container.lastChild;
-                notes_container.style.display = notes_container.previousSibling.style.display = "block";
-                notes_container = notes_container.lastChild;
-                if (self.state === STOPPED) {
-                    notes_container.textContent = _("Tap/click on a word to start from there");
-                } else if (self.state === PLAYING) {
-                    notes_container.textContent = _("Tap/click on a word to skip to it");
-                } else {
-                    notes_container.textContent = _("Tap/click on a word to continue from there");
-                }
-            }
-        };
-        if (!ReadAloud.prototype.build_bar.__argnames__) Object.defineProperties(ReadAloud.prototype.build_bar, {
-            __argnames__ : {value: ["annot_id"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.configure = function configure() {
-            var self = this;
-            self.pause();
-            self.waiting_for_configure = true;
-            ui_operations.tts("configure");
-        };
-        if (!ReadAloud.prototype.configure.__module__) Object.defineProperties(ReadAloud.prototype.configure, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.slower = function slower() {
-            var self = this;
-            ui_operations.tts("slower");
-        };
-        if (!ReadAloud.prototype.slower.__module__) Object.defineProperties(ReadAloud.prototype.slower, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.faster = function faster() {
-            var self = this;
-            ui_operations.tts("faster");
-        };
-        if (!ReadAloud.prototype.faster.__module__) Object.defineProperties(ReadAloud.prototype.faster, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.play = function play() {
-            var self = this;
-            if (self.state === PAUSED) {
-                ui_operations.tts((self.waiting_for_configure) ? "resume_after_configure" : "resume");
-                self.waiting_for_configure = false;
-                self.state = PLAYING;
-            } else if (self.state === STOPPED) {
-                self.send_message("play");
-                self.state = WAITING_FOR_PLAY_TO_START;
-            }
-        };
-        if (!ReadAloud.prototype.play.__module__) Object.defineProperties(ReadAloud.prototype.play, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.pause = function pause() {
-            var self = this;
-            if (self.state === PLAYING) {
-                ui_operations.tts("pause");
-                self.state = PAUSED;
-            }
-        };
-        if (!ReadAloud.prototype.pause.__module__) Object.defineProperties(ReadAloud.prototype.pause, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.stop = function stop() {
-            var self = this;
-            if (self.state === PLAYING || self.state === PAUSED) {
-                ui_operations.tts("stop");
-                self.state = STOPPED;
-            }
-        };
-        if (!ReadAloud.prototype.stop.__module__) Object.defineProperties(ReadAloud.prototype.stop, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.toggle = function toggle() {
-            var self = this;
-            if (self.state === PLAYING) {
-                self.pause();
-            } else if (self.state === PAUSED || self.state === STOPPED) {
-                self.play();
-            }
-        };
-        if (!ReadAloud.prototype.toggle.__module__) Object.defineProperties(ReadAloud.prototype.toggle, {
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.container_clicked = function container_clicked(ev) {
-            var self = this;
-            var margins, pos;
-            if (ev.button !== 0) {
-                return;
-            }
-            [ev.stopPropagation(), ev.preventDefault()];
-            margins = get_margins();
-            pos = (function(){
-                var ρσ_d = Object.create(null);
-                ρσ_d["x"] = ev.clientX;
-                ρσ_d["y"] = ev.clientY;
-                return ρσ_d;
-            }).call(this);
-            pos = map_to_iframe_coords(pos, margins);
-            ρσ_interpolate_kwargs.call(self, self.send_message, ["play"].concat([ρσ_desugar_kwargs({pos: pos})]));
-        };
-        if (!ReadAloud.prototype.container_clicked.__argnames__) Object.defineProperties(ReadAloud.prototype.container_clicked, {
-            __argnames__ : {value: ["ev"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.on_keydown = function on_keydown(ev) {
-            var self = this;
-            var sc_name;
-            [ev.stopPropagation(), ev.preventDefault()];
-            if (ev.key === "Escape") {
-                self.hide();
-                return;
-            }
-            if (ev.key === " " || ev.key === "MediaPlayPause" || ev.key === "PlayPause") {
-                self.toggle();
-                return;
-            }
-            if (ev.key === "Play" || ev.key === "MediaPlay") {
-                self.play();
-                return;
-            }
-            if (ev.key === "Pause" || ev.key === "MediaPause") {
-                self.pause();
-                return;
-            }
-            if (ev.key === "MediaStop") {
-                self.stop();
-                return;
-            }
-            sc_name = shortcut_for_key_event(ev, self.view.keyboard_shortcut_map);
-            if (!sc_name) {
-                return;
-            }
-            if (sc_name === "show_chrome") {
-                self.hide();
-            } else if (sc_name === "quit") {
-                self.hide();
-                ui_operations.quit();
-            } else if (ρσ_in(sc_name, ["up", "down", "pageup", "pagedown", "left", "right"])) {
-                ρσ_interpolate_kwargs.call(self, self.send_message, ["trigger-shortcut"].concat([ρσ_desugar_kwargs({name: sc_name})]));
-            }
-        };
-        if (!ReadAloud.prototype.on_keydown.__argnames__) Object.defineProperties(ReadAloud.prototype.on_keydown, {
-            __argnames__ : {value: ["ev"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.handle_tts_event = function handle_tts_event(which, data) {
-            var self = this;
-            if (which === "mark") {
-                ρσ_interpolate_kwargs.call(self, self.send_message, ["mark"].concat([ρσ_desugar_kwargs({num: data})]));
-            } else if (which === "begin") {
-                self.state = PLAYING;
-            } else if (which === "end") {
-                self.state = STOPPED;
-                self.view.show_next_spine_item();
-            } else if (which === "configured") {
-                self.focus();
-                if (self.waiting_for_configure) {
-                    self.play();
-                }
-                if (data !== null) {
-                }
-            }
-        };
-        if (!ReadAloud.prototype.handle_tts_event.__argnames__) Object.defineProperties(ReadAloud.prototype.handle_tts_event, {
-            __argnames__ : {value: ["which", "data"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.send_message = function send_message() {
-            var self = this;
-            var type = ( 0 === arguments.length-1 && arguments[arguments.length-1] !== null && typeof arguments[arguments.length-1] === "object" && arguments[arguments.length-1] [ρσ_kwargs_symbol] === true) ? undefined : arguments[0];
-            var kw = arguments[arguments.length-1];
-            if (kw === null || typeof kw !== "object" || kw [ρσ_kwargs_symbol] !== true) kw = {};
-            ρσ_interpolate_kwargs.call(self.view.iframe_wrapper, self.view.iframe_wrapper.send_message, ["tts"].concat([ρσ_desugar_kwargs(kw, {type: type})]));
-        };
-        if (!ReadAloud.prototype.send_message.__handles_kwarg_interpolation__) Object.defineProperties(ReadAloud.prototype.send_message, {
-            __handles_kwarg_interpolation__ : {value: true},
-            __argnames__ : {value: ["type"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.handle_message = function handle_message(msg) {
-            var self = this;
-            if (msg.type === "text-extracted") {
-                if (msg.pos) {
-                    self.stop();
-                }
-                ui_operations.tts("play", (function(){
-                    var ρσ_d = Object.create(null);
-                    ρσ_d["marked_text"] = msg.marked_text;
-                    return ρσ_d;
-                }).call(this));
-            }
-        };
-        if (!ReadAloud.prototype.handle_message.__argnames__) Object.defineProperties(ReadAloud.prototype.handle_message, {
-            __argnames__ : {value: ["msg"]},
-            __module__ : {value: "read_book.read_aloud"}
-        });
-        ReadAloud.prototype.__repr__ = function __repr__ () {
-                        return "<" + __name__ + "." + this.constructor.name + " #" + this.ρσ_object_id + ">";
-        };
-        ReadAloud.prototype.__str__ = function __str__ () {
-            return this.__repr__();
-        };
-        Object.defineProperty(ReadAloud.prototype, "__bases__", {value: []});
-        ReadAloud.prototype.dont_hide_on_content_loaded = true;
-        
-        
-        
-        
-        
-        
-
-        ρσ_modules["read_book.read_aloud"].HIDDEN = HIDDEN;
-        ρσ_modules["read_book.read_aloud"].WAITING_FOR_PLAY_TO_START = WAITING_FOR_PLAY_TO_START;
-        ρσ_modules["read_book.read_aloud"].PAUSED = PAUSED;
-        ρσ_modules["read_book.read_aloud"].PLAYING = PLAYING;
-        ρσ_modules["read_book.read_aloud"].STOPPED = STOPPED;
-        ρσ_modules["read_book.read_aloud"].ReadAloud = ReadAloud;
-    })();
-
-    (function(){
         var __name__ = "read_book.timers";
         var THRESHOLD, FILTER_THRESHOLD, MAX_SAMPLES;
         THRESHOLD = 5;
@@ -41526,8 +41617,6 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var __name__ = "read_book.view";
         var E = ρσ_modules.elementmaker.E;
 
-        var _ = ρσ_modules.gettext.gettext;
-
         var read_book = ρσ_modules.read_book;
         read_book.iframe = ρσ_modules["read_book.iframe"];
 
@@ -41548,6 +41637,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var svgicon = ρσ_modules.dom.svgicon;
         var unique_id = ρσ_modules.dom.unique_id;
 
+        var _ = ρσ_modules.gettext.gettext;
+
         var IframeWrapper = ρσ_modules.iframe_comm.IframeWrapper;
 
         var error_dialog = ρσ_modules.modals.error_dialog;
@@ -41568,6 +41659,11 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
 
         var get_next_section = ρσ_modules["read_book.goto"].get_next_section;
 
+        var get_current_link_prefix = ρσ_modules["read_book.highlights"].get_current_link_prefix;
+        var link_to_epubcfi = ρσ_modules["read_book.highlights"].link_to_epubcfi;
+
+        var Hints = ρσ_modules["read_book.hints"].Hints;
+
         var add_book_to_recently_viewed = ρσ_modules["read_book.open_book"].add_book_to_recently_viewed;
 
         var Overlay = ρσ_modules["read_book.overlay"].Overlay;
@@ -41583,6 +41679,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         var SCROLL_SPEED_STEP = ρσ_modules["read_book.prefs.scrolling"].MIN_SCROLL_SPEED_AUTO;
         var change_scroll_speed = ρσ_modules["read_book.prefs.scrolling"].change_scroll_speed;
 
+        var ReadAloud = ρσ_modules["read_book.read_aloud"].ReadAloud;
+
         var load_resources = ρσ_modules["read_book.resources"].load_resources;
 
         var BookScrollbar = ρσ_modules["read_book.scrollbar"].BookScrollbar;
@@ -41592,10 +41690,6 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
 
         var SelectionBar = ρσ_modules["read_book.selection_bar"].SelectionBar;
 
-        var ReadAloud = ρσ_modules["read_book.read_aloud"].ReadAloud;
-
-        var Hints = ρσ_modules["read_book.hints"].Hints;
-
         var create_shortcut_map = ρσ_modules["read_book.shortcuts"].create_shortcut_map;
 
         var Timers = ρσ_modules["read_book.timers"].Timers;
@@ -41798,6 +41892,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         }
         Object.defineProperty(View.prototype, "__bind_methods__", {value: function () {
             this.copy_to_clipboard = View.prototype.copy_to_clipboard.bind(this);
+            this.show_not_a_library_book_error = View.prototype.show_not_a_library_book_error.bind(this);
+            this.copy_current_location_to_clipboard = View.prototype.copy_current_location_to_clipboard.bind(this);
             this.set_scrollbar_visibility = View.prototype.set_scrollbar_visibility.bind(this);
             this.toggle_scrollbar = View.prototype.toggle_scrollbar.bind(this);
             this.on_annotations_message = View.prototype.on_annotations_message.bind(this);
@@ -41953,7 +42049,7 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 return ρσ_d;
             }).call(this);
             self.current_toc_node = self.current_toc_toplevel_node = null;
-            self.current_toc_family = [];
+            self.current_toc_families = [];
             self.report_cfi_callbacks = Object.create(null);
             self.get_cfi_counter = 0;
             self.show_loading_callback_timer = null;
@@ -42123,6 +42219,41 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         if (!View.prototype.copy_to_clipboard.__module__) Object.defineProperties(View.prototype.copy_to_clipboard, {
             __module__ : {value: "read_book.view"}
         });
+        View.prototype.show_not_a_library_book_error = function show_not_a_library_book_error() {
+            var self = this;
+            error_dialog(_("Not a calibre library book"), _("This book is not a part of a calibre library, so no calibre:// URL for it exists."));
+        };
+        if (!View.prototype.show_not_a_library_book_error.__module__) Object.defineProperties(View.prototype.show_not_a_library_book_error, {
+            __module__ : {value: "read_book.view"}
+        });
+        View.prototype.copy_current_location_to_clipboard = function copy_current_location_to_clipboard(as_url) {
+            var self = this;
+            var link_prefix;
+            link_prefix = get_current_link_prefix();
+            if (!link_prefix && as_url) {
+                return self.show_not_a_library_book_error();
+            }
+            self.get_current_cfi("copy-location-url", (function() {
+                var ρσ_anonfunc = function (req_id, data) {
+                    var text;
+                    if (as_url) {
+                        text = link_to_epubcfi(data.cfi, link_prefix);
+                    } else {
+                        text = data.cfi;
+                    }
+                    ui_operations.copy_selection(text);
+                };
+                if (!ρσ_anonfunc.__argnames__) Object.defineProperties(ρσ_anonfunc, {
+                    __argnames__ : {value: ["req_id", "data"]},
+                    __module__ : {value: "read_book.view"}
+                });
+                return ρσ_anonfunc;
+            })());
+        };
+        if (!View.prototype.copy_current_location_to_clipboard.__argnames__) Object.defineProperties(View.prototype.copy_current_location_to_clipboard, {
+            __argnames__ : {value: ["as_url"]},
+            __module__ : {value: "read_book.view"}
+        });
         View.prototype.set_scrollbar_visibility = function set_scrollbar_visibility(visible) {
             var self = this;
             var sd;
@@ -42405,6 +42536,8 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 self.new_bookmark();
             } else if (data.name === "copy_to_clipboard") {
                 self.copy_to_clipboard();
+            } else if (data.name === "copy_location_to_clipboard" || data.name === "copy_location_as_url_to_clipboard") {
+                self.copy_current_location_to_clipboard(ρσ_in("url", data.name));
             } else if (data.name === "toggle_inspector") {
                 ui_operations.toggle_inspector();
             } else if (data.name === "toggle_lookup") {
@@ -43809,16 +43942,26 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         });
         View.prototype.on_update_toc_position = function on_update_toc_position(data) {
             var self = this;
+            var first, r, fam;
             update_visible_toc_nodes(data.visible_anchors);
-            self.current_toc_family = get_current_toc_nodes();
-            if (self.current_toc_family.length) {
-                self.current_toc_node = (ρσ_expr_temp = self.current_toc_family)[ρσ_expr_temp.length-1];
-                self.current_toc_toplevel_node = self.current_toc_family[0];
+            self.current_toc_families = get_current_toc_nodes();
+            if (self.current_toc_families.length) {
+                first = self.current_toc_families[0];
+                self.current_toc_node = first[first.length-1];
+                self.current_toc_toplevel_node = first[0];
             } else {
                 self.current_toc_node = self.current_toc_toplevel_node = null;
             }
             if (runtime.is_standalone_viewer) {
-                ui_operations.update_current_toc_nodes(ρσ_exists.d(self.current_toc_node).id, ρσ_exists.d(self.current_toc_toplevel_node).id);
+                r = [];
+                var ρσ_Iter11 = ρσ_Iterable(self.current_toc_families);
+                for (var ρσ_Index11 = 0; ρσ_Index11 < ρσ_Iter11.length; ρσ_Index11++) {
+                    fam = ρσ_Iter11[ρσ_Index11];
+                    if (fam.length) {
+                        r.push(fam[fam.length-1].id);
+                    }
+                }
+                ui_operations.update_current_toc_nodes(r);
             }
             self.update_header_footer();
         };
@@ -43852,9 +43995,9 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
         View.prototype.on_content_loaded = function on_content_loaded(data) {
             var self = this;
             var x;
-            var ρσ_Iter11 = ρσ_Iterable(self.modal_overlays);
-            for (var ρσ_Index11 = 0; ρσ_Index11 < ρσ_Iter11.length; ρσ_Index11++) {
-                x = ρσ_Iter11[ρσ_Index11];
+            var ρσ_Iter12 = ρσ_Iterable(self.modal_overlays);
+            for (var ρσ_Index12 = 0; ρσ_Index12 < ρσ_Iter12.length; ρσ_Index12++) {
+                x = ρσ_Iter12[ρσ_Index12];
                 if (!x.dont_hide_on_content_loaded) {
                     x.hide();
                 }
@@ -44900,11 +45043,11 @@ ρσ_unpack = ρσ_unpack_asarray(2, ρ
                 return ρσ_anonfunc;
             })();
             ui_operations.update_current_toc_nodes = (function() {
-                var ρσ_anonfunc = function (current_node_id, top_level_node_id) {
-                    to_python.update_current_toc_nodes(current_node_id, top_level_node_id);
+                var ρσ_anonfunc = function (families) {
+                    to_python.update_current_toc_nodes(families);
                 };
                 if (!ρσ_anonfunc.__argnames__) Object.defineProperties(ρσ_anonfunc, {
-                    __argnames__ : {value: ["current_node_id", "top_level_node_id"]},
+                    __argnames__ : {value: ["families"]},
                     __module__ : {value: null}
                 });
                 return ρσ_anonfunc;
diff -pruN 5.9.0+dfsg-3/setup/arch-ci.sh 5.10.0+dfsg-1/setup/arch-ci.sh
--- 5.9.0+dfsg-3/setup/arch-ci.sh	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/setup/arch-ci.sh	2021-01-22 02:26:39.000000000 +0000
@@ -5,5 +5,6 @@
 
 set -xe
 useradd -m ci
-pacman -S --noconfirm --needed base-devel sudo git sip pyqt-builder chmlib icu jxrlib hunspell libmtp libusb libwmf optipng podofo python-apsw python-beautifulsoup4 python-cssselect python-css-parser python-dateutil python-dbus python-dnspython python-dukpy python-feedparser python-html2text python-html5-parser python-lxml python-markdown python-mechanize python-msgpack python-netifaces python-unrardll python-pillow python-psutil python-pygments python-pyqt5 python-regex python-zeroconf python-pyqtwebengine qt5-x11extras qt5-svg qt5-imageformats udisks2 hyphen python-pychm python-pycryptodome speech-dispatcher python-sphinx python-urllib3 python-pip
+pacman -S --noconfirm --needed base-devel sudo git sip pyqt-builder chmlib icu jxrlib hunspell libmtp libusb libwmf optipng podofo python-apsw python-beautifulsoup4 python-cssselect python-css-parser python-dateutil python-dbus python-dnspython python-dukpy python-feedparser python-html2text python-html5-parser python-lxml python-markdown python-mechanize python-msgpack python-netifaces python-unrardll python-pillow python-psutil python-pygments python-pyqt5 python-regex python-zeroconf python-pyqtwebengine qt5-x11extras qt5-svg qt5-imageformats udisks2 hyphen python-pychm python-pycryptodome speech-dispatcher python-sphinx python-urllib3 python-pip 
+python -m pip install py7zr
 chown -R ci:users $GITHUB_WORKSPACE
diff -pruN 5.9.0+dfsg-3/setup/revendor.py 5.10.0+dfsg-1/setup/revendor.py
--- 5.9.0+dfsg-3/setup/revendor.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/setup/revendor.py	2021-01-22 02:26:39.000000000 +0000
@@ -28,14 +28,15 @@ class ReVendor(Command):
 
     def download_vendor_release(self, tdir, url):
         self.info('Downloading %s:' % self.TAR_NAME, url)
-        try:
-            raw = download_securely(url)
-        except Exception:
-            if not is_ci:
-                raise
+        num = 5 if is_ci else 1
+        for i in range(num):
+            try:
+                raw = download_securely(url)
+            except Exception:
+                if i == num - 1:
+                    raise
             self.info('Download failed, sleeping and retrying...')
             time.sleep(2)
-            raw = download_securely(url)
         with tarfile.open(fileobj=BytesIO(raw)) as tf:
             tf.extractall(tdir)
             if len(os.listdir(tdir)) == 1:
diff -pruN 5.9.0+dfsg-3/setup/test.py 5.10.0+dfsg-1/setup/test.py
--- 5.9.0+dfsg-3/setup/test.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/setup/test.py	2021-01-22 02:26:39.000000000 +0000
@@ -121,6 +121,8 @@ def find_tests(which_tests=None, exclude
         from calibre.gui2.viewer.annotations import find_tests
         a(find_tests())
     if ok('misc'):
+        from calibre.ebooks.metadata.test_author_sort import find_tests
+        a(find_tests())
         from calibre.ebooks.metadata.tag_mapper import find_tests
         a(find_tests())
         from calibre.ebooks.metadata.author_mapper import find_tests
diff -pruN 5.9.0+dfsg-3/setup/unix-ci.py 5.10.0+dfsg-1/setup/unix-ci.py
--- 5.9.0+dfsg-3/setup/unix-ci.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/setup/unix-ci.py	2021-01-22 02:26:39.000000000 +0000
@@ -88,7 +88,7 @@ def download_and_decompress(url, dest, c
 def install_qt_source_code():
     dest = os.path.expanduser('~/qt-base')
     os.mkdir(dest)
-    download_and_decompress('https://download.qt.io/official_releases/qt/5.15/5.15.0/submodules/qtbase-everywhere-src-5.15.0.tar.xz', dest, 'J')
+    download_and_decompress('https://download.calibre-ebook.com/qtbase-everywhere-src-5.15.2.tar.xz', dest, 'J')
     qdir = glob.glob(dest + '/*')[0]
     os.environ['QT_SRC'] = qdir
 
diff -pruN 5.9.0+dfsg-3/src/calibre/constants.py 5.10.0+dfsg-1/src/calibre/constants.py
--- 5.9.0+dfsg-3/src/calibre/constants.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/constants.py	2021-01-22 02:26:39.000000000 +0000
@@ -5,7 +5,7 @@ from polyglot.builtins import map, unico
 import sys, locale, codecs, os, collections
 
 __appname__   = 'calibre'
-numeric_version = (5, 9, 0)
+numeric_version = (5, 10, 0)
 __version__   = '.'.join(map(unicode_type, numeric_version))
 git_version   = None
 __author__    = "Kovid Goyal <kovid@kovidgoyal.net>"
diff -pruN 5.9.0+dfsg-3/src/calibre/customize/builtins.py 5.10.0+dfsg-1/src/calibre/customize/builtins.py
--- 5.9.0+dfsg-3/src/calibre/customize/builtins.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/customize/builtins.py	2021-01-22 02:26:39.000000000 +0000
@@ -133,7 +133,7 @@ plugins += [HTML2ZIP, PML2PMLZ, TXT2TXTZ
 class ComicMetadataReader(MetadataReaderPlugin):
 
     name = 'Read comic metadata'
-    file_types = {'cbr', 'cbz'}
+    file_types = {'cbr', 'cbz', 'cb7'}
     description = _('Extract cover from comic files')
 
     def customization_help(self, gui=False):
@@ -148,8 +148,12 @@ class ComicMetadataReader(MetadataReader
                 ftype = 'cbr'
             elif id_.startswith(b'PK'):
                 ftype = 'cbz'
+            elif id_.startswith(b'7z'):
+                ftype = 'cb7'
         if ftype == 'cbr':
             from calibre.utils.unrar import extract_cover_image
+        elif ftype == 'cb7':
+            from calibre.utils.seven_zip import extract_cover_image
         else:
             from calibre.libunzip import extract_cover_image
         from calibre.ebooks.metadata import MetaInformation
diff -pruN 5.9.0+dfsg-3/src/calibre/customize/__init__.py 5.10.0+dfsg-1/src/calibre/customize/__init__.py
--- 5.9.0+dfsg-3/src/calibre/customize/__init__.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/customize/__init__.py	2021-01-22 02:26:39.000000000 +0000
@@ -278,24 +278,26 @@ class Plugin(object):  # {{{
         '''
         if self.plugin_path is not None:
             from calibre.utils.zipfile import ZipFile
-            zf = ZipFile(self.plugin_path)
-            extensions = {x.rpartition('.')[-1].lower() for x in
-                zf.namelist()}
-            zip_safe = True
-            for ext in ('pyd', 'so', 'dll', 'dylib'):
-                if ext in extensions:
-                    zip_safe = False
-                    break
-            if zip_safe:
-                sys.path.insert(0, self.plugin_path)
-                self.sys_insertion_path = self.plugin_path
-            else:
-                from calibre.ptempfile import TemporaryDirectory
-                self._sys_insertion_tdir = TemporaryDirectory('plugin_unzip')
-                self.sys_insertion_path = self._sys_insertion_tdir.__enter__(*args)
-                zf.extractall(self.sys_insertion_path)
-                sys.path.insert(0, self.sys_insertion_path)
-            zf.close()
+            from importlib.machinery import EXTENSION_SUFFIXES
+            with ZipFile(self.plugin_path) as zf:
+                extensions = {x.lower() for x in EXTENSION_SUFFIXES}
+                zip_safe = True
+                for name in zf.namelist():
+                    for q in extensions:
+                        if name.endswith(q):
+                            zip_safe = False
+                            break
+                    if not zip_safe:
+                        break
+                if zip_safe:
+                    sys.path.insert(0, self.plugin_path)
+                    self.sys_insertion_path = self.plugin_path
+                else:
+                    from calibre.ptempfile import TemporaryDirectory
+                    self._sys_insertion_tdir = TemporaryDirectory('plugin_unzip')
+                    self.sys_insertion_path = self._sys_insertion_tdir.__enter__(*args)
+                    zf.extractall(self.sys_insertion_path)
+                    sys.path.insert(0, self.sys_insertion_path)
 
     def __exit__(self, *args):
         ip, it = getattr(self, 'sys_insertion_path', None), getattr(self,
diff -pruN 5.9.0+dfsg-3/src/calibre/db/backend.py 5.10.0+dfsg-1/src/calibre/db/backend.py
--- 5.9.0+dfsg-3/src/calibre/db/backend.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/db/backend.py	2021-01-22 02:26:39.000000000 +0000
@@ -1474,6 +1474,21 @@ class DB(object):
         with f:
             return True, f.read(), stat.st_mtime
 
+    def compress_covers(self, path_map, jpeg_quality, progress_callback):
+        cpath_map = {}
+        if not progress_callback:
+            progress_callback = lambda book_id, old_sz, new_sz: None
+        for book_id, path in path_map.items():
+            path = os.path.abspath(os.path.join(self.library_path, path, 'cover.jpg'))
+            try:
+                sz = os.path.getsize(path)
+            except OSError:
+                progress_callback(book_id, 0, 'ENOENT')
+            else:
+                cpath_map[book_id] = (path, sz)
+        from calibre.db.covers import compress_covers
+        compress_covers(cpath_map, jpeg_quality, progress_callback)
+
     def set_cover(self, book_id, path, data, no_processing=False):
         path = os.path.abspath(os.path.join(self.library_path, path))
         if not os.path.exists(path):
diff -pruN 5.9.0+dfsg-3/src/calibre/db/cache.py 5.10.0+dfsg-1/src/calibre/db/cache.py
--- 5.9.0+dfsg-3/src/calibre/db/cache.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/db/cache.py	2021-01-22 02:26:39.000000000 +0000
@@ -763,6 +763,25 @@ class Cache(object):
         return self.backend.copy_cover_to(path, dest, use_hardlink=use_hardlink,
                                           report_file_size=report_file_size)
 
+    @write_api
+    def compress_covers(self, book_ids, jpeg_quality=100, progress_callback=None):
+        '''
+        Compress the cover images for the specified books. A compression quality of 100
+        will perform lossless compression, otherwise lossy compression.
+
+        The progress callback will be called with the book_id and the old and new sizes
+        for each book that has been processed. If an error occurs, the news size will
+        be a string with the error details.
+        '''
+        jpeg_quality = max(10, min(jpeg_quality, 100))
+        path_map = {}
+        for book_id in book_ids:
+            try:
+                path_map[book_id] = self._field_for('path', book_id).replace('/', os.sep)
+            except AttributeError:
+                continue
+        self.backend.compress_covers(path_map, jpeg_quality, progress_callback)
+
     @read_api
     def copy_format_to(self, book_id, fmt, dest, use_hardlink=False, report_file_size=None):
         '''
diff -pruN 5.9.0+dfsg-3/src/calibre/db/cli/cmd_list.py 5.10.0+dfsg-1/src/calibre/db/cli/cmd_list.py
--- 5.9.0+dfsg-3/src/calibre/db/cli/cmd_list.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/db/cli/cmd_list.py	2021-01-22 02:26:39.000000000 +0000
@@ -8,7 +8,6 @@ import os
 import sys
 from textwrap import TextWrapper
 
-from calibre import prints
 from calibre.db.cli.utils import str_width
 from calibre.ebooks.metadata import authors_to_string
 from calibre.utils.date import isoformat
@@ -201,7 +200,7 @@ def do_list(
         fields
     )
     with ColoredStream(sys.stdout, fg='green'):
-        prints(''.join(titles))
+        print(''.join(titles), flush=True)
     stdout = getattr(sys.stdout, 'buffer', sys.stdout)
     linesep = as_bytes(os.linesep)
 
diff -pruN 5.9.0+dfsg-3/src/calibre/db/covers.py 5.10.0+dfsg-1/src/calibre/db/covers.py
--- 5.9.0+dfsg-3/src/calibre/db/covers.py	1970-01-01 00:00:00.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/db/covers.py	2021-01-22 02:26:39.000000000 +0000
@@ -0,0 +1,58 @@
+#!/usr/bin/env python
+# vim:fileencoding=utf-8
+# License: GPL v3 Copyright: 2021, Kovid Goyal <kovid at kovidgoyal.net>
+
+import os
+from queue import Queue
+from threading import Thread
+
+from calibre import detect_ncpus
+from calibre.utils.img import encode_jpeg, optimize_jpeg
+
+
+def compress_worker(input_queue, output_queue, jpeg_quality):
+    while True:
+        task = input_queue.get()
+        if task is None:
+            break
+        book_id, path = task
+        try:
+            if jpeg_quality >= 100:
+                stderr = optimize_jpeg(path)
+            else:
+                stderr = encode_jpeg(path, jpeg_quality)
+        except Exception:
+            import traceback
+            stderr = traceback.format_exc()
+        if stderr:
+            output_queue.put((book_id, stderr))
+        else:
+            try:
+                sz = os.path.getsize(path)
+            except OSError as err:
+                sz = str(err)
+            output_queue.put((book_id, sz))
+
+
+def compress_covers(path_map, jpeg_quality, progress_callback):
+    input_queue = Queue()
+    output_queue = Queue()
+    num_workers = detect_ncpus()
+    sz_map = {}
+    for book_id, (path, sz) in path_map.items():
+        input_queue.put((book_id, path))
+        sz_map[book_id] = sz
+    workers = [
+        Thread(target=compress_worker, args=(input_queue, output_queue, jpeg_quality), daemon=True, name=f'CCover-{i}')
+        for i in range(num_workers)
+    ]
+    [w.start() for w in workers]
+    pending = set(path_map)
+    while pending:
+        book_id, new_sz = output_queue.get()
+        pending.remove(book_id)
+        progress_callback(book_id, sz_map[book_id], new_sz)
+    for w in workers:
+        input_queue.put(None)
+    for w in workers:
+        w.join()
diff -pruN 5.9.0+dfsg-3/src/calibre/db/search.py 5.10.0+dfsg-1/src/calibre/db/search.py
--- 5.9.0+dfsg-3/src/calibre/db/search.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/db/search.py	2021-01-22 02:26:39.000000000 +0000
@@ -424,7 +424,11 @@ class SavedSearchQueries(object):  # {{{
             db._set_pref(self.opt_name, self.queries)
 
     def lookup(self, name):
-        return self.queries.get(self.force_unicode(name), None)
+        sn = self.force_unicode(name).lower()
+        for n, q in self.queries.items():
+            if sn == n.lower():
+                return q
+        return None
 
     def delete(self, name):
         db = self.db
diff -pruN 5.9.0+dfsg-3/src/calibre/devices/mtp/unix/driver.py 5.10.0+dfsg-1/src/calibre/devices/mtp/unix/driver.py
--- 5.9.0+dfsg-3/src/calibre/devices/mtp/unix/driver.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/devices/mtp/unix/driver.py	2021-01-22 02:26:39.000000000 +0000
@@ -206,8 +206,7 @@ class MTP_DEVICE(MTPDeviceBase):
         self.dev = self._filesystem_cache = None
 
     def format_errorstack(self, errs):
-        return '\n'.join(['%d:%s'%(code, msg.decode('utf-8', 'replace')) for
-            code, msg in errs])
+        return '\n'.join('%d:%s'%(code, as_unicode(msg)) for code, msg in errs)
 
     @synchronous
     def open(self, connected_device, library_uuid):
diff -pruN 5.9.0+dfsg-3/src/calibre/ebooks/conversion/plugins/comic_input.py 5.10.0+dfsg-1/src/calibre/ebooks/conversion/plugins/comic_input.py
--- 5.9.0+dfsg-3/src/calibre/ebooks/conversion/plugins/comic_input.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/ebooks/conversion/plugins/comic_input.py	2021-01-22 02:26:39.000000000 +0000
@@ -21,7 +21,7 @@ class ComicInput(InputFormatPlugin):
     name        = 'Comic Input'
     author      = 'Kovid Goyal'
     description = 'Optimize comic files (.cbz, .cbr, .cbc) for viewing on portable devices'
-    file_types  = {'cbz', 'cbr', 'cbc'}
+    file_types  = {'cbz', 'cbr', 'cb7', 'cbc'}
     is_image_collection = True
     commit_name = 'comic_input'
     core_usage = -1
diff -pruN 5.9.0+dfsg-3/src/calibre/ebooks/__init__.py 5.10.0+dfsg-1/src/calibre/ebooks/__init__.py
--- 5.9.0+dfsg-3/src/calibre/ebooks/__init__.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/ebooks/__init__.py	2021-01-22 02:26:39.000000000 +0000
@@ -35,7 +35,7 @@ class ParserError(ValueError):
 
 BOOK_EXTENSIONS = ['lrf', 'rar', 'zip', 'rtf', 'lit', 'txt', 'txtz', 'text', 'htm', 'xhtm',
                    'html', 'htmlz', 'xhtml', 'pdf', 'pdb', 'updb', 'pdr', 'prc', 'mobi', 'azw', 'doc',
-                   'epub', 'fb2', 'fbz', 'djv', 'djvu', 'lrx', 'cbr', 'cbz', 'cbc', 'oebzip',
+                   'epub', 'fb2', 'fbz', 'djv', 'djvu', 'lrx', 'cbr', 'cb7', 'cbz', 'cbc', 'oebzip',
                    'rb', 'imp', 'odt', 'chm', 'tpz', 'azw1', 'pml', 'pmlz', 'mbp', 'tan', 'snb',
                    'xps', 'oxps', 'azw4', 'book', 'zbf', 'pobi', 'docx', 'docm', 'md',
                    'textile', 'markdown', 'ibook', 'ibooks', 'iba', 'azw3', 'ps', 'kepub', 'kfx', 'kpf']
diff -pruN 5.9.0+dfsg-3/src/calibre/ebooks/metadata/__init__.py 5.10.0+dfsg-1/src/calibre/ebooks/metadata/__init__.py
--- 5.9.0+dfsg-3/src/calibre/ebooks/metadata/__init__.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/ebooks/metadata/__init__.py	2021-01-22 02:26:39.000000000 +0000
@@ -13,7 +13,7 @@ import os, sys, re
 
 from calibre import relpath, guess_type, prints, force_unicode
 from calibre.utils.config_base import tweaks
-from polyglot.builtins import codepoint_to_chr, unicode_type, range, map, zip, getcwd, iteritems, itervalues, as_unicode
+from polyglot.builtins import codepoint_to_chr, unicode_type, range, map, zip, getcwd, iteritems, as_unicode
 from polyglot.urllib import quote, unquote, urlparse
 
 
@@ -46,17 +46,20 @@ def remove_bracketed_text(src, brackets=
         brackets = {'(': ')', '[': ']', '{': '}'}
     from collections import Counter
     counts = Counter()
+    total = 0
     buf = []
     src = force_unicode(src)
     rmap = {v: k for k, v in iteritems(brackets)}
     for char in src:
         if char in brackets:
             counts[char] += 1
+            total += 1
         elif char in rmap:
             idx = rmap[char]
             if counts[idx] > 0:
                 counts[idx] -= 1
-        elif sum(itervalues(counts)) < 1:
+                total -= 1
+        elif total < 1:
             buf.append(char)
     return ''.join(buf)
 
@@ -64,51 +67,57 @@ def remove_bracketed_text(src, brackets=
 def author_to_author_sort(author, method=None):
     if not author:
         return ''
+
+    if method is None:
+        method = tweaks['author_sort_copy_method']
+    if method == 'copy':
+        return author
+
     sauthor = remove_bracketed_text(author).strip()
+    if method == 'comma' and ',' in sauthor:
+        return author
+
     tokens = sauthor.split()
     if len(tokens) < 2:
         return author
-    if method is None:
-        method = tweaks['author_sort_copy_method']
 
     ltoks = frozenset(x.lower() for x in tokens)
     copy_words = frozenset(x.lower() for x in tweaks['author_name_copywords'])
     if ltoks.intersection(copy_words):
-        method = 'copy'
-
-    if method == 'copy':
         return author
 
+    author_use_surname_prefixes = tweaks['author_use_surname_prefixes']
+    if author_use_surname_prefixes:
+        author_surname_prefixes = frozenset(x.lower() for x in tweaks['author_surname_prefixes'])
+        if len(tokens) == 2 and tokens[0].lower() in author_surname_prefixes:
+            return author
+
     prefixes = {force_unicode(y).lower() for y in tweaks['author_name_prefixes']}
     prefixes |= {y+'.' for y in prefixes}
-    while True:
-        if not tokens:
-            return author
-        tok = tokens[0].lower()
-        if tok in prefixes:
-            tokens = tokens[1:]
-        else:
+
+    for first in range(len(tokens)):
+        if tokens[first].lower() not in prefixes:
             break
+    else:
+        return author
 
     suffixes = {force_unicode(y).lower() for y in tweaks['author_name_suffixes']}
     suffixes |= {y+'.' for y in suffixes}
 
-    suffix = ''
-    while True:
-        if not tokens:
-            return author
-        last = tokens[-1].lower()
-        if last in suffixes:
-            suffix = tokens[-1] + ' ' + suffix
-            tokens = tokens[:-1]
-        else:
+    for last in range(len(tokens) - 1, first - 1, -1):
+        if tokens[last].lower() not in suffixes:
             break
-    suffix = suffix.strip()
-
-    if method == 'comma' and ',' in ''.join(tokens):
+    else:
         return author
 
-    atokens = tokens[-1:] + tokens[:-1]
+    suffix = ' '.join(tokens[last + 1:])
+
+    if author_use_surname_prefixes:
+        if last > first and tokens[last - 1].lower() in author_surname_prefixes:
+            tokens[last - 1] += ' ' + tokens[last]
+            last -= 1
+
+    atokens = tokens[last:last + 1] + tokens[first:last]
     num_toks = len(atokens)
     if suffix:
         atokens.append(suffix)
diff -pruN 5.9.0+dfsg-3/src/calibre/ebooks/metadata/sources/worker.py 5.10.0+dfsg-1/src/calibre/ebooks/metadata/sources/worker.py
--- 5.9.0+dfsg-3/src/calibre/ebooks/metadata/sources/worker.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/ebooks/metadata/sources/worker.py	2021-01-22 02:26:39.000000000 +0000
@@ -40,10 +40,13 @@ def merge_result(oldmi, newmi, ensure_fi
 
     for f in fields:
         # Optimize so that set_metadata does not have to do extra work later
-        if not f.startswith('identifier:'):
+        if not f.startswith('identifier:') and f not in ('series', 'series_index'):
             if (not newmi.is_null(f) and is_equal(getattr(newmi, f),
                     getattr(oldmi, f))):
                 setattr(newmi, f, getattr(dummy, f))
+    if (newmi.series, newmi.series_index) == (oldmi.series, oldmi.series_index):
+        newmi.series = None
+        newmi.series_index = 1
 
     return newmi
 
diff -pruN 5.9.0+dfsg-3/src/calibre/ebooks/metadata/test_author_sort.py 5.10.0+dfsg-1/src/calibre/ebooks/metadata/test_author_sort.py
--- 5.9.0+dfsg-3/src/calibre/ebooks/metadata/test_author_sort.py	1970-01-01 00:00:00.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/ebooks/metadata/test_author_sort.py	2021-01-22 02:26:39.000000000 +0000
@@ -0,0 +1,139 @@
+#!/usr/bin/env python
+# vim:fileencoding=utf-8
+# License: GPL v3 Copyright: 2021, Kovid Goyal <kovid at kovidgoyal.net>
+
+
+import unittest
+
+from calibre.ebooks.metadata import author_to_author_sort, remove_bracketed_text
+from calibre.utils.config_base import Tweak, tweaks
+
+
+class TestRemoveBracketedText(unittest.TestCase):
+    def test_brackets(self):
+        self.assertEqual(remove_bracketed_text('a[b]c(d)e{f}g<h>i'), 'aceg<h>i')
+
+    def test_nested(self):
+        self.assertEqual(remove_bracketed_text('a[[b]c(d)e{f}]g(h(i)j[k]l{m})n{{{o}}}p'), 'agnp')
+
+    def test_mismatched(self):
+        self.assertEqual(remove_bracketed_text('a[b(c]d)e'), 'ae')
+        self.assertEqual(remove_bracketed_text('a{b(c}d)e'), 'ae')
+
+    def test_extra_closed(self):
+        self.assertEqual(remove_bracketed_text('a]b}c)d'), 'abcd')
+        self.assertEqual(remove_bracketed_text('a[b]c]d(e)f{g)h}i}j)k]l'), 'acdfijkl')
+
+    def test_unclosed(self):
+        self.assertEqual(remove_bracketed_text('a]b[c'), 'ab')
+        self.assertEqual(remove_bracketed_text('a(b[c]d{e}f'), 'a')
+        self.assertEqual(remove_bracketed_text('a{b}c{d[e]f(g)h'), 'ac')
+
+
+class TestAuthorToAuthorSort(unittest.TestCase):
+    def check_all_methods(self, name, invert=None, comma=None,
+                            nocomma=None, copy=None):
+        methods = ('invert', 'copy', 'comma', 'nocomma')
+        if invert is None:
+            invert = name
+        if comma is None:
+            comma = invert
+        if nocomma is None:
+            nocomma = comma
+        if copy is None:
+            copy = name
+        results = (invert, copy, comma, nocomma)
+        for method, result in zip(methods, results):
+            self.assertEqual(author_to_author_sort(name, method), result)
+
+    def test_single(self):
+        self.check_all_methods('Aristotle')
+
+    def test_all_prefix(self):
+        self.check_all_methods('Mr. Dr Prof.')
+
+    def test_all_suffix(self):
+        self.check_all_methods('Senior Inc')
+
+    def test_copywords(self):
+        self.check_all_methods('Don "Team" Smith',
+                                invert='Smith, Don "Team"',
+                                nocomma='Smith Don "Team"')
+        self.check_all_methods('Don Team Smith')
+
+    def test_national(self):
+        c = tweaks['author_name_copywords']
+        try:
+            # Assume that 'author_name_copywords' is a common sequence type
+            i = c.index('National')
+        except ValueError:
+            # If "National" not found, check first without, then temporarily add
+            self.check_all_methods('National Lampoon',
+                                    invert='Lampoon, National',
+                                    nocomma='Lampoon National')
+            t = type(c)
+            with Tweak('author_name_copywords', c + t(['National'])):
+                self.check_all_methods('National Lampoon')
+        else:
+            # If "National" found, check with, then temporarily remove
+            self.check_all_methods('National Lampoon')
+            with Tweak('author_name_copywords', c[:i] + c[i + 1:]):
+                self.check_all_methods('National Lampoon',
+                                        invert='Lampoon, National',
+                                        nocomma='Lampoon National')
+
+    def test_method(self):
+        self.check_all_methods('Jane Doe',
+                                invert='Doe, Jane',
+                                nocomma='Doe Jane')
+
+    def test_invalid_methos(self):
+        # Invalid string defaults to invert
+        name = 'Jane, Q. van Doe[ed] Jr.'
+        self.assertEqual(author_to_author_sort(name, 'invert'),
+                            author_to_author_sort(name, '__unknown__!(*T^U$'))
+
+    def test_prefix_suffix(self):
+        self.check_all_methods('Mrs. Jane Q. Doe III',
+                                invert='Doe, Jane Q. III',
+                                nocomma='Doe Jane Q. III')
+
+    def test_surname_prefix(self):
+        with Tweak('author_use_surname_prefixes', True):
+            self.check_all_methods('Leonardo Da Vinci',
+                                    invert='Da Vinci, Leonardo',
+                                    nocomma='Da Vinci Leonardo')
+            self.check_all_methods('Van Gogh')
+            self.check_all_methods('Van')
+        with Tweak('author_use_surname_prefixes', False):
+            self.check_all_methods('Leonardo Da Vinci',
+                                    invert='Vinci, Leonardo Da',
+                                    nocomma='Vinci Leonardo Da')
+            self.check_all_methods('Van Gogh',
+                                    invert='Gogh, Van',
+                                    nocomma='Gogh Van')
+
+    def test_comma(self):
+        self.check_all_methods('James Wesley, Rawles',
+                                invert='Rawles, James Wesley,',
+                                comma='James Wesley, Rawles',
+                                nocomma='Rawles James Wesley,')
+
+    def test_brackets(self):
+        self.check_all_methods('Seventh Author [7]',
+                                invert='Author, Seventh',
+                                nocomma='Author Seventh')
+        self.check_all_methods('John [x]von Neumann (III)',
+                                invert='Neumann, John von',
+                                nocomma='Neumann John von')
+
+    def test_falsy(self):
+        self.check_all_methods('')
+        self.check_all_methods(None, '', '', '', '')
+        self.check_all_methods([], '', '', '', '')
+
+
+def find_tests():
+    ans = unittest.defaultTestLoader.loadTestsFromTestCase(TestRemoveBracketedText)
+    ans.addTests(unittest.defaultTestLoader.loadTestsFromTestCase(TestAuthorToAuthorSort))
+    return ans
diff -pruN 5.9.0+dfsg-3/src/calibre/ebooks/oeb/polish/css.py 5.10.0+dfsg-1/src/calibre/ebooks/oeb/polish/css.py
--- 5.9.0+dfsg-3/src/calibre/ebooks/oeb/polish/css.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/ebooks/oeb/polish/css.py	2021-01-22 02:26:39.000000000 +0000
@@ -22,21 +22,23 @@ from polyglot.builtins import iteritems,
 from polyglot.functools import lru_cache
 
 
-def filter_used_rules(rules, log, select):
+def mark_used_selectors(rules, log, select):
+    any_unused = False
     for rule in rules:
-        used = False
         for selector in rule.selectorList:
+            if getattr(selector, 'calibre_used', False):
+                continue
             try:
                 if select.has_matches(selector.selectorText):
-                    used = True
-                    break
+                    selector.calibre_used = True
+                else:
+                    any_unused = True
+                    selector.calibre_used = False
             except SelectorError:
                 # Cannot parse/execute this selector, be safe and assume it
                 # matches something
-                used = True
-                break
-        if not used:
-            yield rule
+                selector.calibre_used = True
+    return any_unused
 
 
 def get_imported_sheets(name, container, sheets, recursion_level=10, sheet=None):
@@ -111,6 +113,25 @@ def merge_identical_properties(sheet):
     return num_merged
 
 
+def remove_unused_selectors_and_rules(rules_container, rules, removal_stats):
+    found_any = False
+    for r in rules:
+        removals = []
+        for i, sel in enumerate(r.selectorList):
+            if not getattr(sel, 'calibre_used', True):
+                removals.append(i)
+        if removals:
+            found_any = True
+            if len(removals) == len(r.selectorList):
+                rules_container.remove(r)
+                removal_stats['rules'] += 1
+            else:
+                removal_stats['selectors'] += len(removals)
+                for i in reversed(removals):
+                    del r.selectorList[i]
+    return found_any
+
+
 def remove_unused_css(container, report=None, remove_unused_classes=False, merge_rules=False, merge_rules_with_identical_properties=False):
     '''
     Remove all unused CSS rules from the book. An unused CSS rule is one that does not match any actual content.
@@ -146,7 +167,8 @@ def remove_unused_css(container, report=
         class_map = {name:{icu_lower(x) for x in classes_in_rule_list(sheet.cssRules)} for name, sheet in iteritems(sheets)}
     style_rules = {name:tuple(sheet.cssRules.rulesOfType(CSSRule.STYLE_RULE)) for name, sheet in iteritems(sheets)}
 
-    num_of_removed_rules = num_of_removed_classes = 0
+    removal_stats = {'rules': 0, 'selectors': 0}
+    num_of_removed_classes = 0
 
     for name, mt in iteritems(container.mime_map):
         if mt not in OEB_DOCS:
@@ -171,14 +193,12 @@ def remove_unused_css(container, report=
                     used_classes |= {icu_lower(x) for x in classes_in_rule_list(sheet.cssRules)}
                 imports = get_imported_sheets(name, container, sheets, sheet=sheet)
                 for imported_sheet in imports:
-                    style_rules[imported_sheet] = tuple(filter_used_rules(style_rules[imported_sheet], container.log, select))
+                    mark_used_selectors(style_rules[imported_sheet], container.log, select)
                     if remove_unused_classes:
                         used_classes |= class_map[imported_sheet]
                 rules = tuple(sheet.cssRules.rulesOfType(CSSRule.STYLE_RULE))
-                unused_rules = tuple(filter_used_rules(rules, container.log, select))
-                if unused_rules:
-                    num_of_removed_rules += len(unused_rules)
-                    [sheet.cssRules.remove(r) for r in unused_rules]
+                if mark_used_selectors(rules, container.log, select):
+                    remove_unused_selectors_and_rules(sheet.cssRules, rules, removal_stats)
                     style.text = force_unicode(sheet.cssText, 'utf-8')
                     pretty_script_or_style(container, style)
                     container.dirty(name)
@@ -187,12 +207,12 @@ def remove_unused_css(container, report=
             sname = container.href_to_name(link.get('href'), name)
             if sname not in sheets:
                 continue
-            style_rules[sname] = tuple(filter_used_rules(style_rules[sname], container.log, select))
+            mark_used_selectors(style_rules[sname], container.log, select)
             if remove_unused_classes:
                 used_classes |= class_map[sname]
 
             for iname in import_map[sname]:
-                style_rules[iname] = tuple(filter_used_rules(style_rules[iname], container.log, select))
+                mark_used_selectors(style_rules[iname], container.log, select)
                 if remove_unused_classes:
                     used_classes |= class_map[iname]
 
@@ -211,17 +231,18 @@ def remove_unused_css(container, report=
                     container.dirty(name)
 
     for name, sheet in iteritems(sheets):
-        unused_rules = style_rules[name]
-        if unused_rules:
-            num_of_removed_rules += len(unused_rules)
-            [sheet.cssRules.remove(r) for r in unused_rules]
+        any_found = remove_unused_selectors_and_rules(sheet.cssRules, style_rules[name], removal_stats)
+        if any_found:
             container.dirty(name)
 
-    num_changes = num_of_removed_rules + num_merged + num_of_removed_classes + num_rules_merged
+    num_changes = num_merged + num_of_removed_classes + num_rules_merged + removal_stats['rules'] + removal_stats['selectors']
     if num_changes > 0:
-        if num_of_removed_rules > 0:
+        if removal_stats['rules']:
             report(ngettext('Removed one unused CSS style rule', 'Removed {} unused CSS style rules',
-                            num_of_removed_rules).format(num_of_removed_rules))
+                            removal_stats['rules']).format(removal_stats['rules']))
+        if removal_stats['selectors']:
+            report(ngettext('Removed one unused CSS selector', 'Removed {} unused CSS selectors',
+                            removal_stats['selectors']).format(removal_stats['selectors']))
         if num_of_removed_classes > 0:
             report(ngettext('Removed one unused class from the HTML', 'Removed {} unused classes from the HTML',
                    num_of_removed_classes).format(num_of_removed_classes))
@@ -231,8 +252,10 @@ def remove_unused_css(container, report=
         if num_rules_merged > 0:
             report(ngettext('Merged one CSS style rule with identical properties', 'Merged {} CSS style rules with identical properties',
                             num_rules_merged).format(num_rules_merged))
-    if num_of_removed_rules == 0:
+    if not removal_stats['rules']:
         report(_('No unused CSS style rules found'))
+    if not removal_stats['selectors']:
+        report(_('No unused CSS selectors found'))
     if remove_unused_classes and num_of_removed_classes == 0:
         report(_('No unused class attributes found'))
     if merge_rules and num_merged == 0:
diff -pruN 5.9.0+dfsg-3/src/calibre/ebooks/oeb/reader.py 5.10.0+dfsg-1/src/calibre/ebooks/oeb/reader.py
--- 5.9.0+dfsg-3/src/calibre/ebooks/oeb/reader.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/ebooks/oeb/reader.py	2021-01-22 02:26:39.000000000 +0000
@@ -314,7 +314,7 @@ class OEBReader(object):
             unchecked = new
         version = int(self.oeb.version[0])
         removed_items_to_ignore = getattr(self.oeb, 'removed_items_to_ignore', ())
-        for item in sorted(extras):
+        for item in extras:
             if item.href in removed_items_to_ignore:
                 continue
             if version >= 2:
diff -pruN 5.9.0+dfsg-3/src/calibre/ebooks/oeb/transforms/jacket.py 5.10.0+dfsg-1/src/calibre/ebooks/oeb/transforms/jacket.py
--- 5.9.0+dfsg-3/src/calibre/ebooks/oeb/transforms/jacket.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/ebooks/oeb/transforms/jacket.py	2021-01-22 02:26:39.000000000 +0000
@@ -6,19 +6,24 @@ __license__   = 'GPL v3'
 __copyright__ = '2009, Kovid Goyal <kovid@kovidgoyal.net>'
 __docformat__ = 'restructuredtext en'
 
-import sys, os, re
-from xml.sax.saxutils import escape
+import os
+import re
+import sys
 from string import Formatter
+from xml.sax.saxutils import escape
 
-from calibre import guess_type, strftime
+from calibre import guess_type, prepare_string_for_xml, strftime
 from calibre.constants import iswindows
-from calibre.ebooks.oeb.base import XPath, XHTML_NS, XHTML, xml2text, urldefrag, urlnormalize
-from calibre.library.comments import comments_to_html, markdown
-from calibre.utils.date import is_date_undefined, as_local_time
-from calibre.utils.icu import sort_key
 from calibre.ebooks.chardet import strip_encoding_declarations
 from calibre.ebooks.metadata import fmt_sidx, rating_to_stars
-from polyglot.builtins import unicode_type, map
+from calibre.ebooks.metadata.sources.identify import urls_from_identifiers
+from calibre.ebooks.oeb.base import (
+    XHTML, XHTML_NS, XPath, urldefrag, urlnormalize, xml2text
+)
+from calibre.library.comments import comments_to_html, markdown
+from calibre.utils.date import as_local_time, is_date_undefined
+from calibre.utils.icu import sort_key
+from polyglot.builtins import map, unicode_type
 
 JACKET_XPATH = '//h:meta[@name="calibre-content" and @content="jacket"]'
 
@@ -229,6 +234,30 @@ def postprocess_jacket(root, output_prof
         extract_class('cbj_kindle_banner_hr')
 
 
+class Attributes:
+
+    def __getattr__(self, name):
+        return 'none'
+
+
+class Identifiers:
+
+    def __init__(self, idents):
+        self.identifiers = idents or {}
+        self.display = Attributes()
+        for k in self.identifiers:
+            setattr(self.display, k, 'initial')
+        links = []
+        for x in urls_from_identifiers(self.identifiers):
+            name, id_typ, id_val, url = (prepare_string_for_xml(e, True) for e in x)
+            links.append(f'<a href="{url}" title="{id_typ}:{id_val}">{name}</a>')
+        self.links = ', '.join(links)
+        self.display.links = 'initial' if self.links else 'none'
+
+    def __getattr__(self, name):
+        return self.identifiers.get(name, '')
+
+
 def render_jacket(mi, output_profile,
         alt_title=_('Unknown'), alt_tags=[], alt_comments='',
         alt_publisher='', rescale_fonts=False, alt_authors=None):
@@ -282,20 +311,23 @@ def render_jacket(mi, output_profile,
     has_data = {}
 
     def generate_html(comments):
+        display = Attributes()
         args = dict(xmlns=XHTML_NS,
-                    title_str=title_str,
-                    css=css,
-                    title=title,
-                    author=author,
-                    publisher=publisher,
-                    pubdate_label=_('Published'), pubdate=pubdate,
-                    series_label=ngettext('Series', 'Series', 1), series=series,
-                    rating_label=_('Rating'), rating=rating,
-                    tags_label=_('Tags'), tags=tags,
-                    comments=comments,
-                    footer='',
-                    searchable_tags=' '.join(escape(t)+'ttt' for t in tags.tags_list),
-                    )
+            title_str=title_str,
+            identifiers=Identifiers(mi.identifiers),
+            css=css,
+            title=title,
+            author=author,
+            publisher=publisher,
+            pubdate_label=_('Published'), pubdate=pubdate,
+            series_label=ngettext('Series', 'Series', 1), series=series,
+            rating_label=_('Rating'), rating=rating,
+            tags_label=_('Tags'), tags=tags,
+            comments=comments,
+            footer='',
+            display=display,
+            searchable_tags=' '.join(escape(t)+'ttt' for t in tags.tags_list),
+        )
         for key in mi.custom_field_keys():
             m = mi.get_user_metadata(key, False) or {}
             try:
@@ -322,6 +354,7 @@ def render_jacket(mi, output_profile,
                 else:
                     args[dkey] = escape(val)
                 args[dkey+'_label'] = escape(display_name)
+                setattr(display, dkey, 'none' if mi.is_null(key) else 'initial')
             except Exception:
                 # if the val (custom column contents) is None, don't add to args
                 pass
@@ -336,13 +369,18 @@ def render_jacket(mi, output_profile,
         # Don't change this unless you also change it in template.xhtml
         args['_genre_label'] = args.get('_genre_label', '{_genre_label}')
         args['_genre'] = args.get('_genre', '{_genre}')
-
-        formatter = SafeFormatter()
-        generated_html = formatter.format(template, **args)
         has_data['series'] = bool(series)
         has_data['tags'] = bool(tags)
         has_data['rating'] = bool(rating)
         has_data['pubdate'] = bool(pubdate)
+        for k, v in has_data.items():
+            setattr(display, k, 'initial' if v else 'none')
+        display.title = 'initial'
+        if mi.identifiers:
+            display.identifiers = 'initial'
+
+        formatter = SafeFormatter()
+        generated_html = formatter.format(template, **args)
 
         return strip_encoding_declarations(generated_html)
 
diff -pruN 5.9.0+dfsg-3/src/calibre/ebooks/pdf/html_writer.py 5.10.0+dfsg-1/src/calibre/ebooks/pdf/html_writer.py
--- 5.9.0+dfsg-3/src/calibre/ebooks/pdf/html_writer.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/ebooks/pdf/html_writer.py	2021-01-22 02:26:39.000000000 +0000
@@ -444,7 +444,8 @@ def add_anchors_markup(root, uuid, ancho
         num = next(c)
         a = div.makeelement(
             XHTML('a'), href='#' + anchor,
-            style='min-width: 10px !important; min-height: 10px !important; border: solid 1px !important;'
+            style='min-width: 10px !important; min-height: 10px !important;'
+            ' border: solid 1px rgba(0, 0, 0, 0) !important; text-decoration: none !important'
         )
         a.text = a.tail = ' '
         if num % 8 == 0:
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/metadata_bulk.py 5.10.0+dfsg-1/src/calibre/gui2/dialogs/metadata_bulk.py
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/metadata_bulk.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/metadata_bulk.py	2021-01-22 02:26:39.000000000 +0000
@@ -3,34 +3,36 @@
 # License: GPLv3 Copyright: 2008, Kovid Goyal <kovid at kovidgoyal.net>
 
 
-import regex, numbers
+import numbers
+import regex
 from collections import defaultdict, namedtuple
 from io import BytesIO
-from threading import Thread
-
 from PyQt5.Qt import (
-    QCompleter, QCoreApplication, QDateTime, QDialog, QDialogButtonBox, QFont, QProgressBar, QComboBox,
-    QGridLayout, QInputDialog, QLabel, QLineEdit, QSize, Qt, QVBoxLayout, pyqtSignal, QApplication
+    QApplication, QComboBox, QCompleter, QCoreApplication, QDateTime, QDialog,
+    QDialogButtonBox, QFont, QGridLayout, QInputDialog, QLabel, QLineEdit,
+    QProgressBar, QSize, Qt, QVBoxLayout, pyqtSignal
 )
+from threading import Thread
 
-from calibre import prints
+from calibre import human_readable, prints
 from calibre.constants import DEBUG
 from calibre.db import _get_next_series_num_for_list
 from calibre.ebooks.metadata import authors_to_string, string_to_authors, title_sort
 from calibre.ebooks.metadata.book.formatter import SafeFormat
 from calibre.ebooks.metadata.opf2 import OPF
 from calibre.gui2 import (
-    UNDEFINED_QDATETIME, FunctionDispatcher, error_dialog, gprefs, question_dialog
+    UNDEFINED_QDATETIME, FunctionDispatcher, error_dialog, gprefs, info_dialog,
+    question_dialog
 )
 from calibre.gui2.custom_column_widgets import populate_metadata_page
 from calibre.gui2.dialogs.metadata_bulk_ui import Ui_MetadataBulkDialog
 from calibre.gui2.dialogs.tag_editor import TagEditor
 from calibre.gui2.dialogs.template_line_editor import TemplateLineEditor
+from calibre.gui2.widgets import LineEditECM
 from calibre.utils.config import JSONConfig, dynamic, prefs, tweaks
-from calibre.utils.date import qt_to_dt, internal_iso_format_string
+from calibre.utils.date import internal_iso_format_string, qt_to_dt
 from calibre.utils.icu import capitalize, sort_key
 from calibre.utils.titlecase import titlecase
-from calibre.gui2.widgets import LineEditECM
 from polyglot.builtins import (
     error_message, filter, iteritems, itervalues, native_string_type, unicode_type
 )
@@ -39,7 +41,7 @@ Settings = namedtuple('Settings',
     'remove_all remove add au aus do_aus rating pub do_series do_autonumber '
     'do_swap_ta do_remove_conv do_auto_author series do_series_restart series_start_value series_increment '
     'do_title_case cover_action clear_series clear_pub pubdate adddate do_title_sort languages clear_languages '
-    'restore_original comments generate_cover_settings read_file_metadata casing_algorithm')
+    'restore_original comments generate_cover_settings read_file_metadata casing_algorithm do_compress_cover compress_cover_quality')
 
 null = object()
 
@@ -68,6 +70,7 @@ class MyBlockingBusy(QDialog):  # {{{
 
         self._layout =  l = QVBoxLayout()
         self.setLayout(l)
+        self.cover_sizes = {'old': 0, 'new': 0}
         # Every Path that will be taken in do_all
         options = [
             args.cover_action == 'fromfmt' or args.read_file_metadata,
@@ -82,7 +85,7 @@ class MyBlockingBusy(QDialog):  # {{{
             is not None, args.do_series, bool(args.series) and
             args.do_autonumber, args.comments is not null,
             args.do_remove_conv, args.clear_languages, args.remove_all,
-            bool(do_sr)
+            bool(do_sr), args.do_compress_cover
         ]
         self.selected_options = sum(options)
         if DEBUG:
@@ -312,7 +315,9 @@ class MyBlockingBusy(QDialog):  # {{{
 
         elif args.cover_action == 'trim':
             self.progress_next_step_range.emit(len(self.ids))
-            from calibre.utils.img import remove_borders_from_image, image_to_data, image_from_data
+            from calibre.utils.img import (
+                image_from_data, image_to_data, remove_borders_from_image
+            )
             for book_id in self.ids:
                 cdata = cache.cover(book_id)
                 if cdata:
@@ -437,6 +442,18 @@ class MyBlockingBusy(QDialog):  # {{{
             self.db.bulk_modify_tags(self.ids, add=args.add, remove=args.remove)
             self.progress_finished_cur_step.emit()
 
+        if args.do_compress_cover:
+            self.progress_next_step_range.emit(len(self.ids))
+
+            def pc(book_id, old_sz, new_sz):
+                if isinstance(new_sz, int):
+                    self.cover_sizes['old'] += old_sz
+                    self.cover_sizes['new'] += new_sz
+                self.progress_update.emit(1)
+
+            self.db.new_api.compress_covers(self.ids, args.compress_cover_quality, pc)
+            self.progress_finished_cur_step.emit()
+
         if self.do_sr:
             self.progress_next_step_range.emit(len(self.ids))
             for book_id in self.ids:
@@ -975,7 +992,7 @@ class MetadataBulkDialog(QDialog, Ui_Met
         self.s_r_set_colors()
         flags = regex.FULLCASE | regex.UNICODE
 
-        if self.case_sensitive.isChecked():
+        if not self.case_sensitive.isChecked():
             flags |= regex.IGNORECASE
 
         try:
@@ -1182,6 +1199,8 @@ class MetadataBulkDialog(QDialog, Ui_Met
         do_auto_author = self.auto_author_sort.isChecked()
         do_title_case = self.change_title_to_title_case.isChecked()
         do_title_sort = self.update_title_sort.isChecked()
+        do_compress_cover = self.compress_cover_images.isChecked()
+        compress_cover_quality = self.compress_quality.value()
         read_file_metadata = self.read_file_metadata.isChecked()
         clear_languages = self.clear_languages.isChecked()
         restore_original = self.restore_original.isChecked()
@@ -1211,7 +1230,7 @@ class MetadataBulkDialog(QDialog, Ui_Met
             do_title_case, cover_action, clear_series, clear_pub, pubdate,
             adddate, do_title_sort, languages, clear_languages,
             restore_original, self.comments, self.generate_cover_settings,
-            read_file_metadata, self.casing_map[self.casing_algorithm.currentIndex()])
+            read_file_metadata, self.casing_map[self.casing_algorithm.currentIndex()], do_compress_cover, compress_cover_quality)
         if DEBUG:
             print('Running bulk metadata operation with settings:')
             print(args)
@@ -1239,6 +1258,14 @@ class MetadataBulkDialog(QDialog, Ui_Met
         dynamic['s_r_search_mode'] = self.search_mode.currentIndex()
         gprefs.set('bulk-mde-casing-algorithm', args.casing_algorithm)
         self.db.clean()
+        if args.do_compress_cover:
+            total_old, total_new = bb.cover_sizes['old'], bb.cover_sizes['new']
+            percent = (total_old - total_new) / total_old
+            info_dialog(self, _('Covers compressed'), _(
+                'Covers were compressed by {percent:.1%} from a total size of'
+                ' {old} to {new}.').format(
+                    percent=percent, old=human_readable(total_old), new=human_readable(total_new))
+                ).exec_()
         return QDialog.accept(self)
 
     def series_changed(self, *args):
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/metadata_bulk.ui 5.10.0+dfsg-1/src/calibre/gui2/dialogs/metadata_bulk.ui
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/metadata_bulk.ui	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/metadata_bulk.ui	2021-01-22 02:26:39.000000000 +0000
@@ -6,7 +6,7 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>957</width>
+    <width>955</width>
     <height>740</height>
    </rect>
   </property>
@@ -33,65 +33,532 @@
       <attribute name="title">
        <string>&amp;Basic metadata</string>
       </attribute>
-      <widget class="QWidget" name="tabWidgetPage1">
+      <widget class="QWidget" name="btab">
        <property name="geometry">
         <rect>
          <x>0</x>
          <y>0</y>
-         <width>935</width>
+         <width>933</width>
          <height>660</height>
         </rect>
        </property>
-       <layout class="QGridLayout" name="gridLayout">
-        <item row="4" column="2">
-         <widget class="EditWithComplete" name="publisher">
-          <property name="editable">
-           <bool>true</bool>
-          </property>
-         </widget>
+       <layout class="QVBoxLayout" name="verticalLayout_4">
+        <item>
+         <layout class="QGridLayout" name="gridLayout">
+          <item row="0" column="0">
+           <widget class="QLabel" name="label_2">
+            <property name="text">
+             <string>&amp;Author(s): </string>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>authors</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="0" column="1">
+           <widget class="EditWithComplete" name="authors">
+            <property name="editable">
+             <bool>true</bool>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="1">
+           <layout class="QHBoxLayout" name="horizontalLayout_2">
+            <item>
+             <widget class="QCheckBox" name="auto_author_sort">
+              <property name="toolTip">
+               <string>This will cause the author sort field to be automatically updated
+ based on the authors field for each selected book. Note that if
+ you use the control above to set authors in bulk, the author sort
+ field is updated anyway, regardless of the value of this checkbox.</string>
+              </property>
+              <property name="text">
+               <string>A&amp;utomatically set author sort</string>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <widget class="QCheckBox" name="swap_title_and_author">
+              <property name="text">
+               <string>S&amp;wap title and author</string>
+              </property>
+             </widget>
+            </item>
+           </layout>
+          </item>
+          <item row="2" column="0">
+           <widget class="QLabel" name="label_8">
+            <property name="text">
+             <string>Author s&amp;ort: </string>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>author_sort</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="1">
+           <widget class="EnLineEdit" name="author_sort">
+            <property name="toolTip">
+             <string>Specify how the author(s) of this book should be sorted. For example Charles Dickens should be sorted as Dickens, Charles.</string>
+            </property>
+           </widget>
+          </item>
+          <item row="3" column="0">
+           <widget class="QLabel" name="label_6">
+            <property name="text">
+             <string>&amp;Rating:</string>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>rating</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="3" column="1">
+           <widget class="RatingEditor" name="rating"/>
+          </item>
+          <item row="3" column="2">
+           <widget class="QCheckBox" name="apply_rating">
+            <property name="text">
+             <string>&amp;Apply rating</string>
+            </property>
+           </widget>
+          </item>
+          <item row="4" column="0">
+           <widget class="QLabel" name="label_3">
+            <property name="text">
+             <string>&amp;Publisher: </string>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>publisher</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="4" column="1">
+           <widget class="EditWithComplete" name="publisher">
+            <property name="editable">
+             <bool>true</bool>
+            </property>
+           </widget>
+          </item>
+          <item row="4" column="2">
+           <widget class="QCheckBox" name="clear_pub">
+            <property name="toolTip">
+             <string>If checked, the publisher will be cleared</string>
+            </property>
+            <property name="text">
+             <string>&amp;Clear pub</string>
+            </property>
+           </widget>
+          </item>
+          <item row="5" column="0">
+           <widget class="QLabel" name="label_4">
+            <property name="text">
+             <string>Add ta&amp;gs: </string>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>tags</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="5" column="1">
+           <widget class="EditWithComplete" name="tags">
+            <property name="toolTip">
+             <string>Tags categorize the book. This is particularly useful while searching. &lt;br&gt;&lt;br&gt;They can be any words or phrases, separated by commas.</string>
+            </property>
+           </widget>
+          </item>
+          <item row="5" column="2">
+           <widget class="QToolButton" name="tag_editor_button">
+            <property name="toolTip">
+             <string>Open Tag editor</string>
+            </property>
+            <property name="text">
+             <string>Open Tag editor</string>
+            </property>
+            <property name="icon">
+             <iconset resource="../../../../resources/images.qrc">
+              <normaloff>:/images/chapters.png</normaloff>:/images/chapters.png</iconset>
+            </property>
+           </widget>
+          </item>
+          <item row="6" column="0">
+           <widget class="QLabel" name="label">
+            <property name="text">
+             <string>&amp;Remove tags:</string>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>remove_tags</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="6" column="1">
+           <widget class="EditWithComplete" name="remove_tags">
+            <property name="toolTip">
+             <string>Comma separated list of tags to remove from the books. </string>
+            </property>
+           </widget>
+          </item>
+          <item row="6" column="2">
+           <widget class="QCheckBox" name="remove_all_tags">
+            <property name="toolTip">
+             <string>Check this box to remove all tags from the books.</string>
+            </property>
+            <property name="text">
+             <string>Remove &amp;all</string>
+            </property>
+           </widget>
+          </item>
+          <item row="7" column="0">
+           <widget class="QLabel" name="label_7">
+            <property name="text">
+             <string>Ser&amp;ies:</string>
+            </property>
+            <property name="textFormat">
+             <enum>Qt::PlainText</enum>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>series</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="7" column="1">
+           <widget class="EditWithComplete" name="series">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="toolTip">
+             <string>List of known series. You can add new series.</string>
+            </property>
+            <property name="whatsThis">
+             <string>List of known series. You can add new series.</string>
+            </property>
+            <property name="editable">
+             <bool>true</bool>
+            </property>
+            <property name="insertPolicy">
+             <enum>QComboBox::InsertAlphabetically</enum>
+            </property>
+            <property name="sizeAdjustPolicy">
+             <enum>QComboBox::AdjustToMinimumContentsLengthWithIcon</enum>
+            </property>
+            <property name="minimumContentsLength">
+             <number>40</number>
+            </property>
+           </widget>
+          </item>
+          <item row="7" column="2">
+           <widget class="QCheckBox" name="clear_series">
+            <property name="toolTip">
+             <string>If checked, the series will be cleared</string>
+            </property>
+            <property name="text">
+             <string>&amp;Clear series</string>
+            </property>
+           </widget>
+          </item>
+          <item row="8" column="1">
+           <layout class="QHBoxLayout" name="HLayout_3">
+            <item>
+             <widget class="QCheckBox" name="autonumber_series">
+              <property name="enabled">
+               <bool>false</bool>
+              </property>
+              <property name="toolTip">
+               <string>If not checked, the series number for the books will be set to 1.
+If checked, selected books will be automatically numbered, in the order
+you selected them. So if you selected Book A and then Book B,
+Book A will have series number 1 and Book B series number 2.</string>
+              </property>
+              <property name="text">
+               <string>&amp;Automatically number books in this series</string>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <widget class="QCheckBox" name="series_numbering_restarts">
+              <property name="enabled">
+               <bool>false</bool>
+              </property>
+              <property name="toolTip">
+               <string>Series will normally be renumbered from the highest number in the database
+for that series. Checking this box will tell calibre to start numbering
+from the value in the box</string>
+              </property>
+              <property name="text">
+               <string>&amp;Force numbers to start with:</string>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <widget class="QDoubleSpinBox" name="series_start_number">
+              <property name="enabled">
+               <bool>false</bool>
+              </property>
+              <property name="minimum">
+               <double>0.000000000000000</double>
+              </property>
+              <property name="maximum">
+               <double>99000000.000000000000000</double>
+              </property>
+              <property name="value">
+               <double>1.000000000000000</double>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <widget class="QDoubleSpinBox" name="series_increment">
+              <property name="enabled">
+               <bool>false</bool>
+              </property>
+              <property name="toolTip">
+               <string>The amount by which to increment the series number for successive books. Only applicable when using force series numbers.</string>
+              </property>
+              <property name="prefix">
+               <string>+ </string>
+              </property>
+              <property name="minimum">
+               <double>0.000000000000000</double>
+              </property>
+              <property name="maximum">
+               <double>99999.000000000000000</double>
+              </property>
+              <property name="value">
+               <double>1.000000000000000</double>
+              </property>
+             </widget>
+            </item>
+           </layout>
+          </item>
+          <item row="9" column="0">
+           <widget class="QLabel" name="label_10">
+            <property name="text">
+             <string>&amp;Date:</string>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>adddate</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="9" column="1">
+           <layout class="QHBoxLayout" name="horizontalLayout_5">
+            <item>
+             <widget class="DateTimeEdit" name="adddate">
+              <property name="displayFormat">
+               <string>d MMM yyyy</string>
+              </property>
+              <property name="calendarPopup">
+               <bool>true</bool>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <widget class="QToolButton" name="clear_adddate_button">
+              <property name="text">
+               <string>...</string>
+              </property>
+              <property name="icon">
+               <iconset resource="../../../../resources/images.qrc">
+                <normaloff>:/images/trash.png</normaloff>:/images/trash.png</iconset>
+              </property>
+             </widget>
+            </item>
+           </layout>
+          </item>
+          <item row="9" column="2">
+           <widget class="QCheckBox" name="apply_adddate">
+            <property name="text">
+             <string>A&amp;pply date</string>
+            </property>
+           </widget>
+          </item>
+          <item row="10" column="0">
+           <widget class="QLabel" name="label_9">
+            <property name="text">
+             <string>P&amp;ublished:</string>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>pubdate</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="10" column="1">
+           <layout class="QHBoxLayout" name="horizontalLayout_4">
+            <item>
+             <widget class="DateTimeEdit" name="pubdate">
+              <property name="displayFormat">
+               <string>MMM yyyy</string>
+              </property>
+              <property name="calendarPopup">
+               <bool>true</bool>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <widget class="QToolButton" name="clear_pubdate_button">
+              <property name="toolTip">
+               <string>Clear published date</string>
+              </property>
+              <property name="text">
+               <string>...</string>
+              </property>
+              <property name="icon">
+               <iconset resource="../../../../resources/images.qrc">
+                <normaloff>:/images/trash.png</normaloff>:/images/trash.png</iconset>
+              </property>
+             </widget>
+            </item>
+           </layout>
+          </item>
+          <item row="10" column="2">
+           <widget class="QCheckBox" name="apply_pubdate">
+            <property name="text">
+             <string>A&amp;pply date</string>
+            </property>
+           </widget>
+          </item>
+          <item row="11" column="0">
+           <widget class="QLabel" name="label_11">
+            <property name="text">
+             <string>&amp;Languages:</string>
+            </property>
+            <property name="alignment">
+             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            </property>
+            <property name="buddy">
+             <cstring>languages</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="11" column="1">
+           <widget class="LanguagesEdit" name="languages"/>
+          </item>
+          <item row="11" column="2">
+           <widget class="QCheckBox" name="clear_languages">
+            <property name="text">
+             <string>Remove &amp;all</string>
+            </property>
+           </widget>
+          </item>
+         </layout>
         </item>
-        <item row="9" column="3">
-         <widget class="QCheckBox" name="apply_adddate">
-          <property name="text">
-           <string>A&amp;pply date</string>
+        <item>
+         <spacer name="verticalSpacer">
+          <property name="orientation">
+           <enum>Qt::Vertical</enum>
           </property>
-         </widget>
+          <property name="sizeType">
+           <enum>QSizePolicy::Fixed</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>17</width>
+            <height>13</height>
+           </size>
+          </property>
+         </spacer>
         </item>
-        <item row="1" column="2">
-         <layout class="QHBoxLayout" name="horizontalLayout_2">
-          <item>
-           <widget class="QCheckBox" name="auto_author_sort">
+        <item>
+         <layout class="QGridLayout" name="gridLayout_2">
+          <item row="0" column="0" colspan="2">
+           <widget class="QCheckBox" name="remove_conversion_settings">
             <property name="toolTip">
-             <string>This will cause the author sort field to be automatically updated
- based on the authors field for each selected book. Note that if
- you use the control above to set authors in bulk, the author sort
- field is updated anyway, regardless of the value of this checkbox.</string>
+             <string>Remove stored conversion settings for the selected books.
+
+Future conversion of these books will use the default settings.</string>
             </property>
             <property name="text">
-             <string>A&amp;utomatically set author sort</string>
+             <string>Remove &amp;stored conversion settings for the selected books</string>
             </property>
            </widget>
           </item>
-          <item>
-           <widget class="QCheckBox" name="swap_title_and_author">
+          <item row="0" column="2">
+           <widget class="QCheckBox" name="restore_original">
+            <property name="toolTip">
+             <string>When doing a same format to same format conversion,
+for e.g., EPUB to EPUB, calibre saves the original EPUB
+ as ORIGINAL_EPUB. This option tells calibre to restore
+ the EPUB from ORIGINAL_EPUB. Useful if you did a bulk
+ conversion of a large number of books and something went wrong.</string>
+            </property>
+            <property name="text">
+             <string>Restore pre conversion &amp;originals, if available</string>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="0">
+           <widget class="QCheckBox" name="change_title_to_title_case">
+            <property name="toolTip">
+             <string>Force the title to be in title case. If both this and swap authors are checked,
+title and author are swapped before the title case is set</string>
+            </property>
             <property name="text">
-             <string>S&amp;wap title and author</string>
+             <string>Change title &amp;case to:</string>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="1">
+           <widget class="QComboBox" name="casing_algorithm">
+            <property name="minimumSize">
+             <size>
+              <width>150</width>
+              <height>0</height>
+             </size>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="2">
+           <widget class="QCheckBox" name="update_title_sort">
+            <property name="toolTip">
+             <string>Update title sort based on the current title. This will be applied only after other changes to title.</string>
+            </property>
+            <property name="text">
+             <string>Update &amp;title sort</string>
             </property>
            </widget>
           </item>
          </layout>
         </item>
-        <item row="16" column="0">
-         <widget class="QCheckBox" name="update_title_sort">
+        <item>
+         <widget class="QCheckBox" name="read_file_metadata">
           <property name="toolTip">
-           <string>Update title sort based on the current title. This will be applied only after other changes to title.</string>
+           <string>Set the metadata in calibre from the metadata in the e-book files associated with each book. Note that this does not change the cover, for that, use the separate option below.</string>
           </property>
           <property name="text">
-           <string>Update &amp;title sort</string>
+           <string>Set &amp;metadata (except cover) from the e-book files</string>
           </property>
          </widget>
         </item>
-        <item row="17" column="0" colspan="4">
+        <item>
          <widget class="QGroupBox" name="groupBox">
           <property name="title">
            <string>Change &amp;cover</string>
@@ -144,164 +611,62 @@ as that of the first selected book.</str
           </layout>
          </widget>
         </item>
-        <item row="15" column="0" colspan="4">
-         <layout class="QHBoxLayout" name="horizontalLayout_3">
-          <item>
-           <widget class="QCheckBox" name="change_title_to_title_case">
-            <property name="toolTip">
-             <string>Force the title to be in title case. If both this and swap authors are checked,
-title and author are swapped before the title case is set</string>
-            </property>
-            <property name="text">
-             <string>Change title &amp;case to:</string>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <widget class="QComboBox" name="casing_algorithm">
-            <property name="minimumSize">
-             <size>
-              <width>150</width>
-              <height>0</height>
-             </size>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <spacer name="horizontalSpacer">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>40</width>
-              <height>20</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-         </layout>
-        </item>
-        <item row="9" column="0">
-         <widget class="QLabel" name="label_10">
-          <property name="text">
-           <string>&amp;Date:</string>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>adddate</cstring>
-          </property>
-         </widget>
-        </item>
-        <item row="4" column="3">
-         <widget class="QCheckBox" name="clear_pub">
-          <property name="toolTip">
-           <string>If checked, the publisher will be cleared</string>
-          </property>
-          <property name="text">
-           <string>&amp;Clear pub</string>
-          </property>
-         </widget>
-        </item>
-        <item row="10" column="0">
-         <widget class="QLabel" name="label_9">
-          <property name="text">
-           <string>P&amp;ublished:</string>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>pubdate</cstring>
-          </property>
-         </widget>
-        </item>
-        <item row="8" column="2">
-         <layout class="QHBoxLayout" name="HLayout_3">
+        <item>
+         <layout class="QHBoxLayout" name="horizontalLayout_3">
           <item>
-           <widget class="QCheckBox" name="autonumber_series">
-            <property name="enabled">
-             <bool>false</bool>
+           <widget class="QCheckBox" name="compress_cover_images">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Maximum" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
             </property>
             <property name="toolTip">
-             <string>If not checked, the series number for the books will be set to 1.
-If checked, selected books will be automatically numbered, in the order
-you selected them. So if you selected Book A and then Book B,
-Book A will have series number 1 and Book B series number 2.</string>
+             <string>&lt;p&gt;Compress cover images, if the quality is set to 100 compression is lossless, otherwise it is lossy</string>
             </property>
             <property name="text">
-             <string>&amp;Automatically number books in this series</string>
+             <string>Co&amp;mpress cover images:</string>
             </property>
            </widget>
           </item>
           <item>
-           <widget class="QCheckBox" name="series_numbering_restarts">
-            <property name="enabled">
-             <bool>false</bool>
+           <widget class="QSpinBox" name="compress_quality">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Maximum" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
             </property>
             <property name="toolTip">
-             <string>Series will normally be renumbered from the highest number in the database
-for that series. Checking this box will tell calibre to start numbering
-from the value in the box</string>
-            </property>
-            <property name="text">
-             <string>&amp;Force numbers to start with:</string>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <widget class="QDoubleSpinBox" name="series_start_number">
-            <property name="enabled">
-             <bool>false</bool>
+             <string>&lt;p&gt;Cover image compression quality. If the quality is set to 100 compression is lossless, otherwise it is lossy</string>
             </property>
             <property name="minimum">
-             <double>0.000000000000000</double>
+             <number>10</number>
             </property>
             <property name="maximum">
-             <double>99000000.000000000000000</double>
+             <number>100</number>
             </property>
             <property name="value">
-             <double>1.000000000000000</double>
+             <number>100</number>
             </property>
            </widget>
           </item>
           <item>
-           <widget class="QDoubleSpinBox" name="series_increment">
-            <property name="enabled">
-             <bool>false</bool>
-            </property>
-            <property name="toolTip">
-             <string>The amount by which to increment the series number for successive books. Only applicable when using force series numbers.</string>
-            </property>
-            <property name="prefix">
-             <string>+ </string>
-            </property>
-            <property name="minimum">
-             <double>0.000000000000000</double>
-            </property>
-            <property name="maximum">
-             <double>99999.000000000000000</double>
+           <spacer name="horizontalSpacer">
+            <property name="orientation">
+             <enum>Qt::Horizontal</enum>
             </property>
-            <property name="value">
-             <double>1.000000000000000</double>
+            <property name="sizeHint" stdset="0">
+             <size>
+              <width>40</width>
+              <height>20</height>
+             </size>
             </property>
-           </widget>
+           </spacer>
           </item>
          </layout>
         </item>
-        <item row="7" column="3">
-         <widget class="QCheckBox" name="clear_series">
-          <property name="toolTip">
-           <string>If checked, the series will be cleared</string>
-          </property>
-          <property name="text">
-           <string>&amp;Clear series</string>
-          </property>
-         </widget>
-        </item>
-        <item row="18" column="0" colspan="4">
+        <item>
          <layout class="QHBoxLayout" name="horizontalLayout">
           <item>
            <widget class="QPushButton" name="button_config_cover_gen">
@@ -341,342 +706,19 @@ from the value in the box</string>
           </item>
          </layout>
         </item>
-        <item row="6" column="0">
-         <widget class="QLabel" name="label">
-          <property name="text">
-           <string>&amp;Remove tags:</string>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>remove_tags</cstring>
-          </property>
-         </widget>
-        </item>
-        <item row="11" column="3">
-         <widget class="QCheckBox" name="clear_languages">
-          <property name="text">
-           <string>Remove &amp;all</string>
-          </property>
-         </widget>
-        </item>
-        <item row="5" column="0">
-         <widget class="QLabel" name="label_4">
-          <property name="text">
-           <string>Add ta&amp;gs: </string>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>tags</cstring>
-          </property>
-         </widget>
-        </item>
-        <item row="2" column="2">
-         <widget class="EnLineEdit" name="author_sort">
-          <property name="toolTip">
-           <string>Specify how the author(s) of this book should be sorted. For example Charles Dickens should be sorted as Dickens, Charles.</string>
-          </property>
-         </widget>
-        </item>
-        <item row="3" column="3">
-         <widget class="QCheckBox" name="apply_rating">
-          <property name="text">
-           <string>&amp;Apply rating</string>
-          </property>
-         </widget>
-        </item>
-        <item row="10" column="2">
-         <layout class="QHBoxLayout" name="horizontalLayout_4">
-          <item>
-           <widget class="DateTimeEdit" name="pubdate">
-            <property name="displayFormat">
-             <string>MMM yyyy</string>
-            </property>
-            <property name="calendarPopup">
-             <bool>true</bool>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <widget class="QToolButton" name="clear_pubdate_button">
-            <property name="toolTip">
-             <string>Clear published date</string>
-            </property>
-            <property name="text">
-             <string>...</string>
-            </property>
-            <property name="icon">
-             <iconset resource="../../../../resources/images.qrc">
-              <normaloff>:/images/trash.png</normaloff>:/images/trash.png</iconset>
-            </property>
-           </widget>
-          </item>
-         </layout>
-        </item>
-        <item row="11" column="2">
-         <widget class="LanguagesEdit" name="languages"/>
-        </item>
-        <item row="0" column="0">
-         <widget class="QLabel" name="label_2">
-          <property name="text">
-           <string>&amp;Author(s): </string>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>authors</cstring>
-          </property>
-         </widget>
-        </item>
-        <item row="9" column="2">
-         <layout class="QHBoxLayout" name="horizontalLayout_5">
-          <item>
-           <widget class="DateTimeEdit" name="adddate">
-            <property name="displayFormat">
-             <string>d MMM yyyy</string>
-            </property>
-            <property name="calendarPopup">
-             <bool>true</bool>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <widget class="QToolButton" name="clear_adddate_button">
-            <property name="text">
-             <string>...</string>
-            </property>
-            <property name="icon">
-             <iconset resource="../../../../resources/images.qrc">
-              <normaloff>:/images/trash.png</normaloff>:/images/trash.png</iconset>
-            </property>
-           </widget>
-          </item>
-         </layout>
-        </item>
-        <item row="11" column="0">
-         <widget class="QLabel" name="label_11">
-          <property name="text">
-           <string>&amp;Languages:</string>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>languages</cstring>
-          </property>
-         </widget>
-        </item>
-        <item row="4" column="0">
-         <widget class="QLabel" name="label_3">
-          <property name="text">
-           <string>&amp;Publisher: </string>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>publisher</cstring>
-          </property>
-         </widget>
-        </item>
-        <item row="19" column="0">
+        <item>
          <spacer name="verticalSpacer_2">
           <property name="orientation">
            <enum>Qt::Vertical</enum>
           </property>
           <property name="sizeHint" stdset="0">
            <size>
-            <width>20</width>
-            <height>40</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-        <item row="6" column="2">
-         <widget class="EditWithComplete" name="remove_tags">
-          <property name="toolTip">
-           <string>Comma separated list of tags to remove from the books. </string>
-          </property>
-         </widget>
-        </item>
-        <item row="5" column="3">
-         <widget class="QToolButton" name="tag_editor_button">
-          <property name="toolTip">
-           <string>Open Tag editor</string>
-          </property>
-          <property name="text">
-           <string>Open Tag editor</string>
-          </property>
-          <property name="icon">
-           <iconset resource="../../../../resources/images.qrc">
-            <normaloff>:/images/chapters.png</normaloff>:/images/chapters.png</iconset>
-          </property>
-         </widget>
-        </item>
-        <item row="3" column="2">
-         <widget class="RatingEditor" name="rating"/>
-        </item>
-        <item row="12" column="0">
-         <spacer name="verticalSpacer">
-          <property name="orientation">
-           <enum>Qt::Vertical</enum>
-          </property>
-          <property name="sizeType">
-           <enum>QSizePolicy::Fixed</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>20</width>
-            <height>15</height>
+            <width>17</width>
+            <height>17</height>
            </size>
           </property>
          </spacer>
         </item>
-        <item row="5" column="2">
-         <widget class="EditWithComplete" name="tags">
-          <property name="toolTip">
-           <string>Tags categorize the book. This is particularly useful while searching. &lt;br&gt;&lt;br&gt;They can be any words or phrases, separated by commas.</string>
-          </property>
-         </widget>
-        </item>
-        <item row="2" column="0">
-         <widget class="QLabel" name="label_8">
-          <property name="text">
-           <string>Author s&amp;ort: </string>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>author_sort</cstring>
-          </property>
-         </widget>
-        </item>
-        <item row="7" column="2">
-         <widget class="EditWithComplete" name="series">
-          <property name="sizePolicy">
-           <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="toolTip">
-           <string>List of known series. You can add new series.</string>
-          </property>
-          <property name="whatsThis">
-           <string>List of known series. You can add new series.</string>
-          </property>
-          <property name="editable">
-           <bool>true</bool>
-          </property>
-          <property name="insertPolicy">
-           <enum>QComboBox::InsertAlphabetically</enum>
-          </property>
-          <property name="sizeAdjustPolicy">
-           <enum>QComboBox::AdjustToMinimumContentsLengthWithIcon</enum>
-          </property>
-          <property name="minimumContentsLength">
-           <number>40</number>
-          </property>
-         </widget>
-        </item>
-        <item row="10" column="3">
-         <widget class="QCheckBox" name="apply_pubdate">
-          <property name="text">
-           <string>A&amp;pply date</string>
-          </property>
-         </widget>
-        </item>
-        <item row="14" column="0" colspan="4">
-         <widget class="QCheckBox" name="read_file_metadata">
-          <property name="toolTip">
-           <string>Set the metadata in calibre from the metadata in the e-book files associated with each book. Note that this does not change the cover, for that, use the separate option below.</string>
-          </property>
-          <property name="text">
-           <string>Set &amp;metadata (except cover) from the e-book files</string>
-          </property>
-         </widget>
-        </item>
-        <item row="7" column="0">
-         <widget class="QLabel" name="label_7">
-          <property name="text">
-           <string>Ser&amp;ies:</string>
-          </property>
-          <property name="textFormat">
-           <enum>Qt::PlainText</enum>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>series</cstring>
-          </property>
-         </widget>
-        </item>
-        <item row="13" column="0" colspan="4">
-         <layout class="QHBoxLayout" name="horizontalLayout_7">
-          <item>
-           <widget class="QCheckBox" name="remove_conversion_settings">
-            <property name="toolTip">
-             <string>Remove stored conversion settings for the selected books.
-
-Future conversion of these books will use the default settings.</string>
-            </property>
-            <property name="text">
-             <string>Remove &amp;stored conversion settings for the selected books</string>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <widget class="QCheckBox" name="restore_original">
-            <property name="toolTip">
-             <string>When doing a same format to same format conversion,
-for e.g., EPUB to EPUB, calibre saves the original EPUB
- as ORIGINAL_EPUB. This option tells calibre to restore
- the EPUB from ORIGINAL_EPUB. Useful if you did a bulk
- conversion of a large number of books and something went wrong.</string>
-            </property>
-            <property name="text">
-             <string>Restore pre conversion &amp;originals, if available</string>
-            </property>
-           </widget>
-          </item>
-         </layout>
-        </item>
-        <item row="6" column="3">
-         <widget class="QCheckBox" name="remove_all_tags">
-          <property name="toolTip">
-           <string>Check this box to remove all tags from the books.</string>
-          </property>
-          <property name="text">
-           <string>Remove &amp;all</string>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="2">
-         <widget class="EditWithComplete" name="authors">
-          <property name="editable">
-           <bool>true</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="3" column="0">
-         <widget class="QLabel" name="label_6">
-          <property name="text">
-           <string>&amp;Rating:</string>
-          </property>
-          <property name="alignment">
-           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-          </property>
-          <property name="buddy">
-           <cstring>rating</cstring>
-          </property>
-         </widget>
-        </item>
        </layout>
       </widget>
      </widget>
@@ -716,7 +758,7 @@ for e.g., EPUB to EPUB, calibre saves th
         <rect>
          <x>0</x>
          <y>0</y>
-         <width>804</width>
+         <width>777</width>
          <height>388</height>
         </rect>
        </property>
@@ -1195,7 +1237,7 @@ not multiple and the destination field i
             <rect>
              <x>0</x>
              <y>0</y>
-             <width>203</width>
+             <width>745</width>
              <height>70</height>
             </rect>
            </property>
@@ -1355,10 +1397,8 @@ is completed. This can be slow on large
   <tabstop>clear_languages</tabstop>
   <tabstop>remove_conversion_settings</tabstop>
   <tabstop>restore_original</tabstop>
-  <tabstop>read_file_metadata</tabstop>
   <tabstop>change_title_to_title_case</tabstop>
   <tabstop>casing_algorithm</tabstop>
-  <tabstop>update_title_sort</tabstop>
   <tabstop>cover_generate</tabstop>
   <tabstop>cover_remove</tabstop>
   <tabstop>cover_trim</tabstop>
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/metadata_bulk_ui.py 5.10.0+dfsg-1/src/calibre/gui2/dialogs/metadata_bulk_ui.py
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/metadata_bulk_ui.py	2020-12-20 10:49:11.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/metadata_bulk_ui.py	2021-01-20 05:04:32.000000000 +0000
@@ -14,7 +14,7 @@ from PyQt5 import QtCore, QtGui, QtWidge
 class Ui_MetadataBulkDialog(object):
     def setupUi(self, MetadataBulkDialog):
         MetadataBulkDialog.setObjectName("MetadataBulkDialog")
-        MetadataBulkDialog.resize(957, 740)
+        MetadataBulkDialog.resize(955, 740)
         icon = QtGui.QIcon()
         icon.addPixmap(QtGui.QPixmap(I("edit_input.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
         MetadataBulkDialog.setWindowIcon(icon)
@@ -26,240 +26,262 @@ class Ui_MetadataBulkDialog(object):
         self.scrollArea1.setFrameShape(QtWidgets.QFrame.NoFrame)
         self.scrollArea1.setWidgetResizable(True)
         self.scrollArea1.setObjectName("scrollArea1")
-        self.tabWidgetPage1 = QtWidgets.QWidget()
-        self.tabWidgetPage1.setGeometry(QtCore.QRect(0, 0, 935, 660))
-        self.tabWidgetPage1.setObjectName("tabWidgetPage1")
-        self.gridLayout = QtWidgets.QGridLayout(self.tabWidgetPage1)
+        self.btab = QtWidgets.QWidget()
+        self.btab.setGeometry(QtCore.QRect(0, 0, 933, 660))
+        self.btab.setObjectName("btab")
+        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.btab)
+        self.verticalLayout_4.setObjectName("verticalLayout_4")
+        self.gridLayout = QtWidgets.QGridLayout()
         self.gridLayout.setObjectName("gridLayout")
-        self.publisher = EditWithComplete(self.tabWidgetPage1)
-        self.publisher.setEditable(True)
-        self.publisher.setObjectName("publisher")
-        self.gridLayout.addWidget(self.publisher, 4, 2, 1, 1)
-        self.apply_adddate = QtWidgets.QCheckBox(self.tabWidgetPage1)
-        self.apply_adddate.setObjectName("apply_adddate")
-        self.gridLayout.addWidget(self.apply_adddate, 9, 3, 1, 1)
+        self.label_2 = QtWidgets.QLabel(self.btab)
+        self.label_2.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.label_2.setObjectName("label_2")
+        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
+        self.authors = EditWithComplete(self.btab)
+        self.authors.setEditable(True)
+        self.authors.setObjectName("authors")
+        self.gridLayout.addWidget(self.authors, 0, 1, 1, 1)
         self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
         self.horizontalLayout_2.setObjectName("horizontalLayout_2")
-        self.auto_author_sort = QtWidgets.QCheckBox(self.tabWidgetPage1)
+        self.auto_author_sort = QtWidgets.QCheckBox(self.btab)
         self.auto_author_sort.setObjectName("auto_author_sort")
         self.horizontalLayout_2.addWidget(self.auto_author_sort)
-        self.swap_title_and_author = QtWidgets.QCheckBox(self.tabWidgetPage1)
+        self.swap_title_and_author = QtWidgets.QCheckBox(self.btab)
         self.swap_title_and_author.setObjectName("swap_title_and_author")
         self.horizontalLayout_2.addWidget(self.swap_title_and_author)
-        self.gridLayout.addLayout(self.horizontalLayout_2, 1, 2, 1, 1)
-        self.update_title_sort = QtWidgets.QCheckBox(self.tabWidgetPage1)
-        self.update_title_sort.setObjectName("update_title_sort")
-        self.gridLayout.addWidget(self.update_title_sort, 16, 0, 1, 1)
-        self.groupBox = QtWidgets.QGroupBox(self.tabWidgetPage1)
-        self.groupBox.setObjectName("groupBox")
-        self.horizontalLayout_9 = QtWidgets.QHBoxLayout(self.groupBox)
-        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
-        self.cover_generate = QtWidgets.QRadioButton(self.groupBox)
-        self.cover_generate.setObjectName("cover_generate")
-        self.horizontalLayout_9.addWidget(self.cover_generate)
-        self.cover_remove = QtWidgets.QRadioButton(self.groupBox)
-        self.cover_remove.setObjectName("cover_remove")
-        self.horizontalLayout_9.addWidget(self.cover_remove)
-        self.cover_trim = QtWidgets.QRadioButton(self.groupBox)
-        self.cover_trim.setObjectName("cover_trim")
-        self.horizontalLayout_9.addWidget(self.cover_trim)
-        self.cover_from_fmt = QtWidgets.QRadioButton(self.groupBox)
-        self.cover_from_fmt.setObjectName("cover_from_fmt")
-        self.horizontalLayout_9.addWidget(self.cover_from_fmt)
-        self.cover_clone = QtWidgets.QRadioButton(self.groupBox)
-        self.cover_clone.setObjectName("cover_clone")
-        self.horizontalLayout_9.addWidget(self.cover_clone)
-        self.gridLayout.addWidget(self.groupBox, 17, 0, 1, 4)
-        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
-        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
-        self.change_title_to_title_case = QtWidgets.QCheckBox(self.tabWidgetPage1)
-        self.change_title_to_title_case.setObjectName("change_title_to_title_case")
-        self.horizontalLayout_3.addWidget(self.change_title_to_title_case)
-        self.casing_algorithm = QtWidgets.QComboBox(self.tabWidgetPage1)
-        self.casing_algorithm.setMinimumSize(QtCore.QSize(150, 0))
-        self.casing_algorithm.setObjectName("casing_algorithm")
-        self.horizontalLayout_3.addWidget(self.casing_algorithm)
-        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
-        self.horizontalLayout_3.addItem(spacerItem)
-        self.gridLayout.addLayout(self.horizontalLayout_3, 15, 0, 1, 4)
-        self.label_10 = QtWidgets.QLabel(self.tabWidgetPage1)
-        self.label_10.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
-        self.label_10.setObjectName("label_10")
-        self.gridLayout.addWidget(self.label_10, 9, 0, 1, 1)
-        self.clear_pub = QtWidgets.QCheckBox(self.tabWidgetPage1)
+        self.gridLayout.addLayout(self.horizontalLayout_2, 1, 1, 1, 1)
+        self.label_8 = QtWidgets.QLabel(self.btab)
+        self.label_8.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.label_8.setObjectName("label_8")
+        self.gridLayout.addWidget(self.label_8, 2, 0, 1, 1)
+        self.author_sort = EnLineEdit(self.btab)
+        self.author_sort.setObjectName("author_sort")
+        self.gridLayout.addWidget(self.author_sort, 2, 1, 1, 1)
+        self.label_6 = QtWidgets.QLabel(self.btab)
+        self.label_6.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.label_6.setObjectName("label_6")
+        self.gridLayout.addWidget(self.label_6, 3, 0, 1, 1)
+        self.rating = RatingEditor(self.btab)
+        self.rating.setObjectName("rating")
+        self.gridLayout.addWidget(self.rating, 3, 1, 1, 1)
+        self.apply_rating = QtWidgets.QCheckBox(self.btab)
+        self.apply_rating.setObjectName("apply_rating")
+        self.gridLayout.addWidget(self.apply_rating, 3, 2, 1, 1)
+        self.label_3 = QtWidgets.QLabel(self.btab)
+        self.label_3.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.label_3.setObjectName("label_3")
+        self.gridLayout.addWidget(self.label_3, 4, 0, 1, 1)
+        self.publisher = EditWithComplete(self.btab)
+        self.publisher.setEditable(True)
+        self.publisher.setObjectName("publisher")
+        self.gridLayout.addWidget(self.publisher, 4, 1, 1, 1)
+        self.clear_pub = QtWidgets.QCheckBox(self.btab)
         self.clear_pub.setObjectName("clear_pub")
-        self.gridLayout.addWidget(self.clear_pub, 4, 3, 1, 1)
-        self.label_9 = QtWidgets.QLabel(self.tabWidgetPage1)
-        self.label_9.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
-        self.label_9.setObjectName("label_9")
-        self.gridLayout.addWidget(self.label_9, 10, 0, 1, 1)
+        self.gridLayout.addWidget(self.clear_pub, 4, 2, 1, 1)
+        self.label_4 = QtWidgets.QLabel(self.btab)
+        self.label_4.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.label_4.setObjectName("label_4")
+        self.gridLayout.addWidget(self.label_4, 5, 0, 1, 1)
+        self.tags = EditWithComplete(self.btab)
+        self.tags.setObjectName("tags")
+        self.gridLayout.addWidget(self.tags, 5, 1, 1, 1)
+        self.tag_editor_button = QtWidgets.QToolButton(self.btab)
+        icon1 = QtGui.QIcon()
+        icon1.addPixmap(QtGui.QPixmap(I("chapters.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
+        self.tag_editor_button.setIcon(icon1)
+        self.tag_editor_button.setObjectName("tag_editor_button")
+        self.gridLayout.addWidget(self.tag_editor_button, 5, 2, 1, 1)
+        self.label = QtWidgets.QLabel(self.btab)
+        self.label.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.label.setObjectName("label")
+        self.gridLayout.addWidget(self.label, 6, 0, 1, 1)
+        self.remove_tags = EditWithComplete(self.btab)
+        self.remove_tags.setObjectName("remove_tags")
+        self.gridLayout.addWidget(self.remove_tags, 6, 1, 1, 1)
+        self.remove_all_tags = QtWidgets.QCheckBox(self.btab)
+        self.remove_all_tags.setObjectName("remove_all_tags")
+        self.gridLayout.addWidget(self.remove_all_tags, 6, 2, 1, 1)
+        self.label_7 = QtWidgets.QLabel(self.btab)
+        self.label_7.setTextFormat(QtCore.Qt.PlainText)
+        self.label_7.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.label_7.setObjectName("label_7")
+        self.gridLayout.addWidget(self.label_7, 7, 0, 1, 1)
+        self.series = EditWithComplete(self.btab)
+        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
+        sizePolicy.setHorizontalStretch(0)
+        sizePolicy.setVerticalStretch(0)
+        sizePolicy.setHeightForWidth(self.series.sizePolicy().hasHeightForWidth())
+        self.series.setSizePolicy(sizePolicy)
+        self.series.setEditable(True)
+        self.series.setInsertPolicy(QtWidgets.QComboBox.InsertAlphabetically)
+        self.series.setSizeAdjustPolicy(QtWidgets.QComboBox.AdjustToMinimumContentsLengthWithIcon)
+        self.series.setMinimumContentsLength(40)
+        self.series.setObjectName("series")
+        self.gridLayout.addWidget(self.series, 7, 1, 1, 1)
+        self.clear_series = QtWidgets.QCheckBox(self.btab)
+        self.clear_series.setObjectName("clear_series")
+        self.gridLayout.addWidget(self.clear_series, 7, 2, 1, 1)
         self.HLayout_3 = QtWidgets.QHBoxLayout()
         self.HLayout_3.setObjectName("HLayout_3")
-        self.autonumber_series = QtWidgets.QCheckBox(self.tabWidgetPage1)
+        self.autonumber_series = QtWidgets.QCheckBox(self.btab)
         self.autonumber_series.setEnabled(False)
         self.autonumber_series.setObjectName("autonumber_series")
         self.HLayout_3.addWidget(self.autonumber_series)
-        self.series_numbering_restarts = QtWidgets.QCheckBox(self.tabWidgetPage1)
+        self.series_numbering_restarts = QtWidgets.QCheckBox(self.btab)
         self.series_numbering_restarts.setEnabled(False)
         self.series_numbering_restarts.setObjectName("series_numbering_restarts")
         self.HLayout_3.addWidget(self.series_numbering_restarts)
-        self.series_start_number = QtWidgets.QDoubleSpinBox(self.tabWidgetPage1)
+        self.series_start_number = QtWidgets.QDoubleSpinBox(self.btab)
         self.series_start_number.setEnabled(False)
         self.series_start_number.setMinimum(0.0)
         self.series_start_number.setMaximum(99000000.0)
         self.series_start_number.setProperty("value", 1.0)
         self.series_start_number.setObjectName("series_start_number")
         self.HLayout_3.addWidget(self.series_start_number)
-        self.series_increment = QtWidgets.QDoubleSpinBox(self.tabWidgetPage1)
+        self.series_increment = QtWidgets.QDoubleSpinBox(self.btab)
         self.series_increment.setEnabled(False)
         self.series_increment.setMinimum(0.0)
         self.series_increment.setMaximum(99999.0)
         self.series_increment.setProperty("value", 1.0)
         self.series_increment.setObjectName("series_increment")
         self.HLayout_3.addWidget(self.series_increment)
-        self.gridLayout.addLayout(self.HLayout_3, 8, 2, 1, 1)
-        self.clear_series = QtWidgets.QCheckBox(self.tabWidgetPage1)
-        self.clear_series.setObjectName("clear_series")
-        self.gridLayout.addWidget(self.clear_series, 7, 3, 1, 1)
-        self.horizontalLayout = QtWidgets.QHBoxLayout()
-        self.horizontalLayout.setObjectName("horizontalLayout")
-        self.button_config_cover_gen = QtWidgets.QPushButton(self.tabWidgetPage1)
-        self.button_config_cover_gen.setObjectName("button_config_cover_gen")
-        self.horizontalLayout.addWidget(self.button_config_cover_gen)
-        self.comments_button = QtWidgets.QPushButton(self.tabWidgetPage1)
-        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Maximum, QtWidgets.QSizePolicy.Fixed)
-        sizePolicy.setHorizontalStretch(0)
-        sizePolicy.setVerticalStretch(0)
-        sizePolicy.setHeightForWidth(self.comments_button.sizePolicy().hasHeightForWidth())
-        self.comments_button.setSizePolicy(sizePolicy)
-        self.comments_button.setObjectName("comments_button")
-        self.horizontalLayout.addWidget(self.comments_button)
-        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
-        self.horizontalLayout.addItem(spacerItem1)
-        self.gridLayout.addLayout(self.horizontalLayout, 18, 0, 1, 4)
-        self.label = QtWidgets.QLabel(self.tabWidgetPage1)
-        self.label.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
-        self.label.setObjectName("label")
-        self.gridLayout.addWidget(self.label, 6, 0, 1, 1)
-        self.clear_languages = QtWidgets.QCheckBox(self.tabWidgetPage1)
-        self.clear_languages.setObjectName("clear_languages")
-        self.gridLayout.addWidget(self.clear_languages, 11, 3, 1, 1)
-        self.label_4 = QtWidgets.QLabel(self.tabWidgetPage1)
-        self.label_4.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
-        self.label_4.setObjectName("label_4")
-        self.gridLayout.addWidget(self.label_4, 5, 0, 1, 1)
-        self.author_sort = EnLineEdit(self.tabWidgetPage1)
-        self.author_sort.setObjectName("author_sort")
-        self.gridLayout.addWidget(self.author_sort, 2, 2, 1, 1)
-        self.apply_rating = QtWidgets.QCheckBox(self.tabWidgetPage1)
-        self.apply_rating.setObjectName("apply_rating")
-        self.gridLayout.addWidget(self.apply_rating, 3, 3, 1, 1)
-        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
-        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
-        self.pubdate = DateTimeEdit(self.tabWidgetPage1)
-        self.pubdate.setCalendarPopup(True)
-        self.pubdate.setObjectName("pubdate")
-        self.horizontalLayout_4.addWidget(self.pubdate)
-        self.clear_pubdate_button = QtWidgets.QToolButton(self.tabWidgetPage1)
-        icon1 = QtGui.QIcon()
-        icon1.addPixmap(QtGui.QPixmap(I("trash.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
-        self.clear_pubdate_button.setIcon(icon1)
-        self.clear_pubdate_button.setObjectName("clear_pubdate_button")
-        self.horizontalLayout_4.addWidget(self.clear_pubdate_button)
-        self.gridLayout.addLayout(self.horizontalLayout_4, 10, 2, 1, 1)
-        self.languages = LanguagesEdit(self.tabWidgetPage1)
-        self.languages.setObjectName("languages")
-        self.gridLayout.addWidget(self.languages, 11, 2, 1, 1)
-        self.label_2 = QtWidgets.QLabel(self.tabWidgetPage1)
-        self.label_2.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
-        self.label_2.setObjectName("label_2")
-        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
+        self.gridLayout.addLayout(self.HLayout_3, 8, 1, 1, 1)
+        self.label_10 = QtWidgets.QLabel(self.btab)
+        self.label_10.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.label_10.setObjectName("label_10")
+        self.gridLayout.addWidget(self.label_10, 9, 0, 1, 1)
         self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
         self.horizontalLayout_5.setObjectName("horizontalLayout_5")
-        self.adddate = DateTimeEdit(self.tabWidgetPage1)
+        self.adddate = DateTimeEdit(self.btab)
         self.adddate.setCalendarPopup(True)
         self.adddate.setObjectName("adddate")
         self.horizontalLayout_5.addWidget(self.adddate)
-        self.clear_adddate_button = QtWidgets.QToolButton(self.tabWidgetPage1)
-        self.clear_adddate_button.setIcon(icon1)
+        self.clear_adddate_button = QtWidgets.QToolButton(self.btab)
+        icon2 = QtGui.QIcon()
+        icon2.addPixmap(QtGui.QPixmap(I("trash.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
+        self.clear_adddate_button.setIcon(icon2)
         self.clear_adddate_button.setObjectName("clear_adddate_button")
         self.horizontalLayout_5.addWidget(self.clear_adddate_button)
-        self.gridLayout.addLayout(self.horizontalLayout_5, 9, 2, 1, 1)
-        self.label_11 = QtWidgets.QLabel(self.tabWidgetPage1)
+        self.gridLayout.addLayout(self.horizontalLayout_5, 9, 1, 1, 1)
+        self.apply_adddate = QtWidgets.QCheckBox(self.btab)
+        self.apply_adddate.setObjectName("apply_adddate")
+        self.gridLayout.addWidget(self.apply_adddate, 9, 2, 1, 1)
+        self.label_9 = QtWidgets.QLabel(self.btab)
+        self.label_9.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
+        self.label_9.setObjectName("label_9")
+        self.gridLayout.addWidget(self.label_9, 10, 0, 1, 1)
+        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
+        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
+        self.pubdate = DateTimeEdit(self.btab)
+        self.pubdate.setCalendarPopup(True)
+        self.pubdate.setObjectName("pubdate")
+        self.horizontalLayout_4.addWidget(self.pubdate)
+        self.clear_pubdate_button = QtWidgets.QToolButton(self.btab)
+        self.clear_pubdate_button.setIcon(icon2)
+        self.clear_pubdate_button.setObjectName("clear_pubdate_button")
+        self.horizontalLayout_4.addWidget(self.clear_pubdate_button)
+        self.gridLayout.addLayout(self.horizontalLayout_4, 10, 1, 1, 1)
+        self.apply_pubdate = QtWidgets.QCheckBox(self.btab)
+        self.apply_pubdate.setObjectName("apply_pubdate")
+        self.gridLayout.addWidget(self.apply_pubdate, 10, 2, 1, 1)
+        self.label_11 = QtWidgets.QLabel(self.btab)
         self.label_11.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
         self.label_11.setObjectName("label_11")
         self.gridLayout.addWidget(self.label_11, 11, 0, 1, 1)
-        self.label_3 = QtWidgets.QLabel(self.tabWidgetPage1)
-        self.label_3.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
-        self.label_3.setObjectName("label_3")
-        self.gridLayout.addWidget(self.label_3, 4, 0, 1, 1)
-        spacerItem2 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
-        self.gridLayout.addItem(spacerItem2, 19, 0, 1, 1)
-        self.remove_tags = EditWithComplete(self.tabWidgetPage1)
-        self.remove_tags.setObjectName("remove_tags")
-        self.gridLayout.addWidget(self.remove_tags, 6, 2, 1, 1)
-        self.tag_editor_button = QtWidgets.QToolButton(self.tabWidgetPage1)
-        icon2 = QtGui.QIcon()
-        icon2.addPixmap(QtGui.QPixmap(I("chapters.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
-        self.tag_editor_button.setIcon(icon2)
-        self.tag_editor_button.setObjectName("tag_editor_button")
-        self.gridLayout.addWidget(self.tag_editor_button, 5, 3, 1, 1)
-        self.rating = RatingEditor(self.tabWidgetPage1)
-        self.rating.setObjectName("rating")
-        self.gridLayout.addWidget(self.rating, 3, 2, 1, 1)
-        spacerItem3 = QtWidgets.QSpacerItem(20, 15, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
-        self.gridLayout.addItem(spacerItem3, 12, 0, 1, 1)
-        self.tags = EditWithComplete(self.tabWidgetPage1)
-        self.tags.setObjectName("tags")
-        self.gridLayout.addWidget(self.tags, 5, 2, 1, 1)
-        self.label_8 = QtWidgets.QLabel(self.tabWidgetPage1)
-        self.label_8.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
-        self.label_8.setObjectName("label_8")
-        self.gridLayout.addWidget(self.label_8, 2, 0, 1, 1)
-        self.series = EditWithComplete(self.tabWidgetPage1)
-        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
-        sizePolicy.setHorizontalStretch(0)
-        sizePolicy.setVerticalStretch(0)
-        sizePolicy.setHeightForWidth(self.series.sizePolicy().hasHeightForWidth())
-        self.series.setSizePolicy(sizePolicy)
-        self.series.setEditable(True)
-        self.series.setInsertPolicy(QtWidgets.QComboBox.InsertAlphabetically)
-        self.series.setSizeAdjustPolicy(QtWidgets.QComboBox.AdjustToMinimumContentsLengthWithIcon)
-        self.series.setMinimumContentsLength(40)
-        self.series.setObjectName("series")
-        self.gridLayout.addWidget(self.series, 7, 2, 1, 1)
-        self.apply_pubdate = QtWidgets.QCheckBox(self.tabWidgetPage1)
-        self.apply_pubdate.setObjectName("apply_pubdate")
-        self.gridLayout.addWidget(self.apply_pubdate, 10, 3, 1, 1)
-        self.read_file_metadata = QtWidgets.QCheckBox(self.tabWidgetPage1)
-        self.read_file_metadata.setObjectName("read_file_metadata")
-        self.gridLayout.addWidget(self.read_file_metadata, 14, 0, 1, 4)
-        self.label_7 = QtWidgets.QLabel(self.tabWidgetPage1)
-        self.label_7.setTextFormat(QtCore.Qt.PlainText)
-        self.label_7.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
-        self.label_7.setObjectName("label_7")
-        self.gridLayout.addWidget(self.label_7, 7, 0, 1, 1)
-        self.horizontalLayout_7 = QtWidgets.QHBoxLayout()
-        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
-        self.remove_conversion_settings = QtWidgets.QCheckBox(self.tabWidgetPage1)
+        self.languages = LanguagesEdit(self.btab)
+        self.languages.setObjectName("languages")
+        self.gridLayout.addWidget(self.languages, 11, 1, 1, 1)
+        self.clear_languages = QtWidgets.QCheckBox(self.btab)
+        self.clear_languages.setObjectName("clear_languages")
+        self.gridLayout.addWidget(self.clear_languages, 11, 2, 1, 1)
+        self.verticalLayout_4.addLayout(self.gridLayout)
+        spacerItem = QtWidgets.QSpacerItem(17, 13, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
+        self.verticalLayout_4.addItem(spacerItem)
+        self.gridLayout_2 = QtWidgets.QGridLayout()
+        self.gridLayout_2.setObjectName("gridLayout_2")
+        self.remove_conversion_settings = QtWidgets.QCheckBox(self.btab)
         self.remove_conversion_settings.setObjectName("remove_conversion_settings")
-        self.horizontalLayout_7.addWidget(self.remove_conversion_settings)
-        self.restore_original = QtWidgets.QCheckBox(self.tabWidgetPage1)
+        self.gridLayout_2.addWidget(self.remove_conversion_settings, 0, 0, 1, 2)
+        self.restore_original = QtWidgets.QCheckBox(self.btab)
         self.restore_original.setObjectName("restore_original")
-        self.horizontalLayout_7.addWidget(self.restore_original)
-        self.gridLayout.addLayout(self.horizontalLayout_7, 13, 0, 1, 4)
-        self.remove_all_tags = QtWidgets.QCheckBox(self.tabWidgetPage1)
-        self.remove_all_tags.setObjectName("remove_all_tags")
-        self.gridLayout.addWidget(self.remove_all_tags, 6, 3, 1, 1)
-        self.authors = EditWithComplete(self.tabWidgetPage1)
-        self.authors.setEditable(True)
-        self.authors.setObjectName("authors")
-        self.gridLayout.addWidget(self.authors, 0, 2, 1, 1)
-        self.label_6 = QtWidgets.QLabel(self.tabWidgetPage1)
-        self.label_6.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
-        self.label_6.setObjectName("label_6")
-        self.gridLayout.addWidget(self.label_6, 3, 0, 1, 1)
-        self.scrollArea1.setWidget(self.tabWidgetPage1)
+        self.gridLayout_2.addWidget(self.restore_original, 0, 2, 1, 1)
+        self.change_title_to_title_case = QtWidgets.QCheckBox(self.btab)
+        self.change_title_to_title_case.setObjectName("change_title_to_title_case")
+        self.gridLayout_2.addWidget(self.change_title_to_title_case, 1, 0, 1, 1)
+        self.casing_algorithm = QtWidgets.QComboBox(self.btab)
+        self.casing_algorithm.setMinimumSize(QtCore.QSize(150, 0))
+        self.casing_algorithm.setObjectName("casing_algorithm")
+        self.gridLayout_2.addWidget(self.casing_algorithm, 1, 1, 1, 1)
+        self.update_title_sort = QtWidgets.QCheckBox(self.btab)
+        self.update_title_sort.setObjectName("update_title_sort")
+        self.gridLayout_2.addWidget(self.update_title_sort, 1, 2, 1, 1)
+        self.verticalLayout_4.addLayout(self.gridLayout_2)
+        self.read_file_metadata = QtWidgets.QCheckBox(self.btab)
+        self.read_file_metadata.setObjectName("read_file_metadata")
+        self.verticalLayout_4.addWidget(self.read_file_metadata)
+        self.groupBox = QtWidgets.QGroupBox(self.btab)
+        self.groupBox.setObjectName("groupBox")
+        self.horizontalLayout_9 = QtWidgets.QHBoxLayout(self.groupBox)
+        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
+        self.cover_generate = QtWidgets.QRadioButton(self.groupBox)
+        self.cover_generate.setObjectName("cover_generate")
+        self.horizontalLayout_9.addWidget(self.cover_generate)
+        self.cover_remove = QtWidgets.QRadioButton(self.groupBox)
+        self.cover_remove.setObjectName("cover_remove")
+        self.horizontalLayout_9.addWidget(self.cover_remove)
+        self.cover_trim = QtWidgets.QRadioButton(self.groupBox)
+        self.cover_trim.setObjectName("cover_trim")
+        self.horizontalLayout_9.addWidget(self.cover_trim)
+        self.cover_from_fmt = QtWidgets.QRadioButton(self.groupBox)
+        self.cover_from_fmt.setObjectName("cover_from_fmt")
+        self.horizontalLayout_9.addWidget(self.cover_from_fmt)
+        self.cover_clone = QtWidgets.QRadioButton(self.groupBox)
+        self.cover_clone.setObjectName("cover_clone")
+        self.horizontalLayout_9.addWidget(self.cover_clone)
+        self.verticalLayout_4.addWidget(self.groupBox)
+        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
+        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
+        self.compress_cover_images = QtWidgets.QCheckBox(self.btab)
+        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Maximum, QtWidgets.QSizePolicy.Fixed)
+        sizePolicy.setHorizontalStretch(0)
+        sizePolicy.setVerticalStretch(0)
+        sizePolicy.setHeightForWidth(self.compress_cover_images.sizePolicy().hasHeightForWidth())
+        self.compress_cover_images.setSizePolicy(sizePolicy)
+        self.compress_cover_images.setObjectName("compress_cover_images")
+        self.horizontalLayout_3.addWidget(self.compress_cover_images)
+        self.compress_quality = QtWidgets.QSpinBox(self.btab)
+        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Maximum, QtWidgets.QSizePolicy.Fixed)
+        sizePolicy.setHorizontalStretch(0)
+        sizePolicy.setVerticalStretch(0)
+        sizePolicy.setHeightForWidth(self.compress_quality.sizePolicy().hasHeightForWidth())
+        self.compress_quality.setSizePolicy(sizePolicy)
+        self.compress_quality.setMinimum(10)
+        self.compress_quality.setMaximum(100)
+        self.compress_quality.setProperty("value", 100)
+        self.compress_quality.setObjectName("compress_quality")
+        self.horizontalLayout_3.addWidget(self.compress_quality)
+        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
+        self.horizontalLayout_3.addItem(spacerItem1)
+        self.verticalLayout_4.addLayout(self.horizontalLayout_3)
+        self.horizontalLayout = QtWidgets.QHBoxLayout()
+        self.horizontalLayout.setObjectName("horizontalLayout")
+        self.button_config_cover_gen = QtWidgets.QPushButton(self.btab)
+        self.button_config_cover_gen.setObjectName("button_config_cover_gen")
+        self.horizontalLayout.addWidget(self.button_config_cover_gen)
+        self.comments_button = QtWidgets.QPushButton(self.btab)
+        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Maximum, QtWidgets.QSizePolicy.Fixed)
+        sizePolicy.setHorizontalStretch(0)
+        sizePolicy.setVerticalStretch(0)
+        sizePolicy.setHeightForWidth(self.comments_button.sizePolicy().hasHeightForWidth())
+        self.comments_button.setSizePolicy(sizePolicy)
+        self.comments_button.setObjectName("comments_button")
+        self.horizontalLayout.addWidget(self.comments_button)
+        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
+        self.horizontalLayout.addItem(spacerItem2)
+        self.verticalLayout_4.addLayout(self.horizontalLayout)
+        spacerItem3 = QtWidgets.QSpacerItem(17, 17, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
+        self.verticalLayout_4.addItem(spacerItem3)
+        self.scrollArea1.setWidget(self.btab)
         self.central_widget.addTab(self.scrollArea1, "")
         self.scrollArea2 = QtWidgets.QScrollArea()
         self.scrollArea2.setFrameShape(QtWidgets.QFrame.NoFrame)
@@ -275,7 +297,7 @@ class Ui_MetadataBulkDialog(object):
         self.scrollArea3.setWidgetResizable(True)
         self.scrollArea3.setObjectName("scrollArea3")
         self.tabWidgetPage3 = QtWidgets.QWidget()
-        self.tabWidgetPage3.setGeometry(QtCore.QRect(0, 0, 804, 388))
+        self.tabWidgetPage3.setGeometry(QtCore.QRect(0, 0, 777, 388))
         self.tabWidgetPage3.setObjectName("tabWidgetPage3")
         self.vargrid = QtWidgets.QGridLayout(self.tabWidgetPage3)
         self.vargrid.setSizeConstraint(QtWidgets.QLayout.SetMinimumSize)
@@ -452,7 +474,7 @@ class Ui_MetadataBulkDialog(object):
         self.scrollArea11.setWidgetResizable(True)
         self.scrollArea11.setObjectName("scrollArea11")
         self.gridLayoutWidget_2 = QtWidgets.QWidget()
-        self.gridLayoutWidget_2.setGeometry(QtCore.QRect(0, 0, 203, 70))
+        self.gridLayoutWidget_2.setGeometry(QtCore.QRect(0, 0, 745, 70))
         self.gridLayoutWidget_2.setObjectName("gridLayoutWidget_2")
         self.testgrid = QtWidgets.QGridLayout(self.gridLayoutWidget_2)
         self.testgrid.setObjectName("testgrid")
@@ -491,16 +513,16 @@ class Ui_MetadataBulkDialog(object):
         self.button_box.setObjectName("button_box")
         self.horizontalLayout_10.addWidget(self.button_box)
         self.verticalLayout_3.addLayout(self.horizontalLayout_10)
-        self.label_10.setBuddy(self.adddate)
-        self.label_9.setBuddy(self.pubdate)
-        self.label.setBuddy(self.remove_tags)
-        self.label_4.setBuddy(self.tags)
         self.label_2.setBuddy(self.authors)
-        self.label_11.setBuddy(self.languages)
-        self.label_3.setBuddy(self.publisher)
         self.label_8.setBuddy(self.author_sort)
-        self.label_7.setBuddy(self.series)
         self.label_6.setBuddy(self.rating)
+        self.label_3.setBuddy(self.publisher)
+        self.label_4.setBuddy(self.tags)
+        self.label.setBuddy(self.remove_tags)
+        self.label_7.setBuddy(self.series)
+        self.label_10.setBuddy(self.adddate)
+        self.label_9.setBuddy(self.pubdate)
+        self.label_11.setBuddy(self.languages)
         self.xlabel_22.setBuddy(self.query_field)
         self.xlabel_21.setBuddy(self.search_field)
         self.xlabel_24.setBuddy(self.search_mode)
@@ -550,11 +572,9 @@ class Ui_MetadataBulkDialog(object):
         MetadataBulkDialog.setTabOrder(self.languages, self.clear_languages)
         MetadataBulkDialog.setTabOrder(self.clear_languages, self.remove_conversion_settings)
         MetadataBulkDialog.setTabOrder(self.remove_conversion_settings, self.restore_original)
-        MetadataBulkDialog.setTabOrder(self.restore_original, self.read_file_metadata)
-        MetadataBulkDialog.setTabOrder(self.read_file_metadata, self.change_title_to_title_case)
+        MetadataBulkDialog.setTabOrder(self.restore_original, self.change_title_to_title_case)
         MetadataBulkDialog.setTabOrder(self.change_title_to_title_case, self.casing_algorithm)
-        MetadataBulkDialog.setTabOrder(self.casing_algorithm, self.update_title_sort)
-        MetadataBulkDialog.setTabOrder(self.update_title_sort, self.cover_generate)
+        MetadataBulkDialog.setTabOrder(self.casing_algorithm, self.cover_generate)
         MetadataBulkDialog.setTabOrder(self.cover_generate, self.cover_remove)
         MetadataBulkDialog.setTabOrder(self.cover_remove, self.cover_trim)
         MetadataBulkDialog.setTabOrder(self.cover_trim, self.cover_from_fmt)
@@ -587,33 +607,33 @@ class Ui_MetadataBulkDialog(object):
     def retranslateUi(self, MetadataBulkDialog):
 
         MetadataBulkDialog.setWindowTitle(_("Edit meta information"))
-        self.apply_adddate.setText(_("A&pply date"))
+        self.label_2.setText(_("&Author(s): "))
         self.auto_author_sort.setToolTip(_("This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
 " you use the control above to set authors in bulk, the author sort\n"
 " field is updated anyway, regardless of the value of this checkbox."))
         self.auto_author_sort.setText(_("A&utomatically set author sort"))
         self.swap_title_and_author.setText(_("S&wap title and author"))
-        self.update_title_sort.setToolTip(_("Update title sort based on the current title. This will be applied only after other changes to title."))
-        self.update_title_sort.setText(_("Update &title sort"))
-        self.groupBox.setTitle(_("Change &cover"))
-        self.cover_generate.setText(_("&Generate default cover"))
-        self.cover_remove.setText(_("&Remove cover"))
-        self.cover_trim.setToolTip(_("Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."))
-        self.cover_trim.setText(_("&Trim cover (DANGEROUS)"))
-        self.cover_from_fmt.setText(_("Set from &e-book files"))
-        self.cover_clone.setToolTip(_("Set the covers of all selected books to be the same\n"
-"as that of the first selected book."))
-        self.cover_clone.setText(_("&Clone covers"))
-        self.change_title_to_title_case.setToolTip(_("Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"))
-        self.change_title_to_title_case.setText(_("Change title &case to:"))
-        self.label_10.setText(_("&Date:"))
+        self.label_8.setText(_("Author s&ort: "))
+        self.author_sort.setToolTip(_("Specify how the author(s) of this book should be sorted. For example Charles Dickens should be sorted as Dickens, Charles."))
+        self.label_6.setText(_("&Rating:"))
+        self.apply_rating.setText(_("&Apply rating"))
+        self.label_3.setText(_("&Publisher: "))
         self.clear_pub.setToolTip(_("If checked, the publisher will be cleared"))
         self.clear_pub.setText(_("&Clear pub"))
-        self.label_9.setText(_("P&ublished:"))
+        self.label_4.setText(_("Add ta&gs: "))
+        self.tags.setToolTip(_("Tags categorize the book. This is particularly useful while searching. <br><br>They can be any words or phrases, separated by commas."))
+        self.tag_editor_button.setToolTip(_("Open Tag editor"))
+        self.tag_editor_button.setText(_("Open Tag editor"))
+        self.label.setText(_("&Remove tags:"))
+        self.remove_tags.setToolTip(_("Comma separated list of tags to remove from the books. "))
+        self.remove_all_tags.setToolTip(_("Check this box to remove all tags from the books."))
+        self.remove_all_tags.setText(_("Remove &all"))
+        self.label_7.setText(_("Ser&ies:"))
+        self.series.setToolTip(_("List of known series. You can add new series."))
+        self.series.setWhatsThis(_("List of known series. You can add new series."))
+        self.clear_series.setToolTip(_("If checked, the series will be cleared"))
+        self.clear_series.setText(_("&Clear series"))
         self.autonumber_series.setToolTip(_("If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
 "you selected them. So if you selected Book A and then Book B,\n"
@@ -625,35 +645,17 @@ class Ui_MetadataBulkDialog(object):
         self.series_numbering_restarts.setText(_("&Force numbers to start with:"))
         self.series_increment.setToolTip(_("The amount by which to increment the series number for successive books. Only applicable when using force series numbers."))
         self.series_increment.setPrefix(_("+ "))
-        self.clear_series.setToolTip(_("If checked, the series will be cleared"))
-        self.clear_series.setText(_("&Clear series"))
-        self.button_config_cover_gen.setToolTip(_("Control how the default generated covers are created"))
-        self.button_config_cover_gen.setText(_("Configure co&ver generation"))
-        self.comments_button.setText(_("Set the co&mments for all selected books"))
-        self.label.setText(_("&Remove tags:"))
-        self.clear_languages.setText(_("Remove &all"))
-        self.label_4.setText(_("Add ta&gs: "))
-        self.author_sort.setToolTip(_("Specify how the author(s) of this book should be sorted. For example Charles Dickens should be sorted as Dickens, Charles."))
-        self.apply_rating.setText(_("&Apply rating"))
+        self.label_10.setText(_("&Date:"))
+        self.adddate.setDisplayFormat("d MMM yyyy")
+        self.clear_adddate_button.setText(_("..."))
+        self.apply_adddate.setText(_("A&pply date"))
+        self.label_9.setText(_("P&ublished:"))
         self.pubdate.setDisplayFormat("MMM yyyy")
         self.clear_pubdate_button.setToolTip(_("Clear published date"))
         self.clear_pubdate_button.setText(_("..."))
-        self.label_2.setText(_("&Author(s): "))
-        self.adddate.setDisplayFormat("d MMM yyyy")
-        self.clear_adddate_button.setText(_("..."))
-        self.label_11.setText(_("&Languages:"))
-        self.label_3.setText(_("&Publisher: "))
-        self.remove_tags.setToolTip(_("Comma separated list of tags to remove from the books. "))
-        self.tag_editor_button.setToolTip(_("Open Tag editor"))
-        self.tag_editor_button.setText(_("Open Tag editor"))
-        self.tags.setToolTip(_("Tags categorize the book. This is particularly useful while searching. <br><br>They can be any words or phrases, separated by commas."))
-        self.label_8.setText(_("Author s&ort: "))
-        self.series.setToolTip(_("List of known series. You can add new series."))
-        self.series.setWhatsThis(_("List of known series. You can add new series."))
         self.apply_pubdate.setText(_("A&pply date"))
-        self.read_file_metadata.setToolTip(_("Set the metadata in calibre from the metadata in the e-book files associated with each book. Note that this does not change the cover, for that, use the separate option below."))
-        self.read_file_metadata.setText(_("Set &metadata (except cover) from the e-book files"))
-        self.label_7.setText(_("Ser&ies:"))
+        self.label_11.setText(_("&Languages:"))
+        self.clear_languages.setText(_("Remove &all"))
         self.remove_conversion_settings.setToolTip(_("Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."))
@@ -664,9 +666,30 @@ class Ui_MetadataBulkDialog(object):
 " the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
 " conversion of a large number of books and something went wrong."))
         self.restore_original.setText(_("Restore pre conversion &originals, if available"))
-        self.remove_all_tags.setToolTip(_("Check this box to remove all tags from the books."))
-        self.remove_all_tags.setText(_("Remove &all"))
-        self.label_6.setText(_("&Rating:"))
+        self.change_title_to_title_case.setToolTip(_("Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"))
+        self.change_title_to_title_case.setText(_("Change title &case to:"))
+        self.update_title_sort.setToolTip(_("Update title sort based on the current title. This will be applied only after other changes to title."))
+        self.update_title_sort.setText(_("Update &title sort"))
+        self.read_file_metadata.setToolTip(_("Set the metadata in calibre from the metadata in the e-book files associated with each book. Note that this does not change the cover, for that, use the separate option below."))
+        self.read_file_metadata.setText(_("Set &metadata (except cover) from the e-book files"))
+        self.groupBox.setTitle(_("Change &cover"))
+        self.cover_generate.setText(_("&Generate default cover"))
+        self.cover_remove.setText(_("&Remove cover"))
+        self.cover_trim.setToolTip(_("Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."))
+        self.cover_trim.setText(_("&Trim cover (DANGEROUS)"))
+        self.cover_from_fmt.setText(_("Set from &e-book files"))
+        self.cover_clone.setToolTip(_("Set the covers of all selected books to be the same\n"
+"as that of the first selected book."))
+        self.cover_clone.setText(_("&Clone covers"))
+        self.compress_cover_images.setToolTip(_("<p>Compress cover images, if the quality is set to 100 compression is lossless, otherwise it is lossy"))
+        self.compress_cover_images.setText(_("Co&mpress cover images:"))
+        self.compress_quality.setToolTip(_("<p>Cover image compression quality. If the quality is set to 100 compression is lossless, otherwise it is lossy"))
+        self.button_config_cover_gen.setToolTip(_("Control how the default generated covers are created"))
+        self.button_config_cover_gen.setText(_("Configure co&ver generation"))
+        self.comments_button.setText(_("Set the co&mments for all selected books"))
         self.central_widget.setTabText(self.central_widget.indexOf(self.scrollArea1), _("&Basic metadata"))
         self.central_widget.setTabText(self.central_widget.indexOf(self.scrollArea2), _("&Custom metadata"))
         self.xlabel_22.setText(_("&Load search/replace:"))
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/quickview.py 5.10.0+dfsg-1/src/calibre/gui2/dialogs/quickview.py
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/quickview.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/quickview.py	2021-01-22 02:26:39.000000000 +0000
@@ -515,7 +515,9 @@ class Quickview(QDialog, Ui_Quickview):
 
         mi = self.db.get_metadata(book_id, index_is_id=True, get_user_categories=False)
         vals = mi.get(key, None)
-
+        if self.fm[key]['datatype'] == 'composite' and self.fm[key]['is_multiple']:
+            sep = self.fm[key]['is_multiple'].get('cache_to_list', ',')
+            vals = [v.strip() for v in vals.split(sep) if v.strip()]
         try:
             # Check if we are in the GridView and there are no values for the
             # selected column. In this case switch the column to 'authors'
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/saved_search_editor.py 5.10.0+dfsg-1/src/calibre/gui2/dialogs/saved_search_editor.py
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/saved_search_editor.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/saved_search_editor.py	2021-01-22 02:26:39.000000000 +0000
@@ -4,7 +4,8 @@
 
 
 from PyQt5.Qt import (
-    QFormLayout, QIcon, QLabel, QLineEdit, QListWidget, Qt, QVBoxLayout, QDialog, QDialogButtonBox
+    QFormLayout, QIcon, QLabel, QLineEdit, QListWidget, Qt, QVBoxLayout, QDialog,
+    QDialogButtonBox, QPlainTextEdit
 )
 
 from calibre import prepare_string_for_xml
@@ -51,12 +52,12 @@ class AddSavedSearch(Dialog):
         l.addRow(_('&Name:'), n)
         n.setPlaceholderText(_('The Saved search name'))
 
-        self.search = s = QLineEdit(self)
+        self.search = s = QPlainTextEdit(self)
         s.setMinimumWidth(400)
         l.addRow(_('&Search:'), s)
         s.setPlaceholderText(_('The search expression'))
         if self.initial_search:
-            s.setText(self.initial_search)
+            s.setPlainText(self.initial_search)
         n.setFocus(Qt.FocusReason.OtherFocusReason)
         l.addRow(self.bb)
 
@@ -68,7 +69,7 @@ class AddSavedSearch(Dialog):
                 _('No search name'),
                 _('You must specify a name for the Saved search'),
                 show=True)
-        expression = self.search.text().strip()
+        expression = self.search.toPlainText().strip()
         if not expression:
             return error_dialog(
                 self,
@@ -182,7 +183,7 @@ class SavedSearchEditor(Dialog):
                            validate=self.validate_edit)
         d.setWindowTitle(_('Edit saved search'))
         d.sname.setText(n)
-        d.search.setText(self.searches[n])
+        d.search.setPlainText(self.searches[n])
         if d.exec_() != QDialog.DialogCode.Accepted:
             return
         name, expression = d.accepted_data
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/tag_editor.py 5.10.0+dfsg-1/src/calibre/gui2/dialogs/tag_editor.py
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/tag_editor.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/tag_editor.py	2021-01-22 02:26:39.000000000 +0000
@@ -153,6 +153,10 @@ class TagEditor(QDialog, Ui_TagEditor):
         items = self.available_tags.selectedItems() if item is None else [item]
         rows = [self.available_tags.row(i) for i in items]
         if not rows:
+            text = self.available_filter_input.text()
+            if text and text.strip():
+                self.add_tag_input.setText(text)
+                self.add_tag_input.setFocus(Qt.FocusReason.OtherFocusReason)
             return
         row = max(rows)
         tags = self._get_applied_tags_box_contents()
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/template_dialog_box_layout.py 5.10.0+dfsg-1/src/calibre/gui2/dialogs/template_dialog_box_layout.py
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/template_dialog_box_layout.py	1970-01-01 00:00:00.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/template_dialog_box_layout.py	2021-01-22 02:26:39.000000000 +0000
@@ -0,0 +1,13 @@
+'''
+Created on 20 Jan 2021
+
+@author: Charles Haley
+'''
+
+from PyQt5.Qt import (QBoxLayout)
+
+
+class BoxLayout(QBoxLayout):
+
+    def __init__(self):
+        QBoxLayout.__init__(self, QBoxLayout.Direction.TopToBottom)
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/template_dialog.py 5.10.0+dfsg-1/src/calibre/gui2/dialogs/template_dialog.py
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/template_dialog.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/template_dialog.py	2021-01-22 02:26:39.000000000 +0000
@@ -22,7 +22,7 @@ from calibre.ebooks.metadata.book.format
 from calibre.library.coloring import (displayable_columns, color_row_key)
 from calibre.gui2 import error_dialog, choose_files, pixmap_to_data
 from calibre.utils.localization import localize_user_manual_link
-from polyglot.builtins import native_string_type, unicode_type
+from polyglot.builtins import unicode_type
 
 
 class ParenPosition:
@@ -46,7 +46,7 @@ class TemplateHighlighter(QSyntaxHighlig
 
     KEYWORDS = ["program", 'if', 'then', 'else', 'elif', 'fi']
 
-    def __init__(self, parent=None):
+    def __init__(self, parent=None, builtin_functions=None):
         super(TemplateHighlighter, self).__init__(parent)
 
         self.initializeFormats()
@@ -56,7 +56,8 @@ class TemplateHighlighter(QSyntaxHighlig
                 "keyword"))
         TemplateHighlighter.Rules.append((QRegExp(
                 "|".join([r"\b%s\b" % builtin for builtin in
-                          formatter_functions().get_builtins()])),
+                          (builtin_functions if builtin_functions else
+                                                formatter_functions().get_builtins())])),
                 "builtin"))
 
         TemplateHighlighter.Rules.append((QRegExp(
@@ -214,7 +215,7 @@ class TemplateDialog(QDialog, Ui_Templat
     def __init__(self, parent, text, mi=None, fm=None, color_field=None,
                  icon_field_key=None, icon_rule_kind=None, doing_emblem=False,
                  text_is_placeholder=False, dialog_is_st_editor=False,
-                 global_vars={}):
+                 global_vars={}, all_functions=None, builtin_functions=None):
         QDialog.__init__(self, parent)
         Ui_TemplateDialog.__init__(self)
         self.setupUi(self)
@@ -314,8 +315,11 @@ class TemplateDialog(QDialog, Ui_Templat
         self.setWindowFlags(self.windowFlags()&(~Qt.WindowType.WindowContextHelpButtonHint))
         self.setWindowIcon(icon)
 
+        self.all_functions = all_functions if all_functions else formatter_functions().get_functions()
+        self.builtins = builtin_functions if builtin_functions else formatter_functions().get_builtins()
+
         self.last_text = ''
-        self.highlighter = TemplateHighlighter(self.textbox.document())
+        self.highlighter = TemplateHighlighter(self.textbox.document(), builtin_functions=self.builtins)
         self.textbox.cursorPositionChanged.connect(self.text_cursor_changed)
         self.textbox.textChanged.connect(self.textbox_changed)
 
@@ -342,15 +346,14 @@ class TemplateDialog(QDialog, Ui_Templat
         except:
             self.builtin_source_dict = {}
 
-        self.funcs = formatter_functions().get_functions()
-        self.builtins = formatter_functions().get_builtins()
-
-        func_names = sorted(self.funcs)
+        func_names = sorted(self.all_functions)
         self.function.clear()
         self.function.addItem('')
-        self.function.addItems(func_names)
+        for f in func_names:
+            self.function.addItem('{}  --  {}'.format(f,
+                               self.function_type_string(f, longform=False)), f)
         self.function.setCurrentIndex(0)
-        self.function.currentIndexChanged[native_string_type].connect(self.function_changed)
+        self.function.currentIndexChanged.connect(self.function_changed)
         self.textbox_changed()
         self.rule = (None, '')
 
@@ -428,7 +431,8 @@ class TemplateDialog(QDialog, Ui_Templat
             self.text_cursor_changed()
             self.template_value.setText(
                 SafeFormat().safe_format(cur_text, self.mi, _('EXCEPTION: '),
-                                         self.mi, global_vars=self.global_vars))
+                                         self.mi, global_vars=self.global_vars,
+                                         template_functions=self.all_functions))
 
     def text_cursor_changed(self):
         cursor = self.textbox.textCursor()
@@ -440,21 +444,28 @@ class TemplateDialog(QDialog, Ui_Templat
             self.highlighter.check_cursor_pos(t[position-1], block_number,
                                               pos_in_block)
 
+    def function_type_string(self, name, longform=True):
+        if self.all_functions[name].is_python:
+            if name in self.builtins:
+                return (_('Built-in template function') if longform else
+                            _('Built-in function'))
+            return (_('User defined Python template function') if longform else
+                            _('User function'))
+        else:
+            return (_('Stored user defined template') if longform else _('Stored template'))
+
     def function_changed(self, toWhat):
-        name = unicode_type(toWhat)
+        name = unicode_type(self.function.itemData(toWhat))
         self.source_code.clear()
         self.documentation.clear()
         self.func_type.clear()
-        if name in self.funcs:
-            self.documentation.setPlainText(self.funcs[name].doc)
+        if name in self.all_functions:
+            self.documentation.setPlainText(self.all_functions[name].doc)
             if name in self.builtins and name in self.builtin_source_dict:
                 self.source_code.setPlainText(self.builtin_source_dict[name])
             else:
-                self.source_code.setPlainText(self.funcs[name].program_text)
-            if self.funcs[name].is_python:
-                self.func_type.setText(_('Template function in Python'))
-            else:
-                self.func_type.setText(_('Stored template'))
+                self.source_code.setPlainText(self.all_functions[name].program_text)
+            self.func_type.setText(self.function_type_string(name, longform=True))
 
     def accept(self):
         txt = unicode_type(self.textbox.toPlainText()).rstrip()
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/template_dialog.ui 5.10.0+dfsg-1/src/calibre/gui2/dialogs/template_dialog.ui
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/template_dialog.ui	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/template_dialog.ui	2021-01-22 02:26:39.000000000 +0000
@@ -21,349 +21,520 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QWidget" name="color_layout">
-     <layout class="QGridLayout">
-      <item row="0" column="0">
-       <widget class="QLabel" name="colored_field_label">
-        <property name="text">
-         <string>Set the color of the column:</string>
-        </property>
-        <property name="buddy">
-         <cstring>colored_field</cstring>
-        </property>
-       </widget>
-      </item>
-      <item row="0" column="1">
-       <widget class="QComboBox" name="colored_field">
-       </widget>
-      </item>
-      <item row="1" column="0">
-       <widget class="QLabel" name="color_chooser_label">
-        <property name="text">
-         <string>Copy a color name to the clipboard:</string>
-        </property>
-        <property name="buddy">
-         <cstring>color_name</cstring>
-        </property>
-       </widget>
-      </item>
-      <item row="1" column="1">
-       <widget class="ColorButton" name="color_name">
-       </widget>
-      </item>
-      <item row="1" column="2">
-       <widget class="QToolButton" name="color_copy_button">
-        <property name="icon">
-         <iconset resource="../../../../resources/images.qrc">
-          <normaloff>:/images/edit-copy.png</normaloff>:/images/edit-copy.png</iconset>
-        </property>
-        <property name="toolTip">
-         <string>Copy the selected color name to the clipboard</string>
-        </property>
-       </widget>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item>
-    <widget class="QWidget" name="icon_layout">
-     <layout class="QGridLayout">
-      <item row="0" column="0" colspan="2">
-       <layout class="QHBoxLayout">
-        <item>
-         <widget class="QLabel" name="icon_kind_label">
-          <property name="text">
-           <string>Kind:</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QComboBox" name="icon_kind">
-         </widget>
-        </item>
-       </layout>
-      </item>
-      <item row="1" column="0">
-       <widget class="QLabel" name="icon_chooser_label">
-        <property name="text">
-         <string>Apply the icon to column:</string>
-        </property>
-        <property name="buddy">
-         <cstring>icon_field</cstring>
-        </property>
-       </widget>
-      </item>
-      <item row="1" column="1">
-       <widget class="QComboBox" name="icon_field">
-       </widget>
-      </item>
-      <item row="2" column="0">
-       <widget class="QLabel" name="image_chooser_label">
-        <property name="text">
-         <string>Copy an icon file name to the clipboard:</string>
-        </property>
-        <property name="buddy">
-         <cstring>color_name</cstring>
-        </property>
-       </widget>
-      </item>
-      <item row="2" column="1">
-       <widget class="QWidget">
-        <layout class="QHBoxLayout">
-         <item>
-          <widget class="QComboBox" name="icon_files">
-          </widget>
-         </item>
-         <item>
-          <widget class="QToolButton" name="icon_copy_button">
-           <property name="icon">
-            <iconset resource="../../../../resources/images.qrc">
-             <normaloff>:/images/edit-copy.png</normaloff>:/images/edit-copy.png</iconset>
+    <widget class="QScrollArea" name="scroll_area">
+     <property name="widgetResizable">
+      <bool>true</bool>
+     </property>
+     <widget class="QWidget" name="wid1">
+      <layout class="QVBoxLayout" name="verticalLayout">
+       <item>
+        <widget class="QWidget" name="color_layout">
+         <layout class="QGridLayout">
+          <item row="0" column="0">
+           <widget class="QLabel" name="colored_field_label">
+            <property name="text">
+             <string>Set the color of the column:</string>
+            </property>
+            <property name="buddy">
+             <cstring>colored_field</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="0" column="1">
+           <widget class="QComboBox" name="colored_field">
+           </widget>
+          </item>
+          <item row="1" column="0">
+           <widget class="QLabel" name="color_chooser_label">
+            <property name="text">
+             <string>Copy a color name to the clipboard:</string>
+            </property>
+            <property name="buddy">
+             <cstring>color_name</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="1">
+           <widget class="ColorButton" name="color_name">
+           </widget>
+          </item>
+          <item row="1" column="2">
+           <widget class="QToolButton" name="color_copy_button">
+            <property name="icon">
+             <iconset resource="../../../../resources/images.qrc">
+              <normaloff>:/images/edit-copy.png</normaloff>:/images/edit-copy.png</iconset>
+            </property>
+            <property name="toolTip">
+             <string>Copy the selected color name to the clipboard</string>
+            </property>
+           </widget>
+          </item>
+         </layout>
+        </widget>
+       </item>
+       <item>
+        <widget class="QWidget" name="icon_layout">
+         <layout class="QGridLayout">
+          <item row="0" column="0" colspan="2">
+           <layout class="QHBoxLayout">
+            <item>
+             <widget class="QLabel" name="icon_kind_label">
+              <property name="text">
+               <string>Kind:</string>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <widget class="QComboBox" name="icon_kind">
+             </widget>
+            </item>
+           </layout>
+          </item>
+          <item row="1" column="0">
+           <widget class="QLabel" name="icon_chooser_label">
+            <property name="text">
+             <string>Apply the icon to column:</string>
+            </property>
+            <property name="buddy">
+             <cstring>icon_field</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="1">
+           <widget class="QComboBox" name="icon_field">
+           </widget>
+          </item>
+          <item row="2" column="0">
+           <widget class="QLabel" name="image_chooser_label">
+            <property name="text">
+             <string>Copy an icon file name to the clipboard:</string>
+            </property>
+            <property name="buddy">
+             <cstring>color_name</cstring>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="1">
+           <widget class="QWidget">
+            <layout class="QHBoxLayout">
+             <item>
+              <widget class="QComboBox" name="icon_files">
+              </widget>
+             </item>
+             <item>
+              <widget class="QToolButton" name="icon_copy_button">
+               <property name="icon">
+                <iconset resource="../../../../resources/images.qrc">
+                 <normaloff>:/images/edit-copy.png</normaloff>:/images/edit-copy.png</iconset>
+               </property>
+               <property name="toolTip">
+                <string>Copy the selected icon file name to the clipboard</string>
+               </property>
+              </widget>
+             </item>
+             <item>
+              <widget class="QPushButton" name="filename_button">
+               <property name="text">
+                <string>Add icon</string>
+               </property>
+               <property name="toolTip">
+                <string>Add an icon file to the set of choices</string>
+               </property>
+              </widget>
+             </item>
+            </layout>
+           </widget>
+          </item>
+         </layout>
+        </widget>
+       </item>
+       <item>
+        <layout class="QGridLayout" name="gridLayout">
+         <item row="0" column="0">
+          <widget class="QLabel" name="template_name_label">
+           <property name="text">
+            <string>Template &amp;name:</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_name</cstring>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="QComboBox" name="template_name">
+           <property name="editable">
+            <bool>true</bool>
+           </property>
+           <property name="toolTip">
+            <string>The name of the callable template</string>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="0">
+          <widget class="QLabel">
+           <property name="text">
+            <string>T&amp;emplate:</string>
+           </property>
+           <property name="buddy">
+            <cstring>textbox</cstring>
+           </property>
+           <property name="alignment">
+            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
            </property>
+          </widget>
+         </item>
+         <item row="1" column="1">
+          <widget class="QPlainTextEdit" name="textbox">
+           <property name="toolTip">
+            <string>The template program text</string>
+           </property>
+          </widget>
+         </item>
+         <item row="3" column="0">
+          <widget class="QLabel" name="new_doc_label">
+           <property name="text">
+            <string>D&amp;ocumentation:</string>
+           </property>
+           <property name="buddy">
+            <cstring>new_doc</cstring>
+           </property>
+           <property name="alignment">
+            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+           </property>
+          </widget>
+         </item>
+         <item row="3" column="1">
+          <widget class="QTextEdit" name="new_doc">
            <property name="toolTip">
-            <string>Copy the selected icon file name to the clipboard</string>
+            <string>Documentation for the function being defined or edited</string>
            </property>
           </widget>
          </item>
-         <item>
-          <widget class="QPushButton" name="filename_button">
+         <item row="5" column="0">
+          <widget class="QLabel">
            <property name="text">
-            <string>Add icon</string>
+            <string>Template value:</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
            </property>
            <property name="toolTip">
-            <string>Add an icon file to the set of choices</string>
+            <string>The value of the template using the current book in the library view</string>
+           </property>
+          </widget>
+         </item>
+         <item row="5" column="1">
+          <widget class="QLineEdit" name="template_value">
+           <property name="readOnly">
+            <bool>true</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="11" column="0">
+          <widget class="QLabel" name="user_label_1">
+           <property name="text">
+            <string>User label</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
+           </property>
+           <property name="visible">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="11" column="1">
+          <layout class="BoxLayout" name="user_layout_1" dir="TopToBottom">
+          </layout>
+         </item>
+         <item row="12" column="0">
+          <widget class="QLabel" name="user_label_2">
+           <property name="text">
+            <string>User label</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
+           </property>
+           <property name="visible">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="12" column="1">
+          <layout class="BoxLayout" name="user_layout_2" dir="TopToBottom">
+          </layout>
+         </item>
+         <item row="13" column="0">
+          <widget class="QLabel" name="user_label_3">
+           <property name="text">
+            <string>User label</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
+           </property>
+           <property name="visible">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="13" column="1">
+          <layout class="BoxLayout" name="user_layout_3" dir="TopToBottom">
+          </layout>
+         </item>
+         <item row="14" column="0">
+          <widget class="QLabel" name="user_label_4">
+           <property name="text">
+            <string>User label</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
+           </property>
+           <property name="visible">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="14" column="1">
+          <layout class="BoxLayout" name="user_layout_4" dir="TopToBottom">
+          </layout>
+         </item>
+         <item row="15" column="0">
+          <widget class="QLabel" name="user_label_5">
+           <property name="text">
+            <string>User label</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
+           </property>
+           <property name="visible">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="15" column="1">
+          <layout class="BoxLayout" name="user_layout_5" dir="TopToBottom">
+          </layout>
+         </item>
+         <item row="16" column="0">
+          <widget class="QLabel" name="user_label_6">
+           <property name="text">
+            <string>User label</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
+           </property>
+           <property name="visible">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="16" column="1">
+          <layout class="BoxLayout" name="user_layout_6" dir="TopToBottom">
+          </layout>
+         </item>
+         <item row="17" column="0">
+          <widget class="QLabel" name="user_label_7">
+           <property name="text">
+            <string>User label</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
+           </property>
+           <property name="visible">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="17" column="1">
+          <layout class="BoxLayout" name="user_layout_7" dir="TopToBottom">
+          </layout>
+         </item>
+         <item row="18" column="0">
+          <widget class="QLabel" name="user_label_8">
+           <property name="text">
+            <string>User label</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
+           </property>
+           <property name="visible">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="18" column="1">
+          <layout class="BoxLayout" name="user_layout_8" dir="TopToBottom">
+          </layout>
+         </item>
+         <item row="19" column="0">
+          <widget class="QLabel" name="user_label_9">
+           <property name="text">
+            <string>User label</string>
+           </property>
+           <property name="buddy">
+            <cstring>template_value</cstring>
+           </property>
+           <property name="visible">
+            <bool>false</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="19" column="1">
+          <layout class="BoxLayout" name="user_layout_9" dir="TopToBottom">
+          </layout>
+         </item>
+         <item row="20" column="0">
+          <widget class="QLabel" name="label">
+           <property name="text">
+            <string>Font size:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="20" column="1" colspan="3">
+          <layout class="QGridLayout" name="gridLayout">
+           <item row="1" column="0">
+            <widget class="QSpinBox" name="font_size_box"/>
+           </item>
+           <item row="1" column="1">
+            <spacer>
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>0</width>
+               <height>0</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="1" column="2">
+            <widget class="QDialogButtonBox" name="buttonBox">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="standardButtons">
+              <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
+             </property>
+            </widget>
+           </item>
+          </layout>
+         </item>
+         <item row="21" column="0" colspan="5">
+          <widget class="QFrame">
+           <property name="frameShape">
+            <enum>QFrame::HLine</enum>
+           </property>
+          </widget>
+         </item>
+         <item row="22" column="0" colspan="2">
+          <widget class="QLabel" name="label">
+           <property name="text">
+            <string>Template Function Reference</string>
+           </property>
+           <property name="buddy">
+            <cstring>function</cstring>
+           </property>
+          </widget>
+         </item>
+         <item row="23" column="0">
+          <widget class="QLabel" name="label">
+           <property name="text">
+            <string>Function &amp;name:</string>
+           </property>
+           <property name="buddy">
+            <cstring>function</cstring>
+           </property>
+          </widget>
+         </item>
+         <item row="23" column="1" colspan="3">
+          <widget class="QComboBox" name="function"/>
+         </item>
+         <item row="24" column="0">
+          <widget class="QLabel" name="label_22">
+           <property name="text">
+            <string>&amp;Function type:</string>
+           </property>
+           <property name="alignment">
+            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+           </property>
+           <property name="buddy">
+            <cstring>func_type</cstring>
+           </property>
+          </widget>
+         </item>
+         <item row="24" column="1" colspan="3">
+          <widget class="QLineEdit" name="func_type">
+           <property name="readOnly">
+            <bool>true</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="25" column="0">
+          <widget class="QLabel" name="label_2">
+           <property name="text">
+            <string>&amp;Documentation:</string>
+           </property>
+           <property name="alignment">
+            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+           </property>
+           <property name="buddy">
+            <cstring>documentation</cstring>
+           </property>
+          </widget>
+         </item>
+         <item row="26" column="0">
+          <widget class="QLabel" name="label_3">
+           <property name="text">
+            <string>&amp;Code:</string>
+           </property>
+           <property name="alignment">
+            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+           </property>
+           <property name="buddy">
+            <cstring>source_code</cstring>
+           </property>
+          </widget>
+         </item>
+         <item row="25" column="1" colspan="3">
+          <widget class="QPlainTextEdit" name="documentation">
+           <property name="maximumSize">
+            <size>
+             <width>16777215</width>
+             <height>75</height>
+            </size>
+           </property>
+          </widget>
+         </item>
+         <item row="26" column="1" colspan="3">
+          <widget class="QPlainTextEdit" name="source_code">
+           <property name="maximumSize">
+            <size>
+             <width>16777215</width>
+             <height>75</height>
+            </size>
+           </property>
+          </widget>
+         </item>
+         <item row="27" column="1">
+          <widget class="QLabel" name="template_tutorial">
+           <property name="openExternalLinks">
+            <bool>true</bool>
+           </property>
+          </widget>
+         </item>
+         <item row="28" column="1">
+          <widget class="QLabel" name="template_func_reference">
+           <property name="openExternalLinks">
+            <bool>true</bool>
            </property>
           </widget>
          </item>
         </layout>
-       </widget>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item>
-    <layout class="QGridLayout" name="gridLayout">
-     <item row="0" column="0">
-      <widget class="QLabel" name="template_name_label">
-       <property name="text">
-        <string>Template &amp;name:</string>
-       </property>
-       <property name="buddy">
-        <cstring>template_name</cstring>
-       </property>
-      </widget>
-     </item>
-     <item row="0" column="1">
-      <widget class="QComboBox" name="template_name">
-       <property name="editable">
-        <bool>true</bool>
-       </property>
-       <property name="toolTip">
-        <string>The name of the callable template</string>
-       </property>
-      </widget>
-     </item>
-     <item row="1" column="0">
-      <widget class="QLabel">
-       <property name="text">
-        <string>T&amp;emplate:</string>
-       </property>
-       <property name="buddy">
-        <cstring>textbox</cstring>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-       </property>
-      </widget>
-     </item>
-     <item row="1" column="1">
-      <widget class="QPlainTextEdit" name="textbox">
-       <property name="toolTip">
-        <string>The template program text</string>
-       </property>
-      </widget>
-     </item>
-     <item row="3" column="0">
-      <widget class="QLabel" name="new_doc_label">
-       <property name="text">
-        <string>D&amp;ocumentation:</string>
-       </property>
-       <property name="buddy">
-        <cstring>new_doc</cstring>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-       </property>
-      </widget>
-     </item>
-     <item row="3" column="1">
-      <widget class="QTextEdit" name="new_doc">
-       <property name="toolTip">
-        <string>Documentation for the function being defined or edited</string>
-       </property>
-      </widget>
-     </item>
-     <item row="5" column="0">
-      <widget class="QLabel">
-       <property name="text">
-        <string>Template value:</string>
-       </property>
-       <property name="buddy">
-        <cstring>template_value</cstring>
-       </property>
-       <property name="toolTip">
-        <string>The value of the template using the current book in the library view</string>
-       </property>
-      </widget>
-     </item>
-     <item row="5" column="1">
-      <widget class="QLineEdit" name="template_value">
-       <property name="readOnly">
-        <bool>true</bool>
-       </property>
-      </widget>
-     </item>
-     <item row="6" column="0">
-      <widget class="QLabel" name="label">
-       <property name="text">
-        <string>Font size:</string>
-       </property>
-      </widget>
-     </item>
-     <item row="6" column="1" colspan="3">
-      <layout class="QGridLayout" name="gridLayout">
-       <item row="1" column="0">
-        <widget class="QSpinBox" name="font_size_box"/>
-       </item>
-       <item row="1" column="1">
-        <spacer>
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>0</width>
-           <height>0</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item row="1" column="2">
-        <widget class="QDialogButtonBox" name="buttonBox">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="standardButtons">
-          <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
-         </property>
-        </widget>
        </item>
       </layout>
-     </item>
-     <item row="7" column="0" colspan="5">
-      <widget class="QFrame">
-       <property name="frameShape">
-        <enum>QFrame::HLine</enum>
-       </property>
-      </widget>
-     </item>
-     <item row="8" column="0" colspan="2">
-      <widget class="QLabel" name="label">
-       <property name="text">
-        <string>Template Function Reference</string>
-       </property>
-       <property name="buddy">
-        <cstring>function</cstring>
-       </property>
-      </widget>
-     </item>
-     <item row="9" column="0">
-      <widget class="QLabel" name="label">
-       <property name="text">
-        <string>Function &amp;name:</string>
-       </property>
-       <property name="buddy">
-        <cstring>function</cstring>
-       </property>
-      </widget>
-     </item>
-     <item row="9" column="1" colspan="3">
-      <widget class="QComboBox" name="function"/>
-     </item>
-     <item row="10" column="0">
-      <widget class="QLabel" name="label_22">
-       <property name="text">
-        <string>&amp;Function type:</string>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-       </property>
-       <property name="buddy">
-        <cstring>func_type</cstring>
-       </property>
-      </widget>
-     </item>
-     <item row="10" column="1" colspan="3">
-      <widget class="QLineEdit" name="func_type">
-       <property name="readOnly">
-        <bool>true</bool>
-       </property>
-      </widget>
-     </item>
-     <item row="11" column="0">
-      <widget class="QLabel" name="label_2">
-       <property name="text">
-        <string>&amp;Documentation:</string>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-       </property>
-       <property name="buddy">
-        <cstring>documentation</cstring>
-       </property>
-      </widget>
-     </item>
-     <item row="12" column="0">
-      <widget class="QLabel" name="label_3">
-       <property name="text">
-        <string>&amp;Code:</string>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-       </property>
-       <property name="buddy">
-        <cstring>source_code</cstring>
-       </property>
-      </widget>
-     </item>
-     <item row="11" column="1" colspan="3">
-      <widget class="QPlainTextEdit" name="documentation">
-       <property name="maximumSize">
-        <size>
-         <width>16777215</width>
-         <height>75</height>
-        </size>
-       </property>
-      </widget>
-     </item>
-     <item row="12" column="1" colspan="3">
-      <widget class="QPlainTextEdit" name="source_code"/>
-     </item>
-     <item row="13" column="1">
-      <widget class="QLabel" name="template_tutorial">
-       <property name="openExternalLinks">
-        <bool>true</bool>
-       </property>
-      </widget>
-     </item>
-     <item row="14" column="1">
-      <widget class="QLabel" name="template_func_reference">
-       <property name="openExternalLinks">
-        <bool>true</bool>
-       </property>
-      </widget>
-     </item>
-    </layout>
+     </widget>
+    </widget>
    </item>
   </layout>
  </widget>
@@ -373,6 +544,11 @@
    <extends>QPushButton</extends>
    <header>calibre/gui2/widgets2.h</header>
   </customwidget>
+  <customwidget>
+   <class>BoxLayout</class>
+   <extends>QBoxLayout</extends>
+   <header>calibre/gui2/dialogs/template_dialog_box_layout.h</header>
+  </customwidget>
  </customwidgets>
  <resources/>
  <connections>
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/dialogs/template_dialog_ui.py 5.10.0+dfsg-1/src/calibre/gui2/dialogs/template_dialog_ui.py
--- 5.9.0+dfsg-3/src/calibre/gui2/dialogs/template_dialog_ui.py	2020-12-20 10:49:11.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/dialogs/template_dialog_ui.py	2021-01-22 02:30:51.000000000 +0000
@@ -22,7 +22,14 @@ class Ui_TemplateDialog(object):
         TemplateDialog.setSizePolicy(sizePolicy)
         self.verticalLayout = QtWidgets.QVBoxLayout(TemplateDialog)
         self.verticalLayout.setObjectName("verticalLayout")
-        self.color_layout = QtWidgets.QWidget(TemplateDialog)
+        self.scroll_area = QtWidgets.QScrollArea(TemplateDialog)
+        self.scroll_area.setWidgetResizable(True)
+        self.scroll_area.setObjectName("scroll_area")
+        self.wid1 = QtWidgets.QWidget()
+        self.wid1.setObjectName("wid1")
+        self.verticalLayout1 = QtWidgets.QVBoxLayout(self.wid1)
+        self.verticalLayout1.setObjectName("verticalLayout1")
+        self.color_layout = QtWidgets.QWidget(self.wid1)
         self.color_layout.setObjectName("color_layout")
         self.gridlayout = QtWidgets.QGridLayout(self.color_layout)
         self.gridlayout.setObjectName("gridlayout")
@@ -44,8 +51,8 @@ class Ui_TemplateDialog(object):
         self.color_copy_button.setIcon(icon)
         self.color_copy_button.setObjectName("color_copy_button")
         self.gridlayout.addWidget(self.color_copy_button, 1, 2, 1, 1)
-        self.verticalLayout.addWidget(self.color_layout)
-        self.icon_layout = QtWidgets.QWidget(TemplateDialog)
+        self.verticalLayout1.addWidget(self.color_layout)
+        self.icon_layout = QtWidgets.QWidget(self.wid1)
         self.icon_layout.setObjectName("icon_layout")
         self.gridlayout1 = QtWidgets.QGridLayout(self.icon_layout)
         self.gridlayout1.setObjectName("gridlayout1")
@@ -82,98 +89,164 @@ class Ui_TemplateDialog(object):
         self.filename_button.setObjectName("filename_button")
         self.hboxlayout1.addWidget(self.filename_button)
         self.gridlayout1.addWidget(self.widget, 2, 1, 1, 1)
-        self.verticalLayout.addWidget(self.icon_layout)
+        self.verticalLayout1.addWidget(self.icon_layout)
         self.gridLayout = QtWidgets.QGridLayout()
         self.gridLayout.setObjectName("gridLayout")
-        self.template_name_label = QtWidgets.QLabel(TemplateDialog)
+        self.template_name_label = QtWidgets.QLabel(self.wid1)
         self.template_name_label.setObjectName("template_name_label")
         self.gridLayout.addWidget(self.template_name_label, 0, 0, 1, 1)
-        self.template_name = QtWidgets.QComboBox(TemplateDialog)
+        self.template_name = QtWidgets.QComboBox(self.wid1)
         self.template_name.setEditable(True)
         self.template_name.setObjectName("template_name")
         self.gridLayout.addWidget(self.template_name, 0, 1, 1, 1)
-        self.label = QtWidgets.QLabel(TemplateDialog)
+        self.label = QtWidgets.QLabel(self.wid1)
         self.label.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
         self.label.setObjectName("label")
         self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
-        self.textbox = QtWidgets.QPlainTextEdit(TemplateDialog)
+        self.textbox = QtWidgets.QPlainTextEdit(self.wid1)
         self.textbox.setObjectName("textbox")
         self.gridLayout.addWidget(self.textbox, 1, 1, 1, 1)
-        self.new_doc_label = QtWidgets.QLabel(TemplateDialog)
+        self.new_doc_label = QtWidgets.QLabel(self.wid1)
         self.new_doc_label.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
         self.new_doc_label.setObjectName("new_doc_label")
         self.gridLayout.addWidget(self.new_doc_label, 3, 0, 1, 1)
-        self.new_doc = QtWidgets.QTextEdit(TemplateDialog)
+        self.new_doc = QtWidgets.QTextEdit(self.wid1)
         self.new_doc.setObjectName("new_doc")
         self.gridLayout.addWidget(self.new_doc, 3, 1, 1, 1)
-        self.label1 = QtWidgets.QLabel(TemplateDialog)
+        self.label1 = QtWidgets.QLabel(self.wid1)
         self.label1.setObjectName("label1")
         self.gridLayout.addWidget(self.label1, 5, 0, 1, 1)
-        self.template_value = QtWidgets.QLineEdit(TemplateDialog)
+        self.template_value = QtWidgets.QLineEdit(self.wid1)
         self.template_value.setReadOnly(True)
         self.template_value.setObjectName("template_value")
         self.gridLayout.addWidget(self.template_value, 5, 1, 1, 1)
-        self.label2 = QtWidgets.QLabel(TemplateDialog)
+        self.user_label_1 = QtWidgets.QLabel(self.wid1)
+        self.user_label_1.setVisible(False)
+        self.user_label_1.setObjectName("user_label_1")
+        self.gridLayout.addWidget(self.user_label_1, 11, 0, 1, 1)
+        self.user_layout_1 = BoxLayout()
+        self.user_layout_1.setObjectName("user_layout_1")
+        self.gridLayout.addLayout(self.user_layout_1, 11, 1, 1, 1)
+        self.user_label_2 = QtWidgets.QLabel(self.wid1)
+        self.user_label_2.setVisible(False)
+        self.user_label_2.setObjectName("user_label_2")
+        self.gridLayout.addWidget(self.user_label_2, 12, 0, 1, 1)
+        self.user_layout_2 = BoxLayout()
+        self.user_layout_2.setObjectName("user_layout_2")
+        self.gridLayout.addLayout(self.user_layout_2, 12, 1, 1, 1)
+        self.user_label_3 = QtWidgets.QLabel(self.wid1)
+        self.user_label_3.setVisible(False)
+        self.user_label_3.setObjectName("user_label_3")
+        self.gridLayout.addWidget(self.user_label_3, 13, 0, 1, 1)
+        self.user_layout_3 = BoxLayout()
+        self.user_layout_3.setObjectName("user_layout_3")
+        self.gridLayout.addLayout(self.user_layout_3, 13, 1, 1, 1)
+        self.user_label_4 = QtWidgets.QLabel(self.wid1)
+        self.user_label_4.setVisible(False)
+        self.user_label_4.setObjectName("user_label_4")
+        self.gridLayout.addWidget(self.user_label_4, 14, 0, 1, 1)
+        self.user_layout_4 = BoxLayout()
+        self.user_layout_4.setObjectName("user_layout_4")
+        self.gridLayout.addLayout(self.user_layout_4, 14, 1, 1, 1)
+        self.user_label_5 = QtWidgets.QLabel(self.wid1)
+        self.user_label_5.setVisible(False)
+        self.user_label_5.setObjectName("user_label_5")
+        self.gridLayout.addWidget(self.user_label_5, 15, 0, 1, 1)
+        self.user_layout_5 = BoxLayout()
+        self.user_layout_5.setObjectName("user_layout_5")
+        self.gridLayout.addLayout(self.user_layout_5, 15, 1, 1, 1)
+        self.user_label_6 = QtWidgets.QLabel(self.wid1)
+        self.user_label_6.setVisible(False)
+        self.user_label_6.setObjectName("user_label_6")
+        self.gridLayout.addWidget(self.user_label_6, 16, 0, 1, 1)
+        self.user_layout_6 = BoxLayout()
+        self.user_layout_6.setObjectName("user_layout_6")
+        self.gridLayout.addLayout(self.user_layout_6, 16, 1, 1, 1)
+        self.user_label_7 = QtWidgets.QLabel(self.wid1)
+        self.user_label_7.setVisible(False)
+        self.user_label_7.setObjectName("user_label_7")
+        self.gridLayout.addWidget(self.user_label_7, 17, 0, 1, 1)
+        self.user_layout_7 = BoxLayout()
+        self.user_layout_7.setObjectName("user_layout_7")
+        self.gridLayout.addLayout(self.user_layout_7, 17, 1, 1, 1)
+        self.user_label_8 = QtWidgets.QLabel(self.wid1)
+        self.user_label_8.setVisible(False)
+        self.user_label_8.setObjectName("user_label_8")
+        self.gridLayout.addWidget(self.user_label_8, 18, 0, 1, 1)
+        self.user_layout_8 = BoxLayout()
+        self.user_layout_8.setObjectName("user_layout_8")
+        self.gridLayout.addLayout(self.user_layout_8, 18, 1, 1, 1)
+        self.user_label_9 = QtWidgets.QLabel(self.wid1)
+        self.user_label_9.setVisible(False)
+        self.user_label_9.setObjectName("user_label_9")
+        self.gridLayout.addWidget(self.user_label_9, 19, 0, 1, 1)
+        self.user_layout_9 = BoxLayout()
+        self.user_layout_9.setObjectName("user_layout_9")
+        self.gridLayout.addLayout(self.user_layout_9, 19, 1, 1, 1)
+        self.label2 = QtWidgets.QLabel(self.wid1)
         self.label2.setObjectName("label2")
-        self.gridLayout.addWidget(self.label2, 6, 0, 1, 1)
+        self.gridLayout.addWidget(self.label2, 20, 0, 1, 1)
         self.gridLayout1 = QtWidgets.QGridLayout()
         self.gridLayout1.setObjectName("gridLayout1")
-        self.font_size_box = QtWidgets.QSpinBox(TemplateDialog)
+        self.font_size_box = QtWidgets.QSpinBox(self.wid1)
         self.font_size_box.setObjectName("font_size_box")
         self.gridLayout1.addWidget(self.font_size_box, 1, 0, 1, 1)
         spacerItem = QtWidgets.QSpacerItem(0, 0, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
         self.gridLayout1.addItem(spacerItem, 1, 1, 1, 1)
-        self.buttonBox = QtWidgets.QDialogButtonBox(TemplateDialog)
+        self.buttonBox = QtWidgets.QDialogButtonBox(self.wid1)
         self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
         self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel|QtWidgets.QDialogButtonBox.Ok)
         self.buttonBox.setObjectName("buttonBox")
         self.gridLayout1.addWidget(self.buttonBox, 1, 2, 1, 1)
-        self.gridLayout.addLayout(self.gridLayout1, 6, 1, 1, 3)
-        self.frame = QtWidgets.QFrame(TemplateDialog)
+        self.gridLayout.addLayout(self.gridLayout1, 20, 1, 1, 3)
+        self.frame = QtWidgets.QFrame(self.wid1)
         self.frame.setFrameShape(QtWidgets.QFrame.HLine)
         self.frame.setObjectName("frame")
-        self.gridLayout.addWidget(self.frame, 7, 0, 1, 5)
-        self.label3 = QtWidgets.QLabel(TemplateDialog)
+        self.gridLayout.addWidget(self.frame, 21, 0, 1, 5)
+        self.label3 = QtWidgets.QLabel(self.wid1)
         self.label3.setObjectName("label3")
-        self.gridLayout.addWidget(self.label3, 8, 0, 1, 2)
-        self.label4 = QtWidgets.QLabel(TemplateDialog)
+        self.gridLayout.addWidget(self.label3, 22, 0, 1, 2)
+        self.label4 = QtWidgets.QLabel(self.wid1)
         self.label4.setObjectName("label4")
-        self.gridLayout.addWidget(self.label4, 9, 0, 1, 1)
-        self.function = QtWidgets.QComboBox(TemplateDialog)
+        self.gridLayout.addWidget(self.label4, 23, 0, 1, 1)
+        self.function = QtWidgets.QComboBox(self.wid1)
         self.function.setObjectName("function")
-        self.gridLayout.addWidget(self.function, 9, 1, 1, 3)
-        self.label_22 = QtWidgets.QLabel(TemplateDialog)
+        self.gridLayout.addWidget(self.function, 23, 1, 1, 3)
+        self.label_22 = QtWidgets.QLabel(self.wid1)
         self.label_22.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
         self.label_22.setObjectName("label_22")
-        self.gridLayout.addWidget(self.label_22, 10, 0, 1, 1)
-        self.func_type = QtWidgets.QLineEdit(TemplateDialog)
+        self.gridLayout.addWidget(self.label_22, 24, 0, 1, 1)
+        self.func_type = QtWidgets.QLineEdit(self.wid1)
         self.func_type.setReadOnly(True)
         self.func_type.setObjectName("func_type")
-        self.gridLayout.addWidget(self.func_type, 10, 1, 1, 3)
-        self.label_2 = QtWidgets.QLabel(TemplateDialog)
+        self.gridLayout.addWidget(self.func_type, 24, 1, 1, 3)
+        self.label_2 = QtWidgets.QLabel(self.wid1)
         self.label_2.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
         self.label_2.setObjectName("label_2")
-        self.gridLayout.addWidget(self.label_2, 11, 0, 1, 1)
-        self.label_3 = QtWidgets.QLabel(TemplateDialog)
+        self.gridLayout.addWidget(self.label_2, 25, 0, 1, 1)
+        self.label_3 = QtWidgets.QLabel(self.wid1)
         self.label_3.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
         self.label_3.setObjectName("label_3")
-        self.gridLayout.addWidget(self.label_3, 12, 0, 1, 1)
-        self.documentation = QtWidgets.QPlainTextEdit(TemplateDialog)
+        self.gridLayout.addWidget(self.label_3, 26, 0, 1, 1)
+        self.documentation = QtWidgets.QPlainTextEdit(self.wid1)
         self.documentation.setMaximumSize(QtCore.QSize(16777215, 75))
         self.documentation.setObjectName("documentation")
-        self.gridLayout.addWidget(self.documentation, 11, 1, 1, 3)
-        self.source_code = QtWidgets.QPlainTextEdit(TemplateDialog)
+        self.gridLayout.addWidget(self.documentation, 25, 1, 1, 3)
+        self.source_code = QtWidgets.QPlainTextEdit(self.wid1)
+        self.source_code.setMaximumSize(QtCore.QSize(16777215, 75))
         self.source_code.setObjectName("source_code")
-        self.gridLayout.addWidget(self.source_code, 12, 1, 1, 3)
-        self.template_tutorial = QtWidgets.QLabel(TemplateDialog)
+        self.gridLayout.addWidget(self.source_code, 26, 1, 1, 3)
+        self.template_tutorial = QtWidgets.QLabel(self.wid1)
         self.template_tutorial.setOpenExternalLinks(True)
         self.template_tutorial.setObjectName("template_tutorial")
-        self.gridLayout.addWidget(self.template_tutorial, 13, 1, 1, 1)
-        self.template_func_reference = QtWidgets.QLabel(TemplateDialog)
+        self.gridLayout.addWidget(self.template_tutorial, 27, 1, 1, 1)
+        self.template_func_reference = QtWidgets.QLabel(self.wid1)
         self.template_func_reference.setOpenExternalLinks(True)
         self.template_func_reference.setObjectName("template_func_reference")
-        self.gridLayout.addWidget(self.template_func_reference, 14, 1, 1, 1)
-        self.verticalLayout.addLayout(self.gridLayout)
+        self.gridLayout.addWidget(self.template_func_reference, 28, 1, 1, 1)
+        self.verticalLayout1.addLayout(self.gridLayout)
+        self.scroll_area.setWidget(self.wid1)
+        self.verticalLayout.addWidget(self.scroll_area)
         self.colored_field_label.setBuddy(self.colored_field)
         self.color_chooser_label.setBuddy(self.color_name)
         self.icon_chooser_label.setBuddy(self.icon_field)
@@ -182,6 +255,15 @@ class Ui_TemplateDialog(object):
         self.label.setBuddy(self.textbox)
         self.new_doc_label.setBuddy(self.new_doc)
         self.label1.setBuddy(self.template_value)
+        self.user_label_1.setBuddy(self.template_value)
+        self.user_label_2.setBuddy(self.template_value)
+        self.user_label_3.setBuddy(self.template_value)
+        self.user_label_4.setBuddy(self.template_value)
+        self.user_label_5.setBuddy(self.template_value)
+        self.user_label_6.setBuddy(self.template_value)
+        self.user_label_7.setBuddy(self.template_value)
+        self.user_label_8.setBuddy(self.template_value)
+        self.user_label_9.setBuddy(self.template_value)
         self.label3.setBuddy(self.function)
         self.label4.setBuddy(self.function)
         self.label_22.setBuddy(self.func_type)
@@ -213,10 +295,20 @@ class Ui_TemplateDialog(object):
         self.new_doc.setToolTip(_("Documentation for the function being defined or edited"))
         self.label1.setText(_("Template value:"))
         self.label1.setToolTip(_("The value of the template using the current book in the library view"))
+        self.user_label_1.setText(_("User label"))
+        self.user_label_2.setText(_("User label"))
+        self.user_label_3.setText(_("User label"))
+        self.user_label_4.setText(_("User label"))
+        self.user_label_5.setText(_("User label"))
+        self.user_label_6.setText(_("User label"))
+        self.user_label_7.setText(_("User label"))
+        self.user_label_8.setText(_("User label"))
+        self.user_label_9.setText(_("User label"))
         self.label2.setText(_("Font size:"))
         self.label3.setText(_("Template Function Reference"))
         self.label4.setText(_("Function &name:"))
         self.label_22.setText(_("&Function type:"))
         self.label_2.setText(_("&Documentation:"))
         self.label_3.setText(_("&Code:"))
+from calibre.gui2.dialogs.template_dialog_box_layout import BoxLayout
 from calibre.gui2.widgets2 import ColorButton
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/__init__.py 5.10.0+dfsg-1/src/calibre/gui2/__init__.py
--- 5.9.0+dfsg-3/src/calibre/gui2/__init__.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/__init__.py	2021-01-22 02:26:39.000000000 +0000
@@ -1203,10 +1203,10 @@ class Application(QApplication):
     def setup_unix_signals(self):
         setup_unix_signals(self)
 
-    def signal_received(self, read_fd):
+    def signal_received(self):
         try:
-            os.read(read_fd, 1024)
-        except EnvironmentError:
+            os.read(self.signal_notifier.socket(), 1024)
+        except OSError:
             return
         self.shutdown_signal_received.emit()
 
@@ -1387,7 +1387,9 @@ def elided_text(text, font=None, width=3
     of the string with an ellipsis. Results in a string much closer to the
     limit than Qt's elidedText().'''
     from PyQt5.Qt import QFontMetrics, QApplication
-    fm = QApplication.fontMetrics() if font is None else (font if isinstance(font, QFontMetrics) else QFontMetrics(font))
+    if font is None:
+        font = QApplication.instance().font()
+    fm = (font if isinstance(font, QFontMetrics) else QFontMetrics(font))
     delta = 4
     ellipsis = '\u2026'
 
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/init.py 5.10.0+dfsg-1/src/calibre/gui2/init.py
--- 5.9.0+dfsg-3/src/calibre/gui2/init.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/init.py	2021-01-22 02:26:39.000000000 +0000
@@ -48,7 +48,7 @@ class LibraryViewMixin(object):  # {{{
         self.library_view.files_dropped.connect(self.iactions['Add Books'].files_dropped, type=Qt.ConnectionType.QueuedConnection)
         self.library_view.books_dropped.connect(self.iactions['Edit Metadata'].books_dropped, type=Qt.ConnectionType.QueuedConnection)
         self.library_view.add_column_signal.connect(partial(self.iactions['Preferences'].do_config,
-            initial_plugin=('Interface', 'Custom Columns')),
+            initial_plugin=('Interface', 'Custom Columns'), close_after_initial=True),
                 type=Qt.ConnectionType.QueuedConnection)
         for func, args in [
                              ('connect_to_search_box', (self.search,
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/preferences/coloring.py 5.10.0+dfsg-1/src/calibre/gui2/preferences/coloring.py
--- 5.9.0+dfsg-3/src/calibre/gui2/preferences/coloring.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/preferences/coloring.py	2021-01-22 02:26:39.000000000 +0000
@@ -891,6 +891,7 @@ class RulesView(QListView):  # {{{
         if self.model() and new.isValid():
             _, _, rule = self.model().data(new, Qt.ItemDataRole.UserRole)
             self.enable_convert_buttons_function(isinstance(rule, Rule))
+        return super().currentChanged(new, prev)
 # }}}
 
 
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/preferences/main.py 5.10.0+dfsg-1/src/calibre/gui2/preferences/main.py
--- 5.9.0+dfsg-3/src/calibre/gui2/preferences/main.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/preferences/main.py	2021-01-22 02:26:39.000000000 +0000
@@ -238,10 +238,10 @@ class Preferences(QDialog):
         self.stack = QStackedWidget(self)
         self.bb = QDialogButtonBox(
             QDialogButtonBox.StandardButton.Close | QDialogButtonBox.StandardButton.Apply |
-            QDialogButtonBox.StandardButton.Discard | QDialogButtonBox.StandardButton.RestoreDefaults
+            QDialogButtonBox.StandardButton.Cancel | QDialogButtonBox.StandardButton.RestoreDefaults
         )
         self.bb.button(QDialogButtonBox.StandardButton.Apply).clicked.connect(self.accept)
-        self.bb.button(QDialogButtonBox.StandardButton.Discard).clicked.connect(self.reject)
+        self.bb.button(QDialogButtonBox.StandardButton.Cancel).clicked.connect(self.reject)
         self.bb.button(QDialogButtonBox.StandardButton.RestoreDefaults).setIcon(QIcon(I('clear_left.png')))
         self.bb.button(QDialogButtonBox.StandardButton.RestoreDefaults).clicked.connect(self.restore_defaults)
         self.wizard_button = self.bb.addButton(_('Run Welcome &wizard'), QDialogButtonBox.ButtonRole.ActionRole)
@@ -259,7 +259,7 @@ class Preferences(QDialog):
         self.setContextMenuPolicy(Qt.ContextMenuPolicy.NoContextMenu)
         self.title_bar = TitleBar(self)
         for ac, tt in [(QDialogButtonBox.StandardButton.Apply, _('Save changes')),
-                (QDialogButtonBox.StandardButton.Discard, _('Cancel and return to overview'))]:
+                (QDialogButtonBox.StandardButton.Cancel, _('Cancel and return to overview'))]:
             self.bb.button(ac).setToolTip(tt)
 
         l.addWidget(self.title_bar), l.addWidget(self.stack), l.addWidget(self.bb)
@@ -323,7 +323,7 @@ class Preferences(QDialog):
 
         self.bb.button(QDialogButtonBox.StandardButton.Close).setVisible(False)
         self.wizard_button.setVisible(False)
-        for button in (QDialogButtonBox.StandardButton.Apply, QDialogButtonBox.StandardButton.RestoreDefaults, QDialogButtonBox.StandardButton.Discard):
+        for button in (QDialogButtonBox.StandardButton.Apply, QDialogButtonBox.StandardButton.RestoreDefaults, QDialogButtonBox.StandardButton.Cancel):
             button = self.bb.button(button)
             button.setVisible(True)
 
@@ -353,7 +353,7 @@ class Preferences(QDialog):
         self.title_bar.show_plugin()
         self.setWindowIcon(QIcon(I('config.png')))
 
-        for button in (QDialogButtonBox.StandardButton.Apply, QDialogButtonBox.StandardButton.RestoreDefaults, QDialogButtonBox.StandardButton.Discard):
+        for button in (QDialogButtonBox.StandardButton.Apply, QDialogButtonBox.StandardButton.RestoreDefaults, QDialogButtonBox.StandardButton.Cancel):
             button = self.bb.button(button)
             button.setVisible(False)
 
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/preferences/plugboard.ui 5.10.0+dfsg-1/src/calibre/gui2/preferences/plugboard.ui
--- 5.9.0+dfsg-3/src/calibre/gui2/preferences/plugboard.ui	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/preferences/plugboard.ui	2021-01-22 02:26:39.000000000 +0000
@@ -23,7 +23,7 @@ Use this dialog to define a 'plugboard'
 
 Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.
 
-One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language.</string>
+One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language.</string>
      </property>
      <property name="textFormat">
       <enum>Qt::PlainText</enum>
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/preferences/plugboard_ui.py 5.10.0+dfsg-1/src/calibre/gui2/preferences/plugboard_ui.py
--- 5.9.0+dfsg-3/src/calibre/gui2/preferences/plugboard_ui.py	2020-12-20 10:49:11.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/preferences/plugboard_ui.py	2021-01-20 04:35:17.000000000 +0000
@@ -118,7 +118,7 @@ class Ui_Form(object):
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the \';\' that the kindle requires. A third would be to specify the language."))
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the \';\' that the kindle requires. A third would be to specify the language."))
         self.label_6.setText(_("Format (choose first)"))
         self.label_7.setText(_("Device (choose second)"))
         self.label_5.setText(_("Add &new plugboard:"))
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/preferences/template_functions.ui 5.10.0+dfsg-1/src/calibre/gui2/preferences/template_functions.ui
--- 5.9.0+dfsg-3/src/calibre/gui2/preferences/template_functions.ui	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/preferences/template_functions.ui	2021-01-22 02:26:39.000000000 +0000
@@ -25,11 +25,17 @@
       </attribute>
       <layout class="QGridLayout" name="gridLayout">
        <item row="0" column="0" colspan="2" stretch="0">
-        <widget class="QTextBrowser" name="st_textBrowser"/>
+        <widget class="QTextBrowser" name="st_textBrowser">
+         <property name="maximumSize">
+          <size>
+           <width>16777215</width>
+           <height>75</height>
+          </size>
+         </property>
+        </widget>
        </item>
        <item row="3" column="1" stretch="1">
-        <widget class="EmbeddedTemplateDialog" name="template_editor">
-        </widget>
+        <widget class="EmbeddedTemplateDialog" name="template_editor"/>
        </item>
        <item row="3" column="0">
         <layout class="QVBoxLayout" name="st_button_layout">
@@ -76,19 +82,6 @@
          </item>
         </layout>
        </item>
-       <item row="5" column="0">
-        <spacer name="verticalSpacer_2">
-         <property name="orientation">
-          <enum>Qt::Vertical</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>400</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
       </layout>
      </widget>
      <widget class="QWidget" name="tab">
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/preferences/template_functions_ui.py 5.10.0+dfsg-1/src/calibre/gui2/preferences/template_functions_ui.py
--- 5.9.0+dfsg-3/src/calibre/gui2/preferences/template_functions_ui.py	2020-12-20 10:49:11.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/preferences/template_functions_ui.py	2021-01-21 15:11:31.000000000 +0000
@@ -25,6 +25,7 @@ class Ui_Form(object):
         self.gridLayout1.setContentsMargins(0, 0, 0, 0)
         self.gridLayout1.setObjectName("gridLayout1")
         self.st_textBrowser = QtWidgets.QTextBrowser(self.tab)
+        self.st_textBrowser.setMaximumSize(QtCore.QSize(16777215, 75))
         self.st_textBrowser.setObjectName("st_textBrowser")
         self.gridLayout1.addWidget(self.st_textBrowser, 0, 0, 1, 2)
         self.template_editor = EmbeddedTemplateDialog(self.tab)
@@ -47,8 +48,6 @@ class Ui_Form(object):
         spacerItem = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
         self.st_button_layout.addItem(spacerItem)
         self.gridLayout1.addLayout(self.st_button_layout, 3, 0, 1, 1)
-        spacerItem1 = QtWidgets.QSpacerItem(20, 400, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
-        self.gridLayout1.addItem(spacerItem1, 5, 0, 1, 1)
         self.tabWidget.addTab(self.tab, "")
         self.tab1 = QtWidgets.QWidget()
         self.tab1.setObjectName("tab1")
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/tag_browser/view.py 5.10.0+dfsg-1/src/calibre/gui2/tag_browser/view.py
--- 5.9.0+dfsg-3/src/calibre/gui2/tag_browser/view.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/tag_browser/view.py	2021-01-22 02:26:39.000000000 +0000
@@ -782,8 +782,9 @@ class TagsView(QTreeView):  # {{{
                                 partial(self.context_menu_handler, action='search',
                                         search_state=TAG_SEARCH_STATES['mark_plus'],
                                         index=index))
-                        if add_child_search := (tag.is_hierarchical == '5state' and
-                                                len(tag_item.children)):
+                        add_child_search = (tag.is_hierarchical == '5state' and
+                                            len(tag_item.children))
+                        if add_child_search:
                             search_submenu.addAction(self.search_icon,
                                     _('Search for %s and its children')%display_name(tag),
                                     partial(self.context_menu_handler, action='search',
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/tts/linux.py 5.10.0+dfsg-1/src/calibre/gui2/tts/linux.py
--- 5.9.0+dfsg-3/src/calibre/gui2/tts/linux.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/tts/linux.py	2021-01-22 02:26:39.000000000 +0000
@@ -41,9 +41,14 @@ class Client:
         self.system_default_output_module = None
 
     def create_ssip_client(self):
-        from speechd.client import Priority, SpawnError, SSIPClient
+        from speechd.client import Priority, SpawnError, SSIPClient, SSIPCommunicationError
         try:
             self.ssip_client = SSIPClient('calibre')
+        except SSIPCommunicationError as err:
+            ex = err.additional_exception()
+            if isinstance(ex, SpawnError):
+                raise TTSSystemUnavailable(_('Could not find speech-dispatcher on your system. Please install it.'), str(err))
+            raise
         except SpawnError as err:
             raise TTSSystemUnavailable(_('Could not find speech-dispatcher on your system. Please install it.'), str(err))
         self.ssip_client.set_priority(Priority.TEXT)
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/viewer/highlights.py 5.10.0+dfsg-1/src/calibre/gui2/viewer/highlights.py
--- 5.9.0+dfsg-3/src/calibre/gui2/viewer/highlights.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/viewer/highlights.py	2021-01-22 02:26:39.000000000 +0000
@@ -23,7 +23,7 @@ from calibre.gui2.dialogs.confirm_delete
 from calibre.gui2.library.annotations import (
     Details, Export as ExportBase, render_highlight_as_text, render_notes
 )
-from calibre.gui2.viewer import get_current_book_data
+from calibre.gui2.viewer import link_prefix_for_location_links
 from calibre.gui2.viewer.config import vprefs
 from calibre.gui2.viewer.search import SearchInput
 from calibre.gui2.viewer.shortcuts import get_shortcut_for, index_to_key_sequence
@@ -131,20 +131,6 @@ class Export(ExportBase):
         return _('highlights')
 
     def exported_data(self):
-        cbd = get_current_book_data()
-        link_prefix = library_id = None
-        if 'calibre_library_id' in cbd:
-            library_id = cbd['calibre_library_id']
-            book_id = cbd['calibre_book_id']
-            book_fmt = cbd['calibre_book_fmt']
-        elif cbd.get('book_library_details'):
-            bld = cbd['book_library_details']
-            book_id = bld['book_id']
-            book_fmt = bld['fmt'].upper()
-            library_id = bld['library_id']
-        if library_id:
-            library_id = '_hex_-' + library_id.encode('utf-8').hex()
-            link_prefix = f'calibre://view-book/{library_id}/{book_id}/{book_fmt}?open_at='
         fmt = self.export_format.currentData()
         if fmt == 'calibre_highlights':
             return json.dumps({
@@ -154,6 +140,7 @@ class Export(ExportBase):
             }, ensure_ascii=False, sort_keys=True, indent=2)
         lines = []
         as_markdown = fmt == 'md'
+        link_prefix = link_prefix_for_location_links()
         for hl in self.annotations:
             render_highlight_as_text(hl, lines, as_markdown=as_markdown, link_prefix=link_prefix)
         return '\n'.join(lines).strip()
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/viewer/__init__.py 5.10.0+dfsg-1/src/calibre/gui2/viewer/__init__.py
--- 5.9.0+dfsg-3/src/calibre/gui2/viewer/__init__.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/viewer/__init__.py	2021-01-22 02:26:39.000000000 +0000
@@ -7,3 +7,23 @@ def get_current_book_data(set_val=False)
     if set_val is not False:
         setattr(get_current_book_data, 'ans', set_val)
     return getattr(get_current_book_data, 'ans', {})
+
+
+def link_prefix_for_location_links(add_open_at=True):
+    cbd = get_current_book_data()
+    link_prefix = library_id = None
+    if 'calibre_library_id' in cbd:
+        library_id = cbd['calibre_library_id']
+        book_id = cbd['calibre_book_id']
+        book_fmt = cbd['calibre_book_fmt']
+    elif cbd.get('book_library_details'):
+        bld = cbd['book_library_details']
+        book_id = bld['book_id']
+        book_fmt = bld['fmt'].upper()
+        library_id = bld['library_id']
+    if library_id:
+        library_id = '_hex_-' + library_id.encode('utf-8').hex()
+        link_prefix = f'calibre://view-book/{library_id}/{book_id}/{book_fmt}'
+        if add_open_at:
+            link_prefix += '?open_at='
+    return link_prefix
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/viewer/toc.py 5.10.0+dfsg-1/src/calibre/gui2/viewer/toc.py
--- 5.9.0+dfsg-3/src/calibre/gui2/viewer/toc.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/viewer/toc.py	2021-01-22 02:26:39.000000000 +0000
@@ -113,8 +113,8 @@ class TOCView(QTreeView):
         m = self.model()
         QApplication.clipboard().setText(getattr(m, 'as_plain_text', ''))
 
-    def update_current_toc_nodes(self, current_node_id, toplevel_node_id):
-        self.model().update_current_toc_nodes(current_node_id, toplevel_node_id)
+    def update_current_toc_nodes(self, families):
+        self.model().update_current_toc_nodes(families)
 
 
 class TOCSearch(QWidget):
@@ -248,13 +248,19 @@ class TOC(QStandardItemModel):
             return index
         return QModelIndex()
 
-    def update_current_toc_nodes(self, current_node_id, top_level_node_id):
-        node = self.node_id_map.get(current_node_id)
+    def update_current_toc_nodes(self, current_toc_leaves):
         viewed_nodes = set()
-        if node is not None:
-            viewed_nodes |= {x.node_id for x in node.ancestors}
-            viewed_nodes.add(node.node_id)
-            self.auto_expand_nodes.emit([n.index() for n in node.ancestors])
+        ancestors = {}
+        for node_id in current_toc_leaves:
+            node = self.node_id_map.get(node_id)
+            if node is not None:
+                viewed_nodes.add(node_id)
+                ansc = tuple(node.ancestors)
+                viewed_nodes |= {x.node_id for x in ansc}
+                for x in ansc:
+                    ancestors[x.node_id] = x.index()
+        if ancestors:
+            self.auto_expand_nodes.emit(tuple(ancestors.values()))
         for node in self.all_items:
             is_being_viewed = node.node_id in viewed_nodes
             if is_being_viewed != node.is_being_viewed:
diff -pruN 5.9.0+dfsg-3/src/calibre/gui2/viewer/web_view.py 5.10.0+dfsg-1/src/calibre/gui2/viewer/web_view.py
--- 5.9.0+dfsg-3/src/calibre/gui2/viewer/web_view.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/gui2/viewer/web_view.py	2021-01-22 02:26:39.000000000 +0000
@@ -8,12 +8,16 @@ import shutil
 import sys
 from itertools import count
 from PyQt5.Qt import (
-    QT_VERSION, QApplication, QBuffer, QByteArray, QFontDatabase, QFontInfo, QPalette, QEvent,
-    QHBoxLayout, QMimeData, QSize, Qt, QTimer, QUrl, QWidget, pyqtSignal, QIODevice, QLocale
+    QT_VERSION, QApplication, QBuffer, QByteArray, QEvent, QFontDatabase, QFontInfo,
+    QHBoxLayout, QIODevice, QLocale, QMimeData, QPalette, QSize, Qt, QTimer, QUrl,
+    QWidget, pyqtSignal
+)
+from PyQt5.QtWebEngineCore import (
+    QWebEngineUrlRequestInfo, QWebEngineUrlRequestJob, QWebEngineUrlSchemeHandler
 )
-from PyQt5.QtWebEngineCore import QWebEngineUrlSchemeHandler, QWebEngineUrlRequestJob, QWebEngineUrlRequestInfo
 from PyQt5.QtWebEngineWidgets import (
-    QWebEnginePage, QWebEngineProfile, QWebEngineScript, QWebEngineView, QWebEngineSettings
+    QWebEnginePage, QWebEngineProfile, QWebEngineScript, QWebEngineSettings,
+    QWebEngineView
 )
 
 from calibre import as_unicode, prints
@@ -24,6 +28,7 @@ from calibre.constants import (
 from calibre.ebooks.metadata.book.base import field_metadata
 from calibre.ebooks.oeb.polish.utils import guess_type
 from calibre.gui2 import choose_images, error_dialog, safe_open_url
+from calibre.gui2.viewer import link_prefix_for_location_links
 from calibre.gui2.viewer.config import viewer_config_dir, vprefs
 from calibre.gui2.viewer.tts import TTS
 from calibre.gui2.webengine import (
@@ -245,7 +250,7 @@ class ViewerBridge(Bridge):
     search_result_not_found = from_js(object)
     find_next = from_js(object)
     quit = from_js()
-    update_current_toc_nodes = from_js(object, object)
+    update_current_toc_nodes = from_js(object)
     toggle_full_screen = from_js()
     report_cfi = from_js(object, object)
     ask_for_open = from_js(object)
@@ -451,7 +456,7 @@ class WebView(RestartingWebEngineView):
     toggle_inspector = pyqtSignal()
     toggle_lookup = pyqtSignal(object)
     quit = pyqtSignal()
-    update_current_toc_nodes = pyqtSignal(object, object)
+    update_current_toc_nodes = pyqtSignal(object)
     toggle_full_screen = pyqtSignal()
     ask_for_open = pyqtSignal(object)
     selection_changed = pyqtSignal(object, object)
@@ -621,11 +626,7 @@ class WebView(RestartingWebEngineView):
 
     def start_book_load(self, initial_position=None, highlights=None, current_book_data=None):
         key = (set_book_path.path,)
-        cbd = current_book_data or {}
-        book_url = None
-        if 'calibre_library_id' in cbd:
-            lid = cbd['calibre_library_id'].encode('utf-8').hex()
-            book_url = f'calibre://view-book/_hex_-{lid}/{cbd["calibre_book_id"]}/{cbd["calibre_book_fmt"]}'
+        book_url = link_prefix_for_location_links(add_open_at=False)
         self.execute_when_ready('start_book_load', key, initial_position, set_book_path.pathtoebook, highlights or [], book_url)
 
     def execute_when_ready(self, action, *args):
diff -pruN 5.9.0+dfsg-3/src/calibre/__init__.py 5.10.0+dfsg-1/src/calibre/__init__.py
--- 5.9.0+dfsg-3/src/calibre/__init__.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/__init__.py	2021-01-22 02:26:39.000000000 +0000
@@ -187,15 +187,21 @@ def extract(path, dir):
     elif id_.startswith(b'PK'):
         from calibre.libunzip import extract as zipextract
         extractor = zipextract
+    elif id_.startswith(b'7z'):
+        from calibre.utils.seven_zip import extract as seven_extract
+        extractor = seven_extract
     if extractor is None:
         # Fallback to file extension
         ext = os.path.splitext(path)[1][1:].lower()
-        if ext in ['zip', 'cbz', 'epub', 'oebzip']:
+        if ext in ('zip', 'cbz', 'epub', 'oebzip'):
             from calibre.libunzip import extract as zipextract
             extractor = zipextract
-        elif ext in ['cbr', 'rar']:
+        elif ext in ('cbr', 'rar'):
             from calibre.utils.unrar import extract as rarextract
             extractor = rarextract
+        elif ext in ('cb7', '7z'):
+            from calibre.utils.seven_zip import extract as seven_extract
+            extractor = seven_extract
     if extractor is None:
         raise Exception('Unknown archive type')
     extractor(path, dir)
diff -pruN 5.9.0+dfsg-3/src/calibre/library/catalogs/epub_mobi_builder.py 5.10.0+dfsg-1/src/calibre/library/catalogs/epub_mobi_builder.py
--- 5.9.0+dfsg-3/src/calibre/library/catalogs/epub_mobi_builder.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/library/catalogs/epub_mobi_builder.py	2021-01-22 02:26:39.000000000 +0000
@@ -332,7 +332,7 @@ class CatalogBuilder(object):
             if self.opts.section_list == ['Genres'] and not self.genres:
                 error_msg = _("No genres to catalog.\n")
                 if not self.opts.cli_environment:
-                    error_msg += _("Check 'Excluded genres' regex in E-book options.\n")
+                    error_msg += _("Check 'Excluded genres' regex in the E-book options.\n")
                 self.opts.log.error(error_msg)
                 self.error.append(_('No books available to catalog'))
                 self.error.append(error_msg)
@@ -884,7 +884,7 @@ class CatalogBuilder(object):
                     self.opts.log.info((u" %-40s %-40s" % (title['title'][0:40],
                                                             title['title_sort'][0:40])).encode('utf-8'))
         else:
-            error_msg = _("No books to catalog.\nCheck 'Excluded books' rules in E-book options.\n")
+            error_msg = _("No books to catalog.\nCheck 'Excluded books' rules in the E-book options.\n")
             self.opts.log.error('*** ' + error_msg + ' ***')
             self.error.append(_('No books available to include in catalog'))
             self.error.append(error_msg)
diff -pruN 5.9.0+dfsg-3/src/calibre/srv/manage_users_cli.py 5.10.0+dfsg-1/src/calibre/srv/manage_users_cli.py
--- 5.9.0+dfsg-3/src/calibre/srv/manage_users_cli.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/srv/manage_users_cli.py	2021-01-22 02:26:39.000000000 +0000
@@ -7,14 +7,97 @@ from functools import partial
 
 from calibre import prints
 from calibre.constants import preferred_encoding, iswindows
+from calibre.utils.config import OptionParser
 from polyglot.builtins import iteritems, raw_input, filter, unicode_type
 
-# Manage users CLI {{{
+
+def create_subcommand_parser(name, usage):
+    usage = f'%prog --manage-users -- {name} ' + usage
+    parser = OptionParser(usage)
+    return parser
+
+
+def add(user_manager, args):
+    p = create_subcommand_parser('add', _('username [password]') + '\n\n' + '''\
+Create a new user account with the specified name and password. If the password
+is not specified on the command line, it will be read from STDIN.
+''')
+    p.add_option('--readonly', action='store_true', default=False, help=_('Give this user only read access'))
+    opts, args = p.parse_args(['calibre-server'] + list(args))
+    if len(args) < 2:
+        p.print_help()
+        raise SystemExit(_('username is required'))
+    username = args[1]
+    if len(args) > 2:
+        pw = args[2]
+    else:
+        pw = sys.stdin.read()
+    user_manager.add_user(username, pw, readonly=opts.readonly)
+
+
+def remove(user_manager, args):
+    p = create_subcommand_parser('remove', _('username') + '\n\n' + '''\
+Remove the user account with the specified username.
+''')
+    opts, args = p.parse_args(['calibre-server'] + list(args))
+    if len(args) < 2:
+        p.print_help()
+        raise SystemExit(_('username is required'))
+    username = args[1]
+    user_manager.remove_user(username)
+
+
+def list_users(user_manager, args):
+    p = create_subcommand_parser('list', '\n\n' + '''\
+List all usernames.
+''')
+    opts, args = p.parse_args(['calibre-server'] + list(args))
+    for name in user_manager.all_user_names:
+        print(name)
+
+
+def chpass(user_manager, args):
+    p = create_subcommand_parser('chpass', _('username [password]') + '\n\n' + '''\
+Change the password of the new user account with the specified username. If the password
+is not specified on the command line, it will be read from STDIN.
+''')
+    opts, args = p.parse_args(['calibre-server'] + list(args))
+    if len(args) < 2:
+        p.print_help()
+        raise SystemExit(_('username is required'))
+    username = args[1]
+    if len(args) > 2:
+        pw = args[2]
+    else:
+        pw = sys.stdin.read()
+    user_manager.change_password(username, pw)
+
+
+def main(user_manager, args):
+    q, rest = args[0], args[1:]
+    if q == 'add':
+        return add(user_manager, rest)
+    if q == 'remove':
+        return remove(user_manager, rest)
+    if q == 'chpass':
+        return chpass(user_manager, rest)
+    if q == 'list':
+        return list_users(user_manager, rest)
+    if q != 'help':
+        print(_('Unknown command: {}').format(q), file=sys.stderr)
+        print()
+    print(_('Manage the user accounts for calibre-server. Available commands are:'))
+    print('add, remove, chpass, list')
+    print(_('Use {} for help on individual commands').format('calibre-server --manage-users -- command -h'))
+    raise SystemExit(1)
 
 
-def manage_users_cli(path=None):
+def manage_users_cli(path=None, args=()):
     from calibre.srv.users import UserManager
     m = UserManager(path)
+    if args:
+        main(m, args)
+        return
     enc = getattr(sys.stdin, 'encoding', preferred_encoding) or preferred_encoding
 
     def get_input(prompt):
@@ -228,6 +311,3 @@ def manage_users_cli(path=None):
     while actions:
         actions[0]()
         del actions[0]
-
-
-# }}}
diff -pruN 5.9.0+dfsg-3/src/calibre/srv/standalone.py 5.10.0+dfsg-1/src/calibre/srv/standalone.py
--- 5.9.0+dfsg-3/src/calibre/srv/standalone.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/srv/standalone.py	2021-01-22 02:26:39.000000000 +0000
@@ -155,7 +155,8 @@ libraries that the main calibre program
         action='store_true',
         help=_(
             'Manage the database of users allowed to connect to this server.'
-            ' See also the %s option.') % '--userdb')
+            ' You can use it in automated mode by adding a --. See {0}'
+            ' for details. See also the {1} option.').format('calibre-server --manage-users -- help', '--userdb'))
     parser.get_option('--userdb').help = _(
         'Path to the user database to use for authentication. The database'
         ' is a SQLite file. To create it use {0}. You can read more'
@@ -202,7 +203,7 @@ def main(args=sys.argv):
         connect(opts.userdb, exc_class=SystemExit).close()
     if opts.manage_users:
         try:
-            manage_users_cli(opts.userdb)
+            manage_users_cli(opts.userdb, args[1:])
         except (KeyboardInterrupt, EOFError):
             raise SystemExit(_('Interrupted by user'))
         raise SystemExit(0)
diff -pruN 5.9.0+dfsg-3/src/calibre/test_build.py 5.10.0+dfsg-1/src/calibre/test_build.py
--- 5.9.0+dfsg-3/src/calibre/test_build.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/test_build.py	2021-01-22 02:26:39.000000000 +0000
@@ -373,6 +373,10 @@ class BuildTest(unittest.TestCase):
         from calibre.utils.unrar import test_basic
         test_basic()
 
+    def test_7z(self):
+        from calibre.utils.seven_zip import test_basic
+        test_basic()
+
     @unittest.skipUnless(iswindows, 'WPD is windows only')
     def test_wpd(self):
         from calibre_extensions import wpd
diff -pruN 5.9.0+dfsg-3/src/calibre/utils/formatter_functions.py 5.10.0+dfsg-1/src/calibre/utils/formatter_functions.py
--- 5.9.0+dfsg-3/src/calibre/utils/formatter_functions.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/utils/formatter_functions.py	2021-01-22 02:26:39.000000000 +0000
@@ -241,14 +241,17 @@ class BuiltinStrlen(BuiltinFormatterFunc
 
 class BuiltinAdd(BuiltinFormatterFunction):
     name = 'add'
-    arg_count = 2
+    arg_count = -1
     category = 'Arithmetic'
-    __doc__ = doc = _('add(x, y) -- returns x + y. Throws an exception if either x or y are not numbers.')
+    __doc__ = doc = _('add(x, y, ...) -- returns the sum of its arguments. '
+                      'Throws an exception if an argument is not a number.')
 
-    def evaluate(self, formatter, kwargs, mi, locals, x, y):
-        x = float(x if x and x != 'None' else 0)
-        y = float(y if y and y != 'None' else 0)
-        return unicode_type(x + y)
+    def evaluate(self, formatter, kwargs, mi, locals, *args):
+        res = 0
+        for v in args:
+            v = float(v if v and v != 'None' else 0)
+            res += v
+        return unicode_type(res)
 
 
 class BuiltinSubtract(BuiltinFormatterFunction):
@@ -265,14 +268,17 @@ class BuiltinSubtract(BuiltinFormatterFu
 
 class BuiltinMultiply(BuiltinFormatterFunction):
     name = 'multiply'
-    arg_count = 2
+    arg_count = -1
     category = 'Arithmetic'
-    __doc__ = doc = _('multiply(x, y) -- returns x * y. Throws an exception if either x or y are not numbers.')
+    __doc__ = doc = _('multiply(x, y, ...) -- returns the product of its arguments. '
+                      'Throws an exception if any argument is not a number.')
 
-    def evaluate(self, formatter, kwargs, mi, locals, x, y):
-        x = float(x if x and x != 'None' else 0)
-        y = float(y if y and y != 'None' else 0)
-        return unicode_type(x * y)
+    def evaluate(self, formatter, kwargs, mi, locals, *args):
+        res = 1
+        for v in args:
+            v = float(v if v and v != 'None' else 0)
+            res *= v
+        return unicode_type(res)
 
 
 class BuiltinDivide(BuiltinFormatterFunction):
@@ -1889,6 +1895,20 @@ class BuiltinGlobals(BuiltinFormatterFun
         raise NotImplementedError()
 
 
+class BuiltinFieldExists(BuiltinFormatterFunction):
+    name = 'field_exists'
+    arg_count = 1
+    category = 'If-then-else'
+    __doc__ = doc = _('field_exists(field_name) -- checks if a field '
+                      '(column) named field_name exists, returning '
+                      "'1' if so and '' if not.")
+
+    def evaluate(self, formatter, kwargs, mi, locals, field_name):
+        if field_name.lower() in mi.all_field_keys():
+            return '1'
+        return ''
+
+
 _formatter_builtins = [
     BuiltinAdd(), BuiltinAnd(), BuiltinApproximateFormats(), BuiltinArguments(),
     BuiltinAssign(),
@@ -1897,7 +1917,8 @@ _formatter_builtins = [
     BuiltinCmp(), BuiltinConnectedDeviceName(), BuiltinConnectedDeviceUUID(), BuiltinContains(),
     BuiltinCount(), BuiltinCurrentLibraryName(), BuiltinCurrentLibraryPath(),
     BuiltinDaysBetween(), BuiltinDivide(), BuiltinEval(), BuiltinFirstNonEmpty(),
-    BuiltinField(), BuiltinFinishFormatting(), BuiltinFirstMatchingCmp(), BuiltinFloor(),
+    BuiltinField(), BuiltinFieldExists(),
+    BuiltinFinishFormatting(), BuiltinFirstMatchingCmp(), BuiltinFloor(),
     BuiltinFormatDate(), BuiltinFormatNumber(), BuiltinFormatsModtimes(),
     BuiltinFormatsPaths(), BuiltinFormatsSizes(), BuiltinFractionalPart(),
     BuiltinGlobals(),
diff -pruN 5.9.0+dfsg-3/src/calibre/utils/formatter.py 5.10.0+dfsg-1/src/calibre/utils/formatter.py
--- 5.9.0+dfsg-3/src/calibre/utils/formatter.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/utils/formatter.py	2021-01-22 02:26:39.000000000 +0000
@@ -33,6 +33,7 @@ class Node(object):
     NODE_FIRST_NON_EMPTY = 12
     NODE_FOR = 13
     NODE_GLOBALS = 14
+    NODE_CONTAINS = 15
 
 
 class IfNode(Node):
@@ -144,6 +145,16 @@ class FirstNonEmptyNode(Node):
         self.expression_list = expression_list
 
 
+class ContainsNode(Node):
+    def __init__(self, arguments):
+        Node.__init__(self)
+        self.node_type = self.NODE_CONTAINS
+        self.value_expression = arguments[0]
+        self.test_expression = arguments[1]
+        self.match_expression = arguments[2]
+        self.not_match_expression = arguments[3]
+
+
 class _Parser(object):
     LEX_OP = 1
     LEX_ID = 2
@@ -448,6 +459,8 @@ class _Parser(object):
                 if id_ == 'arguments':
                     return ArgumentsNode(new_args)
                 return GlobalsNode(new_args)
+            if id_ == 'contains' and len(arguments) == 4:
+                return ContainsNode(arguments)
             if id_ in self.func_names and not self.funcs[id_].is_python:
                 return self.call_expression(id_, arguments)
             cls = self.funcs[id_]
@@ -633,6 +646,13 @@ class _Interpreter(object):
         except Exception as e:
             self.error(_('Unhandled exception {0}').format(e))
 
+    def do_node_contains(self, prog):
+        v = self.expr(prog.value_expression)
+        t = self.expr(prog.test_expression)
+        if re.search(t, v, flags=re.I):
+            return self.expr(prog.match_expression)
+        return self.expr(prog.not_match_expression)
+
     NODE_OPS = {
         Node.NODE_IF:             do_node_if,
         Node.NODE_ASSIGN:         do_node_assign,
@@ -648,6 +668,7 @@ class _Interpreter(object):
         Node.NODE_FIRST_NON_EMPTY:do_node_first_non_empty,
         Node.NODE_FOR:            do_node_for,
         Node.NODE_GLOBALS:        do_node_globals,
+        Node.NODE_CONTAINS:       do_node_contains,
         }
 
     def expr(self, prog):
diff -pruN 5.9.0+dfsg-3/src/calibre/utils/search_query_parser.py 5.10.0+dfsg-1/src/calibre/utils/search_query_parser.py
--- 5.9.0+dfsg-3/src/calibre/utils/search_query_parser.py	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/utils/search_query_parser.py	2021-01-22 02:26:39.000000000 +0000
@@ -66,7 +66,11 @@ class SavedSearchQueries(object):
         self.save_queries()
 
     def lookup(self, name):
-        return self.queries.get(self.force_unicode(name), None)
+        sn = self.force_unicode(name).lower()
+        for n, q in self.queries.items():
+            if sn == n.lower():
+                return q
+        return None
 
     def delete(self, name):
         self.queries.pop(self.force_unicode(name), False)
@@ -422,10 +426,10 @@ class SearchQueryParser(object):
         if query.startswith('='):
             query = query[1:]
         try:
-            if query in self.searches_seen:
+            if query.lower() in self.searches_seen:
                 raise ParseException(_('Recursive saved search: {0}').format(query))
-            if self.recurse_level > 5:
-                self.searches_seen.add(query)
+            if self.recurse_level > 10:
+                self.searches_seen.add(query.lower())
             ss = self.lookup_saved_search(query)
             if ss is None:
                 raise ParseException(_('Unknown saved search: {}').format(query))
diff -pruN 5.9.0+dfsg-3/src/calibre/utils/seven_zip.py 5.10.0+dfsg-1/src/calibre/utils/seven_zip.py
--- 5.9.0+dfsg-3/src/calibre/utils/seven_zip.py	1970-01-01 00:00:00.000000000 +0000
+++ 5.10.0+dfsg-1/src/calibre/utils/seven_zip.py	2021-01-22 02:26:39.000000000 +0000
@@ -0,0 +1,98 @@
+#!/usr/bin/env python
+# vim:fileencoding=utf-8
+# License: GPL v3 Copyright: 2021, Kovid Goyal <kovid at kovidgoyal.net>
+
+import os
+import re
+
+from calibre.constants import iswindows
+
+
+def open_archive(path_or_stream, mode='r'):
+    from py7zr import SevenZipFile
+    return SevenZipFile(path_or_stream, mode=mode)
+
+
+def names(path_or_stream):
+    with open_archive(path_or_stream) as zf:
+        return tuple(zf.getnames())
+
+
+def extract_member(path_or_stream, match=None, name=None):
+    if iswindows and name is not None:
+        name = name.replace(os.sep, '/')
+    if match is None:
+        match = re.compile(r'\.(jpg|jpeg|gif|png)\s*$', re.I)
+
+    def is_match(fname):
+        if iswindows:
+            fname = fname.replace(os.sep, '/')
+        return (name is not None and fname == name) or \
+               (match is not None and match.search(fname) is not None)
+
+    with open_archive(path_or_stream) as ar:
+        all_names = list(filter(is_match, ar.getnames()))
+        if all_names:
+            return all_names[0] , ar.read(all_names[:1])[all_names[0]].read()
+
+
+def extract_cover_image(stream):
+    pos = stream.tell()
+    from calibre.libunzip import name_ok, sort_key
+    all_names = sorted(names(stream), key=sort_key)
+    stream.seek(pos)
+    for name in all_names:
+        if name_ok(name):
+            return extract_member(stream, name=name, match=None)
+
+
+def extract(path_or_stream, location):
+    with open_archive(path_or_stream) as f:
+        f.extract(location)
+
+
+# Test {{{
+
+
+def test_basic():
+    from tempfile import TemporaryDirectory
+    from calibre import CurrentDir
+
+    tdata = {
+        '1/sub-one': b'sub-one\n',
+        '2/sub-two.txt': b'sub-two\n',
+        'F\xfc\xdfe.txt': b'unicode\n',
+        'max-compressed': b'max\n',
+        'one.txt': b'one\n',
+        'symlink': b'2/sub-two.txt',
+        'uncompressed': b'uncompressed\n',
+        '\u8bf6\u6bd4\u5c41.txt': b'chinese unicode\n'}
+
+    def do_test():
+        for name, data in tdata.items():
+            if '/' in name:
+                os.makedirs(os.path.dirname(name), exist_ok=True)
+            with open(name, 'wb') as f:
+                f.write(data)
+        with open_archive(os.path.join('a.7z'), mode='w') as zf:
+            for name in tdata:
+                zf.write(name)
+        with open_archive(os.path.join('a.7z')) as zf:
+            if set(zf.getnames()) != set(tdata):
+                raise ValueError('names not equal')
+            read_data = {name:af.read() for name, af in zf.readall().items()}
+            if read_data != tdata:
+                raise ValueError('data not equal')
+
+        for name in tdata:
+            if name not in '1 2 symlink'.split():
+                with open(os.path.join(tdir, name), 'rb') as s:
+                    if s.read() != tdata[name]:
+                        raise ValueError('Did not extract %s properly' % name)
+
+    with TemporaryDirectory('test-7z') as tdir, CurrentDir(tdir):
+        do_test()
+
+
+if __name__ == '__main__':
+    test_basic()
diff -pruN 5.9.0+dfsg-3/src/pyj/book_list/book_details.pyj 5.10.0+dfsg-1/src/pyj/book_list/book_details.pyj
--- 5.9.0+dfsg-3/src/pyj/book_list/book_details.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/book_list/book_details.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -328,7 +328,7 @@ def render_metadata(mi, table, book_id,
                 val = E.span(val).outerHTML
             else:
                 if field is 'comments' and '<' not in val:
-                    val = '\n'.join(['<p class="description">{}</p>'.format(x.pyreplace('\n', '<br>')) for x in val.split('\n\n')])
+                    val = '\n'.join(['<p class="description">{}</p>'.format(x.replace(/\n/g, '<br>')) for x in val.split('\n\n')])
             if hp is 'side':
                 add_row(name, val, is_html=True)
                 return
diff -pruN 5.9.0+dfsg-3/src/pyj/date.pyj 5.10.0+dfsg-1/src/pyj/date.pyj
--- 5.9.0+dfsg-3/src/pyj/date.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/date.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -40,7 +40,7 @@ def fmt_date_pat():
 def fd_format_hour(dt, ampm, hr, as_utc):
     h = dt.getUTCHours() if as_utc else dt.getHours()
     if ampm:
-        h = h % 12
+        h %= 12
     return h.toString() if hr.length is 1 else str.format('{:02d}', h)
 
 
@@ -128,7 +128,7 @@ fd_function_index = {
 def am_pm_pat():
     ans = am_pm_pat.ans
     if not ans?:
-        ans = am_pm_pat.ans = /(ap)|(a)/
+        ans = am_pm_pat.ans = /(ap)|(a)|(AP)|(A)/
     return ans
 
 
diff -pruN 5.9.0+dfsg-3/src/pyj/read_book/flow_mode.pyj 5.10.0+dfsg-1/src/pyj/read_book/flow_mode.pyj
--- 5.9.0+dfsg-3/src/pyj/read_book/flow_mode.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/read_book/flow_mode.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -148,9 +148,9 @@ def flow_onwheel(evt):
             # Right goes forward, so the sign is correct.
             else:
                 db = dx
-    if di:
+    if Math.abs(di) >= 1:
         scroll_viewport.scroll_by_in_inline_direction(di)
-    elif Math.abs(db) >= 1:
+    if Math.abs(db) >= 1:
         scroll_by_and_check_next_page(db)
 
 @check_for_scroll_end
diff -pruN 5.9.0+dfsg-3/src/pyj/read_book/highlights.pyj 5.10.0+dfsg-1/src/pyj/read_book/highlights.pyj
--- 5.9.0+dfsg-3/src/pyj/read_book/highlights.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/read_book/highlights.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -5,7 +5,7 @@ from __python__ import bound_methods, ha
 from elementmaker import E
 
 from ajax import encode_query
-from book_list.globals import get_session_data, get_current_query
+from book_list.globals import get_current_query, get_session_data
 from book_list.theme import get_color
 from complete import create_search_bar
 from dom import add_extra_css, build_rule, clear, svgicon, unique_id
@@ -14,7 +14,7 @@ from modals import (
     create_custom_dialog, error_dialog, get_text_dialog, question_dialog,
     warning_dialog
 )
-from read_book.globals import is_dark_theme
+from read_book.globals import current_book, is_dark_theme, runtime
 from widgets import create_button
 
 ICON_SIZE_VAL = 3
@@ -525,14 +525,32 @@ def get_container():
     return document.getElementById(get_container_id())
 
 
+def get_current_link_prefix():
+    if runtime.is_standalone_viewer:
+        return current_book().calibre_book_url
+    link_prefix = window.location.href
+    return link_prefix[:link_prefix.indexOf('#') + 1]
+
+
+def link_to_epubcfi(epubcfi, link_prefix, current_query):
+    if runtime.is_standalone_viewer:
+        current_query = {'open_at': epubcfi}
+        link = encode_query(current_query)
+    else:
+        if not current_query:
+            current_query = Object.assign({}, get_current_query())
+        current_query.bookpos = epubcfi
+        link = encode_query(current_query)[1:]
+    return link_prefix + link.replace(/\)/g, '%29').replace(/\(/g, '%28')
+
+
 def render_highlight_as_text(hl, lines, link_prefix, current_query, as_markdown=False):
     lines.push(hl.highlighted_text)
     date = Date(hl.timestamp).toLocaleString()
     if as_markdown:
         cfi = hl.start_cfi
         spine_index = (1 + hl.spine_index) * 2
-        current_query.bookpos = f'epubcfi(/{spine_index}{cfi})'
-        link = link_prefix + encode_query(current_query)[1:].replace(/\)/g, '%29')
+        link = link_to_epubcfi(f'epubcfi(/{spine_index}{cfi})', link_prefix, current_query)
         date = f'[{date}]({link})'
     lines.push(date)
     notes = hl.notes
@@ -547,7 +565,6 @@ def render_highlight_as_text(hl, lines,
     lines.push('')
 
 
-
 def show_export_dialog(annotations_manager):
     sd = get_session_data()
     fmt = sd.get('highlights_export_format')
@@ -559,8 +576,7 @@ def show_export_dialog(annotations_manag
     idx = href.indexOf('#')
     href = href[:idx+1]
     current_query = Object.assign({}, get_current_query())
-    link_prefix = window.location.href
-    link_prefix = link_prefix[:link_prefix.indexOf('#') + 1]
+    link_prefix = get_current_link_prefix()
 
     def update_text():
         if fmt is 'calibre_annotations_collection':
diff -pruN 5.9.0+dfsg-3/src/pyj/read_book/iframe.pyj 5.10.0+dfsg-1/src/pyj/read_book/iframe.pyj
--- 5.9.0+dfsg-3/src/pyj/read_book/iframe.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/read_book/iframe.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -849,6 +849,14 @@ class IframeBoss:
                 anchor_before=anchor_before
             )
             reset_find_caches()
+        elif dtype is 'cite-current-selection':
+            sel = window.getSelection()
+            if not sel.rangeCount:
+                return
+            bounds = cfi_for_selection()
+            anchor_before = find_anchor_before_range(sel.getRangeAt(0), self.book.manifest.toc_anchor_map, self.anchor_funcs)
+            text = sel.toString()
+            self.send_message('annotations', type='cite-data', bounds=bounds, highlighted_text=text)
         else:
             console.log('Ignoring annotations message to iframe with unknown type: ' + dtype)
 
diff -pruN 5.9.0+dfsg-3/src/pyj/read_book/read_aloud.pyj 5.10.0+dfsg-1/src/pyj/read_book/read_aloud.pyj
--- 5.9.0+dfsg-3/src/pyj/read_book/read_aloud.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/read_book/read_aloud.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -4,6 +4,7 @@ from __python__ import bound_methods, ha
 
 from elementmaker import E
 
+from book_list.globals import get_session_data
 from book_list.theme import get_color
 from dom import clear, svgicon, unique_id
 from gettext import gettext as _
@@ -19,6 +20,12 @@ PLAYING = 3
 STOPPED = 4
 
 
+def is_flow_mode():
+    sd = get_session_data()
+    mode = sd.get('read_mode')
+    return mode is 'flow'
+
+
 class ReadAloud:
 
     dont_hide_on_content_loaded = True
@@ -30,11 +37,12 @@ class ReadAloud:
         container = self.container
         container.setAttribute('tabindex', '0')
         container.style.overflow = 'hidden'
-        container.style.textAlign = 'right'
+        container.style.justifyContent = 'flex-end'
+        container.style.alignItems = 'flex-end' if is_flow_mode() else 'flex-start'
         container.appendChild(E.div(
             id=self.bar_id,
-            style='position: static; border: solid 1px currentColor; border-radius: 5px;'
-            'display: inline-flex; flex-direction: column; margin: 1rem;'
+            style='border: solid 1px currentColor; border-radius: 5px;'
+            'display: flex; flex-direction: column; margin: 1rem;'
         ))
         container.addEventListener('keydown', self.on_keydown, {'passive': False})
         container.addEventListener('click', self.container_clicked, {'passive': False})
@@ -76,7 +84,7 @@ class ReadAloud:
 
     def show(self):
         if self.state is HIDDEN:
-            self.container.style.display = 'block'
+            self.container.style.display = 'flex'
             self.state = STOPPED
             self.focus()
             if ui_operations.read_aloud_state_changed:
@@ -88,6 +96,7 @@ class ReadAloud:
     def build_bar(self, annot_id):
         if self.state is HIDDEN:
             return
+        self.container.style.alignItems = 'flex-end' if is_flow_mode() else 'flex-start'
         bar_container = self.bar
         clear(bar_container)
         bar_container.style.maxWidth = 'min(40rem, 80vw)' if self.supports_css_min_max else '40rem'
@@ -188,6 +197,8 @@ class ReadAloud:
         if ev.key is 'Escape':
             self.hide()
             return
+        # Note that in the standalone viewer MediaPlayPause is currently broken
+        # in Qt: https://bugreports.qt.io/browse/QTBUG-89915
         if ev.key is ' ' or ev.key is 'MediaPlayPause' or ev.key is 'PlayPause':
             self.toggle()
             return
diff -pruN 5.9.0+dfsg-3/src/pyj/read_book/selection_bar.pyj 5.10.0+dfsg-1/src/pyj/read_book/selection_bar.pyj
--- 5.9.0+dfsg-3/src/pyj/read_book/selection_bar.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/read_book/selection_bar.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -3,20 +3,21 @@
 from __python__ import bound_methods, hash_literals
 
 from elementmaker import E
-from gettext import gettext as _
-from uuid import short_uuid
 
 from book_list.globals import get_session_data
 from book_list.theme import get_color
 from dom import change_icon_image, clear, svgicon, unique_id
-from modals import error_dialog, question_dialog, create_custom_dialog
+from gettext import gettext as _
+from modals import create_custom_dialog, error_dialog, question_dialog
 from read_book.globals import runtime, ui_operations
 from read_book.highlights import (
-    ICON_SIZE, EditNotesAndColors, HighlightStyle, all_styles, render_notes
+    ICON_SIZE, EditNotesAndColors, HighlightStyle, all_styles,
+    get_current_link_prefix, link_to_epubcfi, render_notes
 )
-from widgets import create_button
 from read_book.shortcuts import shortcut_for_key_event
-from read_book.toc import get_toc_nodes_bordering_spine_item, family_for_toc_node
+from read_book.toc import family_for_toc_node, get_toc_nodes_bordering_spine_item
+from uuid import short_uuid
+from widgets import create_button
 
 DRAG_SCROLL_ZONE_MIN_HEIGHT = 10
 BUTTON_MARGIN = '0.5rem'
@@ -193,6 +194,7 @@ def all_actions():
             'remove_highlight': a('trash', _('Remove this highlight'), 'remove_highlight', True),
             'clear': a('close', _('Clear selection'), 'clear_selection'),
             'speak': a('bullhorn', _('Read aloud'), 'speak_aloud'),
+            'cite': a('reference-mode', _('Copy citation to clipboard'), 'cite'),
         }
         qh = all_actions.ans.quick_highlight
         qh.icon_function = quick_highlight_icon.bind(None, qh.icon, qh.text)
@@ -961,6 +963,9 @@ class SelectionBar:
             ui_operations.speak_simple_text(text)
             self.spoken_aloud_at_least_once = True
 
+    def cite(self):
+        self.send_message('cite-current-selection')
+
     def create_highlight(self):
         cs = self.view.currently_showing.selection
         hs = self.current_highlight_style
@@ -1042,6 +1047,16 @@ class SelectionBar:
             self.report_failed_edit_highlight(msg.uuid)
         elif msg.type is 'double-click':
             self.last_double_click_at = window.performance.now()
+        elif msg.type is 'cite-data':
+            spine_index = self.view.currently_showing.spine_index
+            spine_index = (1 + spine_index) * 2
+            cfi = msg.bounds.start
+            link_prefix = get_current_link_prefix()
+            if not link_prefix:
+                return self.view.show_not_a_library_book_error()
+            url = link_to_epubcfi(f'epubcfi(/{spine_index}{cfi})', link_prefix)
+            text = msg.highlighted_text.replace(/\[/g, r'\[').replace(/\]/g, r'\]')
+            ui_operations.copy_selection(f'[{text}]({url})')
         else:
             print('Ignoring annotations message with unknown type:', msg.type)
 
diff -pruN 5.9.0+dfsg-3/src/pyj/read_book/shortcuts.pyj 5.10.0+dfsg-1/src/pyj/read_book/shortcuts.pyj
--- 5.9.0+dfsg-3/src/pyj/read_book/shortcuts.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/read_book/shortcuts.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -206,6 +206,18 @@ def shortcuts_definition():
         _('Copy to clipboard'),
     ),
 
+    'copy_location_to_clipboard': desc(
+        v"['Alt+c']",
+        'ui',
+        _('Copy current location to clipboard'),
+    ),
+
+    'copy_location_as_url_to_clipboard': desc(
+        v"['Ctrl+Shift+c']",
+        'ui',
+        _('Copy current location as calibre:// URL to clipboard'),
+    ),
+
     'start_search': desc(
         v"['/', 'Ctrl+f']",
         'ui',
diff -pruN 5.9.0+dfsg-3/src/pyj/read_book/toc.pyj 5.10.0+dfsg-1/src/pyj/read_book/toc.pyj
--- 5.9.0+dfsg-3/src/pyj/read_book/toc.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/read_book/toc.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -100,10 +100,12 @@ def get_current_toc_nodes():
             before = get_border_nodes(toc, id_map)[0]
             if before:
                 ans[before.id] = True
-    ans = Object.keys(ans)
-    if ans.length:
-        return family_for_toc_node(ans[0], parent_map, id_map)
-    return v'[]'
+    r = v'[]'
+    for x in Object.keys(ans):
+        fam = family_for_toc_node(x, parent_map, id_map)
+        if fam?.length:
+            r.push(fam)
+    return r
 
 
 def get_highlighted_toc_nodes(toc, parent_map, id_map):
diff -pruN 5.9.0+dfsg-3/src/pyj/read_book/view.pyj 5.10.0+dfsg-1/src/pyj/read_book/view.pyj
--- 5.9.0+dfsg-3/src/pyj/read_book/view.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/read_book/view.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -3,7 +3,6 @@
 from __python__ import bound_methods, hash_literals
 
 from elementmaker import E
-from gettext import gettext as _
 
 import read_book.iframe  # noqa
 from ajax import ajax_send
@@ -11,6 +10,7 @@ from book_list.globals import get_sessio
 from book_list.theme import cached_color_to_rgba, get_color, set_ui_colors
 from book_list.ui import query_as_href
 from dom import add_extra_css, build_rule, clear, set_css, svgicon, unique_id
+from gettext import gettext as _
 from iframe_comm import IframeWrapper
 from modals import error_dialog, warning_dialog
 from read_book.annotations import AnnotationsManager
@@ -21,6 +21,8 @@ from read_book.globals import (
     set_current_spine_item, ui_operations
 )
 from read_book.goto import get_next_section
+from read_book.highlights import get_current_link_prefix, link_to_epubcfi
+from read_book.hints import Hints
 from read_book.open_book import add_book_to_recently_viewed
 from read_book.overlay import Overlay
 from read_book.prefs.colors import resolve_color_scheme
@@ -30,12 +32,11 @@ from read_book.prefs.head_foot import re
 from read_book.prefs.scrolling import (
     MIN_SCROLL_SPEED_AUTO as SCROLL_SPEED_STEP, change_scroll_speed
 )
+from read_book.read_aloud import ReadAloud
 from read_book.resources import load_resources
 from read_book.scrollbar import BookScrollbar
 from read_book.search import SearchOverlay, find_in_spine
 from read_book.selection_bar import SelectionBar
-from read_book.read_aloud import ReadAloud
-from read_book.hints import Hints
 from read_book.shortcuts import create_shortcut_map
 from read_book.timers import Timers
 from read_book.toc import get_current_toc_nodes, update_visible_toc_nodes
@@ -209,7 +210,7 @@ class View:
         self.current_progress_frac = self.current_file_progress_frac = 0
         self.current_page_counts = {'current': 0, 'total': 0, 'pages_per_screen': 1}
         self.current_toc_node = self.current_toc_toplevel_node = None
-        self.current_toc_family = v'[]'
+        self.current_toc_families = v'[]'
         self.report_cfi_callbacks = {}
         self.get_cfi_counter = 0
         self.show_loading_callback_timer = None
@@ -339,6 +340,22 @@ class View:
     def copy_to_clipboard(self):
         self.iframe_wrapper.send_message('copy_selection')
 
+    def show_not_a_library_book_error(self):
+        error_dialog(_('Not a calibre library book'), _(
+            'This book is not a part of a calibre library, so no calibre:// URL for it exists.'))
+
+    def copy_current_location_to_clipboard(self, as_url):
+        link_prefix = get_current_link_prefix()
+        if not link_prefix and as_url:
+            return self.show_not_a_library_book_error()
+        self.get_current_cfi('copy-location-url', def (req_id, data):
+            if as_url:
+                text = link_to_epubcfi(data.cfi, link_prefix)
+            else:
+                text = data.cfi
+            ui_operations.copy_selection(text)
+        )
+
     def set_scrollbar_visibility(self, visible):
         sd = get_session_data()
         sd.set('book_scrollbar', bool(visible))
@@ -485,6 +502,8 @@ class View:
             self.new_bookmark()
         elif data.name is 'copy_to_clipboard':
             self.copy_to_clipboard()
+        elif data.name is 'copy_location_to_clipboard' or data.name is 'copy_location_as_url_to_clipboard':
+            self.copy_current_location_to_clipboard('url' in data.name)
         elif data.name is 'toggle_inspector':
             ui_operations.toggle_inspector()
         elif data.name is 'toggle_lookup':
@@ -1274,14 +1293,19 @@ class View:
 
     def on_update_toc_position(self, data):
         update_visible_toc_nodes(data.visible_anchors)
-        self.current_toc_family = get_current_toc_nodes()
-        if self.current_toc_family.length:
-            self.current_toc_node = self.current_toc_family[-1]
-            self.current_toc_toplevel_node = self.current_toc_family[0]
+        self.current_toc_families = get_current_toc_nodes()
+        if self.current_toc_families.length:
+            first = self.current_toc_families[0]
+            self.current_toc_node = first[-1]
+            self.current_toc_toplevel_node = first[0]
         else:
             self.current_toc_node = self.current_toc_toplevel_node = None
         if runtime.is_standalone_viewer:
-            ui_operations.update_current_toc_nodes(self.current_toc_node?.id, self.current_toc_toplevel_node?.id)
+            r = v'[]'
+            for fam in self.current_toc_families:
+                if fam.length:
+                    r.push(fam[-1].id)
+            ui_operations.update_current_toc_nodes(r)
         self.update_header_footer()
 
     def show_spine_item(self, resource_data):
diff -pruN 5.9.0+dfsg-3/src/pyj/test_date.pyj 5.10.0+dfsg-1/src/pyj/test_date.pyj
--- 5.9.0+dfsg-3/src/pyj/test_date.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/test_date.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -13,6 +13,7 @@ def test_fd(date, fmt, ans):
 @test
 def date_formatting():
     test_fd('1101-01-01T09:00:00+00:00', 'hh h', '09 9')
+    test_fd('1101-01-01T09:01:00+00:00', 'h:mm AP', '9:01 AM')
     test_fd('1101-01-01T09:05:01.012+00:00', 'hh h mm m ss s z zzz ap AP a A yy yyyy', '09 9 05 5 01 1 12 012 am AM am AM 01 1101')
     test_fd('2001-01-02T09:00:00+00:00', 'M MM MMM MMMM', '1 01 Jan January')
     test_fd('2001-01-01T12:00:00+00:00', 'd dd ddd dddd', '1 01 Mon Monday')
diff -pruN 5.9.0+dfsg-3/src/pyj/viewer-main.pyj 5.10.0+dfsg-1/src/pyj/viewer-main.pyj
--- 5.9.0+dfsg-3/src/pyj/viewer-main.pyj	2021-01-08 03:40:13.000000000 +0000
+++ 5.10.0+dfsg-1/src/pyj/viewer-main.pyj	2021-01-22 02:26:39.000000000 +0000
@@ -365,8 +365,8 @@ if window is window.top:
         to_python.toggle_lookup(v'!!force_show')
     ui_operations.selection_changed = def(selected_text, annot_id):
         to_python.selection_changed(selected_text, annot_id or None)
-    ui_operations.update_current_toc_nodes = def(current_node_id, top_level_node_id):
-        to_python.update_current_toc_nodes(current_node_id, top_level_node_id)
+    ui_operations.update_current_toc_nodes = def(families):
+        to_python.update_current_toc_nodes(families)
     ui_operations.toggle_full_screen = def():
         to_python.toggle_full_screen()
     ui_operations.report_cfi = def(request_id, data):
diff -pruN 5.9.0+dfsg-3/translations/calibre/af.po 5.10.0+dfsg-1/translations/calibre/af.po
--- 5.9.0+dfsg-3/translations/calibre/af.po	2021-01-06 15:31:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/af.po	2021-01-20 15:26:29.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -91,15 +91,15 @@ msgstr "Doen absoluut niks"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -120,7 +120,7 @@ msgstr "Doen absoluut niks"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -220,16 +220,16 @@ msgstr "Doen absoluut niks"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -255,7 +255,7 @@ msgstr "Doen absoluut niks"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -287,7 +287,7 @@ msgstr "Doen absoluut niks"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -306,7 +306,7 @@ msgstr "Doen absoluut niks"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -330,27 +330,27 @@ msgstr "Maak Pas"
 msgid "Cannot configure"
 msgstr "Kan nie instel nie"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Lêertipe"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadataleser"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadataskrywer"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalogusskepper"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Gebruikerskoppelvlakaksie"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -362,20 +362,20 @@ msgstr "Gebruikerskoppelvlakaksie"
 msgid "Preferences"
 msgstr "Voorkeure"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Winkel"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "’n E-boekwinkel."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Biblioteek gesluit"
 
@@ -397,372 +397,372 @@ msgstr "Skep ’n TXTZ-argief wanneer 
 msgid "Extract cover from comic files"
 msgstr "Onttrek voorblad van strokiesprentlêers"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lees metadata van %s lêers"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Lees metadata van e-boeke in RAR-argiewe"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Lees metadata van e-boeke in ZIP-argiewe"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Stel metadata in %s lêers"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Voer {0} onder in sodat die EPUB-metadataskryfinprop nie dekblaaie tot EPUB-lêers sonder dekblaaie toevoeg nie."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Stel metadata van %s lêers"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Voeg boeke tot calibre of die gekoppelde toestel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Skep ’n katalogus van die boeke in u calibre-biblioteek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Skakel boeke om na verskeie eboek-formate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Maak fyn verstellings aan u e-boeke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Wysig die Inhoudsopgawe in u boeke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Verwyder boeke van u calibre-biblioteek of gekoppelde toestel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Wysig die metadata van boeke in u calibre-biblioteek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Lees boeke in u calibre-biblioteek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Wys gou ’n lys van verwante boeke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Stuur boeke uit vanaf u calibre-biblioteek na die hardeskyf"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Herbegin calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Open die vouer wat die boeklêers in u calibre-biblioteek bevat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Stuur boeke na die gekoppelde toestel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Blaai deur die calibre-gebruikershandleiding"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Pas calibre aan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Vind maklik boeke soortgelyk aan die gekose een"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Wissel tussen verskillende calibre-biblioteke en doen onderhoud op hulle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Wysig die versamelings waarin boeke op u toestel geplaas is"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopieer ’n boek van een calibre-biblioteek na ’n ander"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Soek vir boeke van verskillende verkopers"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Kry nuwe calibre-inproppe of dateer u bestaande inproppe op"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Koppelvlak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Gedrag"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Verander die manier waarop calibre optree"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Voeg u eie kolomme by"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Besig om te soek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Pas die manier waarop die soek van boeke in calibre werk aan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Omskakeling"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Voeg boeke toe"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Beheer hoe calibre lêers se metadata lees wanneer boeke toegevoeg word"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Besig om boeke op skyf te berg"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Besig om boeke na toestel te stuur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metadataskakelbord"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Verander metadatavelde voordat geberg/gestuur word"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -772,92 +772,92 @@ msgstr "Verander metadatavelde voordat g
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Gevorderd"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Skep u eie sjabloonfunksies"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Deel boeke per e-pos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Deel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Deel oor die net"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metadata-aflaai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Beheer hoe calibre e-boekmetadata van die net aflaai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Geïgnoreerde toestelle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Beheer welke toestelle calibre sal ignoreer wanneer dit aan die rekenaar gekoppel is."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Inproppe"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "U kan verskeie dele van calibre-funksionaliteit toevoeg/verwyder/aanpas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Verstellinkies"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Verfyn hoe calibre in verskeie kontekste optree"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Sneltoetse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Maak die toetsbordkortpaaie wat deur calibre gebruik word pas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -865,7 +865,7 @@ msgstr "Maak die toetsbordkortpaaie wat
 msgid "Miscellaneous"
 msgstr "Allerlei"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1255,9 +1255,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1283,17 +1283,17 @@ msgstr "Bewaarde soektogte"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ja"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1679,14 +1679,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1694,7 +1694,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1702,39 +1702,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2281,21 +2281,21 @@ msgstr "blanko"
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3471,11 +3471,11 @@ msgstr "%s verwyder"
 msgid "All books removed"
 msgstr "Alle boeke verwyder"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3484,12 +3484,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Onbekende MTP-toestel"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6044,7 +6044,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6337,7 +6337,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6345,7 +6345,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6385,7 +6385,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6415,7 +6415,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8145,13 +8145,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8184,31 +8184,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9177,7 +9177,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10186,7 +10186,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Help"
 
@@ -11445,7 +11445,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11575,8 +11575,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11710,11 +11710,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11857,7 +11857,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12184,7 +12184,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12261,7 +12261,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12270,10 +12270,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12386,8 +12386,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13573,7 +13573,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13588,8 +13588,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14456,7 +14456,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14797,19 +14797,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14883,8 +14883,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14965,7 +14965,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16545,7 +16545,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16553,7 +16553,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16561,7 +16561,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16569,7 +16569,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16603,7 +16603,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17024,78 +17024,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17103,7 +17103,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17113,7 +17113,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17128,80 +17128,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17209,90 +17218,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17300,281 +17304,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17582,48 +17608,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18079,42 +18105,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18220,87 +18246,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Bestuur Bewaarde soektogte"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19198,48 +19224,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20303,7 +20345,7 @@ msgstr "Soek vir ’n sneltoets volgens
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20462,8 +20504,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20480,14 +20522,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22707,60 +22749,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22768,57 +22810,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23660,13 +23702,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23700,7 +23742,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23981,7 +24023,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24673,7 +24715,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25242,7 +25284,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Verander wagwoord vir {}"
 
@@ -25377,7 +25419,7 @@ msgid "Change &password"
 msgstr "Verander &wagwoord"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25388,7 +25430,7 @@ msgid "Change the allowed libraries"
 msgstr "Verander die toegelate biblioteke"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26901,7 +26943,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27192,7 +27234,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27252,95 +27294,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27997,7 +28039,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28528,7 +28571,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30766,7 +30809,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32093,7 +32136,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32720,7 +32763,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34594,71 +34637,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35112,7 +35155,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35188,13 +35231,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35359,10 +35402,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36003,7 +36046,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36052,7 +36095,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36529,177 +36572,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37107,13 +37181,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37121,23 +37196,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37150,7 +37225,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37309,128 +37384,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37485,60 +37560,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37550,7 +37625,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37561,13 +37636,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37577,30 +37652,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37610,7 +37685,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37620,24 +37695,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37646,11 +37721,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37660,19 +37735,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37682,11 +37757,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37698,11 +37773,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37713,14 +37788,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37733,20 +37808,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37760,7 +37835,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37768,7 +37843,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37777,14 +37852,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37797,19 +37872,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37819,7 +37894,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37827,7 +37902,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37835,13 +37910,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37852,7 +37927,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37865,7 +37940,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37882,7 +37957,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37905,23 +37980,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37930,7 +38005,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37939,55 +38014,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37996,7 +38071,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38004,7 +38079,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38012,7 +38087,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38020,7 +38095,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38029,7 +38104,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38038,7 +38113,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38046,14 +38121,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38061,7 +38136,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38069,28 +38144,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38099,7 +38174,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38108,7 +38183,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38117,7 +38192,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38125,7 +38200,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38137,7 +38212,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38148,7 +38223,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38156,13 +38231,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38170,7 +38245,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38183,11 +38258,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38195,11 +38270,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38208,7 +38283,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38219,7 +38294,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38229,6 +38304,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38517,29 +38598,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38902,185 +38983,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Goed"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Open"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39360,8 +39441,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39417,7 +39498,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/am.po 5.10.0+dfsg-1/translations/calibre/am.po
--- 5.9.0+dfsg-3/translations/calibre/am.po	2021-01-06 15:31:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/am.po	2021-01-20 15:27:44.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "ዝጋ"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ar.po 5.10.0+dfsg-1/translations/calibre/ar.po
--- 5.9.0+dfsg-3/translations/calibre/ar.po	2021-01-06 15:31:42.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ar.po	2021-01-20 15:26:33.000000000 +0000
@@ -12,14 +12,14 @@
 # Mohamed Elkebsi <mohamedkebsi55@gmail.com>, 2020
 # Mohammad Gamal <f2c2001@yahoo.com>, 2001
 # nayera maher <nayera.maher@yahoo.com>, 2016
-# Riyadh Talal <a.shamil77@yahoo.com>, 2020
+# Riyadh Talal <a.shamil77@yahoo.com>, 2020-2021
 # Zina Laban <cybercrawler@ymail.com>, 2015
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -98,15 +98,15 @@ msgstr "لا يفعل شيئاً إطل
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -127,7 +127,7 @@ msgstr "لا يفعل شيئاً إطل
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -227,16 +227,16 @@ msgstr "لا يفعل شيئاً إطل
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -262,7 +262,7 @@ msgstr "لا يفعل شيئاً إطل
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -294,7 +294,7 @@ msgstr "لا يفعل شيئاً إطل
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -313,7 +313,7 @@ msgstr "لا يفعل شيئاً إطل
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -337,27 +337,27 @@ msgstr "خصّص"
 msgid "Cannot configure"
 msgstr "الضبط غير ممكن"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "صيغة الملف"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "قارئ البيانات الوصفية"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "محرر البيانات الوصفية"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "مولّد الفهرس"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "إجراءات واجهة المستخدم"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -369,20 +369,20 @@ msgstr "إجراءات واجهة الم
 msgid "Preferences"
 msgstr "تفضيلات"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "مخزن"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "متجر الكتب الرقمية"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "أداة تحرير الكتب"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "المكتبة مغلقة"
 
@@ -404,372 +404,372 @@ msgstr "أنشئ أرشيف TXTZ عند
 msgid "Extract cover from comic files"
 msgstr "استخلص الغلاف من ملفات comic"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "اقرأ البيانات الوصفية من ملفات %s "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "قراءة البيانات الوصفية من الكتب الإلكترونية في أرشيفات RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "قراءة البيانات الوصفية من الكتب الإلكترونية في أرشيفات ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "اضبط البيانات الوصفية في الملفات  %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "أدخل  {0} في الأسفل لجعل ملحقة قارئ البيانات الوصفية لا يقوم بإضافة صور الغلاف إلى ملفات EPUB التي يوجد لديها صورة غلاف"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "قيِّد البيانات الوصفية من ملفات %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "إضافة الكتب إلى كاليبر أو الجهاز المتصل"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "جلب الحواشي من جهاز Kindle متصل (خاصية في طور الإختبار)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "توليد فهرست للكتب في مكتبة calibre خاصتك."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "تحويل الكتب إلى تنسيقات مختلفة للكتاب الإلكتروني"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "اضبط كتبك الإلكترونية"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "تصفّح التمييزات والمفضلات من كل الكتب في المكتبة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "عدل قائمة المحتويات في كتبك. "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "حذف الكتب من مكتبة calibre خاصتك أو جهاز متصل."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "ضمِّن البيانات الوصفية المُحيّنة داخل ملفات الكتاب الحالي في مكتبة calibre خاصتك "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "تحرير البيانات الوصفية للكتب في مكتبة calibre خاصتك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "قراءة الكتب من مكتبة calibre خاصتك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "حمّل الأخبار من الإنترنت في شكل كتاب إلكتروني"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "عرض سريع لقائمة كتب ذات صلة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "رشّح / بدّل وسوم الكتب في المكتبة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "تحويل مؤلفي الكتب في المكتبة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "أظهر محرراّ لاختبار القوالب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "أظهر حواراً لإنشاء وإدارة وظائف القوالب والقوالب المخزونة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "تصدير الكتب من مكتبة calibre الخاص بك إلى القرص الصلب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "إظهار تفاصيل الكتاب في نافذة منبثقة منفصلة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "إعادة تشغيل calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "افتح المجلد الحاوي لملفات الكتاب في مكتبة calibre خاصتك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "إرسال كتب إلى الجهاز المتصل"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "إرسال كتب عبر البريد الإلكتروني أو الويب. قم أيضًا بالاتصال بالمجلدات الموجودة على جهاز الكمبيوتر الخاص بك كما لو كانت أجهزة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "تصفح دليل المستخدم"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "تخصيص Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "بسهولة، اعثر على كتب مماثلة لذلك المختار حاليا"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "التبديل بين مكتبات calibre مختلفة وإجراء صيانة لها"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "نسخ كتب من الجهاز  المتصل إلى مكتبة calibre خاصتك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "تعديل المجموعات التي تتضمن الكتب الموضوعة على جهازك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "قارن الكتاب على الأجهزة الخارجية بالكتب في المكتبة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "أظهر الكتاب في مكتبة كاليبر والذي يطابق هذا الكتاب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "انسخ كتاب من مكتبة calibre إلى آخرى"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "تحرير الكتب الإلكترونية بتنسيق EPUB أو AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "قم بإجراء تغييرات صغيرة على ملفات EPUB أو HTMLZ في مكتبة كاليبر الخاصة بك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "اعثر على التطابق السابق أو التالي عند البحث في مكتبة calibre خاصتك في وضع الإبراز"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "اختر كتابًا عشوائياً من مكتبة calibre خاصتك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "فرز قائمة الكتب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "ضع علامة على الكتب مؤقتا"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "تغيير المكتبة الافتراضية الحالية"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "ابحث عن كتب عند  مختلف متاجر الكتب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "احصل على ملحقات كاليبر جديدة أو حدّث الموجود عندك منها"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "أنظر و أشعر"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "الواجهة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "إضبط المظهر لواجهة المكتبة النظم لتناسب ذوقك."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "السّلوك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "غيّر سلوك النظم مكتبة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "أضف أعمدتك الخاصة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "أعمدتك أضف/إمسح الخاصة لقائمة الكتب في المكتبة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "أشرطة الأدوات والقوائم"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "تخصيص أشرطة الأدوات والقوائم السياق، وتغيير الإجراءات التي تتوفر في كل عروض"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "جاري البحث"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "تخصيص طريقة البحث عن الكتب في المكتبة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "خيارات الإدخال"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "تحويل"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "خيارات التحويل خبراء محددة لكل تنسيق مدخلات"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "الخيارات الشائعة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "تعيين خيارات التحويل مشتركة لجميع الأشكال"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "خيارات الإخراج"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "خيارات التحويل خبراء محددة لكل تنسيق الإخراج"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "إضافة كتب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "إستيراد/تصدير"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "التحكم في كيفية قراءة كاليبر للبيانات الوصفية من الملفات عند إضافة كتب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "حفظ الكتب على القرص"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "التحكم في كيفية تصدير الملفات من النظم قاعدة البيانات الخاصة به على القرص عند استخدام حفظ القرص"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "إرسال الكتب الى الاجهزة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "تحكم في كيفية نقل كاليبر للملفات إلى قارئ الكتب الإلكترونية"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "لوحات بيانات التعريف"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "تغيير حقول البيانات الوصفية قبل حفظ/إرسال"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -779,92 +779,92 @@ msgstr "تغيير حقول البيان
 msgid "Template functions"
 msgstr "وظائف القالب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "متقدّم"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "خلق وظائف القالب الخاص بك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "مشاركة الكتب عبر البريد الإلكتروني"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "مشاركة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "تقاسم الإعداد من الكتب عبر البريد الإلكتروني. يمكن استخدامها ﻹرسال التلقائي لﻷنباء تحميلها إلى الأجهزة الخاصة بك"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "المشاركة عبر الشبكة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "قم بإعداد خادم محتوى كاليبر الذي سيتيح لك الوصول إلى مكتبة كاليبر الخاصة بك من أي مكان وعلى أي جهاز وعبر الإنترنت"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "تحميل البيانات الوصفية"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "التحكم في كيفية تنزيل كاليبر للبيانات الوصفية للكتاب الإلكتروني من الشبكة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "الأجهزة المتجاهلة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "حدّد  الأجهزة التي سيقوم calibre بتجاهلها عند وصلها بالحاسوب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "الملحقات"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "إضافة/إزالة/تخصيص أجزاء متنوعة من وظائف كاليبر"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "تطويعات"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "صقل مدى يتصرف النظم في سياقات مختلفة"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "الإختصارات"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "تخصيص اختصارات لوحة المفاتيح المستخدمة بواسطة كاليبر"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -872,7 +872,7 @@ msgstr "تخصيص اختصارات لو
 msgid "Miscellaneous"
 msgstr "متفرقات"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "المتقدمة التكوين المتنوعة"
 
@@ -1262,9 +1262,9 @@ msgstr "افراغ قاعدة البيا
 msgid "Restoring database from SQL"
 msgstr "استعادة قاعدة البيانات من SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1290,17 +1290,17 @@ msgstr "عمليات البحث المح
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "نعم"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "غلاف ل %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} صيغة ل {1}"
@@ -1686,14 +1686,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1701,7 +1701,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1709,39 +1709,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "ترتيب الترتيب بترتيب تصاعدي"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "السلسلة التي تستخدم لتفريق الحقول. الإفتراضي يستخدم الفراغ."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2288,21 +2288,21 @@ msgstr "فراغ"
 msgid "Invalid boolean query \"{0}\""
 msgstr "استعلام منطقي خاطئ \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "لا توجد هكذا مكتبة افتراضية: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "بحث المكتبة الافتراضية رجعي: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "ايجاد مجموعة استعلامات تراجعية : {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3478,11 +3478,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3491,12 +3491,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -3802,7 +3802,7 @@ msgid ""
 " speeding up device connections. Unsetting this option disables keeping the "
 "copy, forcing the device to send metadata to calibre on every connect. Unset"
 " this option if you think that the cache might not be operating correctly."
-msgstr ""
+msgstr "تعيين هذا الخيار يتيح لكاليبر الاحتفاظ بنسخة من البيانات الوصفية على الجهاز، مما يسرّع من اتصالات الجهاز. عدم تعيين هذا الخيار يعطل الاحتفاظ بالنسخة، مما يجبر الجهاز على إرسال البيانات الوصفية إلى كاليبر في كل اتصال. لا تعيّن هذا الخيار إذا كنت تظن أن الذاكرة الخبيئة قد لا تشتغل بصورة صحيحة."
 
 #: /__w/calibre/calibre/src/calibre/devices/smart_device_app/driver.py:337
 msgid "Additional file extensions to send to the device"
@@ -6051,7 +6051,7 @@ msgstr "الملاحظات"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6344,7 +6344,7 @@ msgid "Producer"
 msgstr "المنتج"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6352,7 +6352,7 @@ msgid "Comments"
 msgstr "التعليقات"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6392,7 +6392,7 @@ msgid "Tags"
 msgstr "الوسوم"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6426,7 +6426,7 @@ msgid "Timestamp"
 msgstr "ختم التوقيت"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8172,13 +8172,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8211,31 +8211,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "الشريط الجانبي"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -8888,7 +8888,7 @@ msgstr[5] ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:16
 #: /__w/calibre/calibre/src/calibre/gui2/actions/view.py:60
 msgid "Browse annotations"
-msgstr ""
+msgstr "تصفّح الحواشي"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "B"
@@ -9232,7 +9232,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -9295,11 +9295,11 @@ msgstr "تحويل الكتب فيما 
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/convert.py:57
 msgid "Convert individually"
-msgstr ""
+msgstr "التحويل فردياً"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/convert.py:60
 msgid "Bulk convert"
-msgstr ""
+msgstr "تحويل جماعي"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/convert.py:64
 msgid "Create a catalog of the books in your calibre library"
@@ -9907,27 +9907,27 @@ msgstr "تحميل البيانات ال
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:83
 msgid "Merge into first selected book - delete others"
-msgstr ""
+msgstr "الدمج إلى أول كتاب محدد - حذف الأخرى"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:86
 msgid "Merge into first selected book - keep others"
-msgstr ""
+msgstr "الدمج إلى أول كتاب محدد - إبقاء الأخرى"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:90
 msgid "Merge only formats into first selected book - delete others"
-msgstr ""
+msgstr "دمج الصيغ فقط إلى أول كتاب محدد - حذف الأخرى"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:95
 msgid "Copy metadata"
-msgstr ""
+msgstr "نسخ البيانات الوصفية"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:96
 msgid "Paste metadata"
-msgstr ""
+msgstr "لصق البيانات الوصفية"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:97
 msgid "Merge book records"
-msgstr ""
+msgstr "دمج قيود الكتب"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:98
 msgid "M"
@@ -9936,7 +9936,7 @@ msgstr "S"
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:113
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:116
 msgid "Cannot copy metadata"
-msgstr ""
+msgstr "لا يمكن نسخ البيانات الوصفية"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:117
 msgid "Multiple books selected, can only copy from one book at a time."
@@ -9945,7 +9945,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:133
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:138
 msgid "Cannot paste metadata"
-msgstr ""
+msgstr "لا يمكن لصق البيانات الوصفية"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:139
 msgid "No copied metadata available"
@@ -10269,7 +10269,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "مساعدة"
 
@@ -10879,7 +10879,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/show_quickview.py:103
 msgid "Search for the currently selected Quickview item"
-msgstr ""
+msgstr "ابحث عن عنصر المعاينة السريعة المحدد حاليا"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/show_quickview.py:131
 msgid "No quickview available"
@@ -10991,7 +10991,7 @@ msgstr "ابحث عند العشرات 
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/store.py:23
 msgid "Search for e-books"
-msgstr ""
+msgstr "البحث عن الكتب الالكترونية"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/store.py:29
 msgid "this author"
@@ -11009,7 +11009,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:781
 #, python-format
 msgid "Search for %s"
-msgstr ""
+msgstr "البحث عن %s"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/store.py:36
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search_ui.py:185
@@ -11317,15 +11317,15 @@ msgstr "مشاهدة صيغة محددة
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/view.py:57
 msgid "View with calibre E-book viewer"
-msgstr ""
+msgstr "المشاهدة بمعاين كاليبر للكتب الالكترونية"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/view.py:58
 msgid "Read a random book"
-msgstr ""
+msgstr "قراءة كتاب عشوائي"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/view.py:64
 msgid "Clear recently viewed list"
-msgstr ""
+msgstr "إفراغ لائحة المُشاهَد مؤخرا"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/view.py:67
 msgid "Continue reading previous book"
@@ -11556,7 +11556,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "تجاهل"
 
@@ -11686,8 +11686,8 @@ msgstr "غير الطريقة التي 
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11818,14 +11818,14 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:79
 msgid "Search the internet for this book"
-msgstr ""
+msgstr "ابحث الانترنت عن هذا الكتاب"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11968,7 +11968,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -11989,7 +11989,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:437
 #, python-brace-format
 msgid "Search {0} for this book"
-msgstr ""
+msgstr "ابحث {0} عن هذا الكتاب"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:445
 msgid "Open the Book details window"
@@ -12295,7 +12295,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12372,7 +12372,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "حفظ"
 
@@ -12381,10 +12381,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12497,8 +12497,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -12924,11 +12924,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/bulk.py:90
 msgid "Bulk convert one book"
-msgstr ""
+msgstr "تحويل كتاب واحد جماعيا"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/bulk.py:90
 msgid "Bulk convert {} books"
-msgstr ""
+msgstr "تحويل {} كتاب جماعيا"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/comic_input.py:17
 msgid "Comic input"
@@ -13684,7 +13684,7 @@ msgid "Ta&gs:"
 msgstr "ال‍&وسوم:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13699,8 +13699,8 @@ msgstr "ال‍&س‍لسلة:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "قائمة السلسلات المعروفة. بإمكانك إضافة سلسلات جديدة."
@@ -14567,7 +14567,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14908,19 +14908,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14994,8 +14994,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15076,7 +15076,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16664,7 +16664,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16672,7 +16672,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16680,7 +16680,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16688,7 +16688,7 @@ msgid "Swap case"
 msgstr "بادِل حالة الحروف"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16722,7 +16722,7 @@ msgid "Manage authors"
 msgstr "إدارة المؤلفين"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "الب‍&‍ح‍ث عن:"
@@ -17147,57 +17147,57 @@ msgstr[3] ""
 msgstr[4] ""
 msgstr[5] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17207,22 +17207,22 @@ msgstr[3] ""
 msgstr[4] ""
 msgstr[5] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17230,7 +17230,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17240,7 +17240,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17255,80 +17255,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
-msgstr ""
+msgstr "يجب أن تعيّن تعبير بحث في حقل \"البحث عن\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "ال‍&م‍ؤلف(ون):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17336,90 +17345,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "&ضبط ترتيب المؤلف آلياً"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "ترتيب الم‍&‍ؤلف:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "عيّن كيف سيرتَّب مؤلف(و) هذا الكتاب. مثلا Charles Dickens ينبغي أن يرتَّب هكذا Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "و التقييم"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&الناشر: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "إذا أُشِّر، قسيفرَّغ الناشر"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "تعيين الأغلفة لكل الكتب المحددة ليكون نفس\nغلاف أول كتاب محدد."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&حذف الوسوم:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "قائمة من الوسوم مفرقة بالفاصلة لحذفها من الكتب. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "إذا أُشِّر، قسيفرَّغ الناشر"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "إذا أُشِّر، قستفرَّغ السلسلة"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17427,281 +17431,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "إذا أُشِّر، قستفرَّغ السلسلة"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
+msgstr "تفريغ تاريخ النشر"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&حذف الوسوم:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "عيّن كيف سيرتَّب مؤلف(و) هذا الكتاب. مثلا Charles Dickens ينبغي أن يرتَّب هكذا Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
-msgstr "تفريغ تاريخ النشر"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "ال‍&م‍ؤلف(ون):"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&الناشر: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "قائمة من الوسوم مفرقة بالفاصلة لحذفها من الكتب. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "ترتيب الم‍&‍ؤلف:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "تعيين الأغلفة لكل الكتب المحددة ليكون نفس\nغلاف أول كتاب محدد."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "و التقييم"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "ال‍&ق‍الب:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17709,48 +17735,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18178,12 +18204,12 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:297
 msgid "Search for item in the Tag browser"
-msgstr ""
+msgstr "ابحث عن عنصر في متصفح الوسوم"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:299
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:317
 msgid "Search for item in the library"
-msgstr ""
+msgstr "ابحث عن عنصر في المكتبة"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:314
 msgid "Select this book in the library"
@@ -18206,42 +18232,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
-msgstr ""
+msgstr "انقر لتُظهر فقط كتباً بهذا العنصر. انقر مزدوجاً للبحث عن هذا العنصر في متصفح الوسوم"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18347,87 +18373,87 @@ msgstr "استعادة قاعدة بيا
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "أضف بحثاً محفوظاً جديداً"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "يمكنك إنشاء <i>بحث محفوظ</i>، لعمليات البحث المتكررة الإستخدام هنا. سيكون البحث مرئيا تحت <i>عمليات البحث المحفوظة</i> في متصفح الوسوم، ميتخدماً الإسم الذي تحدده هنا."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "إسم عملية البحث المحفوظة"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "ال‍&‍ب‍حث:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "تعبير البحث"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "يجب أن تعيّن إسماً للبحث المحفوظ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "لا يوجد تعبير بحث"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "يجب أن تحدد تعبير بحث للبحث المحفوظ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "إدارة عمليات البحث المحفوظة"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "إ&ض‍افة بحث"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "إ&زالة بحث"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "تح‍&‍رير بحث"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "البحث المحفوظ الحالي سوف <b>يُحذَف نهائياً</b>. أأنت متأكد؟"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "حرر الإسم و/أو التعبير في أدناه."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "تحرير البحث المحفوظ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "يوجد بحث محفوظ بالإسم {} مسبقاً. اختر اسماً آخر"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "تعبير بحث"
 
@@ -19200,7 +19226,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:294
 msgid "Search for {}"
-msgstr ""
+msgstr "البحث عن {}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:297
 msgid "Filter by {}"
@@ -19325,48 +19351,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "تدريب لغة القالب"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "مسند دالة القالب"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "دالة قالب بلغة بايثون"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20365,7 +20407,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/jobs.py:642
 msgid "Search for a job by name"
-msgstr ""
+msgstr "البحث عن مهمة بالإسم"
 
 #: /__w/calibre/calibre/src/calibre/gui2/jobs.py:691
 #: /__w/calibre/calibre/src/calibre/gui2/jobs.py:713
@@ -20443,14 +20485,14 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:673
 msgid "Search for a shortcut by name"
-msgstr ""
+msgstr "ابحث عن اختصار بالإسم"
 
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:715
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:257
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20609,8 +20651,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "عدّل الملاحظات"
 
@@ -20635,14 +20677,14 @@ msgstr[4] ""
 msgstr[5] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -20728,7 +20770,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:749
 msgid "Annotations browser"
-msgstr ""
+msgstr "متصفح الحواشي"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:767
 msgid "Match on related English words"
@@ -22310,7 +22352,7 @@ msgid ""
 "\n"
 "Title matching ignores leading indefinite articles (\"the\", \"a\", \"an\"), punctuation, case, etc.\n"
 "Author matching is exact."
-msgstr ""
+msgstr "الدمج التلقائي: إذا عُثر على كتب بنفس العنوان والمؤلف، تلقائياً إدمج الصيغ (الملفات) المتلقاة إلى\nقيود الكتب الموجودة. هذا المربع يتحكم في ما يحصل يكون لقيد موجود مسبقاً\nنفس الصيغة المتلقاة. \n\nأهمل الصيغ المكررة المستلَمة - تعني أن الصيغ الموجودة في مكتبة كاليبر الخاصة بك لن تُستَبدل\nاكتب على الصيغ المكررة الموجودة - تعني أن الصيغ الموجودة في مكتبة كاليبر الخاصة بك ستُستَبدل\nأنشيء سجلا جديدا لكل صيغة مكررة - تعني إنشاء مُدخَل كتاب جديد لكل الصيغ المكررة\n\nتطابق العنوان يتجاهل أدوات التعريف البدائية (\"the\"، \"a\"، \"an\") والتنقيط وحالة الحروف، الخ.\nتطابق المؤلف دقيق."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:238
 msgid "&Tags to apply when adding a book:"
@@ -22890,60 +22932,60 @@ msgstr "<li>اذا كان <b>%(col)s</b>
 msgid "value: "
 msgstr "القيمة:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "حرّك القاعدة المحددة للأعلى"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "حرّك القاعدة المحددة للأسفل"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "استورد قواعد من ملف"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "يمكنك التحكم بالأعمدة في لائحة الكتب بإنشاء \"قواعد\" تخبر كاليبر باللون المستخدَم. انقر على زر \"إضافة قاعدة\" أدناه لتبدأ.<p>يمكنك <b>تغيير القاعدة الحالية</b> بالنقر المزدوج عليها."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "يمكنك إضافة أيقونات الى الأعمدة في لائحة الكتب بإنشاء \"قواعد\" تخبر كاليبر بالأيقونة المستخدَمة. انقر على زر \"إضافة قاعدة\" أدناه لتبدأ.<p>يمكنك <b>تغيير القاعدة الحالية</b> بالنقر المزدوج عليها."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22951,57 +22993,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "يمكنك إضافة شارات (أيقونات صغيرة) تُعرَض على جوانب الأغلفة في شبكة الغلاف بإنشاء \"قواعد\" تخبر كاليبر بالصورة المستخدَمة. انقر على زر \"إضافة قاعدة\" أدناه لتبدأ.<p>يمكنك <b>تغيير القاعدة الحالية</b> بالنقر المزدوج عليها."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "إذا كان الخيار مؤشَّراً، يمكنك إخبار كاليبر أن يعرض أيقونات من اختيارك بجانب الأغلفة الظاهرة في شبكة الغلاف، تتحكم به البيانات الوصفية للكتاب."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "لا قاعدة محدَّدة"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "لا قاعدة محدَّدة لـ %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "إزالة"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "حدد ملفاً لتصدّر إليه"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "القواعد"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "حدد ملفاً لتستورد منه"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "لم يُعثَر على قواعد صحيحة"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "لم يُعثَر على قواعد صحيحة في {}."
 
@@ -23685,35 +23727,35 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:68
 msgid "Search for the author on Goodreads"
-msgstr ""
+msgstr "ابحث عن المؤلف في موقع Goodreads"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:69
 msgid "Search for the author on Amazon"
-msgstr ""
+msgstr "ابحث عن المؤلف في موقع أمازون Amazon"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:70
 msgid "Search for the author in your calibre library"
-msgstr ""
+msgstr "ابحث عن المؤلف في مكتبة كاليبر الخاصة بك"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:71
 msgid "Search for the author on Wikipedia"
-msgstr ""
+msgstr "ابحث عن المؤلف في موقع ويكيبديا"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:72
 msgid "Search for the author on Google Books"
-msgstr ""
+msgstr "ابحث عن المؤلف في موقع كتب غوغل"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:73
 msgid "Search for the book on Goodreads"
-msgstr ""
+msgstr "ابحث عن الكتاب في موقع Goodreads"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:74
 msgid "Search for the book on Amazon"
-msgstr ""
+msgstr "ابحث عن الكتاب في موقع أمازون Amazon"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:75
 msgid "Search for the book on Google Books"
-msgstr ""
+msgstr "ابحث عن الكتاب في موقع كتب غوغل"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:76
 msgid "Use a custom search URL"
@@ -23843,13 +23885,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "أسفل"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "أعلى"
 
@@ -23883,7 +23925,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "بواسطة الحرف الأول"
 
@@ -24164,7 +24206,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24856,7 +24898,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -24910,7 +24952,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:244
 msgid "Search for plugin"
-msgstr ""
+msgstr "البحث عن ملحقة"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:258
 msgid "Could not find any matching plugins"
@@ -25425,7 +25467,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25560,7 +25602,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25575,7 +25617,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26188,7 +26230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:462
 msgid "Search for tweak"
-msgstr ""
+msgstr "البحث عن تطويع"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:498
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:539
@@ -26226,7 +26268,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/save.py:143
 msgid "Copying files and writing metadata..."
-msgstr ""
+msgstr "ينسخ الملفات ويكتب البيانات الوصفية..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/save.py:144
 msgid "Copying files..."
@@ -26927,7 +26969,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:197
 msgid "You must enter a title, author or keyword to search for."
-msgstr ""
+msgstr "يجب أن تُدخل عنوانا أو مؤلفا أو كلمة مفتاحية لتبحث عنها."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:322
 msgid "Customize Get books search"
@@ -27092,7 +27134,7 @@ msgid "Books in this category are unrate
 msgstr "الكتب في هذا الصنف غير مقيَّمة"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "تعبير البحث:"
 
@@ -27383,7 +27425,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27443,95 +27485,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
-msgstr ""
+msgstr "البحث عن %s وفروعه"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
-msgstr ""
+msgstr "البحث عن كل شيء إلّا %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
-msgstr ""
+msgstr "البحث عن كل شيء إلّا %s وفروعه"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "البحث باستخدام تعبير بحث محفوظ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
-msgstr ""
+msgstr "البحث عن كتب في التصنيف %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
-msgstr ""
+msgstr "البحث عن كتب ليست في التصنيف %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "إدارة أصناف المستخدمين"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "التقسيم"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27683,7 +27725,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/toc/location.py:133
 msgid "Search for text..."
-msgstr ""
+msgstr "البحث عن نص..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/toc/location.py:135
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:547
@@ -28188,7 +28230,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28723,7 +28766,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "نبذ"
 
@@ -29857,7 +29900,7 @@ msgid ""
 "Search for Unicode characters by using the English names or nicknames. You "
 "can also search directly using a character code. For example, the following "
 "searches will all yield the no-break space character: U+A0, nbsp, no-break"
-msgstr ""
+msgstr "البحث عن رموز بالتشفير الموحد Unicode باستخدام أسماء أو أسماء تصغير انكليزية. يمكنك أيضاً البحث مباشرة باستخدام شفرة الرمز. مثلا، عمليات البحث التالية ستعطي رمز الفراغ غير الفاصل: U+A0، nbsp، no-break"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:723
 msgid "Search by name, nickname or character code"
@@ -30073,7 +30116,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/diff/main.py:260
 msgid "Search for text"
-msgstr ""
+msgstr "البحث عن نص"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/diff/main.py:266
 msgid "Next &match"
@@ -30497,7 +30540,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:238
 msgid "Search for image by file name"
-msgstr ""
+msgstr "البحث عن صورة بإسم الملف"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:252
 msgid "Refresh the displayed images"
@@ -30724,7 +30767,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:583
 msgid "Search for a snippet"
-msgstr ""
+msgstr "البحث عن مقطع برمجي"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:598
 msgid "&Add snippet"
@@ -30977,7 +31020,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32320,7 +32363,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32947,7 +32990,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34833,16 +34876,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34852,7 +34895,7 @@ msgstr[3] ""
 msgstr[4] ""
 msgstr[5] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34863,39 +34906,39 @@ msgstr[3] ""
 msgstr[4] ""
 msgstr[5] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34905,11 +34948,11 @@ msgstr[3] ""
 msgstr[4] ""
 msgstr[5] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35220,7 +35263,7 @@ msgstr "بحث جدول المحتويا
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toc.py:129
 msgid "Search for text in the Table of Contents"
-msgstr ""
+msgstr "البحث عن نص في جدول المحتويات"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toc.py:146
 #, python-format
@@ -35363,7 +35406,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "التفّ هنا"
 
@@ -35439,13 +35482,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35610,10 +35653,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "إلغاء"
 
@@ -36254,7 +36297,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36303,7 +36346,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36780,177 +36823,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "كلمة السر فارغة غير مقبولة"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37362,13 +37436,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37376,23 +37451,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37405,7 +37480,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37564,128 +37639,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37740,60 +37815,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "الدالة add(x, y‎) -- تُرجع x + y. تُلقي استثناءاً إذا لم يكن أيّ من x أو y عدداً."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37805,7 +37880,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37816,13 +37891,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37832,30 +37907,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37865,7 +37940,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- يرجع عدد حروف من مرتبة البداية الى مرتبة النهاية من السلسة str. الحرف الأول في السلسة str الحرف ذو المرتبة الصفرية. إذا كانت النهاية سالبة، لإذن فهذا يشير إلى أن كثيرا من الحروف معدودة من اليمين. إذا كانت النهاية صفرا، فهذا يشير إلى الحرف الأخير. مثلا، substr('12345', 1, 0) يُرجع '2345', و substr('12345', 1, -1) يُرجع '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37875,24 +37950,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "الدالة contains(val, pattern, text if match, text if not match) -- تفحص فيما لو أن val تحتوي مطابِقات للتعبير النظامي `pattern`. تُرجِع `text if match` إذا عُثر على مطابِقات، وإلا فترجع `text if no match`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37901,11 +37976,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37915,19 +37990,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37937,11 +38012,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37953,11 +38028,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37968,14 +38043,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37988,20 +38063,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -38015,7 +38090,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -38023,7 +38098,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -38032,14 +38107,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -38052,19 +38127,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -38074,7 +38149,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -38082,7 +38157,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -38090,13 +38165,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -38107,7 +38182,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -38120,7 +38195,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38137,7 +38212,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38160,23 +38235,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38185,7 +38260,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38194,55 +38269,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "الدالة and(value, value, ...) -- تُرجع المقطع \"1\" إذا كانت كل القيم غير فارغة، وإلا تُرجع المقطع الفارغ. تعمل هذه الدالة جيدا مع test أو first_non_empty. يمكن أن تضع قيماً قدر ما تريد."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38251,7 +38326,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38259,7 +38334,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38267,7 +38342,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38275,7 +38350,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38284,7 +38359,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38293,7 +38368,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38301,14 +38376,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38316,7 +38391,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38324,28 +38399,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38354,7 +38429,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38363,7 +38438,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38372,7 +38447,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38380,7 +38455,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38392,7 +38467,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38403,7 +38478,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38411,13 +38486,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38425,7 +38500,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38438,11 +38513,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38450,11 +38525,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38463,7 +38538,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38474,7 +38549,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38484,6 +38559,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38772,29 +38853,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -39161,185 +39242,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "حسنا"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "حفظ الكل"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "فتح"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&ن‍عم"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&ك‍لا"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "إبطال"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "إعادة المحاولة"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "غلق"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "تطبيق"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "تصفير"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "استعادة الضبط الإفتراضي"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "المؤشر عند %1, %2\nاضغط ESC للإلغاء"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "اختر لوناً"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "اختر خطّاً"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "مؤثرات"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "نموذج"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "الحافة اليسرى"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "الحافة اليمنى"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "يسار الصفحة"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "أعلى الصفحة"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "أسفل الصفحة"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "يمين الصفحة"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "إذهب يسارا"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "تدرَج للأعلى"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "إذهب للأسفل"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "إذهب يمينا"
 
@@ -39619,8 +39700,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39676,7 +39757,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ast.po 5.10.0+dfsg-1/translations/calibre/ast.po
--- 5.9.0+dfsg-3/translations/calibre/ast.po	2021-01-06 15:31:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ast.po	2021-01-20 15:26:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Nun fai nada"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Nun fai nada"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Nun fai nada"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Nun fai nada"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Nun fai nada"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Nun fai nada"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Personalizar"
 msgid "Cannot configure"
 msgstr "Nun se pue configurar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Formatu de ficheru"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Llector de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Escritor de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Xenerador de catálogos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Preferencies"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Atroxar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr "Crear un ficheru TXTZ cuando s'i
 msgid "Extract cover from comic files"
 msgstr "Estrayer la portada de los ficheros de cómic"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lleer metadatos de los ficheros %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Afitar metadatos nos ficheros %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Afitar metadatos dende ficheros %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Amestar llibros a calibre o al preséu conuetáu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Obtener notes d'un Kindle coneutáu (esperimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Xenerar un catálogu de los llibros na to biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Esborrar llibros de la biblioteca calibre o del preséu coneutáu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editar los metadatos de los llibros na biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Lleer llibros de la biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Amosar rápido una llista de llibros rellacionaos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Pesllar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/az.po 5.10.0+dfsg-1/translations/calibre/az.po
--- 5.9.0+dfsg-3/translations/calibre/az.po	2021-01-06 15:31:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/az.po	2021-01-20 15:26:47.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "Heç bir şey etmir"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "Heç bir şey etmir"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "Heç bir şey etmir"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "Heç bir şey etmir"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "Heç bir şey etmir"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "Heç bir şey etmir"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "Fərdiləşdir"
 msgid "Cannot configure"
 msgstr "Konfiqurasiya etmək mümkün deyil"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Fayl tipi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metaverilənlər oxuyucusu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metaverilənlər yazan"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Kataloq generatoru"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Parametrlər"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Mağaza"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "E-kitablar mağazası."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Kitab redaktoru"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Kitabxana bağlıdır"
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Örtüyü komik fayllardan düzəldin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Metaverilənləri %s faylından oxu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Metaverilənləri %s faylında təyin et"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Metaverilənləri %s fayllaından təyin et"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Kitabları calibre-ə və ya qoşulmuş cihaza əlavə et"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Annotasiyaları bağlanmış Kindle-dan əldə et"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Calibre kitabxanasındakı kitablardan kataloq generasiya et"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Kitabları müxtəlif e-kitab formatlarına çevir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "E-kitablarınızı sazlayın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Kitablarınızda mündəricatı redaktə edin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Kitabları Calibre və ya bağlanmış qurğulardan sil"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Calibre kitabxananızdakı kitabların metaverilənlərini redaktə et"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Calibre kitabxananızdakı kitabları oxu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Əlaqəli kitablar siyahısını cəld göstər"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Kitablarınızı Calibre-dən kompüterinizə ixrac edin."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Calibre-ni yenidən başlat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Bu kitabın içində yerləşdiyi Calibre kitabxana qovluğunu açın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Qoşulmuş qurğuya kitab göndərin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Calibre istifadəçi təlimat səhifəsini aç"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Calibre xüsusiyyətlərini dəyiş"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Seçilmiş kitaba oxşar kitabları tap"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kitabı bir Calibre kitabxanasından digərinə köçürün"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "EPUB yaxud AZW3 formatında e-kitabları redaktə et"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Calibre kitabxananızdan təsadüfi kitab seçin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Kitablar siyahısını sırala"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Müvəqqəti olaraq kitabları nişanla"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Kitabı başqa kitab satıcılarında axtar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Calibre-niz üçün yeni qoşmalar əldə edin və ya mövcud olanları yeniləyin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Tərtibat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Görüntü"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Davranış"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Öz sütunlarınızı əlavə edin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Calibre kitab siyahısına öz sütunlarınızı əlavə edin/silin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Alətlər paneli və kontekst menyuları redaktə edin,"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Axtarılır"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Calibre-də kitab axtarış metodunu dəyişdirin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Giriş parametrləri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Çevrilmə"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Hər bir giriş formatı üçün çevirmə parametrləri təyin edin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Çıxış parametrləri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Hər bir çıxış formatı üçün çevirmə parametrləri təyin edin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Kitab əlavə edilməsi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "İmport/Eksport"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Kitabların disk yaddaşa verilməsi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Kitabların cihazlara göndərilməsi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metaverilənlər şablonları"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Ətraflı"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Öz çablon funksiyalarınızı yaradın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Kitabların e-poçtla paylaşılması"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Paylaşma"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "İnternet üzərindən paylaşma"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Meta-məlumatların yüklənməsi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Qoşmalar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Calibre-də istifadə edilən klaviatura kombinasiyalarının tənzimlənməsi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr "Calibre-də istifadə edilən kl
 msgid "Miscellaneous"
 msgstr "Digər"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Bəli"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "%s üçün üzlük"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Kömək"
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Nəzərə alma"
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Yadda saxla"
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Sil"
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr "&Seriyalar:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Kiçik hərflər"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Böyük hərflər"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Baş hərflər böyük"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Reytinq:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Teq redaktorunu aç"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Tarix:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Tarix:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "&Dillər:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "&Dillər:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Teq redaktorunu aç"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Reytinq:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr "Teq 1"
 msgid "Tag 2"
 msgstr "Teq 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Aşağı"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Yuxarı"
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Altdan xətt"
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Buraya sürüşdür"
 
@@ -35185,13 +35228,13 @@ msgstr "Kitabı yükləmək mümkün olm
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Arxa fon üçün şəkil seç"
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "İmtina"
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Hamısını yadda saxla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Aç"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Bəli"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Bəli &hamısı üçün"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Xeyr"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Xe&yr hamısı üçün"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Təkrar cəhd et"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Bağla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Tətbiq et"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Standart parametrləri bərpa et"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Qırmızı:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Yaşıl:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Göy:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lfa kanal:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Kursor mövqeyi %1, %2\nİmtina etmək üçün ESC düyməsinə basın"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Rəng seç"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Ə&sas rənglər"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&İstifadəçi rəngləri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "İstifadəçi rənglərinə &əlavə et"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "Ekran rəngini &seç"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Şrift seç"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "Şri&ft"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Şrift üsl&ubu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Ölçü"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Effektlər"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "&Qarala"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Nümunə"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Ya&zı sistemi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Sol kənar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Sağ kənar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Sola vərəqlə"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Yuxarı vərəqlə"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Aşağı vərəqlə"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Sağa vərəqlə"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Sola sürüşdür"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Yuxarı sürüşdür"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Aşağı sürüşdür"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Sağa sürüşdür"
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/be.po 5.10.0+dfsg-1/translations/calibre/be.po
--- 5.9.0+dfsg-3/translations/calibre/be.po	2021-01-06 15:29:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/be.po	2021-01-20 15:26:46.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -91,15 +91,15 @@ msgstr "Нічога не робіць"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -120,7 +120,7 @@ msgstr "Нічога не робіць"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -220,16 +220,16 @@ msgstr "Нічога не робіць"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -255,7 +255,7 @@ msgstr "Нічога не робіць"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -287,7 +287,7 @@ msgstr "Нічога не робіць"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -306,7 +306,7 @@ msgstr "Нічога не робіць"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -330,27 +330,27 @@ msgstr "Наладзіць"
 msgid "Cannot configure"
 msgstr "Немагчыма наладзіць"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Тып файла"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Чытальнік метаданых"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Запісвацель метаданых"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Генератар каталога"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -362,20 +362,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Налады"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Крама"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -397,372 +397,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Узяць вокладку з файлаў коміксаў"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Счытаць метаданыя з %s файлаў"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Дадаць кнігі ў calibre альбо на падлучаную прыладу"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Счытаць анатацыі з падлучанага Kindle (эксперыментальная функцыя)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Згенераваць каталог кніг вашай бібліятэкі calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Выдаліць кнігі з бібліятэкі calibre альбо падлучанай прылады "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Рэдагаваць метаданыя кніг з вашай бібліятэкі "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Чытаць кнігі з бібліятэкі "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Фільтраваць/змяніць пазнакі кніг з бібліятэкі "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Экспартаваць кнігі з бібліятэкі на цвёрды дыск "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Перазапусціць calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Адкрыць каталог з файламі кніг вашай бібліятэкі "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Пераслаць кнігі на падлучаную прыладу "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Зазірнуць у дапаможнік "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Наладзіць calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Хуткі пошук кніг, падобных да вылучанай"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Капіяваць кнігі з прылады ў вашую бібліятэку"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Капіяваць кнігі з адной бібліятэкі calibre у іншыя"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Абраць выпадковую кнігу з бібліятэкі"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Сартаваць кнігі ў спісе"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Выгляд "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Паводзіны"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Наладзіць паліцы прылад і меню, змяніць даступныя дзеянні"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Прагляд"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Пераўтварэнне"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Даданне кніг "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Налады чытання метаданых падчас дадання кніг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Захаванне кніг на дыску"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Налады экспарту файлаў з базы даных на дыск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Перадача кніг на прылады"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -772,92 +772,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Налады"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Сінхранізацыя  кніг праз электронную пошту "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Сінхранізацыя"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Налады сінхранізацыі праз электронную пошту. Спампаваныя навіны могуць аўтаматычна адпраўляцца на вашыя прылады"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Сінхранізацыя праз інтэрнэт "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Спампоўванне метаданых "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ігнаруемыя прылады"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Убудовы"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -865,7 +865,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1255,9 +1255,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1283,17 +1283,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Так"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1679,14 +1679,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1694,7 +1694,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1702,39 +1702,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2281,21 +2281,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3471,11 +3471,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3484,12 +3484,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6044,7 +6044,7 @@ msgstr "Заўвагі"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6337,7 +6337,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6345,7 +6345,7 @@ msgid "Comments"
 msgstr "Каментары"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6385,7 +6385,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6417,7 +6417,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8155,13 +8155,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8194,31 +8194,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9201,7 +9201,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10224,7 +10224,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Даведка"
 
@@ -11497,7 +11497,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11627,8 +11627,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11762,11 +11762,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11909,7 +11909,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12236,7 +12236,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12313,7 +12313,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Захаваць"
 
@@ -12322,10 +12322,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Выдаліць"
@@ -12438,8 +12438,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13625,7 +13625,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13640,8 +13640,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14508,7 +14508,7 @@ msgid "Choose color"
 msgstr "Абраць колер"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14849,19 +14849,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14935,8 +14935,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15017,7 +15017,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16601,7 +16601,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16609,7 +16609,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16617,7 +16617,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16625,7 +16625,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16659,7 +16659,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17082,57 +17082,57 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17140,22 +17140,22 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17163,7 +17163,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17173,7 +17173,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17188,80 +17188,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17269,90 +17278,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17360,281 +17364,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Улічваць &памер літар"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17642,48 +17668,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18139,42 +18165,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18280,87 +18306,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19258,48 +19284,64 @@ msgstr "Пазнака 1"
 msgid "Tag 2"
 msgstr "Пазнака 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20373,7 +20415,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20532,8 +20574,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20554,14 +20596,14 @@ msgstr[2] ""
 msgstr[3] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22795,60 +22837,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22856,57 +22898,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23748,13 +23790,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Знізу"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Зверху"
 
@@ -23788,7 +23830,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -24069,7 +24111,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Адключаны"
 
@@ -24761,7 +24803,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25330,7 +25372,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25465,7 +25507,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25478,7 +25520,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26993,7 +27035,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27284,7 +27326,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27344,95 +27386,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28089,7 +28131,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28622,7 +28665,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30868,7 +30911,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32203,7 +32246,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32830,7 +32873,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Экспарт"
 
@@ -34710,16 +34753,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34727,7 +34770,7 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34736,39 +34779,39 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34776,11 +34819,11 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35234,7 +35277,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35310,13 +35353,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35481,10 +35524,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Скасаваць"
 
@@ -36125,7 +36168,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36174,7 +36217,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36651,177 +36694,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "прадвызначана"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Дадаць новага карыстальніка"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Выдаліць карыстальніка"
 
@@ -37231,13 +37305,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37245,23 +37320,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37274,7 +37349,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37433,128 +37508,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37609,60 +37684,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37674,7 +37749,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37685,13 +37760,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37701,30 +37776,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37734,7 +37809,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37744,24 +37819,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37770,11 +37845,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37784,19 +37859,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37806,11 +37881,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37822,11 +37897,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37837,14 +37912,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37857,20 +37932,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37884,7 +37959,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37892,7 +37967,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37901,14 +37976,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37921,19 +37996,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37943,7 +38018,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37951,7 +38026,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37959,13 +38034,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37976,7 +38051,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37989,7 +38064,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38006,7 +38081,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38029,23 +38104,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38054,7 +38129,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38063,55 +38138,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38120,7 +38195,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38128,7 +38203,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38136,7 +38211,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38144,7 +38219,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38153,7 +38228,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38162,7 +38237,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38170,14 +38245,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38185,7 +38260,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38193,28 +38268,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38223,7 +38298,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38232,7 +38307,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38241,7 +38316,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38249,7 +38324,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38261,7 +38336,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38272,7 +38347,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38280,13 +38355,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38294,7 +38369,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38307,11 +38382,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38319,11 +38394,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38332,7 +38407,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38343,7 +38418,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38353,6 +38428,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38641,29 +38722,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "Адсутнічае )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -39028,185 +39109,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Добра "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Захаваць усё "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Адкрыць"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Так"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Т&ак для ўсіх"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Не"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Н&е для ўсіх"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Скасаваць "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Паўтарыць"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Закрыць"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Ужыць "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Скінуць"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Абраць колер"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Базавыя колеры"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Адвольныя колеры"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Абраць шрыфт "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Шрыфт:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Ст&ыль шрыфту"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Памер"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Эфекты"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39486,8 +39567,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39543,7 +39624,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/bg.po 5.10.0+dfsg-1/translations/calibre/bg.po
--- 5.9.0+dfsg-3/translations/calibre/bg.po	2021-01-06 15:30:17.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/bg.po	2021-01-20 15:26:24.000000000 +0000
@@ -21,8 +21,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -101,15 +101,15 @@ msgstr "Не прави абсолютн
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -130,7 +130,7 @@ msgstr "Не прави абсолютн
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -230,16 +230,16 @@ msgstr "Не прави абсолютн
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -265,7 +265,7 @@ msgstr "Не прави абсолютн
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -297,7 +297,7 @@ msgstr "Не прави абсолютн
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -316,7 +316,7 @@ msgstr "Не прави абсолютн
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -340,27 +340,27 @@ msgstr "Персонализиране"
 msgid "Cannot configure"
 msgstr "Не може да се конфигурира"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Тип на файла"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Четене на метаданни"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Запис на метаданни"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Генериране на каталог"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Дейстия от потребителския интерфейс"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -372,20 +372,20 @@ msgstr "Дейстия от потреб
 msgid "Preferences"
 msgstr "Предпочитания"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Съхраняване"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Магазин за е-книги."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Инструмент за редактиране на книга"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Библиотеката затворена"
 
@@ -407,372 +407,372 @@ msgstr "Създаване на TXTZ а
 msgid "Extract cover from comic files"
 msgstr "Извлича корица от comic файлове"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Чете  метаданни от %s файлове"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Чете метаданни от е-книги в RAR архиви"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Чете метаданни от е-книги в ZIP архиви"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Влага метаданни в %s файлове"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Натиснете {0} долу за да накарате плугина за писане на EPUB метаданни да не добавя корици към EPUB файловете, които нямат съществуваща корица"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Влага метаданни от %s файлове"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Добави книги в calibre или към свързано устройство"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Извлечи анотации от свързано Kindle устройство (експериментално)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Генерирай каталог от книгите в calibre библиотеката"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Конвертирай книги от различни формати"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Фина настройка на електронните книги"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Редактирай съдържанието на книгите"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Изтрийте книги от calibre библиотеката или от свързано устройство"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Поставете обновените мета данни в съществуващи книги във вашата calibre библиотека"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Редактира мета данните на книгите във вашата calibre библиотека"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Четете книги от вашата calibre библиотека"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Заредете новини от Интернет като електронна книга"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Покажи списък на сродните книги бързо"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Филтриране/трансформиране на таговете на книги в библиотеката"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Покажи редактор за тестови шаблони"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Експортира книги от вашата calibre библиотека на твърдия диск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Покажи детайли за книгата в отделен изскачащ прозорец"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Презареждане на calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Отвори папката, съдържаща файловете на книгите във calibre библиотеката"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Изпрати книги към свързаното устройство"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Преглед на ръководството за потребителя"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Персонализирай calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Намерете лесно книги, подобни на по настоящем избраната"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Премини между различите calibre библиотеки и извършете поддръжка"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Копиране на книги от устройството във Вашата calibre библиотека"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Редактирайте колекциите, в които са включени книгите от вашето устройство"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Сравняване на книги на устройствата с книги в библиотеката"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Копирайте книга от една calibre библиотека в друга"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Редактиране на книги в EPUB или AZW3 формат"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Направи малки промени в EPUB или HTMLZ файлове във вашата calibre библиотека"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Намерете следващото или предишното съвпадение при търсене във вашата calibre библиотека в режим на подчертаване"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Избира произволна книга от вашата calibre библиотека"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Подреждане на списъка с книги"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Временно избиране на книги"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Търсете книги от различни търговци"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Свалете нови плъгини за calibre или обновете съществуващите"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Външен вид"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Интерфейс"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Настройте външния вид на calibre според вашите предпочитания"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Поведение"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Настройте начина по който се държи calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Добавяне на собствени колони"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Добавете/премахнете свои собствени колони в списъка с книги на calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Персонализирайте лентите с инструменти и контекстните менюта, избирайки кои действия да бъдат на разположение в тях"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Търсене..."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Персонализиране на начина, по който търсенето за книги работи в calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Настройки за въвеждане"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Конвертиране"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Задайте опции за конвертиране, специфични за всеки входен формат"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Общи настройки"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Задайте опции за конвертиране, общи за всички формати"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Настройки за изходни формати"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Избор на специфични настройки за конвертиране за всеки файлов формат за експортиране"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Добавяне на книги..."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Внасяне/Изнасяне"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Управление на това как calibre чете метаданни от файлове при добавяне на книги"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Запазване на книги на диск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Определя как Калибър експортира файлове от неговата база данни към диск, когато използвате Запази на диск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Качване на книги към устройства"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Управлявай как calibre прехвърля файлове в четеца за е-книги"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Полета за поставяне на метаданни"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "С промяна на полетата с метаданни преди запис/изпращане"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -782,92 +782,92 @@ msgstr "С промяна на поле
 msgid "Template functions"
 msgstr "Шаблонни функции"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Разширени"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Създаване на потребителски шаблонни функции"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Споделяне на книги по е-поща"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Споделяне"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Избор на настройки за споделяне на книги по е-поща. Може да бъде използвано за автоматично изпращане на изтеглени новини към Вашите устройства."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Споделяне през интернет"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Настройки за сървър със съдържание за calibre, който ще ви даде достъп до вашата библиотека от calibre навсякъде на всяко устройство, с достъп до Интернет."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Сваляне на метаданни"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Управление как calibre изтегля метаданни за е-книги от Интернет"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Игнорирани устройства"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Контролирай кои устройства calibre ще игнорира, когато са свързани към компютъра"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Добавки"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Добавяне/премахване/настройване на различни части от функциите на Калибър"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Подобрения"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Фина настройка на действието на Калибър в различни контексти"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Бързи клавиши"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Персонализирайте клавишните комбинации за бърз достъп, използвани от calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -875,7 +875,7 @@ msgstr "Персонализирайте
 msgid "Miscellaneous"
 msgstr "Разни"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Разнообразни разширени настройки за конфигурация"
 
@@ -1265,9 +1265,9 @@ msgstr "Експортиране на б
 msgid "Restoring database from SQL"
 msgstr "Импортиране на база данни от SQL формат"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1293,17 +1293,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Да"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Корица за %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} формат за {1}"
@@ -1689,14 +1689,14 @@ msgstr "Задаването на таз
 msgid "You must specify some ids or the %s option"
 msgstr "Трябва да зададете някакъв идентификатор или опцията %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1704,7 +1704,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1712,39 +1712,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2291,21 +2291,21 @@ msgstr "празно"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Невалидна булева стойност \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Засечена е рекурсивна група за заявка: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3481,11 +3481,11 @@ msgstr "Премахнати %s"
 msgid "All books removed"
 msgstr "Всички книги са премахнати"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3494,12 +3494,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Непознато MTP устройство"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6054,7 +6054,7 @@ msgstr "Бележки"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6347,7 +6347,7 @@ msgid "Producer"
 msgstr "Производител"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6355,7 +6355,7 @@ msgid "Comments"
 msgstr "Коментари"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6395,7 +6395,7 @@ msgid "Tags"
 msgstr "Етикети"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6425,7 +6425,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8155,13 +8155,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8194,31 +8194,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "Страничен панел"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9187,7 +9187,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10196,7 +10196,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Помощ"
 
@@ -11455,7 +11455,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Игнорирай"
 
@@ -11585,8 +11585,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11720,11 +11720,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11867,7 +11867,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12194,7 +12194,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12271,7 +12271,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Запази"
 
@@ -12280,10 +12280,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12396,8 +12396,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13583,7 +13583,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13598,8 +13598,8 @@ msgstr "&Серии:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Списък с познати поредици. Можете да добавите нови поредици"
@@ -14466,7 +14466,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14807,19 +14807,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14893,8 +14893,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14975,7 +14975,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16555,7 +16555,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16563,7 +16563,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16571,7 +16571,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16579,7 +16579,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16613,7 +16613,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Търсене за:"
@@ -17034,78 +17034,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Малки букви"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Главни букви"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Книга %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17113,7 +17113,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17123,7 +17123,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17138,80 +17138,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Премахване на запазените търсения"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Автор(и): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17219,90 +17228,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Рейтинг:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Издател: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Добавяне на &етикети: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Дата:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17310,281 +17314,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Дата:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "Езици"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Добавяне на &етикети: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Автор(и): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "Езици"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Издател: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Рейтинг:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Основни метаданни"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Потребителски метаданни"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Замяна с:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17592,48 +17618,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18089,42 +18115,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18230,87 +18256,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Добави ново Запазено търсене"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Актуално запазеното търсене ще бъде <b>трайно изтрито</b>. Сигурни ли сте?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19208,48 +19234,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Не е избрана колона"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20313,7 +20355,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20472,8 +20514,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20490,14 +20532,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22717,60 +22759,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22778,57 +22820,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23670,13 +23712,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23710,7 +23752,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23991,7 +24033,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24683,7 +24725,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25252,7 +25294,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25387,7 +25429,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25398,7 +25440,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26911,7 +26953,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27202,7 +27244,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27262,95 +27304,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Дял"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28007,7 +28049,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28538,7 +28581,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30776,7 +30819,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32103,7 +32146,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32730,7 +32773,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34604,71 +34647,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35122,7 +35165,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35198,13 +35241,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35369,10 +35412,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Отказ"
 
@@ -36013,7 +36056,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36062,7 +36105,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36539,177 +36582,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Не се допускат празни пароли"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37117,13 +37191,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37131,23 +37206,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37160,7 +37235,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37319,128 +37394,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37495,60 +37570,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37560,7 +37635,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37571,13 +37646,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37587,30 +37662,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37620,7 +37695,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37630,24 +37705,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37656,11 +37731,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37670,19 +37745,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37692,11 +37767,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37708,11 +37783,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37723,14 +37798,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37743,20 +37818,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37770,7 +37845,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37778,7 +37853,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37787,14 +37862,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37807,19 +37882,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37829,7 +37904,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37837,7 +37912,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37845,13 +37920,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37862,7 +37937,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37875,7 +37950,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37892,7 +37967,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37915,23 +37990,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37940,7 +38015,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37949,55 +38024,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38006,7 +38081,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38014,7 +38089,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38022,7 +38097,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38030,7 +38105,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38039,7 +38114,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38048,7 +38123,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38056,14 +38131,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38071,7 +38146,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38079,28 +38154,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38109,7 +38184,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38118,7 +38193,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38127,7 +38202,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38135,7 +38210,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38147,7 +38222,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38158,7 +38233,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38166,13 +38241,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38180,7 +38255,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38193,11 +38268,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38205,11 +38280,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38218,7 +38293,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38229,7 +38304,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38239,6 +38314,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38527,29 +38608,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38912,185 +38993,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "ОК"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Запази всички"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Отвори"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Прекъсни"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Повтори"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Затвори"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Приложи"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Възстанови началните настройки"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Избери цвят"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Основни цвята"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Потребителски цвята"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Избери шрифт"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Ефекти"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Пример"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39370,8 +39451,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39427,7 +39508,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/bn_BD.po 5.10.0+dfsg-1/translations/calibre/bn_BD.po
--- 5.9.0+dfsg-3/translations/calibre/bn_BD.po	2021-01-06 15:29:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/bn_BD.po	2021-01-20 15:27:30.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -90,15 +90,15 @@ msgstr "কিছুই করে না
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -119,7 +119,7 @@ msgstr "কিছুই করে না
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -219,16 +219,16 @@ msgstr "কিছুই করে না
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -254,7 +254,7 @@ msgstr "কিছুই করে না
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -286,7 +286,7 @@ msgstr "কিছুই করে না
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -305,7 +305,7 @@ msgstr "কিছুই করে না
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -329,27 +329,27 @@ msgstr "পরিবর্তন কর
 msgid "Cannot configure"
 msgstr "কনফিগার করা যাচ্ছে না "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ফাইল টাইপ "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "মেটাডাটা রিডার "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "মেটাডাটা রাইটার "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "ক্যাটালগ জেনারেটর "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "ইউজার ইন্টারফেস একশন "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -361,20 +361,20 @@ msgstr "ইউজার ইন্টা
 msgid "Preferences"
 msgstr "পচ্ছন্দসমূহ "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "স্টোর "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "একটি ই-বই স্টোর "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr " বই সম্পাদনা উপকরন "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "গ্রন্থাগার বন্ধ "
 
@@ -396,372 +396,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "কমিক ফাইল থেকে কভার নিস্কাশন করুণ "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s ফাইল থেকে মেটাডাটা রিড করুণ "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr " রার আর্কাইভে সংরক্ষণ করা ই-বুক থেকে মেটাডাটা রিড করুণ "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr " জিপ আর্কাইভে সংরক্ষণ করা ই-বুক থেকে মেটাডাটা রিড করুণ "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "%s ফাইলে মেটাডাটা নিযুক্ত করুণ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%s ফাইল থেকে মেটাডাটা নিযুক্ত করুণ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "ক্যালিবার অথবা সংযুক্ত ডিভাইসে বই যোগ করুণ "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "সংযুক্ত কিন্ডল থেকে টীকা সংগ্রহ কর (পরীক্ষামূলক)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "আপনার ক্যালিবার লাইব্রেরিতে উপস্থিত বইয়ের তালিকা তৈরি"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr " বিভিন্ন ফরম্যাটে ই-বই রূপান্তর "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr " ই-বই গুলো ফাইন টিউন কর "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "বইয়ের সূচিপত্র সম্পাদনা কর"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "আপনার ক্যালিবার লাইব্রেরীর বা সংযুক্ত ডিভাইস থেকে বই মুছুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "আপনার ক্যালিবার লাইব্রেরির বই গুলোতে আপডেট মেটাডাটা এম্বেড করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "আপনার ক্যালিবার লাইব্রেরি বইয়ের মেটাডাটা সম্পাদনা করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "আপনার ক্যালিবার লাইব্রেরির বই পড়ুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr " ই-বইয়ের আকারে ইন্টারনেট থেকে খবর ডাউনলোড "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "দ্রুত সংশ্লিষ্ট বইয়ের একটি তালিকা প্রদর্শন কর"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "লাইব্রারিতে উপস্থিত বই গুলোর ট্যাগ ফিল্টার/রুপান্তর কর"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "লাইব্রেরীতে  থাকা বইগুলোর লেখকদেরকে রুপান্তর করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "টেমপ্লেট পরীক্ষার জন্য একটি সম্পাদক দেখাও"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "আপনার ক্যালিবার লাইব্রেরি থেকে হার্ড ডিস্কে বই রপ্তানি করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr " একটি পৃথক পপআপে বই বিবরণ দেখান"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "ক্যালিবার পুনরারম্ভ কর"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "ক্যালিবার লাইব্রেরির বইয়ের ফাইল ধারণকারী ফোল্ডারটি খুল"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "সংযুক্ত ডিভাইসে বই পাঠাও"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "ইমেইল অথবা ওয়েবের মাধ্যমে বই পাঠান এবং কম্পিউটারে থাকা ফোল্ডার গুলোকে ডিভাইস হিসেবে কানেক্ট করুন "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "calibre ব্যবহার বিধি ব্রাউজ করুন "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "calibre কে  পরিবর্তন করুণ "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "বর্তমানে নির্বাচিত বইয়ের মতো বইগুলি সহজেই সন্ধান করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "বিভিন্ন calibre লাইব্রেরির মধ্যে পরিবর্তন করুন এবং সেগুলি রক্ষণাবেক্ষণ করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "ডিভাইস থেকে আপনার calibre লাইব্রেরিতে বইগুলি কপি করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -771,92 +771,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -864,7 +864,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1254,9 +1254,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1282,17 +1282,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1678,14 +1678,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1693,7 +1693,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1701,39 +1701,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2280,21 +2280,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3470,11 +3470,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3483,12 +3483,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6043,7 +6043,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6336,7 +6336,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6344,7 +6344,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6384,7 +6384,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6414,7 +6414,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8144,13 +8144,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8183,31 +8183,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9176,7 +9176,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10185,7 +10185,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11444,7 +11444,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11574,8 +11574,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11709,11 +11709,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11856,7 +11856,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12183,7 +12183,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12260,7 +12260,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12269,10 +12269,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12385,8 +12385,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13572,7 +13572,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13587,8 +13587,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14455,7 +14455,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14796,19 +14796,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14882,8 +14882,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14964,7 +14964,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16544,7 +16544,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16552,7 +16552,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16560,7 +16560,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16568,7 +16568,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16602,7 +16602,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17023,78 +17023,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17102,7 +17102,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17112,7 +17112,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17127,80 +17127,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17208,90 +17217,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17299,281 +17303,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17581,48 +17607,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18078,42 +18104,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18219,87 +18245,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19197,48 +19223,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20302,7 +20344,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20461,8 +20503,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20479,14 +20521,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22706,60 +22748,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22767,57 +22809,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23659,13 +23701,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23699,7 +23741,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23980,7 +24022,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24672,7 +24714,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25241,7 +25283,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25376,7 +25418,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25387,7 +25429,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26900,7 +26942,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27191,7 +27233,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27251,95 +27293,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27996,7 +28038,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28527,7 +28570,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30765,7 +30808,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32092,7 +32135,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32719,7 +32762,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34593,71 +34636,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35111,7 +35154,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35187,13 +35230,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35358,10 +35401,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36002,7 +36045,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36051,7 +36094,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36528,177 +36571,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37106,13 +37180,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37120,23 +37195,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37149,7 +37224,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37308,128 +37383,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37484,60 +37559,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37549,7 +37624,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37560,13 +37635,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37576,30 +37651,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37609,7 +37684,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37619,24 +37694,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37645,11 +37720,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37659,19 +37734,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37681,11 +37756,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37697,11 +37772,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37712,14 +37787,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37732,20 +37807,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37759,7 +37834,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37767,7 +37842,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37776,14 +37851,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37796,19 +37871,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37818,7 +37893,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37826,7 +37901,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37834,13 +37909,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37851,7 +37926,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37864,7 +37939,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37881,7 +37956,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37904,23 +37979,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37929,7 +38004,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37938,55 +38013,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37995,7 +38070,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38003,7 +38078,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38011,7 +38086,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38019,7 +38094,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38028,7 +38103,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38037,7 +38112,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38045,14 +38120,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38060,7 +38135,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38068,28 +38143,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38098,7 +38173,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38107,7 +38182,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38116,7 +38191,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38124,7 +38199,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38136,7 +38211,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38147,7 +38222,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38155,13 +38230,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38169,7 +38244,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38182,11 +38257,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38194,11 +38269,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38207,7 +38282,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38218,7 +38293,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38228,6 +38303,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38516,29 +38597,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38901,185 +38982,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39359,8 +39440,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39416,7 +39497,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/bn_IN.po 5.10.0+dfsg-1/translations/calibre/bn_IN.po
--- 5.9.0+dfsg-3/translations/calibre/bn_IN.po	2021-01-06 15:29:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/bn_IN.po	2021-01-20 15:26:53.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/bn.po 5.10.0+dfsg-1/translations/calibre/bn.po
--- 5.9.0+dfsg-3/translations/calibre/bn.po	2021-01-06 15:29:28.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/bn.po	2021-01-20 15:26:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "আসলে কিছুই ক
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "আসলে কিছুই ক
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "আসলে কিছুই ক
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "আসলে কিছুই ক
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "আসলে কিছুই ক
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "আসলে কিছুই ক
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "স্বনির্বাচ
 msgid "Cannot configure"
 msgstr "সাজানো যাবে না"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ফাইলের ধরণ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "মেটাডাটা পাঠক"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "মেটাডাটা লেখক"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "ক্যাটালগ জেনারেটর"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "পছন্দসমূহ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "সংরক্ষন করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "কমিক ফাইল থেকে প্রচ্ছদ নিষ্কাশন করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s ফাইল থেকে মেটাডাটা সংগ্রহ করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "%s ফাইল-এ মেটাডাটা নিযুক্ত করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%s ফাইল থেকে মেটাডাটা নিযুক্ত করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "ক্যালিবার অথবা সংযুক্ত ডিভাইস-এ বই যোগ করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "সংযুক্ত কিনডেল থেকে অ্যানোটেশন/টীকা সংগ্রহ করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "কালিবার লাইব্রেরির বইসমুহের তালিকা তৈরি করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "বইয়ের সূচিপত্র সম্পাদনা করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "কালিবার লাইব্রেরি অথবা সংযুক্ত ডিভাইস থেকে বই মুছে ফেলুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "আপনার কালিবার লাইব্রেরি-এর বইসমূহের মেটাডাটা সম্পাদনা করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "আপনার কালিবার লাইব্রেরি থেকে বই পড়ুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "সংশ্লিষ্ট বই-এর তালিকা দেখুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "ক্যালিবার লাইব্রেরি থেকে বই হার্ড ডিস্ক-এ রপ্তানি করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "ক্যালিবার পুনরায় শুরু করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "আপনার ক্যালিবার লাইব্রেরি বইয়ের ফাইল ধারণকারী ফোল্ডার খুলুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "সংযুক্ত ডিভাইস-এ বই পাঠান"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "ক্যালিবার ইউসার ম্যানুয়াল দেখুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "ক্যালিবার কাস্টমাইজ করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "সহজেই বর্তমানে নির্বাচিত অনুরূপ বই খুজুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "বিভিন্ন ক্যালিবার লাইব্রেরি মধ্যে স্যুইচ করুন এবং তাদের রক্ষণাবেক্ষণ করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "আপনার ডিভাইস থেকে ক্যালিবার গ্রন্থাগারে বই কপি করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "আপম্নার ডিভাইসে যে সংগ্রহগুলো রাখা আছে সেগুলো সম্পাদন করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "ডিভাইস-এর বইয়ের সঙ্গে লাইব্রেরির বই মিলান"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "বই এক ক্যালিবার লাইব্রেরি থেকে অন্য একটিতে কপি করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "ক্যালিবার লাইব্রেরি থেকে এলোপাতাড়িভাবে একটি বই বাছাই করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "বই-এর তালিকা-টি সাজান"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "সাময়িকরূপে বই চিহ্নিত করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "বিভিন্ন বিক্রেতার থেকে বই খুঁজুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "নতুন ক্যালিবার প্লাগ-ইন যোগার করুন অথবা অস্তিত্ব থাকাগুলো আপডেট করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "ইন্টারফেস"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "আপনার পছন্দ অনুস্বারে ক্যালিবারের ইন্টারফেসে সামঞ্জস্যবিধান করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "ব্যবহার"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "ক্যালিবার-এর ব্যবহার বদলান"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "আপনার নিজস্ব কলাম যোগ করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "ক্যালিবার বইয়ের তালিকায় আপনার নিজস্ব কলাম যোগ/বিয়োগ করুন"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "অনুসন্ধান চলছে"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "রূপান্তর"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "বই যোগ করা হচ্ছে"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "ডিস্ক-এ বই সংরক্ষণ করা হচ্ছে"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "ডিভাইস-এ বই পাঠানো হচ্ছে"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "উচ্চতর"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "শেয়ারিং"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "মেটাডাটা ডাউনলোড"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "হ্যাঁ  "
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "বন্ধ"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/br.po 5.10.0+dfsg-1/translations/calibre/br.po
--- 5.9.0+dfsg-3/translations/calibre/br.po	2021-01-06 15:31:52.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/br.po	2021-01-20 15:27:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Ne ra netra da vat"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Ne ra netra da vat"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Ne ra netra da vat"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Ne ra netra da vat"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Ne ra netra da vat"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Ne ra netra da vat"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Personelaat"
 msgid "Cannot configure"
 msgstr "N'haller ket kefluniañ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Rizh restr"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lennerez metaroadennoù"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Skriverez metaroadennoù"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Ganer katalog"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Gwellvezioù"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Stal"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lenn metaroadennoù diwar restroù %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Ketal"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Emzalc'h"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "O klask"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Kempleshoc'h"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Rannañ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Enlugelladoù"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr "Liesseurt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ya"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6414,7 +6414,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8156,13 +8156,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8195,31 +8195,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9209,7 +9209,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10239,7 +10239,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11519,7 +11519,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11649,8 +11649,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11784,11 +11784,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11931,7 +11931,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12258,7 +12258,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12335,7 +12335,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12344,10 +12344,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Dilemel"
@@ -12460,8 +12460,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13647,7 +13647,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13662,8 +13662,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14530,7 +14530,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14871,19 +14871,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14957,8 +14957,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15039,7 +15039,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16625,7 +16625,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16633,7 +16633,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16641,7 +16641,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16649,7 +16649,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16683,7 +16683,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17107,57 +17107,57 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17166,22 +17166,22 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17189,7 +17189,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17199,7 +17199,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17214,80 +17214,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17295,90 +17304,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17386,281 +17390,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17668,48 +17694,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18165,42 +18191,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18306,87 +18332,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19284,48 +19310,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20404,7 +20446,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20563,8 +20605,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20587,14 +20629,14 @@ msgstr[3] ""
 msgstr[4] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22835,60 +22877,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22896,57 +22938,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23788,13 +23830,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23828,7 +23870,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -24109,7 +24151,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24801,7 +24843,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25370,7 +25412,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25505,7 +25547,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25519,7 +25561,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -27035,7 +27077,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27326,7 +27368,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27386,95 +27428,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28131,7 +28173,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28665,7 +28708,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30915,7 +30958,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32254,7 +32297,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32881,7 +32924,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34764,16 +34807,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34782,7 +34825,7 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34792,39 +34835,39 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34833,11 +34876,11 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35291,7 +35334,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35367,13 +35410,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35538,10 +35581,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36182,7 +36225,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36231,7 +36274,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36708,177 +36751,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37289,13 +37363,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37303,23 +37378,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37332,7 +37407,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37491,128 +37566,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37667,60 +37742,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37732,7 +37807,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37743,13 +37818,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37759,30 +37834,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37792,7 +37867,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37802,24 +37877,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37828,11 +37903,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37842,19 +37917,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37864,11 +37939,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37880,11 +37955,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37895,14 +37970,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37915,20 +37990,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37942,7 +38017,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37950,7 +38025,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37959,14 +38034,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37979,19 +38054,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -38001,7 +38076,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -38009,7 +38084,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -38017,13 +38092,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -38034,7 +38109,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -38047,7 +38122,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38064,7 +38139,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38087,23 +38162,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38112,7 +38187,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38121,55 +38196,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38178,7 +38253,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38186,7 +38261,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38194,7 +38269,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38202,7 +38277,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38211,7 +38286,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38220,7 +38295,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38228,14 +38303,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38243,7 +38318,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38251,28 +38326,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38281,7 +38356,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38290,7 +38365,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38299,7 +38374,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38307,7 +38382,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38319,7 +38394,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38330,7 +38405,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38338,13 +38413,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38352,7 +38427,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38365,11 +38440,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38377,11 +38452,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38390,7 +38465,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38401,7 +38476,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38411,6 +38486,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38699,29 +38780,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -39087,185 +39168,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Serrin"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39545,8 +39626,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39602,7 +39683,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/bs.po 5.10.0+dfsg-1/translations/calibre/bs.po
--- 5.9.0+dfsg-3/translations/calibre/bs.po	2021-01-06 15:29:30.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/bs.po	2021-01-20 15:26:34.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "Ne radi apsolutno ništa"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "Ne radi apsolutno ništa"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "Ne radi apsolutno ništa"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "Ne radi apsolutno ništa"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "Ne radi apsolutno ništa"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "Ne radi apsolutno ništa"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "Prilagodi"
 msgid "Cannot configure"
 msgstr "Nije moguće konfigurisati"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Vrsta datoteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Čitač meta podataka"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Pisac meta podataka"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generator kataloga"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Opcije"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Trgovina"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr "Kreiraj TXTZ arhivu ako uvezena
 msgid "Extract cover from comic files"
 msgstr "Izdvoji naslovnu stranu iz strip datoteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Čitaj meta podatke iz %s datoteka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Postavi meta podatke u %s datotekama"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Postavi meta podatke iz %s datoteka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Dodaj knjige u Calibre ili priključeni uređaj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Preuzmi pribilješke sa priključenog Kindle-a (eksperimentalno)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Kreiraj katalog knjiga u svojoj Calibre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Uredi Sadržaj knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Obriši knjige iz svoje Calibre biblioteke ili spojenog uređaja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Uredi meta podatke za knjige u svojoj Calibre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Čitaj knjige u svojoj Calibre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Prikaži brzu listu povezanih knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Izvezi knjige iz Calibre biblioteke na hard disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Restartujte Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Otvori direktorij koji sadrži datoteke knjiga u Calibre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Pošalji knjige na povezane uređaje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Pregledajte korisničko uputstvo za Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Prilagodite Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Jednostavno pronađite knjige slične trenutno označenoj knjizi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Izvršite prebacivanje i održavanje različitih Calibre biblioteka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Napravi duplikat knjiga sa uređaja u svoju Calibre biblioteku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Uredite zbirke u kojima su smještene knjige na Vašem uređaju"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Uporedite knjigu na uređaju sa knjigama u biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Napravite duplikat knjige iz Calibre biblioteke u drugu biblioteku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Pronađi slijedeći ili prethodni rezultat tokom pretrage u Calibre biblioteci u odabranom modu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Slučajan odabir knjige iz vaše Calibre biblioteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sortirajte listu knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Privremeno označite knjige"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Pretražite knjige drugih prodavača"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Preuzmite nove ili osvježite postojeće Calibre dodatke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfejs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Prilagodite izgled i osjećaj prilikom korištenja Calibre interfejsa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Ponašanje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Promijeniti način funkcionisanja Calibrea"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Dodajte vlastite kolone"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Dodajte/Uklonite vlastite kolone iz liste knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Prilagodi alatne trake i dodatne izbornike, mijenjajući akcije koje su dostupne za svaku ponaosob"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Pretražujem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Prilagodite način pretrage knjiga u Calibreu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Pretvaranje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Postavite specifične opcije pretvorbe za svaki ulazni format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Postavite opcije pretvorbe koje su uobičajene za sve formate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Postavite opcije pretvorbe koje su specifične za sve izlazne formate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Dodavanje knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Kontrolišite način na koji Calibre čita meta podatke iz datoteka prilikom dodavanja knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Snimanje knjiga na disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Kontrolišite način na koji Calibre izvozi datoteke iz svoje baze podataka na disk prilikom korištenja opcije Sačuvaj na disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Slanje knjiga na uređaje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Utičnica za meta podatke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Izmijeni polja za meta podatke prije snimanja/slanja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr "Izmijeni polja za meta podatke p
 msgid "Template functions"
 msgstr "Fukcije predložaka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Napredno"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Kreiraj sopstveni predložak funkcija"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Podijelite knjige putem e-maila"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Razmjena"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Podešavanje dijeljenja knjiga putem e-maila. Može se koristiti za automatsko slanje preuzetih novosti na Vaše uređaje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Dijeljenje putem mreže"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Sačuvaj meta podatke na računar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Zanemareni uređaji"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Regulirajte koje će uređaje Calibre zanemariti tokom spajanja sa računarom."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plugini"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Dodaj/ukloni/podesi različite Calibre komadiće funkcionalnosti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Podešavanja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Fino podesi kako se Calibre ponaša u različitim okolnostima"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Prilagođavanje kratica na tastaturi koje Calibre koristi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr "Prilagođavanje kratica na tasta
 msgid "Miscellaneous"
 msgstr "Ostalo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Ostala napredna podešavanja"
 
@@ -1252,9 +1252,9 @@ msgstr "Prebacivanje baze podataka u SQL
 msgid "Restoring database from SQL"
 msgstr "Povrat baze podataka iz SQL-a"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Da"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr "prazno"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Netačan logički upit \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Otkrivena rekurzivna grupa upita: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6413,7 +6413,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8147,13 +8147,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8186,31 +8186,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9186,7 +9186,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10202,7 +10202,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11468,7 +11468,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11598,8 +11598,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11733,11 +11733,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Konfiguracija %s"
@@ -11880,7 +11880,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12207,7 +12207,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12284,7 +12284,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12293,10 +12293,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Izbriši"
@@ -12409,8 +12409,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13596,7 +13596,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13611,8 +13611,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14479,7 +14479,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14820,19 +14820,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14906,8 +14906,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14988,7 +14988,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16570,7 +16570,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16578,7 +16578,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16586,7 +16586,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16594,7 +16594,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16628,7 +16628,7 @@ msgid "Manage authors"
 msgstr "Upravljanje autorima"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17050,79 +17050,79 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Mala slova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Velika slova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17130,7 +17130,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17140,7 +17140,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17155,80 +17155,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17236,90 +17245,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17327,281 +17331,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17609,48 +17635,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18106,42 +18132,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18247,87 +18273,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19225,48 +19251,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20335,7 +20377,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20494,8 +20536,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20514,14 +20556,14 @@ msgstr[1] ""
 msgstr[2] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22748,60 +22790,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22809,57 +22851,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23701,13 +23743,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23741,7 +23783,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -24022,7 +24064,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Onemogući"
 
@@ -24714,7 +24756,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25283,7 +25325,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25418,7 +25460,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25430,7 +25472,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26944,7 +26986,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27235,7 +27277,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Preimenuj %s"
@@ -27295,95 +27337,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Traži sve osim %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Dodaj podkategoriju u %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Traži knjige u kategoriji %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Traži knjige koje nisu u kategoriji %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Sakrij kategoriju %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Particija (dio)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28040,7 +28082,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28572,7 +28615,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30814,7 +30857,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32145,7 +32188,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32772,7 +32815,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Izvoz"
 
@@ -34649,23 +34692,23 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34673,50 +34716,50 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35170,7 +35213,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35246,13 +35289,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35417,10 +35460,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Otkaži"
 
@@ -36061,7 +36104,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36110,7 +36153,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36587,177 +36630,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37166,13 +37240,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37180,23 +37255,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37209,7 +37284,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37368,128 +37443,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37544,60 +37619,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37609,7 +37684,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37620,13 +37695,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37636,30 +37711,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37669,7 +37744,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37679,24 +37754,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37705,11 +37780,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37719,19 +37794,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37741,11 +37816,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37757,11 +37832,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37772,14 +37847,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37792,20 +37867,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37819,7 +37894,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37827,7 +37902,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37836,14 +37911,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37856,19 +37931,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37878,7 +37953,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37886,7 +37961,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37894,13 +37969,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37911,7 +37986,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37924,7 +37999,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37941,7 +38016,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37964,23 +38039,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37989,7 +38064,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37998,55 +38073,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38055,7 +38130,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38063,7 +38138,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38071,7 +38146,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38079,7 +38154,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38088,7 +38163,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38097,7 +38172,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38105,14 +38180,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38120,7 +38195,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38128,28 +38203,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38158,7 +38233,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38167,7 +38242,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38176,7 +38251,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38184,7 +38259,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38196,7 +38271,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38207,7 +38282,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38215,13 +38290,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38229,7 +38304,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38242,11 +38317,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38254,11 +38329,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38267,7 +38342,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38278,7 +38353,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38288,6 +38363,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38576,29 +38657,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38962,185 +39043,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Zatvori"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Resetuj"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Pomjeri lijevo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Pomjeri gore"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Pomjeri dole"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Pomjeri desno"
 
@@ -39420,8 +39501,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39477,7 +39558,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ca.po 5.10.0+dfsg-1/translations/calibre/ca.po
--- 5.9.0+dfsg-3/translations/calibre/ca.po	2021-01-06 15:29:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ca.po	2021-01-20 15:27:26.000000000 +0000
@@ -33,8 +33,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -113,15 +113,15 @@ msgstr "No fa res"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -142,7 +142,7 @@ msgstr "No fa res"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -242,16 +242,16 @@ msgstr "No fa res"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -277,7 +277,7 @@ msgstr "No fa res"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -309,7 +309,7 @@ msgstr "No fa res"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -328,7 +328,7 @@ msgstr "No fa res"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -352,27 +352,27 @@ msgstr "Personalitza"
 msgid "Cannot configure"
 msgstr "No es pot configurar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tipus de fitxer"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lectura de metadades"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Escriptor de metadades"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generació del catàleg"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Acció d'interfície d'usuari"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -384,20 +384,20 @@ msgstr "Acció d'interfície d'usuari"
 msgid "Preferences"
 msgstr "Preferències"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Botiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Una botiga de llibres electrònics."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Eina d'edició de llibres"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "S'ha tancat la biblioteca"
 
@@ -419,372 +419,372 @@ msgstr "Crea un arxiu TXTZ quan s'import
 msgid "Extract cover from comic files"
 msgstr "Extreu la portada dels fitxers de còmic"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Llegeix les metadades dels fitxers %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Llegeix les metadades dels llibres electrònics als arxius RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Llegeix les metadades dels llibres en arxius ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Estableix les metadades dels fitxers %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Introduïu {0} més avall perquè el connector d'escriptura de les metadades EPUB no afegeixi imatges de portada als fitxers EPUB que no en tinguin."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Estableix les metadades des dels fitxers %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Afegeix els llibres al calibre o al dispositiu que hi hagi connectat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Captura anotacions des d'un Kindle connectat (experimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Genera un catàleg dels llibres a la vostra biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Converteix llibres a diversos formats de llibre electrònic"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Reajusteu els vostres llibres electrònics"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Edita la taula del contingut dels llibres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Suprimeix els llibres de la vostra biblioteca de calibre o del dispositiu connectat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Incrusta les metadades actualitzades dins dels fitxers del llibre real a la vostra biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Edita les metadades dels llibres a la vostra biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Llegeix els llibres en la vostra biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Baixa notícies des d'internet en format de llibre electrònic"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Mostra ràpidament una llista de llibres seleccionats"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtra o transforma les etiquetes per als llibres a la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Transforma els autors per als llibres a la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Mostra un editor per a provar plantilles"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exporta els llibres des de la vostra biblioteca de calibre al disc dur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Mostra els detalls del llibre en una finestra emergent a part"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Reinicia calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Obre la carpeta que conté els fitxers dels llibres en la vostra biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Envia els llibres al dispositiu connectat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Envia els llibres per correu electrònic o pel web. També connecta a carpetes del teu ordinador com si fossin dispositius"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Navega pel manual d'usuari de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personalitza calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Troba fàcilment llibres similars al seleccionat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Canvia entre biblioteques de calibre diferents i fes-hi tasques de manteniment"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copia els llibres del dispositiu a la vostra biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Edita les col·leccions en què es col·loquen els llibres al dispositiu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Fes que coincideixin els llibres dels dispositius amb els llibres de la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copia un llibre des d'una biblioteca de calibre a una altra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Edita els llibres en formats EPUB o AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Fa canvis petits als fitxers EPUB o HTMLZ a la vostra biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Troba la coincidència següent o anterior quan se cerca a la vostra biblioteca de calibre en mode de ressaltat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Tria un llibre a l'atzar de la vostra biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Ordena la llista de llibres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marca llibres temporalment"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Canvia la biblioteca virtual actual"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Cerca llibres de diferents botigues de llibres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Obteniu connectors nous de calibre o actualitzeu els existents"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Aparença"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfície"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Ajusteu l'aparença de la interfície de calibre per a adaptar-la al vostre gust"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportament"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Canvieu el comportament de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Columnes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Afegiu o suprimiu les vostres pròpies columnes a la llista de llibres de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Barres d'eines i de menús"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Personalitzeu les barres d'eines i els menús de context, en canviar les accions que estaran disponibles en cadascuna"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Cerca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personalitzeu com funciona la cerca de llibres a calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Opcions d'entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversió"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Establiu les opcions de conversió específiques per a cada format d'entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Opcions comunes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Establiu les opcions de conversió comunes a tots els formats"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Opcions de sortida"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Establiu les opcions de conversió específiques de cada format de sortida"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Addició de llibres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importació i exportació"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Controleu com calibre llegeix les metadades dels fitxers quan s'afegeixen llibres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Desament de llibres al disc"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Controleu com calibre exporta els fitxers de la seva base de dades al disc quan s'utilitza «Desa al disc»"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Enviament de llibres als dispositius"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Controleu com calibre envia els fitxers al vostre lector de llibres electrònics"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Taulers de connexions de metadades"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Canvieu els camps de les metadades abans de desar o enviar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -794,92 +794,92 @@ msgstr "Canvieu els camps de les metadad
 msgid "Template functions"
 msgstr "Funcions de plantilla"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avançat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Creeu les funcions de la vostra plantilla"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Compartició de llibres per correu electrònic"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Compartició"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Configura la compartició de llibres per correu electrònic. Es pot utilitzar per a enviar automàticament notícies baixades als teus dispositius."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Compartició a la xarxa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Configureu el servidor de continguts de calibre que us donarà accés a la vostra biblioteca de calibre des de qualsevol lloc, en qualsevol dispositiu, a través d'Internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Baixada de metadades"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Controleu com calibre baixa les metadades dels llibres electrònics des de la xarxa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Dispositius ignorats"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Controleu quins dispositius ha d'ignorar calibre quan es connectin a l'ordinador."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Connectors"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Afegiu, suprimiu o personalitzeu diverses parts de les funcions de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Retocs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Reajusteu com calibre es comporta en diversos contexts"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Dreceres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Personalitzeu les dreceres de teclat utilitzades per calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -887,7 +887,7 @@ msgstr "Personalitzeu les dreceres de te
 msgid "Miscellaneous"
 msgstr "Altres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Configuració avançada"
 
@@ -1277,9 +1277,9 @@ msgstr "Bolc de la base de dades a SQL"
 msgid "Restoring database from SQL"
 msgstr "Restauració de la base de dades a partir d'SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1305,17 +1305,17 @@ msgstr "Cerques desades"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Sí"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Portada per a %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "Format {0} per a {1}"
@@ -1701,14 +1701,14 @@ msgstr "Si s'especifica aquesta opció,
 msgid "You must specify some ids or the %s option"
 msgstr "Heu d'especificar algun id. o l'opció %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [opcions]\n\nLlista dels llibres disponibles a la base de dades de calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1716,7 +1716,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Els camps que es mostraran quan es llistin els llibres a la base de dades. Hauria de ser una llista de camps separada per comes.\nCamps disponibles: %s\nPer defecte: %%per defecte. El camp especial \"tots\" es pot utilitzar per seleccionar tots els camps. A més dels camps predefinits abans, hi ha camps personalitzats disponibles amb *nom_del_camp, per exemple, per a un camp personalitzat #valoració, utilitzaríeu el nom: *valoració"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1724,39 +1724,39 @@ msgid ""
 "Default: {1}"
 msgstr "Camps pels quals s'ordenaran els resultats.\nCamps disponibles: {0}\nPer defecte: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Ordena els resultats en ordre ascendent"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtra els resultats amb la consulta de cerca. Per al format de la consulta de cerca vegeu la documentació relacionada al Manual de l'usuari. Per defecte no es filtra."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Amplada màxima d'una línia a la sortida. Per defecte es detecta la mida de la pantalla."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Cadena que s'utilitzarà per separar els camps. Per defecte és un espai."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Prefix per a tots els camins dels fitxers. Per defecte és el camí d'accés a la carpeta de la biblioteca."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "El nombre màxim de resultats a mostrar. Per defecte: tots"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2303,21 +2303,21 @@ msgstr "en blanc"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Consulta booleana no vàlida «{0}»"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "No s'ha trobat la llibreria Virtual: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "La cerca a la biblioteca virtual és recursiva: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "S'ha detectat un grup de consulta recursiu: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3493,11 +3493,11 @@ msgstr "S'ha suprimit %s"
 msgid "All books removed"
 msgstr "S'ha suprimit tots els llibres"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Dispositiu sense nom"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3506,12 +3506,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "El dispositiu {0} no permet connexions. Desbloquegeu la pantalla a {0}, premeu \"Permetre\" a qualsevol missatge emergent de connexió que veieu, llavors espereu un minut o reinicieu calibre. Potser també heu de canviar el mode de la connexió USB a {0} per \"mode de transferència multimèdia (MTP)\" o similar."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Dispositiu MTP desconegut"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6066,7 +6066,7 @@ msgstr "Anotacions"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6359,7 +6359,7 @@ msgid "Producer"
 msgstr "Productor"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6367,7 +6367,7 @@ msgid "Comments"
 msgstr "Comentaris"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6407,7 +6407,7 @@ msgid "Tags"
 msgstr "Etiquetes"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6437,7 +6437,7 @@ msgid "Timestamp"
 msgstr "Marca horària"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8167,13 +8167,13 @@ msgstr "Actualitzat EPUB de la versió 2
 msgid "HTML TOC generation options."
 msgstr "Opcions de la generació de la taula del contingut HTML."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} de <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8206,31 +8206,31 @@ msgstr "Genera un fitxer Adobe «page-ma
 msgid "Sidebar"
 msgstr "Barra lateral"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9199,7 +9199,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10208,7 +10208,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Ajuda"
 
@@ -11467,7 +11467,7 @@ msgid "Errors while adding"
 msgstr "Errors mentre s'afegia"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignora"
 
@@ -11597,8 +11597,8 @@ msgstr "Canvia"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11732,11 +11732,11 @@ msgid "Search the internet for this book
 msgstr "Cerca aquest llibre a Internet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Gestiona %s"
@@ -11879,7 +11879,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12206,7 +12206,7 @@ msgid "Preset name:"
 msgstr "Nom del predefinit:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Heu de proporcionar un nom."
 
@@ -12283,7 +12283,7 @@ msgid "Save current catalog settings as
 msgstr "Desa els ajusts del catàleg actual com a predefinit"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Desa"
 
@@ -12292,10 +12292,10 @@ msgid "Delete current preset"
 msgstr "Suprimeix el predefinit actual"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Suprimeix"
@@ -12408,8 +12408,8 @@ msgstr "Restableix als valors predetermi
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13595,7 +13595,7 @@ msgid "Ta&gs:"
 msgstr "Eti&quetes:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13610,8 +13610,8 @@ msgstr "&Sèrie:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Llista de les sèries conegudes. Podeu afegir-ne de noves."
@@ -14478,7 +14478,7 @@ msgid "Choose color"
 msgstr "Trieu un color"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14819,19 +14819,19 @@ msgid "Edit style transform rules"
 msgstr "Edita les regles de la transformació de l'estil"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xporta"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Exporta aquestes regles a un fitxer"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14905,8 +14905,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14987,7 +14987,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16567,7 +16567,7 @@ msgid "Change case"
 msgstr "Canvia majúscules/minúscules"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16575,7 +16575,7 @@ msgid "Upper case"
 msgstr "Majúscules"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16583,7 +16583,7 @@ msgid "Lower case"
 msgstr "Minúscules"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16591,7 +16591,7 @@ msgid "Swap case"
 msgstr "Intercanvia majúscules/minúscules"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16625,7 +16625,7 @@ msgid "Manage authors"
 msgstr "Gestiona els autors"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Cerca:"
@@ -17046,78 +17046,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "S'està treballant..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "S'estan processant %d llibres, espereu..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Minúscules"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Majúscules"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Inicials en majúscules"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Coincidència amb caràcters"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Expressió regular"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Reemplaça el camp"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Posa-ho abans del camp"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Annexa al camp"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Fes immediatament tots els canvis sense tancar el diàleg. Aquesta acció no es pot cancel·lar ni desfer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Llibre %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Introduïu un tipus d'identificador"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17125,7 +17125,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Amb aquesta funció podeu destruir la vostra biblioteca.</b> Els canvis són permanents. No hi ha cap funció per a desfer-ho. Es recomana que feu una còpia de seguretat abans de continuar. <p>Cerca i reemplaça en els camps de text mitjançant la coincidència amb caràcters o expressions regulars. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17135,7 +17135,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17150,80 +17150,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERROR DE LA PLANTILLA CERCA/SUBSTITUCIÓ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Cal una destinació quan l'origen és un camp compost o una plantilla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Heu d'especificar un tipus d'identificador de destí"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Heu d'especificar una expressió de cerca al camp «Cerca»"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Cadena d'identificador no vàlida. Ha de ser una llista separada per comes de parells de cadenes separats per dos punts"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Cerca/substitució no vàlida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "La cerca/substitució no és vàlida: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Suprimeix la cerca/substitució desada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "La cerca/reemplaça desades se suprimiran. N'esteu segur?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Desa la cerca/substitució"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nom de cerca/substitució:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Aquesta cerca/reemplaça ja existeix i se sobreescriurà. N'esteu segur?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Edita la informació meta"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autors: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17231,90 +17240,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Això farà que el camp d'ordenació de l'autor s'activi automàticament\nen funció del camp dels autors per a cada llibre seleccionat. Tingueu\nen compte que si utilitzeu el control anterior per establir els autors en\nmassa, el camp d'ordenació de l'autor s'actualitza de totes maneres,\nindependentment del valor d'aquesta casella de selecció."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Estableix a&utomàticament l'ordenació de l'autor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "Inter&canvia el títol i l'autor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Actualitza l'ordenació del títol en funció del títol actual. S'aplicarà després dels altres canvis al títol."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "&Ordenació de l'autor: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Actualitza l'ordenació del &títol"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Especifiqueu com s'han d'ordenar els autors d'aquest llibre. Per exemple, ordena «Vicent A. Estellés» com a «Estellés, Vicent A»."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "&Canvia la portada"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Valoració:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Genera la portada predeterminada"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Aplica la valoració"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "Sup&rimeix la portada"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Editorial: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Intenta detectar i suprimir automàticament les vores i l'espai sobrer\n del voltant de les imatges de portada. Així a vegades se suprimeix massa,\n utilitzeu-ho amb compte."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Si es marca, es netejarà l'editorial"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "Re&talla la portada (PERILLÓS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Neteja l'editorial"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Afegeix les eti&quetes: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Estableix que les portades de tots els llibres seleccionats\nsigui la mateixa que la del primer llibre seleccionat."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Obre l'editor d'etiquetes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Clona les portades"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Sup&rimeix les etiquetes:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Feu que el títol tingui les inicials en majúscules. Si es marca això i l'intercanvi\nd'autor i títol, primer es fa l'intercanvi i després es canvien les inicials en majúscules del títol"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Llista d'etiquetes separades per comes que s'eliminaran dels llibres. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Marqueu aquesta casella per eliminar totes les etiquetes dels llibres."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Data:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Suprimeix-ho &tot"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Si es marca, es netejarà l'editorial"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Sèr&ie:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Neteja l'editorial"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Si es marca, es netejarà la sèrie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "P&ublicació:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "Neteja la sè&rie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17322,126 +17326,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Si no s'activa el número de la sèrie per als llibres, quedarà establert a 1.\nSi s'activa, els llibres seleccionats es numeraran automàticament\nen l'ordre que els hàgiu escollit. Si heu seleccionat el llibre A i després\nel llibre B, el llibre A tindrà el nombre 1 de la sèrie i el B el nombre 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Numera &automàticament els llibres de la sèrie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Les sèries normalment es tornaran a numerar a partir del número més alt a la\nbase de dades de la sèrie. Si marqueu aquesta casella, li dieu a calibre que\ncomenci la numeració a partir del valor a la casella"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Força que els nombres comencin per:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Si es marca, es netejarà la sèrie"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "Neteja la sè&rie"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Data:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Configura la &generació de les portades"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Estableix els co&mentaris per a tots els llibres seleccionats"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Sup&rimeix les etiquetes:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Suprimeix-ho &tot"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Afegeix les eti&quetes: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Especifiqueu com s'han d'ordenar els autors d'aquest llibre. Per exemple, ordena «Vicent A. Estellés» com a «Estellés, Vicent A»."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Aplica la valoració"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "P&ublicació:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Neteja la data de publicació"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autors: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Llengües:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Editorial: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Llista d'etiquetes separades per comes que s'eliminaran dels llibres. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Obre l'editor d'etiquetes"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "&Ordenació de l'autor: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Sèr&ie:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Suprimeix els ajusts de conversió desats per als llibres seleccionats.\n\nLa conversió d'aquests llibres es farà en endavant amb els ajusts predeterminats."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Suprimeix els ajusts de conversió de&sats per als llibres seleccionats"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17450,153 +17389,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "En fer una conversió al mateix format, per exemple\nd'EPUB a EPUB, calibre desa l'EPUB original com a\n ORIGINAL_EPUB. Aquesta opció fa que calibre\n restauri l'EPUB des d'ORIGINAL_EPUB. Útil si heu fet\n una conversió en bloc un nombre gran de llibre i\n quelcom surt malament."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Restaura els &originals d'abans de la conversió, si estan disponibles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Marqueu aquesta casella per eliminar totes les etiquetes dels llibres."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Valoració:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Feu que el títol tingui les inicials en majúscules. Si es marca això i l'intercanvi\nd'autor i títol, primer es fa l'intercanvi i després es canvien les inicials en majúscules del títol"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Actualitza l'ordenació del títol en funció del títol actual. S'aplicarà després dels altres canvis al títol."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Actualitza l'ordenació del &títol"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "&Canvia la portada"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Genera la portada predeterminada"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "Sup&rimeix la portada"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Intenta detectar i suprimir automàticament les vores i l'espai sobrer\n del voltant de les imatges de portada. Així a vegades se suprimeix massa,\n utilitzeu-ho amb compte."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "Re&talla la portada (PERILLÓS)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Estableix que les portades de tots els llibres seleccionats\nsigui la mateixa que la del primer llibre seleccionat."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Clona les portades"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Configura la &generació de les portades"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Estableix els co&mentaris per a tots els llibres seleccionats"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadades &bàsiques"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Personalitza les metadades"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "Carrega la cerca/su&bstitució:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Seleccioneu la cerca/substitució que s'ha de carregar."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Desa la cerca/substitució actual"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Desa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Cerca al &camp:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Nom del camp on voleu fer la cerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Mode de cerca:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Trieu si s'ha d'utilitzar la coincidència de text bàsic o d'expressions regulars avançades"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Tipus d'&identificador:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Trieu sobre quin tipus d'identificador s'intervindrà"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Plantilla:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Introduïu una plantilla per utilitzar-la com a origen de cerca/reemplaça"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Introduïu el que esteu cercant en text simple o com a expressió regular, segons el mode"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marqueu aquesta casella si la cadena de cerca ha de coincidir exactament en majúscules i minúscules. Desmarqueu-la per ignorar-les."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Disting&eix entre majúscules i minúscules"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Reemplaça amb:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "El text de substitució. Els textos que coincideixin se substituiran per aquesta cadena"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Aplica una funció després de la substitució:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especifiqueu com s'ha de processar el text després de la cerca i substitució. Al mode de caràcters es processa\ntot el camp. Al mode d'expressions regulars només es processa el text que coincideixi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Camp de &destí:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "El camp on es posarà el text després d'acabar totes les substitucions.\nSi es deixa en blanc, s'utilitza el camp de l'origen si es pot modificar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&ode:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especifica com s'ha de copiar el text al destí."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica si els resultats s'han de dividir en diversos valors o es deixen\ncom un de sol. Aquesta opció és més efectiva si el camp d'origen no és\nmúltiple i el de destinació sí."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Divideix el &resultat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Tipus d'identificador:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17604,48 +17630,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Trieu el tipus d'identificador en què s'operarà. Quan el\n              camp d'origen és diferent d''identifiers' podeu\n              introduir «*» si voleu substituir tot el conjunt\n              d'identificadors amb el resultat de cerca/reemplaça.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Per als camps amb diversos &valors, mostra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "valors començant al"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "amb els valors separats am&b"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "S'utilitza quan es visualitzen els resultats de la prova per separar els valors als camps amb valors diversos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Text de la prova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Resultat de la prova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "La vos&tra prova:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Cerca i reemplaça"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Si s'habilita, es reordenarà la llista de llibres i qualsevol\ncerca o biblioteca virtual existent s'actualitzarà quan\ns'acabi l'edició. Això pot ser lent en biblioteques grans."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Actualitza la llista de llibres després d'una edició"
 
@@ -18101,42 +18127,42 @@ msgstr "Obre el llibre en el visor de ll
 msgid "&Item: {0} ({1})"
 msgstr "Ít&em: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**No s'ha trobat cap ítem**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Feu clic a una columna a la vista de biblioteca per veure informació del llibre"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Llibres amb l'ítem seleccionat \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Vista ràpida: el llibre no està a la vista de biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18242,87 +18268,87 @@ msgstr "No s'ha pogut restaurar la base
 msgid "Failed to repair library"
 msgstr "Ha fallat la reparació de la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Afegeix una cerca desada nova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "El nom de la cerca desada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Cerca:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "L'expressió de la cerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Cerca sense nom"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Cerca sense expressió"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Heu d'especificar una expressió de cerca per a la cerca desada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Gestiona les cerques desades"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Afegeix una cerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Suprimeix la cerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Edita la cerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "La cerca desada actual se <b>suprimirà permanentment</b>. N'esteu segur?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Editeu el nom i/o l'expressió de sota."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Edita cerca desada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Expressió de cerca"
 
@@ -19220,48 +19246,64 @@ msgstr "Etiqueta 1"
 msgid "Tag 2"
 msgstr "Etiqueta 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Guia d'aprenentatge del llenguatge de les plantilles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Glossari de les funcions de plantilla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "EXCEPCIÓ: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "No s'ha triat cap columna"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Heu d'especificar una columna per pintar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "No s'ha donat cap plantilla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "La casella de la plantilla no pot estar buida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20325,7 +20367,7 @@ msgstr "Cerca una drecera pel nom"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Cap coincidència"
 
@@ -20484,8 +20526,8 @@ msgid "Show in calibre"
 msgstr "Mostra-ho al calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20502,14 +20544,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Contreu-ho tot"
 
@@ -22729,60 +22771,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Afegeix una regla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "Sup&rimeix les regles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Mou la regla seleccionada cap amunt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Mou la regla seleccionada a baix"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Afegeix una regla a&vançada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importa regles des d'un fitxer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Podeu controlar el color de les columnes de la llista de llibres amb la creació de «regles» que diuen a calibre quin color ha d'utilitzar. Feu clic més avall al botó «Afegeix una regla» per a començar.<p>Podeu <b>canviar una regla existent</b> en fer-hi doble clic."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Podeu afegir icones a les columnes en la llista de llibres amb la creació de «regles» que diuen a calibre quina icona ha d'utilitzar. Feu clic més avall al botó «Afegeix una regla» per a començar.<p>Podeu <b>canviar una regla existent</b> en fer-hi doble clic."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22790,57 +22832,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Podeu afegir emblemes (icones petites) que es mostren al costat de les portades al mosaic de portades amb la creació de «regles» que diuen a calibre quina és la imatge que ha d'utilitzar. Feu clic més avall al botó «Afegeix una regla» per començar.<p>Podeu <b>canviar una regla existent</b> en fer-hi doble clic."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Mostra els &emblemes al costat de les portades"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Si està activada, es pot fer que calibre mostri les icones desitjades al costat de les portades que es mostren a la graella de Portada, que es regeix per les metadades del llibre."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "No s'ha seleccionat cap regla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "No s'ha seleccionat cap regla per a %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "supressió"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Trieu el fitxer al qual s'exportarà"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Regles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Trieu el fitxer des del qual s'importarà"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "No s'ha trobat cap regla vàlida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "No s'ha trobat cap regla vàlida a {}."
 
@@ -23682,13 +23724,13 @@ msgstr "Sense subtítol"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Inferior"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Superior"
 
@@ -23722,7 +23764,7 @@ msgid "If there is enough room"
 msgstr "Si hi ha prou espai"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Per la primera lletra"
 
@@ -24003,7 +24045,7 @@ msgid ""
 msgstr "Hi ha dos tipus de memòria cau que calibre utilitza per millorar el rendiment quan es renderitzen les portades a la vista de mosaic. Una memòria cau de disc que es manté al vostre disc dur i que emmagatzema les miniatures de les portades i una altra a la memòria de l'ordinador que s'utilitza per assegurar-se que les portades es mostren sense parpellejos. Per millorar els resultats, manteniu la memòria cau del disc gran i la de la memòria de l'ordinador petita, llevat que teniu molta memòria RAM addicional a l'ordinador i no us molesta que l'utilitzi la memòria cau."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Inhabilita"
 
@@ -24695,8 +24737,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Aquí podeu canviar les metadades que calibre utilitza per actualitzar un llibre quan el desa o envia a un dispositiu.\n\nUtilitzeu aquest diàleg per a definir un «tauler de connexions» per a un format (o per a tots els formats) i un dispositiu (o tots els dispositius). El tauler de connexions indica quina plantilla es connecta a cada camp. La plantilla s'utilitza per calcular un valor i aquest valor s'assigna al camp connectat.\n\nSovint les plantilles contenen referències simples a columnes compostes, però això no és necessari. Podeu utilitzar qualsevol plantilla en un tauler d'origen que es pot utilitzar en altres parts de calibre.\n\nUn ús possible per a un tauler de connexions és alterar el títol perquè contingui la informació de la sèrie. Un altre pot ser canviar l'ordenació de l'autor, una cosa que els usuaris de mobi poden fer per forçar-lo a utilitzar el «;» que necessita el Kindle. Un tercer ús seria especificar la llengua."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25264,7 +25306,7 @@ msgid ""
 msgstr "El fet de requerir un nom d'usuari / contrasenya impedeix que les persones no autoritzades accedeixin a la vostra biblioteca de calibre. També és necessari per a algunes funcions, com fer canvis a la biblioteca, així com la sincronització de la posició/anotació de l'última lectura."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Canvia la contrasenya per {}"
 
@@ -25399,7 +25441,7 @@ msgid "Change &password"
 msgstr "Canvia la contrasen&ya"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25410,7 +25452,7 @@ msgid "Change the allowed libraries"
 msgstr "Canvia les biblioteques permeses"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26923,7 +26965,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Expre&ssió de la cerca:"
 
@@ -27214,7 +27256,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Canvia el nom de «%s»"
@@ -27274,95 +27316,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Suprimeix %(item)s de la categoria %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Cerca-ho tot excepte %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Cerca utilitzant expressió de cerca desada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Afegeix una subcategoria a %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Suprimeix la categoria de l'usuari %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Cerca els llibres que tinguin algun valor a la categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Cerca els llibres que no tinguin cap valor a la categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Oculta la categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Canvia la icona de la categoria"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Restaura la icona predeterminada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Gestiona les categories de l'usuari"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Canvia el mètode de divisió per categories"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partició"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Només es pot utilitzar la primera lletra quan s'ordena per nom"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28019,7 +28061,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Els llibres següents ja s'han convertit al format %s. Els voleu tornar a convertir?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28550,7 +28593,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Descarta"
 
@@ -30788,7 +30831,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Cursiva</h3>Posa el text seleccionat en cursiva"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Subratllat"
 
@@ -32115,7 +32158,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32742,7 +32785,7 @@ msgid "Export saved searches"
 msgstr "Exporta les cerques desades"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exporta"
 
@@ -34616,71 +34659,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35134,7 +35177,7 @@ msgid "E-book viewer"
 msgstr "Visualitzador de llibres electrònics"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35210,13 +35253,13 @@ msgstr "Ha fallat la càrrega del llibre
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35381,10 +35424,10 @@ msgid "< &Back"
 msgstr "< &Endarrere"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Cancel·la"
 
@@ -36025,8 +36068,8 @@ msgid "No genres to catalog.\n"
 msgstr "No hi ha cap gènere per catalogar.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Comproveu l'expressió regular «Gèneres exclosos» a les opcions dels llibres electrònics.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36074,8 +36117,8 @@ msgstr "Ordenació dels títols"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "No hi ha llibres per catalogar.\nComproveu les regles de «Llibres exclosos» a les opcions dels llibres electrònics.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36551,177 +36594,208 @@ msgstr "La interfície completa té molt
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Què voleu fer?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "per defecte"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Noms d'usuaris existents:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "No hi ha cap usuari, primer heu d'afegir un usuari"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "El nom d'usuari %s no existeix"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Introduïu el nom d'usuari"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Introduïu la contrasenya nova per %s: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Les contrasenyes en blanc no estan permeses"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Torneu a introduir la contrasenya nova per %s, per a verificar-la: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Les contrasenyes no coincideixen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "S'ha afegit correctament l'usuari %s!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Esteu segur que voleu suprimir l'usuari %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "L'usuari %s ha estat suprimit correctament!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "La contrasenya per a %s ha estat canviada correctament!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Permet l'accés a totes les biblioteques"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Permet l'accés només a les biblioteques especificades"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Permet l'accés a tot, excepte a les biblioteques especificades"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Canvia les restriccions segons la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Introduïu el nom de la biblioteca:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Introduïu una expressió de cerca, només es concedirà l'accés als llibres que coincideixin amb aquesta expressió. Una expressió buida permetrà l'accés a tots els llibres."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Una altra restricció?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Introduïu una llista de noms de biblioteques separades per comes:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Es permet l'accés només a les biblioteques: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Es permet l'accés a totes les biblioteques, excepte: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Mostra la contrasenya per {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Canvia el permís de lectura/escriptura per a {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Canvia les biblioteques que «{}» pot accedir"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} té {1} accés"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "lectura-escriptura"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "només-lectura"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Afegeix un usuari nou"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Edita un usuari existent"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Suprimeix un usuari"
 
@@ -37129,13 +37203,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Gestioneu la base de dades dels usuaris que poden connectar-se a aquest servidor. Vegeu també l'opció %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37143,23 +37218,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "S'ha interromput per l'usuari"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "No hi ha cap biblioteca de calibre a: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Com a mínim heu d'especificar una biblioteca de calibre"
 
@@ -37172,7 +37247,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Sintaxi no vàlida. S'esperava un nom o una paraula de consulta"
 
@@ -37331,128 +37406,128 @@ msgstr "Ajusts i connectors"
 msgid "File is open in another process"
 msgstr "El fitxer està obert en un altre procés"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format: el tipus {0} necessita un valor sencer, s'obté {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: el tipus {0} necessita un valor decimal (coma flotant), s'obté {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: funció desconeguda"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37507,60 +37582,60 @@ msgstr "strlen(a) -- Retorna la longitud
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- retorna x + y. Llança un error si x o y no són nombres."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- retorna x - y. Llança un error si x o y no són nombres."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- retorna x * y. Llança un error si x o y no són nombres."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- retorna x / y. Llança un error si x o y no són nombres."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37572,7 +37647,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- avalua «x» com a una plantilla. L'avaluació es fa al seu context, és a dir, les variables no es comparteixen entre la crida a la funció i l'avaluació de la plantilla. Com que els caràcters «{» i «}» són especials, heu d'utilitzar «[[» per al caràcter «{» i «]]» per al caràcter «}»; es converteixen automàticament. Per exemple «template('[[title_sort]]')» avalua la plantilla «{title_sort}» i retorna el seu valor. També heu de tenir en compte que els prefixos i sufixos (la sintaxi `|prefix|sufix`) no es pot utilitzar a l'argument d'aquesta funció en el mode de programació de plantilles."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37583,13 +37658,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(plantilla) -- avalua la plantilla passant les variables locals (les definides amb «assign») en lloc de les metadades del llibre. Això permet utilitzar el processador de plantilles per construir resultats complexos amb les variables locals. Com que els caràcters «{» i «}» són especials, heu d'utilitzar «[[» per al caràcter «{» i «]]» per al caràcter «}»; es converteixen automàticament. També heu de tenir en compte que els prefixos i sufixos (la sintaxi `|prefix|sufix`) no es pot utilitzar a l'argument d'aquesta funció en el mode de programació de plantilles."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- assigna «val» a «id» i retorna «val». L'«id» ha de ser un identificador, no una expressió."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37599,30 +37674,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- imprimeix els arguments a una sortida estàndard. Llevat que inicieu calibre des de la línia d'ordres (calibre-debug-g), la sortida anirà a un forat negre."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(nom) -- retorna el camp de metadades identificat per «nom»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(nom) -- retorna el camp de metadades anomenat «nom» sense aplicar cap format."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37632,7 +37707,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, inici, fi) -- retorna des del caràcter al lloc definit per «inici» al darrer caràcter definit per «fi» de «str». El primer caràcter a «str» és el que està al lloc zero. Si «fi» és negatiu indica el nombre de caràcters comptant des de la dreta. Si «fi» és zero, indica el darrer caràcter. Per exemple, amb substr('12345', 1, 0) retorna «2345», i amb substr('12345', 1, -1) retorna «234»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37642,24 +37717,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, patró, camp, patró, camp, ..., resta_camps) -- igual que «switch», excepte que els arguments són noms de camps (metadades), no text. S'obtindrà el valor del camp corresponent i s'utilitzarà. Podeu utilitzar aquesta funció en un camp compost per utilitzar el valor en algun altre camp compost, ja que les columnes compostes són camps. És molt útil quan per dissenyar camins per desar variables"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "la consulta necessita 2 o un nombre senar d'arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37668,11 +37743,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "«switch» necessita un nombre senar d'arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37682,19 +37757,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, cadena1, prefix2, cadena2, ...) -- Retorna una cadena formada per la concatenació dels arguments. El valor que retorna s'inicia a «cadena1». Les parelles `prefix, cadena` s'afegeixen al final del valor si la longitud de la cadena resultant és menys de `max`. Retorna «cadena1» encara que «cadena1» sigui més llarga que «max». Podeu posar tantes parelles `prefix , cadena` com vulgueu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max requereix dos o més arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max requereix un nombre parell d'arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "el primer argument de strcat_max ha de ser un enter"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37704,11 +37779,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37720,11 +37795,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37735,14 +37810,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, val_trobat, val_no_trobat) -- considera «val» una llista d'identificadors separats per comes i compara la cadena amb cada valor de la llista. Un identificador té el format «identificador:valor». L'argument «identificador» pot ser «id» o «id:regexp». El primer cas cerca coincidències de qualsevol identificador amb «id». El segon cas cerca coincidències entre una expressió regular i el valor de l'identificador. Si hi ha una coincidència retorna «val_trobat» i «val_no_trobat» en cas contrari."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37755,20 +37830,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- si es dóna un valor amb la forma «B, A», retorna «A B». És útil per convertir noms en format COGNOM, NOM a NOM COGNOM. Si no hi ha cap coma, retorna «val» sense canvis"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text si està buit) -- retorna «val» si «val» no està buit, en cas contrari retorna `text si està buit`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37782,7 +37857,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37790,7 +37865,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separador) -- interpreta el valor com una llista d'ítems separats pel `separador` i retorna el nombre d'ítems a la llista. La majoria de llistes utilitzen una coma com a separador, però per als autors s'utilitza el signe &. Exemples: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37799,14 +37874,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, índex, separador) -- interpreta el valor com una llista d'ítems separats per `separador` i retorna l'ítem de la posició `índex`. L'últim ítem es pot obtenir amb `list_item(-1,separador)`. Si l'ítem no està a la llista retorna un valor buit. El separador té el mateix significat que a la funció «count»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, clau) -- interpreta el valor com a una llista d'ítems separats per comes, amb els ítems en la forma «id:valor». Troba la parella amb l'«id» igual a la «clau» i retorna el «valor» corresponent."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37819,19 +37894,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- retorna una llista separada per comes de formats que en algun moment van estar associats amb el llibre. No hi ha cap garantia que la llista sigui correcta, tot i que probablement ho és. Aquesta funció es pot cridar en el mode de programació de plantilles utilitzant la plantilla «{:'approximate_formats()'}». Tingueu en compte que els noms de format estan sempre en majúscules, com a EPUB. Aquesta funció només funciona a la interfície gràfica. Si voleu utilitzar aquests valors a les plantilles de desament al disc o enviament al dispositiu, heu de crear una «Columna construïda a partir d'altres columnes» personalitzada, utilitzeu la funció en aquesta plantilla de la columna i utilitzeu aquest valor de la columna a les vostres plantilles de desament o d'enviament"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Aquesta funció només es pot utilitzar a la interfície gràfica"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37841,7 +37916,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37849,7 +37924,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37857,13 +37932,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readabe(v) -- retorna una cadena que representa el nombre «v» en KB, MB, GB..."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37874,7 +37949,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37887,7 +37962,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37904,7 +37979,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, inici_index, fi_index) -- Aquesta funció s'utilitza per separar llistes d'ítems, per exemple per gènere. Interpreta el valor com una llista d'ítem separats per comes, on cada ítem és al mateix temps un llistat d'ítems separats per punts. Retorna una nova llista agafant, de cada llista d'ítems separats per punts, els ítems situats entre les posicions `inici_index` i `fi_index` i combinant-ne els resultats. El primer ítem de cada llista separada per punts ocupa la posició zero. Si un índex és negatiu, es compta des del final de la llista. Com a cas especial, si «fi_index» és zero, es considera que és el final de la llista. Exemples utilitzant el tipus bàsic de plantilla i suposant que la columna #gènere conté el valor «A.B.C»: amb {#genre:subitems(0,1)} retorna «A»; amb {#genre:subitems(0,2)} retorna «A.B»; amb {#genre:subitems(1,0)} retorna «B.C». Considerant que #gènere conté «A.B.C, D.E.F», amb {#genre:subitems(0,1)} retorna «A, D»; amb {#genre:subitems(0,2)} retorna «A.B, D.E»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37927,23 +38002,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, cadena_format) -- dóna format al valor, que ha de ser una data, utilitzant «cadena_format» i retorna una cadena. Els codis de format són: «d»: el dia com a nombre sense cap zero a l'esquerra (1 a 31). «dd»: el dia com a nombre amb zero a l'esquerra (01 a 31). «ddd»: el nom del dia abreujat en l'idioma local (per exemple «Dil» a «Diu»). «dddd»: el nom del dia complet en l'idioma local (per exemple «Dilluns» a «Divendres»). «M»: el mes com a nombre sense cap zero a l'esquerra (1 a 12). «MM»: el mes com a nombre amb un zero a l'esquerra (01 a 12). «MMM»: el nom del mes abreujat l'idioma local (per exemple «Gen» a «Des»). «MMMM»: el nom del mes complet en l'idioma local (per exemple «Gener» a «Desembre»). «yy»: l'any com a nombre de dues xifres (00 a 99). «yyyy»: l'any com a nombre de quatre xifres. «h»: l'hora sense cap zero a l'esquerra (0 a 11 o 0 a 23 depenent de si s'utilitza el format de 12 o el de 24 hores). «hh» l'hora amb un zero a l'esquerra (00 a 11 o 00 a 23 depenent de si s'utilitza el format de 12 o el de 24 hores). «m»: els minuts sense cap zero a l'esquerra (0 a 59). «mm»: els minuts amb un zero a l'esquerra (00 a 59). «s»: els segons sense cap zero a l'esquerra (0 a 59). «ss»: els segons amb un zero a l'esquerra (00 a 59). «ap»: utilitza el rellotge de 12 hores en lloc del de 24 hores, «ap» se substitueix per la cadena en l'idioma local per a «am» o «pm». «AP»: utilitza el rellotge de 12 hores en lloc del de 24 hores, «AP» se substitueix per la cadena en l'idioma local per a «AM» o «PM». «iso»: la data amb l'hora i la zona horària; ha de ser l'únic format present."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37952,7 +38027,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- retorna el valor del camp de la mida. Aquesta funció només funciona a la interfície gràfica. Si voleu utilitzar aquests valors a les plantilles de desament al disc o enviament al dispositiu, heu de crear una «Columna construïda a partir d'altres columnes» personalitzada, utilitzeu la funció en aquesta plantilla de la columna i utilitzeu aquest valor de la columna a les vostres plantilles de desament o d'enviament"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37961,55 +38036,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- retorna «Yes» si s'ha establert «ondevice», en cas contrari retorna una cadena buida. Aquesta funció només funciona a la interfície gràfica. Si voleu utilitzar aquests valors a les plantilles de desament al disc o enviament al dispositiu, heu de crear una «Columna construïda a partir d'altres columnes» personalitzada, utilitzeu la funció en aquesta plantilla de la columna i utilitzeu aquest valor de la columna a les vostres plantilles de desament o d'enviament"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- retorna el valor de l'ordre de les sèries"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- retorna «Yes» si el llibre té portada, altrament retorna la cadena buida"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(valor, valor, ...) -- retorna el primer valor que no està buit. Si tots els valors estan buits, retorna el valor buit. Es pot tenir tants valors com es vulgui."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "and(valor, valor, ...) -- retorna la cadena «1» si algun valor no està buit, en cas contrari retorna la cadena buida. Aquesta funció va bé conjuntament amb «test» o «first_non_empty». S'hi pot posar tants valors com es vulgui."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38018,7 +38093,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38026,7 +38101,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38034,7 +38109,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38042,7 +38117,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(llista, adreça, separador) -- retorna la «llista» ordenada sense distingir majúscules de minúscules. Si «adreça» és zero, la llista tindrà ordre ascendent, en cas contrari el tindrà descendent. Els ítems de «llista» estan separats pel «separador», de la mateixa manera que a la llista obtinguda."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38051,7 +38126,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38060,7 +38135,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38068,14 +38143,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- retorna la cadena d'una data per a avui. Aquest valor està pensat per utilitzar-lo a «format_date» o «days_between», però es pot manipular com qualsevol altra cadena. La data està en format ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38083,7 +38158,7 @@ msgid ""
 "empty string."
 msgstr "days_between(data1, data2) -- retorna el nombre de dies entre «data1» i «data2». El nombre és positiu si «data1» és posterior a «data2», negatiu en cas contrari. Si «data1» o «data2» no són dates, retorna una cadena buida."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38091,28 +38166,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- retorna les cadenes per als codis de llengua introduïts a «lang_codes». Si «localize» és zero, s'obtenen les cadenes en anglès. Sí «localize» no és zero, s'obtenen les cadenes en la llengua local actual. «lang_codes» és una llista separada per comes."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- retorna els codis de llengua introduïts a «lang_strings». Les cadenes han d'estar en la llengua local actual. «lang_strings» és una llista separada per comes."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- retorna el darrer nom del camí a la biblioteca de calibre. Aquesta funció es pot invocar al mode de programació de plantilles utilitzant la plantilla \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- retorna el camí a la biblioteca actual de calibre. Aquesta funció es pot invocar al mode de programació de plantilles utilitzant la plantilla «{:'current_library_path()'}»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38121,7 +38196,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- s'aplica al format, prefix i sufix a un valor igual que en una plantilla com `{series_index:05.2f| - |- }`. Per exemple, el programa següent dóna la mateixa sortida que la plantilla de més amunt: «program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38130,7 +38205,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38139,7 +38214,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- retorna una llista separada per comes de les categories de l'usuari que conté aquest llibre. Aquesta funció només funciona a la interfície gràfica. Si voleu utilitzar aquests valors a les plantilles de desament al disc o enviament al dispositiu, heu de crear una «Columna construïda a partir d'altres columnes» personalitzada, utilitzeu la funció en aquesta plantilla de la columna i utilitzeu aquest valor de la columna a les vostres plantilles de desament o d'enviament"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38147,7 +38222,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "ransliterate(a) -- Retorna una cadena en alfabet llatí formada per l'aproximació del so de les paraules de la cadena original. Per exemple, si l'origen és «{0}» la funció dóna «{1}»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38159,7 +38234,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38170,7 +38245,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38178,13 +38253,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38192,7 +38267,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38205,11 +38280,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38217,11 +38292,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38230,7 +38305,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38241,7 +38316,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38251,6 +38326,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38539,29 +38620,29 @@ msgstr "Tanca sense desar"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Caràcters addicionals al final de la cerca"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "falta un «)»"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Ha fallat l'anàlisi de la consulta, s'ha arribat al límit de recursivitat: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "S'ha desat la cerca recursiva: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Cerca desada desconeguda: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Error desconegut a la cerca desada: {0}"
@@ -38924,185 +39005,185 @@ msgstr "S'ignorarà qualsevol enllaç qu
 msgid "Do not download CSS stylesheets."
 msgstr "No baixis els fulls d'estil CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "D'acord"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Desa-ho tot"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Obre"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Sí"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Sí &a tot"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&No"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&o a tot"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Avorta"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Reintenta-ho"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Tanca"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Aplica"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Restableix"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Restaura els valors predeterminats"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "&Matís:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sat:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Val:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "Ve&rmell:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Verd:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Blau:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Canal &alfa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Cursor a %1, %2\nPremeu ESC per cancel·lar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Seleccioneu un color"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Colors &bàsics"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "Colors &personalitzats"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Afegeix-lo als colors personalitzats"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Seleccioneu la lletra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Lletra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "E&stil de la lletra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Mida"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efectes"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "&Ratllat"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Mostra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Sistema d'&escriptura"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Desplaça a l'esquerra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Desplaça cap amunt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Desplaça cap avall"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Desplaça a la dreta"
 
@@ -39382,8 +39463,8 @@ msgstr "Especifica les regles de canvi d
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39431,7 +39512,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Especifica les regles de canvi de nom per a les col·leccions Sony. Aquest retoc\nnomés és aplicable si la gestió de metadades s'estableix a «automàtica». Les\ncol·leccions als dispositius Sony s'anomenen depenent de si el camp és estàndard o\npersonalitzat. Una col·lecció derivada d'un camp estàndard s'anomena amb el valor\nd'aquest camp. Per exemple, si la columna estàndard «sèrie» conté el valor «Darkover»,\nel nom de la col·lecció és «Darkover». Una col·lecció derivada d'un camp personalitzar\ntindrà el nom del camp afegit al valor. Per exemple, si una columna personalitzada de\nsèrie s'anomena «La meva sèrie» conté el valor «Darkover», la col·lecció s'anomenarà\nper defecte «Darkover (La meva sèrie)». Per als usos d'aquesta documentació,\ns'anomena «Darkover» el valor i «La meva sèrie» la categoria. Si dos llibres tenen camps\nque generen el mateix nom de col·lecció els dos llibres estaran en aquesta col·lecció.\nAquest conjunt de retocs us permet especificar com s'anomenaran les col·leccions\nper a un camp estàndard o personalitzat. Podeu utilitzar-ho per afegir una descripció al\ncamp estàndard, per exemple «Naps (Etiqueta)» en lloc de «Naps». També podeu\nutilitzar-ho per forçar que diversos camps acabin a la mateixa col·lecció. Per exemple,\npodeu forçar que els valors de «sèrie» «#la_meva_sèrie_1» i «la_meva_sèrie_2»\napareguin a les col·leccions com a «algun_valor (Sèrie)», fusionant així tots els camps en\nun únic conjunt de col·leccions.\nHi ha dos retocs relacionats. El primer determina el nom de la categoria que\ns'utilitzarà per a un camp de metadades. El segon és una plantilla que s'utilitza per\ndeterminar com es combinen el valor i la categoria per crear el nom de la col·lecció.\nLa sintaxi del primer retoc, «sony_collection_renaming_rules», és:\n«'nom_de_cerca_del_camp':'nom_de_la_categoria_a_utilitzar', 'nom_de_cerca':'nom', ...}»\nEl segon retoc, «sony_collection_name_template» és una plantilla. Utilitza el\nmateix llenguatge que els dels taulers de connexions i les plantilles de desament. Aquest\nretoc controla com es combinen el valor i la categoria junts per fer el nom de la\ncol·lecció. Els únics dos camps disponibles són {categoria} i {valor}. El camp {valor} no\nestà mai buit. El camp {categoria} pot estar buit. Per defecte es posa primer el valor i\ndesprés la categoria entre parèntesis, si no està buida: «{value} {category:|(|)}»\nExemples: Als primers tres exemples s'assumeix que no s'ha canviat el segon retoc.\n1: Vull que les tres columnes de sèrie es fusionin en un conjunt de col·leccions. Els\nnoms de cerca de les columnes són «series», «#sèrie_1» i «#sèrie_2» i no vull res entre\nparèntesis. El valor a utilitzar al retoc seria:\n«sony_collection_renaming_rules={'series':'', '#sèrie_1':'', '#sèrie_2':''}»\n2: Vull que la paraula «(Sèrie)» aparegui a les col·leccions fetes a partir de les sèries i\nque la paraula «(Etiqueta)» aparegui a les col·leccions fetes a partir de les etiquetes.\nUtilitzeu:\n«sony_collection_renaming_rules={'series':'Sèrie', 'tags':'Etiqueta'}»\n3: Vull que «series» i «la_meva_sèrie» es fusionin i afegir «(Sèrie)» al nom de col·lecció.\nLa regla per reanomenar és:\n«sony_collection_renaming_rules={'series':'Sèrie', '#la_meva_sèrie':'Sèrie'}»\n4: Igual que a l'exemple 2 però en lloc de tenir el nom de la categoria entre parèntesis i\nafegit al valor el vull al principi i separat per dos punts com a «Sèrie: Darkover». He de\ncanviar la plantilla utilitzada per donar format al nom de la categoria. Els dos\nretocs resultants són:\n«sony_collection_renaming_rules={'series':'Sèrie', 'tags':'Etiqueta'}»\n«sony_collection_name_template='{category:||: }{value}'»"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39439,7 +39520,7 @@ msgstr "Especifica com s'ordenen les col
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39454,7 +39535,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Especifica com s'ordenen les col·leccions sony. Aquest retoc només s'aplica\nsi s'estableix la gestió de metadades a «automàtica». Podeu indicar les\nmetadades que s'utilitzaran per ordenar en un esquema «col·lecció per col·lecció».\nEl format del retoc és una llista de camps de metadades a partir dels quals\nes fan les col·leccions, seguida pel nom del camp de metadades que conté el valor\nd'ordre.\nExemple: L'expressió següent indica que les col·leccions construïdes a partir de la\ndata de publicació i les etiquetes s'ordenaran pel valor de la columna personalitzada\n«#mydate», que les col·leccions construïdes a partir de «series» s'ordenaran per\n«series_index» i la resta de col·leccions s'ordenaran per títol. Si un camp de\nmetadades d'una col·lecció no té nom, si és una col·lecció basada en les sèries\ns'ordena per l'ordre de la sèrie i per l'ordre de títol en la resta de casos.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nFixeu-vos que cal posar els claudàtors i els parèntesis. La sintaxi és\n[ ( [llista de camps], camp d'ordre ) , ( [ llista de camps ] , camp d'ordre ) ]\nPer defecte: buit (sense regles), no es dóna nom a cap atribut de col·lecció."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/crh.po 5.10.0+dfsg-1/translations/calibre/crh.po
--- 5.9.0+dfsg-3/translations/calibre/crh.po	2021-01-06 15:30:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/crh.po	2021-01-20 15:27:04.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/cs.po 5.10.0+dfsg-1/translations/calibre/cs.po
--- 5.9.0+dfsg-3/translations/calibre/cs.po	2021-01-06 15:30:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/cs.po	2021-01-20 15:27:20.000000000 +0000
@@ -11,9 +11,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-05 11:26+0000\n"
-"Last-Translator: Trottel <trottel09@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -91,15 +91,15 @@ msgstr "Nedělá vůbec nic"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -120,7 +120,7 @@ msgstr "Nedělá vůbec nic"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -220,16 +220,16 @@ msgstr "Nedělá vůbec nic"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -255,7 +255,7 @@ msgstr "Nedělá vůbec nic"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -287,7 +287,7 @@ msgstr "Nedělá vůbec nic"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -306,7 +306,7 @@ msgstr "Nedělá vůbec nic"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -330,27 +330,27 @@ msgstr "Přizpůsobit"
 msgid "Cannot configure"
 msgstr "Nelze nastavit"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Typ souboru"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Čtení metadat"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Zápis metadat"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generátor katalogu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Akce uživatelského rozhraní"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -362,20 +362,20 @@ msgstr "Akce uživatelského rozhraní"
 msgid "Preferences"
 msgstr "Předvolby"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Uložit"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Obchod s e-knihami."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Nástroj na úpravu knihy"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Knihovna zavřena"
 
@@ -397,372 +397,372 @@ msgstr "Vytvořit archiv TXTZ, když imp
 msgid "Extract cover from comic files"
 msgstr "Vytáhnout obálky ze souborů s komiksy"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Načíst metadata ze souborů %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Načíst metadata z e-knih v archivech RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Načíst metadata z e-knih v archivech ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Nastavit metadata v souborech %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Níže zadejte {0}, aby modul zápisu metedat EPUB nepřidával obrázky obálek do souborů EPUB, které nemají žádný obrázek obálky."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Nastavit metadata ze souborů %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Přidat knihy do Calibre nebo připojeného zařízení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Načíst anotace z připojeného Kindle (experimentální)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Vytvořit katalog knih v knihovně Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Převést knihy do různých formátů e-knih"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Vyladit vaše e-knihy"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Procházet zvýraznění a záložky ze všech knih v knihovně"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Upravit obsah v knihách"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Odstranit knihy z knihovny Calibre nebo připojeného zařízení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Vložit aktualizovaná metadata do skutečných soubrů knih ve vaší knihovně Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Upravit metadata knih v knihovně Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Číst knihy v knihovně Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Stáhnout zprávy z internetu ve formě e-knihy"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Rychle zobrazit seznam souvisejících knih"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtrovat nebo převést štítky pro knihy v knihovně"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Převést autory pro knihy v knihovně"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Zobrazit editor pro testování šablon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Zobrazit dialogové okno pro vytváření a správu funkcí šablony a uložených šablon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportovat knihy z knihovny Calibre na pevný disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Zobrazit Podrobnosti o knize v samostatném okně"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Restartovat Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Otevřít složku obsahující soubory knih v knihovně Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Odeslat knihy do připojeného zařízení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Odeslat knihy prostřednictvím e-mailu nebo webu. Také připojit ke složkám ve vašem počítači, jako by byly zařízeními"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Procházet uživatelskou příručku Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Přizpůsobit Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Snadno najít knihy podobné právě vybrané knize"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Přepnout mezi různými knihovnami Calibre a provést na nich údržbu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopírovat knihy ze zařízení do knihovny Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Upravit kolekce, ve kterých jsou knihy umístěny ve vašem zařízení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Porovnat knihu v zařízeních s knihami v knihovně"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Zobrazit knihu v knihovně Calibre, která odpovídá této knize"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopírovat knihu z jedné knihovny Calibre do jiné"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Upravit e-knihy ve formátech EPUB nebo AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Udělat malé změny v souborech EPUB nebo HTMLZ v knihovně Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Najít další nebo předchozí shodu při vyhledávání v knihovně Calibre v režimu zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Vybrat náhodnou knihu z knihovny Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Seřadit seznam knih"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Dočasně označit knihy"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Změnit aktuální Virtuální knihovnu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Hledat knihy od různých knihkupců"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Získat nové moduly Calibre nebo aktualizovat stávající"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Vzhled a chování"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Rozhraní"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Přizpůsobit vzhled rozhraní Calibre, aby odpovídalo vašemu vkusu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Chování"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Změnit způsob chování Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Přidat své vlastní sloupce"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Přidat nebo odebrat své vlastní sloupce v seznamu knih Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Panely nástrojů a nabídky"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Přizpůsobit panely nástrojů a místní nabídky, změnit dostupnost akcí"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Vyhledávání"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Přizpůsobit způsob vyhledávání knih v Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Volby vstupu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Převod"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Nastavit volby převodu konkrétní pro jednotlivé vstupní formáty"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Běžné volby"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Nastavit volby převodu společné pro všechny formáty"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Volby výstupu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Nastavit volby převodu konkrétní pro jednotlivé výstupní formáty"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Přidávání knih"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Import a export"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Určit, jak Calibre čte metadata ze souborů při přidávání knih"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Ukládání knih na disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Určit, jak Calibre exportuje soubory ze své databáze na disk při použití Uložit na disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Odesílání knih do zařízení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Určit, jak Calibre přenáší soubory do vaší čtečky e-knih"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Zásuvné panely metadat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Změnit pole metadat před uložením nebo odesláním"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -772,92 +772,92 @@ msgstr "Změnit pole metadat před ulož
 msgid "Template functions"
 msgstr "Funkce šablony"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Rozšířené"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Vytvořit vlastní funkce šablony"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Sdílení knih e-mailem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Sdílení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Natavit sdílení knih e-mailem. Může být použito pro automatické odesílání stažených zpráv do vašich zařízení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Sdílení po síti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Nastavit Server s obsahem Calibre, který vám poskytne přístup k vaší knihovně Calibre odkudkoliv, v jakémkoliv zařízení, přes internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Stahování metadat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Určit, jak Calibre stahuje metadata e-knih z internetu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignorovaná zařízení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Nastavit, která zařízení bude Calibre ignorovat, když budou připojena k počítači"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Moduly"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Přidat, odebrat nebo přizpůsobit různé funkce Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Vylepšení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Vyladit chování Calibre v různých situacích"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Klávesové zkratky"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Přizpůsobit klávesové zkratky používané v Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -865,7 +865,7 @@ msgstr "Přizpůsobit klávesové zkratk
 msgid "Miscellaneous"
 msgstr "Různé"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Různá rozšířená nastavení"
 
@@ -1255,9 +1255,9 @@ msgstr "Výpis databáze do SQL"
 msgid "Restoring database from SQL"
 msgstr "Obnovování databáze z SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1283,17 +1283,17 @@ msgstr "Uložená hledání"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ano"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Obálka pro %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "Formát {0} pro {1}"
@@ -1679,14 +1679,14 @@ msgstr "Zadání tohoto přepínače vyp
 msgid "You must specify some ids or the %s option"
 msgstr "Musíte zadat nějaké identifikátory nebo volbu %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nVypsat knihy dostupné v databázi Calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1694,7 +1694,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Zobrazená pole při výpisu knih v databázi. Měl by to být čárkami oddělený seznam polí.\nDostupná pole: %s\nVýchozí: %%default. Pro výběr všech polí může být použito speciální pole „all“. Kromě výše uvedených polí jsou také dostupná vlastní pole, jako například *field_name, pro vlastní pole #rating použijte název *rating"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1702,39 +1702,39 @@ msgid ""
 "Default: {1}"
 msgstr "Pole, podle kterého řadit výsledky.\nDostupná pole: {0}\nVýchozí: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Seřadit výsledky ve vzestupném pořadí"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrovat výsledky podle vyhledávacího dotazu. Pro formát vyhledávacího dotazu se podívejte do dokumentace související s hledáním v uživatelské příručce. Výchozí je neprovádět žádné filtrování."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Maximální šířka jednoho řádku ve výstupu. Výchozí nastavení pro rozpoznání velikosti obrazovky."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Řetězec použitý pro oddělení polí. Výchozí je mezera."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Předpona pro všechny cesty k souborům. Výchozí je absolutní cesta do složky knihovny."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Maximální počet výsledků k zobrazení. Výchozí: vše"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2281,21 +2281,21 @@ msgstr "prázdný"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Neplatný logický dotaz „{0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Žádná taková Virtuální knihovna: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Hledání ve virtuální knihovně je rekurzivní: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Rozpoznána rekurzivní skupina dotazů: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "šablona hledání: chybějící nebo neplatný oddělovač. Platné oddělovače jsou: {}"
@@ -3471,11 +3471,11 @@ msgstr "Odebráno %s"
 msgid "All books removed"
 msgstr "Všechny knihy odebrány"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Nepojmenované zařízení"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3484,12 +3484,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Zařízení {0} nepovoluje připojení. Odemkněte obrazovku na {0}, klepněte na \"Povolit\" na jakékoliv automaticky otevírané zprávě o připojení, kterou uvidíte, pak buď chvíli počkejte nebo restartujte Calibre. Možná budete také muset změnit režim připojení USB na {0} na \"Režim přenosu médií (MTP)\" nebo podobný."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Neznámé zařízení MTP"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6044,7 +6044,7 @@ msgstr "Poznámky"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6337,7 +6337,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6345,7 +6345,7 @@ msgid "Comments"
 msgstr "Komentáře"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6385,7 +6385,7 @@ msgid "Tags"
 msgstr "Štítky"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6417,7 +6417,7 @@ msgid "Timestamp"
 msgstr "Časové razítko"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8155,13 +8155,13 @@ msgstr "Aktualizován EPUB z verze 2 na
 msgid "HTML TOC generation options."
 msgstr "Volby generování HTML obsahu."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} z <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8194,31 +8194,31 @@ msgstr "Generovat soubor Adobe \"page-ma
 msgid "Sidebar"
 msgstr "Postranní panel"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Přidávání záhlaví a zápatí"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Záhlaví a zápatí přidána"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Analyzován celý obsah pro transformaci značek"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Dokončena transformace značek"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Všechno HTML vykresleno jako PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Přidány odkazy do obsahu PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Aktualizována metadata v PDF"
 
@@ -9201,7 +9201,7 @@ msgstr "Nenalezeny žádné chyby ve va
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10224,7 +10224,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Nápověda"
 
@@ -11497,7 +11497,7 @@ msgid "Errors while adding"
 msgstr "Chyby během přidávání"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorovat"
 
@@ -11627,8 +11627,8 @@ msgstr "Změnit"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11762,11 +11762,11 @@ msgid "Search the internet for this book
 msgstr "Vyhledat na internetu tuto knihu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Spravovat %s"
@@ -11909,7 +11909,7 @@ msgstr "Vybraný text"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12236,7 +12236,7 @@ msgid "Preset name:"
 msgstr "Název předvolby:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Musíte zadat název."
 
@@ -12313,7 +12313,7 @@ msgid "Save current catalog settings as
 msgstr "Uložit aktuální nastavení katalogu jako předvolbu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Uložit"
 
@@ -12322,10 +12322,10 @@ msgid "Delete current preset"
 msgstr "Odstranit aktuální předvolbu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Odstranit"
@@ -12438,8 +12438,8 @@ msgstr "Obnovit na výchozí"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13625,7 +13625,7 @@ msgid "Ta&gs:"
 msgstr "Štít&ky:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13640,8 +13640,8 @@ msgstr "&Série:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Seznam známých sérií. Můžete přidat novou sérii."
@@ -14508,7 +14508,7 @@ msgid "Choose color"
 msgstr "Zvolte barvu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14849,19 +14849,19 @@ msgid "Edit style transform rules"
 msgstr "Upravit pravidla převodu stylů"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "&Exportovat"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Exportovat tato pravidla do souboru"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14935,8 +14935,8 @@ msgstr "Vymazat {}"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15017,7 +15017,7 @@ msgid ""
 msgstr "Série budou obyčejně přečíslovány od nejvyššího čísla v databázi pro tuto sérii. Zaškrtnutí tohoto políčka řekne Calibre, aby začalo číslování od hodnoty v poli"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16601,7 +16601,7 @@ msgid "Change case"
 msgstr "Změnit velikost písmen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16609,7 +16609,7 @@ msgid "Upper case"
 msgstr "Velká písmena"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16617,7 +16617,7 @@ msgid "Lower case"
 msgstr "Malá písmena"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16625,7 +16625,7 @@ msgid "Swap case"
 msgstr "Přepnout velikost písmen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16659,7 +16659,7 @@ msgid "Manage authors"
 msgstr "Spravovat autory"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Hledat:"
@@ -17082,57 +17082,57 @@ msgstr[1] "Skrýt zbývající {} chybov
 msgstr[2] "Skrýt zbývajících {} chybových zpráv"
 msgstr[3] "Skrýt zbývajících {} chybových zpráv"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Spuštěno"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Zpracování %d knih, čekejte..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Průběh aktuálního kroku: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Krok %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Malá písmena"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Velká písmena"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Všechna první velká"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Znaková shoda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Regulární výraz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Nahradit pole"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Předřadit poli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Připojit k poli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Úprava metadat pro jednu knihu"
@@ -17140,22 +17140,22 @@ msgstr[1] "Úprava metadat pro {} knihy"
 msgstr[2] "Úprava metadat pro {} knih"
 msgstr[3] "Úprava metadat pro {} knih"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Okamžitě provést všechny změny bez zavření dialogového okna. Tato operace nemůže být zrušena nebo vrácena"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Kniha %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Zadejte typ identifikátoru"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17163,7 +17163,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Použitím této funkce můžete zničit svou knihovnu.</b> Změny jsou trvalé. Není žádná funkce vrácení zpět. Důrazně vám doporučujeme zálohovat svou knihovnu před pokračováním.<p>Hledejte a nahraďte v textových polích pomocí znakové shody nebo regulárních výrazů. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17173,7 +17173,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "Ve znakovém režimu se v poli hledá zadaný text hledání. Text je nahrazen zadaným nahrazovacím textem kdekoliv je v zadaném poli nalezen. Po dokončení nahrazení může být text změněn na velká, malá nebo všechna první velká písmena. Pokud je zaškrtnuto políčko Rozlišovat velikost písmen, musí se text hledání shodovat přesně. Pokud není zaškrtnuto, bude se text hledání shodovat jak s velkými, tak s malými písmeny."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17188,80 +17188,89 @@ msgid ""
 "function."
 msgstr "V režimu regulárního výrazu je text hledání libovolný regulární výraz kompatibilní s Pythonem. Nahrazovací text může obsahovat zpětné odkazy na výrazy v závorkách ve vzoru. Hledání není ukotvené a může odpovídat a nahradit vícekrát na stejném řetězci. Funkce úprav (malá písmena atd.) jsou použity na odpovídající text, ne na pole jako celek. Cílové pole určuje pole, kam má být přiřazen výsledek po porovnání a nahrazení. Můžete nahradit text v poli, nebo předřadit nebo připojit odpovídající text. Pro více informací o regulárních výrazech Pythonu a obzvláště o funkci 'sub' navštivte <a href=\"https://docs.python.org/library/re.html\">tento odkaz</a>."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "H/N CHYBA ŠABLONY"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Musíte zadat cíl, když je zdrojem složené pole nebo šablona"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Hodnota nahrazení pro sloupec hodnocení musí být prázdná nebo celé číslo mezi 0 a 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Musíte zadat typ cílového identifikátoru"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Musíte zadat výraz hledání do pole \"Hledat\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Neplatný řetězec identifikátoru. Musí to čárkami oddělený seznam párů řetězců oddělených dvojtečkou"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Neplatné hledat/nahradit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Hledat nebo nahradit je neplatné: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Odstranit uložené hledat/nahradit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Vybrané uložené hledat/nahradit bude odstraněno. Opravdu to chcete?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Uložit hledat/nahradit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Název hledat/nahradit:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Uložené hledat/nahradit již existuje a bude přepsáno. Opravdu to chcete?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Upravit metainformace"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "&Použít datum"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autoři: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17269,90 +17278,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Toto způsobí, že pole řazení autora bude automaticky\naktualizováno na základě pole autorů pro každou vybranou\nknihu. Pamatujte, že pokud použijete výše uvedený ovládací\nprvek pro hromadné nastavení autorů, pole řazení autora se\naktualizuje bez ohledu na hodnotu tohoto zaškrtávacího políčka."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utomaticky nastavit řazení autora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "&Prohodit název a autora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Aktualizovat řazení názvu na základě aktuálního názvu. Bude použito pouze po jiných změnách názvu."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Řazení aut&ora: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Aktualizovat řazení &názvu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Zadejte, jak by měli být řazeni autoři této knihy. Například Charles Dickens by měl být řazen jako Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Změnit &obálku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Hodnocení:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Generovat výchozí obálku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Použít hodnocení"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Odebrat obálku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Vydavatel: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Pokusit se automaticky rozpoznat a odebrat rámečky a mezery navíc z hran\nobrázku obálky. Někdy to může odebrat příliš mnoho, takže používejte opatrně."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Pokud je zaškrtnuto, vydavatel bude vymazán"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Oříznout obálku (NEBEZPEČNÉ)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Vymazat vydavatele"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Nastavit ze souborů &e-knih"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Přidat štít&ky: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Nastavit obálky všech vybraných knih, aby byly\nstejné jako ta v první vybrané knize."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Otevřít Editor štítků"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Klonovat obálky"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Odeb&rat štítky:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Vynutit, aby měl název všechna první písmena velká. Pokud je zaškrtnuta toto\na prohození autorů, název a autor jsou prohozeni před nastavením velikosti písma"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Čárkami oddělený seznam štítků k odebrání z knih. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Změnit &velikost písmen názvu na:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Zaškrtněte toto políčko pro odebrání všech štítků z knih."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datum:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "&Odebrat vše"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Pokud je zaškrtnuto, vydavatel bude vymazán"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Sér&ie:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Vymazat vydavatele"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Pokud je zaškrtnuto, série bude vymazána"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "&Vydáno:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Vymazat série"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17360,126 +17364,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Pokud není zaškrtnuto, bude číslo série pro knihy nastaveno na 1.\nPokud je zaškrtnuto, vybrané knihy budou automaticky očíslovány\nv pořadí, v jakém jste je vybrali. Takže pokud jste vybrali knihu A\na pak knihu B, kniha A bude mít číslo série 1 a kniha B číslo série 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Automaticky číslovat knihy v této sérii"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Série budou obyčejně přečíslovány od nejvyššího čísla v databázi\npro tuto sérii. Zaškrtnutí tohoto políčka řekne Calibre, aby začalo\nčíslování od hodnoty v poli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Vynutit čísla, aby začala:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Pokud je zaškrtnuto, série bude vymazána"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Vymazat série"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Určete, jak jsou vytvářeny výchozí generované obálky"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Konfigurovat generování obálky"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Nastavit ko&mentáře pro všechny vybrané knihy"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Odeb&rat štítky:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "&Odebrat vše"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Přidat štít&ky: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datum:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Zadejte, jak by měli být řazeni autoři této knihy. Například Charles Dickens by měl být řazen jako Dickens, Charles."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "&Použít datum"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Použít hodnocení"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "&Vydáno:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Vymazat datum vydání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autoři: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Jazyky:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Vydavatel: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Čárkami oddělený seznam štítků k odebrání z knih. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Otevřít Editor štítků"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Řazení aut&ora: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Nastavit metadata v Calibre z metadat v souborech e-knihy přidružené ke každé knize. Pamatujte, že to nezmění obálku, k tomu použijte samostatnou volbu níže."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Nastavit &metadata (kromě obálky) ze souborů e-knihy"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Sér&ie:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Odebrat uložené nastavení převodu pro vybrané knihy.\n\nBudoucí převod těchto knih použije výchozí nastavení."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Odebrat &uložená nastavení převodu pro vybrané knihy"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17488,153 +17427,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Když provádíte převod ze stejného formátu na stejný formát,\nnapř. EPUB na EPUB, Calibre uloží původní EPUB jako\nORIGINAL_EPUB. Tato volba říká Calibre, aby obnovilo EPUB\nz ORIGINAL_EPUB. Užitečné, pokud jste udělali hromadný převod\nvelkého počtu kniha a něco se nepovedlo."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Obnovit &původní před převodem, pokud je to možné"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Zaškrtněte toto políčko pro odebrání všech štítků z knih."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Hodnocení:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Vynutit, aby měl název všechna první písmena velká. Pokud je zaškrtnuta toto\na prohození autorů, název a autor jsou prohozeni před nastavením velikosti písma"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Změnit &velikost písmen názvu na:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Aktualizovat řazení názvu na základě aktuálního názvu. Bude použito pouze po jiných změnách názvu."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Aktualizovat řazení &názvu"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Nastavit metadata v Calibre z metadat v souborech e-knihy přidružené ke každé knize. Pamatujte, že to nezmění obálku, k tomu použijte samostatnou volbu níže."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Nastavit &metadata (kromě obálky) ze souborů e-knihy"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Změnit &obálku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Generovat výchozí obálku"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Odebrat obálku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Pokusit se automaticky rozpoznat a odebrat rámečky a mezery navíc z hran\nobrázku obálky. Někdy to může odebrat příliš mnoho, takže používejte opatrně."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Oříznout obálku (NEBEZPEČNÉ)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Nastavit ze souborů &e-knih"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Nastavit obálky všech vybraných knih, aby byly\nstejné jako ta v první vybrané knize."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Klonovat obálky"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Určete, jak jsou vytvářeny výchozí generované obálky"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Konfigurovat generování obálky"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Nastavit ko&mentáře pro všechny vybrané knihy"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Základní metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Vlastní metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Načíst hledat a nahradit:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Vybrat uložené hledat/nahradit k načtení."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Uložit aktuální hledat/nahradit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Uložit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Vyhledávací &pole:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Název pole, které chcete hledat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Vyhledávací &režim:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Zvolte, zda použít základní porovnávání textu nebo rozšířené porovnávání regulárními výrazy"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "&Typ identifikátoru:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Zvolte, nad kterým typem identifikátoru pracovat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Ša&blona:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Zadejte šablonu, která má být použita jako zdroj pro hledat/nahradit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Zadejte, co hledáte, buď prostý text nebo regulární výraz, v závislosti na režimu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Zaškrtněte toto políčko, pokud musí hledaný řetězec přesně odpovídat velkým a malým písmenům. Zrušte zaškrtnutí, pokud má být velikost písmen ignorována"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "&Rozlišovat velikost písmen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Nahradit čím:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Nahrazovací text. Odpovídající hledaný text bude nahrazen tímto řetězcem"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Použít funkci po nahrazení:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Zadejte, jak má být text zpracován po porovnání a nahrazení. Ve znakovém režim je\nzpracováno celé pole. V režimu regulárního výrazu je zpracován pouze odpovídající text"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Cílové pole:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Pole, do kterého bude umístěn text po všech nahrazeních.\nPokud je prázdné, je použito zdrojové pole, pokud je pole upravitelné"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "Reži&m:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Zadejte, jak by měl být text kopírován do cíle."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Určuje, zda by měly být výsledné položky rozděleny na více hodnot nebo\nponechány jako jedna hodnota. Tato volba má největší efekt, když zdrojové\npole není vícenásobné a cílové pole je vícenásobné."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "&Rozdělit výsledek"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Typ identifikátoru:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17642,48 +17668,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Zvolte, nad kterým typem identifikátoru pracovat. Když je\nzdrojové pole něco jiného než 'identifikátory', můžete zadat *,\npokud chcete nahradit celou sadu identifikátorů výsledkem\nhledat/nahradit.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Pro pole s více hodnotami &zobrazit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "hodnoty začínající"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "s hodnotami &oddělenými"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Použito při zobrazení výsledků testu pro oddělení hodnot v polích s více hodnotami"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Testovací text"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Výsledek testu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Váš &test:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Hledat a nahradit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Pokud je povoleno, seznam knih bude znovu seřazen a jakékoliv\nexistující hledání nebo Virtuální knihovna budou aktualizovány po\ndokončení úpravy. Toto může být u velkých knihoven pomalé."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Aktualizovat seznam knih po úpravě"
 
@@ -18139,42 +18165,42 @@ msgstr "Otevřít knihu v prohlížeči
 msgid "&Item: {0} ({1})"
 msgstr "&Položka: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Klikněte pro zobrazení pouze knih s touto položkou. Poklepejte pro vyhledání této položky v Prohlížeči štítků"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Nenalezeny žádné položky**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Klikněte do sloupce v zobrazení knihovny, abyste viděli informace pro tuto knihu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Knihy s vybranou položkou \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr "Poklepejte na knihu pro změnu výběru v zobrazení knihovny nebo změňte sloupec zobrazený v levém panelu. Poklepejte se Shift nebo Ctrl pro úpravu metadat knihy, což také změní vybranou knihu."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Během vyplňování tabulky došlo k chybě"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Rychlé zobrazení: Kniha, která není v zobrazení knihovny"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18280,87 +18306,87 @@ msgstr "Obnovení databáze selhalo, pro
 msgid "Failed to repair library"
 msgstr "Nepodařilo se opravit knihovnu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Přidat nové Uložené hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Pro často používaná hledání zde můžete vytvořit <i>Uložené hledání</i>. Hledání bude viditelné pod <i>Uložená hledání</i> v Prohlížeči štítků pomocí názvu, který zde zadáte."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Název Uloženého hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Hledat:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Vyhledávací výraz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Žádný název hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Musíte zadat název pro Uložené hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Žádný vyhledávací výraz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Musíte zadat výraz hledání pro Uložené hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Neplatné uložené hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Spravovat Uložená hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Přidat hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Odebrat hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Upravit hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Aktuální uložené hledání bude <b>trvale odstraněno</b>. Opravdu to chcete?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Upravit název a/nebo výraz níže."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Upravit uložené hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Uložené hledání s názvem {} již existuje. Zvolte jiný název"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Vyhledávací výraz"
 
@@ -19258,48 +19284,64 @@ msgstr "Štítek 1"
 msgid "Tag 2"
 msgstr "Štítek 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Výukový kurz jazyka šablony"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Odkaz na funkci šablony"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Vyberte ikonu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "VÝJIMKA:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Funkce šablony v Pythonu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Uložená šablona"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nezvolen žádný sloupec"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Musíte zadat sloupec, který má být obarven"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Neposkytnuta žádná šablona"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Pole šablony nemůže být prázdné"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "Šablona Režimu obecného programu"
 
@@ -20373,7 +20415,7 @@ msgstr "Hledat klávesovou zkratku podle
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Žádné shody"
 
@@ -20532,8 +20574,8 @@ msgid "Show in calibre"
 msgstr "Zobrazit v Calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Upravit poznámky"
 
@@ -20554,14 +20596,14 @@ msgstr[2] "Odstranit {} vybraných polo
 msgstr[3] "Odstranit {} vybraných položek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Rozbalit vše"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Sbalit vše"
 
@@ -22795,60 +22837,60 @@ msgstr "<li>Pokud sloupec <b>%(col)s</b>
 msgid "value: "
 msgstr "hodnota:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Přidat pravidlo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Odebrat pravidla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Přesunout vybrané pravidlo nahoru"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Přesunout vybrané pravidlo dolů"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Přidat &rozšířené pravidlo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr "&Duplikovat pravidlo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr "Převést na &rozšířené pravidlo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr "Otevřít adresář ikon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importovat pravidla ze souboru"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Barvu sloupců v seznamu knih můžete určit vytvořením „pravidel“, která řeknou Calibre, jakou bravu použít. Začněte kliknutím na následující tlačítko „Přidat pravidlo“. <p><b>Změnit existující pravidlo</b> můžete poklepáním na něj."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Ikony do sloupců v seznamu knih můžete přidat vytvořením „pravidel“, která řeknou Calibre, jakou ikonu použít. Začněte kliknutím na následující tlačítko „Přidat pravidlo“. <p><b>Změnit existující pravidlo</b> můžete poklepáním na něj."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22856,57 +22898,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Emblémy (malé ikony), které jsou zobrazeny po stranách obálek v mřížce obálek, můžete přidat vytvořením „pravidel“, která řeknou Calibre, který obrázek použít. Začněte kliknutím na následující tlačítko „Přidat pravidlo“.<p><b>Změnit existující pravidlo</b> můžete poklepáním na něj."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Zobrazit &emblémy vedle obálek"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Pokud je zaškrtnuto, můžete říct Calibre, aby zobrazilo ikony podle vašeho výběru vedle obálek zobrazených v Mřížce obálek, určeno metadaty knihy."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr "Vyberte jedno pravidlo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr "Musíte vybrat pouze jedno pravidlo."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Není vybráno žádné pravidlo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Není vybráno žádné pravidlo pro %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "odebrání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Zvolte soubor, do kterého exportovat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Pravidla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Zvolte soubor, ze kterého importovat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Nenalezena žádné platná pravidla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Nebyla nalezena žádné platná pravidla v {}."
 
@@ -23748,13 +23790,13 @@ msgstr "Žádný podnadpis"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Dole"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Nahoře"
 
@@ -23788,7 +23830,7 @@ msgid "If there is enough room"
 msgstr "Pokud je dostatek místa"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Podle prvního písmena"
 
@@ -24069,7 +24111,7 @@ msgid ""
 msgstr "Calibre používá dva druhy mezipamětí pro zlepšení výkonu při vykreslování obálek v zobrazení mřížky. Diskovou mezipaměť, která je uchovávána na vašem pevném disku a ukládá náhledy obálek, a mezipaměť v paměti, používanou pro zajištění vykreslení obálek bez blikání. Pro nejlepší výsledky ponechte mezipaměť paměti malou a diskovou paměť velkou, pokud nemáte ve svém počítači navíc hodně paměti RAM a nevadí vám její používání mezipamětí paměti."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Zakázat"
 
@@ -24761,8 +24803,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Zde můžete změnit metadata, která Calibre používá pro aktualizaci knihy při ukládání na disk nebo odesílání do zařízení.\n\nPoužijte toto dialogové okno pro definování 'zásuvného panelu' pro formát (nebo všechny formáty) a zařízení (nebo všechny zařízení). Zásuvný panel určuje, která šablona je připojena ke kterému poli. Šablona je použita pro výpočet hodnoty, a tato hodnota je přiřazena připojenému poli.\n\nŠablony budou často obsahovat jednoduché odkazy na složené sloupce, ale není to nutné. Ve zdrojovém poli můžete použít jakoukoliv šablonu, kterou můžete použít někde jinde v Calibre.\n\nJedno možné použití pro zásuvný panel je upravení názvu, aby obsahoval informaci o sérii. Další by byla změna řazení autora, což je něco, co by mohli dělat uživatelé mobi, aby vynutili použití ';', které vyžaduje Kindle. Třetí by bylo zadání jazyka."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25330,7 +25372,7 @@ msgid ""
 msgstr "Vyžadování uživatelského jména a hesla zabraňuje neoprávněným osobám v přístupu k vaší knihovně Calibre. Je také potřeba pro některé funkce, jako je provádění jakýchkoliv změn v knihovně, stejně jako synchronizace pozic posledního čtení nebo anotací."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Změnit heslo pro {}"
 
@@ -25465,7 +25507,7 @@ msgid "Change &password"
 msgstr "Změnit &heslo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{} má aktuálně povolen přístup pouze ke knihovně s názvem: {}"
@@ -25478,7 +25520,7 @@ msgid "Change the allowed libraries"
 msgstr "Změnit povolené knihovny"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} nemá aktuálně povolen přístup ke knihovně s názvem: {}"
@@ -26993,7 +27035,7 @@ msgid "Books in this category are unrate
 msgstr "Knihy v této kategorii nejsou hodnoceny"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Vyhledávací výraz:"
 
@@ -27284,7 +27326,7 @@ msgstr "Přejmenovat %s ve Virtuální k
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Přejmenovat %s"
@@ -27344,95 +27386,95 @@ msgstr "Odstranit Uložené hledání %s
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Odebrat %(item)s z kategorie %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr "Hledat %s a jeho podřízené položky"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Hledat vše kromě %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr "Hledat vše kromě %s a jeho podřízených položek"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Hledat pomocí výrazu uloženého hledání"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Přidat podkategorii do %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Odstranit Uživatelskou kategorii %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Hledat knihy v kategorii %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Hledat knihy mimo kategorii %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr "Upravit povolené hodnoty pro %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Skrýt kategorii %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Změnit ikonu kategorie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Obnovit výchozí ikonu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Spravovat Uživatelské kategorie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Změnit schéma podkategorizace"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Oddíl"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "První písmeno je užitečné pouze při řazení podle názvu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Rozbalit nebo sbalit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Rozbalit {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Rozbalit {0} a jeho podřízené položky"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "Sbalit {0}"
@@ -28089,7 +28131,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Následující knihy již byly převedeny do formátu %s. Přejete si je převést znovu?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr "Nelze nalézt službu dispečer řeči na vašem systému. Nainstalujte ji, prosím."
 
@@ -28622,7 +28665,7 @@ msgid ""
 msgstr "Až dokončíte úpravy {0}, klikněte na „Importovat“ pro aktualizaci souboru v knize, nebo „Zahodit“ pro ztrátu všech změn."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Zahodit"
 
@@ -30868,7 +30911,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Kurzíva</h3>Změnit vybraný text na kurzívu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "P&odtržené"
 
@@ -32203,7 +32246,7 @@ msgid "Disabled confirmations restored"
 msgstr "Zakázaná potvrzení obnovena"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "Proces vykreslení selhal "
 
@@ -32830,7 +32873,7 @@ msgid "Export saved searches"
 msgstr "Exportovat uložená hledání"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exportovat"
 
@@ -34710,16 +34753,16 @@ msgstr "Zvýraznění Calibre"
 msgid "highlights"
 msgstr "zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "Změnit toto zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr "Upravit poznámky pro toto zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] "Odstranit vybrané zvýraznění"
@@ -34727,7 +34770,7 @@ msgstr[1] "Odstranit vybraná zvýrazně
 msgstr[2] "Odstranit vybraná zvýraznění"
 msgstr[3] "Odstranit vybraná zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34736,39 +34779,39 @@ msgstr[1] "Oddíl obsahu:"
 msgstr[2] "Oddíl obsahu:"
 msgstr[3] "Oddíly obsahu:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Poklepejte pro přeskočení na záznam"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Změnit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "Změnit vybrané zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "Odstranit vybraná zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "Exportovat všechna zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "Hledání neodpovídají žádná zvýraznění: {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "Žádné vybrané zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "Aktuálně není vybráno žádné zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] "Opravdu chcete trvale odstranit toto zvýraznění?"
@@ -34776,11 +34819,11 @@ msgstr[1] "Opravdu chcete trvale odstran
 msgstr[2] "Opravdu chcete trvale odstranit všech {} zvýraznění?"
 msgstr[3] "Opravdu chcete trvale odstranit všech {} zvýraznění?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "Žádná zvýraznění"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "Tato kniha nemá žádná zvýraznění k exportu"
 
@@ -35234,7 +35277,7 @@ msgid "E-book viewer"
 msgstr "Prohlížeč e-knih"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Posunout sem"
 
@@ -35310,13 +35353,13 @@ msgstr "Načítání knihy selhalo"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Nepodařilo se otevřít knihu v {0}. Pro více informací klikněte na „Zobrazit podrobnosti“."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Proces vykreslení Qt WebEngine selhal. Měli byste zkusit znovu spustit prohlížeč."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Zvolte obrázek na pozadí"
 
@@ -35481,10 +35524,10 @@ msgid "< &Back"
 msgstr "< &Zpět"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Zrušit"
 
@@ -36125,8 +36168,8 @@ msgid "No genres to catalog.\n"
 msgstr "Žádné žánry do katalogu.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Zaškrtnout regulární výraz ‚Vyloučené žánry‘ ve Volby e-knihy.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36174,8 +36217,8 @@ msgstr "Řazení názvů"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Žádné knihy do katalogu.\nZaškrtnout pravidla ‚Vyloučené knihy‘ ve Volby e-knihy.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36651,177 +36694,208 @@ msgstr "Úplné rozhraní vám poskytne
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} není platná adresa IP nebo síť, s chybou: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Co chcete udělat?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "výchozí"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Není vybrána žádná možnost, ukončování..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s není platná možnost, zkuste to znovu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Existující jména uživatelů:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Nejsou zde žádní uživatelé, nejdříve musíte nějakého přidat"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Uživatelské jméno %s neexistuje"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Zadejte uživatelské jméno"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Zadejte nové heslo pro %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Prázdná hesla nejsou povolena"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Zadejte znovu nové heslo pro %s kvůli ověření:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Hesla se neshodují"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Uživatel %s úspěšně přidán!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Opravdu chcete odebrat uživatele %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Uživatel %s úspěšně odebrán!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Heslo pro %s úspěšně změněno!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Aktuální heslo pro {0} je: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Povolit {} provádět změny (tj. udělit oprávnění k zápisu)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Zabránit {} provádět změny (tj. odebrat oprávnění k zápisu)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} má následující dodatečná omezení vázaná na knihovnu:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} nemá žádná dodatečná omezení vázaná na knihovnu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Povolit přístup ke všem knihovnám"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Povolit přístup pouze k zadaným knihovnám"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Povolit přístup ke všem, kromě zadaných knihoven"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Změnit omezení vázaná na knihovnu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Zadejte název knihovny:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Zadejte vyhledávací výraz, přístup bude udělen pouze ke knihám odpovídajícím tomuto výrazu. Prázdný výraz udělí přístup ke všem knihám."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Další omezení?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Zadejte čárkami oddělený seznam názvů knihoven:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Povolí přístup pouze ke knihovnám: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Povolí přístup ke všem knihovnám kromě: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Zobrazit heslo pro {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Změnit oprávnění pro čtení a zápis pro {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Změnit knihovny, ke kterým má {} povolen přístup"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} má přístup {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "pro čtení a zápis"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "pouze pro čtení"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Přidat nového uživatele"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Upravit existujícího uživatele"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Odebrat uživatele"
 
@@ -37231,13 +37305,14 @@ msgid ""
 msgstr "Automaticky znovu načíst server, když se změní zdrojový kód. Užitečné pro vývoj. Měli byste také zadat malou hodnotu pro časový limit vypnutí."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Spravovat databázi uživatelů, kteří mají povoleno připojovat se k tomuto serveru. Podívejte se také na volbu %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37245,23 +37320,23 @@ msgid ""
 "at: {1}"
 msgstr "Cesta k uživatelské databázi použité pro ověřování. Databáze je soubor SQLite. Pro jeho vytvoření použijte {0}. Více o správě uživatelů si můžete přečíst v: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Je spuštěn jiný program Calibre, jako je jiná instance {} nebo hlavní program Calibre. Mít spuštěno najednou více programů, které mohou provádět změny v knihovně Calibre, není podporováno."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Přerušeno uživatelem"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Není žádná knihovna Calibre v: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Musíte zadat alespoň jednu knihovnu Calibre"
 
@@ -37274,7 +37349,7 @@ msgid "Enum"
 msgstr "Výčet"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Neplatná syntaxe. Očekáván název vyhledávání nebo slovo"
 
@@ -37433,128 +37508,128 @@ msgstr "Nastavení a moduly"
 msgid "File is open in another process"
 msgstr "Soubor je otevřen v jiném procesu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr "konce programu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr "{0} {1} poblíž {2}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "Nepodařilo se prohledat program. Neplatný vstup {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Chyba syntaxe - program končí před EOF"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "V příkaze if chybí 'then'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "V příkaze if chybí 'fi'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr "V příkaze for chybí identifikátor"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr "V příkaze for chybí 'in'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr "V příkaze for chybí dvojtečka (':')"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr "V příkaze for chybí 'rof'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr "Uložená šablona musí začínat {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Neznámá funkce {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Chybí ukončovací závorka"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr "Parametry k '{}' musí být proměnné nebo úlohy"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr "Nesprávný počet parametrů pro funkci {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "Výraz není funkce nebo konstanta"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Chyba během porovnání řetězce. Operátor {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "Hodnota použitá v porovnání není číslo. Operátor {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Neznámý identifikátor {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Neznámé pole {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr "Pole {0} není seznam"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr "Neošetřená výjimka {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Vnitřní chyba vyhodnocování výrazu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "formát: typ {0} vyžaduje celočíselnou hodnotu, získal {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "formát: typ {0} vyžaduje desetinnou (plovoucí) hodnotu, získal {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: neznámá funkce"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr "Žádná taková proměnná {0}"
@@ -37609,60 +37684,60 @@ msgstr "strlen(a) -- vrací délku řet
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- vrací x + y. Vyvolá výjimku, když buď x nebo y nejsou čísla."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- vrací x - y. Vyvolá výjimku, když buď x nebo y nejsou čísla."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- vrací x * y. Vyvolá výjimku, když buď x nebo y nejsou čísla."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- vrací x / y. Vyvolá výjimku, když buď x nebo y nejsou čísla."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling(x) -- vrací nejmenší celé číslo větší nebo rovno x. Vyvolá výjimku, pokud x není číslo."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor(x) -- vrací největší celé číslo menší nebo rovno x. Vyvolá výjimku, pokud x není číslo."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round(x) -- vrací nejbližší celé číslo k x. Vyvolá výjimku, pokud x není číslo."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr "mod(x) -- vrací zbytek x/y, kde x, y a výsledek jsou celá čísla. Vyvolá výjimku, pokud x nebo y není číslo."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr "fractional_part(x) -- vrací hodnotu za desetinnou čárkou. Například fractional_part(3,14) vrací 0,14. Vyvolá výjimku, pokud x není číslo."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37674,7 +37749,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- vyhodnocuje x jako šablonu.Vyhodnocení se provádí ve vlastním kontextu, což znamená, že proměnné nejsou sdíleny mezi volajícím a vyhodnocením šablony. Protože znaky { a } jsou speciální, musíte použít [[ pro znak { a ]] pro znak }; jsou převedeny automaticky. Například template('[[title_sort]]') vyhodnotí šablonu {title_sort} a vrátí její hodnotu. Pamatujte také na to, že předpony a přípony (syntaxe `|prefix|suffix`) nemohou být použity v parametru této funkce při použití režimu šablony programu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37685,13 +37760,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- vyhodnocuje šablonu, předává místní proměnné (ty 'přiřazené') namísto metadat knihy. Toto umožňuje pomocí zpracování šablony vytvořit složité výsledky z místních proměnných. Protože znaky { a } jsou speciální, musíte použít [[ pro znak { a ]] pro znak }; jsou převedeny automaticky. Pamatujte také na to, že předpony a přípony (syntaxe `|prefix|suffix`) nemohou být použity v parametru této funkce při použití režimu šablony programu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- přiřadí val k id, pak vrací val. id musí být identifikátor, ne výraz"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37701,30 +37776,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- vypíše parametry do standardního výstupu. Pokud nespustíte Calibre z příkazové řádky (calibre-debug -g), výstup půjde do černé díry."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- vrací pole metadata pojmenované podle name"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- vrací pole metadata pojmenované podle name bez použití jakéhokoliv formátování."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(název, oddělovač) -- vrací seznam metadat pojmenovaný názvem bez použití jakéhokoliv formátování nebo řazení a s položkami oddělenými oddělovačem."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37734,7 +37809,7 @@ msgid ""
 "'234'."
 msgstr "substr(řetězec, počátek, konec) -- vrací počáteční až koncové znaky řetězce. První znak v řetězci je nultý znak. Pokud je konec záporný, pak označuje, kolik znaků počítat zprava. Pokud je konec nula, pak označuje poslední znak. Například substr('12345', 1, 0) vrací '2345' a substr('12345', 1, -1) vrací '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37744,24 +37819,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(hodnota, vzor, pole, vzor, pole, ..., jinak_pole) -- jako switch kromě toho, že parametry jsou názvy polí (metadat), ne text. Hodnota vhodného pole bude načtena a použita. Pamatujte, že protože složené sloupce jsou pole, můžete použít tuto funkci v jednom složeném poli, aby použilo hodnotu některého jiného složeného pole. Toto je neobyčejně užitečné při sestavování proměnných cest uložení."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup vyžaduje buď 2 nebo lichý počet parametrů"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(hodnota, text při neprázdném, text při prázdném) -- vrací `text při neprázdném`, pokud pole není prázdné, jinak vrací `text při prázdném`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(hodnota, vzor, text při shodě, text při neshodě) -- kontroluje, zda pole obsahuje shody pro `vzor` regulárního výrazu. Vrací `text při shodě`, pokud jsou nalzeny shody, jinak vrací `text při neshodě`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37770,11 +37845,11 @@ msgid ""
 " want"
 msgstr "switch(hodnota, výraz, hodnota, výraz, hodnota, ..., jinak_hodnota) -- pro každý pár `výraz, hodnota` kontroluje, zda pole odpovídá regulárnímu výrazu `výraz` a pokud ano, vrací tu `hodnotu`. Pokud neodpovídají žádné výrazy, pak je vrácena jinak_hodnota. Můžete mít tolik párů `výraz, hodnota`, kolik chcete."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "swich vyžaduje lichý počet parametrů"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37784,19 +37859,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, řetězec1, předpona2, řetězec2, ...) -- Vrací řetězec vytvořený spojením parametrů. Vrácená hodnota je spuštěna na řetězec1. Páry `předpona, řetězec` jsou přidávány na konec hodnoty, dokud je výsledný řetězec kratší než `max`. Řetězec1 je vrácen, dokonce i když je řetězec1 delší než max. Můžete předat tolik párů `předpona, řetězec`, kolik si přejete."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max vyžaduje 2 nebo více parametrů"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max vyžaduje sudý počet parametrů"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "první parametr strcat_max musí být celé číslo"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37806,11 +37881,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(hodnota, oddělovač, vzor, nalezená_hodnota, ..., nenalezená_hodnota) -- považuje hodnotu za seznam položek oddělených oddělovačem, vyhodnocuje vzor proti každé hodnotě v seznamu. Pokud vzor odpovídá hodnotě, vrací nalezená_hodnota, jinak vrací nenalezená_hodnota. Vzor a nalezená_hodnota mohou být opakovány tolikrát, kolikrát je potřeba, což umožňuje vrácení různých hodnot v závislosti na vyhledávání. Vzory jsou kontrolovány v pořadí. Vrácena je první shoda."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list vyžaduje lichý počet parametrů"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37822,11 +37897,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(hodnota, oddělovač, řetězec, nalezená_hodnota, ..., nenalezená_hodnota) -- považuje hodnotu za seznam položek oddělených oddělovačem, porovnává řetězec proti každé hodnotě v seznamu. Pokud řetězec odpovídá hodnotě (ignorována velikost písmen), vrací nalezená_hodnota, jinak vrací nenalezená_hodnota. Pokud řetězec obsahuje oddělovače, je také považován za seznam a je zkontrolována každá hodnota. Řetězec a nalezená_hodnota mohou být opakovány tolikrát, kolikrát je potřeba, což umožňuje vrácení různých hodnot v závislosti na vyhledávání. Řetězce jsou kontrolovány v pořadí. Vrácena je první shoda."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list vyžaduje lichý počet parametrů"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37837,14 +37912,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(hodnota, identifikátor, nalezená_hodnota, nenalezená_hodnota) -- považuje hodnotu za seznam identifikátorů oddělených čárkami, porovnává řetězec proti každé hodnotě v seznamu. Identifikátor má formát \"identifikátor:hodnota\". Parametr identifikátor by měl být buď \"id\" nebo \"id:regexp\". První případ se shoduje, pokud je jakýkoliv identifikátor s tímto id. Druhý případ se shoduje, pokud regexp odpovídá hodnotě identifikátoru. Pokud je nějaká shoda, vrací nalezená_hodnota,  jinak vrací nenalezená_hodnota."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(hodnota, vzor, náhrada) -- vrací pole po použití regulárního výrazu. Všechny instance `vzor` jsou nahrazeny `náhradou`. Jako v celém Calibre jsou toto regulární výrazy kompatibilní s Pythonem"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37857,20 +37932,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- vrací řetězec vytvořený použitím vzoru regulárního výrazu (pattern) na hodnotu (val) a nahrazením každé odpovídající instance řetězcem vypočítaným nahrazením každé odpovídající skupiny hodnotou vrácenou odpovídající šablonou (tempůate_for_group_1). Původní odpovídající hodnota pro skupinu je dostupná jako $. V režimu programu šablony, jako pro šablonu a funkce eval, použijte [[ pro { a ]] pro }. Následující příklad v režimu programu šablony hledá série s více než jedním slovem a prvním slovem velkými písmeny: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(hodnota) -- zadává se hodnota v podobě \"B, A\", vrací \"A B\". Toto je nejužitečnější pro převod jmen z formátu \"příjmení, jméno\" na \"jméno příjmení\". Pokud zde není čárka, funkce vrací hodnotu nezměněnou."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(hodnota, text při prázdné) -- vrací hodnotu, pokud hodnota není prázdná, jinak vrací `text při prázdné`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37884,7 +37959,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(hodnota, znaky vlevo, text uprostřed, znaky vpravo) -- vrací zkrácenou verzi hodnoty, skládající se ze `znaky vlevo` znaků od začátku hodnoty, následované `text uptostřed`, následovné `znaky vpravo` znaků od konce řetězce. `Znaky vlevo` a `znaky vpravo` musí být celá čísla. Například předpokládejme, že název knihy je `Život a doba soudce Roye Beana` a chcete, aby se vešel do míst s nanejvýše 15 znaky. Pokud použijete {title:shorten(9,-,5)}, výsledek bude `Život a d-eana`. Pokud je délka pole menší než `znaky vlevo` + `znaky vpravo` + délka `text uprostřed`, pak bude pole použito nezměněno. Například název `Kopule` by nebyl změněn."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37892,7 +37967,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(hodnota, oddělovač) -- interpretuje hodnotu jako seznam položek oddělených `oddělovačem`, vrací počet položek v seznamu. Většina seznamů používá jako oddělovač čárku, ale autoři používají znak &. Příklady: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37901,14 +37976,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(hodnota, pořadí, oddělovač) -- interpretuje hodnotu jako seznam položek oddělených `oddělovačem`, vrací položku na `pořadí`. První položka je číslo nula. Poslední položka může být vrácena pomocí `list_item(-1,oddělovač)`. Pokud položka naní v seznamu, pak je vrácena prázdné hodnota. Oddělovač má stejný význam jako ve funkci count."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(hodnota, klíč) -- interpretuje hodnotu jako čárkami oddělený seznam položek, s položkami \"identifikátor:hodnota\". Nejde pár s identifikátorem rovnajícím se klíči a vrátí odpovídající hodnotu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37921,19 +37996,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- vrací čárkami oddělený seznam formátů, které svého času byly přidruženy ke knize. Není žádná záruka, že je tento seznam správný, ačkoliv nejspíš je. Tato funkce může být volána v režimu šablony programu pomocí šablony \"{:'approximate_formats()'}\". Pamatujte, že názvy formátů jsou vždy velkými písmeny, jako v EPUB. Tato funkce funguje pouze v grafickém rozhraní. Pokud chcete použít tyto hodnoty v šablonách uložení na disk nebo odeslání do zařízení, pak musíte vytvořit vlastní \"Sloupec sestavený z jiných sloupců\", použít funkci v šabloně toho sloupce a použít hodnotu toho sloupce ve své šabloně uložení nebo odeslání"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Tato funkce může být použita pouze v grafickém rozhraní"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37943,7 +38018,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(formát_data) -- vrací čárkami oddělený seznam dvojtečkami oddělených položek představujících časy úpravy pro formáty knihy. Parametr formát_data určuje, jak má být datum formátováno. Pro podrobnosti se podívejte na funkci date_format. Můžete použít funkci select pro získání času úpravy konkrétního formátu. Pamatujte, že názvy formátu jsou vždy velkými písmeny, jako v EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37951,7 +38026,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- vrací čárkami oddělený seznam dvojtečkami oddělených položek představujících velikosti formátů knihy v bajtech. Můžete použít funkci select pro získání velikosti pro konkrétní formát. Pamatujte, že názvy formátu jsou vždy velkými písmeny, jako v EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37959,13 +38034,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- vrací čárkami oddělený seznam dvojtečkami oddělených položek představujících celé cesty k formátům knihy. Můžete použít funkci select pro získání cesty ke konkrétnímu formátu. Pamatujte, že názvy formátu jsou vždy velkými písmeny, jako v EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(hodnota) -- vrací řetězec představující číslo v KB, MB, GB atd. "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37976,7 +38051,7 @@ msgid ""
 "fails."
 msgstr "format_number(v template) -- formátuje číslo v pomocí šablony formátování Pythonu, jako je „{0:5.2f}“ nebo „{0:,d}“ nebo „${0:5,.2f}“. Součást šablony field_name musí být 0 (nula) („{0:“ ve výše uvedených příkladech). Pro více příkladů se podívejte na jazyk šablony a do dokumentace Pythonu. Pokud šablona obsahuje pouze formát, můžete vynechat úvodní „{0:“ a koncové „}“. Vrací prázdný řetězec, pokud formátování selže."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37989,7 +38064,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(hodnota, počáteční_index, konečný_index, oddělovač) -- interpretuje hodnotu jako seznam položek oddělený `oddělovačem`, vrací nový seznam vytvořený od položky `počáteční_pořadí` po `konečný_pořadí`. První položka je číslo nula. Pokud je pořadí záporný, pak se počítá od konce seznamu. Jako speciální příklad je koncový_index nula považován za délku seznamu. Příklady používající základní režim šablony a předpokládající, že sloupec štítky (který je čárkami oddělený) obsahující \"A, B, C\": {tags:sublist(0,1,\\\\,)} vrací \"A\". {tags:sublist(-1,0,\\\\,)} vrací \"C\". {tags:sublist(0,-1,\\\\,)} vrací \"A, B\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38006,7 +38081,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(hodnota, počáteční_index, konečný_index) -- tato funkce je používána na rozdělení seznamů položek, jako jsou žánry. Interpretuje hodnotu jako čárkami oddělený seznam položek, kde každá položka je tečkami oddělený seznam. Vrací nový seznam vytvořený nejdříve nalezením všech tečkami oddělených položek, pak pro každou takovou položku extrahováním komponent od `počáteční_index` po `konečný_index` a pak zkombinováním výsledků zpět dohromady. První komponenta v tečkami odděleném seznamu má index nula. Pokud je index záporný, pak se počítá od konce seznamu. Jako speciální příklad je koncový_index nula považován za délku seznamu. Příklady používající režim základní šablony a předpokládající, že hodnota #genre \"A.B.C\": {#genre:subitems(0,1)} vrací \"A\". {#genre:subitems(0,2)} vrací \"A.B\". {#genre:subitems(1,0)} vrací \"B.C\". Předpokládající, že hodnota #genre \"A.B.C, D.E.F\", {#genre:subitems(0,1)} vrací \"A, D\". {#genre:subitems(0,2)} vrací \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38029,23 +38104,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(hodnota, formát_řetězce) -- formátuje hodnotu, což musí být datum, pomocí formát_řetězce, vrací řetězec. Kódy formátování jsou: d: den jako číslo bez úvodní nuly (1 až 31), dd: den jako číslo s úvodní nulou (01 až 31), ddd: zkrácený lokalizovaný název dne (např. \"Pon\" až \"Ned\"), dddd: dlouhý lokalizovaný název dne (např. \"Pondělí\" až \"Neděle\"). M: měsíc jako číslo bez úvodní nuly (1 až 12), MM: měsíc jako číslo s úvodní nulou (01 až 12), MMM: zkrácený lokalizovaný název měsíce (např. \"Led\" až \"Pro\"), MMMM: dlouhý lokalizovaný název měsíce (např. \"Leden\" až \"Prosinec\"). yy: rok jako dvoumístné číslo (00 až 99), yyyy: rok jako čtyřmístné číslo. h: hodiny bez úvodní nuly (0 až 11 nebo 0 až 23, v závislosti na dop./odp.), hh: hodiny s úvodní nulou (00 až 11 nebo 00 až 23, v závislosti na dop./odp.), m: minuty bez úvodní nuly (0 až 59), mm: minuty s úvodní nulou (00 až 59), s: sekundy bez úvodní nuly (0 až 59), ss: sekundy s úvodní nulou (00 až 59). ap: použít 12hodinový formát namísto 24hodinového formátu, kde je \"ap\" nahrazeno lokalizovaným řetězcem pro am nebo pm, AP: použít 12hodinový formát namísto 24hodinového formátu, kde je \"AP\" nahrazeno lokalizovaným řetězcem pro AM nebo PM, iso: datum s časem a časovou zónou. Musí být přítomen jediný formát"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(hodnota) -- vrací hodnotu velkými písmeny"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(hodnota) -- vrací hodnotu malými písmeny"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(hodnota) -- vrací hodnotu se všemi prvními písmeny velkými"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(hodnota) -- vrací hodnotu kapitálkami"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38054,7 +38129,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- vrací hodnotu pole velikost. Tato funkce funguje pouze v grafickém rozhraní. Pokud chcete použít tuto hodnotu v šablonách uložení na disk nebo odeslání do zařízení, pak musíte vytvořit vlastní \"Sloupec sestavený z jiných sloupců\", použít funkci v šabloně toho sloupce a použít hodnotu toho sloupce ve své šabloně uložení nebo odeslání"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38063,55 +38138,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- vrací Ano, pokud je nastaveno ondevice, jinak vrací prázdný řetězec. Tato funkce funguje pouze v grafickém rozhraní. Pokud chcete použít tuto hodnotu v šablonách uložení na disk nebo odeslání do zařízení, pak musíte vytvořit vlastní \"Sloupec sestavený z jiných sloupců\", použít funkci v šabloně toho sloupce a použít hodnotu toho sloupce ve své šabloně uložení nebo odeslání"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr "annotation_count() -- vrací celkový počet anotací všechtypů připojených k aktuální knize. Tato funkce funguje pouze v grafickém rozhraní."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr "Nepodařilo se načíst počet anotací"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- vrací hodnotu řazení série"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- vrací Ano, pokud má kniha obálku, jinak vrací prázdný řetězec"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(hodnota, hodnota, ...) -- vrací první hodnotu, která není prázdná. Pokud jsou všechny hodnoty prázdné, pak je vrácena prázdná hodnota. Můžete mít tolik hodnot, kolik chcete."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(hodnota, hodnota, ...) -- vrací řetězec \"1\", pokud všechny hodnoty nejsou prázdné, jinak vrací prázdný řetězec. Tato funkce funguje dobře s test nebo first_non_empty. Můžete mít tolik hodnot, kolik chcete."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "nebo(hodnota, hodnota, ...) -- vrací řetězec \"1\", pokud jakákoliv hodnota není prázdná, jinak vrací prázdný řetězec. Tato funkce funguje dobře s test nebo first_non_empty. Můžete mít tolik hodnot, kolik chcete."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(hodnota) -- vrací řetězec \"1\", pokud je hodnota prázdná, jinak vrací prázdný řetězec. Tato funkce funguje dobře s test nebo first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38120,7 +38195,7 @@ msgid ""
 " list."
 msgstr "list_union(seznam1, seznam2, oddělovač) -- vrací seznam vytvořený sloučením položek v seznam1 a seznam2, odebráním duplicitních položek pomocí porovnání bez rozlišení malých a velkých písmen. Pokud se položky liší velikostí písmen, je použita ta z seznam1. Položky v seznam1 a seznam2 jsou odděleny oddělovačem, stejně jako položky ve vráceném seznamu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38128,7 +38203,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(seznam1, seznam2, oddělovač) -- vrací seznam vytvořený odebrání ze seznam1 všech položek nalezených v seznam2 pomocí porovnání bez rozlišení malých a velkých písmen. Položky v seznam1 a seznam2 jsou odděleny oddělovačem, stejně jako položky ve vráceném seznamu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38136,7 +38211,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(seznam1, seznam2, oddělovač) -- vrací seznam vytvořený odebrání ze seznam1 všech položek nenalezených v seznam2 pomocí porovnání bez rozlišení malých a velkých písmen. Položky v seznam1 a seznam2 jsou odděleny oddělovačem, stejně jako položky ve vráceném seznamu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38144,7 +38219,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(seznam, směr, oddělovač) -- vrací seznam seřazený pomocí řazení bez rozlišení malých a velkých písmen. Pokud je směr nula, je seznam seřazen vzestupně, jinak sestupně. Položky seznamu jsou odděleny oddělovačem, stejně jako položky ve vráceném seznamu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38153,7 +38228,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(seznam1, oddělovač1, seznam2, oddělovač2, hodnota_ano, hodnota_ne) -- vrací hodnota_ano, pokud seznam1 a seznam2 obsahují stejné položky, jinak vrací hodnota_ne. Položky jsou určeny rozdělením každého seznamu pomocí příslušného znaku oddělovače (oddělovač1 nebo oddělovač2). Pořadí položek v seznamu není relevantní. Porovnání je bez rozlišení malých a velkých písmen."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38162,7 +38237,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(seznam_zdrojů, oddělovač, zahrnout_vrácené, volitelně_nahradit) -- Vytváří seznam nejdříve rozdělením seznam_zdrojů na položky pomocí znaku oddělovače. Pro každou položku na seznamu kontroluje, zda odpovídá zahrnout_vrácené. Pokud ano, pak ji přidá na seznam vrácených. Pokud volitelně_nahradit není prázdný řetězec, pak použije náhradu před přidáním položky na seznam vrácených."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38170,14 +38245,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Jako list_re kromě toho, že nahrazení nejsou volitelná. Používáre_group(list_item, search_re, group_1_template, ...) při provádění nahrazení na seznamu výsledků."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- vrací řetězec data pro dnešek. Tato hodnota je navržena pro použití ve format_date nebo days_between, ale může s ní být zacházeno jako s jakýmkoliv jiným řetězcem. Datum je ve formátu ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38185,7 +38260,7 @@ msgid ""
 "empty string."
 msgstr "days_between(datum1, datum2) -- vrací počet dní mezi datum1 a datum2. Počet je kladný, pokud je datum1 větší než datum2, jinak je záporný. Pokud datum1 nebo datum2 nejsou data, funkce vrací prázdný řetězec."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38193,28 +38268,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(kódy_jazyka, lokalizovat) -- vrací řetězec pro kódy jazyka předané v kódy_jazyka. Pokud lokalizovat je nula, vrací řetězce v angličtině. Pokud lokalizovat není nula, vrací řetězce v jazyce aktuálního národního prostředí. Kódy_jazyka je čárkami oddělený seznam."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(řetězce_jazyka) -- vrací kódy jazyka pro řetězce předané v řetězce_jazyka. Řetězce musí být v jazyce aktuálního národního prostředí. Řetězce_jazyka je čárkami oddělený seznam."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- vrací poslední název v cestě k aktuální knihovně Calibre. Tato funkce může být volána v režimu šablony programu pomocí šablony \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- vrací cestu k aktuální knihovně Calibre. Tato funkce může být volána v režimu šablony programu pomocí šablony \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38223,7 +38298,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(hodnota, formát, předpona, přípona) -- použije formát, předponu a příponu na hodnotu stejným způsobem, jak bylo provedeno v šabloně jako `{series_index:05.2f| - |- }`. Například následující vytváří stejný výstup jako výše uvedená šablona: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38232,7 +38307,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- vrací čárkami oddělený seznam Virtuálních knihoven, které obsahují tuto knihu. Tato funkce funguje pouze v grafickém rozhraní. Pokud chcete použít tyto hodnoty v šablonách uložení na disk nebo odeslání do zařízení, pak musíte vytvořit vlastní \"Sloupec sestavený z jiných sloupců\", použít funkci v šabloně toho sloupce a použít hodnotu toho sloupce ve své šabloně uložení nebo odeslání"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38241,7 +38316,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- vrátí čárkami oddělený seznam uživatelských kategorií, které obsahují tuto knihu. Tato funkce funguje pouze v grafickém rozhraníI. Pokud chcete použít tyto hodnoty v šablonách uložení na disk nebo odeslání do zařízení, pak musíte vytvořit vlastní \"Sloupec sestavený z jiných sloupců\", použít funkci v šabloně toho sloupce a použít hodnotu toho sloupce ve svých šablonách uložení nebo odeslání"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38249,7 +38324,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Vrací řetězec v latince vytvořený přibližným odhadem zvuku slov ve zdrojovém řetězci. Například pokud je zdroj \"{0}\", funkce vrací \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38261,7 +38336,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- vrací řetězec obsahující seznam autorů a hodnoty odkazů na tyto autory ve formě author1 val_separator author1link pair_separator author2 val_separator author2link atd. Autor je oddělen od své hodnoty odkazu řetězcem val_separator bez přidaných mezer. Páry author:linkvalue jsou odděleny parametrem řetězce pair_separator bez přidaných mezer. Je na vás zvolit si řetězce oddělovače, které se nevyskytují ve jménech autorů nebo odkazech. Autor je zahrnut i v případě, že odkaz na autora je prázdný."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38272,7 +38347,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- vrací řetězec obsahující seznam hodnot řazení autorů pro autory knihy. Řazení je takové jako v metadatech autora (odlišné od author_sort v knihách). Vrácený seznam má podobu řazení autora 1 val_separator řazení autora 2 atd. Hodnoty řazení autora v tomto seznamu jsou ve stejném pořadí jako autoři knihy. Pokud chcete kolem val_separator mezery, tak je zahrňte do řetězce oddělovače"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38280,13 +38355,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_name(storage_location) -- pokud je zařízení připojeno, vrátit název zařízení, jinak vrátit prázdný řetězec. Každé umístění úložiště v zařízení může mít jiný název. Názvy umístění jsou 'main', 'carda' a 'cardb'. Tato funkce funguje pouze v grafickém rozhraní."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr "connected_device_name: neplatné umístění úložiště „{0}“"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38294,7 +38369,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_uuid(storage_location) -- pokud je zařízení připojeno, vrátit uuid zařízení (jedinečný identifikátor), jinak vrátit prázdný řetězec. Každé umístění úložiště v zařízení má jiné uuid. Názvy umístění jsou 'main', 'carda' a 'cardb'. Tato funkce funguje pouze v grafickém rozhraní."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38307,11 +38382,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr "check_yes_no(field_name, is_undefined, is_false, is_true) -- kontroluje hodnotu pole ano/ne pojmenovanou vyhledávacím klíčem field_name podle hodnoty zadané parametry, vrací „ano“, pokud je nalezena shoda, jinak vrací prázdný řetězec. Nastavte parametry is_undefined, is_false nebo is_true na 1 (číslo) pro kontrolu těchto podmínek, jinak je nastavte na 0. Příklad: check_yes_no(\"#bool\", 1, 0, 1) vrací „ano“, pokud pole ano/ne \"#bool\" je buď nedefinováno (ani True ani False) nebo True. Na 1 může být nastaveno více než jeden z parametrů is_undefined, is_false nebo is_true.  Tato funkce je obvykle používána funkcemi test() nebo is_empty()."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no vyžaduje, aby pole bylo vlastní sloupec Ano/Ne"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38319,11 +38394,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "rating_to_stars (hodnota, use_half_stars) -- Vrací hodnocení jako řetězec znaků hvězdiček. Hodnota je číslo mezi 0 a 5. Nastavte use_half_stars na 1, pokud chcete používat poloviční hvězdičky ve sloupcích s vlastním hodnocením, které podporují neceločíselná hodnocení, například 2,5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "Hodnocení musí být číslo mezi 0 a 5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38332,7 +38407,7 @@ msgid ""
 "single value, not a list."
 msgstr "swap_around_articles (hodnota, oddělovač) -- Vrací hodnotu s články přesunutými na konec. Hodnota může být seznam, v takovém případě je zpracován každý člen seznamu. Pokud je hodnota seznam, pak musíte zadat oddělovač hodnot seznamu. Pokud není k dispozici žádný oddělovač, bude se s hodnotou zacházet jako s jedinou hodnotou, nikoliv jako se seznamem."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38343,7 +38418,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38353,6 +38428,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Nepojmenovaný obrázek"
@@ -38641,29 +38722,29 @@ msgstr "Zavřít bez uložení"
 msgid "Close Tab"
 msgstr "Zavřít kartu"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Dodatečné znaky na konci hledání"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "chybějící )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Nepodařilo se analyzovat dotaz, dosaženo omezení rekurze: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Rekurzivní uložené hledání: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Neznámé uložené hledání: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Neznámá chyba v uloženém hledání: {0}"
@@ -39028,185 +39109,185 @@ msgstr "Jakýkoliv odkaz, který odpoví
 msgid "Do not download CSS stylesheets."
 msgstr "Nestahovat šablony stylů CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Uložit vše"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Otevřít"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Ano"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ano pro &všechny"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Ne"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Ne &pro všechny"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Přerušit"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Opakovat"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Zavřít"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Použít"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Obnovit"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Obnovit výchozí nastavení"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "&Odstín:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sytost:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Jas:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "Če&rvená:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Zelená:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Modrá:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Kanál &alfa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Kurzor na %1, %2\nStiskněte ESC pro zrušení"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Vyberte barvu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Základní barvy"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Vlastní barvy"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Přidat do vlastních barev"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Vyberte barvu obrazovky"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Vyberte písmo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Písmo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "&Styl písma"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Velikost"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efekty"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Přeš&krtnout"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Ukázka"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Po&užívané písmo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Levý okraj"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Pravý okraj"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "O stránku vlevo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "O stránku nahoru"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "O stránku dolů"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "O stránku vpravo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Posunout vlevo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Posunout nahoru"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Posunout dolů"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Posunout vpravo"
 
@@ -39486,8 +39567,8 @@ msgstr "Zadat pravidla přejmenování p
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39535,7 +39616,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Zadejte pravidla přejmenování pro kolekce Sony. Toto vylepšení je použitelné,\npouze pokud je správa metadat nastavena na automatickou. Kolekce jsou na Sony\npojmenovány v závislosti na tom, zda je pole standardní nebo vlastní. Kolekce\nodvozená ze standardního pole je pojmenována po hodnotě v tom poli. Například\npokud standardní sloupec 'série' obsahuje hodnotu 'Darkover', pak je název\nkolekce 'Darkover'. Kolekce odvozená z vlastního pole bude mít název pole\npřidaného k hodnotě. Například pokud vlastní sloupec série pojmenovaný 'Moje\nsérie' obsahuje název 'Darkover', pak bude kolekce ve výchozím nastavení\npojmenována 'Darkover (Moje série)'. Pro účely této dokumentace je 'Darkover'\nnazváno hodnota a 'Moje série' je nazváno kategorie. Pokud dvě knihy mají pole,\nkterá generují stejný název kolekce, pak obě knihy budou v této kolekci.\nTato sada vylepšení vám umožní zadat pro standardní nebo vlastní pole, jak mají\nbýt kolekce pojmenovány. Můžete to použít pro přidání popisu do standardního\npole, například 'Fuj (Štítek)' namísto 'Fuj'. Můžete to také použít k vynucení,\naby více polí skončilo ve stejné kolekci. Například byste mohli vynutit, aby se\nhodnoty v 'série', '#moje_série_1' a '#moje_série_2' objevily v kolekci\npojmenované 'nějaká_hodnota (Série)', čímž sloučíte všechna pole do jedné sady\nkolekcí.\nJsou zde dvě související vylepšení. První určuje název kategorie použitý pro\npole metadat. Druhé je šablona použitá pro určení, jak jsou hodnota a kategorie\nkombinovány pro vytvoření názvu kolekce.\nSyntaxe prvního vylepšení, sony_collection_renaming_rules, je:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nDruhé vylepšení, sony_collection_name_template, je šablona. Používá stejný\njazyk šablony jako zásuvné panely a šablony uložení. Toto vylepšení určuje,\njak jak jsou hodnota a kategorie kombinovány dohromady pro vytvoření názvu\nkolekce.\nJediná dvě dostupná pole jsou {category} a {value}. Pole {value} není nikdy\nprázdné. Pole {category} může být prázdné. Výchozí je nejdříve vložit hodnotu,\npak kategorii uzavřenou v závorkách, ta není prázdná:\n'{value} {category:|(|)}'\nPříklady: První tři příklady předpokládají, že druhé vylepšení nebylo změněno.\n1: Chci, aby byly tři sloupce série sloučeny do jedné sady kolekcí. Názvy\nvyhledávání sloupce jsou 'série', '#série_1' a '#série_2'. Nechci nic\nv závorkách. Hodnota použitá v hodnotě vylepšení by byla:\nsony_collection_renaming_rules={'série':'', '#série_1':'', '#série_2':''}\n2: Chci, aby se slovo '(Série)' objevilo u kolekce vytvořené ze sérií, a aby se\nslovo '(Štítek)' objevilo u kolekce vytvořené ze štítků. Použijte:\nsony_collection_renaming_rules={'série':'Série', 'štítky':'Štítek'}\n3: Chci, aby byly 'série' a '#mojesérie' sloučeny, a aby bylo k názvu série\npřipojeno '(Série)'. Pravidlo přejmenování je:\nsony_collection_renaming_rules={'série':'Série', '#mojesérie':'Série'}\n4: Stejné jako příklad 2, ale namísto toho, aby byl název kategorie v závorkách\na byl připojen k hodnotě, chci, aby byl předřazen a oddělen dvojtečkou, jako v\n'Série:Darkover'. Musím změnit šablonu použitou pro fármát názvu kategorie:\nVýsledná dvě vylepšení jsou:\nsony_collection_renaming_rules={'série':'Série', 'štítky':'Štítek'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39543,7 +39624,7 @@ msgstr "Zadat, jak jsou řazeny kolekce
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39558,7 +39639,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Zadejte, jak jsou řazeny kolekce Sony. Toto vylepšení je použitelné, pouze\npokud je správa metadat nastavena na automatickou. Můžete označit, která\nmetadata se mají použít pro řazení kolekce od kolekce. Formát vylepšení je\nseznam polí metadat, ze kterých jsou tvořeny kolekce, následovaný názvem pole\nmetadat obsahujícího hodnotu řazení.\nPříklad: Následující označuje, že kolekce sestavené z data vydání a štítků mají\nbýt řazeny podle hodnoty ve vlastním sloupci '#mojedatum', že kolekce sestavené\nze 'série' mají být řazeny podle 'pořadí_v_sérii', a že všechny ostatní kolekce\nmají být řazeny podle názvu. Pokud pole metadat kolekce není pojmenováno, pak\npokud je to kolekce založená na sérii, je řazeno podle pořadí v sérii, jinak je\nřazeno podle pořadí názvu.\n[(['datum_vydání', 'štítky'],'#mojedatum'), (['série'],'pořadí_v_sérii'), (['*'], 'název')]\nPamatujte, že jsou vyžadovány hranaté a kulaté závorky. Syntaxe je:\n[ ( [seznam polí], pole řazení ) , ( [ seznam polí ] , pole řazení ) ]\nVýchozí: prázdné (žádná pravidla), žádné atributy kolekce nejsou pojmenovány."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/cy.po 5.10.0+dfsg-1/translations/calibre/cy.po
--- 5.9.0+dfsg-3/translations/calibre/cy.po	2021-01-06 15:31:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/cy.po	2021-01-20 15:27:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Dim yn gwneud dim byd"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Dim yn gwneud dim byd"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Dim yn gwneud dim byd"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Dim yn gwneud dim byd"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Dim yn gwneud dim byd"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Dim yn gwneud dim byd"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Addasu"
 msgid "Cannot configure"
 msgstr "Methu ffurfweddu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Math o ffeil"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Porïwr uwchddata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Golygydd uwchddata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Hoffterau"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Storfa"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Tynnwch clawr o ffeiliau comig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Darllenwch uwchddata o'r ffeiliau %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Gosodwch uwchddata yn ffeiliau %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Gosodwch uwchddata o ffeiliau %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Ychwanegwch llyfrau i Calibre neu i ddyfais cysylltiedig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Diléuwch lyfrau o'ch llyfrgell Calibre neu'ch dyfais cysylltiedig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Golygwch yr uwchddata o lyfrau yn eich llyfrgell Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Darllenwch lyfrau yn eich llyfrgell Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Dangoswch rhestr o lyfrau cytras"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Ail-ddechreuwch Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Agorwch y ffolder sy'n cynnwys ffeiliau lyfr yn eich llyfrgell Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Anfonwch lyfrau i'r ddyfais cysylltiedig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Addaswch Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Chwiliwch am lyfrau sy'n debyg i'r lyfr ddewisiedig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Golygwch y casgliadau sy'n cynnwys llyfrau ar eich ddyfais"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copïwch lyfr o un llyfrgell Calibre i'r llall"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Dewiswch lyfr ar hâp o'ch llyfrgell Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Chwiliwch am lyfrau o siopau lyfrau gwahanol"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Rhyngwyneb"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Addaswch golwg a theimlad o'r rhyngwyneb Calibre i'ch ddant"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Ymddygiad"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Addaswch ymddygiad Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Ychwanegwch eich colofnau dy hun"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Ychwanegwch/tynnwch eich colofnau eich hun i restr lyfrau Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Wrthi'n chwilio"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Addaswch sut mai chwilio am lyfrau yn gweithio mewn Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Trosiad"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Wrthi'n ychwanegu llyfrau"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Dewiswch sut mai Calibre yn darllen uwchddata o ffeiliau tra ychwanegu llyfrau"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Wrthi'n cadw lyfrau ar y ddisg"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Wrthi'n danfon lyfrau i'r ddyfeisiau"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Newidwch meysydd uwchddata cyn cadw neu anfon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr "Newidwch meysydd uwchddata cyn c
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Pellach"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Crëwch eich ffwythiannau patrymlun eich hun"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Wrthi'n rhannu lyfrau gyda e-bost"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Wrthi'n rhannu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Wrthi'n rhannu dros y rhyngrwyd"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Lawrlwythwch uwchddata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Ategion"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Ychwanegwch/dileuwch/addaswch darnau gwahanol o peirianweithau Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Newidiadau bach"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Addaswch y byrlwybrau allweddell y mae Calibre yn ddefnyddio"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr "Addaswch y byrlwybrau allweddell
 msgid "Miscellaneous"
 msgstr "Amrywiol"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Ffurfweddiad pellach amrywiol"
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Iawn"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6413,7 +6413,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8151,13 +8151,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8190,31 +8190,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9197,7 +9197,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10220,7 +10220,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11493,7 +11493,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11623,8 +11623,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11758,11 +11758,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11905,7 +11905,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12232,7 +12232,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12309,7 +12309,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12318,10 +12318,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12434,8 +12434,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13621,7 +13621,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13636,8 +13636,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14504,7 +14504,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14845,19 +14845,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14931,8 +14931,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15013,7 +15013,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16597,7 +16597,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16605,7 +16605,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16613,7 +16613,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16621,7 +16621,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16655,7 +16655,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17078,57 +17078,57 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17136,22 +17136,22 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17159,7 +17159,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17169,7 +17169,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17184,80 +17184,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17265,90 +17274,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17356,281 +17360,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17638,48 +17664,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18135,42 +18161,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18276,87 +18302,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19254,48 +19280,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20369,7 +20411,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20528,8 +20570,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20550,14 +20592,14 @@ msgstr[2] ""
 msgstr[3] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22791,60 +22833,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22852,57 +22894,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23744,13 +23786,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23784,7 +23826,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -24065,7 +24107,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24757,7 +24799,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25326,7 +25368,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25461,7 +25503,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25474,7 +25516,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26989,7 +27031,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27280,7 +27322,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27340,95 +27382,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28085,7 +28127,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28618,7 +28661,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30864,7 +30907,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32199,7 +32242,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32826,7 +32869,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34706,16 +34749,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34723,7 +34766,7 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34732,39 +34775,39 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34772,11 +34815,11 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35230,7 +35273,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35306,13 +35349,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35477,10 +35520,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36121,7 +36164,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36170,7 +36213,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36647,177 +36690,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37227,13 +37301,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37241,23 +37316,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37270,7 +37345,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37429,128 +37504,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37605,60 +37680,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37670,7 +37745,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37681,13 +37756,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37697,30 +37772,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37730,7 +37805,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37740,24 +37815,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37766,11 +37841,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37780,19 +37855,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37802,11 +37877,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37818,11 +37893,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37833,14 +37908,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37853,20 +37928,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37880,7 +37955,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37888,7 +37963,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37897,14 +37972,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37917,19 +37992,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37939,7 +38014,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37947,7 +38022,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37955,13 +38030,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37972,7 +38047,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37985,7 +38060,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38002,7 +38077,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38025,23 +38100,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38050,7 +38125,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38059,55 +38134,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38116,7 +38191,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38124,7 +38199,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38132,7 +38207,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38140,7 +38215,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38149,7 +38224,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38158,7 +38233,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38166,14 +38241,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38181,7 +38256,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38189,28 +38264,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38219,7 +38294,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38228,7 +38303,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38237,7 +38312,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38245,7 +38320,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38257,7 +38332,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38268,7 +38343,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38276,13 +38351,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38290,7 +38365,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38303,11 +38378,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38315,11 +38390,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38328,7 +38403,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38339,7 +38414,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38349,6 +38424,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38637,29 +38718,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -39024,185 +39105,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39482,8 +39563,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39539,7 +39620,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/da.po 5.10.0+dfsg-1/translations/calibre/da.po
--- 5.9.0+dfsg-3/translations/calibre/da.po	2021-01-06 15:31:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/da.po	2021-01-20 15:26:49.000000000 +0000
@@ -7,7 +7,7 @@
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2009
 # FrederikThorsted <frederikthorsted@gmail.com>, 2020
 # Joakim Crafack <joakim@crafack.dk>, 2019
-# Joe Hansen <joedalton2@yahoo.dk>, 2014-2016,2019-2020
+# Joe Hansen <joedalton2@yahoo.dk>, 2014-2016,2019-2021
 # 4bbb1051ebcc14e00e7c463f15c667e4, 2019
 # Lars Lautrup-Larsen <lars@lautrup.dk>, 2018
 # Mark Thomas Gazel <mark@gazel.dk>, 2017
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -78,7 +78,7 @@ msgid ""
 ":option:`--with-library` option, see the documentation of that option for\n"
 "details and examples.\n"
 "    "
-msgstr ""
+msgstr ":command:`calibredb` er kommandolinjegrænsefladen til Calibres database. Den har\nflere underkommandoer, dokumenteret nedenfor.\n\n:command:`calibredb` kan bruges til at manipulere enten en Calibredatabase\nangivet ved sti eller en :guilabel:`Indholdsserver` for Calibre der afvikles enten på\nden lokale maskine eller over internettet. Du kan starte en \n:guilabel:`Indholdsserver` for Calirbe via enten programmet :command:`calibre-server`\neller i Calibres hovedprogram :guilabel:`Connect/share ->\nStart indholdsserver`. Da :command:`calibredb` kan foretage ændringer i dine \nCalibrebiblioteket, skal du opsætte godkendelse på serveren først. Der\ner to måder at gøre dette på:\n\n    * Hvis du plnalægger kun at forbinde til en server på den samme computer,\n      kan du bare bruge tilvalget ``--enable-local-write`` for\n      indholdsserveren, så ethvert program, inklusive  calibredb, der afvikles på den\n      lokale computer for at lave ændringer i dine Calibredata. Når serveren\n      afvikles fra Calibres hovedprogram, er dette tilvalg i \n      :guilabel:`Præferencer->Deling over nettet->Avanceret`.\n\n    * Hvis du ønsker at aktivere adgang over internettet, så skal du opsætte\n      brugerkonti på serveren og bruge tilvalgene  :option:`--username` og :option:`--password`\n      til :command:`calibredb` for at få adgang. Du kan opsætte\n      brugergodkendelse for :command:`calibre-server` ved at bruge tilvalget ``--enable-auth``\n      og bruge ``--manage-users`` til at oprette brugerkonti.\n      Hvis du afvikler serveren fra Calibres hovedprogram, så brug\n      :guilabel:`Præferencer->Deling over nettet->Kræv brugernavn/adgangskode`.\n\nFor at forbinde til en aktiv indholdsserver sendes adressen for serveren til tilvalget\n:option:`--with-library`, se dokumentationen for dette tilvalg for detaljer og eksempler.\n    "
 
 #: /__w/calibre/calibre/manual/custom.py:222
 msgid "[options]"
@@ -95,15 +95,15 @@ msgstr "Gør absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -124,7 +124,7 @@ msgstr "Gør absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -224,16 +224,16 @@ msgstr "Gør absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -259,7 +259,7 @@ msgstr "Gør absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -291,7 +291,7 @@ msgstr "Gør absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -310,7 +310,7 @@ msgstr "Gør absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -334,27 +334,27 @@ msgstr "Tilpas"
 msgid "Cannot configure"
 msgstr "Kan ikke konfigurere"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Filtype"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadatalæser"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadataskriver"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Kataloggenerator"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Brugerinteraktionsside"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -366,20 +366,20 @@ msgstr "Brugerinteraktionsside"
 msgid "Preferences"
 msgstr "Indstillinger"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Butik"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
-msgstr "En e-bogsbutik."
+msgstr "En e-bogbutik."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Rediger bogværktøj"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Bibliotek lukket"
 
@@ -399,374 +399,374 @@ msgstr "Opret et TXTZ-arkiv når en TXT-
 
 #: /__w/calibre/calibre/src/calibre/customize/builtins.py:137
 msgid "Extract cover from comic files"
-msgstr "Udtræk cover fra tegneseriefiler"
+msgstr "Udtræk omslag fra tegneseriefiler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Læser metadata fra %s-filerne"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Læs metadata fra e-bøger i rar-arkiver"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Læs metadata fra e-bøger i zip-arkiver"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Gemmer metadata i %s-filerne"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Indtast {0} nedenfor for at EPUB-metadataskriverens udvidelsesmodul ikke tilføjer omslagsbilleder til EPUB-filer, som ikke har et eksisterende omslagsbillede."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Sæt metadata fra %s-filer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Tilføj bøger til Calibre eller den forbundne enhed"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Hent kommentarer fra en forbunden Kindle (eksperimentiel)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Dan et katalog over bøger i dit Calibrebibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
-msgstr "Konverter bøger til forskellige e-bogsformater"
+msgstr "Konverter bøger til forskellige e-bogformater"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Finjuster dine e-bøger"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
-msgstr ""
+msgstr "Gennemse fremhævelser og bogmærker fra alle bøger i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Rediger dine bøgers indholdsfortegnelser"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Slet bøger fra dit Calibrebibliotek eller forbundne enhed"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Indlejr opdaterede metadata i de faktiske bogfiler i dit Calibrebibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Rediger bøgernes metadata i dit Calibrebibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Læs bøger i dit Calibrebibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
-msgstr "Hent nyheder fra internettet i e-bogsform"
+msgstr "Hent nyheder fra internettet i e-bogform"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Vis en liste over relaterede bøger hurtigt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtrer/transformer mærkerne for bøger i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Transformer forfatterne for bøgerne i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Vis et redigeringsprogram til test af skabeloner"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
-msgstr ""
+msgstr "Vis en dialog til at oprette og håndtere skabelonfunktioner og lagrede skabeloner"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Eksporter bøger fra dit Calibrebibliotek til harddisken"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Vis bogdetaljer i et separat pop op-vindue"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Genstart Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Åbn mappen som indeholder Calibrebibliotekets bogfiler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Send bøger til den forbundne enhed"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Send bøger via e-mail eller nettet. Forbind til mapper på din computer, som om de også er enheder"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Gennemse Calibres brugermanual"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Tilpas Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Find nemt lignende bøger til den aktuelt valgte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Skift mellem forskellige Calibrebibliotekter og udfør vedligeholdelse på dem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopier bøger fra enheden til dit Calibrebibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Rediger samlinger i hvilke bøger er placeret på din enhed"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Match bøger på enhederne med bøger i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
-msgstr ""
+msgstr "Vis bogen i Calibrebiblioteket der matcher denne bog"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopier en bog fra et Calibrebibliotek til et andet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Rediger bøger i epub- eller azw-formater"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Lav små ændringer i epub- eller htmlz-filer i dit Calibrebibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Find den næste eller forrige match, når der søges i dit Calibrebibliotek i fremhævelsestilstand"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Vælg en vilkårlig bog fra dit Calibrebibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sorter boglisten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marker bøger midlertidigt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Ændr det aktuelle virtuelle bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Søg efter bøger fra forskellige bogforhandlere"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Hent nye Calibre-udvidelsesmoduler eller opdater dine nuværende"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Udseende og fremtoning"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Brugerflade"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Tilpas Calibres brugerflade til din smag"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Opførsel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Ændr måden Calibre opfører sig på"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Tilføj dine egne søjler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Tilføj/fjern dine egne kolonner til Calibres bogliste"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Værktøjslinjer & menuer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Tilpas værktøjslinjen og kontekstmenuen, ændr hvilke aktioner som er tilgængelige i hver"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Søger"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Tilpas måden søgning efter bøger fungerer på i Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Input muligheder"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konvertering"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Vælg konverteringsvalgmuligheder specifikke for hvert inddataformat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Fælles indstillinger"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Vælg konverteringsvalgmuligheder fælles for alle formater"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Output indstillinger"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Vælg konverteringsindstillinger specifikke for hvert uddataformat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Tilføjer bøger"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Import/eksport"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Styr hvordan Calibre læser metadata fra filer, når bøger tilføjes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Gemmer bøger til disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Styr hvordan Calibre eksporterer filer fra sin database til disk, når Gem til disk anvendes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Sender bøger til enheder"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
-msgstr "Bestem hvordan Calibre overfører filer til din e-bogslæser"
+msgstr "Bestem hvordan Calibre overfører filer til din e-boglæser"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metadata-plugboards"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Ændr metadata elter før gem/send"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -776,92 +776,92 @@ msgstr "Ændr metadata elter før gem/se
 msgid "Template functions"
 msgstr "Skabelonfunktioner"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avanceret"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Dan dine egne skabelonfunktioner"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Del bøger via e-post"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Del"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Opsæt deling af bøger via e-post. Kan anvendes til automatisk afsendelse af hentede nyheder til dine enheder"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Del over internettet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Indstil af Calibres indholdsserver, hvilket vil give dig adgang til dit Calibre-bibliotek overalt, på enhver enhed, over internettet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Hent metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
-msgstr "Bestem hvordan Calibre henter e-bogsmetadata fra nettet"
+msgstr "Bestem hvordan Calibre henter e-bogmetadata fra nettet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignorerede enheder"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Juster hvilke enheder Calibre skal ignorere når de forbindes til computeren."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Udvidelsesmoduler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Tilføj/fjern/tilpas forskellige dele af Calibres funktionalitet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Tilpasninger"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Finjuster hvordan Calibre opfører sig i forskellige sammenhænge"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Genveje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Rediger de genvejstaster, som bruges af Calibra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -869,7 +869,7 @@ msgstr "Rediger de genvejstaster, som br
 msgid "Miscellaneous"
 msgstr "Diverse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Diverse avanceret opsætning"
 
@@ -1011,7 +1011,7 @@ msgstr "Beregnet for iPad 3 og lignende
 
 #: /__w/calibre/calibre/src/calibre/customize/profiles.py:455
 msgid "Tablet"
-msgstr ""
+msgstr "Tablet"
 
 #: /__w/calibre/calibre/src/calibre/customize/profiles.py:457
 msgid "Intended for generic tablet devices, does no resizing of images"
@@ -1059,7 +1059,7 @@ msgstr "Egnet til brug med enhver storsk
 
 #: /__w/calibre/calibre/src/calibre/customize/profiles.py:562
 msgid "Generic e-ink HD"
-msgstr ""
+msgstr "Generisk e-ink HD"
 
 #: /__w/calibre/calibre/src/calibre/customize/profiles.py:564
 msgid "Suitable for use with any modern high resolution e-ink device"
@@ -1259,9 +1259,9 @@ msgstr "Dumper database til SQL"
 msgid "Restoring database from SQL"
 msgstr "Gendanner database fra SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1276,7 +1276,7 @@ msgstr "Færdig"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:863
 #: /__w/calibre/calibre/src/calibre/library/database2.py:497
 msgid "Saved searches"
-msgstr ""
+msgstr "Gemte søgninger"
 
 #: /__w/calibre/calibre/src/calibre/db/cache.py:337
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:223
@@ -1287,17 +1287,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ja"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Omslag for %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format for {1}"
@@ -1312,12 +1312,12 @@ msgstr "Tilføjede bog id'er%s"
 msgid ""
 "The following books were not added as they already exist in the database "
 "(see --duplicates option or --automerge option):"
-msgstr ""
+msgstr "Følgende bøger blev ikke tilføjet, da de allerede eksisterer i databasen (se tilvalgene --duplicates eller --automerge):"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:301
 #, python-format
 msgid "Merged book ids: %s"
-msgstr ""
+msgstr "Sammenføjede bog-id'er: %s"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:307
 msgid ""
@@ -1331,7 +1331,7 @@ msgstr "%prog add [options] fil1 fil2 fi
 msgid ""
 "Add books to database even if they already exist. Comparison is done based "
 "on book titles and authors. Note that the {} option takes precedence."
-msgstr ""
+msgstr "Tilføj bøger til databasen selv om de allerede findes. Sammenligning udføres på bogtitler og forfattere. Bemærk at indstillingen {} har forrang."
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:332
 msgid ""
@@ -1377,7 +1377,7 @@ msgstr "Sæt serie nummeret for den/de t
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:384
 msgid "Path to the cover to use for the added book"
-msgstr "Sti til cover til brug for den tilføjede bog"
+msgstr "Sti til omslag til brug for den tilføjede bog"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:391
 msgid ""
@@ -1399,7 +1399,7 @@ msgstr ""
 msgid ""
 "Assume that each directory has only a single logical book and that all files"
 " in it are different e-book formats of that book"
-msgstr "Formod at hver mappe kun har én enkelt logisk bog og at alle filer i den er forskellige e-bogsformater af denne bog"
+msgstr "Formod at hver mappe kun har én enkelt logisk bog og at alle filer i den er forskellige e-bogformater af denne bog"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:424
 msgid "Process directories recursively"
@@ -1473,11 +1473,11 @@ msgstr "Erstat ikke formatet hvis det al
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add_format.py:49
 msgid "You must specify an id and an e-book file"
-msgstr "Du skal angive et id og en e-bogsfil"
+msgstr "Du skal angive et id og en e-bogfil"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add_format.py:53
 msgid "e-book file must have an extension"
-msgstr "e-bogsfilen skal have en filendelse"
+msgstr "e-bogfilen skal have en filendelse"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add_format.py:56
 #, python-format
@@ -1504,7 +1504,7 @@ msgstr "Normalt fungerer denne kommando
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_catalog.py:27
 msgid "{} OPTIONS"
-msgstr ""
+msgstr "{} INDSTILLINGER"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_catalog.py:48
 msgid ""
@@ -1580,7 +1580,7 @@ msgstr "Ukendt rapport check"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_check_library.py:116
 msgid "Vacuuming database..."
-msgstr ""
+msgstr "Støvsugning af database ..."
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_clone.py:23
 msgid ""
@@ -1596,11 +1596,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_clone.py:38
 msgid "Error: You must specify the path to the cloned library"
-msgstr ""
+msgstr "Fejl: Du skal angive stien til det klonede bibliotek"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_clone.py:46
 msgid "The location for the new library is the same as the current library"
-msgstr ""
+msgstr "Placeringen af det nye bibliotek er det samme som det nuværende bibliotek"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_clone.py:52
 #, python-format
@@ -1614,7 +1614,7 @@ msgid ""
 "\n"
 "List available custom columns. Shows column labels and ids.\n"
 "    "
-msgstr ""
+msgstr "%prog custom_columns [options]\n\nVis tilgængelige tilpassede kolonner. Viser kolonneetiketter og id'er.    "
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_custom_columns.py:34
 msgid "Show details for each column."
@@ -1683,14 +1683,14 @@ msgstr "Specificering af denne switch vi
 msgid "You must specify some ids or the %s option"
 msgstr "Du skal specificere nogle ids eller %s valget"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nListe de tilgængelige bøger i calibre databasen.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1698,7 +1698,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1706,39 +1706,39 @@ msgid ""
 "Default: {1}"
 msgstr "Feltet resultaterne sorteres efter.\nTilgængelige felter: {0}\nStandard: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Sortér resultaterne i stigende orden"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrér resultaterne efter søgeforespørgslen. For at finde ud af formatet for søgeforespørgslen, venligst se den søge relaterede dokumentation i brugermanualen. Standard er ingen filtrering."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Maksimale bredde af en enkelt linje i output. Standard er at detektere skærmstørrelsen."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Strengen anvendt til at separere felter. Standard er et mellemrum."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Præfiks for alle filstier. Standard er en absolut sti til biblioteksmappen."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Maksimalt antal resultater at vise. Standard: all (alle)"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -1934,23 +1934,23 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_search.py:58
 msgid "No books matching the search expression:"
-msgstr ""
+msgstr "Ingen bøger matcher søgeudtrykket:"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_custom.py:19
 msgid "No book with id {} exists"
-msgstr ""
+msgstr "Ingen bog med id {}"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_custom.py:23
 msgid "No column with name {} exists"
-msgstr ""
+msgstr "Ingen kolonne med navnet {}"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_custom.py:29
 msgid "Data set to: {} [{}]"
-msgstr ""
+msgstr "Data angivet til: {} [{}]"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_custom.py:37
 msgid "Data set to: {}"
-msgstr ""
+msgstr "Data angivet til: {}"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_custom.py:46
 msgid ""
@@ -2034,18 +2034,18 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_metadata.py:146
 #, python-format
 msgid "The OPF file %s does not exist"
-msgstr ""
+msgstr "OPF-filen %s findes ikke"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_metadata.py:153
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_metadata.py:182
 #, python-format
 msgid "No book with id: %s in the database"
-msgstr ""
+msgstr "Ingen bog med id: %s i databasen"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_metadata.py:164
 #, python-format
 msgid "%s is not a known field"
-msgstr ""
+msgstr "%s er ikke et kendt felt"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_show_metadata.py:26
 msgid ""
@@ -2087,16 +2087,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cli/main.py:67
 #: /__w/calibre/calibre/src/calibre/utils/config.py:113
 msgid "show this help message and exit"
-msgstr ""
+msgstr "Vis denne hjælpetekst og afslut"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/main.py:71
 #: /__w/calibre/calibre/src/calibre/utils/config.py:114
 msgid "show program's version number and exit"
-msgstr ""
+msgstr "vis programmets version og afslut"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/main.py:76
 msgid "Username for connecting to a calibre Content server"
-msgstr ""
+msgstr "Brugernavn til forbindelsen med en Calibre-indholdsserver"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/main.py:80
 #, python-brace-format
@@ -2123,7 +2123,7 @@ msgstr "%%prog kommando [valgmuligheder]
 
 #: /__w/calibre/calibre/src/calibre/db/cli/main.py:114
 msgid "Enter the password: "
-msgstr ""
+msgstr "Indtast adgangskoden:"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/main.py:150
 msgid ""
@@ -2285,21 +2285,21 @@ msgstr "blank"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Ugyldig boolesk forespørgsel »{0}«"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Rekursiv forespørgselsgruppe afsløret: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -2330,11 +2330,11 @@ msgstr "%prog [indstillinger]"
 
 #: /__w/calibre/calibre/src/calibre/debug.py:46
 msgid "Run Python code."
-msgstr ""
+msgstr "Afvikl Pythonkode."
 
 #: /__w/calibre/calibre/src/calibre/debug.py:47
 msgid "Run the Python code in file."
-msgstr ""
+msgstr "Afvikl Pythonkoden i fil."
 
 #: /__w/calibre/calibre/src/calibre/debug.py:49
 msgid ""
@@ -2362,7 +2362,7 @@ msgstr "Kør den grafiske brugerflade me
 
 #: /__w/calibre/calibre/src/calibre/debug.py:60
 msgid "Run the E-book viewer in debug mode"
-msgstr ""
+msgstr "Afvikl e-bogfremviseren i fejlsøgningstilstand"
 
 #: /__w/calibre/calibre/src/calibre/debug.py:62
 msgid "Output the paths necessary to setup the calibre environment"
@@ -2445,7 +2445,7 @@ msgstr "(Af)registrer Calibre fra Window
 
 #: /__w/calibre/calibre/src/calibre/debug.py:111
 msgid "For internal use"
-msgstr ""
+msgstr "For intern brug"
 
 #: /__w/calibre/calibre/src/calibre/debug.py:218
 msgid "Debug log"
@@ -2482,7 +2482,7 @@ msgstr "Kommunikerer med WebOS-tavle-pc'
 
 #: /__w/calibre/calibre/src/calibre/devices/binatone/driver.py:19
 msgid "Communicate with the Binatone Readme e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Binatone Readme."
 
 #: /__w/calibre/calibre/src/calibre/devices/blackberry/driver.py:15
 msgid "Communicate with the Blackberry smart phone."
@@ -2497,23 +2497,23 @@ msgstr "Kovid Goyal"
 
 #: /__w/calibre/calibre/src/calibre/devices/blackberry/driver.py:39
 msgid "Communicate with the Blackberry Playbook."
-msgstr ""
+msgstr "Kommuniker med Blackberry Playbook."
 
 #: /__w/calibre/calibre/src/calibre/devices/boeye/driver.py:17
 msgid "Communicate with BOEYE BEX Serial e-book readers."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren BOEYE BEX Serial."
 
 #: /__w/calibre/calibre/src/calibre/devices/boeye/driver.py:39
 msgid "Communicate with BOEYE BDX serial e-book readers."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren BOEYE BDX seriel eBook."
 
 #: /__w/calibre/calibre/src/calibre/devices/cybook/driver.py:26
 msgid "Communicate with the Cybook Gen 3/Opus e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Cybook Gen 3/Opus."
 
 #: /__w/calibre/calibre/src/calibre/devices/cybook/driver.py:70
 msgid "Communicate with the Cybook Orizon e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Cybook Orizon."
 
 #: /__w/calibre/calibre/src/calibre/devices/cybook/driver.py:83
 #: /__w/calibre/calibre/src/calibre/devices/user_defined/driver.py:60
@@ -2528,15 +2528,15 @@ msgstr "Indtast mappen hvor bøgerne gem
 
 #: /__w/calibre/calibre/src/calibre/devices/cybook/driver.py:122
 msgid "Communicate with the Cybook Muse e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Cybook Muse."
 
 #: /__w/calibre/calibre/src/calibre/devices/cybook/driver.py:148
 msgid "Communicate with the Bookeen Diva HD e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Bookeen Diva HD."
 
 #: /__w/calibre/calibre/src/calibre/devices/eb600/driver.py:27
 msgid "Communicate with the EB600 e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren EB600."
 
 #: /__w/calibre/calibre/src/calibre/devices/eb600/driver.py:59
 msgid "Communicate with the tolino shine and vision readers"
@@ -2559,7 +2559,7 @@ msgstr "Kommuniker med Astak Mentor EB60
 
 #: /__w/calibre/calibre/src/calibre/devices/eb600/driver.py:309
 msgid "Communicate with the PocketBook 301 Reader."
-msgstr ""
+msgstr "Kommuniker med læseren PocketBook 301."
 
 #: /__w/calibre/calibre/src/calibre/devices/eb600/driver.py:328
 msgid "Communicate with the PocketBook 515/602/603/902/903/Pro 912 reader."
@@ -2579,7 +2579,7 @@ msgstr "Kommuniker med PocketBook 701"
 
 #: /__w/calibre/calibre/src/calibre/devices/eb600/driver.py:408
 msgid "Communicate with the PocketBook 740"
-msgstr ""
+msgstr "Kommuniker med PocketBook 740"
 
 #: /__w/calibre/calibre/src/calibre/devices/eb600/driver.py:426
 msgid "Communicate with the Infibeam Pi2 reader."
@@ -2595,11 +2595,11 @@ msgstr "Kommuniker med Entuorage Edge."
 
 #: /__w/calibre/calibre/src/calibre/devices/eslick/driver.py:17
 msgid "Communicate with the ESlick e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren ESlick."
 
 #: /__w/calibre/calibre/src/calibre/devices/eslick/driver.py:49
 msgid "Communicate with the Sigmatek e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Sigmatek."
 
 #: /__w/calibre/calibre/src/calibre/devices/folder_device/driver.py:21
 #: /__w/calibre/calibre/src/calibre/devices/folder_device/driver.py:38
@@ -2609,19 +2609,19 @@ msgstr "Vælg en ønsket mappe som en en
 #: /__w/calibre/calibre/src/calibre/devices/folder_device/driver.py:34
 #: /__w/calibre/calibre/src/calibre/devices/interface.py:18
 msgid "Device interface"
-msgstr ""
+msgstr "Enhedsgrænseflade"
 
 #: /__w/calibre/calibre/src/calibre/devices/hanlin/driver.py:21
 msgid "Communicate with Hanlin V3 e-book readers."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Hanlin V3."
 
 #: /__w/calibre/calibre/src/calibre/devices/hanlin/driver.py:101
 msgid "Communicate with Hanlin V5 e-book readers."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Hanlin V5."
 
 #: /__w/calibre/calibre/src/calibre/devices/hanlin/driver.py:120
 msgid "Communicate with the BOOX e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren BOOX."
 
 #: /__w/calibre/calibre/src/calibre/devices/hanlin/driver.py:139
 msgid ""
@@ -2631,23 +2631,23 @@ msgstr "Kommasepareret liste over mapper
 
 #: /__w/calibre/calibre/src/calibre/devices/hanvon/driver.py:26
 msgid "Communicate with the Hanvon N520 e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Hanvon N520."
 
 #: /__w/calibre/calibre/src/calibre/devices/hanvon/driver.py:53
 msgid "Communicate with the Kibano e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Kibano."
 
 #: /__w/calibre/calibre/src/calibre/devices/hanvon/driver.py:67
 msgid "Communicate with The Book reader."
-msgstr "Kommuniker med e-bogslæseren The Book."
+msgstr "Kommuniker med e-boglæseren The Book."
 
 #: /__w/calibre/calibre/src/calibre/devices/hanvon/driver.py:80
 msgid "Communicate with the Libre Air reader."
-msgstr "Kommuniker med e-bogslæseren Libre Air."
+msgstr "Kommuniker med e-boglæseren Libre Air."
 
 #: /__w/calibre/calibre/src/calibre/devices/hanvon/driver.py:94
 msgid "Communicate with the SpringDesign Alex e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren SpringDesign Alex."
 
 #: /__w/calibre/calibre/src/calibre/devices/hanvon/driver.py:138
 #: /__w/calibre/calibre/src/calibre/devices/hanvon/driver.py:149
@@ -2666,15 +2666,15 @@ msgstr "Kommuniker med Azbooka"
 
 #: /__w/calibre/calibre/src/calibre/devices/hanvon/driver.py:176
 msgid "Communicate with the Elonex EB 511 e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Elonex EB 511."
 
 #: /__w/calibre/calibre/src/calibre/devices/hanvon/driver.py:197
 msgid "Communicate with the Cybook Odyssey e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Cybook Odyssey."
 
 #: /__w/calibre/calibre/src/calibre/devices/iliad/driver.py:18
 msgid "Communicate with the IRex Iliad e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren IRex Iliad."
 
 #: /__w/calibre/calibre/src/calibre/devices/interface.py:63
 msgid "Cannot get files from this device"
@@ -2682,7 +2682,7 @@ msgstr "Kan ikke hente filer fra denne e
 
 #: /__w/calibre/calibre/src/calibre/devices/irexdr/driver.py:18
 msgid "Communicate with the IRex Digital Reader 1000 e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren IRex Digital Reader 1000."
 
 #: /__w/calibre/calibre/src/calibre/devices/irexdr/driver.py:45
 msgid "Communicate with the IRex Digital Reader 800"
@@ -2694,7 +2694,7 @@ msgstr "Kommuniker med læseren Iriver S
 
 #: /__w/calibre/calibre/src/calibre/devices/jetbook/driver.py:23
 msgid "Communicate with the JetBook e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren JetBook."
 
 #: /__w/calibre/calibre/src/calibre/devices/jetbook/driver.py:90
 msgid "Communicate with the MiBuk Wolder reader."
@@ -2719,7 +2719,7 @@ msgstr "Kunne ikke danne sidekortlægnin
 
 #: /__w/calibre/calibre/src/calibre/devices/kindle/driver.py:62
 msgid "Communicate with the Kindle e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Kindle."
 
 #: /__w/calibre/calibre/src/calibre/devices/kindle/driver.py:94
 msgid ""
@@ -2734,12 +2734,12 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kindle/driver.py:229
 #, python-format
 msgid "%(time)s<br />Last page read: %(loc)d (%(pr)d%%)"
-msgstr ""
+msgstr "%(time)s<br />Sidste læst side: %(loc)d (%(pr)d%%)"
 
 #: /__w/calibre/calibre/src/calibre/devices/kindle/driver.py:234
 #, python-format
 msgid "%(time)s<br />Last page read: Location %(loc)d (%(pr)d%%)"
-msgstr ""
+msgstr "%(time)s<br />Sidste læst side: Placering %(loc)d (%(pr)d%%)"
 
 #: /__w/calibre/calibre/src/calibre/devices/kindle/driver.py:254
 #, python-format
@@ -2759,7 +2759,7 @@ msgstr "<b>Placering %(dl)d &bull; %(typ
 #: /__w/calibre/calibre/src/calibre/devices/kindle/driver.py:334
 msgid ""
 "Communicate with the Kindle 2/3/4/Touch/PaperWhite/Voyage e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæserne Kindle 2/3/4/Touch/PaperWhite/Voyage."
 
 #: /__w/calibre/calibre/src/calibre/devices/kindle/driver.py:348
 msgid "Send page number information when sending books"
@@ -2826,7 +2826,7 @@ msgstr "Fjern kryds ved denne indstillin
 
 #: /__w/calibre/calibre/src/calibre/devices/kindle/driver.py:630
 msgid "Communicate with the Kindle DX e-book reader."
-msgstr ""
+msgstr "Kommuniker med e-boglæseren Kindle DX."
 
 #: /__w/calibre/calibre/src/calibre/devices/kindle/driver.py:646
 msgid "Communicate with the Kindle Fire"
@@ -2834,7 +2834,7 @@ msgstr "Kommuniker med Kindle Fire"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:80
 msgid "Communicate with the original Kobo Reader and the Kobo WiFi."
-msgstr ""
+msgstr "Kommuniker med den oprindelige Kobo Reader og Kobo WiFi."
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:115
 msgid "The Kobo supports several collections including "
@@ -2846,7 +2846,7 @@ msgstr "Opret mærker til automatisk for
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:117
 msgid "Upload covers for books (newer readers)"
-msgstr "Overfør covers for bøger (nyere e-bogslæsere)"
+msgstr "Overfør omslag for bøger (nyere e-boglæsere)"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:118
 msgid ""
@@ -2858,7 +2858,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:122
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:310
 msgid "Upload black and white covers"
-msgstr ""
+msgstr "Overfør sort/hvidt-omslag"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:123
 msgid "Show expired books"
@@ -2874,7 +2874,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:128
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:422
 msgid "Show previews"
-msgstr ""
+msgstr "Vis forhåndsvisninger"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:129
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:423
@@ -2887,7 +2887,7 @@ msgstr "Kobo-forhåndsvisninger er inklu
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:132
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:407
 msgid "Show recommendations"
-msgstr ""
+msgstr "Del anbefalinger"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:133
 msgid ""
@@ -3020,7 +3020,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:57
 msgid "Collections, covers && uploads"
-msgstr ""
+msgstr "Samlinger, omslag && overførsler"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:58
 msgid "Metadata, on device && advanced"
@@ -3115,15 +3115,15 @@ msgstr "Overfør omslag"
 msgid ""
 "Upload cover images from the calibre library when sending books to the "
 "device."
-msgstr "Overfør covers fra calibre biblioteket, når der sendes bøger til enheden."
+msgstr "Overfør omslag fra Calibrebiblioteket, når der sendes bøger til enheden."
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:311
 msgid "Convert covers to grayscale when uploading."
-msgstr ""
+msgstr "Konverter omslag til grå toner under overførelsen."
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:316
 msgid "Upload dithered covers"
-msgstr ""
+msgstr "Overfør rystede omslag"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:317
 msgid ""
@@ -3135,13 +3135,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:331
 msgid "Keep cover aspect ratio"
-msgstr "Behold cover aspektforhold"
+msgstr "Behold omslagets størrelsesforhold"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:332
 msgid ""
 "When uploading covers, do not change the aspect ratio when resizing for the "
 "device. This is for firmware versions 2.3.1 and later."
-msgstr "Når covers medsendes, beholdes aspektforhold når der skaleres til enheden. Dette gælder for firmware versioner 2.3.1 og senere."
+msgstr "Når omslag medsendes beholdes størrelsesforholdet, når der skaleres til enheden. Dette gælder for firmwareversioner 2.3.1 og senere."
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:337
 msgid "Letterbox full-screen covers"
@@ -3158,7 +3158,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:351
 msgid "Save covers as PNG"
-msgstr ""
+msgstr "Gem omslag som PNG"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:352
 msgid ""
@@ -3475,11 +3475,11 @@ msgstr "Fjernede %s"
 msgid "All books removed"
 msgstr "Alle bøger fjernet"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3488,12 +3488,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Ukendt MTP enhed"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -3584,7 +3584,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/devices/prs505/driver.py:78
 msgid "Upload separate cover thumbnails for books (newer readers)"
-msgstr "Overfør separate cover miniaturer for alle bøger (nyere readers)"
+msgstr "Overfør separate miniaturebilleder for omslagene for alle bøger (nyere læsere)"
 
 #: /__w/calibre/calibre/src/calibre/devices/prs505/driver.py:79
 msgid ""
@@ -3598,7 +3598,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/prs505/driver.py:85
 msgid ""
 "Refresh separate covers when using automatic management (newer readers)"
-msgstr "Opdater separate covers når automatisk administration benyttes (nyere e-bogsenheder)"
+msgstr "Opdater separate omslag når automatisk administration benyttes (nyere e-bogenheder)"
 
 #: /__w/calibre/calibre/src/calibre/devices/prs505/driver.py:86
 #: /__w/calibre/calibre/src/calibre/devices/prst1/driver.py:82
@@ -3606,12 +3606,12 @@ msgid ""
 "Set this option to have separate book covers uploaded every time you connect"
 " your device. Unset this option if you have so many books on the reader that"
 " performance is unacceptable."
-msgstr "Slå til for at overfører separate bog cover miniaturer hver gang enheden bliver tilsluttet. Slå fra hvis du har så mange bøger på enheden at hastigheden er uacceptabelt."
+msgstr "Slå til for at overførerseparate bogomslag hver gang enheden bliver tilsluttet. Slå fra hvis du har så mange bøger på enheden at hastigheden er uacceptabelt."
 
 #: /__w/calibre/calibre/src/calibre/devices/prs505/driver.py:90
 #: /__w/calibre/calibre/src/calibre/devices/prst1/driver.py:86
 msgid "Preserve cover aspect ratio when building thumbnails"
-msgstr "Bevar cover aspektforhold når miniaturerbilleder oprettes"
+msgstr "Bevar omslagets størrelsesforhold når miniaturebilleder oprettes"
 
 #: /__w/calibre/calibre/src/calibre/devices/prs505/driver.py:91
 #: /__w/calibre/calibre/src/calibre/devices/prst1/driver.py:88
@@ -3619,7 +3619,7 @@ msgid ""
 "Set this option if you want the cover thumbnails to have the same aspect "
 "ratio (width to height) as the cover. Unset it if you want the thumbnail to "
 "be the maximum size, ignoring aspect ratio."
-msgstr "Slå til hvis du vil have cover miniaturer med samme aspektforhold (bredde til højde) som coveret. Slå fra hvis du vil have cover miniaturer til at have den maksimale størrelse og ignorer aspektforhold."
+msgstr "Slå til hvis du vil have at omslagets miniaturebillede med samme størrelsesforhold (bredde til højde) som omslaget. Slå fra hvis du vil have at miniaturebilledet skal have den maksimale størrelse og ignorere størrelesforholdet."
 
 #: /__w/calibre/calibre/src/calibre/devices/prs505/driver.py:95
 msgid "Search for books in all folders"
@@ -3654,7 +3654,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/devices/prst1/driver.py:80
 msgid "Refresh separate covers when using automatic management"
-msgstr "Opdater separate covers når automatisk administration benyttes"
+msgstr "Opdater separate omslag når automatisk administration benyttes"
 
 #: /__w/calibre/calibre/src/calibre/devices/prst1/driver.py:92
 msgid "Use SONY Author Format (First Author Only)"
@@ -3776,7 +3776,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/devices/smart_device_app/driver.py:320
 msgid "Cover thumbnail compression quality"
-msgstr "Komprimerings kvalitet for cover miniaturebilleder"
+msgstr "Komprimeringskvalitet for omslagenes miniaturebilleder"
 
 #: /__w/calibre/calibre/src/calibre/devices/smart_device_app/driver.py:321
 msgid ""
@@ -3787,7 +3787,7 @@ msgid ""
 " as big. To see the changes you must force calibre to resend metadata to the"
 " device, either by changing the metadata for the book (updating the last "
 "modification time) or resending the book itself."
-msgstr "Brug denne indstilling til at bestemme størrelse og kvalitet på cover filen der sendes til enheden. Den skal være mellem 50 og 99. Større værdi giver højere kvalitet men også større filstørrelse. For eksempel vil en ændring fra 70 til 90 medføre et meget bedre cover, men også en fil der er 2,5 gange så stor. For at se ændringen skal du tvinge Calbre til at gensende metadata til enheden, enten ved at ændre metadata for bogen (ændre modifikationstidspunktet), eller gensende hele bogen."
+msgstr "Brug denne indstilling til at bestemme størrelse og kvalitet på omslagsfilen der sendes til enheden. Den skal være mellem 50 og 99. Større værdi giver højere kvalitet men også større filstørrelse. For eksempel vil en ændring fra 70 til 90 medføre et meget bedre omslag, men også en fil der er 2,5 gange så stor. For at se ændringen skal du tvinge Calibre til at sende metadataene til enheden igen, enten ved at ændre metadata for bogen (opdatere tidspunkt for sidste ændring), eller sende selve bogen igen."
 
 #: /__w/calibre/calibre/src/calibre/devices/smart_device_app/driver.py:330
 msgid "Use metadata cache"
@@ -4455,7 +4455,7 @@ msgid ""
 "be used on a device that does not support SVG, like the iPhone or the "
 "JetBook Lite. Without this option, such devices will display the cover as a "
 "blank page."
-msgstr "Anvend ikke SVG (Scalable Vector Graphics) til et e-bogsomslag. Anvend denne valgmulighed hvis din EPUB skal anvendes til en enhed som ikke understøtter SVG, som f.eks. iPhone eller JetBook Lite. Uden dette fravalg vil disse enheder blot vise omslaget som en blank side."
+msgstr "Anvend ikke SVG (Scalable Vector Graphics) til et e-bogomslag. Anvend denne valgmulighed hvis din EPUB skal anvendes til en enhed som ikke understøtter SVG, som f.eks. iPhone eller JetBook Lite. Uden dette fravalg vil disse enheder blot vise omslaget som en blank side."
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/epub_output.py:95
 msgid ""
@@ -5613,7 +5613,7 @@ msgid ""
 " to render correctly. By default, calibre will turn a ligature into the "
 "corresponding pair of normal characters. This option will preserve them "
 "instead."
-msgstr "Bevar evt. ligaturer i input-dokumentet. En ligatur er en speciel skrivning af et par bogstaver såsom ff, fi, fl et cetera. De fleste e-bogslæsere understøtter ikke ligaturer i deres standardskriftstyper og de vil derfor ikke vises korrekt. Som standard vil calibre translitterære en ligatur til korresponderende par af normale bogstaver. Dette valg bibeholde ligaturer."
+msgstr "Bevar ligaturer i input-dokumentet. En ligatur er en speciel skrivning af et par bogstaver såsom ff, fi, fl et cetera. De fleste e-boglæsere understøtter ikke ligaturer i deres skriftstyper og de vil derfor ikke vises korrekt. Som standard vil Calibre omdanne en ligatur til korresponderende par af normale bogstaver. Dette valg bibeholde ligaturer."
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plumber.py:559
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/cli.py:39
@@ -6048,7 +6048,7 @@ msgstr "Bemærkninger"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6341,7 +6341,7 @@ msgid "Producer"
 msgstr "Producer"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6349,7 +6349,7 @@ msgid "Comments"
 msgstr "Kommentarer"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6389,7 +6389,7 @@ msgid "Tags"
 msgstr "Mærkater"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6419,7 +6419,7 @@ msgid "Timestamp"
 msgstr "Tidsstempel"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -7279,7 +7279,7 @@ msgstr "idref=\"%s\" peger på et id som
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/opf.py:45
 msgid "The meta cover tag points to an non-existent item"
-msgstr "Meta cover mærkat peger på et ikke-eksisterende data"
+msgstr "Metaomslagsmærkatet peger på et ikkeeksisterende element"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/opf.py:47
 #, python-format
@@ -7301,7 +7301,7 @@ msgstr "Flyt navn egenskab, før indhold
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/opf.py:59
 msgid "The meta cover tag has content before name"
-msgstr "Cover metadatamærkat angiver indhold før navn"
+msgstr "Omslagsmetadatamærkat har indhold før navn"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/opf.py:72
 #, python-format
@@ -7746,14 +7746,14 @@ msgstr "Omslag opdatateret"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.py:223
 msgid "Removed one unused CSS style rule"
 msgid_plural "Removed {} unused CSS style rules"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Fjernede en ubrugt CSS-stilregel"
+msgstr[1] "Fjernede {} ubrugte CSS-stilregler"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.py:226
 msgid "Removed one unused class from the HTML"
 msgid_plural "Removed {} unused classes from the HTML"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Fjernede en ubrugt klasse fra HTML'en"
+msgstr[1] "Fjernede {} ubrugte klasser fra HTML'en"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.py:229
 msgid "Merged one CSS style rule with identical selectors"
@@ -7764,8 +7764,8 @@ msgstr[1] ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.py:232
 msgid "Merged one CSS style rule with identical properties"
 msgid_plural "Merged {} CSS style rules with identical properties"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Sammenføjede en CSS-stilregel med identiske egenskaber"
+msgstr[1] "Sammenføjede {} CSS-stilregler med identiske egenskaber"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.py:235
 msgid "No unused CSS style rules found"
@@ -8149,13 +8149,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "HTML indholdsfortegnelse genereringsmuligheder."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8188,31 +8188,31 @@ msgstr "Gener´r en Adobe \"page-map\" f
 msgid "Sidebar"
 msgstr "Sidepanel"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -8260,7 +8260,7 @@ msgstr "Match nogle eller alle mærkater
 
 #: /__w/calibre/calibre/src/calibre/gui2/__init__.py:231
 msgid "Number of covers to show in the cover browsing mode"
-msgstr "Antallet af covers, der vises i cover browser-tilstand"
+msgstr "Antallet af omslag, der vises i browsertilstanden for omslag"
 
 #: /__w/calibre/calibre/src/calibre/gui2/__init__.py:233
 msgid "Defaults for conversion to LRF"
@@ -8272,7 +8272,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/__init__.py:239
 msgid "Formats that are viewed using the internal viewer"
-msgstr "Formater som kan ses ved anvendelse af den indbyggede e-bogslæser"
+msgstr "Formater som kan ses ved anvendelse af den indbyggede e-boglæser"
 
 #: /__w/calibre/calibre/src/calibre/gui2/__init__.py:241
 msgid "Columns to be displayed in the book list"
@@ -8302,7 +8302,7 @@ msgstr "Slet nye bøger fra biblioteket
 msgid ""
 "Show the cover flow in a separate window instead of in the main calibre "
 "window"
-msgstr "Vis cover i et separat vindue, istedet for i calibres arbejdsvindue"
+msgstr "Vis omslag i et separat vindue, i stedet for i Calibres arbejdsvindue"
 
 #: /__w/calibre/calibre/src/calibre/gui2/__init__.py:252
 msgid "Disable notifications from the system tray icon"
@@ -8605,8 +8605,8 @@ msgstr "Er du sikker på, at du ønsker
 #, python-brace-format
 msgid "The {0} format will be replaced in the book {1}. Are you sure?"
 msgid_plural "The {0} formats will be replaced in the book {1}. Are you sure?"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Formatet {0} vil blive erstattet i bogen {1}. Er du sikker?"
+msgstr[1] "Formaterne {0} vil blive erstattet i bogen {1}. Er du sikker?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:198
 #, python-format
@@ -8681,8 +8681,8 @@ msgstr "Du har smidt nogle filer på bog
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:459
 msgid "Add as new book"
 msgid_plural "Add as new books"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Tilføj som ny bog"
+msgstr[1] "Tilføj som nye bøger"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:538
@@ -8828,8 +8828,8 @@ msgstr[1] ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:41
 msgid "The changes will be applied to the <b>selected book</b>"
 msgid_plural "The changes will be applied to the <b>{} selected books</b>"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Ændringerne vil blive anvendt på den <b>valgte bog</b>"
+msgstr[1] "Ændringerne vil blive anvendt på <b>{} valgte bøger</b>"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:42
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:43
@@ -9036,8 +9036,8 @@ msgstr ""
 #, python-brace-format
 msgid "{0} [{1} book]"
 msgid_plural "{0} [{1} books]"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "{0} [{1} bog]"
+msgstr[1] "{0} [{1} bøger]"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/choose_library.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/actions/choose_library.py:408
@@ -9181,7 +9181,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -9672,8 +9672,8 @@ msgid ""
 msgid_plural ""
 "The {} selected books will be <b>permanently deleted</b> and the files "
 "removed from your calibre library. Are you sure?"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Den valgte bog vil blive <b>permanent slettet</b> og filerne fjernet fra dit Calibrebibliotek. Er du sikker?"
+msgstr[1] "De {} valgte bøger vil blive <b>permanent slettet</b> og filerne fjernet fra dit Calibrebibliotek. Er du sikker?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/delete.py:385
 #, python-format
@@ -10190,7 +10190,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Hjælp"
 
@@ -10578,8 +10578,8 @@ msgstr "Polering af %s"
 #, python-format
 msgid "The original file has been saved as %s."
 msgid_plural "The original files have been saved as %s."
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Den oprindelige fil er blevet gemt som %s."
+msgstr[1] "De oprindelige filer er blevet gemt som %s."
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/polish.py:369
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:325
@@ -11449,7 +11449,7 @@ msgid "Errors while adding"
 msgstr "Fejl under tilføjelse"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorer"
 
@@ -11579,8 +11579,8 @@ msgstr "Skift"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11601,12 +11601,12 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:32
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:55
 msgid "is one of"
-msgstr ""
+msgstr "er en af"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:33
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:56
 msgid "is not one of"
-msgstr ""
+msgstr "er ikke en af"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:34
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:91
@@ -11616,15 +11616,15 @@ msgstr "indeholder"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:40
 msgid "the author, if the author name"
-msgstr ""
+msgstr "forfatteren, hvis forfatternavnet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:41
 msgid "You must provide a value for the author name to match"
-msgstr ""
+msgstr "Du skal angive en værdi for forfatternavnmatch"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:42
 msgid "with the name:"
-msgstr ""
+msgstr "med navnet:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:90
 #, python-brace-format
@@ -11714,11 +11714,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Administrér %s"
@@ -11799,15 +11799,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:289
 #, python-format
 msgid "Edit %s..."
-msgstr ""
+msgstr "Rediger %s ..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:296
 msgid "Path to file"
-msgstr ""
+msgstr "Filsti"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:307
 msgid "Copy {} to clipboard"
-msgstr ""
+msgstr "Kopier {} til udklipsholderen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:316
 msgid "&Copy author link"
@@ -11822,11 +11822,11 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:368
 #, python-format
 msgid "Remove %s from this book"
-msgstr ""
+msgstr "Fjern %s fra denne bog"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:341
 msgid "Copy path"
-msgstr ""
+msgstr "Kopier sti"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:351
 msgid "&Copy identifier"
@@ -11850,7 +11850,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:410
 msgid "Selected text"
-msgstr ""
+msgstr "Markeret tekst"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:414
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books_ui.py:74
@@ -11861,7 +11861,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -11877,25 +11877,25 @@ msgstr "Søg"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:424
 msgid "Copy link location"
-msgstr ""
+msgstr "Kopier henvisningsplacering"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:437
 #, python-brace-format
 msgid "Search {0} for this book"
-msgstr ""
+msgstr "Søg  {0}  for denne bog"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:445
 msgid "Open the Book details window"
-msgstr ""
+msgstr "Åbn vinduet for Bogdetaljer"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:450
 msgid "Open the Edit metadata window"
-msgstr ""
+msgstr "Åbn vinduet for Rediger metadata"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:465
 msgid "Open cover with..."
-msgstr ""
+msgstr "Åbn omslag med ..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:468
 msgid "Add another application to open cover with..."
@@ -11904,40 +11904,40 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:583
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:280
 msgid "Paste cover"
-msgstr ""
+msgstr "Indsæt omslag"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:584
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:281
 msgid "Copy cover"
-msgstr ""
+msgstr "Kopier omslag"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:585
 msgid "Save cover to disk"
-msgstr ""
+msgstr "Gem omslag til disk"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:586
 msgid "Remove cover"
-msgstr ""
+msgstr "Fjern omslag"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:587
 msgid "Generate cover from metadata"
-msgstr ""
+msgstr "Opret omslag fra metadata"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:629
 msgid "Choose cover save location"
-msgstr ""
+msgstr "Vælg hvor omslag skal gemmes"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:630
 msgid "JPEG images"
-msgstr ""
+msgstr "JPEG-billeder"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:665
 msgid "Are you sure you want to delete the cover permanently?"
-msgstr ""
+msgstr "Er du sikker på, at du ønsker at slette omslaget permanent?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:681
 msgid "Double click to open the Book details window"
-msgstr ""
+msgstr "Dobbeltklik for at åbne vinduet for Bogdetaljer"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:682
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
@@ -11955,15 +11955,15 @@ msgstr "Omslagsstørrelse: %(width)d x %
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:727
 msgid "Edit identifiers for this book"
-msgstr ""
+msgstr "Rediger identifikatorer for denne bog"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:740
 msgid "Are you sure you want to delete <b>{}</b> from the book?"
-msgstr ""
+msgstr "Er du sikker på, at du ønsker at slette <b>{}</b> fra bogen?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_bibtex.py:19
 msgid "BibTeX options"
-msgstr ""
+msgstr "BibTeX-indstillinger"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_bibtex.py:20
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_csv_xml.py:39
@@ -12076,7 +12076,7 @@ msgstr "Felter at inkluderer i output:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_bibtex_ui.py:78
 msgid "Encoding configuration (change if you have errors):"
-msgstr ""
+msgstr "Kodningskonfiguration (ændr dem hvis du får fejl):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_bibtex_ui.py:79
 msgid "BibTeX entry type:"
@@ -12088,7 +12088,7 @@ msgstr "Opret et citationsmærkat?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_bibtex_ui.py:81
 msgid "Add file paths with formats?"
-msgstr ""
+msgstr "Tilføj filsti med formater?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_bibtex_ui.py:82
 msgid "Expression to form the BibTeX citation tag:"
@@ -12115,7 +12115,7 @@ msgstr "Træk og slip for at omarrangere
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_csv_xml.py:72
 msgid "Library name"
-msgstr ""
+msgstr "Biblioteksnavn"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_csv_xml.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:267
@@ -12125,7 +12125,7 @@ msgstr "Tal"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:33
 msgid "E-book options"
-msgstr "E-bogsmuligheder"
+msgstr "Indstillinger for e-bog"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:100
 msgid "Catalogs"
@@ -12188,7 +12188,7 @@ msgid "Preset name:"
 msgstr "Navn på forhåndsindstilling:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Du skal angive et navn."
 
@@ -12265,7 +12265,7 @@ msgid "Save current catalog settings as
 msgstr "Gem nuværende katalogindstillinger som forhåndsindstilling"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Gem"
 
@@ -12274,10 +12274,10 @@ msgid "Delete current preset"
 msgstr "Slet nuværende forhåndsindstilling"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Slet"
@@ -12316,7 +12316,7 @@ msgstr "&Serier"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:368
 msgid "List of books, sorted by genre"
-msgstr ""
+msgstr "Bogliste, sorteret efter genre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:369
 msgid "&Genres"
@@ -12324,7 +12324,7 @@ msgstr "&Genrer"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:370
 msgid "Field containing genres"
-msgstr ""
+msgstr "Felt indeholdende genre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:371
 msgid "List of books, sorted by date added to calibre"
@@ -12332,7 +12332,7 @@ msgstr "Bogliste, sortere efter dato til
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:372
 msgid "&Recently added"
-msgstr ""
+msgstr "&Nyligt tilføjet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:373
 msgid "Individual descriptions of books with cover thumbs, sorted by author"
@@ -12390,8 +12390,8 @@ msgstr "Nulstil til standard"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13577,7 +13577,7 @@ msgid "Ta&gs:"
 msgstr "&Mærker:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13592,8 +13592,8 @@ msgstr "&Serier:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Liste over kendte serier. Du kan tilføje nye serier."
@@ -14460,7 +14460,7 @@ msgid "Choose color"
 msgstr "Vælg farve"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14588,11 +14588,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:211
 msgid "Cover &width:"
-msgstr "Cover &bredde:"
+msgstr "&Bredde for omslag:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:212
 msgid "Cover &height:"
-msgstr "Cover &højde:"
+msgstr "&Højde for omslag:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:214
 msgid ""
@@ -14694,7 +14694,7 @@ msgstr "En udgiver"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:512
 msgid "Cover generation settings"
-msgstr "Cover oprettelsesindstillinger"
+msgstr "Oprettelsesindstillinger for omslag"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:517
 msgid "Save these settings as the &defaults for future use"
@@ -14801,19 +14801,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14887,8 +14887,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14969,7 +14969,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16504,8 +16504,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/duplicates.py:27
 msgid "Duplicate found"
 msgid_plural "duplicates found"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Dublet fundet"
+msgstr[1] "Dubletter fundet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/duplicates.py:36
 msgid ""
@@ -16549,7 +16549,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16557,7 +16557,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16565,7 +16565,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16573,7 +16573,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16607,7 +16607,7 @@ msgid "Manage authors"
 msgstr "Administrér forfattere"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Søg efter:"
@@ -17025,81 +17025,81 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/message_box.py:411
 msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Skjul den resterende fejlbesked"
+msgstr[1] "Skjul de {} resterende fejlbeskeder"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Arbejder"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Behandler %d bøger, vent venligst..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Små bogstaver"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Store bogstaver"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Titel STORE/små bogstaver"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Tegn match"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Erstat felt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Tilføj til feltindholdets start"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Tilføj til felt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Rediger metadata for en bog"
+msgstr[1] "Redigerer metadata for {} bøger"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Lav øjeblikkeligt alle ændringer uden at lukke dialogen. Operationen kan ikke afbrydes eller fortrydes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Bog %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Indtast en identifikationstype"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17107,7 +17107,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Du kan ødelægge dit bibliotek ved at anvende denne egenskab.</b> Ændringer er permanente. Der er ingen fortryd-funktion. Du anbefales kraftigt at tage en sikkerhedskopi af dit bibliotek før fortsættelse.<p>Søg og erstat i tekstfelter ved at anvende tegn-matching eller regulære udtryk. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17117,7 +17117,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17132,80 +17132,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R SKABELON FEJL"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Søg/erstat ugyldig"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Gem søg/erstat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Søg/erstat navn:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Forfatter(e): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17213,90 +17222,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utomatisk forfattersortering"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Forfatters&ortering: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Opdatér &titel sortering"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Angiv hvordan bogens forfatter(e) skal sorteres. Som eksempel burde Charles Dickens sorteres som Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Skift &omslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Vurdering:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Generér standard omslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Fjern omslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "F&orlag: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Tilføj &mærker: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Fjern mærkater:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Vælg titlen til at være i titel-case. Hvis både denne og ombyt-forfattere er hakket af,\nvil titel og forfatter blive byttet før titel-case anvendes"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Kommasepareret liste over mærkater, der skal fjernes fra bøgerne. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Afkryds denne boks for at fjerne alle mærkater fra bøgerne."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Dato:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Fjern &alt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Hvis hakket af, vil serier blive fjernet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17304,281 +17308,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Hvis ikke hakket af, vil serie-nummeret for bøgerne blive sat til 1.\nHvis hakket af, valgte bøgers serie vil automatisk blive nummeret, i rækkefølgen\ndu valgte dem i. Så hvis du valgte Bog A og derefter Bog B,\nvil Bog A have serie-nummer 1 og Bog B serie-nummer 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Serier vil normalt blive omnummeret fra det højeste nummer i databasen\nfor den givne serie. Hakkes denne boks vil det gøre at calibre starter nummerering\nfra værdien i boksen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Tving numre til at starte med:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Hvis hakket af, vil serier blive fjernet"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Dato:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Fjern mærkater:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "&Sprog:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Fjern &alt"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Fjern gemte konverteringsindstillinger for de valgte bøger.\n\nFremtidige konverteringer af disse bøger vil anvende standardindstillinger."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Tilføj &mærker: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Fjern &gemte konverteringsindstillinger for de valgte bøger"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Angiv hvordan bogens forfatter(e) skal sorteres. Som eksempel burde Charles Dickens sorteres som Dickens, Charles."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Forfatter(e): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "&Sprog:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "F&orlag: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Vælg titlen til at være i titel-case. Hvis både denne og ombyt-forfattere er hakket af,\nvil titel og forfatter blive byttet før titel-case anvendes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Kommasepareret liste over mærkater, der skal fjernes fra bøgerne. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Forfatters&ortering: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Opdatér &titel sortering"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Skift &omslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Generér standard omslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Fjern omslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Fjern gemte konverteringsindstillinger for de valgte bøger.\n\nFremtidige konverteringer af disse bøger vil anvende standardindstillinger."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Fjern &gemte konverteringsindstillinger for de valgte bøger"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Afkryds denne boks for at fjerne alle mærkater fra bøgerne."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Vurdering:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grund metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Tilpas metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Vælg gemt søg/erstat til hentning."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Gem aktuel søg/erstat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Gem"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Søg &felt:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Feltnavnet du ønsker at søge efter"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Søge &tilstand:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Vælg om der ønskes anvendt almindelig matching - eller avanceret regulært udtryk matching"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Skabelon:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Sæt hak i denne boks, hvis søgestrengen også skal skelnes mellem store og små bogstaver. Fjern hak, hvis der ikke skal skelnes mellem store og små bogstaver"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "E&rstat med:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Erstatningsteksten. Den matchede søgefund vil bliver erstattet med denne tekststreng"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Angiv hvordan teksten skal blive behandlet efter match og erstat. I tegntilstand, behandles\nhele feltet. I regulært udtryk tilstand, behandles kun den matchede tekst"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Destinationsfelt:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "Tilstan&d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Angiv hvordan teksten skal kopieres til destinationen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17586,48 +17612,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Test tekst"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Test resultat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Søg og erstat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18083,42 +18109,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Ingen emner fundet**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18224,87 +18250,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Den aktuelt gemte søgning vil blive <b>permanent slettet</b>. Er du sikker?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Redigér gemt søgning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19202,48 +19228,64 @@ msgstr "Mærkat 1"
 msgid "Tag 2"
 msgstr "Mærkat 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Skabelon sprogsvejledning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Skabelon funktion reference"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "UNDTAGELSE:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Ingen søjle valgt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Ingen skabelon blev givet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20016,15 +20058,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/opds.py:154
 msgid "one book"
 msgid_plural "{} books"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "en bog"
+msgstr[1] "{} bøger"
 
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:311
 #, python-format
 msgid "%(num)s, %(sel)d selected"
 msgid_plural "%(num)s, %(sel)d selected"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "%(num)s, %(sel)d valgt"
+msgstr[1] "%(num)s, %(sel)d valgt"
 
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:313
 #, python-brace-format
@@ -20161,8 +20203,8 @@ msgstr "Ukendt opgave"
 #: /__w/calibre/calibre/src/calibre/gui2/jobs.py:121
 msgid "There is a waiting job"
 msgid_plural "There are {} waiting jobs"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Der er et ventende job"
+msgstr[1] "Der er {} ventende job"
 
 #: /__w/calibre/calibre/src/calibre/gui2/jobs.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/jobs.py:314
@@ -20307,7 +20349,7 @@ msgstr "Søg efter en genvej efter navn"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Ingen match"
 
@@ -20466,8 +20508,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Redigér noter"
 
@@ -20484,14 +20526,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -21004,7 +21046,7 @@ msgstr "Initialiserer brugergrænseflade
 
 #: /__w/calibre/calibre/src/calibre/gui2/main.py:263
 msgid "Choose a location for your new calibre e-book library"
-msgstr "Vlæg en placering til dit nye calibre e-bogsbibliotek"
+msgstr "Vælg en placering til dit nye e-bogbibliotek for Calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/main.py:281
 msgid "Repairing failed"
@@ -21289,7 +21331,7 @@ msgstr "Ugyldigt omslag"
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1242
 msgid "Could not change cover as the image is invalid."
-msgstr "Kunne ikke skifte cover fordi billedet er ugyldigt."
+msgstr "Kunne ikke skifte omslag fordi billedet er ugyldigt."
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1338
 msgid "Rating of this book. 0-5 stars"
@@ -21525,8 +21567,8 @@ msgstr " [%(num)d af %(tot)d]"
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/diff.py:669
 msgid "Are you sure you want to reject the remaining result?"
 msgid_plural "Are you sure you want to reject all {} remaining results?"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Er du sikker på, at du ønsker at afvise det tilbageværende resultat?"
+msgstr[1] "Er du sikker på, at du ønsker at afvise alle {} tilbageværende resultater?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/pdf_covers.py:51
 msgid "Rendering PDF pages, please wait..."
@@ -21807,7 +21849,7 @@ msgstr "Søger..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:823
 msgid "View this cover at full size"
-msgstr "Vis dette cover i fuld størrelse"
+msgstr "Vis dette omslag i fuld størrelse"
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:824
 msgid "Copy this cover to clipboard"
@@ -21820,7 +21862,7 @@ msgstr "Henter omslag for <b>%s</b>, ven
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:919
 msgid "Failed to download any covers, click \"Show details\" for details."
-msgstr "Kunne ikke hente cover, klik på »Vis detaljer« for disse."
+msgstr "Kunne ikke hente omslag, klik på »Vis detaljer« for disse."
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:925
 #, python-format
@@ -22711,60 +22753,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Flyt den valgte regel op"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Flyt den valgte regel ned"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22772,57 +22814,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Ingen regel er valgt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Ingen regel valgt for %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "fjern"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23664,13 +23706,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Bund"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Top"
 
@@ -23704,7 +23746,7 @@ msgid "If there is enough room"
 msgstr "Hvis der er nok rum"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Efter første bogstav"
 
@@ -23985,7 +24027,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Deaktiver"
 
@@ -24059,7 +24101,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:664
 msgid "Show cover &size"
-msgstr "Vis cover &størrelse"
+msgstr "Vis omslags &størrelse"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:665
 msgid "Use &Roman numerals for series"
@@ -24230,7 +24272,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:722
 msgid "&Number of covers to show in browse mode (needs restart):"
-msgstr "&Antal viste covers i fremviseren (kræver genstart):"
+msgstr "&Antal viste omslag i fremviseren (kræver genstart):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:723
 msgid "&Template for caption:"
@@ -24364,7 +24406,7 @@ msgstr "Kildetekst"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:55
 msgid "Cover priority"
-msgstr "Cover prioritet"
+msgstr "Omslagsprioritet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:82
 msgid "This source is configured and ready to go"
@@ -24677,8 +24719,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Her kan du ændre metadataene calibre anvender til at opdatere en bog, når der gemmes til disk eller sendes til enhed.\n\nAnvend denne dialog til et 'plugboard' for et format (eller alle formater) og en enhed (eller alle enheder). Plugboardene angiver hvilken skabelon der er forbundet til hvilket felt. Skabelonen anvendes til at beregne en værdi - og denne værdi tildeles til det forbundne felt.\n\nSkabeloner vil ofte indeholde simple referencer til sammensatte søjler, men dette er ikke nødvendigt. Du kan anvende enhver skabelon i en kildeboks som du kan bruge andre steder i calibre.\n\nEn mulig anvendelse at et plugboard er til at ændre titlen til at indeholde serieinformation. En anden ville være at ændre forfattersorteringen, noget som mobi-brugere måske kan gøre for at tvinge den til at anvende ';' som kindle behøver. En tredje kunne være at angive sproget."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25246,7 +25288,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25381,7 +25423,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25392,7 +25434,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26187,7 +26229,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:830
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:1036
 msgid "Filter"
-msgstr ""
+msgstr "Filter"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:564
 msgid "Choose saved search or enter name for new saved search"
@@ -26197,52 +26239,52 @@ msgstr "Vælg gemte søgninger eller ind
 msgid ""
 "Save current search under the name shown in the box. Press and hold for a "
 "pop-up options menu."
-msgstr ""
+msgstr "Gem nuværende søgning under navnet vist i boksen. Tryk og hold for en pop op-indstillingsmenu."
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:576
 msgid "Create Saved search"
-msgstr ""
+msgstr "Opret gemt søgning"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:579
 msgid "Delete Saved search"
-msgstr ""
+msgstr "Slet gemt søgning"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:588
 msgid "Add Saved search"
-msgstr ""
+msgstr "Tilføj gemt søgning"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:589
 msgid "Get Saved search expression"
-msgstr ""
+msgstr "Hent gemt søgeudtryk"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:636
 msgid "Current search is not a saved search"
-msgstr ""
+msgstr "Nuværende søgning er ikke en gemt søgning"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:30
 #, python-format
 msgid "Create a Virtual library based on %s"
-msgstr ""
+msgstr "Opret et virtuel bibliotek baseret på %s"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:38
 #, python-format
 msgid "Match any of the selected %s"
-msgstr ""
+msgstr "Match enhver af de valgte %s"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:39
 #, python-format
 msgid "Match all of the selected %s"
-msgstr ""
+msgstr "Match alle de valgte %s"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:102
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:346
 msgid "Edit Virtual library"
-msgstr ""
+msgstr "Rediger virtuelt bibliotek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:104
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:371
 msgid "Create Virtual library"
-msgstr ""
+msgstr "Opret virtuelt bibliotek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:109
 msgid "Virtual library &name:"
@@ -26254,7 +26296,7 @@ msgstr "&Søgeudtryk:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:132
 msgid "Create a Virtual library based on: "
-msgstr ""
+msgstr "Opret et virtuelt bibliotek baseret på"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:145
 #, python-format
@@ -26283,13 +26325,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:226
 msgid "Search text changed"
-msgstr ""
+msgstr "Søgetekst ændret"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:227
 msgid ""
 "The Virtual library name or the search text has changed. Do you want to "
 "discard these changes?"
-msgstr ""
+msgstr "Det virtuelle biblioteksnavn eller søgeteksten har ændret sig. Ønsker du at fjerne disse ændringer?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:264
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:94
@@ -26299,11 +26341,11 @@ msgstr "Intet navn"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:265
 msgid "You must provide a name for the new Virtual library"
-msgstr ""
+msgstr "Du skal angive et navn for det nye virtuelle bibliotek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:271
 msgid "A Virtual library name cannot begin with \"*\""
-msgstr ""
+msgstr "Et virtuelt biblioteknavn kan ikke startet med »*«"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:276
 msgid "Name already in use"
@@ -26320,7 +26362,7 @@ msgstr "Ingen søgestreng"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:285
 msgid "You must provide a search to define the new Virtual library"
-msgstr ""
+msgstr "Du skal angive en søgning for at definere det nye virtuelle bibliotek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:293
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:454
@@ -26340,7 +26382,7 @@ msgstr "Søgning fandt ingen bøger"
 msgid ""
 "The search found no books, so the Virtual library will be empty. Do you "
 "really want to use that search?"
-msgstr ""
+msgstr "Søgningen fandt ingen bøger, så det virtuelle bibliotek vil være tomt. Ønsker du at bruge den søgning?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:321
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:565
@@ -26359,7 +26401,7 @@ msgstr "Opret et midlertidigt virtuelt b
 msgid ""
 "Use a \"Virtual library\" to show only a subset of the books present in this"
 " library"
-msgstr ""
+msgstr "Brug et »Virtuelt bibliotek« til kun at vise et undersæt af bøgerne i dette bibliotek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:344
 msgid "(all books)"
@@ -26371,11 +26413,11 @@ msgstr "Yderligere begrænsning"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:347
 msgid "Remove Virtual library"
-msgstr ""
+msgstr "Fjern virtuelt bibliotek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:393
 msgid "Show Virtual libraries as tabs"
-msgstr ""
+msgstr "Vis virtuelle biblioteker som faneblade"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:446
 msgid "No search"
@@ -26388,15 +26430,15 @@ msgstr "Der er ikke nogen aktuel søgnin
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:497
 #, python-brace-format
 msgid "Are you sure you want to remove the Virtual library <b>{0}</b>?"
-msgstr ""
+msgstr "Er du sikker på, at du ønsker at fjerne det virtuelle bibliotek <b>{0}</b>?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:507
 msgid "No Virtual libraries"
-msgstr ""
+msgstr "Ingen virtuelle biblioteker"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:508
 msgid "No Virtual libraries present, create some first"
-msgstr ""
+msgstr "Ingen virtuelle biblioteker, opret nogle først"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:512
 #, python-brace-format
@@ -26407,7 +26449,7 @@ msgid ""
 "        Simply type in the characters:\n"
 "        {chars}\n"
 "        and press Enter."
-msgstr ""
+msgstr "<p>Vælg hurtigt et virtuelt bibliotek ved at bare at taste nogle få tegn fra biblioteksnavnet i feltet ovenover.\n        For eksempel, hvis du ønsker at vælge VB:\n        {example}\n        Indtast tegnene:\n        {chars}\n        og tryk Retur."
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:520
 msgid "Choose Virtual library"
@@ -26436,15 +26478,15 @@ msgstr "Dobbeltklik for at ændre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/splash_screen.py:91
 msgid "Starting up, please wait..."
-msgstr ""
+msgstr "Starter, vent venligst."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/basic_config_widget_ui.py:36
 msgid "Added tags:"
-msgstr ""
+msgstr "Tilføjede mærker:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/basic_config_widget_ui.py:37
 msgid "Open store in external web browser"
-msgstr ""
+msgstr "Åbn lager i ekstern internetbrowser"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:205
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/adv_search_builder_ui.py:203
@@ -26474,7 +26516,7 @@ msgstr "&En eller flere af disse ord:"
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/adv_search_builder_ui.py:213
 #, python-format
 msgid "See the <a href=\"%s\">User Manual</a> for more help"
-msgstr ""
+msgstr "Se <a href=\"%s\">Brugermanualen</a> for yderligere hjælp"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:218
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/adv_search_builder_ui.py:217
@@ -26526,23 +26568,23 @@ msgstr "falsk"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:230
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/adv_search_builder_ui.py:227
 msgid "Affiliate:"
-msgstr ""
+msgstr "Tilknyttet:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:233
 msgid "Nam&e/description..."
-msgstr ""
+msgstr "&Navn/beskrivelse ..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:74
 msgid "Query"
-msgstr ""
+msgstr "Forespørgsel"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:76
 msgid "Enable:"
-msgstr ""
+msgstr "Aktiver:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:77
 msgid "&All"
-msgstr ""
+msgstr "&Alle"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/send_email_ui.py:152
@@ -26551,12 +26593,12 @@ msgstr "&Ingen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:79
 msgid "&Invert"
-msgstr ""
+msgstr "&Vend"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/models.py:44
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Affiliate"
-msgstr ""
+msgstr "Tilknyttet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/models.py:44
 msgid "Enabled"
@@ -26574,22 +26616,22 @@ msgstr "Ingen DRM"
 msgid ""
 "This store is currently disabled and cannot be used in other parts of "
 "calibre."
-msgstr ""
+msgstr "Denne butik er i øjeblikket deaktiveret og kan ikke bruges i andre dele af Calibre."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/models.py:158
 msgid ""
 "This store is currently enabled and can be used in other parts of calibre."
-msgstr ""
+msgstr "Denne butik er i øjeblikket aktiveret og kan bruges i andre dele af Calibre."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/models.py:163
 msgid "This store only distributes e-books without DRM."
-msgstr ""
+msgstr "Denne butik distribuerer kun e-bøger uden DRM."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/models.py:165
 msgid ""
 "This store distributes e-books with DRM. It may have some titles without "
 "DRM, but you will need to check on a per title basis."
-msgstr ""
+msgstr "Denne butik distribuerer bøger med DRM. Det har måske nogle titler uden DRM, men du vil skulle kontrollere for hver enkel titel."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/models.py:167
 #, python-format
@@ -26597,18 +26639,18 @@ msgid ""
 "This store is headquartered in %s. This is a good indication of what market "
 "the store caters to. However, this does not necessarily mean that the store "
 "is limited to that market only."
-msgstr ""
+msgstr "Denne butik har hovedkvarter i %s. Dette er en god indikation af, hvilket marked butikken befinder sig i. Det betyder dog ikke at butikken er afgrænset kun til det marked."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/models.py:170
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:255
 #, python-format
 msgid "Buying from this store supports the calibre developer: %s."
-msgstr ""
+msgstr "Et køb fra denne butik støtter Calibres udvikler: %s."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/models.py:172
 #, python-format
 msgid "This store distributes e-books in the following formats: %s"
-msgstr ""
+msgstr "Denne butik distribuerer e-bøger i de følgende formater: %s"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/results_view.py:50
 msgid "Configure..."
@@ -26620,11 +26662,11 @@ msgstr "Tidspunkt"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:98
 msgid "Number of seconds to wait for a store to respond:"
-msgstr ""
+msgstr "Antallet af sekunder før en butik svarer:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:99
 msgid "Number of seconds to let a store process results:"
-msgstr ""
+msgstr "Antallet af sekunder en butik kan behandle resultater:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:100
 msgid "Display"
@@ -26632,11 +26674,11 @@ msgstr "Vis"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:101
 msgid "Maximum number of results to show per store:"
-msgstr ""
+msgstr "Maksimalt antal resultater at vise per butik:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:102
 msgid "Open search result in system browser"
-msgstr ""
+msgstr "Åbent søgeresultat i systembrowseren"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:103
 msgid "Threads"
@@ -26644,19 +26686,19 @@ msgstr "Tråde"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:104
 msgid "Number of search threads to use:"
-msgstr ""
+msgstr "Antal søgetråde:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:105
 msgid "Number of cache update threads to use:"
-msgstr ""
+msgstr "Antal tråde for mellemlageropdatering:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:106
 msgid "Number of cover download threads to use:"
-msgstr ""
+msgstr "Antal tråde for omslagsoverførsel:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/search/search_widget_ui.py:107
 msgid "Number of details threads to use:"
-msgstr ""
+msgstr "Antal tråde for detaljer:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/adv_search_builder_ui.py:219
 msgid "&Price:"
@@ -26668,7 +26710,7 @@ msgstr "Download:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/adv_search_builder_ui.py:231
 msgid "Titl&e/author/price..."
-msgstr ""
+msgstr "&Titel/forfatter/pris ..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "DRM"
@@ -26905,7 +26947,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27196,7 +27238,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Omdøb %s"
@@ -27256,95 +27298,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Fjern %(item)s fra kategori %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Søg efter alt undtagen %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Tilføj underkategori til %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Søg efter bøger i kategori %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Søg efter bøger ej i kategori %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Gem kategori %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Ændr kategoriikon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Gendan standardikon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Ændr skema for underkategorisering"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partition"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Første bogstav kan kun bruges når der sorteres efter navn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28001,7 +28043,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28154,8 +28197,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:459
 msgid "One file deleted"
 msgid_plural "{} files deleted"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "En fil slettet"
+msgstr[1] "{} filer slettet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:468
 msgid "Before: Re-order text"
@@ -28532,7 +28575,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Kassér"
 
@@ -30088,8 +30131,8 @@ msgstr[1] ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/download.py:200
 msgid "Could not download one image"
 msgid_plural "Could not download {} images"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Kunne ikke hente et billede"
+msgstr[1] "Kunne ikke hente {} billeder"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/download.py:218
 msgid "Replace failed"
@@ -30770,7 +30813,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -31197,8 +31240,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:593
 msgid "&Delete the selected file"
 msgid_plural "&Delete the {} selected files"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "&Slet den valgte fil"
+msgstr[1] "&Slet de {} valgte filer"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:595
 msgid "&Copy the selected file to another editor instance"
@@ -31508,8 +31551,8 @@ msgstr ""
 #, python-format
 msgid "Change the font %s to:"
 msgid_plural "Change the fonts %s to:"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Ændr skrifttypen %s til:"
+msgstr[1] "Ændr skrifttyperne %s til:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/manage_fonts.py:192
 msgid "&New font:"
@@ -32097,7 +32140,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32724,7 +32767,7 @@ msgid "Export saved searches"
 msgstr "Eksporter gemte søgninger"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Eksportér"
 
@@ -34598,71 +34641,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35116,7 +35159,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35192,13 +35235,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35363,10 +35406,10 @@ msgid "< &Back"
 msgstr "< &Tilbage"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Annullér"
 
@@ -35397,7 +35440,7 @@ msgstr "Velkommen til calibre"
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/library_ui.py:70
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/stanza_ui.py:46
 msgid "The one stop solution to all your e-book needs."
-msgstr "One-stop-løsningen til alle dine e-bogsbehov."
+msgstr "Fuld løsning til alle dine e-bogbehov."
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/device_ui.py:55
 msgid "&Manufacturers"
@@ -36007,7 +36050,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36056,7 +36099,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36533,177 +36576,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37111,13 +37185,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37125,23 +37200,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37154,7 +37229,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37313,128 +37388,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr "Filen er åben i en anden proces"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format: type {0} forudsætter en heltalsværdi, fik {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: type {0} forudsætter en decimalværdi, fik {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: ukendt funktion"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37489,60 +37564,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37554,7 +37629,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37565,13 +37640,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37581,30 +37656,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37614,7 +37689,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37624,24 +37699,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "opslag forudsætter enten 2 eller et ulige antal parametre"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37650,11 +37725,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch forudsætter et ulige antal parametre"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37664,19 +37739,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37686,11 +37761,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37702,11 +37777,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37717,14 +37792,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37737,20 +37812,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37764,7 +37839,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37772,7 +37847,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37781,14 +37856,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37801,19 +37876,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37823,7 +37898,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37831,7 +37906,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37839,13 +37914,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37856,7 +37931,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37869,7 +37944,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37886,7 +37961,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37909,23 +37984,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37934,7 +38009,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37943,55 +38018,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38000,7 +38075,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38008,7 +38083,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38016,7 +38091,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38024,7 +38099,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38033,7 +38108,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38042,7 +38117,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38050,14 +38125,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38065,7 +38140,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38073,28 +38148,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38103,7 +38178,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38121,7 +38196,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38129,7 +38204,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38141,7 +38216,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38152,7 +38227,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38160,13 +38235,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38174,7 +38249,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38187,11 +38262,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38199,11 +38274,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38212,7 +38287,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38223,7 +38298,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38233,6 +38308,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38521,29 +38602,29 @@ msgstr "Luk uden at gemme"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "mangler )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38745,8 +38826,8 @@ msgstr "Genererer masthead..."
 #: /__w/calibre/calibre/src/calibre/web/feeds/news.py:1298
 msgid "Starting download in a single thread..."
 msgid_plural "Starting download [{} threads]..."
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Starter overførsel i en enkel tråd ..."
+msgstr[1] "Starter overførsel i [{} tråde] ..."
 
 #: /__w/calibre/calibre/src/calibre/web/feeds/news.py:1313
 #, python-format
@@ -38906,185 +38987,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Download ikke CSS-stilark"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Ok"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Gem alle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Åben"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Ja"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ja til &alle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nej"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&ej til alle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Afbryd"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Prøv igen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Luk"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Anvend"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Nulstil"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Gendan standarder"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Eksempel"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Rul til venstre"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Rul op"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Rul ned"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Rul til højre"
 
@@ -39364,8 +39445,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39421,7 +39502,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/de.po 5.10.0+dfsg-1/translations/calibre/de.po
--- 5.9.0+dfsg-3/translations/calibre/de.po	2021-01-06 15:30:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/de.po	2021-01-20 15:26:33.000000000 +0000
@@ -83,9 +83,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-06 02:43+0000\n"
-"Last-Translator: Niemand Jedermann\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -163,15 +163,15 @@ msgstr "Macht rein gar nichts"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -192,7 +192,7 @@ msgstr "Macht rein gar nichts"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -292,16 +292,16 @@ msgstr "Macht rein gar nichts"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -327,7 +327,7 @@ msgstr "Macht rein gar nichts"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -359,7 +359,7 @@ msgstr "Macht rein gar nichts"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -378,7 +378,7 @@ msgstr "Macht rein gar nichts"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -402,27 +402,27 @@ msgstr "Anpassen"
 msgid "Cannot configure"
 msgstr "Konfigurieren nicht möglich"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Dateityp"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadatenleser"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadatenschreiber"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalogerzeugung"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Benutzeroberfläche"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -434,20 +434,20 @@ msgstr "Benutzeroberfläche"
 msgid "Preferences"
 msgstr "Einstellungen"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "eBook-Händler"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Ein eBook-Händler."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Buchbearbeitungswerkzeug"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Bibliothek geschlossen"
 
@@ -469,372 +469,372 @@ msgstr "Ein TXTZ-Archiv erstellen, wenn
 msgid "Extract cover from comic files"
 msgstr "Titelbild aus Comicdateien extrahieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Metadaten aus %s-Dateien lesen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Metadaten aus eBooks in RAR-Archiven lesen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Metadaten aus eBooks in ZIP-Archiven lesen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Metadaten für %s-Dateien erfassen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Geben Sie unten {0} ein, damit die Erweiterung EPUB-Metadatenschreiber keine Titelbilder zu EPUB-Dateien hinzufügt, die kein Titelbild besitzen. "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Metadaten aus %s-Dateien festlegen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Bücher zu Calibre oder dem angeschlossenen Gerät hinzufügen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Anmerkungen von einem angeschlossenem Kindle abrufen (experimentell)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Bücherkatalog Ihrer Calibre-Bibliothek erzeugen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Bücher in verschiedene eBook-Formate konvertieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "eBook-Feinabstimmung"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Durchsuche Hervorhebungen und Lesezeichen aller Bücher der Bibliothek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Inhaltsverzeichnis Ihrer Bücher bearbeiten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Bücher aus Ihrer Calibre-Bibliothek oder dem angeschlossenen Gerät löschen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Aktualisierte Metadaten in die Buchdateien in Ihrer Calibre-Bibliothek einbetten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Metadaten von Büchern Ihrer Calibre-Bibliothek bearbeiten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Bücher aus Ihrer Calibre-Bibliothek lesen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Nachrichten als eBook aus dem Internet herunterladen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Ein Liste ähnlicher Bücher schnell anzeigen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Schlagwörter von Büchern in der Bibliothek filtern/umwandeln"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Autoren von Büchern in der Bibliothek umwandeln"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Editor zum Testen von Vorlagen anzeigen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Zeige Dialog an um Vorlagen zu erzeugen und verwalten sowie um sie zu speichern"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Bücher aus Ihrer Calibre-Bibliothek auf Datenträger exportieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Buchdetails in einem getrennten Fenster anzeigen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Calibre neu starten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Den Ordner öffnen, welcher die Buchdateien Ihrer Calibre-Bibliothek enthält"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Bücher auf das angeschlossene Gerät übertragen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Bücher per E-Mail oder Internet versenden. Verbinden Sie sich auch mit Ordnern auf Ihrem Computer, als ob es sich um Geräte handelt."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Calibre-Benutzerhandbuch anzeigen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Calibre anpassen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Einfache Suche nach zum derzeit ausgewählten Buch ähnlichen Büchern"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Zwischen unterschiedlichen Calibre-Bibliotheken wechseln und an diesen Wartungsaufgaben durchführen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Bücher vom Gerät in Ihre Calibre-Bibliothek kopieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Sammlungen bearbeiten, in denen Bücher auf Ihrem Gerät zusammengefasst werden"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Buch auf den Geräten mit Büchern in der Bibliothek abgleichen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Bücher in der Calibre-Bibliothek anzeigen die diesem Buch entsprechen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Ein Buch von einer Calibre-Bibliothek in eine andere kopieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Bücher in den Formaten EPUB oder AZW3 bearbeiten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Kleinere Änderungen an EPUB- oder HTMLZ-Dateien aus ihrer Calibre-Bibliothek durchführen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Nächste oder vorherige Übereinstimmung finden bei der Suche in der Calibre-Bibliothek im Hervorhebungsmodus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Zufälliges Buch aus Ihrer Calibre-Bibliothek auswählen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Bücherliste sortieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Bücher vorübergehend markieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Aktuelle virtuelle Bibliothek wechseln"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Bücher bei verschiedenen Händlern suchen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Neue Calibre-Erweiterungen installieren oder installierte aktualisieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Erscheinungsbild"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Benutzeroberfläche"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Erscheinungsbild von Calibre den eigenen Bedürfnissen anpassen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Verhalten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Verhalten von Calibre ändern"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Eigene Spalten hinzufügen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Hinzufügen/Entfernen eigener Spalten in der Calibre-Bücherliste"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Symbolleisten & Menüs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Symbolleisten und Kontextmenüs anpassen, jeweils verfügbaren Aktionen ändern"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Suchoptionen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Anpassen, wie in Calibre nach Büchern gesucht werden soll"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Eingabeoptionen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konvertierung"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Für spezifische Quellformate anwendbare Konvertierungsoptionen festlegen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Allgemeine Optionen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Für alle Formate anwendbare Konvertierungsoptionen festlegen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Ausgabeoptionen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Für spezifische Zielformate anwendbare Konvertierungsoptionen festlegen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Hinzufügen von Büchern"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importieren/Exportieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Steuern, wie Calibre Metadaten beim Hinzufügen von Büchern aus Dateien liest"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Exportieren von Büchern"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Steuern, wie Calibre bei Nutzung von \"Bücher exportieren\" Dateien aus seiner Datenbank exportiert"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Senden von Büchern auf Geräte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Steuern, wie Calibre Dateien an den eBook-Reader überträgt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metadatenschalttafeln"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Metadatenfelder vor dem Speichern/Senden ändern"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -844,92 +844,92 @@ msgstr "Metadatenfelder vor dem Speicher
 msgid "Template functions"
 msgstr "Vorlagefunktionen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Erweitert"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Erstellen Sie Ihre eigenen Vorlagefunktionen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Versenden von Büchern via E-Mail"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Versand"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Einrichten des Buchversands per E-Mail. Kann für den automatischen Versand heruntergeladener Nachrichten an Ihr Gerät verwendet werden."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Netzwerkserver"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Einrichten des Inhalteservers, der Ihnen Zugriff auf Ihre Bibliothek - von jedem Gerät aus - über das Internet ermöglicht"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Herunterladen von Metadaten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Einstellen, wie Calibre eBook-Metadaten aus dem Internet herunterlädt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignorierte Geräte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Einstellen, welche Geräte Calibre ignorieren soll, wenn diese an den Computer angeschlossen werden."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Erweiterungen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Hinzufügen, Entfernen und Anpassen diverser Calibre-Funktionen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Optimierungen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Feineinstellungen für das Verhalten von Calibre in verschiedenen Situationen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Tastaturkurzbefehle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Von Calibre verwendete Tastaturkurzbefehle anpassen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -937,7 +937,7 @@ msgstr "Von Calibre verwendete Tastaturk
 msgid "Miscellaneous"
 msgstr "Verschiedenes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Konfiguration diverser fortgeschrittener Einstellungen"
 
@@ -1327,9 +1327,9 @@ msgstr "Datenbank wird zu SQL exportiert
 msgid "Restoring database from SQL"
 msgstr "Datenbank wird aus SQL wiederhergestellt"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1355,17 +1355,17 @@ msgstr "Gespeicherte Suchen"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ja"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Titelbild für %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formatieren für {1}"
@@ -1751,14 +1751,14 @@ msgstr "Die Betätigung dieses Schalters
 msgid "You must specify some ids or the %s option"
 msgstr "Sie müssen IDs oder die Option %s angeben"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [Optionen]\n\nAuflisten der in der Calibre-Datenbank verfügbaren Bücher.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1766,7 +1766,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Anzuzeigende Felder bei der Auflistung von Büchern in der Datenbank. Sollte eine kommagetrennte Liste von Feldern sein.\nVerfügbare Felder: %s\nStandard: %% default. Das Sonderfeld \"all\" kann für die Auswahl aller Felder verwendet werden. Zusätzlich zu den oben genannten integrierten Feldern sind auch benutzerdefinierte Felder als \"*Feldname\" verfügbar. Verwenden Sie beispielsweise für ein benutzerdefiniertes Feld \"#Bewertung\" den Namen \"*Bewertung\"."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1774,39 +1774,39 @@ msgid ""
 "Default: {1}"
 msgstr "Das Feld, nach dem die Ergebnisse sortiert werden.\nVerfügbare Felder: {0}\nVoreinstellung: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Ergebnisse in aufsteigender Reihenfolge sortieren"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Die Ergebnisse durch die Suchanfrage filtern. Für das Format der Suchanfrage sehen Sie sich bitte die Dokumentation, die die Suche betrifft, im Benutzerhandbuch an. Voreinstellung ist, keine Filterung durchzuführen."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Maximale Breite einer einzelnen Zeile in der Ausgabe. In der Voreinstellung wird die Bildschirmgröße erkannt."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Zeichenfolge zur Unterscheidung der Felder. Die Voreinstellung ist ein Leerzeichen."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Der Präfix für alle Dateipfade. Voreinstellung ist der absolute Pfad zum Bibliotheksordner."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Maximale Anzahl anzuzeigender Ergebnisse. Standard: alle"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2353,21 +2353,21 @@ msgstr "leer"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Ungültige boolesche Abfrage \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Diese Virtuelle Bibliothek gibt es nicht: []"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Virtuelle Bibliothekssuche ist rekursiv: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Rekursive Abfragegruppe erkannt: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "Suche: fehlende oder falsche Trennzeichen. Trennzeichen: {}"
@@ -3543,11 +3543,11 @@ msgstr "%s wurde entfernt"
 msgid "All books removed"
 msgstr "Alle Bücher entfernt"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Unbenanntes Gerät"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3556,12 +3556,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Das Gerät {0} erlaubt keine Verbindungen. Entsperren Sie den Bildschirm auf dem {0}, tippen Sie auf \"Erlauben\" bei jeder beliebigen Popup-Meldung, die Sie sehen, anschließend warten Sie entweder eine Minute oder Sie starten calibre neu. Möglicherweise müssen Sie auch den Modus der USB-Verbindung auf dem {0} zu \"Medienübertragungsmodus (MTP)\" oder ähnlich ändern."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Unbekanntes MTP-Gerät"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6116,7 +6116,7 @@ msgstr "Anmerkungen"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6409,7 +6409,7 @@ msgid "Producer"
 msgstr "Produzent"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6417,7 +6417,7 @@ msgid "Comments"
 msgstr "Kommentare"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6457,7 +6457,7 @@ msgid "Tags"
 msgstr "Schlagwörter"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6487,7 +6487,7 @@ msgid "Timestamp"
 msgstr "Zeitstempel"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8217,13 +8217,13 @@ msgstr "EPUB von Version 2 auf 3 aktuali
 msgid "HTML TOC generation options."
 msgstr "Optionen zur Erzeugung von HTML-Inhaltsverzeichnissen."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} von <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8256,31 +8256,31 @@ msgstr "Eine Adobe \"Page-Map\" Datei er
 msgid "Sidebar"
 msgstr "Seitenleiste"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Hinzufügen von Kopf- und Fußzeilen"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Kopf- und Fußzeilen hinzugefügt"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Markup-Umwandlung abgeschlossen"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Alles HTML als PDF gerendert"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Verweise zu PDF-Inhalt hinzugefügt"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Metadaten in PDF aktualisiert"
 
@@ -9249,7 +9249,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10258,7 +10258,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Hilfe"
 
@@ -11517,7 +11517,7 @@ msgid "Errors while adding"
 msgstr "Fehler während des Hinzufügens"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorieren"
 
@@ -11647,8 +11647,8 @@ msgstr "Ändern"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11782,11 +11782,11 @@ msgid "Search the internet for this book
 msgstr "Internet nach diesem Buch durchsuchen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "%s verwalten"
@@ -11929,7 +11929,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12256,7 +12256,7 @@ msgid "Preset name:"
 msgstr "Voreinstellungsname:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Sie müssen einen Namen vergeben."
 
@@ -12333,7 +12333,7 @@ msgid "Save current catalog settings as
 msgstr "Aktuelle Katalogeinstellungen als Voreinstellung speichern"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Speichern"
 
@@ -12342,10 +12342,10 @@ msgid "Delete current preset"
 msgstr "Aktuelle Voreinstellung löschen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Löschen"
@@ -12458,8 +12458,8 @@ msgstr "Auf Standard zurücksetzen"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13645,7 +13645,7 @@ msgid "Ta&gs:"
 msgstr "Schla&gwörter:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13660,8 +13660,8 @@ msgstr "&Serie:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Liste bekannter Serien. Sie können neue Serien hinzufügen."
@@ -14528,7 +14528,7 @@ msgid "Choose color"
 msgstr "Farbe auswählen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14869,19 +14869,19 @@ msgid "Edit style transform rules"
 msgstr "Umdwandlungsregeln für Styles bearbeiten"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xportieren"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Diese Regeln in eine Datei exportieren"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14955,8 +14955,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15037,7 +15037,7 @@ msgid ""
 msgstr "Serien werden üblicherweise von der für diese Serie höchsten Nummer in der Datenbank ausgehend neu nummeriert. Bei Aktivierung dieser Option wird Calibre die Nummerierung vom Wert des Eingabefeldes aus beginnen."
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16617,7 +16617,7 @@ msgid "Change case"
 msgstr "Groß-/Kleinschreibung ändern"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16625,7 +16625,7 @@ msgid "Upper case"
 msgstr "Großbuchstaben"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16633,7 +16633,7 @@ msgid "Lower case"
 msgstr "Kleinbuchstaben"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16641,7 +16641,7 @@ msgid "Swap case"
 msgstr "Groß-/Kleinschreibung vertauschen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16675,7 +16675,7 @@ msgid "Manage authors"
 msgstr "Autoren verwalten"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Suchen nach:"
@@ -17096,78 +17096,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Verbleibende Fehlermeldung ausblenden"
 msgstr[1] "Verbleibende {} Fehlermeldungen ausblenden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Verarbeitung läuft"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d Bücher werden verarbeitet. Bitte warten …"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Derzeitiger Fortschritt: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Schritt %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Kleinbuchstaben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Großbuchstaben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Überschriftenschreibweise"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Zeichenabgleich"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Regulärer Ausdruck"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Feld ersetzen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Vorne an das Feld anfügen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Hinten an das Feld anhängen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Metadaten für ein Buch werden bearbeitet."
 msgstr[1] "Metadaten für {} Bücher werden bearbeitet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Sofort alle Änderungen anwenden, ohne diesen Dialog zu schließen. Diese Aktion kann weder abgebrochen, noch rückgängig gemacht werden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Buch %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Erkennungstyp eingeben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17175,7 +17175,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Sie können mit dieser Funktion Ihre Bibliothek zerstören.</b> Änderungen sind permanent, eine Rückgängig-Funktion existiert nicht. Es ist sehr empfehlenswert, die Bibliothek vorher zu sichern.<p>Suchen und Ersetzen in Textfeldern via Textsuche oder reguläre Ausdrücke. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17185,7 +17185,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17200,80 +17200,89 @@ msgid ""
 "function."
 msgstr "Im Modus \"Regulärer Ausdruck\" ist der Suchtext ein beliebiger, python-kompatibler regulärer Ausdruck. Der Ersetzungstext kann Rückreferenzen auf geklammerte Ausdrücke im Suchmuster enthalten. Die Suche ist nicht verankert und kann mehrere Vorkommen des Suchtextes im gleichen String finden und ersetzen. Modifikationsfunktionen (Kleinbuchstaben usw) werden auf den gefundenen Text angewandt, nicht auf das gesamte Feld. Das \"Zielfeld\" gibt das Feld an, dem das Ergebnis nach dem Ersetzen zugeordnet wird. Sie können den Text im Feld vollständig ersetzen oder den gefundenen Text vorne bzw. hinten anfügen. Siehe <a href=\"https://docs.python.org/library/re.html\"> diese Referenz</a> für weitere Informationen über Pythons reguläre Ausdrücke und insbesondere die 'sub'-Funktion."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R-Vorlagenfehler"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Sie müssten ein Ziel definieren, wenn die Quelle eine Vorlage oder ein zusammengesetztes Feld ist"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Der neue Wert für die Bewertungsspalte muss leer oder eine ganze Zahl zwischen 0 und 10 sein"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Ein Zielerkennungstyp muss angeben werden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Sie müssen einen Suchausdruck für das \"Suchen nach\" Feld angeben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Ungültige Identifikationszeichenkette. Sie muss aus einer durch Kommata getrennten Liste von jeweils zwei Zeichenketten bestehen, die durch einen Doppelpunkt getrennt sind"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Suchen/Ersetzen-Definition ungültig"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Suchen/Ersetzen-Definition ungültig: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Gespeicherte Suchen/Ersetzen-Definition löschen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Die ausgewählte Suchen/Ersetzen-Definition wird gelöscht. Sind Sie sicher?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Suchen/Ersetzen-Definition speichern"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Name Suchen/Ersetzen-Definition:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Die gespeicherte Suchen/Ersetzen-Definition existiert bereits und wird daher ersetzt. Sind Sie sicher?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Metainformationen bearbeiten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "Datum an&wenden"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autor(en): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17281,90 +17290,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Das führt dazu, dass das Feld \"Autorensortierung\" automatisch auf Basis des Feldes \"Autor(en)\" für jedes gewählte Buch aktualisiert wird.\nBeachten Sie, dass das Feld \"Autorensortierung\" unabhängig vom Wert dieses Markierungsfelds aktualisiert wird, wenn Sie mithilfe der Steuerelemente oben mehrere Autoren gleichzeitig ändern."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utorensortierung automatisch festlegen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "Titel und Autor &tauschen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Titelsortierung basierend auf dem derzeitigem Titel aktualisieren. Dies wird erst nach weiteren Änderungen des Titels angewandt."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Autorens&ortierung:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "&Titelsortierung aktualisieren"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Geben Sie an, wie der Autor dieses Buches sortiert werden soll. \"Charles Dickens\" zum Beispiel als \"Dickens, Charles\"."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Titelbild &ändern"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "Bewe&rtung:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "Standardtitelbild &erzeugen"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "Bewertung &anwenden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "Titelbild entfe&rnen"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Verlag: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Versuchen, automatisch Seitenränder und überflüssige Leerräume an Titelbilderrändern zu erkennen und zu entfernen.\nDiese Option kann manchmal zu viel entfernen, ist also mit Vorsicht zu verwenden."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Falls ausgewählt, wird der Verlag entfernt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "Titelbild &zuschneiden (GEFÄHRLICH)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Verlag en&tfernen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Aus &eBook-Dateien festlegen"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Schlagwörter hinzufü&gen: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Titelbilder des ersten ausgewählten Buchs für alle ausgewählten Bücher festlegen."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Schlagworteditor öffnen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "Titelbilder &klonen"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Schlagwörter entfe&rnen:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Titel in (englischer) Überschriftenschreibweise erzwingen. Falls dies gleichzeitig mit \"Titel und Autoren tauschen\" ausgewählt ist, werden Titel und Autor vor Festlegen der Überschriftenschreibweise getauscht"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Kommagetrennte Liste der aus dem Buch zu entfernenden Schlagwörter. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Übers&chriftenschreibweise ändern in:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Auswählen, um alle Schlagwörter von den Büchern zu entfernen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datum:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "&Alle entfernen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Falls ausgewählt, wird der Verlag entfernt"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Ser&ien:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Verlag en&tfernen"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Falls ausgewählt, wird der \"Serien\"-Eintrag entfernt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Ver&öffentlicht:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "Bu&chserie entfernen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17372,126 +17376,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Wenn nicht ausgewählt, wird die Seriennummer der Bücher auf 1 gesetzt.\nWenn ausgewählt, werden die Bücher automatisch in der Reihenfolge, in der\nsie ausgewählt wurden, nummeriert. Wenn Sie also zuerst Buch A und dann\nBuch B ausgewählt haben, wird A die Nummer 1 und B die Nummer 2 haben."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Bücher in dieser Serie &automatisch nummerieren"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Serien werden üblicherweise von der für diese Serie höchsten Nummer in der\nDatenbank ausgehend nummeriert. Bei Wahl dieser Option wird Calibre die\nNummerierung vom Wert des Eingabefeldes aus starten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "Start der &Nummerierung mit:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Falls ausgewählt, wird der \"Serien\"-Eintrag entfernt"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "Bu&chserie entfernen"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Einstellen, wie die Standardtitelbilder generiert werden"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Titelbilder&zeugung konfigurieren"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Ko&mmentare für alle ausgewählten Bücher festlegen"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Schlagwörter entfe&rnen:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "&Alle entfernen"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Schlagwörter hinzufü&gen: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datum:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Geben Sie an, wie der Autor dieses Buches sortiert werden soll. \"Charles Dickens\" zum Beispiel als \"Dickens, Charles\"."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "Datum an&wenden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "Bewertung &anwenden"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Ver&öffentlicht:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Veröffentlichungsdatum entfernen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autor(en): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Sprachen:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Verlag: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Kommagetrennte Liste der aus dem Buch zu entfernenden Schlagwörter. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Schlagworteditor öffnen"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Autorens&ortierung:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Geben Sie die Metadaten in Calibre aus den Metadaten der eBook-Dateien für jedes Buch an. Beachten Sie, dass sich dadurch das Titelbild nicht ändert. Verwenden Sie dazu die separate Option unten."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "&Metadaten (außer Titelbild) aus eBook-Dateien übernehmen"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Ser&ien:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Gespeicherte Konvertierungseinstellungen für die ausgewählten Bücher löschen.\n\nFür zukünftige Konvertierungen dieser Bücher werden die Standardeinstellungen verwendet."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Ge&speicherte Konvertierungseinstellungen für die ausgewählten Bücher löschen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17500,153 +17439,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Wenn eine Konvertierung in dasselbe Format, das jetzt schon vorhanden ist, stattfindet, z. B. EPUB nach EPUB, speichert Calibre die Originaldatei als ORIGINAL_EPUB. Diese Option lässt Calibre das EPUB von ORIGINAL_EPUB wiederherstellen. Nützlich, wenn Sie eine große Anzahl an Büchern gleichzeitig konvertieren und dabei etwas schief gegangen ist."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Falls verfügbar, die Ursprungsf&ormate wiederherstellen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Auswählen, um alle Schlagwörter von den Büchern zu entfernen."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "Bewe&rtung:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Titel in (englischer) Überschriftenschreibweise erzwingen. Falls dies gleichzeitig mit \"Titel und Autoren tauschen\" ausgewählt ist, werden Titel und Autor vor Festlegen der Überschriftenschreibweise getauscht"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Übers&chriftenschreibweise ändern in:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Titelsortierung basierend auf dem derzeitigem Titel aktualisieren. Dies wird erst nach weiteren Änderungen des Titels angewandt."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "&Titelsortierung aktualisieren"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Geben Sie die Metadaten in Calibre aus den Metadaten der eBook-Dateien für jedes Buch an. Beachten Sie, dass sich dadurch das Titelbild nicht ändert. Verwenden Sie dazu die separate Option unten."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "&Metadaten (außer Titelbild) aus eBook-Dateien übernehmen"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Titelbild &ändern"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "Standardtitelbild &erzeugen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "Titelbild entfe&rnen"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Versuchen, automatisch Seitenränder und überflüssige Leerräume an Titelbilderrändern zu erkennen und zu entfernen.\nDiese Option kann manchmal zu viel entfernen, ist also mit Vorsicht zu verwenden."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "Titelbild &zuschneiden (GEFÄHRLICH)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Aus &eBook-Dateien festlegen"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Titelbilder des ersten ausgewählten Buchs für alle ausgewählten Bücher festlegen."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "Titelbilder &klonen"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Einstellen, wie die Standardtitelbilder generiert werden"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Titelbilder&zeugung konfigurieren"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Ko&mmentare für alle ausgewählten Bücher festlegen"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grundmetadaten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Ben&utzerdefinierte Metadaten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "Suchen/Ersetzen &laden:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Zu ladende Suchen/Ersetzen-Definition auswählen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Derzeitige Suchen/Ersetzen-Definition speichern"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Speichern"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Such&feld:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Name des zu durchsuchenden Feldes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Such&modus:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Auswählen, ob ein einfacher Textabgleich oder ein fortgeschrittener Abgleich mittels regulären Ausdrücken verwendet werden soll"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "&Kennungstyp:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Kennungstyp als Arbeitsgrundlage auswählen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Vorlage:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Geben Sie eine Vorlage ein, die als Quelle für die Suchen/Ersetzen-Definition verwendet werden soll"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Geben Sie ein, wonach Sie suchen - abhängig vom Modus entweder unformatierter Text oder einen regulären Ausdruck"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Aktivieren, falls die Suchzeichenkette der exakten Groß-/Kleinschreibung entsprechen soll. Deaktivieren, falls diese ignoriert werden soll."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Groß-/Kl&einschreibung beachten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "E&rsetzen durch:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Der Ersetzungstext. Der übereinstimmende Suchtext wird durch diese Zeichenkette ersetzt."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "Funktion nach Ersetzen &anwenden:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Geben Sie an, wie der Text nach dem Abgleichen und Ersetzen verarbeitet werden soll. Im Zeichenmodus\nwird das gesamte Feld verarbeitet, im Modus \"Regulärer Ausdruck\" wird nur der übereinstimmende Text verarbeitet."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Zielfel&d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Das Feld, in das der Text nach allen Ersetzungen eingefügt wird.\nWird das Feld leer gelassen, wird das Quellfeld genutzt, sofern dieses veränderbar ist"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&odus:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Bestimmen Sie, wie der Text in das Zielfeld geschrieben wird."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Gibt an, ob die Ergebnisse in mehrere Werte getrennt oder als\neinzelne Werte belassen werden sollen. Diese Option hat den größten Einfluss,\nwenn das Quellfeld keine multiplen Werte erlaubt, das Zielfeld jedoch schon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "E&rgebnis aufteilen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Kennungstyp:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17654,48 +17680,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Wählen Sie, mit welcher Art der Kennungs(ID) gearbeitet werden soll.\n              Wenn das Quellfeld anders ist, als \"Kennungen\",\n              können SIe ein * eingeben. Damit wird der ganze Kennungs-Satz\n              mit den Ergebnissen aus Suchen/Ersetzen ausgetauscht.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Bei Feldern mit mehreren &Werten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "Wer&te startend bei"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ", mit Werten getrennt &durch"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Verwendet zur Anzeige der Testergebnissen, um Werte in Feldern mit Mehrfachwerten zu trennen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Testtext"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Testergebnis"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Ihr &Test:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Suchen und Ersetzen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Falls aktiviert, wird die Buchliste neu sortiert und alle vorhandenen Suchen oder virtuelle Bibliotheken nach Abschluss der Bearbeitung aktualisiert.\nDas kann bei großen Bibliotheken lange dauern."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "Bücherliste nach Bearbeitung aktualisie&ren"
 
@@ -18151,42 +18177,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Element: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**keine Elemente gefunden**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Spalte in der Bibliotheksansicht anklicken, um Informationen für dieses Buch anzuzeigen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Bücher mit dem ausgewählten Element \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Etwas ist beim Füllen der Tabelle schiefgelaufen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Schnellansicht: Buch nicht in Bibliotheksansicht"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18292,87 +18318,87 @@ msgstr "Wiederherstellung der Datenbank
 msgid "Failed to repair library"
 msgstr "Bibliotheksreparatur fehlgeschlagen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Neue gespeicherte Suche hinzufügen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Der Name der gespeicherten Suche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Suche:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Der Suchausdruck"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Kein Name für die Suche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Sie müssen einen Namen für die gespeicherte Suche angeben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Kein Suchausdruck"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Sie müssen einen Suchausdruck für die gespeicherte Suche angeben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Ungültige gespeicherte Suche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Gespeicherte Suchen verwalten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "Suche hinz&ufügen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "Suche entfe&rnen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "Suche b&earbeiten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Die aktuelle gespeicherte Suche wird <b>dauerhaft gelöscht</b>. Sind Sie sicher?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Bearbeiten Sie den Namen und/oder Ausdruck unten."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Gespeicherte Suche bearbeiten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Eine gespeicherte Suche mit dem Namen {} existiert bereits. Wählen Sie einen anderen Namen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Suchausdruck"
 
@@ -19270,48 +19296,64 @@ msgstr "Schlagwort 1"
 msgid "Tag 2"
 msgstr "Schlagwort 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Tutorial für die Vorlagensprache"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Referenz zur Vorlagefunktion"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Symbol auswählen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "AUSNAHME: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Gespeicherte Vorlage"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Keine Spalte ausgewählt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Spalte angeben die eingefärbt werden soll"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Keine Vorlage unterstützt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Das Feld Vorlage darf nicht leer sein"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20375,7 +20417,7 @@ msgstr "Tastaturkurzbefehl nach Namen su
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Keine Übereinstimmungen"
 
@@ -20534,8 +20576,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Bearbeiten von Notizen"
 
@@ -20552,14 +20594,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Alles einklappen"
 
@@ -22779,60 +22821,60 @@ msgstr ""
 msgid "value: "
 msgstr "Wert:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "Regel hinz&ufügen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Regel(n) entfernen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Ausgewählte Regel nach oben verschieben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Ausgewählte Regel nach unten verschieben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Er&weiterte Regel hinzufügen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Regeln aus einer Datei importieren"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Sie können die Spaltenfarbe innerhalb der Bücherliste mit Hilfe von \"Regeln\" festlegen, die Calibre vorschreiben, welche Farben benutzt werden sollen. Klicken Sie unten auf die Schaltfläche \"Regel hinzufügen\", um zu beginnen.<p>Sie können <b>eine vorhandene Regel ändern</b>, indem Sie diese doppelklicken."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Sie können Symbole zu Spalten in der Buchliste hinzufügen, indem Sie Calibre durch \"Regeln\" das zu verwendende Symbol mitteilen. Klicken Sie unten auf die Schaltfläche \"Regel hinzufügen\", um zu beginnen.<p>Sie können <b>eine vorhandene Regel ändern</b>, indem Sie diese doppelklicken."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22840,57 +22882,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Sie können Embleme (kleine Symbole) hinzufügen, welche seitlich des Titelbildes im Titelbildraster angezeigt werden. Dies geschieht durch die Definition von Regeln, die Calibre mitteilen, welche Symbole zu benutzen sind. Klicken Sie unten auf die Schaltfläche \"Regel hinzufügen\", um zu beginnen.<p>Sie können <b>eine vorhandene Regel ändern</b>, indem Sie diese doppelklicken."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "&Embleme neben Titelbildern anzeigen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Falls aktiviert, können durch den Anwender ausgewählte Symbole seitlich der Titelbilder im Titelbildraster anzeigt werden. Diese werden durch Metadaten des Buches gesteuert."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Keine Regel ausgewählt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Keine Regel ausgewählt für %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "Beseitigung"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Zieldatei für Exportieren auswählen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Regeln"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Quelldatei für Importieren auswählen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Keine gültigen Regeln gefunden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "In {} wurden keine gültigen Regeln gefunden."
 
@@ -23732,13 +23774,13 @@ msgstr "Kein Untertitel"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Unten"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Oben"
 
@@ -23772,7 +23814,7 @@ msgid "If there is enough room"
 msgstr "Falls genug Platz ist"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Nach Anfangsbuchstaben"
 
@@ -24053,7 +24095,7 @@ msgid ""
 msgstr "Calibre verwendet zwei Methoden, um die Darstellungsleistung des Titelbildrasters zu verbessern. Auf dem Laufwerk werden die Vorschaubilder zwischengespeichert und im RAM-Zwischenspeicher sind Vorschaubilder für die ruckelfreie Darstellung der Titelbilder hinterlegt. Für optimale Ergebnisse halten Sie den RAM-Zwischenspeicher klein und den Laufwerkszwischenspeicher groß - es sei denn, Ihr Computer besitzt sehr viel RAM, und Ihnen macht dessen Verwendung durch Calibre nichts aus."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Deaktivieren"
 
@@ -24745,8 +24787,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Hier können Sie einstellen, mit welchen Metadaten Calibre ein Buch beim Exportieren auf Datenträger oder beim Senden zu einem Gerät aktualisiert.\n\nBenutzen Sie dieses Dialogfeld, um eine \"Schalttafel\" für ein Format (oder alle Formate) und ein Gerät (oder alle Geräte) zu definieren. Die Schalttafel bestimmt, welche Vorlage mit welchem Feld verbunden ist. Die Vorlage wird zur Erstellung des jeweiligen Feldinhalts genutzt.\n\nHäufig enthalten Vorlagen einfache Verweise auf zusammengesetzte Spalten, dies ist aber nicht zwingend. Sie können jede Vorlage verwenden, die anderswo in Calibre verwendbar ist.\n\nEine mögliche Anwendung von Schalttafeln ist es, den Titel so zu verändern, dass er Serieninformationen enthält. Eine andere wäre, die Sortierung nach Autor zu ändern, wodurch es MOBI-Benutzern möglich ist, das vom Kindle benötigte Semikolon zu erzwingen. Eine dritte wäre, die Sprache festzulegen."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25314,7 +25356,7 @@ msgid ""
 msgstr "Die Abfrage eines Benutzernamens/Passworts verhindert, dass Unbefugte auf Ihre Calibrebibliothek zugreifen können. Sie wird auch für einige Funktionen benötigt, wie z.B. für Änderungen an der Bibliothek sowie für die Synchronisierung der letzten Leseposition/Annotation."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Passwort für {} ändern"
 
@@ -25449,7 +25491,7 @@ msgid "Change &password"
 msgstr "&Passwort ändern"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25460,7 +25502,7 @@ msgid "Change the allowed libraries"
 msgstr "Erlaubte Bibliotheken ändern"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26973,7 +27015,7 @@ msgid "Books in this category are unrate
 msgstr "Bücher in dieser Kategorie sind unbewertet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Suchausdruck:"
 
@@ -27264,7 +27306,7 @@ msgstr "%s in virtueller Bibliothek umbe
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "%s umbenennen"
@@ -27324,95 +27366,95 @@ msgstr "Gespeicherte Suche %s löschen"
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(item)s von Kategorie %(cat)s entfernen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Nach allem außer %s suchen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Mit gespeichertem Suchausdruck suchen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Unterkategorie zu %s hinzufügen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Benutzerkategorie %s löschen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Bücher in der Kategorie \"%s\" suchen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Bücher außerhalb der Kategorie \"%s\" suchen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Kategorie \"%s\" ausblenden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Kategoriesymbol ändern"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Standardsymbol wiederherstellen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Benutzerkategorien verwalten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Schema für die Unterkategorisierung ändern"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Unterteilen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Erster Buchstabe ist nur beim Sortieren nach Name verwendbar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "{0} aufklappen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "{0} und untergeordnete Einträge aufklappen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "{0} einklappen"
@@ -28069,7 +28111,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Die folgenden Bücher wurden bereits in das %s Format konvertiert. Möchten Sie die Bücher zurück konvertieren?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28600,7 +28643,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Verwerfen"
 
@@ -30838,7 +30881,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Kursiv</h3>Ausgewählten Text kursiv setzen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Unterstreichen"
 
@@ -32165,7 +32208,7 @@ msgid "Disabled confirmations restored"
 msgstr "Deaktivierte Bestätigungsdialoge wiederhergestellt"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "Renderprozess ist abgestürzt"
 
@@ -32792,7 +32835,7 @@ msgid "Export saved searches"
 msgstr "Gespeicherte Suchen exportieren"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exportieren"
 
@@ -34666,71 +34709,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35184,7 +35227,7 @@ msgid "E-book viewer"
 msgstr "eBook-Betrachter"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35260,13 +35303,13 @@ msgstr "Buch konnte nicht geladen werden
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Buch konnte nicht geöffnet werden: {0}. \"Details anzeigen\" anklicken für weitere Informationen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Der Renderprozess der Qt WebEngine ist abgestürzt. Bitte versuchen Sie, den Betrachter neu zu starten."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Hintergrundbild auswählen"
 
@@ -35431,10 +35474,10 @@ msgid "< &Back"
 msgstr "< &Zurück"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Abbrechen"
 
@@ -36075,8 +36118,8 @@ msgid "No genres to catalog.\n"
 msgstr "Keine Genre im Katalog.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "\"Ausgeschlossene Genres\"-Regex in den eBook-Optionen überprüfen.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36124,8 +36167,8 @@ msgstr "Titel werden sortiert"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Keine Bücher im Katalog\n\"Ausgeschlossene Bücher\"-Regeln in eBook-Optionen überprüfen.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36601,177 +36644,208 @@ msgstr "Der vollständige Anzeigemodus h
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Was möchten Sie machen?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "Standard"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Nichts ausgewählt. Wird beendet …"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s ist keine gültige Auswahl, versuchen Sie es erneut"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Bestehende Benutzernamen:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Es existieren keine Benutzer, Sie müssen zuerst einen Benutzer hinzufügen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Benutzername %s existiert nicht"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Geben Sie den Benutzernamen ein"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Geben Sie das neue Passwort für %s ein:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Leere Passwörter sind nicht erlaubt"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Geben Sie für %s das neue Passwort erneut ein, um es zu bestätigen:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Passwörter stimmen nicht überein"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Benutzer %s wurde erfolgreich hinzugefügt!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Möchten Sie den Benutzer %s wirklich entfernen?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Benutzer %s wurde erfolgreich entfernt!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Passwort für %s wurde erfolgreich geändert!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Aktuelles Passwort für {0} ist: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} hat die folgenden zusätzlichen Einschränkungen pro Bibliothek:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} hat keine zusätzlichen Einschränkungen für die einzelnen Bibliotheken."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Zugriff auf alle Bibliotheken erlauben"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Zugriff nur auf angegebene Bibliotheken erlauben"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Zugriff auf alle Bibliotheken bis auf die angegebenen erlauben"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Einschränkungen pro Bibliothek ändern"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Geben Sie den Namen der Bibliothek ein:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Geben Sie einen Suchbegriff ein, der Zugang wird nur für Bücher gewährt, die diesem Begriff entsprechen. Ein leerer Ausdruck gewährt Zugang zu allen Büchern."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Eine weitere Einschränkung?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Geben Sie eine kommagetrennte Liste von Bibliotheksnamen ein:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Zugriff nur auf folgende Bibliotheken erlauben: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Zugriff auf alle Bibliotheken erlauben, außer: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Passwort für {} anzeigen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Lese-/Schreibberechtigung ändern für {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Änderung der Bibliotheken {} auf die Sie zugreifen können."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "Lesen-Schreiben"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "nur Lesen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Neuen Benutzer hinzufügen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Bestehenden Benutzer bearbeiten"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Benutzer entfernen"
 
@@ -37179,13 +37253,14 @@ msgid ""
 msgstr "Den Server automatisch neu laden, wenn sich der Quellcode ändert. Nützlich für Entwickler. Sie sollten außerdem einen kleinen Wert für die Zeitüberschreitung zum Herunterfahren angeben."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Datenbank der Benutzer verwalten, die Zugriff auf diesen Server haben. Beachten Sie auch die %s-Option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37193,23 +37268,23 @@ msgid ""
 "at: {1}"
 msgstr "Pfad zur Benutzerdatenbank, die für die Authentifizierung verwendet werden soll. Die Datenbank ist eine SQLite-Datei. Um es zu erstellen, benutze {0}. Mehr über die Verwaltung von Benutzern erfahren Sie unter: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Ein anderes Calibre-Programm wie z.B. eine andere Instanz von {} oder das Haupt-Calibre-Programm läuft. Mehrere Programme, die Änderungen an einer gleichzeitig laufenden Calibre-Bibliothek vornehmen können, werden nicht unterstützt."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Abgebrochen durch Benutzer"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Es gibt keine Calibre-Bibliothek in: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Sie müssen mindestens eine Calibre-Bibliothek festlegen."
 
@@ -37222,7 +37297,7 @@ msgid "Enum"
 msgstr "Aufzählung"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Ungültiger Syntax: Nachschlagename oder Wort erwartet"
 
@@ -37381,128 +37456,128 @@ msgstr "Einstellungen und Erweiterungen"
 msgid "File is open in another process"
 msgstr "Datei ist in einem anderen Prozess geöffnet"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Unbekannte Funktion {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Fehlende schließende Klammer"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Unbekannte Kennzeichnung  {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Unbekanntes Feld {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "Format: Typ {0} benötigt einen Ganzzahlwert, erhielt {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "Format: Typ {0} benötigt einen Fließkommawert, erhielt {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: unbekannte Funktion"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37557,60 +37632,60 @@ msgstr "strlen(a) -- Gibt die Länge der
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- Gibt `x` + `y` zurück. Löst einen Ausnahmefehler aus, falls `x` und/oder `y` keine Zahl ist."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- Gibt `x` - `y` zurück. Löst einen Ausnahmefehler aus, falls `x` und/oder `y` keine Zahl ist."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- Gibt `x` * `y` zurück. Löst einen Ausnahmefehler aus, falls `x` und/oder `y` keine Zahl ist."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- Gibt `x` / `y` zurück. Löst einen Ausnahmefehler aus, falls `x` und/oder `y` keine Zahl ist."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37622,7 +37697,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- wertet `x` als eine Vorlage aus. Die Auswertung findet in ihrem eigenen Kontext statt, das heißt, dass Variablen nicht zwischen dem Aufrufer und der Vorlagenauswertung geteilt werden. Da die \"{\"- und \"}\"-Zeichen Spezialfälle sind, müssen Sie \"[[\" für \"{\" und \"]]\" für \"}\" verwenden; diese werden automatisch umgewandelt. Zum Beispiel: template('[[title_sort]]') wertet die Vorlage \"{title_sort}\" aus und gibt deren Wert zurück. Beachten Sie, dass Präfixe und Suffixe (der Syntax `|prefix|suffix`) nicht innerhalb des Arguments dieser Funktion verwendet werden können, wenn der Vorlageprogrammmodus benutzt wird."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37633,13 +37708,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(Vorlage) - wertet die `Vorlage` aus und gibt die lokalen Variablen (jene, die mittels der Funktion \"assign\" zugewiesen wurden) anstelle der Buchmetadaten weiter. Dies erlaubt die Verwendung des Vorlagenprozessors zum Erstellen komplexer Ergebnisse aus lokalen Variablen. Da die \"{\"- und \"}\"-Zeichen Spezialfälle sind, müssen Sie \"[[\" für \"{\" und \"]]\" für \"}\" verwenden; diese werden automatisch umgewandelt. Beachten Sie, dass Präfixe und Suffixe (der Syntax `|prefix|suffix`) nicht innerhalb des Arguments dieser Funktion verwendet werden können, wenn der Vorlageprogrammmodus benutzt wird."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(ID, Wert) -- weist `Wert` der `ID` zu und gibt dann `Wert` zurück. `ID` muss eine Kennung sein, kein Ausdruck."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37649,30 +37724,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, …) -- gibt die Argumente in der Standardausgabe aus. Wenn Sie Calibre nicht über die Befehlszeile gestartet haben (calibre-debug -g), landet die Ausgabe in einem schwarzen Loch."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(Name) -- gibt das durch `Name` bezeichnete Metadatenfeld zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(Name) -- gibt das durch `Name` bezeichnete Metadatenfeld ohne jegliche Formatierung zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(Name, Trennzeichen) -- gibt die durch `Name` bezeichnete Metadatenliste ohne jegliche Formatierung oder Sortierung zurück. Die einzelnen Elemente werden durch Verwendung des `Trennzeichens` voneinander getrennt."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37682,7 +37757,7 @@ msgid ""
 "'234'."
 msgstr "substr(Zeichenkette, Start, Ende) -- gibt die Zeichen an den Positionen `Start` bis `Ende` der `Zeichenkette` zurück. Das erste Zeichen der `Zeichenkette` ist das nullte Zeichen. Falls Ende ein negativer Wert ist, werden die Zeichen entsprechend von rechts gezählt. Falls `Ende` null ist, steht dies für das letzte Zeichen. Zum Beispiel gibt substr('12345', 1, 0) \"2345\", und substr('12345', 1, -1) \"234\" zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37692,24 +37767,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(Wert, Muster, Feld, Muster, Feld, …, sonst_Feld) -- wie die Funktion \"switch\", außer, dass die Argumente Feldnamen (Metadaten) sind, und kein Text. Der `Wert` des entsprechenden Feldes wird abgerufen und verwendet.  Beachten Sie, dass - da zusammengesetzte Spalten Felder sind - Sie diese Funktion in einem zusammengesetzten Feld verwenden können, um den Wert eines anderen zusammengesetzen Feldes zu verwenden. Dies ist äußerst hilfreich bei der Konstruktion von variablen Speicherpfaden."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup benötigt entweder 2 oder eine ungerade Anzahl von Argumenten"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(Wert, Text_falls_nicht_leer, Text_falls_leer) -- gibt `Text_falls_nicht_leer` zurück, falls `Wert` nicht leer ist, andernfalls `Text_falls_leer`."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(Wert, Muster, Text_bei_Übereinstimmung, Text_bei_keiner_Übereinstimmung) -- überprüft, ob `Wert` Übereinstimmungen mit dem regulären Ausdruck `Muster` enthält. Gibt `Text_bei_Übereinstimmung` zurück, falls Übereinstimmungen gefunden wurden, andernfalls wird `Text_bei_keiner_Übereinstimmung` zurückgegeben."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37718,11 +37793,11 @@ msgid ""
 " want"
 msgstr "switch(w, Muster, Wert, Muster, Wert, …, sonst_Wert) -- für jedes `Muster, Wert`-Paar wird überprüft, ob `w` dem regulären Ausdruck `Muster` entspricht, und falls ja, wird der entsprechende `Wert` zurückgegeben. Falls kein `Muster` übereinstimmt, wird `sonst_Wert` zurückgegeben. Sie können so viele `Muster, Wert`-Paare angeben, wie Sie möchten."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch benötigt eine ungerade Anzahl von Argumenten"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37732,19 +37807,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(Max, Zeichenkette1, Präfix2, Zeichenkette2, …) -- gibt eine Zeichenkette zurück, die durch Aneinanderhängen der Argumente gebildet wird. Der zurückgegebene Wert wird mit `Zeichenkette1` initialisiert. `Präfix, Zeichenkette`-Paare werden an das Ende der Zeichenkette angehängt,  solange die resultierende Zeichenkette kürzer als `Max` ist. `Zeichenkette1` wird auch dann zurückgegeben, falls `Zeichenkette1` länger als `Max` ist. Sie können so viele `Präfix, Zeichenkette`-Paare angeben, wie Sie möchten."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max erfordert zwei oder mehr Argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max erfordert eine gerade Anzahl von Argumenten"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "erstes Argument von strcat_max muss eine Ganzzahl sein"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37754,11 +37829,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separator, pattern, found_val, ..., not_found_val) -- behandelt val als eine Liste von Elementen, die durch ein Trennzeichen getrennt sind, und wertet das Muster gegen jeden Wert in der Liste aus. Wenn das Muster mit einem Wert übereinstimmt, geben Sie found_val zurück, andernfalls not_found_val. Pattern und found_value können beliebig oft wiederholt werden, so dass je nach Suche unterschiedliche Werte zurückgegeben werden können. Die Muster werden der Reihe nach geprüft. Die erste Übereinstimmung wird zurückgegeben."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list erfordert eine ungerade Anzahl von Argumenten"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37770,11 +37845,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(val, separator, string, found_val, ..., not_found_val) -- behandelt val als eine Liste von Elementen, die durch ein Trennzeichen getrennt sind und vergleicht die Zeichenkette mit jedem Wert in der Liste. Wenn die Zeichenkette mit einem Wert übereinstimmt (Groß-/Kleinschreibung wird ignoriert), geben Sie found_val zurück, andernfalls not_found_val. Wenn der String Trennzeichen enthält, dann wird er auch als Liste behandelt und jeder Wert wird geprüft. Der String und found_value können beliebig oft wiederholt werden, so dass je nach Suche unterschiedliche Werte zurückgegeben werden können. Die Zeichenketten werden nacheinander geprüft. Die erste Übereinstimmung wird zurückgegeben."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list erfordert eine ungerade Anzahl von Argumenten"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37785,14 +37860,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(Wert, ID, gefunden_Wert, nicht_gefunden_Wert) -- behandelt `Wert` wie eine kommagetrennte Liste von Kennungen und vergleicht die Zeichenkette mit jedem Wert in der Liste. Eine Kennung hat das Format \"Kennung:Wert\". Der `ID`-Parameter sollte entweder das Format \"ID\" oder \"ID:RegExp\" besitzen. Der erste Fall stimmt überein, falls eine der Kennungen mit dieser ID übereinstimmt. Der zweite Fall stimmt überein, wenn der reguläre Ausdruck (RegExp) mit dem Wert der Kennung übereinstimmt. Im Falle einer Übereinstimmung wird `gefunden_Wert` zurückgegeben, andernfalls `nicht_gefunden_Wert`."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(Wert, Muster, Ersatz) -- gibt `Wert` nach Anwenden des regulären Ausdrucks zurück. Alle Fälle von `Muster` werden mit `Ersatz` ersetzt.  Wie überall in Calibre sind dies zu Python kompatible reguläre Ausdrücke."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37805,20 +37880,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(Wert, Muster, Vorlage_für_Gruppe_1, für_Gruppe_2, …) -- gibt eine Zeichenkette zurück, die erstellt wird durch Anwenden eines Regulären-Ausdrucks-`Musters` auf `Wert`, und Ersetzen jedes übereinstimmenden Falls mit der berechneten Zeichenkette durch Ersetzen jeder übereinstimmenden Gruppe durch den von der entsprechenden `Vorlage` zurückgegebenen Wert. Der ursprüngliche übereinstimmende Wert für die Gruppe ist als $ verfügbar. Im Vorlageprogrammmodus, wie z. B. für die Funktionen \"template\" und \"eval\", verwenden Sie \"[[\" für \"{\" und \"]]\" für \"}\". Das folgende Beispiel im Vorlageprogrammmodus sucht nach Serien mit mehr als einem Wort und gibt das erste Wort in Großbuchstaben zurück: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(Wert) -- gibt bei einem gegebenen `Wert` der Form \"B, A\", \"A B\" zurück. Dies ist am hilfreichsten, um Namen im Format \"Nachname, Vorname\" in \"Vorname Nachname\" umzuwandeln. Falls kein Komma existiert, gibt die Funktion `Wert` unverändert zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(Wert, Text_falls_leer) -- gibt `Wert` zurück, falls `Wert` nicht leer ist, andernfalls wird `Text_falls_leer` zurückgegeben."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37832,7 +37907,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(Wert, Zeichen_links, Text_Mitte, Zeichen_rechts) -- gibt eine gekürzte Version von `Wert` zurück, bestehend aus einer Anzahl von `Zeichen_links` Zeichen vom Beginn des Feldes, gefolgt von `Text_Mitte`, gefolgt von einer Anzahl von `Zeichen_rechts` Zeichen vom Ende der Zeichenkette. `Zeichen_links` und `Zeichen_rechts` müssen ganze Zahlen sein. Nehmen wir beispielsweise an, der Titel des Buches lautet \"Ancient English Laws in the Times of Ivanhoe\" und Sie möchten, dass er in eine Zeichenkette von maximal 15 Zeichen passt. Falls Sie {title:shorten(9,-,5)} verwenden, wird das Ergebnis \"Ancient E-nhoe\" sein. Falls die Feldlänge weniger als `Zeichen_links` + `Zeichen_rechts` + Länge von `Text_Mitte` ist, wird das Feld unverändert verwendet. Beispielsweise würde der Titel \"The Dome\" nicht verändert."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37840,7 +37915,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(Wert, Trennzeichen) -- interpretiert den `Wert` als eine durch `Trennzeichen` voneinander getrennte Liste von Elementen und gibt die Anzahl der Elemente in der Liste zurück. Die meisten Listen verwenden ein Komma als Trennzeichen, aber \"Autoren\" verwendet ein Et-Zeichen (\"&\"). Beispiele: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37849,14 +37924,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(Wert, Index, Trennzeichen) -- interpretiert den `Wert` als eine durch `Trennzeichen` voneinander getrennte Liste von Elementen und gibt das `index`-te Element zurück. Das erste Element besitzt die Indexnummer null. Das letzte Element kann durch \"list_item(-1,`Trennzeichen`)\" zurückgegeben werden. Falls sich das Element nicht in der Liste befindet, wird ein leerer Wert zurückgegeben. Das `Trennzeichen` hat die gleiche Bedeutung wie in der Funktion \"count\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(Wert, Schlüssel) -- interpretiert den `Wert` als eine kommagetrennte Liste von Elementen, wobei die Elemente die Form \"ID:Wert\" besitzen. Findet das Paar, bei dem die ID gleich dem `Schlüssel` ist, und gibt den entsprechenden Wert zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37869,19 +37944,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- gibt eine kommagetrennte Liste von Formaten zurück, die zu einem bestimmten Zeitpunkt zu dem Buch gehörten. Es existiert keine Garantie, dass diese Liste korrekt ist, wahrscheinlich ist sie es allerdings. Diese Funktion kann im Vorlageprogrammmodus unter Verwendung der Vorlage \"{program:'approximate_formats()'}\" aufgerufen werden. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\". Diese Funktion funktioniert nur in der grafischen Benutzeroberfläche. Falls Sie diese Werte in den Vorlagen für \"Exportieren\" oder \"Auf Gerät übertragen\" verwenden wollen, müssen eine benutzerdefinierte Spalte des Typs \"Aus anderen Spalten aufgebaute Spalte\" erstellen, die Funktion in der Vorlage jener Spalte verwenden, und den Wert jener Spalte in Ihren Vorlagen für \"Speichern\" und \"Senden\" verwenden."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Diese Funktion kann nur in der grafischen Benutzeroberfläche verwendet werden"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37891,7 +37966,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(Datumsformat) -- gibt eine kommagetrennte Liste von doppelpunktgetrennten Elementen zurück, welche die Änderungszeitpunkte für die Formate eines Buches darstellen. Der Parameter `Datumsformat` gibt die Formatierung des Datums an. Siehe die Funktion \"format_date\" für Details. Sie können die Funktion \"select\" verwenden, um den Änderungszeitpunkt für ein bestimmtes Format zu erhalten. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37899,7 +37974,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- gibt eine kommagetrennte Liste von doppelpunktgetrennten Elementen zurück, welche die Größen in Bytes der Formate eines Buches darstellen. Sie können die Funktion \"select\" verwenden, um die Größe für ein bestimmtes Format zu erhalten. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37907,13 +37982,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- gibt eine kommagetrennte Liste von doppelpunktgetrennten Elementen zurück, welche den vollen Pfad zu den Formaten eines Buches darstellen. Sie können die Funktion \"select\" verwenden, um den Pfad für ein bestimmtes Format zu erhalten. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(w) -- gibt eine Zeichenkette zurück, die die Zahl `w` in KB, MB, GB etc. darstellt."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37924,7 +37999,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, template) -- formatieren Sie die Zahl v mit Hilfe einer Python-Formatierungsvorlage wie \"{0:5.2f}\" oder \"{0:,d}\" oder \"${0:5,.2f}\". Der field_name Teil des Templates muss eine 0 (Null) sein (das \"{0:\" in den obigen Beispielen). Weitere Beispiele finden Sie in der Template-Sprache und in der Python-Dokumentation. Sie können das führende \"{0:\" und das abschließende \"}\" weglassen, wenn das Template nur ein Format enthält. Gibt die leere Zeichenkette zurück, wenn die Formatierung fehlschlägt."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37937,7 +38012,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, start_index, end_index, separator) -- interpretiert den Wert als eine Liste von Elementen, getrennt durch ein `separator` (Trennzeichen). Gibt eine neue Liste, erstellt aus dem `start_index` zum `end_index` Element aus. Das erste Element hat die Zahl Null. Wenn eine Index negativ ist, dann zählt er vom Ende der Liste. Im Sonderfall, wenn end_index  Null ist, wird es als Länge der Liste angenommen. Beispielsweise verwenden wir ein Basis-Template Modus und nehmen an, dass die Schlagwörter-Spalte (die durch Kommata getrennt ist)  \"A, B, C\": {tags:sublist(0,1,\\\\,)} gibt \"A\". {tags:sublist(-1,0,\\\\,)} gibt \"C\". {tags:sublist(0,-1,\\\\,)} gibt \"A, B\" aus."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37954,7 +38029,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(Wert, Startindex, Endindex) -- Diese Funktion wird zum Aufteilen von Elementelisten, wie z. B. Genres verwendet. Sie interpretiert den `Wert` als eine kommagetrennte Liste von Elementen, wobei jedes Element eine punktgetrennte Liste darstellt. Es wird eine neue Liste zurückgegeben, die dadurch erstellt wird, dass zuerst alle punktgetrennten Elemente gesucht, für jedes so gefundene Element dessen Bestandteile von `Startindex` bis `Endindex` extrahiert, und dann die Ergebnisse wieder zusammengesetzt werden. Der erste Bestandteil einer punktgetrennten Liste besitzt die Indexnummer null. Falls ein Index negativ ist, wird vom Ende der Liste her gezählt. Einen Sonderfall stellt ein `Endindex` von null dar; dieser wird als die Länge der Liste interpretiert. Beispiele bei Verwenden des einfachen Vorlagemodus und unter der Annahme eines \"#genre\"-Werts von \"A.B.C\": {#genre:subitems(0,1)} gibt \"A\" zurück. {#genre:subitems(0,2)} gibt \"A.B\" zurück. {#genre:subitems(1,0)} gibt \"B.C\" zurück. Unter Annahme eines \"#genre\"-Werts von \"A.B.C, D.E.F\": {#genre:subitems(0,1)} gibt \"A, D\" zurück. {#genre:subitems(0,2)} gibt \"A.B, D.E\" zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37977,23 +38052,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(Wert, Formatzeichenkette) - formatiert den `Wert`, der ein Datum sein muss, entsprechend der `Formatzeichenkette`. Die Formatierungscodes lauten: d: der Tag als Zahl ohne führende Null (1 bis 31). dd: der Tag als Zahl mit führender Null (01 bis 31). ddd: der abgekürzte, lokalisierte Wochentagsname (z. B. \"Mon\" bis \"Son\"). dddd: der volle, lokalisierte Wochentagsname (z. B.: \"Montag\" bis \"Sonntag\"). M: der Monat als Zahl ohne führende Null (1 bis 12). MM: der Monat als Zahl mit führender Null (01 bis 12). MMM: der abgekürzte, lokalisierte Monatsname (z. B. \"Jan\" bis \"Dez\"). MMMM: der volle, lokalisierte Monatsname (z. B. \"Januar\" bis \"Dezember\"). yy: das Jahr als zweistellige Zahl (00 bis 99). yyyy: das Jahr als vierstellige Zahl. h: die Stunden ohne eine führende Null (0 bis 11 bzw. 0 bis 23, abhängig von am/pm). hh: die Stunden mit einer führenden Null (00 bis 12 bzw. 00 bis 23, abhängig von am/pm). m: die Minuten ohne eine führende Null (0 bis 59). mm: die Minuten mit einer führenden Null (00 bis 59). s: die Sekunden ohne eine führende Null (0 bis 59). ss: die Sekunden mit einer führenden Null (00 bis 59). ap: Verwendung einer 12-Stunden-Uhr anstatt einer 24-Stunden-Uhr, wobei \"ap\" durch die lokalisierte Zeichenkette für \"am\" oder \"pm\" ersetzt wird. AP: Verwendung einer 12-Stunden-Uhr anstatt einer 24-Stunden-Uhr, wobei \"AP\" durch die lokalisierte Zeichenkette für \"AM\" oder \"PM\" ersetzt wird. iso: das Datum mit Uhrzeit und Zeitzone. Muss das einzige angegebene Format sein."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(Wert) -- gibt `Wert` in Großbuchstaben zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(Wert) -- gibt `Wert` in Kleinbuchstaben zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(Wert) -- gibt `Wert` in Überschriftenschreibweise zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(Wert) -- gibt `Wert` mit großen Anfangsbuchstaben zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38002,7 +38077,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- gibt den Wert des Größenfeldes zurück. Diese Funktion funktioniert nur in der grafischen Benutzeroberfläche. Falls Sie diesen Wert in den Vorlagen für \"Exportieren\" oder \"Auf Gerät übertragen\" verwenden wollen, müssen eine benutzerdefinierte Spalte des Typs \"Aus anderen Spalten aufgebaute Spalte\" erstellen, die Funktion in der Vorlage jener Spalte verwenden, und den Wert jener Spalte in Ihren Vorlagen für \"Speichern\" und \"Senden\" verwenden."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38011,55 +38086,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- gibt \"Yes\" zurück, falls \"ondevice\" gesetzt ist, andernfalls wird eine leere Zeichenkette zurückgegeben. Diese Funktion funktioniert nur in der grafischen Benutzeroberfläche. Falls Sie diesen Wert in den Vorlagen für \"Exportieren\" oder \"Auf Gerät übertragen\" verwenden wollen, müssen eine benutzerdefinierte Spalte des Typs \"Aus anderen Spalten aufgebaute Spalte\" erstellen, die Funktion in der Vorlage jener Spalte verwenden, und den Wert jener Spalte in Ihren Vorlagen für \"Speichern\" und \"Senden\" verwenden."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- gibt den Seriensortierungswert zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- gibt \"Yes\" zurück, falls das Buch ein Titelbild besitzt, andernfalls wird eine leere Zeichenkette zurückgegeben."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(Wert, Wert, …) -- gibt den ersten nicht leeren `Wert` zurück. Falls alle Werte leer sind, wird ein leerer Wert zurückgegeben. Sie können so viele Werte wie gewünscht angeben."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(Wert, Wert, …) -- gibt die Zeichenkette \"1\" zurück, falls alle `Werte` nicht leer sind, andernfalls wird eine leere Zeichenkette zurückgegeben. Diese Funktion arbeitet gut mit den Funktionen \"test\" oder \"first_non_empty\" zusammen. Sie können so viele Werte wie gewünscht angeben."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(Wert, Wert, …) -- gibt die Zeichenkette \"1\" zurück, falls mindestens ein `Wert` nicht leer ist, andernfalls wird eine leere Zeichenkette zurückgegeben. Diese Funktion arbeitet gut mit den Funktionen \"test\" oder \"first_non_empty\" zusammen. Sie können so viele Werte wie gewünscht angeben."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(Wert) -- gibt die Zeichenkette \"1\" zurück, falls der `Wert` leer ist, andernfalls wird eine leere Zeichenkette zurückgegeben. Diese Funktion arbeitet gut mit den Funktionen \"test\" oder \"first_non_empty\" zusammen."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38068,7 +38143,7 @@ msgid ""
 " list."
 msgstr "list_union(Liste1, Liste2, Trennzeichen) -- gibt eine Liste zurück, die durch Zusammenführen der Elemente aus `Liste1` und `Liste2` erstellt wird, wobei Elementduplikate durch einen von Groß-/Kleinschreibung unabhängigen Vergleich entfernt werden. Falls sich Elemente in der Groß-/Kleinschreibung unterscheiden, wird das Element aus `Liste1` verwendet. Die Elemente in `Liste1` und `Liste2` werden durch `Trennzeichen` voneinander getrennt, ebenso wie die Elemente der zurückgegebenen Liste."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38076,7 +38151,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(Liste1, Liste2, Trennzeichen) -- gibt eine Liste zurück, die durch Entfernen jedes Elements von `Liste1`, das in `Liste2` gefunden wird, unter Verwendung eines von Groß-/Kleinschreibung unabhängigen Vergleichs erstellt wird. Die Elemente in `Liste1` und `Liste2` werden durch `Trennzeichen` voneinander getrennt, ebenso wie die Elemente der zurückgegebenen Liste."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38084,7 +38159,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(Liste1, Liste2, Trennzeichen) -- gibt eine Liste zurück, die durch Entfernen jedes Elements von `Liste1`, das in `Liste2` nicht gefunden wird, unter Verwendung eines von Groß-/Kleinschreibung unabhängigen Vergleichs erstellt wird. Die Elemente in `Liste1` und `Liste2` werden durch `Trennzeichen` voneinander getrennt, ebenso wie die Elemente der zurückgegebenen Liste."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38092,7 +38167,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(Liste, Richtung, Trennzeichen) -- gibt `Liste` in ohne Berücksichtigung von Groß-/Kleinschreibung sortierter Form zurück. Falls `Richtung` null ist, wird die `Liste` aufsteigend sortiert, andernfalls absteigend. Die Listenelemente werden durch `Trennzeichen` voneinander getrennt, ebenso wie die Elemente der zurückgegebenen Liste."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38101,7 +38176,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(Liste1, Trennzeichen1, Liste2, Trennzeichen2, ja_Wert, nein_Wert) -- gibt `ja_Wert` zurück, falls `Liste1` und `Liste2` die gleichen Elemente enthalten, andernfalls wird `nein_Wert` zurückgegeben. Die Elemente werden durch Aufteilen jeder Liste unter Verwendung des entsprechenden Trennzeichens (`Trennzeichen1` oder `Trennzeichen2`) bestimmt. Die Reihenfolge der Elemente in den Listen ist dabei irrelevant. Der Vergleich ignoriert die Groß-/Kleinschreibung."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38110,7 +38185,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(Quellliste, Trennzeichen, einschließen_RegExp, optional_ersetzen) -- Erstellt eine Liste, indem zuerst `Quellliste` in einzelnen Elemente unter Verwendung des `Trennzeichens` voneinander getrennt wird. Für jedes Element in der Liste wird überprüft, ob es dem regulären Ausdruck `einschließen_RegExp` entspricht. Falls es dies tut, wird es zur zurückzugebenden Liste hinzugefügt. Falls `optional_ersetzen` keine leere Zeichenkette ist, wird das Ersetzen durchgeführt, bevor das Element zur zurückgegebenen Liste hinzugefügt wird."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38118,14 +38193,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(Quellliste, Trennzeichen, einschließen_RegExp, suchen_RegExp, Gruppe1_Vorlage, …) -- Wie die Funktion \"list_re\", nur sind hier Ersetzungen nicht optional. Die Funktion verwendet \"re_group(Listenelement, suchen_RegExp, Gruppe1_Vorlage, …)\" beim Ersetzen auf der resultierenden Liste."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- gibt eine Datumszeichenkette für den aktuellen Tag zurück. Dieser Wert ist für den Einsatz in den Funktionen \"format_date\" oder \"days_between\" gedacht, kann aber wie jede andere Zeichenkette verändert werden. Das Datum entspricht dem ISO-Format."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38133,7 +38208,7 @@ msgid ""
 "empty string."
 msgstr "days_between(Datum1, Datum2) -- gibt die Anzahl der Tage zwischen `Datum1` und `Datum2` zurück. Die Zahl ist positiv, falls `Datum1` größer als `Datum2` ist, andernfalls negativ. Falls `Datum1` und/oder `Datum2` keine Kalenderdaten sind, wird eine leere Zeichenkette zurückgegeben."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38141,28 +38216,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(Sprachcodes, lokalisieren) -- gibt die Zeichenketten für die in `Sprachcodes` übergebenen Sprachcodes zurück. Falls `lokalisieren` gleich null ist, werden die Zeichenketten in Englisch zurückgegeben. Falls `lokalisieren` ungleich null ist, werden die Zeichenketten in der  Sprache das aktuellen Gebietsschemas zurückgegeben. `Sprachcodes` ist eine kommagetrennte Liste."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(Sprachzeichenketten) -- gibt die Sprachcodes für die in `Sprachzeichenketten` übergebenen Zeichenketten zurück. Die Zeichenketten müssen der Sprache des aktuellen Gebietsschemas entsprechen. `Sprachzeichenketten` ist eine kommagetrennte Liste."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- gibt den letzten Namen im Pfad zur aktuellen Calibre-Bibliothek zurück. Diese Funktion kann im Vorlageprogrammmodus durch Verwendung der Vorlage \"{:'current_library_name()'}\" aufgerufen werden."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- gibt den Pfad zur aktuellen Calibe-Bibliothek zurück. Diese Funktion kann im Vorlageprogrammmodus durch Verwendung der Vorlage \"{:'current_library_path()'}\" aufgerufen werden."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38171,7 +38246,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(Wert, Format, Präfix, Suffix) -- wendet das `Format`, den `Präfix` und den `Suffix` auf einen `Wert` in der gleichen Weise an, wie in einer Vorlage wie `{series_index:05.2f| - |- }`. Beispielsweise bewirkt das folgende Programm die gleiche Ausgabe, wie die obige Vorlage: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38180,7 +38255,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38189,7 +38264,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- gibt eine kommagetrennte Liste der Benutzerkategorien zurück, die dieses Buch enthalten. Diese Funktion funktioniert nur in der grafischen Benutzeroberfläche. Falls Sie diesen Wert in den Vorlagen für \"Exportieren\" oder \"Auf Gerät übertragen\" verwenden wollen, müssen eine benutzerdefinierte Spalte des Typs \"Aus anderen Spalten aufgebaute Spalte\" erstellen, die Funktion in der Vorlage jener Spalte verwenden, und den Wert jener Spalte in Ihren Vorlagen für \"Speichern\" und \"Senden\" verwenden."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38197,7 +38272,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- gibt eine Zeichenkette in einem lateinischen Alphabet zurück, gebildet durch Annähern des Klangs der Wörter in der Quellzeichenkette `a`. Falls beispielsweise die Quelle \"{0}\" ist, gibt die Funktion \"{1}\" zurück."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38209,7 +38284,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(Wertetrennzeichen, Paartrennzeichen) -- gibt eine Zeichenkette zurück, die eine Liste von Autoren und den Verweiswerten der entsprechenden Autoren enthält, und zwar in der Form \"Autor1 `Wertetrennzeichen` Autor1Verweis `Paartrennzeichen` Autor2 `Wertetrennzeichen` Autor2Verweis …\". Ein Autor wird von dessen Verweiswert durch die `Wertetrennzeichen`-Zeichenkette ohne zusätzlichen Leerzeichen getrennt. Autor:Verweiswert-Paare werden durch die `Paartrennzeichen`-Zeichenkette ohne zusätzlichen Leerzeichen getrennt. Es liegt an Ihnen, Trennzeichen-Zeichenketten auszuwählen, die weder in Autorennamen, noch in Verweisen vorkommen. Ein Autor ist auch dann enthalten, falls der Autorenverweis leer ist."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38220,7 +38295,7 @@ msgid ""
 "string"
 msgstr "author_sorts(Wertetrennzeichen) -- gibt eine Zeichenkette zurück, die eine Liste von Autorensortierungswerten für die Autoren des Buchs enthält. Die Sortierung ist jene in den Autormetadaten (unterscheidet sich von der Autorensortierung in Büchern). Die zurückgegebene Liste besitzt die Form \"Autorensortierung1 `Wertetrennzeichen` Autorensortierung2 …\" Die Autorensortierungswerte in dieser Liste besitzen die gleiche Reihenfolge wie die Autoren des Buches. Falls Sie Leerzeichen um das `Wertetrennzeichen` herum wollen, so schließen Sie diese in die Trennzeichen-Zeichenkette mit ein."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38228,13 +38303,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38242,7 +38317,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38255,11 +38330,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38267,11 +38342,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38280,7 +38355,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38291,7 +38366,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38301,6 +38376,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Unbenanntes Bild"
@@ -38589,29 +38670,29 @@ msgstr "Ohne Speichern schließen"
 msgid "Close Tab"
 msgstr "Tab schließen"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Zusätzliche Zeichen am Ende der Suche"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "fehlende )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Abfrageanalyse fehlgeschlagen, Rekursionsgrenze erreicht: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Rekursive gespeicherte Suche: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Unbekannte gespeicherte Suche: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Unbekannter Fehler in der gespeicherten Suche: {0}"
@@ -38974,185 +39055,185 @@ msgstr "Jeder Verweis, der durch diesen
 msgid "Do not download CSS stylesheets."
 msgstr "CSS-Stylesheets nicht herunterladen."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Alle speichern"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Öffnen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Ja"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ja zu &allen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nein"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&ein zu allen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Abbrechen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Nochmal versuchen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Schließen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Anwenden"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Zurücksetzen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Standardeinstellungen wiederherstellen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "&Farbt.:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sätt.:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Hell.:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Rot:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Grün:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Bla&u:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lphakanal:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Zeiger auf %1, %2\nDrücken Sie ESC zum Abbrechen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Farbe wählen:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Grundfarben"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Benutzerdefinierte Farben"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "Zu benutzerdefinierten F&arben hinzufügen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Bildschirmfarbe auswählen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Schriftart auswählen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Schriftart"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Schriftst&il"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Größe"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Effekte"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Durchgestrichen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Beispiel"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Unicode-Unterbereich"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Linker Rand"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Rechter Rand"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Seite links"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Seite oben"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Seite unten"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Seite rechts"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Nach links scrollen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Nach oben scrollen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Nach unten scrollen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Nach rechts scrollen"
 
@@ -39432,8 +39513,8 @@ msgstr "Umbenennungsregeln für SONY-Sam
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39481,7 +39562,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Festlegen von Umbenennungsregeln für Sony-Sammlungen. Diese Optimierung ist nur anwendbar, wenn die Metadatenverwaltung auf \"automatisch\" eingestellt ist. Sammlungen auf Sony-Geräten werden abhängig davon benannt, ob das Feld standard- oder benutzerdefiniert ist. Eine aus einem Standardfeld abgeleitete Sammlung wird nach dem Wert in diesem Feld benannt. Falls beispielsweise die Standardspalte \"series\" (Serie) den Wert \"Darkover\" enthält, so wird die Sammlung \"Darkover\" benannt. Eine aus einem benutzerdefinierten Feld abgeleitete Sammlung fügt den Namen zum Wert hinzu. Falls beispielsweise eine benutzerdefinierte Serienspalte namens \"Meine Serie\" den Namen \"Darkover\" enthält, so wird die Sammlung standardmäßig \"Darkover (Meine Serie)\" benannt. Für die Zwecke dieser Dokumentation wird \"Darkover\" als der Wert bezeichnet und \"Meine Serie\" als die Kategorie. Falls zwei Bücher Felder besitzen, die den gleichen Sammlungsnamen erzeugen, so werden beide Bücher dieser Sammlung zugeordnet.\n\nMit den nachfolgenden Optimierungen können Sie für ein standard- oder ein benutzerdefiniertes Feld angeben, wie die Sammlungen benannt werden sollen. Sie können sie dazu verwenden, Beschreibungen zu einem Standardfeld hinzufügen, zum Beispiel \"Foo (Tag)\" anstelle von \"Foo\".\n\nWeiterhin können Sie die Zuordnung mehrere Felder in dieselbe Sammlung erzwingen. Zum Beispiel könnten Sie die Werte von \"series\", \"#my_series_1\" und \"#my_series_2\" dazu zwingen, in Sammlungen namens \"some_value (Series)\" zu erscheinen, und dadurch alle diese Felder in einem einzigen Sammlungssatz zusammenzufassen.\n\nEs existieren zwei verwandte Optimierungen. Die erste bestimmt den zu verwendenden Kategorienamen für ein Metadatenfeld. Die zweite ist eine Vorlage, die bestimmt, wie der Wert und die Kategorie zum Erstellen des Sammlungsnamens kombiniert werden.\n\nDie Syntax der ersten Optimierung, \"sony_collection_renaming_rules\", lautet:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\n\nDie zweite Optimierung, \"sony_collection_name_template\", ist eine Vorlage.\nSie verwendet die gleiche Vorlagensprache wie die Symbolleisten- und Speichervorlagen. Diese Optimierung legt fest, wie der Wert und die Kategorie zum Erstellen des Sammlungsnamens kombiniert werden.\n\nDie einzig verfügbaren Felder sind \"{category}\" und \"{value}\".\nDas Feld \"{value}\" ist niemals leer. Das Feld \"{category}\" kann leer sein.\nStandardmäßig wird der Wert vorangestellt, danach folgt die Kategorie in Klammern, sie ist nicht leer:\n\n\"{value} {category:|(|)}\"\n\nBeispiele: Die ersten drei Beispiele gehen davon aus, dass die zweite Optimierung nicht verändert wurde.\n\n1: Ich möchte drei Serienspalten in einem einzigen Sammlungssatz zusammenfassen. Die Spaltennachschlagenamen sind \"series\", \"#series_1\" und \"#series_2\". Ich möchte nichts in der Klammer. Der in der Optimierung zu verwendende Wert wäre:\n\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n\n2: Ich möchte, dass das Wort \"(Series)\" in aus Serien erstellten Sammlungen, und das Wort \"(Tag)\" in aus Schlagwörtern erstellten Serien erscheint. Anwendung:\n\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n\n3: Ich will \"series\" und \"#myseries\" zusammenführen und an den Sammlungsnamen \"(Series)\" anhängen. Die Umbenennungsregel lautet:\n\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n\n4: Wie in Beispiel 2, aber anstatt den Kategorienamen in Klammern an den Wert anzuhängen, will ich ihn voranstellen und durch einen Doppelpunkt trennen, wie in \"Series: Darkover\". Ich muss dafür die zum Formatieren des Kategorienamens verwendete Vorlage ändern. Die sich ergebenden beiden Optimierungen lauten:\n\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39489,7 +39570,7 @@ msgstr "Sortierregeln für SONY-Sammlung
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39504,7 +39585,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Festlegen, wie Sony-Sammlungen sortiert werden. Diese Optimierung kann nur angewandt werden,\nwenn das Metadatenmanagement auf \"automatisch\" gesetzt ist. Sie können angeben, welche\nMetadaten zur Sortierung auf Sammlungs-zu-Sammlungs-Basis verwendet werden sollen.\nDas Format der Optimierung ist eine Liste von Metadatenfeldern aus denen Sammlungen erstellt werden,\ngefolgt vom Namen des Metadatenfeldes, das den Sortierwert enthält.\nBeispiel:  Die folgenden Angaben führen dazu, dass Sammlungen anhand des Erscheinungsdatums und\nSchlagwörtern erstellt werden, die nach dem Wert in der benutzerdefinierten Spalte  \"#mydate\" sortiert werden, dass aus \"series\" erstellte Sammlungen nach 'series_index' sortiert werden, und dass alle anderen Sammlungen nach Titel sortiert werden.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nBeachten Sie, dass die runden und eckigen Klammern erforderlich sind. Syntax ist\n[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\nStandard: empty (keine Regeln), also keine Sammlungsattribute sind benannt."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/el.po 5.10.0+dfsg-1/translations/calibre/el.po
--- 5.9.0+dfsg-3/translations/calibre/el.po	2021-01-06 15:29:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/el.po	2021-01-20 15:27:05.000000000 +0000
@@ -25,8 +25,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -105,15 +105,15 @@ msgstr "Δεν κάνει απολύτω
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -134,7 +134,7 @@ msgstr "Δεν κάνει απολύτω
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -234,16 +234,16 @@ msgstr "Δεν κάνει απολύτω
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -269,7 +269,7 @@ msgstr "Δεν κάνει απολύτω
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -301,7 +301,7 @@ msgstr "Δεν κάνει απολύτω
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -320,7 +320,7 @@ msgstr "Δεν κάνει απολύτω
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -344,27 +344,27 @@ msgstr "Προσαρμογή"
 msgid "Cannot configure"
 msgstr "Αδύνατη η ρύθμιση"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Τύπος αρχείου"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Αναγνώστης μεταδεδομένων"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Εγγραφέας μεταδεδομένων"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Δημιουργία καταλόγου"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Ενέργεια διεπαφής χρήστη"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -376,20 +376,20 @@ msgstr "Ενέργεια διεπαφή
 msgid "Preferences"
 msgstr "Προτιμήσεις"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Κατάστημα"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Ένα κατάστημα ηλεκτρονικών βιβλίων."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Εργαλείο επεξεργασίας βιβλίου"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Βιβλιοθήκη κλειστή"
 
@@ -411,372 +411,372 @@ msgstr "Δημιουργία αρχεί
 msgid "Extract cover from comic files"
 msgstr "Εξαγωγή εξωφύλλου από αρχεία κόμικς"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Ανάγνωση μεταδεδομένων από αρχεία %s "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Ανάγνωση μεταδεδομένων ηλεκτρονικών βιβλίων μέσα από συμπιεσμένα αρχεία μορφής RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Ανάγνωση μεταδεδομένων ηλεκτρονικών βιβλίων μέσα από συμπιεσμένα αρχεία μορφής ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Καθορισμός μεταδεδομένων σε αρχεία %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Εισάγετε {0} παρακάτω, έτσι ώστε το πρόσθετο πρόγραμμα Συντάκτης μεταδεδομένων ΕPUB να μην προσθέτει εικόνες εξωφύλλου σε αρχεία EPUB που δεν έχουν δική τους εικόνα εξωφύλλου."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Καθορισμός μεταδεδομένων από αρχεία %s "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Προσθήκη βιβλίων στο calibre ή τη συνδεδεμένη συσκευή"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Προσκόμιση σχολίων από ένα συνδεμένο kindle (πειραματικό)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Δημιουργία καταλόγου των βιβλίων στην βιβλιοθήκη σας"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Μετατροπή βιβλίων σε διάφορες μορφές e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Τελειοποιείστε τα ηλεκτρονικά βιβλία σας"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Διόρθωση Πίνακα Περιεχομένων στα βιβλία σας"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Διαγραφή βιβλίων από τη βιβλιοθήκη του calibre ή της συνδεδεμένης συσκευής"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Ενσωμάτωσε ενημερωμένα μεταδεδομένα στα πραγματικά αρχεία βιβλίων της βιβλιοθήκης σου."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Επεξεργασία των μεταδεδομένων των βιβλίων της βιβλιοθήκης σας"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Διάβασε βιβλία από την βιβλιοθήκη σου"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Κατεβάστε ειδήσεις από το διαδίκτυο σε μορφή e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Γρήγορη εμφάνιση συναφών βιβλίων"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Φιλτράρετε/μετασχηματίστε τις ετικέτες για βιβλία της βιβλιοθήκης"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Εμφάνιση επεξεργαστή για δοκιμή προτύπων"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Εξαγωγή βιβλίων από τη βιβλιοθήκη σας στον σκληρό δίσκο"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Προβολή λεπτομερειών βιβλίων σε ξεχωριστό αναδυόμενο παράθυρο "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Επανεκκίνηση calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Άνοιξε τον φάκελο που περιέχει τα αρχεία των βιβλίων στη βιβλιοθήκη σου"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Αποστολή βιβλίων στη συνδεδεμένη συσκευή"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Αποστολή βιβλίων μέσω ηλεκτρονικής αλληλογραφίας ή  διαδικτύου, και σύνδεση με το iTunes ή τους φακέλους του υπολογιστή σας σαν να είναι συσκευές"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Περιήγηση του εγχειριδίου χρήστη"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Προσαρμογή του calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Εύκολος εντοπισμός βιβλίων παρόμοιων με το επιλεγμένο"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Άλλαξε μεταξύ διαφορετικών βιβλιοθηκών και εκτέλεσε συντήρηση σε αυτές"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Αντιγραφή βιβλίων από τη συσκευή στη βιβλιοθήκη calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Επεξεργασία συλλογών βιβλίων που είναι τοποθετημένα στην προσωπική σας συσκευή."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Ταίριασμα βιβλίου από συσκευές σε βιβλίο στη βιβλιοθήκη"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Αντιγραφή ενός βιβλίου από τη βιβλιοθήκη του Calibre σε άλλη"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Επεξεργασία βιβλίων σε μορφή EPUB ή AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Δημιουργία μικρών αλλαγών σε αρχεία EPUB ή HTMLZ στην βιβλιοθήκη"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Βρες το επόμενο ή το προηγούμενο ταίριασμα κατά την αναζήτηση στην βιβλιοθήκη του calibre σε λειτουργία επισήμανσης"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Επιλογή ενός τυχαίου βιβλίου από τη βιβλιοθήκη του calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Ταξινόμηση λίστας βιβλίων"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Προσωρινή σήμανση βιβλίων"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Αλλαγή της τρέχουσας Εικονικής βιβλιοθήκης"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Αναζήτηση για βιβλία διαφορετικών εκδοτών"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Κατεβάστε νέα πρόσθετα για το calibre ή ενημερώστε τα υπάρχοντα"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Όψη & αίσθηση"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Διεπαφή"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Ρυθμίστε την εμφάνιση του περιβάλλοντος εργασίας\ncalibre έτσι ώστε να ταιριάζει στις προτιμήσεις σας"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Συμπεριφορά"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Ρυθμίστε τη συμπεριφορά του calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Πρόσθεσε δικές σου στήλες"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Προσθαφαίρεση στηλών στον κατάλογο βιβλίων του calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Εργαλειοθήκες και μενού"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Παραμετροποίηση της εργαλειοθήκης και των μενού περιεχομένων, αλλάζοντας τις ενέργειες που είναι διαθέσιμες σε κάθε ένα"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Αναζήτηση"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Προσαρμογή του τρόπου αναζήτησης βιβλίων στο calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Επιλογές εισαγωγής"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Μετατροπή"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Ορισμός ρυθμίσεων μετατροπής συγκεκριμένα για κάθε μορφή εισόδου"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Κοινές επιλογές"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Ορισμός ρυθμίσεων μετατροπής κοινών για όλα τα είδη"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Επιλογές εξαγωγής"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Ορισμός ρυθμίσεων μετατροπής συγκεκριμένα για κάθε μορφή εξόδου"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Προσθήκη βιβλίων"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Εισαγωγή/Εξαγωγή"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Ελέγχει πως το calibre διαβάζει τα μεταδεδομένα\nαπό τα αρχεία όταν προστίθενται βιβλία"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Αποθήκευση βιβλίων στο δίσκο"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Έλεγχος του τρόπου με τον οποίο το calibre εξάγει τα αρχεία απο τη βάση δεδομένων του στο δίσκο όταν χρησιμοποιείται το Αποθήκευση στο δίσκο"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Αποστολή βιβλίων σε συσκευές"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Καθορίστε με ποιο τρόπο το calibre μεταφέρει\nαρχεία στον αναγνώστη ψηφιακών βιβλίων σας"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Πίνακας διασύνδεσης μεταδεδομένων"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Αλλαγή των πεδίων των μεταδεδομένων πριν από αποθήκευση / αποστολή"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -786,92 +786,92 @@ msgstr "Αλλαγή των πεδίων
 msgid "Template functions"
 msgstr "Συναρτήσεις προτύπων "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Για προχωρημένους"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Δημιουργήστε δικές σας συναρτήσεις προτύπων "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Διαμοιρασμός με αλληλογραφία"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Διαμοιρασμός"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Ρύθμιση διαμοιρασμού βιβλίων μέσω ηλεκτρονικού ταχυδρομείου. Μπορεί να χρησιμοποιηθεί για αυτόματη αποστολή κατεβασμένων νέων στις συσκευές σας."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Διαδικτυακός διαμοιρασμός"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Ρυθμίστε τον διακομιστή περιεχομένου του calibre, ο οποίος θα σας δώσει πρόσβαση στη βιβλιοθήκη calibre σας από οπουδήποτε, σε οποιαδήποτε συσκευή, διαδικτυακά"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Μεταφόρτωση μεταδεδομένων"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Καθορίστε με ποιο τρόπο το calibre θα κατεβάσει τα μεταδεδομένα των ηλεκτρονικών βιβλίων από το δίκτυο"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Αγνοημένες συσκευές "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Ρυθμίστε ποιές συσκευές θα αγνοεί το calibre όταν συνδεθούν στον υπολογιστή."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Πρόσθετα"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Προσθέστε/αφαιρέστε/παραμετροποιήστε διάφορα μέρη της λειτουργικότητας του calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Μικρορυθμίσεις"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Ρυθμίστε τη συμπεριφορά του calibre σε διαφορετικά περιβάλλοντα"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Συντομεύσεις"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Ρυθμίστε τις συντομεύσεις πληκτρολογίου που χρησιμοποιούνται από το calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -879,7 +879,7 @@ msgstr "Ρυθμίστε τις συντ
 msgid "Miscellaneous"
 msgstr "Υπολειπόμενα"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Προχωρημένες ρυθμίσεις διαφόρων παραμέτρων"
 
@@ -1269,9 +1269,9 @@ msgstr "Άδειασμα της βάση
 msgid "Restoring database from SQL"
 msgstr "Επαναφορά της βάσης δεδομένων από SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1297,17 +1297,17 @@ msgstr "Αποθηκευμένες Αν
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ναι"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Εξώφυλλο για %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "μορφή {0} του {1}"
@@ -1693,14 +1693,14 @@ msgstr "Η επιλογή αυτή θα
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1708,7 +1708,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1716,39 +1716,39 @@ msgid ""
 "Default: {1}"
 msgstr "Το πεδίο βάσει του οποίου θα ταξινομούνται τα αποτελέσματα.\nΔιαθέσιμα πεδία: {0}\nΠροεπιλεχθέν: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Ταξινόμηση αποτελεσμάτων κατά αύξουσα σειρά"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Η συμβολοσειρά που χρησιμοποιείται για να διαχωρίζει τα πεδία. Προεπιλέχθηκε ο χαρακτήρας διαστήματος."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Ο μέγιστος αριθμός αποτελεσμάτων προς παρουσίαση. Εξ ορισμού: όλα"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2295,21 +2295,21 @@ msgstr "κενό"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Άκυρη δυαδική ερώτηση \"{0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Η αναζήτηση στην εικονική βιβλιοθήκη είναι αναδρομική: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3485,11 +3485,11 @@ msgstr "Απομάκρυνση %s"
 msgid "All books removed"
 msgstr "Απομάκρυνση όλων των βιβλίων"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Ανώνυμη συσκευή"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3498,12 +3498,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Άγνωστη συσκευή MTP"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6058,7 +6058,7 @@ msgstr "Σημειώσεις"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6351,7 +6351,7 @@ msgid "Producer"
 msgstr "Παραγωγός"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6359,7 +6359,7 @@ msgid "Comments"
 msgstr "Σχόλια"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6399,7 +6399,7 @@ msgid "Tags"
 msgstr "Ετικέτες"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6429,7 +6429,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8159,13 +8159,13 @@ msgstr "Ενημέρωση EPUB από 
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} από <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8198,31 +8198,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "Πλευρική μπάρα"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Ολοκλήρωση μετασχηματισμού επισήμανσης"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Προσθήκη συνδέσμων στο περιεχόμενο PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Ενημέρωση μεταδεδομένων στο PDF"
 
@@ -9191,7 +9191,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10200,7 +10200,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Βοήθεια"
 
@@ -11459,7 +11459,7 @@ msgid "Errors while adding"
 msgstr "Σφάλματα κατά την προσθήκη"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Παράβλεψη"
 
@@ -11589,8 +11589,8 @@ msgstr "Αλλαγή"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11724,11 +11724,11 @@ msgid "Search the internet for this book
 msgstr "Διαδικτυακή αναζήτηση για το βιβλίο αυτό"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Διαχείριση %s"
@@ -11871,7 +11871,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12198,7 +12198,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Πρέπει να δώσετε ένα όνομα."
 
@@ -12275,7 +12275,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Αποθήκευση"
 
@@ -12284,10 +12284,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Διαγραφή"
@@ -12400,8 +12400,8 @@ msgstr "Επαναφορά προεπι
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13587,7 +13587,7 @@ msgid "Ta&gs:"
 msgstr "Ετ&ικέτες:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13602,8 +13602,8 @@ msgstr "Σει&ρές:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Κατάλογος γνωστών σειρών. Μπορείτε να προσθέσετε νέες σειρές."
@@ -14470,7 +14470,7 @@ msgid "Choose color"
 msgstr "Επιλογή χρώματος"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14811,19 +14811,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "Ε&ξαγωγή"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Εξαγωγή αυτών των κανόνων σε αρχείο"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14897,8 +14897,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14979,7 +14979,7 @@ msgid ""
 msgstr "Οι σειρές κανονικά συνεχίζουν την αρίθμηση ξεκινώντας με τον μεγαλύτερο αριθμοδείκτη που υπάρχει στη βάση δεδομένων για τη σειρά αυτή. Επιλέγοντας το κουτί αυτό, μπορείτε να κάνετε το calibre να ξεκινήσει την αρίθμηση από την τιμή που εισάγετε στο κουτί"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16559,7 +16559,7 @@ msgid "Change case"
 msgstr "Εναλλαγή Κεφαλαία-Μικρά"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16567,7 +16567,7 @@ msgid "Upper case"
 msgstr "Κεφαλαία"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16575,7 +16575,7 @@ msgid "Lower case"
 msgstr "Πεζά"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16583,7 +16583,7 @@ msgid "Swap case"
 msgstr "Ανταλλαγή πεζών-κεφαλαίων"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16617,7 +16617,7 @@ msgid "Manage authors"
 msgstr "Διαχείριση συγγραφέων"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Αναζήτηση για:"
@@ -17038,78 +17038,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Σε εργασία"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Επεξεργασία %d βιβλίων, παρακαλώ περιμένετε..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Βήμα %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Πεζά"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Κεφαλαία"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Γράμματα τίτλου"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Ταύτιση χαρακτήρων"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Κανονική έκφραση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Αντικατάσταση πεδίου"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Προσθήκη στην αρχή του πεδίου"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Προσθήκη στο τέλος του πεδίου"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Άμεση εφαρμογή όλων των αλλαγών χωρίς το κλείσιμο του διαλόγου. Η ενέργεια αυτή δεν μπορεί να ακυρωθεί ή να αναιρεθεί"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Βιβλίο %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Εισάγετε τύπο αναγνωριστικού"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17117,7 +17117,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Μπορείτε να καταστρέψετε τη βιβλιοθήκη σας χρησιμοποιώντας αυτό το χαρακτηριστικό.</b> Οι αλλαγές είναι οριστικές. Δεν υπάρχει δυνατότητα αναίρεσης. Σας ενθαρρύνουμε σφόδρα να δημιουργήσετε αντίγραφο ασφαλείας της βιβλιοθήκης σας πριν προχωρήσετε.<p>Αναζητήστε και αντικαταστήστε σε πεδία κειμένου χρησιμοποιώντας ταύτιση χαρακτήρων ή κανονικές εκφράσεις. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17127,7 +17127,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17142,80 +17142,89 @@ msgid ""
 "function."
 msgstr "Σε κατάσταση κανονικής έκφρασης, το προς αναζήτηση κείμενο είναι μια τυχαία, συμβατή με Python, κανονική έκφραση. Το κείμενο αντικατάστασης μπορεί να περιέχει αναφορές σε προηγούμενες, εντός παρενθέσεων, εκφράσεις του υποδείγματος. Η αναζήτηση δεν έχει σταθερά σημεία, και μπορεί να ταυτοποιεί και να αντικαθιστά σε πολλά σημεία της ίδιας έκφρασης. Οι τροποποιητικές συναρτήσεις (πεζογράφηση κτλ) εφαρμόζονται στο ταυτοποιημένο κείμενο και όχι στο συνολικό πεδίο. Το κουτί προορισμού καθορίζει το πεδίο όπου θα τοποθετηθεί το αποτέλεσμα μετά την ταυτοποίηση και την αντικατάσταση. Μπορείτε να αντικαταστήσετε το κείμενο στο πεδίο, ή να προσθέσετε στην αρχή ή στο τέλος του ταυτοποιημένου κειμένου. Δείτε <a href=\"https://docs.python.org/library/re.html\">αυτή την αναφορά</a> για περισσότερες πληροφορίες ως προς τις κανονικές εκφράσεις της Python, και ειδικότερα τη συνάρτηση 'sub'."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Πρέπει να ορίσετε ως προορισμό ένα τύπο αναγνωριστικού"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Πρέπει να εισάγετε μια έκφραση αναζήτησης στο πεδίο ¨Αναζήτηση για\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Άκυρη συμβολοσειρά αναγνωριστικών. Πρέπει να είναι μια διαχωριζόμενη από κόμματα λίστα ζευγαριών συμβολοσειρών που διαχωρίζονται μεταξύ τους με :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Αναζήτηση/αντικατάσταση μη έγκυρη"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Η αναζήτηση/αντικατάσταση είναι άκυρη: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Διαγραφή αποθηκευμένης αναζήτησης/αντικαταστασης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Η επιλεγμένη αποθηκευμένη αναζήτηση/αντικατάσταση θα διαγραφεί. Είστε βέβαιοι;"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Αποθήκευση αναζήτησης/αντικατάστασης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Όνομα αναζήτησης/αντικατάστασης:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Αυτή η αποθηκευμένη αναζήτηση/αντικατάσταση ήδη υπάρχει και θα επικαλυφθεί. Είστε βέβαιοι;"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Επεξεργασία πληροφοριών μεταδεδομένων"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Συγγραφέας(εις)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17223,90 +17232,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Αυτό θα έχει ως επίπτωση την αυτόματη ενημέρωση του\nπεδίου ταξινομημένου συγγραφέα από τους συγγραφείς\nκάθε επιλεγμένου βιβλίου. Σημειώστε ότι αν χρησιμοποιήσετε\nτο παραπάνω πεδίο για τη μαζική εισαγωγή των συγγραφέων,\nτο πεδίο ταξινομημένων συγγραφέων ενημερώνεται ούτως ή\nάλλως, ανεξάρτητα από την επιλογή σας στο κουτί αυτό."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Αυτόματη ενημέρ&ωση ταξινομημένων συγγραφέων"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "Ανταλλαγή συγγρα&φέα και τίτλου"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Ενημέρωση του ταξινομημένου τίτλου με βάση τον τρέχοντα\nτίτλο. Αυτό θα εφαρμοστεί μόνο μετά τις υπόλοιπες αλλαγές\nστον τίτλο."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Ταξινομ&ημένος συγγραφέας:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Ενημέρωση &ταξινομημένου τίτλου"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Καθορίστε πως ο συγγραφέας (ή οι συγγραφείς) του βιβλίου\nαυτού πρέπει να ταξινομηθούν. Για παράδειγμα, ο Charles\nDickens πρέπει να ταξινομηθεί ως Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Αλλαγή &εξωφύλλου"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "Α&ξιολόγηση:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Δημιουργία προεπιλεγμένου εξωφύλλου"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "Εφαρμογή αξιολόγηση&ς"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Αφαίρεση εξωφύλλου"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "Ε&κδότης:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Προσπάθεια αυτόματου εντοπισμού και αφαίρεσης ορίων\nκαι πλεονάζοντος χώρου από τις παρυφές των εικόνων των\nεξώφυλλων. Αυτό μπορεί σε ορισμένες περιπτώσεις να\nαφαιρέσει υπερβολικά, χρησιμοποιήστε το με προσοχή."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Αν επιλεγεί, το πεδίο εκδότη θα καθαριστεί"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "Απο&ψίλωση εξωφύλλου (ΕΠΙΚΙΝΔΥΝΟ)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Κα&θαρισμός εκδότη"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Ορισμός από τα αρχεία ψηφιακών &βιβλίων"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Προσθήκη ετικετώ&ν:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Καθορισμός των εξωφύλλων όλων των επιλεγμένων βιβλίων ώστε να είναι τα ίδια\nμε αυτό του πρώτου επιλεγμένου βιβλίου."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Άνοιγμα Περιηγητή ετικετών"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Κλωνισμός εξώφυλλων"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Αφαίρεση ετικετώ&ν:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Επιβολή γραμμάτων τίτλου στον τίτλο. Αν επιπροσθέτως έχει\nεπιλεγεί και η ανταλλαγή συγγραφέα και τίτλου, ο τίτλος και ο\nσυγγραφέας ανταλλάσσονται πριν επιβληθούν τα γράμματα\nτίτλου"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Διαχωριζόμενη από κόμματα λίστα ετικετών που θα αφαιρεθούν από τα βιβλία."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Αλλαγή &γραμμάτων τίτλου σε:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Επιλέξτε το κουμπί αυτό για να αφαιρέσετε όλες τις ετικέτες από τα βιβλία."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "Η&μερομηνία:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Αφαίρεση ό&λων"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Αν επιλεγεί, το πεδίο εκδότη θα καθαριστεί"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Σε&ιρές:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Κα&θαρισμός εκδότη"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Αν επιλεγεί, το πεδίο σειρές θα καθαριστεί"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Δημοσίε&υση:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "Κα&θαρισμός σειράς"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17314,126 +17318,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Αν δεν επιλεγεί, ο δείκτης σειράς των βιβλίων ξεκινάει από το 1.\nΑν επιλεγεί, τα επιλεγμένα βιβλία θα αριθμηθούν αυτομάτως, με\nβάση τη σειρά που τα επιλέξατε. Έτσι, αν επιλέξατε το Βιβλίο Α\nκαι μετά το Βιβλίο Β, το Βιβλίο Α θα έχει δείκτη σειράς 1, ενώ το\nΒιβλίο Β θα έχει δείκτη σειράς 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Αυτόματη αρίθμηση βιβλίων στη σειρά αυτή"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Οι σειρές κανονικά συνεχίζουν την αρίθμηση ξεκινώντας με τον\nμεγαλύτερο αριθμοδείκτη που υπάρχει στη βάση δεδομένων για\nτη σειρά αυτή. Επιλέγοντας το κουτί αυτό, μπορείτε να κάνετε το\ncalibre να ξεκινήσει την αρίθμηση από την τιμή που εισάγετε στο\nκουτί"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Επιβολή τιμής εκκίνησης σε:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Αν επιλεγεί, το πεδίο σειρές θα καθαριστεί"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "Κα&θαρισμός σειράς"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "Η&μερομηνία:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Ρύθμιση &δημιουργίας εξώφυλλων"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Καθορισμός σχολίων για όλα τα επιλεγ&μένα βιβλία"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Αφαίρεση ετικετώ&ν:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Αφαίρεση ό&λων"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Προσθήκη ετικετώ&ν:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Καθορίστε πως ο συγγραφέας (ή οι συγγραφείς) του βιβλίου\nαυτού πρέπει να ταξινομηθούν. Για παράδειγμα, ο Charles\nDickens πρέπει να ταξινομηθεί ως Dickens, Charles."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "Εφαρμογή αξιολόγηση&ς"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Δημοσίε&υση:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Καθαρισμός ημερομηνίας έκδοσης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Συγγραφέας(εις)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Γλώσσες:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "Ε&κδότης:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Διαχωριζόμενη από κόμματα λίστα ετικετών που θα αφαιρεθούν από τα βιβλία."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Άνοιγμα Περιηγητή ετικετών"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Ταξινομ&ημένος συγγραφέας:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Καθορισμός των μεταδεδομένων στο calibre από τα\nμεταδεδομένα στα αντίστοιχα αρχεία ψηφιακών βιβλίων. Να\nσημειωθεί ότι αυτό δεν αλλάζει τα εξώφυλλα. Γι' αυτό το σκοπό\nθα πρέπει να χρησιμοποιηθεί ξεχωριστή επιλογή παρακάτω."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Καθορισμός &μεταδεδομένων (εκτός από τα εξώφυλλα) από τα αρχεία ψηφιακών βιβλίων"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Σε&ιρές:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Αφαίρεση αποθηκευμένων ρυθμίσεων μετατροπής για τα επιλεγμένα βιβλία.\n\nΜελλοντικές μετατροπές των βιβλίων αυτών θα χρησιμοποιήσουν τις προκαθορισμένες ρυθμίσεις."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Αφαίρεση &αποθηκευμένων ρυθμίσεων μετατροπής για τα επιλεγμένα βιβλία"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17442,153 +17381,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Όταν γίνεται μετατροπή χωρίς αλλαγή μορφής, πχ από\nEPUB σε EPUB, το calibre αποθηκεύει τα πρωτότυπα EPUB\n ως ORIGINAL_EPUB. Αυτή η επιλογή ειδοποιεί το calibre\nνα επαναφέρει το EPUB από το ORIGINAL_EPUB. Είναι\nχρήσιμη αν έχετε κάνει μια μαζική μετατροπή για ένα μεγάλο\nαριθμό βιβλίων και κάτι πήγε στραβά."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Αν είναι διαθέσιμα, επαναφορά των προ της μετατροπής &πρωτότυπων"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Επιλέξτε το κουμπί αυτό για να αφαιρέσετε όλες τις ετικέτες από τα βιβλία."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "Α&ξιολόγηση:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Επιβολή γραμμάτων τίτλου στον τίτλο. Αν επιπροσθέτως έχει\nεπιλεγεί και η ανταλλαγή συγγραφέα και τίτλου, ο τίτλος και ο\nσυγγραφέας ανταλλάσσονται πριν επιβληθούν τα γράμματα\nτίτλου"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Αλλαγή &γραμμάτων τίτλου σε:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Ενημέρωση του ταξινομημένου τίτλου με βάση τον τρέχοντα\nτίτλο. Αυτό θα εφαρμοστεί μόνο μετά τις υπόλοιπες αλλαγές\nστον τίτλο."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Ενημέρωση &ταξινομημένου τίτλου"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Καθορισμός των μεταδεδομένων στο calibre από τα\nμεταδεδομένα στα αντίστοιχα αρχεία ψηφιακών βιβλίων. Να\nσημειωθεί ότι αυτό δεν αλλάζει τα εξώφυλλα. Γι' αυτό το σκοπό\nθα πρέπει να χρησιμοποιηθεί ξεχωριστή επιλογή παρακάτω."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Καθορισμός &μεταδεδομένων (εκτός από τα εξώφυλλα) από τα αρχεία ψηφιακών βιβλίων"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Αλλαγή &εξωφύλλου"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Δημιουργία προεπιλεγμένου εξωφύλλου"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Αφαίρεση εξωφύλλου"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Προσπάθεια αυτόματου εντοπισμού και αφαίρεσης ορίων\nκαι πλεονάζοντος χώρου από τις παρυφές των εικόνων των\nεξώφυλλων. Αυτό μπορεί σε ορισμένες περιπτώσεις να\nαφαιρέσει υπερβολικά, χρησιμοποιήστε το με προσοχή."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "Απο&ψίλωση εξωφύλλου (ΕΠΙΚΙΝΔΥΝΟ)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Ορισμός από τα αρχεία ψηφιακών &βιβλίων"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Καθορισμός των εξωφύλλων όλων των επιλεγμένων βιβλίων ώστε να είναι τα ίδια\nμε αυτό του πρώτου επιλεγμένου βιβλίου."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Κλωνισμός εξώφυλλων"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Ρύθμιση &δημιουργίας εξώφυλλων"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Καθορισμός σχολίων για όλα τα επιλεγ&μένα βιβλία"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Βασικά μεταδεδομένα"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Εξατομικευμένα μεταδεδομένα"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Φόρτωση αναζήτησης/αντικατάστασης:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Επιλέξτε την αποθηκευμένη αναζήτηση/αντικατάσταση που θα φορτωθεί."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Αποθήκευση τρέχουσας αναζήτησης/αντικατάστασης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Απο&θήκευση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Αναζήτηση &πεδίου:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Το όνομα του πεδίου που θέλετε να ψάξετε"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Κατάσταση αναζήτησης:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Επιλέξτε αν θα χρησιμοποιήσετε απλή ταύτιση χαρακτήρων ή προχωρημένη ταύτιση με κανονικές εκφράσεις"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Τύπος αναγνωρ&ιστικού:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Επιλέξτε σε ποιο τύπο αναγνωριστικού θέλετε να ενεργήσετε"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Πρότυπο:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Εισάγετε ότι αναζητείτε, είτε ως απλό κείμενο, είτε ως κανονική έκφραση, ανάλογα με την επιλεχθείσα κατάσταση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Επιλέξτε το κουτί αν η έκφραση αναζήτησης πρέπει να ταυτοποιεί επακριβώς τους κεφαλαίους και τους πεζούς χαρακτήρες. Αν επιθυμείτε ο χαρακτήρας της έκφρασης αναζήτησης να ταυτίζεται και με κεφαλαίους και με πεζούς χαρακτήρες, αποεπιλέξτε το κουτί."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Διάκριση &πεζών-κεφαλαίων"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Αντικατάσταση με:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Το κείμενο αντικατάστασης. Το ταυτοποιημένο κείμενο αναζήτησης θα αντικατασταθεί από αυτή τη συμβολοσειρά"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "Εφ&αρμογή συνάρτησης μετά την αντικατάσταση:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Καθορίστε πως θα γίνει η επεξεργασία του κειμένου μετά την\nταυτοποίηση και την αντικατάσταση. Σε κατάσταση ταύτισης\nχαρακτήρων γίνεται επεξεργασία ολόκληρου του πεδίου. Σε\nκατάσταση κανονικής έκφρασης γίνεται επεξεργασία μόνο στο\nταυτοποιημένο κείμενο."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Πεδίο &προορισμού:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Το πεδίο στο οποίο θα τοποθετηθεί το κείμενο μετά από όλες\nτις αντικαταστάσεις. Αν είναι κενό χρησιμοποιείται το πεδίο\nπροέλευσης, εφόσον επιτρέπεται η τροποποίησή του"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "&Λειτουργία:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Καθορίστε πως θα αντιγραφεί το κείμενο στον προορισμό του."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Καθορίζει αν τα εξαγόμενα στοιχεία πρέπει να κατατμηθούν σε\nπολλές τιμές ή να διατηρηθούν ως μια ενιαία τιμή. Η επιλογή\nαυτή έχει το μέγιστο αποτέλεσμα όταν το πεδίο προέλευσης δεν\nέχει πολλές τιμές και το πεδίο προορισμού έχει"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Κατάτμηση &αποτελέσματος"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Τύπος αναγνωριστικού:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17596,48 +17622,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Επιλέξτε σε ποιο τύπο αναγνωριστικού θέλετε να\nενεργήσετε. Όταν το πεδίο προέλευσης είναι κάτι διαφορετικό\nαπό το 'identifiers', μπορείτε να εισάγετε ένα * αν θέλετε να\nαντικαταστήσετε ολόκληρο το σύνολο των αναγνωριστικών με\nτο αποτέλεσμα της αναζήτησης/αντικατάστασης.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Για πεδία με πολλαπλές τιμές, να &εμφανίζονται"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "&τιμές, που ξεκινούν από το"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "με τιμές διαχωριζόμενες &από"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Χρησιμοποιείται κατά την εμφάνιση αποτελεσμάτων δοκιμών\nγια το διαχωρισμό τιμών σε πεδία πολλαπλών τιμών"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Κείμενο δοκιμής"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Αποτέλεσμα δοκιμής"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Η &δοκιμή σας:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Αναζήτηση και αντικατάσταση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Αν επιλεγεί, ο κατάλογος βιβλίων θα επαναταξινομηθεί, και οι\nόποιες προϋπάρχουσες αναζητήσεις ή εικονικές βιβλιοθήκες θα\nανανεωθούν μετά το πέρας της επεξεργασίας. Αυτό μπορεί να\nείναι αργό για μεγάλες βιβλιοθήκες."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "Ανανέωση καταλόγου βιβλίων μετά την επεξε&ργασία"
 
@@ -18093,42 +18119,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Στοιχείο: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Κάντε κλικ σε μια στήλη στη βιβλιοθήκη για να δείτε τις πληροφορίες για το βιβλίο"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Βιβλία με επιλεγμένο στοιχείο \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18234,87 +18260,87 @@ msgstr "Η επαναφορά της β
 msgid "Failed to repair library"
 msgstr "Αποτυχία επιδιόρθωσης βιβλιοθήκης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Προσθήκη νέας αποθηκευμένης αναζήτησης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Το όνομα της Αποθηκευμένης αναζήτησης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "Αναζήτη&ση:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Η έκφραση που θα αναζητηθεί"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Δεν υπάρχει όνομα αναζήτησης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Πρέπει να καθορίσετε ένα όνομα για την Αποθηκευμένη αναζήτηση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Δεν υπάρχει έκφραση προς αναζήτηση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Πρέπει να καθορίσετε μια έκφραση αναζήτησης για την Αποθηκευμένη αναζήτηση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Άκυρη αποθηκευμένη αναζήτηση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Διαχείριση αποθηκευμένων αναζητήσεων"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Προσθήκη αναζήτησης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "Διαγ&ραφή αναζήτησης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Επεξεργασία αναζήτησης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Η παρούσα αποθηκευμένη αναζήτηση θα <b>διαγραφεί μόνιμα</b>. Είστε βέβαιοι;"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Παρακάτω επεξεργαστείτε το όνομα και/ή την έκφραση."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Επεξεργασία αποθηκευμένης αναζήτησης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Μια αποθηκευμένη αναζήτηση με το όνομα {} υπάρχει ήδη. Επιλέξτε άλλο όνομα"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Αναζήτηση γα την έκφραση"
 
@@ -19212,48 +19238,64 @@ msgstr "Ετικέτα 1"
 msgid "Tag 2"
 msgstr "Ετικέτα 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Εγχειρίδιο γλώσσας προτύπων"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Τεκμηρίωση συνάρτησης προτύπου "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "ΕΞΑΙΡΕΣΗ:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Δεν επιλέχθηκε στήλη"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Πρέπει να δηλώσετε ποιά στήλη είναι να χρωματιστεί"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Δεν δόθηκε πρότυπο"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Το πεδίο προτύπου δεν μπορεί να είναι κενό"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20317,7 +20359,7 @@ msgstr "Αναζήτηση για συν
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Καμία αντιστοιχία"
 
@@ -20476,8 +20518,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20494,14 +20536,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Σύμπτυξη όλων"
 
@@ -22721,60 +22763,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "Εισ&αγωγή κανόνα"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "Διαγ&ραφή κανόν(α/ων)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Μετακίνηση επιλεγμένου κανόνα πάνω"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Μετακίνηση επιλεγμένου κανόνα κάτω"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Προσθήκη &προηγμένου κανόνα"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Εισαγωγή κανόνων από αρχείο"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Μπορείτε να καθορίσετε το χρώμα στις στήλες του καταλόγου βιβλίων, δημιουργώντας \"κανόνες\" που ενημερώνουν το calibre ποιο χρώμα να χρησιμοποιεί. Πατήστε το κουμπί \"Προσθήκη κανόνα\" παρακάτω για να ξεκινήσετε. <p>Μπορείτε να <b>αλλάξετε ένα υπάρχοντα κανόνα</b> με διπλό κλικ πάνω του."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Μπορείτε να προσθέσετε εικονίδια σε στήλες του καταλόγου βιβλίων, δημιουργώντας \"κανόνες\" που ενημερώνουν το calibre ποιο εικονίδιο να χρησιμοποιεί. Πατήστε το κουμπί \"Προσθήκη κανόνα\" παρακάτω για να ξεκινήσετε. <p>Μπορείτε να <b>αλλάξετε ένα υπάρχοντα κανόνα</b> με διπλό κλικ πάνω του."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22782,57 +22824,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Μπορείτε να προσθέσετε εμβλήματα (μικρές εικόνες) που θα εμφανίζονται δίπλα από τα εξώφυλλα στο Πλέγμα εξώφυλλων, δημιουργώντας \"κανόνες\" που ενημερώνουν το calibre ποια εικόνα να χρησιμοποιεί. Πατήστε το κουμπί \"Προσθήκη κανόνα\" παρακάτω για να ξεκινήσετε. <p>Μπορείτε να <b>αλλάξετε ένα υπάρχοντα κανόνα</b> με διπλό κλικ πάνω του."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Εμφάνιση &εμβλημάτων δίπλα στα εξώφυλλα"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Αν είναι επιλεγμένο, μπορείτε να κάνετε το calibre να εμφανίζει εικόνες της επιλογής σας δίπλα στα εξώφυλλα που δείχνει στο Πλέγμα εξώφυλλων, με βάση τα μεταδεδομένα του βιβλίου."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Κανένας κανόνας δεν επιλέχθηκε"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Κανένας κανόνας δεν επιλέχθηκε για %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "αφαίρεση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Κανόνες"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Δεν βρέθηκαν έγκυροι κανόνες"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Δεν βρέθηκαν έγκυροι κανόνες στο {}."
 
@@ -23674,13 +23716,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Κάτω"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Πάνω"
 
@@ -23714,7 +23756,7 @@ msgid "If there is enough room"
 msgstr "Αν υπάρχει αρκετός χώρος"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Με βάση το πρώτο γράμμα"
 
@@ -23995,7 +24037,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Απενεργοποίηση"
 
@@ -24687,7 +24729,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25256,7 +25298,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Αλλαγή κωδικού για {}"
 
@@ -25391,7 +25433,7 @@ msgid "Change &password"
 msgstr "Αλλαγή &κωδικού"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25402,7 +25444,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26915,7 +26957,7 @@ msgid "Books in this category are unrate
 msgstr "Τα βιβλία της κατηγορίας αυτής δεν είναι αξιολογημένα"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Αναζήτηση γα την έκφραση:"
 
@@ -27206,7 +27248,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Μετονομασία %s"
@@ -27266,95 +27308,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Αφαίρεση %(item)s από την κατηγορία %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Αναζήτηση για τα πάντα πλην %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Αναζήτηση με χρήση έκφρασης αποθηκευμένης αναζήτησης"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Προσθήκη υποκατηγορίας στην %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Διαγραφή κατηγορίας χρήστη %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Αναζήτηση για βιβλία που έχουν δεδομένα στο πεδίο %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Αναζήτηση για βιβλία που δεν έχουν δεδομένα στο πεδίο %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Απόκρυψη κατηγορίας %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Αλλαγή εικονιδίου κατηγορίας"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Επαναφορά προεπιλεγμένου εικονιδίου"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Διαχείριση κατηγοριών χρήστη"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Αλλαγή οργάνωσης υποκατηγοριοποιήσεων"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Κατάτμηση"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28011,7 +28053,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Τα ακόλουθα βιβλία έχουν ήδη μετατραπεί στη μορφή %s. Θέλετε να τα ξαναμετατρέψετε;"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28542,7 +28585,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Απόρριψη"
 
@@ -30780,7 +30823,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Πλάγιο</h3>Κάνε το επιλεγμένο κείμενο πλάγιο"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Υπογράμμιση"
 
@@ -32107,7 +32150,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32734,7 +32777,7 @@ msgid "Export saved searches"
 msgstr "Εξαγωγή αποθηκευμένων αναζητήσεων"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Εξαγωγή"
 
@@ -34608,71 +34651,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35126,7 +35169,7 @@ msgid "E-book viewer"
 msgstr "Προβολέας ψηφιακών βιβλίων"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35202,13 +35245,13 @@ msgstr "Αποτυχία φόρτωση
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35373,10 +35416,10 @@ msgid "< &Back"
 msgstr "< &Πίσω"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Ακύρωση"
 
@@ -36017,7 +36060,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36066,7 +36109,7 @@ msgstr "Ταξινόμηση τίτλω
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36543,177 +36586,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Τι θέλετε να κάνετε;"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "προεπιλογή"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Δεν επιλέχθηκε τίποτα, γίνεται έξοδος..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s δεν είναι έγκυρη επιλογή, δοκιμάστε ξανά"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Υπάρχοντα ονόματα χρηστών:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Δεν υπάρχουν χρήστες, πρέπει πρώτα να προσθέσετε ένα χρήστη"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Το όνομα χρήστη %s δεν υπάρχει"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Δώστε το όνομα χρήστη"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Εισάγετε το νέο κωδικό του %s: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Δεν επιτρέπεται κενός κωδικός"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Εισάγετε ξανά το νέο κωδικό του %s, για επιβεβαίωση: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Οι κωδικοί δεν ταιριάζουν"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Ο χρήστης %s προστέθηκε επιτυχώς!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Είστε σίγουροι ότι θέλετε να αφαιρέσετε το χρήστη %s;"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Ο χρήστης %s αφαιρέθηκε επιτυχώς!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Επιτυχής αλλαγή κωδικού για %s!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Τρέχον κωδικός του χρήστη {0} είναι: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} έχει τους ακόλουθους ανά βιβλιοθήκη πρόσθετους περιορισμούς:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} δεν έχει πρόσθετους περιορισμούς ανά βιβλιοθήκη"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Επέτρεψε την πρόσβαση σε όλες τις βιβλιοθήκες"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Επέτρεψε την πρόσβαση μόνο στις καθορισμένες βιβλιοθήκες"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Επέτρεψε την πρόσβαση σε όλες, εκτός των καθορισμένων βιβλιοθηκών"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Μεταβολή περιορισμών ανά βιβλιοθήκη"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Εισάγετε το όνομα της βιβλιοθήκης:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Άλλος περιορισμός;"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Επιτρέπεται η πρόσβαση μόνο στις βιβλιοθήκες: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Επιτρέπεται η πρόσβαση σε όλες τις βιβλιοθήκες εκτός των: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Εμφάνιση κωδικού για {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Αλλαγή δικαιωμάτων ανάγνωσης/γραφής για {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} έχει πρόσβαση {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "ανάγνωση-εγγραφή"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Προσθήκη νέου χρήστη"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Επεξεργασία προϋπάρχοντος χρήστη"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Αφαίρεση ενός χρήστη"
 
@@ -37121,13 +37195,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37135,23 +37210,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Ένα άλλο πρόγραμμα calibre όπως π.χ. ένα άλλο στιγμιότυπο του {} ή του κύριου προγράμματος του calibre εκτελείται ήδη. Η ταυτόχρονη εκτέλεση πολλών προγραμμάτων που να μπορούν να κάνουν αλλαγές σε μια βιβλιοθήκη calibre δεν υποστηρίζεται."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Διακόπηκε από το χρήστη"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Δεν υπάρχει βιβλιοθήκη calibre στη θέση: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Πρέπει να ορίσετε τουλάχιστον μία βιβλιοθήκη calibre"
 
@@ -37164,7 +37239,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Εσφαλμένη σύνταξη. Αναμένονταν το όνομα μιας πηγής αναζήτησης ή μια λέξη"
 
@@ -37323,128 +37398,128 @@ msgstr "Ρυθμίσεις και πρό
 msgid "File is open in another process"
 msgstr "Το αρχείο είναι ανοιχτό σε κάποια άλλη διεργασία"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "Αποτυχία σάρωσης προγράμματος. Άκυρη είσοδος {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Σφάλμα σύνταξης - το πρόγραμμα τερματίζεται πριν το EOF"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "Παράλειψη του 'then' σε εντολή if"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "Παράλειψη του 'fi' σε εντολή if"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Άγνωστη λειτουργία {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Λείπει δεξιά παρένθεση"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "Η έκφραση δεν είναι συνάρτηση ή σταθερά"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Σφάλμα κατά τη σύγκριση συμβολοσειρών. Τελεστής {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "Η τιμή που χρησιμοποιείται στη σύγκριση δεν είναι αριθμητική. Τελεστής {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Άγνωστο αναγνωριστικό {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Άγνωστο πεδίο {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Εσωτερικό σφάλμα κατά τον υπολογισμό μιας έκφρασης"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: άγνωστη λειτουργία"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37499,60 +37574,60 @@ msgstr "strlen(a) -- Επιστρέφε
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- επιστρέφει x + y. Πετάει εξαίρεση αν το x ή το y δεν είναι αριθμοί."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- επιστρέφει x - y. Πετάει εξαίρεση αν το x ή το y δεν είναι αριθμοί."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- επιστρέφει x * y. Πετάει εξαίρεση αν το x ή το y δεν είναι αριθμοί."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- επιστρέφει x / y. Πετάει εξαίρεση αν το x ή το y δεν είναι αριθμοί."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling(x) -- επιστρέφει τον μικρότερο ακέραιο που είναι μεγαλύτερος ή ίσος του x. Δίνει εξαίρεση αν ο x δεν είναι αριθμός."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor(x) -- επιστρέφει τον μεγαλύτερο ακέραιο που είναι μικρότερος ή ίσος του x. Δίνει εξαίρεση αν ο x δεν είναι αριθμός."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round(x) -- επιστρέφει τον κοντινότερο ακέραιο στον x. Δίνει εξαίρεση αν το x δεν είναι αριθμός."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr "mod(x) -- επιστρέφει το υπόλοιπο της διαίρεσης x / y, με x, y, καθώς και το αποτέλεσμα να είναι ακέραιοι. Δίνει εξαίρεση αν κάποιο από τα x ή y δεν είναι αριθμός."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr "fractional_part(x) -- επιστρέφει την τιμή μετά την υποδιαστολή. Για παράδειγμα, η fractional_part(3.14) επιστρέφει 0.14. Δίνει εξαίρεση αν το όρισμα x δεν είναι αριθμός."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37564,7 +37639,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- αποτιμά το x ως πρότυπο. Η αποτίμηση γίνεται στο δικό της πλαίσιο, δηλαδή οι μεταβλητές δεν διαμοιράζονται μεταξύ της καλούσας και του αποτιμηθέντος προτύπου. Καθώς οι χαρακτήρες { και } είναι ειδικοί, πρέπει να χρησιμοποιήσετε [[ για τον χαρακτήρα { και ]] για τον } - η μετατροπή γίνεται αυτόματα. Για παράδειγμα, η έκφραση template('[[title_sort]]') θα αποτιμήσει το πρότυπο {title_sort} και θα επιστρέψει την τιμή του. Σημειώστε επίσης ότι προθέματα και επιθέματα (η σύνταξη `|prefix|suffix`) δεν μπορούν να χρησιμοποιηθούν στο όρισμα της συνάρτησης αυτής σε κατάσταση προγράμματος προτύπου."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37575,13 +37650,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- κάνει αποτίμηση του πρότυπου, περνώντας τις τοπικές μεταβλητές (αυτές που αποδόθηκαν) αντί για τα μεταδεδομένα του βιβλίου. Αυτό επιτρέπει τη χρήση του επεξεργαστή προτύπων για τη παραγωγή πολύπλοκων αποτελεσμάτων από τις τοπικές μεταβλητές. Επειδή οι χαρακτήρες { και } είναι ειδικοί, πρέπει να χρησιμοποιήσετε [[ για το χαρακτήρα { και ]] για το χαρακτήρα }; η μετατροπή τους γίνεται αυτόματα. Σημειώστε επίσης ότι προθέματα και επιθέματα (η σύνταξη `|prefix|suffix`) δεν μπορούν να χρησιμοποιηθούν στο όρισμα της συνάρτησης αυτής στην κατάσταση προγράμματος προτύπων."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- αποδίδει την τιμή val στη id, μετά επιστρέφει την τιμή val. Η id πρέπει να είναι μεταβλητή, όχι έκφραση"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37591,30 +37666,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- εμφανίζει τα ορίσματα στην τυπική έξοδο. Αυτό συνεπάγεται πως αν δεν αρχίσετε το calibre από γραμμή εντολής (calibre-debug -g), η έξοδος θα χαθεί στο μαύρο σκοτάδι."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- επιστρέφει το πεδίο μεταδεδομένων που ονομάζεται name"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- επιστρέφει το πεδίο μεταδεδομένων που ονομάζεται name χωρίς να εφαρμόζει κάποια μορφοποίηση."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- επιστρέφει τη λίστα μεταδεδομένων που ονομάζεται name, χωρίς να εφαρμόζει οποιαδήποτε μορφοποίηση ή ταξινόμηση, και με τα στοιχεία της να διαχωρίζονται από παρουσίες του ορίσματος separator."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37624,7 +37699,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- επιστρέφει τους χαρακτήρες της συμβολοσειράς str που έχουν δείκτες μεταξύ start και end. Ο πρώτος χαρακτήρας του str έχει δείκτη 0. Αν το end είναι αρνητικό, η αρίθμηση γίνεται από το τέλος του str. Αν το end είναι 0, αντιστοιχεί στον τελευταίο χαρακτήρα.\n\nΓια παράδειγμα, substr('12345', 1, 0) επιστρέφει '2345', και substr('12345', 1, -1) επιστρέφει '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37634,24 +37709,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- όπως η switch, με τη διαφορά ότι τα ορίσματα είναι ονόματα πεδίων (μεταδεδομένων), και όχι κείμενο. Η τιμή του κατάλληλου πεδίου θα ληφθεί για να χρησιμοποιηθεί. Σημειώστε ότι καθώς οι σύνθετες στήλες είναι πεδία, μπορείτε να χρησιμοποιήσετε τη συνάρτηση αυτή σε ένα σύνθετο πεδίο για να χρησιμοποιήσετε την τιμή κάποιου άλλου σύνθετου πεδίου. Αυτό είναι εξαιρετικά χρήσιμο όταν κατασκευάζονται μεταβλητές διαδρομές αποθήκευσης"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "Η αναζήτηση απαιτεί είτε 2 είτε ένα περιττό πλήθος από ορίσματα"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, text if not empty, text if empty) -- επιστρέφει `text if not empty` αν η val δεν είναι κενή, αλλιώς επιστρέφει `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) -- ελέγχει αν η val περιέχει υποσύνολα που ικανοποιούν την κανονική έκφραση `pattern`. Επιστρέφει `text if match` αν υπάρχουν τέτοια υποσύνολα, διαφορετικά επιστρέφει `text if no match`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37660,11 +37735,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- για κάθε ζεύγος `pattern, value` ελέγχει αν το `val` ικανοποιεί την κανονική έκφραση `pattern`, και σε περίπτωση που το κάνει επιστρέφει την αντίστοιχη τιμή `value`. Αν δεν ικανοποιείται καμιά κανονική έκφραση, επιστρέφεται η τιμή `else_value`. Μπορείτε να έχετε όσα ζεύγη `pattern, value` θέλετε"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "Η switch απαιτεί περιττό αριθμό ορισμάτων"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37674,19 +37749,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Επιστρέφει μια συμβολοσειρά που σχηματίζεται ενώνοντας τα ορίσματα. Η επιστρεφόμενη τιμή αρχικοποιείται στην τιμή του string1. Ζεύγη `prefix, string` συνεχίζουν να προστίθενται στο τέλος της τιμής για όσο το μήκος της συμβολοσειράς που προκύπτει είναι μικρότερο από `max`. Η τιμή string1 επιστρέφεται ακόμα και αν το μήκος του string1 είναι μεγαλύτερο από το max. Μπορείτε να περάσετε σαν ορίσματα όσα ζεύγη `prefix, string` θελετε."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "Η strcat_max απαιτεί 2 ή παραπάνω ορίσματα"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "Η strcat_max απαιτεί άρτιο αριθμό ορισμάτων"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "το πρώτο όρισμα της strcat_max πρέπει να είναι ακέραιο"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37696,11 +37771,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separator, pattern, found_val, ..., not_found_val) -- χειρίζεται τη val σαν μια λίστα από στοιχεία που διαχωρίζονται από παρουσίες του ορίσματος separator, συγκρίνοντας το όρισμα pattern με κάθε στοιχείο της λίστας. Αν το όρισμα pattern ταυτοποιείται σε κάποια τιμή, επιστρέφεται found_val, αλλιώς επιστρέφεται not_found_val. Τα ορίσματα pattern και found_value μπορούν να επαναληφθούν όσες φορές είναι επιθυμητό, επιτρέποντας την επιστροφή διαφορετικών τιμών ανάλογα με την αναζήτηση. Τα ορίσματα pattern ελέγχονται με τη σειρά. Μόλις ταυτοποιηθεί το πρώτο, επιστρέφεται η αντίστοιχη τιμή."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "Η in_list απαιτεί περιττό αριθμό ορισμάτων"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37712,11 +37787,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(val, separator, string, found_val, ..., not_found_val) -- χειρίζεται τη val σαν μια λίστα από στοιχεία που διαχωρίζονται από παρουσίες του ορίσματος separator, συγκρίνοντας το όρισμα string με κάθε στοιχείο της λίστας. Αν το όρισμα string ταυτοποιείται σε κάποια τιμή (παραβλέποντας τις όποιες διαφορές μεταξύ πεζών-κεφαλαίων), επιστρέφεται found_val, αλλιώς επιστρέφεται not_found_val. Αν το όρισμα string περιέχει διαχωριστικά, η επεξεργασία του γίνεται σαν να είναι και αυτό λίστα, με έλεγχο όλων των τιμών. Τα ορίσματα string και found_value μπορούν να επαναληφθούν όσες φορές είναι επιθυμητό, επιτρέποντας την επιστροφή διαφορετικών τιμών ανάλογα με την αναζήτηση. Τα ορίσματα string ελέγχονται με τη σειρά. Μόλις ταυτοποιηθεί το πρώτο, επιστρέφεται η αντίστοιχη τιμή."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "Η str_in_list απαιτεί περιττό αριθμό ορισμάτων"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37727,14 +37802,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- χειρίζεται τη val ως μια διαχωριζόμενη από κόμματα λίστα αναγνωριστικών, και συγκρίνει τη συμβολοσειρά με κάθε τιμή που υπάρχει στη λίστα. Ένα αναγνωριστικό έχει τη μορφή \"identifier:value\". Η παράμετρος id πρέπει να έχει μορφή \"id\" ή \"id:regexp\". Η πρώτη περίπτωση ταυτοποιεί την ύπαρξη κάποιου αναγνωριστικού με το συγκεκριμένο id. Η δεύτερη περίπτωση ταυτοποιεί αν η κανονική έκφραση regexp συμφωνεί με την τιμή του αναγνωριστικού. Αν υπάρχει ταυτοποίηση, επιστρέφει found_val, αλλιώς επιστρέφει not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, pattern, replacement) -- επιστρέφει το όρισμα val μετά την εφαρμογή της κανονικής έκφρασης. Κάθε παρουσία του `pattern` αντικαθίσταται από την έκφραση `replacement`. Όπως σε όλο το calibre, αυτές είναι συμβατές με την Python κανονικές εκφράσεις"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37747,20 +37822,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- επιστρέφει μια συμβολοσειρά που δημιουργείται εφαρμόζοντας την κανονική έκφραση στο όρισμα val, και αντικαθιστώντας κάθε ταυτοποιημένη παρουσία από μια συμβολοσειρά που παράγεται από αντικατάσταση κάθε εντοπισμένης υποέκφρασης από την τιμή που επιστρέφει το αντίστοιχο πρότυπο. Η αρχική τιμή της ταυτοποιημένης υποέκφρασης είναι διαθέσιμη ως $. Σε κατάσταση προγράμματος προτύπου, όπως συμβαίνει στις συναρτήσεις template και eval, χρησιμοποιήστε [[ αντί για {, και ]] αντί για }.\n\nΤο ακόλουθο παράδειγμα σε κατάσταση προγράμματος προτύπου ψάχνει για σειρές που έχουν περισσότερες από μια λέξεις, και κεφαλαιογραφεί την πρώτη λέξη:\n{series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- δοθείσας μιας τιμής του τύπου \"B, A\", επιστρέφει \"A B\". Αυτό είναι εξόχως χρήσιμο στη μετατροπή ονομάτων από μορφή LN, FN σε μορφή FN LN, όπου FN είναι το δοθέν όνομα και LN το επίθετο. Αν δεν υπάρχει κόμμα, η συνάρτηση επιστρέφει την εισαχθείσα τιμή val αμετάβλητη"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- επιστρέφει val αν η val έχει δεδομένα, αλλιώς επιστρέφει `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37774,7 +37849,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- Επιστρέφει μια συντετμημένη μορφή του ορίσματος val, η οποία περιέχει `left chars` χαρακτήρες από την αρχή της συμβολοσειράς val, ακολουθούμενους από την τιμή του ορίσματος `middle text`, και από `right chars` χαρακτήρες από το τέλος της συμβολοσειράς. Τα ορίσματα `Left chars` και `right chars` πρέπει να είναι ακέραιοι.\n\nΓια παράδειγμα, υποθέστε πως ο τίτλος ενός βιβλίου είναι `Ancient English Laws in the Times of Ivanhoe`, και πως θέλετε να τον χωρέσετε σε ένα διάστημα το πολύ 15 χαρακτήρων. Αν χρησιμοποιήσετε {title:shorten(9,-,5)}, το αποτέλεσμα θα είναι `Ancient E-nhoe`. Αν το μήκος του πεδίου είναι μικρότερο από το άθροισμα left chars + right chars + το μήκος του `middle text`, τότε το πεδίο θα χρησιμοποιηθεί αυτούσιο. Για παράδειγμα, ο τίτλος `The Dome` δεν θα άλλαζε."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37782,7 +37857,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- ερμηνεύει την τιμή σαν λίστα στοιχείων διαχωριζόμενων από παρουσίες του `separator`, και επιστρέφει το πλήθος των στοιχείων της λίστας. Οι περισσότερες λίστες χρησιμοποιούν κόμμα ως διαχωριστικό, αλλά οι συγγραφείς χρησιμοποιούν σύμβολα &. Παραδείγματα: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37791,14 +37866,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- ερμηνεύει την τιμή val σαν μια λίστα από στοιχεία που διαχωρίζονται από παρουσίες του ορίσματος `separator`, και επιστρέφει το στοιχείο που υπάρχει στη θέση `index`. Το πρώτο στοιχείο είναι στη θέση 0. Το τελευταίο στοιχείο μπορεί να επιστραφεί χρησιμοποιώντας την έκφραση `list_item(-1,separator)`. Αν ο αριθμοδείκτης δεν υπάρχει στη λίστα, επιστρέφεται κενή συμβολοσειρά. Ο διαχωριστής έχει το ίδιο νόημα όπως και στη συνάρτηση count."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- ερμηνεύει το όρισμα val ως μια διαχωριζόμενη από κόμματα λίστα στοιχείων, όπου τα στοιχεία έχουν τη μορφή \"id:value\". Βρίσκει το ζεύγος που έχει κλειδί id ίδιο με το όρισμα key, και επιστρέφει την αντίστοιχη τιμή."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37811,19 +37886,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- επιστρέφει μία διαχωριζόμενη από κόμματα λίστα μορφών, που σε κάποια χρονική στιγμή ήταν συσχετισμένα με το βιβλίο. Δεν δίνεται καμιά εγγύηση ότι η λίστα αυτή είναι σωστή, αν και πιθανότατα είναι. Η συνάρτηση αυτή δύναται να κληθεί σε κατάσταση προγράμματος προτύπου με χρήση του πρότυπου \"{:'approximate_formats()'}\". Σημειώστε πως τα ονόματα μορφών είναι πάντα σε κεφαλαίους χαρακτήρες, όπως π.χ. στο EPUB. Η συνάρτηση αυτή λειτουργεί μόνο στο γραφικό περιβάλλον. Αν θέλετε να χρησιμοποιήσετε τις τιμές αυτές σε πρότυπα αποθήκευσης-στο-δίσκο ή αποστολής-σε-συσκευή, θα πρέπει να δημιουργήσετε μια εξατομικευμένη \"Στήλη που παράγεται από άλλες στήλες\", να χρησιμοποιήσετε τη συνάρτηση στο πρότυπο της στήλης αυτής, και ακολούθως να χρησιμοποιήσετε την τιμή της στήλης στο πρότυπο αποθήκευσης ή αποστολής σας"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Η συνάρτηση αυτή μπορεί να χρησιμοποιηθεί μόνο στο γραφικό περιβάλλον"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37833,7 +37908,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- επιστρέφει μια διαχωριζόμενη από κόμματα λίστα στοιχείων, τα οποία με τη σειρά τους περιέχουν δεδομένα που διαχωρίζονται με \":\", και αναπαριστούν τους χρόνους τροποποίησης για τις μορφές ενός βιβλίου. Η παράμετρος date_format καθορίζει πως θα μορφοποιηθεί η ημερομηνία. Δείτε τη συνάρτηση format_date για λεπτομέρειες. Μπορείτε να χρησιμοποιήσετε τη συνάρτηση select για να πάρετε το χρόνο τροποποίησης για κάποια συγκεκριμένη μορφή. Σημειώστε ότι τα ονόματα μορφών είναι πάντα κεφαλαιογραφημένα, όπως στο EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37841,7 +37916,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- επιστρέφει μια διαχωριζόμενη από κόμματα λίστα στοιχείων, τα οποία με τη σειρά τους περιέχουν δεδομένα που διαχωρίζονται με \":\", και αναπαριστούν τα μεγέθη σε bytes των μορφών ενός βιβλίου. Μπορείτε να χρησιμοποιήσετε τη συνάρτηση select για να πάρετε το μέγεθος κάποιας συγκεκριμένης μορφής. Σημειώστε ότι τα ονόματα μορφών είναι πάντα κεφαλαιογραφημένα, όπως στο EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37849,13 +37924,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- επιστρέφει μια διαχωριζόμενη από κόμματα λίστα στοιχείων, τα οποία με τη σειρά τους περιέχουν δεδομένα που διαχωρίζονται με \":\", και αναπαριστούν πλήρεις διαδρομές προς τις μορφές ενός βιβλίου. Μπορείτε να χρησιμοποιήσετε τη συνάρτηση select για να πάρετε τη διαδρομή κάποιας συγκεκριμένης μορφής. Σημειώστε ότι τα ονόματα μορφών είναι πάντα κεφαλαιογραφημένα, όπως στο EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- επιστρέφει μια συμβολοσειρά που αναπαριστάνει τον αριθμό v σε KB, MB, GB, κτλ."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37866,7 +37941,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, template) -- μορφοποιεί τον αριθμό v χρησιμοποιώντας ένα πρότυπο μορφοποίησης της Python όπως το \"{0:5.2f}\" ή το \"{0:,d}\" ή το \"${0:5,.2f}\". Το τμήμα field_name του προτύπου πρέπει να είναι 0 (μηδέν) (το \"{0:\" που παρατίθεται στα παραπάνω παραδείγματα). Δείτε τη γλώσσα προτύπων και την τεκμηρίωση της Python για περισσότερα παραδείγματα. Μπορείτε να παραλείψετε το αρχικό \"{0:\" και το τελικό \"}\" αν το πρότυπο περιέχει μόνο τη μορφοποίηση. Επιστρέφει κενή συμβολοσειρά αν η μορφοποίηση αποτύχει."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37879,7 +37954,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, start_index, end_index, separator) -- ερμηνεύει την τιμή σαν λίστα στοιχείων που διαχωρίζονται από παρουσίες του ορίσματος `separator`, και επιστρέφει μια νέα λίστα που παράγεται από τα στοιχεία με δείκτες μεταξύ `start_index` και `end_index`. Το πρώτο στοιχείο έχει δείκτη 0. Αν ένας δείκτης είναι αρνητικός, η αρίθμηση γίνεται από το τέλος της λίστας. Ως ειδική περίπτωση, ένας δείκτης end_index με τιμή 0 θεωρείται πως έχει τιμή ίδια με το μέγεθος της λίστας.\n\nΠαραδείγματα με χρήση βασικής κατάστασης προτύπου, και υποθέτοντας πως η στήλη ετικέτες (η οποία διαχωρίζεται από κόμματα) περιέχει \"A, B, C\":\n{tags:sublist(0,1,\\\\,)} επιστρέφει \"A\". \n{tags:sublist(-1,0,\\\\,)} επιστρέφει \"C\". \n{tags:sublist(0,-1,\\\\,)} επιστρέφει \"A, B\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37896,7 +37971,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- Η συνάρτηση αυτή χρησιμοποιείται για να διαχωρίσει λίστες στοιχείων, όπως τα είδη. Ερμηνεύει την τιμή ως μια διαχωριζόμενη από κόμματα λίστα στοιχείων, της οποίας τα στοιχεία είναι διαχωριζόμενες από τελείες λίστες. Επιστρέφει μια νέα λίστα που δημιουργείται βρίσκοντας αρχικά όλα τα στοιχεία που διαχωρίζονται από τελείες, και στη συνέχεια, για κάθε τέτοιο στοιχείο παίρνει το τμήμα που βρίσκεται μεταξύ των δεικτών `start_index` και `end_index`, και συνενώνει τα αποτελέσματα. Το πρώτο τμήμα σε μια διαχωριζόμενη από τελείες λίστα έχει δείκτη 0. Αν κάποιος δείκτης είναι αρνητικός, η μέτρηση γίνεται από το τέλος της λίστας. Ως ειδική περίπτωση, ένας end_index με τιμή 0 θεωρείται πως έχει ίδιο μέγεθος με τη λίστα.\n\nΠαράδειγμα σε βασική κατάσταση προτύπου, υποθέτοντας μια τιμή #genre ίση με \"A.B.C\":\n{#genre:subitems(0,1)} επιστρέφει \"A\". \n{#genre:subitems(0,2)} επιστρέφει \"A.B\". \n{#genre:subitems(1,0)} επιστρέφει \"B.C\". \n\nΥποθέτοντας τιμή #genre ίση με \"A.B.C, D.E.F\",\n{#genre:subitems(0,1)} επιστρέφει \"A, D\". \n{#genre:subitems(0,2)} επιστρέφει \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37919,23 +37994,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- μορφοποιεί την τιμή, η οποία πρέπει να είναι μια ημερομηνία, χρησιμοποιώντας το μορφοποιητή format_string, και επιστρέφοντας τελικά μια συμβολοσειρά. Οι κωδικοί μορφοποίησης είναι:\n\nd    : η μέρα ως αριθμός, χωρίς αρχικό 0 (1 ως 31)\ndd   : η μέρα ως αριθμός με αρχικό 0 (01 ως 31)\nddd  : η συντομογραφία της τοπικής ονομασίας της μέρας (π.χ. \"Mon\" ως \"Sun\").\ndddd : η πλήρης τοπική ονομασία της μέρας (π.χ. \"Monday\" ως \"Sunday\").\nM    : ο μήνας ως αριθμός χωρίς αρχικό 0 (1 ως 12).\nMM   : ο μήνας ως αριθμός με αρχικό 0 (01 ως 12)\nMMM  : η συντομογραφία της τοπικής ονομασίας του μήνα (π.χ. \"Jan\" ως \"Dec\").\nMMMM : η πλήρης τοπική ονομασία του μήνα (π.χ. \"January\" ως \"December\").\nyy   : το έτος ως διψήφιος αριθμός (00 ως 99).\nyyyy : το έτος ως τετραψήφιος αριθμός.\nh    : οι ώρες χωρίς αρχικό 0 (0 ως 11 ή 0 ως 23, ανάλογα με τη ρύθμιση am/pm)\nhh   : οι ώρες με αρχικό 0 (00 ως 11 ή 00 ως 23, ανάλογα με τη ρύθμιση am/pm)\nm    : τα λεπτά χωρίς αρχικό 0 (0 ως 59)\nmm   : τα λεπτά με αρχικό 0 (00 ως 59)\ns    : τα δευτερόλεπτα χωρίς αρχικό 0 (0 ως 59)\nss   : τα δευτερόλεπτα με αρχικό 0 (00 ως 59)\nap   : χρήση ρολογιού με 12 ώρες αντί για 24, όπου το \"ap\" αναπαριστά την τοπική συμβολοσειρά am ή pm\nAP   : χρήση ρολογιού με 12 ώρες αντί για 24, όπου το \"AP\" αναπαριστά την τοπική συμβολοσειρά AM ή PM\niso  : η ημερομηνία με χρόνο και ζώνη ώρας. Δεν μπορεί να χρησιμοποιηθεί μαζί με άλλη μορφοποίηση"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- επιστρέφει τη val με τα γράμματά της κεφαλαία"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- επιστρέφει τη val με τα γράμματά της πεζά"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- επιστρέφει τη val σε γράμματα τίτλου"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- επιστρέφει την val με το πρώτο της γράμμα κεφαλαίο"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37944,7 +38019,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- επιστρέφει την τιμή του πεδίου μεγέθους. Η συνάρτηση αυτή λειτουργεί μόνο στο γραφικό περιβάλλον. Αν θέλετε να χρησιμοποιήσετε την τιμή αυτή σε πρότυπα αποθήκευσης-στο-δίσκο ή αποστολής-σε-συσκευή, θα πρέπει να δημιουργήσετε μια εξατομικευμένη \"Στήλη που παράγεται από άλλες στήλες\", να χρησιμοποιήσετε τη συνάρτηση στο πρότυπο της στήλης αυτής, και ακολούθως να χρησιμοποιήσετε την τιμή της στήλης στο πρότυπο αποθήκευσης ή αποστολής σας"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37953,55 +38028,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- επιστρέφει Yes αν η ondevice είναι ενεργή, αλλιώς επιστρέφει την κενή συμβολοσειρά. Η συνάρτηση αυτή λειτουργεί μόνο στην διεπαφή χρήστη. Αν θέλετε να χρησιμοποιήσετε την τιμή αυτή σε πρότυπα αποθήκευσης-στο-δίσκο ή αποστολής-σε-συσκευή, θα πρέπει να δημιουργήσετε μια εξατομικευμένη \"Στήλη που παράγεται από άλλες στήλες\", να χρησιμοποιήσετε τη συνάρτηση στο πρότυπο της στήλης αυτής, και ακολούθως να χρησιμοποιήσετε την τιμή της στήλης στο πρότυπο αποθήκευσης ή αποστολής σας"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- επιστρέφει την τιμή ταξινόμησης σειράς"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- επιστρέφει Yes αν το βιβλίο έχει εξώφυλλο, αλλιώς επιστρέφει κενή συμβολοσειρά"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- επιστρέφει την πρώτη τιμή που δεν είναι κενή. Αν όλες οι τιμές είναι κενές, επιστρέφεται η κενή τιμή. Μπορείτε να έχετε όσες τιμές θέλετε."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, ...) -- επιστρέφει τη συμβολοσειρά \"1\" αν όλες οι τιμές είναι μη κενές, αλλιώς επιστρέφει κενή συμβολοσειρά. Η συνάρτηση αυτή συνεργάζεται καλά με τις test ή first_non_empty. Μπορείτε να έχετε όσες τιμές ορισμάτων θέλετε. "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) -- επιστρέφει τη συμβολοσειρά \"1\" αν κάποια τιμή είναι μη κενή, αλλιώς επιστρέφει κενή συμβολοσειρά. Η συνάρτηση αυτή συνεργάζεται καλά με τις συναρτήσεις test ή first_non_empty. Μπορείτε να έχετε όσες τιμές ορισμάτων θέλετε."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- επιστρέφει τη συμβολοσειρά \"1\" αν το όρισμα value είναι κενό, διαφορετικά επιστρέφει την κενή συμβολοσειρά. Η συνάρτηση αυτή συνεργάζεται καλά με τη συνάρτηση test ή τη συνάρτηση first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38010,7 +38085,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- επιστρέφει μια λίστα που δημιουργείται από τη συγχώνευση των στοιχείων στις λίστες list1 και list2, αφαιρώντας διπλότυπα στοιχεία με συγκρίσεις που δεν \"βλέπουν\" διαφορές μεταξύ πεζών-κεφαλαίων. Αν κάποια στοιχεία διαφέρουν στην κεφαλαιογράφηση, χρησιμοποιείται το στοιχείο της list1. Τα στοιχεία στις list1 και list2 διαχωρίζονται από το όρισμα separator, όπως και τα στοιχεία της λίστας που επιστρέφεται."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38018,7 +38093,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- επιστρέφει μια λίστα, η οποία προκύπτει όταν αφαιρεθούν από την list1 όλα τα στοιχεία που υπάρχουν και στην list2, χωρίς να λαμβάνεται υπ' όψιν η κεφαλαιογράφηση των στοιχείων. Τα στοιχεία στις list1 και list2 διαχωρίζονται από παρουσίες του ορίσματος separator, όπως συμβαίνει και με τα στοιχεία της λίστας που επιστρέφεται."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38026,7 +38101,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- επιστρέφει μια λίστα, η οποία προκύπτει όταν αφαιρεθούν από την list1 όλα τα στοιχεία που δεν υπάρχουν στην list2, χωρίς να λαμβάνεται υπ' όψιν η κεφαλαιογράφηση των στοιχείων. Τα στοιχεία στις λίστες list1 και list2 διαχωρίζονται από παρουσίες του ορίσματος separator, όπως συμβαίνει και με τα στοιχεία της λίστας που επιστρέφεται."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38034,7 +38109,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- επιστρέφει τη λίστα ταξινομημένη, χρησιμοποιώντας ταξινόμηση που δεν \"βλέπει\" διαφορές πεζών-κεφαλαίων. Αν η μεταβλητή direction είναι 0, η λίστα γίνεται αύξουσα, αλλιώς φθίνουσα. Τα στοιχεία της λίστας διαχωρίζονται από το όρισμα separator, όπως και τα στοιχεία της λίστας που επιστρέφεται."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38043,7 +38118,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- επιστρέφει yes_val αν οι λίστες list1 και list2 περιέχουν τα ίδια στοιχεία, αλλιώς επιστρέφει no_val. Τα στοιχεία καθορίζονται διαχωρίζοντας κάθε λίστα με τον κατάλληλο χαρακτήρα διαχωρισμού (sep1 ή sep2). Η σειρά των στοιχείων στις λίστες είναι αδιάφορη. Η σύγκριση δεν επηρεάζεται από την κεφαλαιογράφηση."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38052,7 +38127,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- Δημιουργεί μια λίστα, διαχωρίζοντας αρχικά το όρισμα src_list σε στοιχεία με χρήση του χαρακτήρα διαχωρισμού separator. Για κάθε στοιχείο της λίστας, ελέγχει αν υπάρχει συμφωνία με το όρισμα include_re. Αν υπάρχει, τότε το προσθέτει στη λίστα που θα επιστραφεί. Αν το όρισμα opt_replace δεν είναι η κενή συμβολοσειρά, εφαρμόζει την αντικατάσταση πριν προσθέσει το στοιχείο στη λίστα που επιστρέφει."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38060,14 +38135,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Όπως η list_re, εκτός του ότι οι αντικαταστάσεις δεν είναι προαιρετικές. Χρησιμοποιεί τη συνάρτηση re_group(list_item, search_re, group_1_template, ...) όταν κάνει τις αντικαταστάσεις στην προκύπτουσα λίστα."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- επιστρέφει μια συμβολοσειρά μέρας για την τρέχουσα μέρα. Η τιμή αυτή είναι σχεδιασμένη για χρήση στις format_date και days_between, αλλά μπορεί να μετασχηματιστεί όπως κάθε άλλη συμβολοσειρά. Η ημερομηνία είναι σε μορφή ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38075,7 +38150,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- επιστρέφει τον αριθμό των ημερών μεταξύ των ημερομηνιών date1 και date2. Ο αριθμός είναι θετικός αν η date1 έπεται της date2, διαφορετικά είναι αρνητικός. Αν είτε η date1, είτε η date2, δεν είναι ημερομηνίες, η συνάρτηση επιστρέφει την κενή συμβολοσειρά."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38083,28 +38158,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- επιστρέφει τις συμβολοσειρές για τους κώδικες γλώσσας που περιέχονται στο όρισμα lang_codes. Αν το όρισμα localize έχει τιμή 0, επιστρέφει τις συμβολοσειρές στα Αγγλικά. Αν η τιμή της localize δεν είναι 0, επιστρέφει τις συμβολοσειρές στη γλώσσα της τρέχουσας εντοπιότητας. Το όρισμα lang_codes είναι μια διαχωριζόμενη από κόμματα λίστα."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- επιστρέφει τους κώδικες γλώσσας για τις συμβολοσειρές που συμπεριλαμβάνονται στο όρισμα lang_strings. Οι συμβολοσειρές πρέπει να είναι στη γλώσσα της τρέχουσας εντοπιότητας. Το όρισμα lang_strings είναι μια διαχωριζόμενη από κόμματα λίστα."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- επιστρέφει το τελευταίο όνομα στη διαδρομή της τρέχουσας βιβλιοθήκης calibre. Η συνάρτηση αυτή μπορεί να κληθεί σε κατάσταση προγράμματος προτύπου με χρήση του προτύπου \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- επιστρέφει τη διαδρομή προς την τρέχουσα βιβλιοθήκη calibre. Η συνάρτηση αυτή μπορεί να κληθεί σε κατάσταση προγράμματος προτύπου με χρήση του προτύπου \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38113,7 +38188,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- εφαρμόζει τη μορφοποίηση, το πρόθεμα και το επίθεμα σε μια τιμή με τον ίδιο ακριβώς τρόπο που εφαρμόζεται σε ένα πρότυπο όπως το `{series_index:05.2f| - |- }`. Για παράδειγμα, το ακόλουθο πρόγραμμα παράγει το ίδιο αποτέλεσμα με το παραπάνω πρότυπο: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38122,7 +38197,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- επιστρέφει μια διαχωριζόμενη από κόμματα λίστα Εικονικών βιβλιοθηκών που περιέχουν το βιβλίο αυτό. Η συνάρτηση αυτή λειτουργεί μόνο στο γραφικό περιβάλλον. Αν θέλετε να χρησιμοποιήσετε τις τιμές αυτές σε πρότυπα αποθήκευσης-στο-δίσκο ή αποστολής-σε-συσκευή, θα πρέπει να δημιουργήσετε μια εξατομικευμένη \"Στήλη που παράγεται από άλλες στήλες\", να χρησιμοποιήσετε τη συνάρτηση στο πρότυπο της στήλης αυτής, και ακολούθως να χρησιμοποιήσετε την τιμή της στήλης στο πρότυπο αποθήκευσης ή αποστολής σας"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38131,7 +38206,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- επιστρέφει μια διαχωριζόμενη από κόμματα λίστα κατηγοριών χρήστη που περιέχουν το βιβλίο αυτό. Η συνάρτηση αυτή λειτουργεί μόνο στο γραφικό περιβάλλον. Αν θέλετε να χρησιμοποιήσετε τις τιμές αυτές σε πρότυπα αποθήκευσης-στο-δίσκο ή αποστολής-σε-συσκευή, θα πρέπει να δημιουργήσετε μια εξατομικευμένη \"Στήλη που παράγεται από άλλες στήλες\", να χρησιμοποιήσετε τη συνάρτηση στο πρότυπο της στήλης αυτής, και ακολούθως να χρησιμοποιήσετε την τιμή της στήλης στο πρότυπο αποθήκευσης ή αποστολής σας"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38139,7 +38214,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Επιστρέφει μια συμβολοσειρά σε Λατινικό αλφάβητο, η οποία σχηματίζεται προσεγγίζοντας τους ήχους των λέξεων της πηγαίας συμβολοσειράς. Για παράδειγμα, αν η πηγή είναι \"{0}\" η συνάρτηση επιστρέφει \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38151,7 +38226,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- επιστρέφει μια συμβολοσειρά που περιέχει μια λίστα από συγγραφείς και τις τιμές των συνδέσμων των συγγραφέων αυτών, στη μορφή συγγραφέας_1 val_separator σύνδεσμος_συγγραφέα_1 pair_separator συγγραφέας_2 val_separator σύνδεσμος_συγγραφέα_2 κτλ. Ένας συγγραφέας διαχωρίζεται από την τιμή του συνδέσμου του με τη συμβολοσειρά val_separator, χωρίς πρόσθετα κενά. Αντίστοιχα, τα ζεύγη συγγραφέας-σύνδεσμος_συγγραφέα διαχωρίζονται με συμβολοσειρές του ορίσματος pair_separator, χωρίς πρόσθετα κενά. Επαφίεται σε σας να επιλέξετε συμβολοσειρές διαχωρισμού που να μην εμφανίζονται σε ονόματα συγγραφέων ή συνδέσμους. Οι συγγραφείς συμπεριλαμβάνονται ακόμα και αν οι σύνδεσμοί τους είναι κενοί."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38162,7 +38237,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- επιστρέφει μια συμβολοσειρά που περιέχει μια λίστα από ταξινομημένες τιμές συγγραφέων για τους συγγραφείς του βιβλίου. Η ταξινόμηση είναι αυτή για τα μεταδεδομένα των συγγραφέων (διαφέρει από την τιμή ταξινομημένου συγγραφέα στα βιβλία). Η επιστρεφόμενη λίστα έχει τη μορφή τιμή-ταξινόμησης-συγγραφέα1 val_separator τιμή-ταξινόμησης-συγγραφέα2 κτλ. Οι ταξινομημένες τιμές συγγραφέα στη λίστα αυτή έχουν την ίδια σειρά με τους συγγραφείς του βιβλίου. Αν θέλετε διαστήματα γύρω από το val_separator, εισάγετέ τα στη συμβολοσειρά του διαχωριστικού"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38170,13 +38245,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38184,7 +38259,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38197,11 +38272,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no απαιτεί το πεδίο να είναι μια εξατομικευμένη στήλη Ναι/Όχι"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38209,11 +38284,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "Η βαθμολογία πρέπει να είναι αριθμός από 0 μέχρι 5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38222,7 +38297,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38233,7 +38308,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38243,6 +38318,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Ανώνυμη εικόνα"
@@ -38531,29 +38612,29 @@ msgstr "Κλείσιμο χωρίς απ
 msgid "Close Tab"
 msgstr "Κλείσιμο καρτέλας"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Πλεονάζοντες χαρακτήρες στο τέλος της αναζήτησης"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "λείπει )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Αναδρομική αποθηκευμένη αναζήτηση: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Άγνωστη αποθηκευμένη αναζήτηση: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Άγνωστο λάθος στην αποθηκευμένη αναζήτηση: {0}"
@@ -38916,185 +38997,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Εντάξει"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Αποθήκευση όλων"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Άνοιγμα"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Ναι"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ναι σε Ό&λα"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "Ό&χι"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Όχ&ι σε Όλα"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Ματαίωση"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Επανάληψη"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Κλείσιμο"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Εφαρμογή"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Επαναφορά"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Επαναφορά Προεπιλογών"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Κόκκινο:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Πράσινο:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Μπ&λε:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Δρομέας στη θέση %1, %2\nΠατήστε ESC για ακύρωση"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Επιλογή χρώματος"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Βασικά χρώματα"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "Εξατομι&κευμένα χρώματα"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "Προσθήκη στα &εξατομικευμένα χρώματα"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Αρπαγή χρώματος από την οθόνη"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Επιλογή γραμματοσειράς"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Γραμματοσειρά"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Στ&υλ γραμματοσειράς"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "Μέγεθο&ς"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Εφέ"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "&Διακριτή διαγραφή"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Δείγμα"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Σύστημα &γραφής"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Κύλιση αριστερά"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Κύλιση πάνω"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Κύλιση κάτω"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Κύλιση δεξιά"
 
@@ -39374,8 +39455,8 @@ msgstr "Ορίστε κανόνες με
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39431,7 +39512,7 @@ msgstr "Ορίστε πως ταξινο
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/en_AU.po 5.10.0+dfsg-1/translations/calibre/en_AU.po
--- 5.9.0+dfsg-3/translations/calibre/en_AU.po	2021-01-06 15:29:31.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/en_AU.po	2021-01-20 15:27:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Customise"
 msgid "Cannot configure"
 msgstr "Cannot configure"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "File type"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadata reader"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadata writer"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Catalog generator"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Preferences"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Store"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr "Create a TXTZ archive when a TXT
 msgid "Extract cover from comic files"
 msgstr "Extract cover from comic files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Read metadata from %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Set metadata in %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Set metadata from %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Add books to calibre or the connected device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Fetch annotations from a connected Kindle (experimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Generate a catalog of the books in your calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Delete books from your calibre library or connected device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Edit the metadata of books in your calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Read books in your calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Show a list of related books quickly"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/en_CA.po 5.10.0+dfsg-1/translations/calibre/en_CA.po
--- 5.9.0+dfsg-3/translations/calibre/en_CA.po	2021-01-06 15:29:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/en_CA.po	2021-01-20 15:27:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "File type"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadata reader"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadata writer"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Extract cover from comic files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Read metadata from %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Set metadata in %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Set metadata from %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/en_GB.po 5.10.0+dfsg-1/translations/calibre/en_GB.po
--- 5.9.0+dfsg-3/translations/calibre/en_GB.po	2021-01-06 15:30:09.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/en_GB.po	2021-01-20 15:27:19.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -95,15 +95,15 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -124,7 +124,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -224,16 +224,16 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -259,7 +259,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -291,7 +291,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -310,7 +310,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -334,27 +334,27 @@ msgstr "Customize"
 msgid "Cannot configure"
 msgstr "Cannot configure"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "File type"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadata reader"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadata writer"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Catalogue generator"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "User interface action"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -366,20 +366,20 @@ msgstr "User interface action"
 msgid "Preferences"
 msgstr "Preferences"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Store"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "An e-book store."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Edit book tool"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Library closed"
 
@@ -401,372 +401,372 @@ msgstr "Create a TXTZ archive when a TXT
 msgid "Extract cover from comic files"
 msgstr "Extract cover from comic files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Read metadata from %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Read metadata from e-books in RAR archives"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Read metadata from e-books in ZIP archives"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Set metadata in %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Enter {0} below to have the EPUB metadata writer plugin not add cover images to EPUB files that have no existing cover image."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Set metadata from %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Add books to Calibre or the connected device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Fetch annotations from a connected Kindle (experimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Generate a catalogue of the books in your Calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Convert books to various e-book formats"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Fine tune your e-books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Edit the Table of Contents in your books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Delete books from your Calibre library or connected device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Embed updated metadata into the actual book files in your calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Edit the metadata of books in your Calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Read books in your Calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Download news from the internet in e-book form"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Show a list of related books quickly"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filter/transform the tags for books in the library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Show an editor for testing templates"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Export books from your Calibre library to the hard disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Show Book details in a separate popup"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Restart Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Open the folder that contains the book files in your Calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Send books to the connected device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Send books via email or the web. Also connect to folders on your computer as if they are devices"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Browse the calibre User Manual"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Customise Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Easily find books similar to the currently selected one"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Switch between different Calibre libraries and perform maintenance on them"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copy books from the device to your calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Edit the collections in which books are placed on your device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Match book on the devices to books in the library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copy a book from one Calibre library to another"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Edit e-books in the EPUB or AZW3 formats"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Make small changes to EPUB or HTMLZ files in your calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Find the next or previous match when searching in your Calibre library in highlight mode"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Choose a random book from your Calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sort the list of books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Temporarily mark books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Search for books from different book sellers"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Get new Calibre plug-ins or update your existing ones"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Look & feel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interface"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Adjust the look and feel of the calibre interface to suit your tastes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Behaviour"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Change the way calibre behaves"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Add your own columns"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Add/remove your own columns to the calibre book list"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Customise the toolbars and context menus, changing which actions are available in each"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Searching"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Customise the way searching for books works in calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Input options"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversion"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Set conversion options specific to each input format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Common options"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Set conversion options common to all formats"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Output options"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Set conversion options specific to each output format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Adding books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Import/export"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Control how calibre reads metadata from files when adding books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Saving books to disc"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Control how calibre exports files from its database to disc when using Save to disc"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Sending books to devices"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Control how calibre transfers files to your e-book reader"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metadata plugboards"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Change metadata fields before saving/sending"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -776,92 +776,92 @@ msgstr "Change metadata fields before sa
 msgid "Template functions"
 msgstr "Template functions"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Advanced"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Create your own template functions"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Sharing books by email"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Sharing"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Setup sharing of books via email. Can be used for automatic sending of downloaded news to your devices"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Sharing over the net"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Setup the calibre Content server which will give you access to your calibre library from anywhere, on any device, over the Internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metadata download"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Control how calibre downloads e-book metadata from the net"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignored devices"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Control which devices calibre will ignore when they are connected to the computer."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plug-ins"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Add/remove/customise various bits of calibre functionality"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Tweaks"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Fine tune how calibre behaves in various contexts"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Shortcuts"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Customise the keyboard shortcuts used by Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -869,7 +869,7 @@ msgstr "Customise the keyboard shortcuts
 msgid "Miscellaneous"
 msgstr "Miscellaneous"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Miscellaneous advanced configuration"
 
@@ -1259,9 +1259,9 @@ msgstr "Dumping database to SQL"
 msgid "Restoring database from SQL"
 msgstr "Restoring database from SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1287,17 +1287,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Yes"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Cover for %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format for {1}"
@@ -1683,14 +1683,14 @@ msgstr "Specifying this switch will turn
 msgid "You must specify some ids or the %s option"
 msgstr "You must specify some ids or the %s option"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nList the books available in the calibre database.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1698,7 +1698,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1706,39 +1706,39 @@ msgid ""
 "Default: {1}"
 msgstr "The field by which to sort the results.\nAvailable fields: {0}\nDefault: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Sort results in ascending order"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filter the results by the search query. For the format of the search query, please see the search related documentation in the User Manual. Default is to do no filtering."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "The maximum width of a single line in the output. Defaults to detecting screen size."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "The string used to separate fields. Default is a space."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "The prefix for all file paths. Default is the absolute path to the library folder."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "The maximum number of results to display. Default: all"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2285,21 +2285,21 @@ msgstr "blank"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Invalid boolean query \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Recursive query group detected: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3475,11 +3475,11 @@ msgstr "Removed %s"
 msgid "All books removed"
 msgstr "All books removed"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3488,12 +3488,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Unknown MTP device"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6048,7 +6048,7 @@ msgstr "Notes"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6341,7 +6341,7 @@ msgid "Producer"
 msgstr "Producer"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6349,7 +6349,7 @@ msgid "Comments"
 msgstr "Comments"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6389,7 +6389,7 @@ msgid "Tags"
 msgstr "Tags"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6419,7 +6419,7 @@ msgid "Timestamp"
 msgstr "Timestamp"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8149,13 +8149,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "HTML TOC generation options."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8188,31 +8188,31 @@ msgstr "Generate an Adobe \"page-map\" f
 msgid "Sidebar"
 msgstr "Sidebar"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9181,7 +9181,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10190,7 +10190,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Help"
 
@@ -11449,7 +11449,7 @@ msgid "Errors while adding"
 msgstr "Errors while adding"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignore"
 
@@ -11579,8 +11579,8 @@ msgstr "Change"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11714,11 +11714,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Manage %s"
@@ -11861,7 +11861,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12188,7 +12188,7 @@ msgid "Preset name:"
 msgstr "Preset name:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "You must provide a name."
 
@@ -12265,7 +12265,7 @@ msgid "Save current catalog settings as
 msgstr "Save current catalog settings as preset"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Save"
 
@@ -12274,10 +12274,10 @@ msgid "Delete current preset"
 msgstr "Delete current preset"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Delete"
@@ -12390,8 +12390,8 @@ msgstr "Reset to default"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13577,7 +13577,7 @@ msgid "Ta&gs:"
 msgstr "Ta&gs:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13592,8 +13592,8 @@ msgstr "&Series:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "List of known series. You can add new series."
@@ -14460,7 +14460,7 @@ msgid "Choose color"
 msgstr "Choose colour"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14801,19 +14801,19 @@ msgid "Edit style transform rules"
 msgstr "Edit style transform rules"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xport"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Export these rules to a file"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14887,8 +14887,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14969,7 +14969,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16549,7 +16549,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16557,7 +16557,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16565,7 +16565,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16573,7 +16573,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16607,7 +16607,7 @@ msgid "Manage authors"
 msgstr "Manage authors"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Search for:"
@@ -17028,78 +17028,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Working"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Processing %d books, please wait..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Lower Case"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Upper Case"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Title Case"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Character match"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Replace field"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Prepend to field"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Append to field"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Immediately make all changes without closing the dialogue. This operation cannot be cancelled or undone."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Book %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Enter an identifier type"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17107,7 +17107,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>You can destroy your library using this feature.</b> Changes are permanent. There is no undo function. You are strongly encouraged to back up your library before proceeding.<p>Search and replace in text fields using character matching or regular expressions. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17117,7 +17117,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17132,80 +17132,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R TEMPLATE ERROR"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "You must specify a destination when source is a composite field or a template"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "You must specify a destination identifier type"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "You must specify a search expression in the \"Search for\" field"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Invalid identifier string. It must be a comma-separated list of pairs of strings separated by a colon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Search/replace invalid"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Delete saved search/replace"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "The selected saved search/replace will be deleted. Are you sure?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Save search/replace"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Search/replace name:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "That saved search/replace already exists and will be overwritten. Are you sure?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Author(s): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17213,90 +17222,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "This will cause the author sort field to be automatically updated\n based on the authors field for each selected book. Note that if\n you use the control above to set authors in bulk, the author sort\n field is updated anyway, regardless of the value of this checkbox."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utomatically set author sort"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "S&wap title and author"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Author s&ort: "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Update title sort based on the current title. This will be applied only after other changes to title."
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Specify how the author(s) of this book should be sorted. For example Charles Dickens should be sorted as Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Rating:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Apply rating"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Publisher: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "If checked, the publisher will be cleared"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Try to automatically detect and remove borders and extra space\n from the edges of cover images. This can sometimes remove too\n much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Clear pub"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Add ta&gs: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Set the covers of all selected books to be the same\nas that of the first selected book."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Remove tags:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Force the title to be in title case. If both this and swap authors are checked,\ntitle and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Comma separated list of tags to remove from the books. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Check this box to remove all tags from the books."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Remove &all"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "If checked, the series will be cleared"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Clear series"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17304,281 +17308,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "If not checked, the series number for the books will be set to 1.\nIf checked, selected books will be automatically numbered, in the order\nyou selected them. So if you selected Book A and then Book B,\nBook A will have series number 1 and Book B series number 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Automatically number books in this series"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Series will normally be renumbered from the highest number in the database\nfor that series. Checking this box will tell calibre to start numbering\nfrom the value in the box"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Force numbers to start with:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "If checked, the series will be cleared"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Clear series"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Control how the default generated covers are created"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Configure co&ver generation"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Set the co&mments for all selected books"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Remove tags:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Remove &all"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Date:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Specify how the author(s) of this book should be sorted. For example Charles Dickens should be sorted as Dickens, Charles."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "P&ublished:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Clear published date"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Author(s): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Languages:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Remove stored conversion settings for the selected books.\n\nFuture conversion of these books will use the default settings."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Remove &stored conversion settings for the selected books"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
+msgstr "When doing a same format to same format conversion,\nfor e.g., EPUB to EPUB, calibre saves the original EPUB\n as ORIGINAL_EPUB. This option tells calibre to restore\n the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n conversion of a large number of books and something went wrong."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr "Restore pre conversion &originals, if available"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Force the title to be in title case. If both this and swap authors are checked,\ntitle and author are swapped before the title case is set"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Update title sort based on the current title. This will be applied only after other changes to title."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Update &title sort"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Change &cover"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Generate default cover"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Remove cover"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Try to automatically detect and remove borders and extra space\n from the edges of cover images. This can sometimes remove too\n much, so use with care."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Trim cover (DANGEROUS)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Remove stored conversion settings for the selected books.\n\nFuture conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Set the covers of all selected books to be the same\nas that of the first selected book."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Clone covers"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
-msgstr "When doing a same format to same format conversion,\nfor e.g., EPUB to EPUB, calibre saves the original EPUB\n as ORIGINAL_EPUB. This option tells calibre to restore\n the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
-msgstr "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Control how the default generated covers are created"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Configure co&ver generation"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Set the co&mments for all selected books"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Basic metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Custom metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Select saved search/replace to load."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Save current search/replace"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Sa&ve"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Search &field:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "The name of the field that you want to search"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Search &mode:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Choose whether to use basic text matching or advanced regular expression matching"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Choose which identifier type to operate upon."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Template:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Enter a template to be used as the source for the search/replace"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Enter what you are looking for, either plain text or a regular expression, depending on the mode"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Check this box if the search string must match exactly upper and lower case. Uncheck it if case is to be ignored"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Cas&e sensitive"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Replace with:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "The replacement text. The matched search text will be replaced with this string"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Apply function after replace:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Specify how the text is to be processed after matching and replacement. In character mode, the entire\nfield is processed. In regular expression mode, only the matched text is processed"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Destination field:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "The field that the text will be put into after all replacements.\nIf blank, the source field is used if the field is modifiable"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&ode:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Specify how the text should be copied into the destination."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Specifies whether result items should be split into multiple values or\nleft as single values. This option has the most effect when the source field is\nnot multiple and the destination field is multiple"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Split &result"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Identifier type:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17586,48 +17612,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Choose which identifier type to operate upon. When the\n              source field is something other than 'identifiers' you can enter\n              a * if you want to replace the entire set of identifiers with\n              the result of the search/replace.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "For multiple-valued fields, sho&w"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "with values separated b&y"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Used when displaying test results to separate values in multiple-valued fields"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Test text"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Test result"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Search and replace"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Refresh book list after edit"
 
@@ -18083,42 +18109,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Item: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**No items found**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Click in a column in the library view to see the information for that book."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Books with selected item \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18224,87 +18250,87 @@ msgstr "Restoring database failed, click
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Add search"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Edit search"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19202,48 +19228,64 @@ msgstr "Tag 1"
 msgid "Tag 2"
 msgstr "Tag 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Template language tutorial"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Template function reference"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "EXCEPTION: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "No column chosen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "You must specify a column to be coloured."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "No template provided"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "The template box cannot be empty."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20307,7 +20349,7 @@ msgstr "Search for a shortcut by name"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "No matches"
 
@@ -20466,8 +20508,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20484,14 +20526,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Collapse all"
 
@@ -22711,60 +22753,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Add rule"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Remove rule(s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Move the selected rule up"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Move the selected rule down"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22772,57 +22814,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Show &emblems next to the covers"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "No rule selected."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "No rule selected for %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "removal"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23664,13 +23706,13 @@ msgstr "No subtitle"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Bottom"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Top"
 
@@ -23704,7 +23746,7 @@ msgid "If there is enough room"
 msgstr "If there is enough room"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "By first letter"
 
@@ -23985,7 +24027,7 @@ msgid ""
 msgstr "There are two kinds of caches that calibre uses to improve performance when rendering covers in the grid view. A disk cache that is kept on your hard disk and stores the cover thumbnails and an in memory cache used to ensure flicker free rendering of covers. For best results, keep the memory cache small and the disk cache large, unless you have a lot of extra RAM in your computer and don't mind it being used by the memory cache."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Disable"
 
@@ -24677,8 +24719,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Here you can change the metadata calibre uses to update a book when saving to disc or sending to device.\n\nUse this dialog to define a 'plugboard' for a format (or all formats) and a device (or all devices). The plugboard specifies what template is connected to what field. The template is used to compute a value, and that value is assigned to the connected field.\n\nOften templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n\nOne possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25246,7 +25288,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25381,7 +25423,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25392,7 +25434,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26905,7 +26947,7 @@ msgid "Books in this category are unrate
 msgstr "Books in this category are unrated"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Search expression:"
 
@@ -27196,7 +27238,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Rename %s"
@@ -27256,95 +27298,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Remove %(item)s from category %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Search for everything but %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Add sub-category to %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Search for books in category %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Search for books not in category %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Hide category %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Change category icon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Restore default icon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Change sub-categorization scheme"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partition"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "First letter is usable only when sorting by name."
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28001,7 +28043,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "The following books have already been converted to the %s format. Do you wish to reconvert them?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28532,7 +28575,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Discard"
 
@@ -30770,7 +30813,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Italic</h3>Make the selected text italic"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Underline"
 
@@ -32097,7 +32140,7 @@ msgid "Disabled confirmations restored"
 msgstr "Disabled confirmations restored"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32724,7 +32767,7 @@ msgid "Export saved searches"
 msgstr "Export saved searches"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Export"
 
@@ -34598,71 +34641,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35116,7 +35159,7 @@ msgid "E-book viewer"
 msgstr "E-book viewer"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35192,13 +35235,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35363,10 +35406,10 @@ msgid "< &Back"
 msgstr "< &Back"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Cancel"
 
@@ -36007,8 +36050,8 @@ msgid "No genres to catalog.\n"
 msgstr "No genres to catalog.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36056,8 +36099,8 @@ msgstr "Sorting titles"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "No books to catalog.\nCheck 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36533,177 +36576,208 @@ msgstr "The full interface gives you man
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "What do you want to do?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "default"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s is not a valid choice, try again"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Existing user names:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "There are no users, you must first add an user"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "The username %s does not exist"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Enter the username"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Enter the new password for %s: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Empty passwords are not allowed"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Re-enter the new password for %s, to verify: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Passwords do not match"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "User %s added successfully!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Are you sure you want to remove the user %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "User %s successfully removed!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Password for %s successfully changed!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Add a new user"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Edit an existing user"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Remove a user"
 
@@ -37111,13 +37185,14 @@ msgid ""
 msgstr "Automatically reload server when source code changes. Useful for development. You should also specify a small value for the shutdown timeout."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Manage the database of users allowed to connect to this server. See also the %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37125,23 +37200,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Interrupted by user"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "There is no calibre library at: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "You must specify at least one calibre library"
 
@@ -37154,7 +37229,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Invalid syntax. Expected a lookup name or a word"
 
@@ -37313,128 +37388,128 @@ msgstr "Settings and plugins"
 msgid "File is open in another process"
 msgstr "File is open in another process"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format: type {0} requires an integer value, got {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: type {0} requires a decimal (float) value, got {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: unknown function"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37489,60 +37564,60 @@ msgstr "strlen(a) -- Returns the length
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- returns x + y. Throws an exception if either x or y are not numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- returns x - y. Throws an exception if either x or y are not numbers."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- returns x * y. Throws an exception if either x or y are not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- returns x / y. Throws an exception if either x or y are not numbers."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37554,7 +37629,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- evaluates x as a template. The evaluation is done in its own context, meaning that variables are not shared between the caller and the template evaluation. Because the { and } characters are special, you must use [[ for the { character and ]] for the } character; they are converted automatically. For example, template('[[title_sort]]') will evaluate the template {title_sort} and return its value. Note also that prefixes and suffixes (the `|prefix|suffix` syntax) cannot be used in the argument to this function when using template program mode."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37565,13 +37640,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- evaluates the template, passing the local variables (those 'assign'ed to) instead of the book metadata.  This permits using the template processor to construct complex results from local variables. Because the { and } characters are special, you must use [[ for the { character and ]] for the } character; they are converted automatically. Note also that prefixes and suffixes (the `|prefix|suffix` syntax) cannot be used in the argument to this function when using template program mode."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- assigns val to id, then returns val. id must be an identifier, not an expression"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37581,30 +37656,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- prints the arguments to standard output. Unless you start calibre from the command line (calibre-debug -g), the output will go to a black hole."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- returns the metadata field named by name"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- returns the metadata field named by name without applying any formatting."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- returns the metadata list named by name without applying any formatting or sorting and with items separated by separator."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37614,7 +37689,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- returns the start'th through the end'th characters of str. The first character in str is the zero'th character. If end is negative, then it indicates that many characters counting from the right. If end is zero, then it indicates the last character. For example, substr('12345', 1, 0) returns '2345', and substr('12345', 1, -1) returns '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37624,24 +37699,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch, except the arguments are field (metadata) names, not text. The value of the appropriate field will be fetched and used. Note that because composite columns are fields, you can use this function in one composite field to use the value of some other composite field. This is extremely useful when constructing variable save paths"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup requires either 2 or an odd number of arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, text if not empty, text if empty) -- return `text if not empty` if val is not empty, otherwise return `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) -- checks if val contains matches for the regular expression `pattern`. Returns `text if match` if matches are found, otherwise it returns `text if no match`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37650,11 +37725,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- for each `pattern, value` pair, checks if `val` matches the regular expression `pattern` and if so, returns that `value`. If no pattern matches, then `else_value` is returned. You can have as many `pattern, value` pairs as you want"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch requires an odd number of arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37664,19 +37739,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed by concatenating the arguments. The returned value is initialized to string1. `Prefix, string` pairs are added to the end of the value, as long as the resulting string length is less than `max`. String1 is returned even if string1 is longer than max. You can pass as many `prefix, string` pairs as you wish."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max requires 2 or more arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max requires an even number of arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "first argument to strcat_max must be an integer"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37686,11 +37761,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37702,11 +37777,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37717,14 +37792,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list of identifiers separated by commas, comparing the string against each value in the list. An identifier has the format \"identifier:value\". The id parameter should be either \"id\" or \"id:regexp\". The first case matches if there is any identifier with that id. The second case matches if the regexp matches the identifier's value. If there is a match, return found_val, otherwise return not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37737,20 +37812,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a string made by applying the regular expression pattern to the val and replacing each matched instance with the string computed by replacing each matched group by the value returned by the corresponding template. The original matched value for the group is available as $. In template program mode, like for the template and the eval functions, you use [[ for { and ]] for }. The following example in template program mode looks for series with more than one word and uppercases the first word: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A B\". This is most useful for converting names in LN, FN format to FN LN. If there is no comma, the function returns val unchanged."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- return val if val is not empty, otherwise return `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37764,7 +37839,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- Return a shortened version of val, consisting of `left chars` characters from the beginning of val, followed by `middle text`, followed by `right chars` characters from the end of the string. `Left chars` and `right chars` must be integers. For example, assume the title of the book is `Ancient English Laws in the Times of Ivanhoe`, and you want it to fit in a space of at most 15 characters. If you use {title:shorten(9,-,5)}, the result will be `Ancient E-nhoe`. If the field's length is less than left chars + right chars + the length of `middle text`, then the field will be used intact. For example, the title `The Dome` would not be changed."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37772,7 +37847,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- interprets the value as a list of items separated by `separator`, returning the number of items in the list. Most lists use a comma as the separator, but authors uses an ampersand. Examples: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37781,14 +37856,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- interpret the value as a list of items separated by `separator`, returning the `index`th item. The first item is number zero. The last item can be returned using `list_item(-1,separator)`. If the item is not in the list, then the empty value is returned. The separator has the same meaning as in the count function."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- interpret the value as a comma-separated list of items, with the items being \"id:value\". Find the pair with the id equal to key, and return the corresponding value."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37801,19 +37876,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- return a comma-separated list of formats that at one point were associated with the book. There is no guarantee that this list is correct, although it probably is. This function can be called in template program mode using the template \"{:'approximate_formats()'}\". Note that format names are always uppercase, as in EPUB. This function works only in the GUI. If you want to use these values in save-to-disk or send-to-device templates then you must make a custom \"Column built from other columns\", use the function in that column's template, and use that column's value in your save/send templates"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "This function can be used only in the GUI"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37823,7 +37898,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- return a comma-separated list of colon-separated items representing modification times for the formats of a book. The date_format parameter specifies how the date is to be formatted. See the format_date function for details. You can use the select function to get the mod time for a specific format. Note that format names are always uppercase, as in EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37831,7 +37906,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- return a comma-separated list of colon-separated items representing sizes in bytes of the formats of a book. You can use the select function to get the size for a specific format. Note that format names are always uppercase, as in EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37839,13 +37914,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- return a comma-separated list of colon-separated items representing full path to the formats of a book. You can use the select function to get the path for a specific format. Note that format names are always uppercase, as in EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- return a string representing the number v in KB, MB, GB, etc."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37856,7 +37931,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37869,7 +37944,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37886,7 +37961,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- This function is used to break apart lists of items such as genres. It interprets the value as a comma-separated list of items, where each item is a period-separated list. Returns a new list made by first finding all the period-separated items, then for each such item extracting the `start_index` to the `end_index` components, then combining the results back together. The first component in a period-separated list has an index of zero. If an index is negative, then it counts from the end of the list. As a special case, an end_index of zero is assumed to be the length of the list. Example using basic template mode and assuming a #genre value of \"A.B.C\": {#genre:subitems(0,1)} returns \"A\". {#genre:subitems(0,2)} returns \"A.B\". {#genre:subitems(1,0)} returns \"B.C\". Assuming a #genre value of \"A.B.C, D.E.F\", {#genre:subitems(0,1)} returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37909,23 +37984,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- format the value, which must be a date, using the format_string, returning a string. The formatting codes are: d    : the day as number without a leading zero (1 to 31) dd   : the day as number with a leading zero (01 to 31) ddd  : the abbreviated localised day name (e.g. \"Mon\" to \"Sun\"). dddd : the long localised day name (e.g. \"Monday\" to \"Sunday\"). M    : the month as number without a leading zero (1 to 12). MM   : the month as number with a leading zero (01 to 12) MMM  : the abbreviated localised month name (e.g. \"Jan\" to \"Dec\"). MMMM : the long localised month name (e.g. \"January\" to \"December\"). yy   : the year as two digit number (00 to 99). yyyy : the year as four digit number. h    : the hours without a leading 0 (0 to 11 or 0 to 23, depending on am/pm) hh   : the hours with a leading 0 (00 to 11 or 00 to 23, depending on am/pm) m    : the minutes without a leading 0 (0 to 59) mm   : the minutes with a leading 0 (00 to 59) s    : the seconds without a leading 0 (0 to 59) ss   : the seconds with a leading 0 (00 to 59) ap   : use a 12-hour clock instead of a 24-hour clock, with \"ap\" replaced by the localised string for am or pm AP   : use a 12-hour clock instead of a 24-hour clock, with \"AP\" replaced by the localised string for AM or PM iso  : the date with time and timezone. Must be the only format present."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- return val in upper case"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- return val in lower case"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- return val in title case"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- return val capitalized"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37934,7 +38009,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- return value of the size field. This function works only in the GUI. If you want to use this value in save-to-disk or send-to-device templates then you must make a custom \"Column built from other columns\", use the function in that column's template, and use that column's value in your save/send templates"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37943,55 +38018,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- return Yes if ondevice is set, otherwise return the empty string. This function works only in the GUI. If you want to use this value in save-to-disk or send-to-device templates then you must make a custom \"Column built from other columns\", use the function in that column's template, and use that column's value in your save/send templates"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- return the series sort value"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- return Yes if the book has a cover, otherwise return the empty string."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- returns the first value that is not empty. If all values are empty, then the empty value is returned. You can have as many values as you want."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, ...) -- returns the string \"1\" if all values are not empty, otherwise returns the empty string. This function works well with test or first_non_empty. You can have as many values as you want. "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) -- returns the string \"1\" if any value is not empty, otherwise returns the empty string. This function works well with test or first_non_empty. You can have as many values as you want."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- returns the string \"1\" if the value is empty, otherwise returns the empty string. This function works well with test or first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38000,7 +38075,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- return a list made by merging the items in list1 and list2, removing duplicate items using a case-insensitive comparison. If items differ in case, the one in list1 is used. The items in list1 and list2 are separated by separator, as are the items in the returned list."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38008,7 +38083,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- return a list made by removing from list1 any item found in list2, using a case-insensitive comparison. The items in list1 and list2 are separated by separator, as are the items in the returned list."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38016,7 +38091,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- return a list made by removing from list1 any item not found in list2, using a case-insensitive comparison. The items in list1 and list2 are separated by separator, as are the items in the returned list."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38024,7 +38099,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- return list sorted using a case-insensitive sort. If direction is zero, the list is sorted ascending, otherwise descending. The list items are separated by separator, as are the items in the returned list."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38033,7 +38108,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if list1 and list2 contain the same items, otherwise return no_val. The items are determined by splitting each list using the appropriate separator character (sep1 or sep2). The order of items in the lists is not relevant. The comparison is case insensitive."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38042,7 +38117,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by first separating src_list into items using the separator character. For each item in the list, check if it matches include_re. If it does, then add it to the list to be returned. If opt_replace is not the empty string, then apply the replacement before adding the item to the returned list."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38050,14 +38125,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Like list_re except replacements are not optional. It uses re_group(list_item, search_re, group_1_template, ...) when doing the replacements on the resulting list."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- return a date string for today. This value is designed for use in format_date or days_between, but can be manipulated like any other string. The date is in ISO format."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38065,7 +38140,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- return the number of days between date1 and date2. The number is positive if date1 is greater than date2, otherwise negative. If either date1 or date2 are not dates, the function returns the empty string."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38073,28 +38148,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- return the strings for the language codes passed in lang_codes. If localize is zero, return the strings in English. If localize is not zero, return the strings in the language of the current locale. Lang_codes is a comma-separated list."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- return the language codes for the strings passed in lang_strings. The strings must be in the language of the current locale. Lang_strings is a comma-separated list."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- return the last name on the path to the current calibre library. This function can be called in template program mode using the template \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- return the path to the current calibre library. This function can be called in template program mode using the template \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38103,7 +38178,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and suffix to a value in the same way as done in a template like `{series_index:05.2f| - |- }`. For example, the following program produces the same output as the above template: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38121,7 +38196,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- return a comma-separated list of the user categories that contain this book. This function works only in the GUI. If you want to use these values in save-to-disk or send-to-device templates then you must make a custom \"Column built from other columns\", use the function in that column's template, and use that column's value in your save/send templates"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38129,7 +38204,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Returns a string in a latin alphabet formed by approximating the sound of the words in the source string. For example, if the source is \"{0}\" the function returns \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38141,7 +38216,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- returns a string containing a list of authors and that author's link values in the form author1 val_separator author1link pair_separator author2 val_separator author2link etc. An author is separated from its link value by the val_separator string with no added spaces. author:linkvalue pairs are separated by the pair_separator string argument with no added spaces. It is up to you to choose separator strings that do not occur in author names or links. An author is included even if the author link is empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38152,7 +38227,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- returns a string containing a list of author's sort values for the authors of the book. The sort is the one in the author metadata (different from the author_sort in books). The returned list has the form author sort 1 val_separator author sort 2 etc. The author sort values in this list are in the same order as the authors of the book. If you want spaces around val_separator then include them in the separator string"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38160,13 +38235,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38174,7 +38249,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38187,11 +38262,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38199,11 +38274,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38212,7 +38287,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38223,7 +38298,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38233,6 +38308,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38521,29 +38602,29 @@ msgstr "Close without Saving"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Extra characters at end of search"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "missing )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Failed to parse query, recursion limit reached: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Recursive saved search: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Unknown error in saved search: {0}"
@@ -38906,185 +38987,185 @@ msgstr "Any link that matches this regul
 msgid "Do not download CSS stylesheets."
 msgstr "Do not download CSS stylesheets."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Save All"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Open"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Yes"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Yes to &All"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&No"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&o to All"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Abort"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Retry"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Close"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Apply"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Reset"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Restore Defaults"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Hu&e:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sat:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Val:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Red:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Green:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Bl&ue:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lpha channel:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Cursor at %1, %2\nPress ESC to cancel"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Select Colour"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Basic colours"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Custom colours"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Add to Custom Colours"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Pick Screen Colour"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Select Font"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Font"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Font st&yle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Size"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Effects"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Stri&keout"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Sample"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Wr&iting System"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Scroll left"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Scroll up"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Scroll down"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Scroll right"
 
@@ -39364,8 +39445,8 @@ msgstr "Specify renaming rules for SONY
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Specify renaming rules for sony collections. This tweak is only applicable if\nmetadata management is set to automatic. Collections on Sonys are named\ndepending upon whether the field is standard or custom. A collection derived\nfrom a standard field is named for the value in that field. For example, if\nthe standard 'series' column contains the value 'Darkover', then the\ncollection name is 'Darkover'. A collection derived from a custom field will\nhave the name of the field added to the value. For example, if a custom series\ncolumn named 'My Series' contains the name 'Darkover', then the collection\nwill by default be named 'Darkover (My Series)'. For purposes of this\ndocumentation, 'Darkover' is called the value and 'My Series' is called the\ncategory. If two books have fields that generate the same collection name,\nthen both books will be in that collection.\nThis set of tweaks lets you specify for a standard or custom field how\nthe collections are to be named. You can use it to add a description to a\nstandard field, for example 'Foo (Tag)' instead of the 'Foo'. You can also use\nit to force multiple fields to end up in the same collection. For example, you\ncould force the values in 'series', '#my_series_1', and '#my_series_2' to\nappear in collections named 'some_value (Series)', thereby merging all of the\nfields into one set of collections.\nThere are two related tweaks. The first determines the category name to use\nfor a metadata field.  The second is a template, used to determines how the\nvalue and category are combined to create the collection name.\nThe syntax of the first tweak, sony_collection_renaming_rules, is:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nThe second tweak, sony_collection_name_template, is a template. It uses the\nsame template language as plugboards and save templates. This tweak controls\nhow the value and category are combined together to make the collection name.\nThe only two fields available are {category} and {value}. The {value} field is\nnever empty. The {category} field can be empty. The default is to put the\nvalue first, then the category enclosed in parentheses, it isn't empty:\n'{value} {category:|(|)}'\nExamples: The first three examples assume that the second tweak\nhas not been changed.\n1: I want three series columns to be merged into one set of collections. The\ncolumn lookup names are 'series', '#series_1' and '#series_2'. I want nothing\nin the parenthesis. The value to use in the tweak value would be:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: I want the word '(Series)' to appear on collections made from series, and\nthe word '(Tag)' to appear on collections made from tags. Use:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: I want 'series' and '#myseries' to be merged, and for the collection name\nto have '(Series)' appended. The renaming rule is:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: Same as example 2, but instead of having the category name in parentheses\nand appended to the value, I want it prepended and separated by a colon, such\nas in Series: Darkover. I must change the template used to format the category name\nThe resulting two tweaks are:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39421,7 +39502,7 @@ msgstr "Specify how SONY collections are
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39436,7 +39517,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Specify how sony collections are sorted. This tweak is only applicable if\nmetadata management is set to automatic. You can indicate which metadata is to\nbe used to sort on a collection-by-collection basis. The format of the tweak\nis a list of metadata fields from which collections are made, followed by the\nname of the metadata field containing the sort value.\nExample: The following indicates that collections built from pubdate and tags\nare to be sorted by the value in the custom column '#mydate', that collections\nbuilt from 'series' are to be sorted by 'series_index', and that all other\ncollections are to be sorted by title. If a collection metadata field is not\nnamed, then if it is a series- based collection it is sorted by series order,\notherwise it is sorted by title order.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nNote that the bracketing and parentheses are required. The syntax is\n[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\nDefault: empty (no rules), so no collection attributes are named."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/eo.po 5.10.0+dfsg-1/translations/calibre/eo.po
--- 5.9.0+dfsg-3/translations/calibre/eo.po	2021-01-06 15:30:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/eo.po	2021-01-20 15:27:06.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -91,15 +91,15 @@ msgstr "Faras absolute nenion"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -120,7 +120,7 @@ msgstr "Faras absolute nenion"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -220,16 +220,16 @@ msgstr "Faras absolute nenion"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -255,7 +255,7 @@ msgstr "Faras absolute nenion"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -287,7 +287,7 @@ msgstr "Faras absolute nenion"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -306,7 +306,7 @@ msgstr "Faras absolute nenion"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -330,27 +330,27 @@ msgstr "Adapti"
 msgid "Cannot configure"
 msgstr "Ne eblas agordi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Dosiertipo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Legilo de metadatumoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Skribilo de metadatumoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generilo de katalogo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "fasada ago"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -362,20 +362,20 @@ msgstr "fasada ago"
 msgid "Preferences"
 msgstr "Agordoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Butiko"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Bitlibra butiko"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "bitlibrilo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Biblioteko fermita"
 
@@ -397,372 +397,372 @@ msgstr "Krei TXTZ arkivon, kiam dosiero
 msgid "Extract cover from comic files"
 msgstr "Elpreni la kovrilon el bildstriaj dosieroj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Legi metadatumojn el %s dosieroj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Legu metadatumojn el bitlibroj de RAR arkivoj "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Legu metadatumojn el bitlibroj de ZIP arkivoj "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Meti metadatumojn en dosieroj %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Enigu {0} malsupre por havi la plugin verkisto de metadatumo EPUB ne aldoni de kovrilo bildo por dosieroj EPUB ke havas neniun ekzistantan kovrilo bildo."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Meti metadatumojn el dosieroj %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Aldonu librojn al calibre aŭ la konektita aparato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Alportu notojn el konektita Kindle (eksperimenta)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Generu libran katalogon en via biblioteko de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "konverti librojn el diversaj bitlibraj dosierformoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "agordeti viajn bitlibrojn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Editu la Listo de Enhavoj en viaj libroj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "forigu bitlibrojn de via biblioteko de calibre aŭ de konektita aparato  "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Endosierigi ĝisdatigitaj metadatumojn al la dosieroj de la libroj en via biblioteko de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editu librajn metadatumojn en via biblioteko de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Legi librojn en via biblioteko en calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Elŝuti novaĵojn en bitlibra formato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Montri liston de rilataj libroj rapide"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "filtri/transformi etikedojn por libroj en la biblioteko"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "transformi la aŭtorojn por libroj en la biblioteko"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Montru redaktilon por testi ŝablonoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Eksportu librojn de via biblioteko de calibre al fiksita disko"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Montru librodetalojn en aparta ŝprucfenestro "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "reŝarĝi na calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "malfermu la dosierujon kiu enhavas la librodosierojn de via biblioteko de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Sendu librojn al konektitaj aparatoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Sendu librojn per retpoŝto aŭ perrete. Ankaŭ konekti al dosierujoj en via komputilo kvazaŭ estus aparato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Foliumu manlibron por uzantoj de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Adapti calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Facile trovi librojn similajn al la nuna elektito"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Ŝanĝi inter malsamaj bibliotekoj de calibre kaj efektivigi datumbazan flegadon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopiu librojn de la aparato al la biblioteko calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopiu libron el unu biblioteko de calibre al alia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Redakti librojn en EPUB aŭ AZW3 formato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Faru ŝanĝetojn al EPUB aŭ HTMLZ dosieroj en via biblioteko de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Trovu la sekvan aŭ antaŭan kongruaĵon kiam serĉante en bilbioteko de calibre per priluma reĝimo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Elektu hazardan libron el via biblioteko de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Klasu la liston de libroj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Dumtempe marki libron"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Ŝanĝi al alia biblioteko Virtuala"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Serĉu librojn el diversaj librovendistoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Akiri novanj kromprogramojn aŭ ĝisdatigu la ekzistantajn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Aspekto kaj etoso"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Fasado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr " Ĝustigi la aspekto kaj etoso de la fasado al viaj gustoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Konduto"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Ŝanĝi konduton de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Aldonu propran kolumnon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Aldoni/forigi proprajn kolumnojn al la librolisto de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "ilobretoj k menuoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Adapti la ilobretojn kaj menuojn, ŝanĝante ajnajn eblajn agojn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Ŝerĉado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Adaptu libroserĉan funciadon en calibre "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Enigagordoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konvertado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Agordi konvertilon laŭ eniga dosierformato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Oftaj ebloj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Agordi konvertilon laŭ ajna eniga dosierformato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Eligaj ebloj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Agordi konvertilon laŭ eliga dosierformato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Aldonante librojn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Enporto/Elporto"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Kontroli kiel calibre legas metadatumojn el libroj kiam aldoniĝas libro"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "konservi libron al disko"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Kontroli kiel calibre elportas dosierojn el datumbazo al disko kiam elektas na Konservi al disko"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Sendi librojn al aparatoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Kontroli kiel calibre transdonas dosierojn al la bitlibra legilo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Ŝanĝi metadatumajn kampojn antaŭ konservi/sendi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -772,92 +772,92 @@ msgstr "Ŝanĝi metadatumajn kampojn ant
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Disdoni librojn retpoŝte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Disdonado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Agordi la disdonadon de libroj per retpoŝto. Faciligas aŭtomatan sendadon de elŝutataj novaĵoj al viaj aparatoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Disdoni per reto"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Elŝuto de metadatumoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Agordi kiel calibre elŝutas metadatumojn de la reto"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Aldoni/forigi/adapti diversaj funkcieroj de calibre "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Adapti la fulmoklavojn kiujn uzas calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -865,7 +865,7 @@ msgstr "Adapti la fulmoklavojn kiujn uza
 msgid "Miscellaneous"
 msgstr "Diversaĵoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1255,9 +1255,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1283,17 +1283,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Jes"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Kovrilo por %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formato por {1}"
@@ -1679,14 +1679,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1694,7 +1694,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1702,39 +1702,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2281,21 +2281,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3471,11 +3471,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3484,12 +3484,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6044,7 +6044,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6337,7 +6337,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6345,7 +6345,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6385,7 +6385,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6415,7 +6415,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8145,13 +8145,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8184,31 +8184,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9177,7 +9177,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10186,7 +10186,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11445,7 +11445,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11575,8 +11575,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11710,11 +11710,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11857,7 +11857,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12184,7 +12184,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12261,7 +12261,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12270,10 +12270,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12386,8 +12386,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13573,7 +13573,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13588,8 +13588,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14456,7 +14456,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14797,19 +14797,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14883,8 +14883,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14965,7 +14965,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16545,7 +16545,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16553,7 +16553,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16561,7 +16561,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16569,7 +16569,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16603,7 +16603,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17024,78 +17024,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17103,7 +17103,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17113,7 +17113,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17128,80 +17128,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17209,90 +17218,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17300,281 +17304,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17582,48 +17608,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18079,42 +18105,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18220,87 +18246,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr "Malsukcesis ripari bibliotekon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19198,48 +19224,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20303,7 +20345,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20462,8 +20504,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20480,14 +20522,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22707,60 +22749,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22768,57 +22810,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23660,13 +23702,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23700,7 +23742,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23981,7 +24023,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24673,7 +24715,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25242,7 +25284,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25377,7 +25419,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25388,7 +25430,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26901,7 +26943,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27192,7 +27234,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27252,95 +27294,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27997,7 +28039,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28528,7 +28571,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30766,7 +30809,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32093,7 +32136,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32720,7 +32763,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34594,71 +34637,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35112,7 +35155,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35188,13 +35231,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35359,10 +35402,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36003,7 +36046,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36052,7 +36095,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36529,177 +36572,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37107,13 +37181,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37121,23 +37196,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37150,7 +37225,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37309,128 +37384,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37485,60 +37560,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37550,7 +37625,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37561,13 +37636,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37577,30 +37652,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37610,7 +37685,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37620,24 +37695,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37646,11 +37721,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37660,19 +37735,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37682,11 +37757,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37698,11 +37773,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37713,14 +37788,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37733,20 +37808,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37760,7 +37835,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37768,7 +37843,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37777,14 +37852,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37797,19 +37872,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37819,7 +37894,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37827,7 +37902,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37835,13 +37910,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37852,7 +37927,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37865,7 +37940,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37882,7 +37957,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37905,23 +37980,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37930,7 +38005,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37939,55 +38014,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37996,7 +38071,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38004,7 +38079,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38012,7 +38087,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38020,7 +38095,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38029,7 +38104,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38038,7 +38113,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38046,14 +38121,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38061,7 +38136,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38069,28 +38144,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38099,7 +38174,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38108,7 +38183,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38117,7 +38192,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38125,7 +38200,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38137,7 +38212,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38148,7 +38223,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38156,13 +38231,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38170,7 +38245,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38183,11 +38258,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38195,11 +38270,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38208,7 +38283,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38219,7 +38294,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38229,6 +38304,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38517,29 +38598,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38902,185 +38983,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Fermi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39360,8 +39441,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39417,7 +39498,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/es_MX.po 5.10.0+dfsg-1/translations/calibre/es_MX.po
--- 5.9.0+dfsg-3/translations/calibre/es_MX.po	2021-01-06 15:30:02.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/es_MX.po	2021-01-20 15:27:40.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -90,15 +90,15 @@ msgstr "Actualmente no hace absolutament
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -119,7 +119,7 @@ msgstr "Actualmente no hace absolutament
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -219,16 +219,16 @@ msgstr "Actualmente no hace absolutament
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -254,7 +254,7 @@ msgstr "Actualmente no hace absolutament
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -286,7 +286,7 @@ msgstr "Actualmente no hace absolutament
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -305,7 +305,7 @@ msgstr "Actualmente no hace absolutament
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -329,27 +329,27 @@ msgstr "Personalizar"
 msgid "Cannot configure"
 msgstr "No se puede configurar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tipo de archivo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lector de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Escritor de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generador de catálogo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -361,20 +361,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Preferencias"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Tienda"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -396,372 +396,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Extraer cubierta a partir de archivos de historietas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Leer metadatos de %s archivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Establecer metadatos en %s archivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Establecer metadatos de %s archivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Agregar libros a calibre o al dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Buscar anotaciones de un Kindle conectado (experimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Editar la Tabla de Contenidos en tus libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Elimitar libros de tu biblioteca de Calibre o dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editar los metadatos de libros en tu biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Leer libros en tu biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Mostrar una lista de libros parecidos rápidamente"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Mostrar un editor para probar tus plantillas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportar libros de tu biblioteca calibre a tu disco duro"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Reiniciar calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Abrir la carpeta que contiene los archivos del libro en tu biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Enviar libros a el dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Explorar el Manual de Usuario de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personalizar calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Encontrar fácilmente libros similares al seleccionado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Cambiar entre diferentes bibliotecas calibre y darles mantenimiento"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copiar libros de un dispositivo a tu biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Editar las colecciones que serán copiadas a tu dispositivo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Sincronizar los libros de tus dispositivos a los de tu biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copiar un libro de una biblioteca calibre a otra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Elegir un libro aleatorio en tu biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Ordenar la lista de libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marcar libros temporalmente"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Buscar libros en diferentes tiendas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfaz"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportamiento"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Cambiar la forma en la que se comporta calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Agregar tus propias columnas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Agregar/quitar tus propias columnas a/de la lista de libros calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Personalizar las barras de herramientas y menús contextuales, cambiando qué acciones están disponibles en cada uno"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Buscando"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personalizar la forma en la que calibre busca libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversión"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -771,92 +771,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -864,7 +864,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1254,9 +1254,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1282,17 +1282,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Si"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1678,14 +1678,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1693,7 +1693,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1701,39 +1701,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2280,21 +2280,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3470,11 +3470,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3483,12 +3483,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6043,7 +6043,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6336,7 +6336,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6344,7 +6344,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6384,7 +6384,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6414,7 +6414,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8144,13 +8144,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8183,31 +8183,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9176,7 +9176,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10185,7 +10185,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11444,7 +11444,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11574,8 +11574,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11709,11 +11709,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11856,7 +11856,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12183,7 +12183,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12260,7 +12260,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12269,10 +12269,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Eliminar"
@@ -12385,8 +12385,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13572,7 +13572,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13587,8 +13587,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14455,7 +14455,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14796,19 +14796,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14882,8 +14882,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14964,7 +14964,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16544,7 +16544,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16552,7 +16552,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16560,7 +16560,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16568,7 +16568,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16602,7 +16602,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17023,78 +17023,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17102,7 +17102,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17112,7 +17112,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17127,80 +17127,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17208,90 +17217,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17299,281 +17303,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17581,48 +17607,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18078,42 +18104,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18219,87 +18245,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19197,48 +19223,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20302,7 +20344,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20461,8 +20503,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20479,14 +20521,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22706,60 +22748,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22767,57 +22809,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23659,13 +23701,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23699,7 +23741,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23980,7 +24022,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "inhabilitar"
 
@@ -24672,7 +24714,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25241,7 +25283,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25376,7 +25418,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25387,7 +25429,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26900,7 +26942,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27191,7 +27233,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27251,95 +27293,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "particion"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27996,7 +28038,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28527,7 +28570,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30765,7 +30808,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32092,7 +32135,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32719,7 +32762,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34593,71 +34636,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35111,7 +35154,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35187,13 +35230,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35358,10 +35401,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Cancelar"
 
@@ -36002,7 +36045,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36051,7 +36094,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36528,177 +36571,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37106,13 +37180,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37120,23 +37195,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37149,7 +37224,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37308,128 +37383,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37484,60 +37559,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37549,7 +37624,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37560,13 +37635,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37576,30 +37651,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37609,7 +37684,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37619,24 +37694,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37645,11 +37720,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37659,19 +37734,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37681,11 +37756,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37697,11 +37772,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37712,14 +37787,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37732,20 +37807,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37759,7 +37834,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37767,7 +37842,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37776,14 +37851,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37796,19 +37871,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37818,7 +37893,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37826,7 +37901,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37834,13 +37909,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37851,7 +37926,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37864,7 +37939,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37881,7 +37956,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37904,23 +37979,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37929,7 +38004,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37938,55 +38013,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37995,7 +38070,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38003,7 +38078,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38011,7 +38086,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38019,7 +38094,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38028,7 +38103,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38037,7 +38112,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38045,14 +38120,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38060,7 +38135,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38068,28 +38143,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38098,7 +38173,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38107,7 +38182,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38116,7 +38191,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38124,7 +38199,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38136,7 +38211,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38147,7 +38222,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38155,13 +38230,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38169,7 +38244,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38182,11 +38257,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38194,11 +38269,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38207,7 +38282,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38218,7 +38293,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38228,6 +38303,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38516,29 +38597,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38901,185 +38982,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "cerrar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39359,8 +39440,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39416,7 +39497,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/es.po 5.10.0+dfsg-1/translations/calibre/es.po
--- 5.9.0+dfsg-3/translations/calibre/es.po	2021-01-06 15:31:52.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/es.po	2021-01-20 15:26:33.000000000 +0000
@@ -36,8 +36,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-05 10:49+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 09:48+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -116,15 +116,15 @@ msgstr "No hace absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -145,7 +145,7 @@ msgstr "No hace absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -245,16 +245,16 @@ msgstr "No hace absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -280,7 +280,7 @@ msgstr "No hace absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -312,7 +312,7 @@ msgstr "No hace absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -331,7 +331,7 @@ msgstr "No hace absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -355,27 +355,27 @@ msgstr "Personalizar"
 msgid "Cannot configure"
 msgstr "No se puede configurar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tipo de archivo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lector de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Escritor de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generador de catálogo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Acción de interfaz de usuario"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -387,20 +387,20 @@ msgstr "Acción de interfaz de usuario"
 msgid "Preferences"
 msgstr "Preferencias"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Tienda"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Una tienda de libros electrónicos."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Herramienta para modificar libro"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Biblioteca cerrada"
 
@@ -422,372 +422,372 @@ msgstr "Crear un archivo TXTZ cuando se
 msgid "Extract cover from comic files"
 msgstr "Extraer portada de los archivos de cómic"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Leer metadatos desde archivos %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Leer metadatos de libros electrónicos en archivadores RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Leer metadatos de libros electrónicos en archivadores ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Asignar metadatos a los archivos %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Introduzca {0} más abajo para que el complemento de escritura de metadatos EPUB no añada imágenes de portada a los archivos EPUB que no tengan ya una imagen de portada."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Asignar metadatos desde archivos %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Añadir libros a calibre o al dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Obtener anotaciones de un Kindle conectado (experimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Generar un catálogo de los libros en la biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Convertir libros a distintos formatos de libro electrónico"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Ponga a punto sus libros electrónicos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Explorar resaltados y marcadores de todos los libros de la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Editar el índice de los libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Eliminar libros de la biblioteca de calibre o del dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Incluir los metadatos actualizados en los archivos de libro de la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Modificar los metadatos de los libros de la biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Leer libros de la biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Descargar noticias desde Internet en forma de libro electrónico"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Mostrar rápidamente una lista de libros relacionados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtrar o transformar las etiquetas de los libros en la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Transformar los autores de los libros en la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Mostrar el editor para prueba de plantillas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Mostrar un cuadro de diálogo para crear y administrar funciones de plantilla y plantillas guardadas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportar libros de la biblioteca de calibre al disco duro"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Mostrar los detalles del libro en una ventana emergente separada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Reiniciar calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Abrir la carpeta que contiene los archivos de los libros de la biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Enviar libros al dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Enviar libros por correo electrónico. También conectar a carpetas locales como si fueran dispositivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Explorar el manual de usuario de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personalizar calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Encontrar libros parecidos al seleccionado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Alternar entre distintas bibliotecas de calibre y realizar labores de mantenimiento sobre ellas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copiar libros del dispositivo a la biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Modificar las colecciones donde se colocan los libros en el dispositivo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Asociar libros en los dispositivos con libros en la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Mostrar en libro en la biblioteca de calibre que lo contiene"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copiar un libro de una biblioteca de calibre a otra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Modificar libros en formato EPUB o AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Hacer pequeños cambios en libros en formato EPUB o HTMLZ de la biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Ir a la siguiente o anterior coincidencia al buscar en la biblioteca de calibre en modo de resaltado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Elegir un libro aleatorio de la biblioteca de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Ordenar la lista de libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marcar libros temporalmente"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Cambiar la biblioteca virtual actual"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Buscar libros de distintos vendedores"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Obtener nuevos complementos de calibre o actualizar los existentes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Apariencia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfaz"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Ajustar la apariencia de la interfaz de calibre para que se adapte a sus gustos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportamiento"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Cambiar el modo que se comporta calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Añadir columnas personalizadas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Añadir o eliminar sus propias columnas en la lista de libros de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Barras de herramientas y menús"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Personalizar las barras de herramientas y los menús de contexto, cambiando las acciones que estarán disponibles en cada uno"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Búsqueda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personalizar el modo en que funcionan las búsquedas de libros en calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Opciones de entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversión"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Establecer las opciones de conversión específicas de cada formato de entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Opciones comunes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Establecer las opciones de conversión comunes para todos los formatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Opciones de salida"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Establecer las opciones específicas de conversión para cada formato de salida"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Añadir libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importar y exportar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Controlar la manera en que calibre lee los metadatos de los archivos al añadir libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Guardar libros en disco"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Controlar la manera en que calibre exporta archivos de su base de datos a disco cuando se utiliza la opción «Guardar libros en disco»"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Enviar libros a dispositivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Controlar la manera en que calibre transfiere los archivos a su lector de libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Panel de conexiones de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Cambiar los campos de metadatos antes de guardar o enviar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -797,92 +797,92 @@ msgstr "Cambiar los campos de metadatos
 msgid "Template functions"
 msgstr "Funciones de plantilla"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avanzado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Crear sus propias funciones de plantilla"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Compartir libros por correo electrónico"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Compartir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Configurar el modo de compartir libros por correo electrónico. Puede usarse para enviar automáticamente las noticias descargadas a sus dispositivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Compartir por la red"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Configurar el servidor de contenido de calibre, que le dará acceso a la biblioteca de calibre en cualquier lugar, con cualquier dispositivo, a través de Internet."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Descarga de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Controlar cómo descarga calibre los metadatos desde la red"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Dispositivos ignorados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Controlar qué dispositivos ignorará calibre cuando se conecten al ordenador."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Complementos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Añadir, eliminar y configurar las diversas funciones de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Ajustes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Ajustar cómo se comporta calibre en diversos contextos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Atajos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Personalizar los atajos de teclado usados en calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -890,7 +890,7 @@ msgstr "Personalizar los atajos de tecla
 msgid "Miscellaneous"
 msgstr "Miscelánea"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Configuración miscelánea avanzada"
 
@@ -1280,9 +1280,9 @@ msgstr "Volcando base de datos a SQL"
 msgid "Restoring database from SQL"
 msgstr "Restaurando la base de datos a partir de SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1308,17 +1308,17 @@ msgstr "Búsquedas guardadas"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Sí"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Portada para %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "Formato {0} para {1}"
@@ -1704,14 +1704,14 @@ msgstr "Si se especifica esta opción, s
 msgid "You must specify some ids or the %s option"
 msgstr "Debe especificar algún ID o la opción %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [opciones]\n\nLista de los libros disponibles en la base de datos de calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1719,7 +1719,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Los campos que se mostrarán cuando se listen los libros en la base de datos. Debe ser una lista de campos separada por comas.\nCampos disponibles: %s\nValor predeterminado: %%default. El campo especial «all» puede usarse para seleccionar todos los campos. Además de los campos incorporados anteriores, también están disponibles los campos personalizados como *nombre_campo; por ejemplo, para un campo personalizado llamado #puntos, use el nombre: *puntos"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1727,39 +1727,39 @@ msgid ""
 "Default: {1}"
 msgstr "El campo por el que se ordenan los resultados.\nCampos disponibles: {0}\nValor predeterminado: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Ordenar los resultados en orden ascendente"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrar los resultados según la consulta de búsqueda. Para el formato de la consulta de búsqueda acuda a la documentación relacionada con la búsqueda en el Manual de usuario. De manera predeterminada no se realiza el filtrado."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "La longitud máxima de las líneas en el archivo de salida. De manera predeterminada se toma la anchura de la pantalla."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "El texto usado para separar campos. El valor predeterminado es un espacio."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "El prefijo para todas las rutas de archivo. El valor predeterminado es la ruta absoluta de la carpeta de la biblioteca."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "El número máximo de resultados que se mostrará. Valor predeterminado: todos"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2306,21 +2306,21 @@ msgstr "blanco"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Consulta booleana «{0}» no válida"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "No existe la biblioteca virtual: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "La búsqueda de biblioteca virtual es recursiva: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Grupo de consulta recursivo detectado: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "plantilla de búsqueda: separador no válido o ausente. Los separadores válidos son: {}"
@@ -3496,11 +3496,11 @@ msgstr "%s eliminado"
 msgid "All books removed"
 msgstr "Se han eliminado todos los libros"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Dispositivo sin nombre"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3509,12 +3509,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "El dispositivo {0} no acepta conexiones. Desbloquee la pantalla del {0}, seleccione aceptar o permitir en el mensaje que aparezca y espere un minuto o reinicie calibre. Puede que también tenga que cambiar el modo de la conexión USB en el {0} a «Modo de transferencia de medios (MTP)» o algo parecido."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Dispositivo MTP desconocido"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6069,7 +6069,7 @@ msgstr "Notas"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6362,7 +6362,7 @@ msgid "Producer"
 msgstr "Productor"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6370,7 +6370,7 @@ msgid "Comments"
 msgstr "Comentarios"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6410,7 +6410,7 @@ msgid "Tags"
 msgstr "Etiquetas"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6440,7 +6440,7 @@ msgid "Timestamp"
 msgstr "Marca temporal"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8170,13 +8170,13 @@ msgstr "EPUB actualizado de versión 2 a
 msgid "HTML TOC generation options."
 msgstr "Opciones de generación del índice HTML."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} de <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8209,31 +8209,31 @@ msgstr "Generar un archivo «page-map»
 msgid "Sidebar"
 msgstr "Barra lateral"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Añadir encabezados y pies de página"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Encabezados y pies de página añadidos"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Todo el contenido procesado para la generación de código"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Transformación de código completada"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Todo el HTML volcado a PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Enlaces añadidos al contenido PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Metadatos del PDF actualizados"
 
@@ -9202,7 +9202,7 @@ msgstr "No se encontraron errores en la
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10211,7 +10211,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Ayuda"
 
@@ -11470,7 +11470,7 @@ msgid "Errors while adding"
 msgstr "Errores al añadir"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorar"
 
@@ -11600,8 +11600,8 @@ msgstr "Modificar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11735,11 +11735,11 @@ msgid "Search the internet for this book
 msgstr "Buscar este libro en internet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Administrar %s"
@@ -11882,7 +11882,7 @@ msgstr "Texto seleccionado"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12209,7 +12209,7 @@ msgid "Preset name:"
 msgstr "Nombre de configuración:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Debe proporcionar un nombre."
 
@@ -12286,7 +12286,7 @@ msgid "Save current catalog settings as
 msgstr "Guardar la configuración de catálogo actual"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Guardar"
 
@@ -12295,10 +12295,10 @@ msgid "Delete current preset"
 msgstr "Borrar configuración actual"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "E&liminar"
@@ -12411,8 +12411,8 @@ msgstr "Restablecer al valor predetermin
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13598,7 +13598,7 @@ msgid "Ta&gs:"
 msgstr "&Etiquetas:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13613,8 +13613,8 @@ msgstr "&Serie:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Lista de series conocidas. Se pueden añadir nuevas series."
@@ -14481,7 +14481,7 @@ msgid "Choose color"
 msgstr "Elegir color"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14822,19 +14822,19 @@ msgid "Edit style transform rules"
 msgstr "Modificar reglas de transformación de estilos"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xportar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Exportar estas reglas a un archivo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14908,8 +14908,8 @@ msgstr "Limpiar {}"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14990,7 +14990,7 @@ msgid ""
 msgstr "Normalmente las series se renumeran a partir del número mayor almacenado para la serie. Si marca esta casilla calibre comenzará la numeración a partir del valor del cuadro."
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16570,7 +16570,7 @@ msgid "Change case"
 msgstr "&Cambiar mayúsculas y minúsculas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16578,7 +16578,7 @@ msgid "Upper case"
 msgstr "Ma&yúsculas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16586,7 +16586,7 @@ msgid "Lower case"
 msgstr "&Minúsculas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16594,7 +16594,7 @@ msgid "Swap case"
 msgstr "&Intercambiar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16628,7 +16628,7 @@ msgid "Manage authors"
 msgstr "Administrar autores"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Buscar:"
@@ -17049,78 +17049,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Ocultar el mensaje de error restante"
 msgstr[1] "Ocultar los {} mensajes de error restantes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Procesando"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Procesando %d libros, espere..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Progreso del paso actual: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Paso %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Mayúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Formato de título (todas las iniciales en mayúscula)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Coincidencia de caracteres"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Expresión regular"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Sustituir campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Anteponer al campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Añadir al campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Modificar metadatos de un libro"
 msgstr[1] "Modificar metadatos de {} libros"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Hacer todos los cambios inmediatamente sin cerrar el cuadro de diálogo. Esta operación no se puede cancelar ni deshacer."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Libro %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Introduzca un tipo de identificador"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17128,7 +17128,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Puede destruir la biblioteca usando esta función.</b> Los cambios son permanentes. No hay vuelta atrás. Se recomienda encarecidamente realizar una copia de respaldo de la biblioteca antes de continuar.<p>Puede buscar y sustituir en los campos de texto utilizando coincidencias por caracteres o expresiones regulares. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17138,7 +17138,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "En el modo de caracteres, el texto introducido se busca en el campo. El texto se sustituye por el texto de sustitución especificado en cualquier lugar que se encuentre en el campo. Una vez finalizada la sustitución, el texto puede cambiarse a mayúsculas, minúsculas o  mayúscula inicial. Si la casilla de distinguir entre mayúsculas y minúsculas está marcada, el texto buscado debe coincidir exactamente. Si está desactivada, se encontrarán coincidencias tanto con mayúsculas como con minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17153,80 +17153,89 @@ msgid ""
 "function."
 msgstr "En el modo de expresiones regulares, el texto de búsqueda es una expresión regular compatible con Python. El texto de sustitución puede contener referencias a expresiones entre paréntesis en el patrón. La búsqueda no está anclada y puede producir múltiples sustituciones. Las funciones de modificación («lower-case», etc.) se aplican a las coincidencias de la búsqueda, no al campo completo. El cuadro de destino especifica el campo al que se asignará el resultado después de la búsqueda y sustitución. Puede reemplazar el texto del campo, o añadir la coincidencia al principio o al final. Vea <a href=\"https://docs.python.org/library/re.html\">esta referencia</a> para más información sobre las expresiones regulares de Python, y en particular sobre la función «sub»."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERROR DE PLANTILLA B/S"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Debe especificar un destino cuando el origen es un campo compuesto o una plantilla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "El valor de sustitución para una columna de calificación debe ser vacío o un número entero entre 0 y 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Debe especificar un tipo de identificador de destino"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Debe especificar una expresión de búsqueda en el campo «Buscar»"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Texto de identificador no válido. Debe ser una lista separada separada por comas de parejas de textos separados por «:»"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Buscar/sustituir no válido"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "La búsqueda/sustitución no es válida: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr "Portadas comprimidas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr "Las portadas se han comprimido un {percent:.1%} de un tamaño total original de {old} a {new}."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Borrar la búsqueda/sustitución guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "La búsqueda/sustitución guardada seleccionada se borrará. ¿Está seguro?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Guardar búsqueda/sustitución"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nombre de búsqueda/sustitución:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Esa búsqueda o sustitución guardada ya existe y será reemplazada. ¿Desea continuar?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Modificar metadatos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "&Aplicar la fecha"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autor(es): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17234,90 +17243,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Esto hará que el campo de orden de autor se actualice automáticamente\nsegún el campo de autores para cada libro seleccionado. Tenga en cuenta\nque si usa el control de arriba para establecer los autores en masa, el\ncampo de orden de autor se actualiza de todas formas, independientemente\ndel estado de esta casilla."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Establecer a&utomáticamente el orden de autor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "&Intercambiar título y autor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Actualizar el orden de título según el título actual. Esto se realizará después del resto de cambios de título."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "&Orden de autor: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Actualizar orden de &título"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Especifica cómo ordenar el o los autores de este libro. Por ejemplo, ordenar Miguel de Cervantes como Cervantes, Miguel de."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Cambiar &portada"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Valoración:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Generar portada predeterminada"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Aplicar calificación"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Eliminar portada"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Editorial: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Intentar detectar automáticamente y eliminar los bordes y el espacio sobrante en el exterior de las imágenes de portada. Usar con precaución, pues puede eliminar demasiado en ocasiones."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Si se activa, la editorial se dejará en blanco"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Recortar portada (ARRIESGADO)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Limpiar editorial"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Establecer a partir de los &archivos del libro"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Añadir eti&quetas: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Establecer la portada del primer libro seleccionado para todos los seleccionados."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Abrir editor de etiquetas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Copiar portadas"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Eli&minar etiquetas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Hace que el título tenga la inicial mayúscula. Si tanto esta casilla como la de intercambiar\nautor y título están marcadas, primero se intercambian y luego se cambia el título."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Lista de etiquetas, separadas por comas, para eliminar de los libros "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Cambiar &mayúsculas y minúsculas del título a:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Marque esta casilla para eliminar todas las etiquetas de los libros."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Fecha:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Eliminar &todos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Si se activa, la editorial se dejará en blanco"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Ser&ie:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Limpiar editorial"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Si está marcado, las series serán borradas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "P&ublicado:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Borrar la serie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17325,126 +17329,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Si no se marca, el número en la serie de los libros se pondrá a 1.\nSi se marca, los libros seleccionados se numerarán automáticamente,\nen el orden en que los haya seleccionado. Si ha seleccionado primero\nel libro A y luego el B, el libro A será el número 1 en la serie y el libro\nB será el número 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Numerar &automáticamente los libros de esta serie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Normalmente las series se renumeran a partir del número mayor almacenado para\nla serie. Si marca esta casilla calibre comenzará la numeración a partir del valor del cuadro."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Obligar a que los números empiecen por:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Si está marcado, las series serán borradas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Borrar la serie"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Controla cómo se crean las portadas generadas automáticamente"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Configurar generación de &portadas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Establecer co&mentario para todos los libros seleccionados"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Eli&minar etiquetas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Eliminar &todos"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Añadir eti&quetas: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Fecha:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Especifica cómo ordenar el o los autores de este libro. Por ejemplo, ordenar Miguel de Cervantes como Cervantes, Miguel de."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "&Aplicar la fecha"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Aplicar calificación"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "P&ublicado:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Borrar la fecha de publicación"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autor(es): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Idiomas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Editorial: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Lista de etiquetas, separadas por comas, para eliminar de los libros "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Abrir editor de etiquetas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "&Orden de autor: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Establecer los metadatos en calibre a partir de los metadatos en los archivos de libro electrónico asociados con cada libro. Tenga en cuenta que esto no cambia la portada, para ello use la opción aparte más abajo."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Establecer &metadatos (excepto portada) a partir de los archivos"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Ser&ie:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Eliminar configuraciones de conversión para los libros seleccionados.\n\nLas conversiones futuras de estos libros usarán las configuraciones predeterminadas."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Eliminar las &configuraciones de conversión guardadas para los libros seleccionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17453,153 +17392,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Al hacer una conversión al mismo formato, por ejemplo\nde EPUB a EPUB, calibre guarda el EPUB original como\nORIGINAL_EPUB. Esta opción hace que calibre recupere\nel EPUB de ORIGINAL_EPUB. Esto es útil si realiza una\nconversión en masa de un gran número de libros y algo\nsale mal."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Recuperar los &originales, si están disponibles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Marque esta casilla para eliminar todas las etiquetas de los libros."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Valoración:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Hace que el título tenga la inicial mayúscula. Si tanto esta casilla como la de intercambiar\nautor y título están marcadas, primero se intercambian y luego se cambia el título."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Cambiar &mayúsculas y minúsculas del título a:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Actualizar el orden de título según el título actual. Esto se realizará después del resto de cambios de título."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Actualizar orden de &título"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Establecer los metadatos en calibre a partir de los metadatos en los archivos de libro electrónico asociados con cada libro. Tenga en cuenta que esto no cambia la portada, para ello use la opción aparte más abajo."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Establecer &metadatos (excepto portada) a partir de los archivos"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Cambiar &portada"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Generar portada predeterminada"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Eliminar portada"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Intentar detectar automáticamente y eliminar los bordes y el espacio sobrante en el exterior de las imágenes de portada. Usar con precaución, pues puede eliminar demasiado en ocasiones."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Recortar portada (ARRIESGADO)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Establecer a partir de los &archivos del libro"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Establecer la portada del primer libro seleccionado para todos los seleccionados."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Copiar portadas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr "<p>Comprimir imágenes de portada, si la calidad es 100 la compresión es sin pérdidas, en caso contrario es con pérdidas."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr "Co&mprimir imágenes de portada:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr "<p>Calidad de compresión de imágenes de portada. Si la calidad es 100 la compresión es sin pérdidas, en caso contrario es con pérdidas."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Controla cómo se crean las portadas generadas automáticamente"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Configurar generación de &portadas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Establecer co&mentario para todos los libros seleccionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadatos &básicos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadatos &personalizados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "Cargar &búsqueda/sustitución:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Seleccione una búsqueda/sustitución guardada para cargar."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Guardar la búsqueda/sustitución actual"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Guardar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Campo de &búsqueda:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "El nombre del campo en el que desea buscar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Modo de &búsqueda:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Elija si desea usar el modo básico de búsqueda de texto o el modo avanzado de expresiones regulares"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Tipo de &identificador:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Elija el tipo de identificador sobre el que operar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Plantilla:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Introduzca una plantilla para usar como fuente de búsqueda y sustitución"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Introduzca lo que quiere buscar, en texto simple o como expresión regular, según el modo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marque esta casilla si el texto de búsqueda debe coincidir exactamente en mayúsculas o minúsculas. Desmárquela si las mayúsculas o minúsculas son indiferentes."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Distinguir &mayúsculas y minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Sustituir por:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "El texto de sustitución. Las coincidencias del texto buscado se sustituirán por este texto"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Aplicar función después de sustituir:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especifique cómo ha de procesarse el texto después de buscar y sustituir. En el modo de caracteres se procesa todo el texto. En el modo de expresiones regulares sólo se procesan las coincidencias de la búsqueda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Campo de destino:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "El campo donde se pondrá el texto después de todas las sustituciones.\nSi se deja en blanco, se usará el campo de origen si es modificable."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&odo:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especifica cómo debe copiarse el texto en el destino."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica si los resultados se dividen en múltiples valores o se dejan\ncomo uno solo. Esta opción tiene más efectos cuando el campo de origen\nno es múltiple y el de destino sí lo es."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Dividir &resultado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Tipo de identificador:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17607,48 +17633,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Elija el tipo de identificador sobre el que operar. Cuando el campo de origen es algo distinto de 'identifiers' puede introducir un «*» para sustituir el conjunto completo de identificadores por el resultado de la búsqueda y sustitución.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Para campos con &valores múltiples, mostrar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "val&ores a partir de"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "con valores separados &por"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Usado cuando se muestran resultados de prueba para separar los valores en campos con valores múltiples"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Texto de prueba"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Resultado de prueba"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Su &prueba:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "Bu&scar y sustituir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Si se activa, la lista de libros se reordenará y se actualizará\ncualquier búsqueda o biblioteca virtual después de\nrealizar una modificación. Esto puede resultar lento con\nbibliotecas muy grandes."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Actualizar lista de libros al modificar"
 
@@ -18104,42 +18130,42 @@ msgstr "Abrir libro en el visor"
 msgid "&Item: {0} ({1})"
 msgstr "&Elemento: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Pulse para mostrar sólo los libros con este elemento. Pulse dos veces para buscar este elemento en el explorador de etiquetas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**No se encontraron elementos**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Pulse sobre una columna en la vista de biblioteca para ver la información del libro"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Libros con el elemento seleccionado \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr "Pulse dos veces sobre un libro para cambiar su selección en la vista de biblioteca o cambiar la columna mostrada en el panel de la izquierda. Mantenga pulsada la tecla de mayúsculas o control para modificar los metadatos de un libro, lo que también cambia el libro seleccionado."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Algo salió mal al rellenar la tabla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Vista rápida: El libro no está en la vista de biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18245,87 +18271,87 @@ msgstr "La restauración de la base de d
 msgid "Failed to repair library"
 msgstr "Fallo al reparar la biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Añadir una nueva búsqueda guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Puede crear una <i>búsqueda guardada</i> para búsquedas usadas a menudo. La búsqueda estará visibile en <i>Búsquedas guardadas</i> en el explorador de etiquetas, con el nombre que especifique aquí."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "El nombre de la búsqueda guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Búsqueda:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "La expresión de búsqueda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "No hay nombre de búsqueda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Debe especificar un nombre para la búsqueda guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "No hay expresión de búsqueda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Debe especificar una expresión de búsqueda para la búsqueda guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Búsqueda guardada no válida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Administrar búsquedas guardadas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Añadir búsqueda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Eliminar búsqueda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Modificar búsqueda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "La búsqueda guardada actual se <b>borrará permanentemente</b>. ¿Está seguro?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Modificar el nombre o la expresión."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Modificar búsqueda guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Ya existe una búsqueda guardada con el nombre {}. Elija otro nombre"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Expresión de búsqueda"
 
@@ -19223,48 +19249,64 @@ msgstr "Etiqueta 1"
 msgid "Tag 2"
 msgstr "Etiqueta 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Cursillo del lenguaje de plantillas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Referencia de las funciones de plantillas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Seleccionar icono"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "EXCEPCIÓN: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Función de plantilla en Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr "Función de plantilla incorporada"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr "Función de plantilla"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr "Función de plantilla Python definida por el usuario"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr "Función de usuario"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Plantilla guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr "Plantilla guardada definida por el usuario"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "No hay ninguna columna elegida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Debe especificar una columna para colorear"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "No hay ninguna plantilla especificada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "El cuadro de plantilla no puede estar vacío"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "Una plantilla en modo de programa general"
 
@@ -20328,7 +20370,7 @@ msgstr "Buscar un atajo por nombre"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Sin coincidencias"
 
@@ -20487,8 +20529,8 @@ msgid "Show in calibre"
 msgstr "Mostrar en calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Modificar notas"
 
@@ -20505,14 +20547,14 @@ msgstr[0] "Borrar el elemento selecciona
 msgstr[1] "Borrar {} elementos seleccionados"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Expandir todo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Contraer todo"
 
@@ -22732,60 +22774,60 @@ msgstr "<li>Si la columna <b>%(col)s</b>
 msgid "value: "
 msgstr "valor:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Añadir regla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Eliminar regla(s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Mover la regla seleccionada hacia arriba"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Mover la regla seleccionada hacia abajo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Añadir regla a&vanzada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr "Regla du&plicada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr "Convertir a regla a&vanzada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr "Abrir directorio de iconos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importar reglas de un archivo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Puede controlar el color de las columnas en la lista de libros creando «reglas» que le indican a calibre qué color usar. Pulse en «Añadir regla» para empezar.<p>Puede <b>modificar una regla existente</b> pulsando dos veces sobre ella."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Puede añadir iconos a las columnas de la lista de libros creando «reglas» que le indican a calibre qué icono usar. Pulse el botón «Añadir regla» para comenzar.<p>Puede <b>modificar una regla existente</b> pulsando dos veces sobre ella."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22793,57 +22835,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Puede añadir emblemas (pequeños iconos) que se muestran en el lateral de las portadas en el cuadro de portadas creando «reglas» que le dicen a calibre qué imagen usar. Pulse el botón «Añadir regla» para comenzar.<p>Puede <b>modificar una regla existente</b> pulsando dos veces sobre ella."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Mostrar &emblemas junto a las portadas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Si se activa, puede hacer que calibre muestre los iconos que elija junto a las portadas en el cuadro de portadas, según los metadatos del libro."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr "Seleccionar una regla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr "Debe seleccionar una regla."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "No hay ninguna regla seleccionada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "No se seleccionó ninguna regla para %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "borrar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Elegir archivos donde exportar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Reglas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Elegir archivo para importar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "No se encontraron reglas válidas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "No se encontraron reglas válidas en {}."
 
@@ -23685,13 +23727,13 @@ msgstr "Sin subtítulo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Abajo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Arriba"
 
@@ -23725,7 +23767,7 @@ msgid "If there is enough room"
 msgstr "Si hay suficiente espacio"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Por la primera letra"
 
@@ -24006,7 +24048,7 @@ msgid ""
 msgstr "Calibre usa dos tipos de caché para mejorar el rendimiento al mostrar las portadas en la vista de cuadro. Un caché de disco que se almacena en el disco duro y contiene las miniaturas de las portadas, y un caché en memoria que evita que parpadeen las portadas. Para obtener un resultado óptimo, mantenga el caché de memoria pequeño y el de disco grande, a menos que tenga gran cantidad de memoria RAM en el equipo y no tenga inconveniente en usarla como caché de portadas."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Desactivar"
 
@@ -24698,8 +24740,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Aquí puede cambiar los metadatos que calibre usa para actualizar un libro cuando lo almacena en disco o lo envía a un dispositivo.\n\nUse este cuadro de diálogo para definir los «paneles de conexiones» para un formato (o todos los formatos) y un dispositivo (o todos los dispositivos). El panel de conexiones especifica qué plantilla se conectará con qué campo. La plantilla se usa para calcular un valor, y ese valor se asigna al campo enlazado.\n\nA menudo, las plantillas contendrán simples referencias a columnas compuestas, pero esto no es necesario. En el cuadro de entrada puede usar cualquier plantilla que pueda usar en cualquier otro lugar de calibre.\n\nUn posible uso para un panel de conexiones es modificar el título para incluir información de la serie. Otro podría ser cambiar el orden de autor, lo que los usuarios de mobi podrían encontrar útil para usar el carácter «;» requerido por el Kindle. Una tercera opción sería especificar el idioma."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr "Aquí puede cambiar los metadatos que calibre usa para actualizar un libro cuando lo almacena en disco o lo envía a un dispositivo.\n\nUse este cuadro de diálogo para definir los «paneles de conexiones» para un formato (o todos los formatos) y un dispositivo (o todos los dispositivos). El panel de conexiones especifica qué plantilla se conectará con qué campo. La plantilla se usa para calcular un valor, y ese valor se asigna al campo enlazado.\n\nA menudo, las plantillas contendrán simples referencias a columnas compuestas, pero esto no es necesario. En el cuadro de entrada puede usar cualquier plantilla que pueda usar en cualquier otro lugar de calibre.\n\nUn posible uso para un panel de conexiones es modificar el título para incluir información de la serie. Otro podría ser cambiar el orden de autor, lo que los usuarios de MOBI podrían encontrar útil para usar el carácter «;» requerido por el Kindle. Una tercera opción sería especificar el idioma."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25267,7 +25309,7 @@ msgid ""
 msgstr "Al requerir nombre de usuario y contraseña se evita que personas sin autorización accedan a la biblioteca de calibre. También es necesario para algunas funciones como hacer cambios en la biblioteca o sincronizar la posición de lectura o las anotaciones."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Cambiar contraseña para {}"
 
@@ -25402,7 +25444,7 @@ msgid "Change &password"
 msgstr "Cambiar &contraseña"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{} actualmente sólo tiene acceso a la biblioteca con nombre: {}"
@@ -25413,7 +25455,7 @@ msgid "Change the allowed libraries"
 msgstr "Cambiar las bibliotecas permitidas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} actualmente no tiene acceso a la biblioteca con nombre: {}"
@@ -26926,7 +26968,7 @@ msgid "Books in this category are unrate
 msgstr "Los libros en esta categoría no tienen calificación"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Expresión de búsqueda:"
 
@@ -27217,7 +27259,7 @@ msgstr "Cambiar el nombre de %s en la bi
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Cambiar el nombre de %s"
@@ -27277,95 +27319,95 @@ msgstr "Borrar búsqueda guardada %s"
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Eliminar %(item)s de la categoría %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr "Buscar %s y sus descendientes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Buscar todo menos %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr "Buscar todo excepto %s y sus descendientes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Buscar usando la expresión de búsqueda guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Añadir una subcategoría a %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Eliminar la categoría de usuario %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Buscar libros en la categoría %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Buscar libros que no están en la categoría %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr "Modificar valores permitidos para %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Ocultar categoría %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Cambiar icono de categoría"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Restaurar icono predeterminado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Administrar categorías de usuario"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Cambiar el método de división de categorías"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partición"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "La primera letra sólo puede usarse cuando se ordena por nombre"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Expandir o contraer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Expandir {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Expandir {0}  y sus descendientes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "Contraer {0}"
@@ -28022,7 +28064,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Los siguientes libros ya se han convertido al formato %s. ¿Quiere volver a convertirlos?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr "No se pudo encontrar speech-dispatcher en el sistema, instálelo."
 
@@ -28553,7 +28596,7 @@ msgid ""
 msgstr "Cuando termine de modificar {0} pulse «Importar» para actualizar el archivo en el libro o «Descartar» para descartar los cambios."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Descartar"
 
@@ -30791,7 +30834,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Cursiva</h3>Poner el texto seleccionado en cursiva"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Subrayado"
 
@@ -32118,7 +32161,7 @@ msgid "Disabled confirmations restored"
 msgstr "Confirmaciones desactivadas restablecidas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "El proceso Render se ha cerrado"
 
@@ -32745,7 +32788,7 @@ msgid "Export saved searches"
 msgstr "Exportar búsquedas guardadas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "E&xportar"
 
@@ -34619,71 +34662,71 @@ msgstr "Resaltados de calibre"
 msgid "highlights"
 msgstr "resaltados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "Modificar este resaltado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr "Modificar notas para este resaltado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] "Borrar este resaltado"
 msgstr[1] "Borrar los resaltados seleccionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] "Sección del índice:"
 msgstr[1] "Secciones del índice:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Pulse dos veces para ir a una entrada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Modificar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "Modificar el resaltado seleccionado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "Borrar los resaltados seleccionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "Exportar todos los resaltados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "No hay resaltados que coincidan con la búsqueda: {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "No hay ningún resaltado seleccionado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "No hay ningún resaltado seleccionado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] "¿Está seguro de querer borrar este resaltado permanentemente?"
 msgstr[1] "¿Está seguro de querer borrar todos los {} resaltados permanentemente?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "No hay resaltados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "Este libro no tiene resaltados para exportar"
 
@@ -35137,7 +35180,7 @@ msgid "E-book viewer"
 msgstr "Visor de libros electrónicos"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Desplazarse aquí"
 
@@ -35213,13 +35256,13 @@ msgstr "Fallo en la carga del libro"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "No se pudo abrir el libro en {0}. Pulse «Mostrar detalles» para más información."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "El proceso Qt WebEngine Render se ha cerrado. Pruebe a reiniciar el visor."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Elegir una imagen de fondo"
 
@@ -35384,10 +35427,10 @@ msgid "< &Back"
 msgstr "< &Atrás"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Cancelar"
 
@@ -36028,7 +36071,7 @@ msgid "No genres to catalog.\n"
 msgstr "No hay géneros para catalogar.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr "Compruebe la expresión regular «Géneros excluidos» en las opciones de libros.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36077,7 +36120,7 @@ msgstr "Ordenando títulos"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr "No hay libros para catalogar\nCompruebe las reglas «Libros excluidos» en las opciones de libros.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36554,177 +36597,208 @@ msgstr "La interfaz completa ofrece much
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} no es una dirección IP o red válida, con error: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr "nombre_de_usuario [contraseña]"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr "Dar sólo acceso de lectura a este usuario"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr "El nombre de usuario es obligatorio"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr "nombre de usuario"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr "Orden desconocida: {}"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr "Gestionar las cuentas de usuario para calibre-server. Las órdenes disponibles son:"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr "Use {} para obtener ayuda sobre órdenes individuales"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "¿Qué desea hacer?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "predeterminado"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "No se ha seleccionado ninguna opción, saliendo..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s no es una elección válida, pruebe de nuevo"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Nombres de usuario existentes:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "No hay usuarios, debe añadir un usuario antes"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "El nombre de usuario %s no existe"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Introduzca el nombre de usuario"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Introduzca la nueva contraseña para %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "No se permiten contraseñas en blanco"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Vuelva a introducir la nueva contraseña para %s, para verificarla:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Las contraseñas no coinciden"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "¡Usuario %s añadido con éxito!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "¿Está seguro de querer eliminar el usuario %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "¡Usuario %s eliminado con éxito!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "¡Contraseña para %s cambiada con éxito!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "La contraseña actual para {0} es: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Permitir hacer cambios a {} (dar permiso de escritura)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Prohibir hacer cambios a {} (quitar permiso de escritura)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} tiene las siguientes restricciones adicionales por biblioteca:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} no tiene restricciones adicionales por biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Permitir acceso a todas las bibliotecas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Permitir acceso sólo a las bibliotecas especificadas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Permitir acceso a todas las bibliotecas, excepto las especificadas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Cambiar restricciones por biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Introduzca el nombre de la biblioteca:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Introduzca una expresión de búsquda, se dará acceso sólo a los libros que coincidan con esta expresión. Una expresión vacía dará acceso a todos los libros."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "¿Otra restricción?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Introduzca una lista de nombres de biblioteca, separados por comas:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Permitiendo aceso sólo a las bibliotecas: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Permitiendo acceso a todas las bibliotecas, excepto: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Mostrar contraseñas para {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Cambiar los permisos de lectura y escritura para {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Cambiar las bibliotecas a las que {} puede acceder"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} tiene acceso de {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "lectura y escritura"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "sólo lectura"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Añadir un nuevo usuario"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Modificar un usuario existente"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Eliminar un usuario"
 
@@ -37132,13 +37206,14 @@ msgid ""
 msgstr "Volver a cargar automáticamente el servidor cuando cambie el código fuente. Útil para el desarrollo. Debe especificar también un valor pequeño para el tiempo de espera de apagado."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Gestionar la base de datos de usuarios con permiso para conectar con este servidor. Véase también la opción %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr "Gestionar la base de datos de usuarios con permiso para conectar con este servidor. Puede usarlo en modo automático añadiendo --. Véase {0} para más detalles. Véase también la opción {1}."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37146,23 +37221,23 @@ msgid ""
 "at: {1}"
 msgstr "Ruta de acceso a la base de datos para autenticación. La base de datos es un archivo SQLite. Para crearlo, usar {0}. Para más información sobre la administración de usuarios, ver {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Otro programa de calibre como otra copia de {} o el programa principal de calibre está ejecutándose.  Tener múltiples programas que puedan modificar una biblioteca de calibre ejecutándose al mismo tiempo no está soportado."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Interrumpido por el usuario"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "No existe una biblioteca de calibre en: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Debe especificar al menos una biblioteca de calibre"
 
@@ -37175,7 +37250,7 @@ msgid "Enum"
 msgstr "Enumerar"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Sintaxis no válida. Se esperaba un nombre de consulta o una palabra"
 
@@ -37334,128 +37409,128 @@ msgstr "Configuraciones y complementos"
 msgid "File is open in another process"
 msgstr "El archivo está abierto en otro proceso"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr "el final del programa"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr "{0}: {1} cerca de {2}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "No se pudo interpretar el programa. Entrada no válida {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Error de sintaxis, el programa termina antes de EOF"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "Falta «then» en comprobación"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "Falta «fi» en comprobación"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr "Falta el identificador en la instrucción «for»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr "Falta «in» en la instrucción «for»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr "Faltan dos puntos («:») en la instrucción «for»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr "Falta «rof» en la instrucción «for»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr "Una plantilla guardada debe comenzar con «{0}»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Función desconocida {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Falta un paréntesis de cierre"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr "Los argumentos de «{}» deben ser variables o asignaciones"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr "Número de argumentos incorrecto para la función {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "La expresión no es una función ni una constante"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Error al comparar textos. Operador {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "El valor usado en la comparación no es un número. Operador {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Identificador desconocido {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Campo desconocido {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr "El campo {0} no es una lista"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr "Excepción no considerada {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Error interno al evaluar una expresión"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "formato: el tipo {0} requiere un valor entero, se obtuvo {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "formato: el tipo {0} requiere un valor decimal (flotante), se obtuvo {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: función desconocida"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr "No existe la variable {0}"
@@ -37510,60 +37585,60 @@ msgstr "strlen(a) -- devuelve la longitu
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- devuelve x + y. Da un error si «x» o «y» no son números."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr "add(x, y, ...) -- devuelve la suma de sus argumentos. Da un error si algún argumento no es un número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- devuelve x - y. Da un error si «x» o «y» no son números."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- devuelve x * y. Da un error si «x» o «y» no son números."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr "multiply(x, y, ...) -- devuelve el producto de sus argumentos. Da un error si algún argumento no es un número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- devuelve x / y. Da un error si «x» o «y» no son números."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling(x) -- devuelve el menor entero que es mayor o igual a x. Da un error si x no es un número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor(x) -- devuelve el mayor entero que es menor o igual a x. Da un error si x no es un número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round(x) -- devuelve el entero más cercano a x. Da un error si x no es un número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr "mod(x) -- devuelve el resto de x / y, donde x, y y el resultado son enteros. Da un error si x o y no son números."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr "fractional_part(x) -- devuelve el valor tras el punto decimal. Por ejemplo, fractional_part(3.14) devuelve 0.14. Da un error si x no es un número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37575,7 +37650,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- evalúa x como una plantilla. La evaluación se realiza en un contexto propio, lo que significa que las variables no se comparten entre el proceso que llama a la función y la evaluación de la plantilla. Dado que los caracteres «{» y «}» tienen un uso especial, debe usar «[[» en lugar de «{» y «]]» para «}»; se convertirán automáticamente. Por ejemplo, «template('[[orden_de_título]]')» evaluará la plantilla {orden_de_título} y devolverá su valor. Tenga en cuenta que los prefijos y sufijos (la sintaxis «|prefijo|sufijo|») no puede usarse en el argumento de esta función en el modo de programación de plantilla."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37586,13 +37661,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(plantilla) -- evalúa la plantilla, pasando las variables locales (las definidas con «assign») en lugar de los metadatos del libro. Esto permite usar el procesador de plantillas para elaborar resultados complejos a partir de variables locales. Dado que los caracteres «{» y «}» tienen un uso especial, debe usar «[[» en lugar de «{» y «]]» para «}»; se convertirán automáticamente. Tenga en cuenta que los prefijos y sufijos (la sintaxis «|prefijo|sufijo|») no puede usarse en el argumento de esta función en el modo de programación de plantilla."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- asigna «val» a «id» y devuelve «val». «id» debe ser un identificador, no una expresión"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37602,30 +37677,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr "split(lista, sep, prefijo_id) -- divide la lista en valores separados por «sep» y asigna los valores a variables con nombre «prefijo_id_N», donde N es la posición del valor en la lista. El primer elemento tiene posición 0 (cero). La función devuelve el último elemento de la lista. Ejemplo: split('uno, dos, bla', ',', 'var') es equivalente a var_0 = 'uno'; var_1 = 'dos'; var_3 = 'bla'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- escribe los argumentos en la salida estándar. Sólo será visible si inicia calibre a partir de línea de órdenes (calibre-debug -g)."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(nombre) -- devuelve el campo de metadatos identificado por «nombre»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(nombre) -- devuelve el campo de metadatos llamado «nombre» sin aplicar ningún formato."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(nombre, separador) -- devuelve la lista de metadatos nombrada por «nombre» sin aplicar ningún formato u ordenación, con los elementos separados por «separador»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37635,7 +37710,7 @@ msgid ""
 "'234'."
 msgstr "substr(texto, inicio, fin) -- devuelve los caracteres entre la posición «inicio» y «fin» de «texto». El primer carácter de «texto» está en la posición cero. Si «fin» es negativo, entonces indica la posición contando desde la derecha. Si «fin» es cero, indica el último carácter. Por ejemplo, «substr('12345', 1, 0)» devuelve «2345», y «substr('12345', 1, -1)» devuelve «234»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37645,24 +37720,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, patrón, campo, patrón, campo, ..., otro_campo) -- como «switch», pero los argumentos son nombres de campo (metadatos), no texto. Se usará el valor del campo apropiado. Tenga en cuenta que puesto que las columnas compuestas son campos, puede usar esta función en un campo compuesto para usar el valor de otro campo compuesto. Esto es muy útil para construir rutas de guardado variables."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup requiere 2 o un número impar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, texto_si_no_vacío, texto_si_vacío) -- devuelve «texto_si_no_vacío» si «val» no está vacío, «devuelve texto_si_vacío» en caso contrario."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, patrón, texto_si_coincide, texto_si_no_coincide) -- comprueba si «val» contiene coincidencias para la expresión regular «patrón». Devuelve «texto_si_coincide» si se encuentran coincidencias, en caso contrario devuelve «texto_si_no_coincide»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37671,11 +37746,11 @@ msgid ""
 " want"
 msgstr "switch(val, patrón, valor, patrón, valor, ..., otro_valor) -- para cada pareja «patrón, valor», comprueba si «val» contiene coincidencias para la expresión regular «patrón» y, en tal caso, devuelve ese valor. Si no coincide ningún patrón, devuelve «otro_valor». Puede emplear tantas parejas «patrón, valor» como desee."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch requiere un número impar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37685,19 +37760,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(máx, texto1, prefijo2, texto2, ...) -- devuelve un texto formado por concatenación de los argumentos. El valor devuelto es inicialmente «texto1». Se van añadiendo parejas «prefijo, texto» al final del valor mientras la longitud del resultado sea menor que «máx». El resultado es siempre al menos «texto1», aunque su longitud sea mayor que «máx». Puede especificar tantas parejas «prefijo, texto» como desee."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max requiere dos o más argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max requiere un número par de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "el primer argumento de strcat_max debe ser un entero"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37707,11 +37782,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separador, patrón, encontrado, ..., no_encontrado) -- considera «val» como una lista de elementos separados por «separador» y evalúa «patrón» con cada valor de la lista. Si «patrón» coincide con alguno de los elementos de la lista, devuelve «encontrado», en caso contrario devuelve «no_encontrado». Los argumentos «patrón» y «encontrado» pueden repetirse tantas veces como se desee, lo que permite devolver diferentes valores según la búsqueda. Los patrones se evalúan en orden. Se devuelve la primera coincidencia."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "«in_list» requiere un número impar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37723,11 +37798,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(separador, texto, encontrado, ..., no_encontrado) -- considera «val» como una lista de elementos separados por «separador», y compara «texto» con cada valor de la lista. Si «texto» coincide con alguno de los valores (sin distinción de mayúsculas y minúsculas), devuelve «encontrado», en caso contrario devuelve «no_encontrado». Si el texto contiene separadores, también se considera como una lista y se comprueba cada elemento. Los argumentos «patrón» y «encontrado» pueden repetirse tantas veces como se desee, lo que permite devolver diferentes valores según la búsqueda. Los patrones se evalúan en orden. Se devuelve la primera coincidencia."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "«str_in_list» requiere un número impar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37738,14 +37813,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, val_encontrado, val_no_encontrado) -- considera «val» como una lista de identificadores separados por comas, y compara el «id» con cada valor de la lista. Un identificador tiene el formato «id:valor». El argumento «id» debería ser «id» o «id:expreg». El primer caso, selecciona identificadores con dicho «id». El segundo caso, selecciona identificadores cuyo valor coincida con la expresión regular «expreg». Si existe alguna coincidencia, devuelve «val_encontrado», en caso contrario devuelve «val_no_encontrado»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, patrón, sustitución) -- devuelve «val» después de aplicar la expresión regular. Todas las veces que aparezca «patrón» se sustituirá por «sustitución». Como en todo calibre, se trata de expresiones regulares compatibles con Python."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37758,20 +37833,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, patrón, plantilla_para_grupo_1, para_grupo_2, ...) -- devuelve un texto formado por aplicación de la expresión regular «patrón» al valor «val», sustituyendo cada coincidencia con el texto calculado al sustituir cada grupo por el valor devuelto por la correspondiente plantilla. El valor de correspondencia original del grupo está disponible como «$». En el modo de programación de plantillas, como en las funciones «template» y «eval», use «[[» en lugar de «{» y «]]» en lugar de «}». El siguiente ejemplo en modo de programación de plantillas busca un nombre de serie con más de una palabra y pone la primera palabra en mayúsculas: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- dado un valor de la forma «B, A», devuelve «A B». Esto es útil para convertir nombres en formato APELLIDO, NOMBRE a NOMBRE APELLIDO. Si no hay ninguna coma, la función devuelve «val» sin cambios."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, texto_si_vacío) -- devuelve «val» si no está vacío, en caso contrario devuelve «texto_si_vacío»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37785,7 +37860,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, car_izq, texto_medio, car_der) -- devuelve una versión abreviada de «val», consistente en un número «car_izq» de caracteres del principio del «val», seguidos de «texto_medio», seguido de un número «car_der» de caracteres del fina de «val». «car_izq» y «car_der» deben ser números enteros. Por ejemplo, supongamos que el título del libro es «Novísima recopilación de las leyes de España» y que quiere que quepa en un espacio de 15 caracteres a lo sumo. Si usa {title:shorten(8,-,6)}, el resultado será «Novísima-España». Si la longitud del campo es menor que «car_izq» + «car_der» + la longitud de «texto_medio», se usará el campo intacto. Por ejemplo, el título «La colmena» no se cambiará."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37793,7 +37868,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separador) -- interpreta el campo como una lista de elementos separados por ­«separador» y devuelve el número de elementos de la lista. La mayoría de las listas usan una coma como separador, pero «authors» usa un ampersand («&»). Ejemplos: {tags:count(,)}, {authors,count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37802,14 +37877,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, índice, separador) -- interpreta el campo como una lista de elementos separados por «separador» y devuelve el elemento número «índice». El primer elemento es el número cero. El último elemento puede obtenerse con «list_item(-1, separador)». Si el elemento no está en la lista devuelve un valor vacío. El separador tiene el mismo significado que en la función «count»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, clave) -- interpreta el valor como una lista de elementos separados por comas, con los elementos de la forma «id:valor». Encuentra la pareja con «id» igual a «clave» y devuelve el valor correspondiente."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37822,19 +37897,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- devuelve una lista separada por comas de formatos que en algún momento estuvieron asociados con el libro. No hay garantía de que esta lista sea correcta, aunque probablemente lo sea. Esta función puede ejecutarse en el modo de programación de plantillas usando la plantilla «{:'approximate_formats()'}». Tenga en cuenta que los nombres de formato están siempre en mayúsculas, como en «EPUB». Esta función funciona sólo en la interfaz gráfica. Si quiere usar estos valores en las plantillas para guardar en el disco o enviar al dispositivo, debe crear una columna personalizada de tipo «Columna generada a partir de otras columnas», usar la función en la plantilla de dicha columna y usar el valor de la columna en las plantillas para guardar o enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Esta función sólo puede usarse en la interfaz gráfica"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37844,7 +37919,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(formato_fecha) -- devuelve una lista de elementos (separados por dos puntos) separados por comas que representa las fechas de modificación para los formatos de un libro. El argumento «formato_fecha» especifica cómo se da formato a la fecha. Véase la función «format_date» para más detalles. Puede usar la función «select» para obtener la fecha de modificación de un formato específico. Tenga en cuenta que los nombres de formato siempre están en mayúsculas, como en «EPUB»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37852,7 +37927,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- devuelve una lista de elementos (separados por dos puntos) separados por comas que representa los tamaños en bytes de los formatos de un libro. Puede usar la función «select» para obtener el tamaño de un formato específico. Tenga en cuenta que los nombres de formato siempre están en mayúsculas, como en «EPUB»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37860,13 +37935,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- devuelve una lista separada por comas de elementos separados por dos puntos que representan la ruta completa a los formatos de un libro. Puede usar la función «select» para obtener la ruta a un formato específico. Tenga en cuenta que los nombres de formato están siempre en mayúsculas, como en «EPUB»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readabe(v) -- devuelve un texto que representa el número «v» en KB, MB, GB, etc."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37877,7 +37952,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, plantilla) -- da formato al número «v» usando una plantilla de formato de Python como «{0:5.2f}» o «{0:,d}» o «{0:5,.2f}». La parte del nombre de la plantilla debe ser un 0 (cero) (el «{0:» en los ejemplos anteriores). Véase la documentación del lenguaje de plantillas y de Python para más ejemplos. Si la plantilla contiene sólo un formato, puede omitir el «{0:» inicial y el «}» final. Devuelve un texto vacío si el formato falla."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37890,7 +37965,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, índice_inicio, índice_fin, separador) -- interpreta el valor como una lista de elementos separados por «separador» y devuelve una nueva lista con los elementos comprendidos entre la posición «índice_inicio» e «índice_fin». El primer elemento ocupa la posición cero. Si un índice es negativo, se cuenta desde el final de la lista. Como caso especial, si «índice_fin» es cero, se considera que es el final de la lista. Ejemplos en el modo básico de plantilla y suponiendo que la columna de etiquetas (definida como valores separados por comas) contiene «A, B, C»: {tags:sublist{0,1,\\\\,)} devuelve «A», {tags:sublist(-1,0,\\\\,)} devuelve «C», {tags:sublist(0,-1,\\\\,)} devuelve «A, B»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37907,7 +37982,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, índice_inicio, índice_fin) -- Esta función se usa para separar listas de elementos tales como los géneros. Interpreta el valor como una lista de elementos separados por comas, donde cada elemento es a su vez una lista de elementos separados por puntos. Devuelve una nueva lista formada tomando, de cada lista de elementos separados por puntos, los elementos situados entre las posiciones «índice_inicio» e «índice_fin» y combinando los resultados. El primer elemento de cada lista separada por puntos ocupa la posición cero. Si un índice es negativo, se cuenta desde el final de la lista. Como caso especial, si «índice_fin» es cero, se considera que es el final de la lista. Ejemplos en el modo básico de plantilla y suponiendo que la columna #género contiene el valor «A.B.C»: {#género:subitems(0,1)} devuelve «A», {#género:subitems(0,2)} devuelve «A.B», {#género:subitems(1,0)} devuelve «B.C». Suponiendo que #género contiene el valor «A.B.C, D.E.F»: {#género:subitems(0,1)} devuelve «A, D», {#género:subitems(0,2)} devuelve «A.B, D.E»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37930,23 +38005,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, texto_formato) -- da formato a un valor, que debe ser un campo de fecha, según «texto_formato» y devuelve un texto. Los códigos de formato son: «d»: el día como un número, sin cero inicial (de 1 a 31). «dd»: el día como un número, con un cero inicial si es necesario (de 01 a 31). «ddd»: el día de la semana abreviado según el idioma local (p. ej. de «lun» a «dom»). «dddd»: el nombre local completo del día de la semana (p. ej. de «lunes» a «domingo»). «M»: el mes como un número sin cero inicial (de 1 a 12). «MM»: el mes como un número, con un cero inicial si es necesario (de 01 a 12). «MMM»: el mes abreviado según el idioma local (p. ej. de «ene» a «dic»). «MMMM»: el nombre local completo del mes (p. ej. de «enero» a «diciembre»). «yy»: el año como un número de dos cifras (de 00 a 99). «yyyy»: el año como un número de cuatro cifras. «h»: la hora sin cero inicial (de 0 a 11 o de 0 a 23, según am/pm). «hh»: la hora con un cero inicial si es necesario (de 00 a 11 o de 00 a 23, según am/pm). «m»: los minutos sin cero inicial (de 0 a 59). «mm»: los minutos con un cero inicial si es necesaro (de 00 a 59). «s»: los segundos sin cero inicial (de 0 a 59). «ss»: los segundos con un cero inicial si es necesario (de 00 a 59). «ap»: se escribe la hora en formato de 12 horas en lugar de 24, con «ap» sustituido por la forma local para am o pm. «AP»: se escribe la hora en formato de 12 horas en lugar de 24, con «AP» sustituido por la forma local para AM o PM. «iso»: la fecha con hora y zona horaria. Debe ser el único formato presente."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- devuelve «val» en mayúsculas"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- devuelve «val» en minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- devuelve «val» con las iniciales en mayúscula"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- devuelve «val» con la primera letra mayúscula"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37955,7 +38030,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- devuelve el valor del campo de tamaño. Esta función funciona sólo en la interfaz gráfica. Si quiere usar estos valores en las plantillas para guardar en el disco o enviar al dispositivo, debe crear una columna personalizada de tipo «Columna generada a partir de otras columnas», usar la función en la plantilla de dicha columna y usar el valor de la columna en las plantillas para guardar o enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37964,55 +38039,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- devuelve «Yes» si ondevice está activado, si no, devuelve un texto vacío. Esta función funciona sólo en la interfaz gráfica. Si quiere usar estos valores en las plantillas para guardar en el disco o enviar al dispositivo, debe crear una columna personalizada de tipo «Columna generada a partir de otras columnas», usar la función en la plantilla de dicha columna y usar el valor de la columna en las plantillas para guardar o enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr "annotation_count() -- devuelve el número total de anotaciones de todos los tipos en el libro actual. Esta función sólo funciona en la interfaz gráfica."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr "No se pudo obtener el número de anotaciones"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- devuelve el valor del orden de serie"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- devuelve «Yes» si el libro tiene portada, en caso contrario devuelve un texto vacío."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(valor, valor, ...) -- devuelve el primer valor que no esté vacío. Si todos los valores están vacíos, se devuelve también un valor vacío. Puede incluir tantos valores como quiera."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(valor, valor, ...) -- devuelve el texto «1» si ninguno de los valores está vacío, en caso contrario, devuelve un texto vacío. Esta función funciona bien con «first_non_empty». Puede incluir tantos valores como quiera."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(valor, valor, ...) -- devuelve el texto «1» si alguno de los valores no está vacío, en caso contrario, devuelve un texto vacío. Esta función funciona bien con «first_non_empty». Puede incluir tantos valores como quiera."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(valor) -- devuelve el texto «1» si el valor está vacío, en caso contrario, devuelve un texto vacío. Esta función opera bien con «test» o «first_non_empty»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38021,7 +38096,7 @@ msgid ""
 " list."
 msgstr "``list_union(lista1, lista2, separador)`` -- devuelve una lista construida por combinación de los elementos en `lista1` y `lista2`, eliminando los duplicados de `lista2` (no distingue mayúsculas y minúsculas, se mantiene la versión de `lista1`). Los elementos de `lista1` y `lista2` están separados por `separador`, así como los de la lista resultante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38029,7 +38104,7 @@ msgid ""
 "the returned list."
 msgstr "``list_difference(lista1, lista2, separador)`` -- devuelve una lista construida eliminando de `lista1` cualquier elemento que aparezca en `lista2`, sin distinguir mayúsculas y minúsculas. Los elementos de `lista1`  y `lista2` están separados por `separador`, así como los de la lista resultante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38037,7 +38112,7 @@ msgid ""
 "the items in the returned list."
 msgstr "``list_intersection(lista1, lista2, separador)`` -- devuelve una lista construida eliminando de `lista1` cualquier elemento que no aparezca en `lista2`, sin distinguir mayúsculas y minúsculas. Los elementos de `lista1`  y `lista2` están separados por `separador`, así como los de la lista resultante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38045,7 +38120,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(lista, dirección, separador) -- devuelve «lista» ordenada sin distinción de mayúsculas y minúsculas. Si «dirección» es cero, la lista se ordena de manera ascendente, en caso contrario, de manera descendente. Los elementos de «lista» están separados por «separador», así como los de la lista resultante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38054,7 +38129,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(lista1, sep1, lista2, sep2, val_sí, val_no) -- devuelve «val_sí» si «lista1» y «lista2» contienen los mismos elementos, en caso contrario devuelve  «val_no». Los elementos se determinan dividiendo cada lista por el correspondiente carácter separador («sep1» o «sep2»). El orden de los elementos no es relevante. La comparación no diferencia mayúsculas y minúsculas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38063,7 +38138,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(lista_orig, separador, incluir, sust_opc) -- construye una lista separando primero «lista_orig» en elementos usando el carácter «separador». Para cada elemento en la lista, comprueba si coincide con la expresión regular «incluir». Si coincide, se añade a la lista final. Si «sust_opc» no es un texto vacío, se aplica la sustitución antes de añadir el elemento a la lista final."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38071,14 +38146,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(lista_orig, separador, incluir, búsqueda, plantilla_grupo_1, ...) -- como «list_re», pero las sustituciones no son opcionales. Usa re_group(elemento, búsqueda, plantilla_grupo_1, ...) al hacer sustituciones en la lista final."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- devuelve un texto para la fecha de hoy. Este valor está preparado para usarse con «format_date» o «days_between», pero puede manipularse como cualquier otro texto. La fecha está en formato ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38086,7 +38161,7 @@ msgid ""
 "empty string."
 msgstr "days_between(fecha1, fecha2) -- devuelve el número de días entre «fecha1» y «fecha2». El número es positivo si «fecha1» es posterior a «fecha2», en caso contrario es negativo. Si «fecha1» o «fecha2» no son fechas, la función devuelve un texto vacío."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38094,28 +38169,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(códigos, localizar) -- devuelve los nombres de los idiomas identificados por «códigos». Si «localizar» es cero, devuelve los nombres en inglés. Si «localizar» no es cero, devuelve los nombres en el idioma actual. El argumento «códigos» es una lista separada por comas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(nombres) -- devuelve los códigos de idioma correspondientes a «nombres». Los nombres deben estar en el idioma actual. El argumento «nombres» es una lista separada por comas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- devuelve la última parte de la ruta a la biblioteca de calibre actual. Esta función puede llamarse en el modo de programación de plantilla usando la plantilla \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- devuelve la ruta a la biblioteca de calibre actual. Esta función puede usarse en el modo de programación de plantillas utilizando la plantilla «{:'current_library_path()'}»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38124,7 +38199,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefijo, sufijo) -- aplica el formato, prefijo y sufijo a un valor de la misma manera que se haría en una plantilla como «{series_index:05.2f| - |- }». Por ejemplo, el siguiente programa produce la misma salida que la plantilla anterior: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38133,7 +38208,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- devuelve una lista separada por comas de bibliotecas virtuales que contienen este libro. Esta función funciona sólo en la interfaz gráfica. Si quiere usar estos valores en las plantillas para guardar en el disco o enviar al dispositivo, debe crear una columna personalizada de tipo «Columna generada a partir de otras columnas», usar la función en la plantilla de dicha columna y usar el valor de la columna en las plantillas para guardar o enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38142,7 +38217,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- devuelve una lista separada por comas de las categorías de usuario que contiene este libro. Esta función sólo funciona en la interfaz gráfica. Si desea utilizar estos valores en las plantillas para guardar en el disco o enviar al dispositivo, deberá crear una plantilla personalizada «Columna generada a partir de otras columnas», utilice la función en la plantilla de esa columna y use el valor de esa columna en las plantillas para guardar o enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38150,7 +38225,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Devuelve un texto en el alfabeto latino formado por aproximación del sonido de las palabras en el texto origen. Por ejemplo, si el origen es «{0}» la función devuelve «{1}»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38162,7 +38237,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(sep_val, sep_par) -- devuelve un texto que contiene una lista de autores y enlaces a los autores de la forma: «autor1 sep_val enlace_autor1 sep_par autor2 sep_val enlace_autor2» etc. Cada autor está separado de su correspondiente enlace por el texto «sep_val», sin espacios adicionales. Los pares autor:enlace_autor están separados por el texto «sep_par», sin espacios adicionales. Es responsabilidad del usuario proporcionar separadores que no aparezcan en los nombres o enlaces de autor. El nombre de autor se incluye aunque su enlace esté vacío."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38173,7 +38248,7 @@ msgid ""
 "string"
 msgstr "author_sorts(separador) -- devuelve un texto que contiene la lista de valores de orden de autor para los autores del libro. El orden de autor es el que figura en los metadatos de autores (diferente del valor de orden de autor del libro). La lista devuelta es de la forma orden_de_autor_1 separador orden_de_autor_2 etc. Los valores de orden de autor en la lista están en el mismo orden que los autores del libro. Si quiere espacios alrededor de «separador», inclúyalos en el valor."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38181,13 +38256,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_name(ubicación_de_almacenamiento) -- si hay un dispositivo conectado, devuelve el nombre del dispositivo, en caso contrario devuelve un texto vacío. Cada ubicación de almacenamiento de un dispositivo puede tener un nombre diferente. Los nombres de ubicación son «main», «carda» y «cardb». Esta función sólo funciona en la interfaz gráfica."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr "connected_device_name: nombre de ubicación de almacenamiento no válido «{0}»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38195,7 +38270,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_uuid(ubicación_de_almacenamiento) -- si un dispositivo está conectado, entonces devuelve el uuid (identificador único) del dispositivo, de lo contrario devuelve un texto vacío. Cada ubicación de almacenamiento de un dispositivo tiene un uuid diferente. Los nombres de las ubicaciones son «main», «carda» y «cardb». Esta función sólo funciona en la interfaz gráfica."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38208,11 +38283,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr "check_yes_no(nombre_de_campo, no_definido, es_false, es_true) -- comprueba si el valor del campo de tipo sí o no identificado por la clave de búsqueda nombre_de campo coincide con el valor especificado en los parámetros. Devuelve «yes» si coincide, y un texto vació en caso contrario. Establezca el parámetro no_definido, es_false o es_truea 1 (el número) para comprobar dicha condición, en caso contrario establézcalos a 0. Ejemplo: check_yes_no(\"#bool\", 1, 0, 1) devuelve «yes» si el campo de tipo sí o no «#bool» es True o no está definido (no es ni True ni False). Más de uno de no_definido, es_false y es_true puede ser 1. Esta función se usa normalmente con las funciones test() o is_empty()."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no requiere que el campo sea una columna personalizada de sí o no"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38220,11 +38295,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "rating_to_stars(valor, usar_media_estrella) -- Devuelve la calificación como caracteres de estrella. El valor es un número entre 0 y 5. Ponga usar_media_estrella a 1 si quiere caracteres de media estrella para columnas personalizadas de calificación que permiten números no enteros, por ejemplo 2.5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "La calificación debe ser un número entre 0 y 5"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38233,7 +38308,7 @@ msgid ""
 "single value, not a list."
 msgstr "swap_around_articles(valor, separador) -- devuelve el valor con los artículos puestos al final. El valor puede ser una lista, en cuyo caso se procesará cada elemento de la lista. Si el valor es una lista, debe proporcionar el separador de los elementos de la lista. Si no se proporciona ningún separador, la lista se trata como un único valor, no una lista."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38244,7 +38319,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "arguments(id[=expresión] [, id[=expresión]]*) -- Usado en una plantilla guardada para obtener el valor de los argumentos pasados en la invocación. Esta función declara e inicializa las variables locales, parámetros en la práctica. Las variables son posicionales: obtienen el valor del argumento usado en la misma posición en la invocación. Si el argumento correspondiente no aparece en la invocación, «arguments» asigna a esa variable el valor predeterminado suministrado. Si no hay valor predeterminado, será un texto vacío."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38254,6 +38329,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "globals(id[=expresión] [, id[=expressión]]*) -- Obtiene «variables globales» que pueden pasarse al formateador. Esta función declara e inicializa variables locales con los nombres de las variables globales que se le pasan. Si la variable correspondiente no está presente en las variables globales creadas, asignará a dicha variable el valor predeterminado suministrado. Si no hay valor predeterminado, se asigna a la variable el texto vacío."
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr "field_exists(nombre_campo) -- comprueba si existe un campo (columna) llamado ``nombre_campo``, devuelve '1' si es así y '' si no."
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Imagen sin nombre"
@@ -38542,29 +38623,29 @@ msgstr "Cerrar sin guardar"
 msgid "Close Tab"
 msgstr "Cerrar pestaña"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Caracteres adicionales al final de la búsqueda"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "falta un )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "No se pudo procesar la consulta, se alcanzó el límite de recurrencia: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Búsqueda guardada recursiva: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Búsqueda guardada desconocida: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Error desconocido en la búsqueda guardada: {0}"
@@ -38927,185 +39008,185 @@ msgstr "Se omitirá cualquier enlace que
 msgid "Do not download CSS stylesheets."
 msgstr "No descargar estilos CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Aceptar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Guardar todo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Abrir"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Sí"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Sí a &todo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&No"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&o a todo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Anular"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Volver a intentar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Cerrar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Aplicar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "&Restablecer"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Restaurar los valores predeterminados"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "&Tono:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sat:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Val:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Rojo:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Verde:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Azul:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "&Canal alfa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Cursor en %1, %2\nPulse ESC para cancelar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Seleccionar color"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Colores &básicos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "Colores &personalizados"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Añadir a los colores personalizados"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Seleccionar color en la pantalla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Seleccionar tipo de letra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Tipo de letra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "&Estilo de letra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Tamaño"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efectos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Ta&chado"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Ejemplo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "&Sistema de escritura"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Borde izquierdo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Borde derecho"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Página izquierda"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Página arriba"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Página abajo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Página derecha"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Desplazarse a la izquierda"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Desplazarse hacia arriba"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Desplazarse hacia abajo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Desplazarse a la derecha"
 
@@ -39385,8 +39466,8 @@ msgstr "Reglas de cambio de nombre para
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39434,7 +39515,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Especifica reglas para cambiar el nombre a las colecciones Sony. Este\najuste sólo se aplica si la gestión de metadatos está establecida en\nautomática. Las colecciones en los lectores Sony se nombran de distinta\nmanera según el campo en que se basan sea predefinido o personalizado.\nUna colección derivada de un campo predefinido se nombra con el valor\ncontenido en dicho campo. Por ejemplo, si el campo predefinido «series»\ncontiene el valor «Darkover», entonces el nombre de la colección será\n«Darkover». Una colección derivada de un campo personalizado tendrá el\nnombre del campo añadido al valor. Por ejemplo, si un campo personalizado\nllamado «Mi serie» contiene el valor «Darkover», entonces la colección se\nnombrará de manera predeterminada «Darkover (Mi serie)». En lo que a esta\ndocumentación respecta, «Darkover» se llamará el valor y «Mi serie» se\nllamará la categoría. Si dos libros tienen campos que generan el mismo\nnombre de colección, ambos se incluirán en la misma colección.\nEste conjunto de ajustes le permite especificar, para un campo predefinido\no personalizado, cómo se nombrarán las colecciones. Puede usarlo para\nañadir una descripción a una etiqueta, por ejemplo «Bla (etiqueta)» en\nlugar de «Bla». También puede usarlo para hacer que distintos campos acaben\nen la misma colección. Por ejemplo, puede hacer que los valores en\n«series», «#mi_serie_1» y «#mi_serie_2» aparezcan en colecciones llamadas\n«algún_valor (Serie)», uniendo todos los campos en un mismo grupo de\ncolecciones.\nHay dos ajustes relacionados. El primero determina el nombre de categoría\nque se usará para un campo de metadatos. El segundo es una plantilla y se\nusa para determinar cómo se combinarán el valor y la categoría para crear\nel nombre de colección. La sintaxis del primer ajuste,\n«sony_collection_renaming_rules», es:\n{«nombre_de_búsqueda_del_campo»:«nombre_de_categoría»,\n«nombre_de_búsqueda»:«categoría», ...}. El segundo ajuste,\n«sony_collection_name_template», es una plantilla. Emplea el mismo lenguaje\nde plantilla que los controles de metadatos y las plantillas de guardado.\nLos únicos dos campos disponibles son «{category}» y «{value}». El campo\n«{value}» nunca está vacío. El campo «{category}» puede estar vacío. El\ncomportamiento predeterminado es poner primero el valor y después la\ncategoría entre paréntesis si no está vacía: «{value} {category:|(|)}».\nEjemplos: Los dos primeros ejemplos suponen que el segundo ajuste no se ha\ncambiado.\n1: Se quieren unir tres campos de serie en un solo conjunto de colecciones.\nLos nombres de consulta de los campos son «series», «#serie_1» y «#serie_2».\nNo se desea nada entre paréntesis. El valor que se usaría para el ajuste es:\nsony_collection_renaming_rules={'series':'', '#serie_1':'', '#serie_2':''}\n2: Se quiere que la palabra «(Serie)» aparezca en las colecciones creadas a\npartir de series y la palabra «(Etiqueta)» en las creadas a partir de\netiquetas. Se usaría:\nsony_collection_renaming_rules={'series':'Serie', 'tags':'Etiqueta'}\n3: Se quiere unir «series» y «#miserie» y añadir «(Serie)» al nombre de la\ncolección. Se usaría:\nsony_collection_renaming_rules={'series':'Serie', '#myserie':'Serie'}\n4: Como en el ejemplo 2, pero en lugar de añadir el nombre de categoría\nentre paréntesis después del valor, se desea delante y separado por dos\npuntos, como en «Serie: Darkover». Hay que cambiar la plantilla usada\npara dar formato al nombre de colección. Los ajustes resultantes son:\nsony_collection_renaming_rules={'series':'Serie', 'tags':'Etiqueta'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr "Especifica reglas para cambiar el nombre a las colecciones SONY. Este\najuste sólo se aplica si la gestión de metadatos está establecida en\nautomática. Las colecciones en los lectores SONY se nombran de distinta\nmanera según el campo en que se basan sea predefinido o personalizado.\nUna colección derivada de un campo predefinido se nombra con el valor\ncontenido en dicho campo. Por ejemplo, si el campo predefinido «series»\ncontiene el valor «Darkover», entonces el nombre de la colección será\n«Darkover». Una colección derivada de un campo personalizado tendrá el\nnombre del campo añadido al valor. Por ejemplo, si un campo personalizado\nllamado «Mi serie» contiene el valor «Darkover», entonces la colección se\nnombrará de manera predeterminada «Darkover (Mi serie)». En lo que a esta\ndocumentación respecta, «Darkover» se llamará el valor y «Mi serie» se\nllamará la categoría. Si dos libros tienen campos que generan el mismo\nnombre de colección, ambos se incluirán en la misma colección.\nEste conjunto de ajustes le permite especificar, para un campo predefinido\no personalizado, cómo se nombrarán las colecciones. Puede usarlo para\nañadir una descripción a una etiqueta, por ejemplo «Bla (etiqueta)» en\nlugar de «Bla». También puede usarlo para hacer que distintos campos acaben\nen la misma colección. Por ejemplo, puede hacer que los valores en\n«series», «#mi_serie_1» y «#mi_serie_2» aparezcan en colecciones llamadas\n«algún_valor (Serie)», uniendo todos los campos en un mismo grupo de\ncolecciones.\nHay dos ajustes relacionados. El primero determina el nombre de categoría\nque se usará para un campo de metadatos. El segundo es una plantilla y se\nusa para determinar cómo se combinarán el valor y la categoría para crear\nel nombre de colección. La sintaxis del primer ajuste,\n«sony_collection_renaming_rules», es:\n{«nombre_de_búsqueda_del_campo»:«nombre_de_categoría»,\n«nombre_de_búsqueda»:«categoría», ...}. El segundo ajuste,\n«sony_collection_name_template», es una plantilla. Emplea el mismo lenguaje\nde plantilla que los controles de metadatos y las plantillas de guardado.\nLos únicos dos campos disponibles son «{category}» y «{value}». El campo\n«{value}» nunca está vacío. El campo «{category}» puede estar vacío. El\ncomportamiento predeterminado es poner primero el valor y después la\ncategoría entre paréntesis si no está vacía: «{value} {category:|(|)}».\nEjemplos: Los dos primeros ejemplos suponen que el segundo ajuste no se ha\ncambiado.\n1: Se quieren unir tres campos de serie en un solo conjunto de colecciones.\nLos nombres de consulta de los campos son «series», «#serie_1» y «#serie_2».\nNo se desea nada entre paréntesis. El valor que se usaría para el ajuste es:\nsony_collection_renaming_rules={'series':'', '#serie_1':'', '#serie_2':''}\n2: Se quiere que la palabra «(Serie)» aparezca en las colecciones creadas a\npartir de series y la palabra «(Etiqueta)» en las creadas a partir de\netiquetas. Se usaría:\nsony_collection_renaming_rules={'series':'Serie', 'tags':'Etiqueta'}\n3: Se quiere unir «series» y «#miserie» y añadir «(Serie)» al nombre de la\ncolección. Se usaría:\nsony_collection_renaming_rules={'series':'Serie', '#myserie':'Serie'}\n4: Como en el ejemplo 2, pero en lugar de añadir el nombre de categoría\nentre paréntesis después del valor, se desea delante y separado por dos\npuntos, como en «Serie: Darkover». Hay que cambiar la plantilla usada\npara dar formato al nombre de colección. Los ajustes resultantes son:\nsony_collection_renaming_rules={'series':'Serie', 'tags':'Etiqueta'}\nsony_collection_name_template='{category:||: }{value}'"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39442,7 +39523,7 @@ msgstr "Orden de las colecciones SONY"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39457,7 +39538,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Especifica cómo se ordenan las colecciones Sony. Este ajuste sólo se\naplica si la gestión de metadatos está establecida en automática. Puede\ndefinir qué campo de metadatos se usará para ordenar cada colección.\nEl formato del ajuste es una lista de campos de metadatos a partir de los\ncuales se construyen las colecciones, seguida del nombre del campo que\ncontiene el valor de orden.\nEjemplo: Lo siguiente indica que las colecciones creadas a partir de «pubdate»\ny «tags» se ordenarán según el valor contenido en la columna personalizada\n«#mifecha», que las colecciones creadas a partir de «series» se ordenan\nsegún «series_index» y que el resto de las colecciones se ordenan por\ntítulo. Si un campo de colecciones no se nombra, entonces la colección\nse ordenará por índice de serie si está basada en series y por título\nen caso contrario.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nTenga en cuenta que los corchetes y paréntesis son necesarios.\nLa sintaxis es:\n[ ( [lista de campos], campo de orden ) , ( [ lista de campos ] , campo de orden ) ]\nValor predeterminado: vacío (sin reglas), con lo que no se nombra\nningún atributo de colecciones."
+msgstr "Especifica cómo se ordenan las colecciones SONY. Este ajuste sólo se\naplica si la gestión de metadatos está establecida en automática. Puede\ndefinir qué campo de metadatos se usará para ordenar cada colección.\nEl formato del ajuste es una lista de campos de metadatos a partir de los\ncuales se construyen las colecciones, seguida del nombre del campo que\ncontiene el valor de orden.\nEjemplo: Lo siguiente indica que las colecciones creadas a partir de «pubdate»\ny «tags» se ordenarán según el valor contenido en la columna personalizada\n«#mifecha», que las colecciones creadas a partir de «series» se ordenan\nsegún «series_index» y que el resto de las colecciones se ordenan por\ntítulo. Si un campo de colecciones no se nombra, entonces la colección\nse ordenará por índice de serie si está basada en series y por título\nen caso contrario.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nTenga en cuenta que los corchetes y paréntesis son necesarios.\nLa sintaxis es:\n[ ( [lista de campos], campo de orden ) , ( [ lista de campos ] , campo de orden ) ]\nValor predeterminado: vacío (sin reglas), con lo que no se nombra\nningún atributo de colecciones."
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/et.po 5.10.0+dfsg-1/translations/calibre/et.po
--- 5.9.0+dfsg-3/translations/calibre/et.po	2021-01-06 15:29:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/et.po	2021-01-20 15:27:24.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
@@ -93,15 +93,15 @@ msgstr "Ei tee midagi"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -122,7 +122,7 @@ msgstr "Ei tee midagi"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -222,16 +222,16 @@ msgstr "Ei tee midagi"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -257,7 +257,7 @@ msgstr "Ei tee midagi"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -289,7 +289,7 @@ msgstr "Ei tee midagi"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -308,7 +308,7 @@ msgstr "Ei tee midagi"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -332,27 +332,27 @@ msgstr "Kohandamine:"
 msgid "Cannot configure"
 msgstr "Ei saa kohandada"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Faili tüüp"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metaandmete lugeja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metaandmete kirjutaja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Kataloogi looja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Kasutajaliidese tegevus"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -364,20 +364,20 @@ msgstr "Kasutajaliidese tegevus"
 msgid "Preferences"
 msgstr "Eelistused"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Pood"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "E-raamatute pood."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Raamatu muutmise tööriist"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Kogu suletud"
 
@@ -399,372 +399,372 @@ msgstr "Loo TXTZ arhiiv kui lisatakse TX
 msgid "Extract cover from comic files"
 msgstr "Eemalda kaas koomiksi failidest"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Loe metaandmed %s failidest"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Loe metaandmed RAR-arhiivides olevatest e-raamatutest"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Loe metaandmed ZIP-arhiivides olevatest e-raamatutest"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Loo meta-andmed %s failidesse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Sistesta allpool olevale väljale {0}, et EPUB metaandmete kirjutajal keelata kaanepiltide lisamine EPUB-failidesse, millel kaanepilti pole."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Loo meta-andmed %s failidest"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Lisa raamatuid calibresse või ühendatud seadmesse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Tõmba sisukokkuvõtted ühendatud Kindlest (eksperimentaalne)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Loo calibre raamatukogust kataloog"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Teisenda raamatud erinevatesse e-raamatu formaatidesse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Viimistle oma e-raamatuid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Sirvi esiletõste ja järjehoidjaid kõikidest kogus olevatest raamatutest"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Muuda oma raamatute sisukorda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Kustuta raamatud calibre kogust või ühendatud seadmest"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Manusta uuendatud metaandmed oma calibre kogu tegelikesse raamatufailidesse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Muuda calibre kogu raamatute metaandmeid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Loe raamatuid calibre kogust"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Lae alla uudised e-raamatu formaadis"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Näita kiiresti seotud raamatute nimekirja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtreeri/muunda kogus olevate raamatute silte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Muunda kogus olevate raamatute autoreid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Näita mallide testimiseks redaktorit"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Ekspordi raamatud calibre kogust kõvakettale"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Näita raamatu üksikasju eraldi hüpikaknas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Taaskäivita calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Ava kaust, kus asuvad calibre kogu raamatud"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Saada raamatud ühendatud seadmesse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Saada raamatud e-kirja või veebi vahendusel. Samuti ühendu arvutis olevate kaustadega, justkui oleks need seadmed"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Sirvi calibre kasutusjuhendit"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Seadista calibret"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Leia hetkel valituga sarnaseid raamatuid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Lülitu erinevate calibre raamatukogude vahel ja halda neid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopeeri raamatuid seadmest oma calibre kogusse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Halda neid kogumikke, millistest on raamatud pandud sinu seadmesse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Vastenda seadmetes olevad raamatud kogus olevatega"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopeeri raamat ühest calibre kogust teise"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Muuda EPUB- või AZW3-formaadis raamatuid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Tee pisimuudatusi oma calibre kogus olevatele EPUB- või HTMLZ-failidele"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Leia eelmine või järgmine tulemus, kui teed calibre kogus esiletõstmisrežiimis otsingut"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Võta calibre kogust juhuslik raamat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sordi raamatute loendit"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Ajutiselt märgista raamatuid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Muuda praegust Virtuaalset kogu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Otsi raamatuid erinevatelt müüjatelt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Hangi uusi calibre pluginaid või uuenda olemasolevaid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Välimus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Kasutajaliides"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Kohanda calibre liidese välimust oma maitse järgi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Käitumine"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Muuda calibre käitumist"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Lisa enda veergusid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Lisa/eemalda veergusid calibre raamatunimekirjast"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Tööriistaribad & menüüd"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Kohanda tööriistaribasid ja nendega seonduvaid menüüsid valides neisse võimalikke tegevusi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Otsing"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Kohanda viisi, kuidas raamatute otsimine calibres toimub"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Sisendi sätted"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Teisendamine"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Seadista teisendussuvandeid vastavalt igale sisendformaadile"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Üldised sätted"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Seadista kõigile formaatidele ühiseid teisendussuvandeid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Väljundi sätted"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Seadista igale fomaadile eriomaseid  teisendussuvandeid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Raamatute lisamine"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Import/eksport"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Kontrolli kuidas calibre loeb raamatute lisamisel failide metaandmeid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Raamatute salvestamine kettale"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Kontrolli, kuidas calibre ekspordib faile andmebaasist kettale kasutades \"Salvesta kettale\""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Raamatute saatmine seadmesse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Kontrolli kuidas calibre edastab faile sinu e-lugerisse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metaandmete ühendustahvlid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Muuda metaandmeid enne salvestamist/edastamist"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -774,92 +774,92 @@ msgstr "Muuda metaandmeid enne salvestam
 msgid "Template functions"
 msgstr "Malli funktsioonid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Täpsemad"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Loo enda malli funktsioonid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Raamatute jagamine e-posti teel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Jagamine"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Seadista raamatute jagamine e-posti teel. Seda võib kasutada, kui on soov saata automaatselt allalaetud uudiseid oma seadmesse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Jagamine üle võrgu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Seadista calibre Sisuserverit,  mis võimaldab sul ligi pääseda oma raamatukokku igalt poolt, igalt seadmelt, üle interneti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metaandmete allalaadimine"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Kontrolli e-raamatute metaandmete internetist allalaadimist"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Eiratud seadmed"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Kontrolli, milliseid seadmeid calibre eirab, kui need arvutiga ühendada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Pluginad"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Lisa/eemalda/seadista calibre funktsionaalsuse osasid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Peenseadistused"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Seadista calibre käitumist erinevates olukordades"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Otseteed"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Seadista calibres kasutatavaid klaviatuuri otseteid"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -867,7 +867,7 @@ msgstr "Seadista calibres kasutatavaid k
 msgid "Miscellaneous"
 msgstr "Muu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Muud täiustatud seadistused"
 
@@ -1257,9 +1257,9 @@ msgstr "Andmebaasi väljutamine SQL-i"
 msgid "Restoring database from SQL"
 msgstr "Andmebaasi taastamine SQL-ist"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1285,17 +1285,17 @@ msgstr "Salvestatud otsingud"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Jah"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Raamatu %s kaas"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0}-formaat raamatust {1}"
@@ -1681,14 +1681,14 @@ msgstr "Selle lüliti määratlemine kee
 msgid "You must specify some ids or the %s option"
 msgstr "Sa pead määrama mõned id-d või suvandi %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [suvandid]\n\nLoetle kõik calibre andmebaasis olevad raamatud.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1696,7 +1696,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1704,39 +1704,39 @@ msgid ""
 "Default: {1}"
 msgstr "Väli, mille põhjal tulemusi järjestada.\nSaadaovallevad väljad: {0}\nVaikimisi: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Sordi tulemusi tõusvas järjekorras"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Sõne, millega väljad eraldada. Vaikimisi on selleks tühik."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Eesliide kõikidele failiradadele. Vaikimisi sätteks on täielik rada kogu kaustani."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2283,21 +2283,21 @@ msgstr "tühi"
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Virtuaalse kogu otsing on rekursiivne: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3473,11 +3473,11 @@ msgstr "Eemaldati %s"
 msgid "All books removed"
 msgstr "Kõik raamatud eemaldatud"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Nimetu seade"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3486,12 +3486,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Tundmatu MTP-seade"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6046,7 +6046,7 @@ msgstr "Märkmed"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6339,7 +6339,7 @@ msgid "Producer"
 msgstr "Tootja"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6347,7 +6347,7 @@ msgid "Comments"
 msgstr "Kommentaarid"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6387,7 +6387,7 @@ msgid "Tags"
 msgstr "Sildid"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6417,7 +6417,7 @@ msgid "Timestamp"
 msgstr "Ajamärge"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8147,13 +8147,13 @@ msgstr "EPUB uuendati versioonilt 2 vers
 msgid "HTML TOC generation options."
 msgstr "HTML sisukorra loomise suvandid."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8186,31 +8186,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "Külgriba"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Päiste ja jaluste lisamine"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Päised ja jalused lisatud"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Lisati lingid PDF sisusse"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Uuendati metaandmed PDF-is"
 
@@ -9179,7 +9179,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10188,7 +10188,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Abi"
 
@@ -11447,7 +11447,7 @@ msgid "Errors while adding"
 msgstr "Vead lisamisel"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Eira"
 
@@ -11577,8 +11577,8 @@ msgstr "Muuda"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11712,11 +11712,11 @@ msgid "Search the internet for this book
 msgstr "Otsi seda raamatut internetist"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Halda: %s"
@@ -11859,7 +11859,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12186,7 +12186,7 @@ msgid "Preset name:"
 msgstr "Eelseadistuse nimi:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Sa pead sisestama nime."
 
@@ -12263,7 +12263,7 @@ msgid "Save current catalog settings as
 msgstr "Salvesta kataloogi praegused sätted eelseadistusena"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Salvesta"
 
@@ -12272,10 +12272,10 @@ msgid "Delete current preset"
 msgstr "Kustuta praegune eelseadistus"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Kustuta"
@@ -12388,8 +12388,8 @@ msgstr "Taasta vaikeseaded"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13575,7 +13575,7 @@ msgid "Ta&gs:"
 msgstr "Sildid:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13590,8 +13590,8 @@ msgstr "Sari:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Teadaolevate sarjade loend. Sa saad uusi sarju lisada."
@@ -14458,7 +14458,7 @@ msgid "Choose color"
 msgstr "Vali värv"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14799,19 +14799,19 @@ msgid "Edit style transform rules"
 msgstr "Laadi muundamise reeglite muutmine"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "Ekspordi"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Ekspordi need reeglid faili"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14885,8 +14885,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14967,7 +14967,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16547,7 +16547,7 @@ msgid "Change case"
 msgstr "Muuda tõstu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16555,7 +16555,7 @@ msgid "Upper case"
 msgstr "Suurtähed"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16563,7 +16563,7 @@ msgid "Lower case"
 msgstr "Väiketähed"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16571,7 +16571,7 @@ msgid "Swap case"
 msgstr "Muuda tõst vastupidiseks"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16605,7 +16605,7 @@ msgid "Manage authors"
 msgstr "Autorite haldamine"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Otsi:"
@@ -17026,78 +17026,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Peida ülejäänud veateade"
 msgstr[1] "Peida ülejäänud {} veateadet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Töötamine"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d raamatu töötlemine, palun oota..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Praegune sammude edenemine: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Samm %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Väiketähed"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Suurtähed"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Suurtäht iga sõna alguses"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Tähemärkide otsing"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Regulaaravaldis"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Asenda väli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Lisa välja algusse"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Lisa välja lõppu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Metaandmete muutmine ühel raamatul"
 msgstr[1] "Metaandmete muutmine {} raamatul"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Tee kõik muudatused koheselt ilma dialoogi sulgemata. Seda toimingut ei saa katkestada ega tagasi võtta"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "%d. raamat:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Sisesta identifikaatori tüüp"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17105,7 +17105,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Seda funktsiooni kasutades võid oma kogu hävitada.</b> Muudatused on püsivad. Ei ole mingit tagasi võtmise võimalust. Enne jätkamist on rangelt soovitatav oma kogust teha varukoopia.<p>Otsi ja asenda tekstiväljadelt, kasutades kas tähemärkide otsingut või regulaaravaldisi. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17115,7 +17115,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17130,80 +17130,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "O/A MALLI VIGA"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Hinnangu veeru 'rating' asendusväärtus peab olema kas tühi või täisarv 0 ja 10 vahel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Sa pead väljale \"Otsi\" sisestama otsingu avaldise"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Otsi/asenda vigane"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Otsi/asenda on vigane: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Kustuta salvestatud otsi/asenda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Valitud salvestatud otsi/asenda kustutatakse. Kas oled kindel?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Salvesta otsi/asenda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Otsi/asendamise nimi:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "See salvestatud otsi/asenda on juba olemas ja kirjutatakse üle. Kas oled kindel?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "Rakenda kuupäev"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "Autor(id): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17211,90 +17220,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "Vaheta pealkiri ja autor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Autor,sort: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Määra, kuidas selle raamatu autorit/autoreid sortida. Näiteks autor Charles Dickens tuleks sortida kui Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Kaanepildi muutmine"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "Hinnang:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "Loo vaikimisi kaanepilt"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "Rakenda hinnang"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "Eemalda kaanepilt"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "Kirjastaja:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Proovi automaatselt tuvastada ja eemaldada kaanepiltide raamid\nja lisaruum äärtes. See võib vahel eemaldada liiga palju,\nseega kasuta ettevaatusega."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Kui märgistatud, tühjendatakse kirjastaja väli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "Kärbi kaanepilti (OHTLIK)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Tühjenda kirj."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Määra e-raamatu failidest"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Lisa sildid:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Pane kõigi valitud raamatute kaanepildiks\nesimese valitud raamatu kaanepilt."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Ava Siltide haldur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "Klooni kaanepilt"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Eemalda sildid:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Komaga eraldatud siltide loend, mis raamatutest eemaldada."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Muuda tõstuks:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Märgista see kast, et eemaldada raamatutest kõik sildid."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "Kuupäev:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Eemalda kõik"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Kui märgistatud, tühjendatakse kirjastaja väli"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Sari:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Tühjenda kirj."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Kui märgistatud, siis tühjendatakse valitud raamatute sarja väli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Avaldamisaeg:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "Tühjenda sarjad"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17302,281 +17306,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Automaatselt nummerda selle sarja raamatud"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "Sunni nummerduse algusarvuks:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Kui märgistatud, siis tühjendatakse valitud raamatute sarja väli"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "Tühjenda sarjad"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Kontrolli vaikimisi loodavate kaanepiltide loomist"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Seadista kaante loomist"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Muuda kõigile valitud raamatutele pandavat kommentaari"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Eemalda sildid:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Eemalda kõik"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Lisa sildid:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "Kuupäev:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Määra, kuidas selle raamatu autorit/autoreid sortida. Näiteks autor Charles Dickens tuleks sortida kui Dickens, Charles."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "Rakenda kuupäev"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "Rakenda hinnang"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Avaldamisaeg:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Tühjenda avaldamiskuupäeva väli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "Autor(id): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "Keeled:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "Kirjastaja:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Komaga eraldatud siltide loend, mis raamatutest eemaldada."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Ava Siltide haldur"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
+msgstr "Samade formaatide vahel teisendades, nt. EPUB-ist EPUB-iks,\nsalvestab calibre esialgse EPUB-faili ORIGINAL_EPUB-ina.\nSee valik ütleb calibrele, et EPUB taastada ORIGINAL_EPUB-ist.\nKasulik, kui teisendasid suure hulga raamatuid ja midagi läks valesti."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Autor,sort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr "Taasta teisendamiseelsed originaalid, kui on saadaval"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Muuda tõstuks:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Sari:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Kaanepildi muutmine"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "Loo vaikimisi kaanepilt"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "Eemalda kaanepilt"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Proovi automaatselt tuvastada ja eemaldada kaanepiltide raamid\nja lisaruum äärtes. See võib vahel eemaldada liiga palju,\nseega kasuta ettevaatusega."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "Kärbi kaanepilti (OHTLIK)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Määra e-raamatu failidest"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Pane kõigi valitud raamatute kaanepildiks\nesimese valitud raamatu kaanepilt."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "Klooni kaanepilt"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
-msgstr "Samade formaatide vahel teisendades, nt. EPUB-ist EPUB-iks,\nsalvestab calibre esialgse EPUB-faili ORIGINAL_EPUB-ina.\nSee valik ütleb calibrele, et EPUB taastada ORIGINAL_EPUB-ist.\nKasulik, kui teisendasid suure hulga raamatuid ja midagi läks valesti."
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
-msgstr "Taasta teisendamiseelsed originaalid, kui on saadaval"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Kontrolli vaikimisi loodavate kaanepiltide loomist"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Märgista see kast, et eemaldada raamatutest kõik sildid."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Seadista kaante loomist"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "Hinnang:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Muuda kõigile valitud raamatutele pandavat kommentaari"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Peamised metaandmed"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Kohandatud metaandmed"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "Laadi otsi/asenda:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Vali salvestatud otsi/asenda, mis laadida."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Salvesta praegune otsi/asenda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Salvesta"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Otsi väljalt:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Välja nimi, millelt tahad otsida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Otsingu režiim:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Vali, kas kasutada lihtsa teksti põhjal otsimist või\ntäpsemat regulaaravaldise põhjal otsimist"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Identifikaatori tüüp:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Vali, millise identifikaatoritüübi järgi töötada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Mall:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Sisesta mall, mida kasutada otsingu/asendamise allikana"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Sisesta, mida sa otsid, kas lihtekstina või regulaaravaldisena, sõltuvalt otsingu režiimist"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Märgista see kast, kui otsitavas sõnes tuleb eristada suur- ja väiketähti.\nEemalda märgistus, kui suur- ja väiketähtede eristus pole oluline"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Tõstutundlik"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "Asendustekst:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Asendustekst. Otsingule vastav tekst asendatakse selle tekstiga"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "Pärast asendust kasuta funktsiooni:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Määra, kuidas pärast otsimist ja asendamist teksti töödeldakse.\nTähemärkide režiimis töödeldakse tervet välja.\nRegulaaravaldise režiimis töödeldakse ainult vastavat teksti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Sihtväli:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Väli, kuhu tekst pärast kõiki asendamisi pannakse.\nKui tühi, siis kasutatakse lähtevälja, kui see on muudetav"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "Režiim:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Määra, kuidas tekst sihtkohta kopeeritakse."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Identifikaatori tüüp:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17584,48 +17610,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Mitme väärtusega välja puhul näita"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "väärtust algusega"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "ja eralda väärtused sõnega"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Kasutatakse testi tulemusi näidates mitme väärtusega väljade väärtuste eraldamiseks"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Testitav tekst"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Testi tulemus"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Sinu test:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "Otsi ja asenda"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Kui märgistatud, siis pärast muutmise valmis saamist raamatute loend\nvärskendatakse ja iga olemasolev otsing või Virtuaalne kogu värskendatakse.\nSee võib mahukate kogude korral olla aeglane."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "Pärast muutmist värskenda raamatute loendit"
 
@@ -18081,42 +18107,42 @@ msgstr "Ava raamat E-raamatute vaaturis"
 msgid "&Item: {0} ({1})"
 msgstr "Väli: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Kirjeid ei leitud**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Klõpsa kogu vaates veerul, et näha selle raamatu kohta teavet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "Raamatuid valitu kirjega \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Tabeli täitmisel läks midagi valesti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Kiirvaade: Raamatut pole kogu vaates"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18222,87 +18248,87 @@ msgstr "Andmebaasi taastamine ebaõnnest
 msgid "Failed to repair library"
 msgstr "Kogu parandamine ebaõnnestus"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Uue salvestatud otsingu lisamine"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Siin saad luua <i>Salvestatud otsingu</i> sageli kasutatavate otsingute jaoks. Seda otsingut saab näha Siltide sirvijas kategoorias <i>Salvestatud otsingud</i>, koos siin sisestatava nimega."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Salvestatud otsingu nimi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "Otsing:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Otsingu avaldis"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Otsingu nime pole"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Sa pead Salvestatud otsingule määrama nime"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Otsingu avaldist pole"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Sa pead Salvestatud otsingule määrama otsingu avaldise"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Vigane salvestatud otsing"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Halda Salvestatud otsinguid"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "Lisa otsing"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "Eemalda otsing"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "Muuda otsingut"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Praegune salvestatud otsing <b>kustutatakse jäädavalt</b>. Kas oled kindel?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Muuda nime ja/või avaldist allpool."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Salvestatud otsing nimega {} on juba olemas. Vali mõni muu nimi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Otsingu avaldis"
 
@@ -19200,48 +19226,64 @@ msgstr "Silt 1"
 msgid "Tag 2"
 msgstr "Silt 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Malli keele juhend"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "ERAND: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Ühtki veergu pole valitud"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Sa pead määratlema veeru, mida värvida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Malli kast ei saa olla tühi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20305,7 +20347,7 @@ msgstr "Otsi otseteed nime järgi"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Vasteid pole"
 
@@ -20464,8 +20506,8 @@ msgid "Show in calibre"
 msgstr "Näita calibres"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20482,14 +20524,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Ahenda kõik"
 
@@ -22709,60 +22751,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "Lisa reegel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "Eemalda reegel(-lid)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Liiguta valitud reegel üles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Liiguta valitud reegel alla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Lisa täpsem reegel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Impordi reeglid failist"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Sa saad raamatu loendi veergude värvi muuta, luues \"reeglid\", mis ütlevad calibrele, mis värvi kasutada. Alustamiseks klõpsa alloleval nupul \"Lisa reegel\".<p><b>Olemasolevat reeglit saab muuta</b> sellel topeltklõpsates."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Sa saad raamatu loendi veergudesse lisada ikoone, luues \"reeglid\", mis ütlevad calibrele, mis ikooni kasutada. Alustamiseks klõpsa alloleval nupul \"Lisa reegel\".<p><b>Olemasolevat reeglit saab muuta</b> sellel topeltklõpsates."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22770,57 +22812,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Sa saad lisada Kaaneruudustikus kaanepiltide kõrval näidatavaid embleeme (väikseid ikoone), luues \"reeglid\", mis ütlevad calibrele, mis pilti kasutada. Alustamiseks klõpsa alloleval nupul \"Lisa reegel\".<p><b>Olemasolevat reeglit saab muuta</b> sellel topeltklõpsates."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Näita kaanepiltide kõrval embleeme"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Ühtki reeglit pole valitud"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Ühtki reeglit pole %s valitud."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "kustutamiseks"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Faili valimine, millesse eksportida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Reeglid"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Faili valimine, millest importida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Kehtivaid reegleid ei leitud"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Failist {} ei leitud kehtivaid reegleid."
 
@@ -23662,13 +23704,13 @@ msgstr "Peida pealdis"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "All"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Üleval"
 
@@ -23702,7 +23744,7 @@ msgid "If there is enough room"
 msgstr "Kui on piisavalt ruumi"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Esitähe järgi"
 
@@ -23983,7 +24025,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Keela"
 
@@ -24675,8 +24717,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Siin saad kohandada metaandmeid, mida calibre kettale salvestades või seadmele saatmisel raamatu uuendamiseks kasutab.\n\nKasuta seda dialoogi, et määratleda 'ühendustahvel' formaadile (või kõikidele formaatidele) ja seadmele (või kõikidele seadmetele). Ühendustahvel määrab, mis mall on ühendatud millise väljaga. Malli kasutatakse väärtuse arvutamiseks, ja see väärtus määratakse ühendatud väljale.\n\nSageli sisaldavad mallid lihtsaid viiteid liitveergudele, kuid see pole vajalik. Allika kastis saad kasutada kõiki malle, mida kasutad mujalgi calibres.\n\nÜhendustahvli üks kasutusvõimalus on pealkirja muutmine selliselt, et see sisaldaks sarja infot. Teine oleks autori sortimisnime muutmine; miski, mida mobi kasutajad võivad teha Kindle'i nõutava ';' kasutamise sundimiseks. Kolmas oleks keele määramine."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25244,7 +25286,7 @@ msgid ""
 msgstr "Kasutajanime/parooli nõudmine ei luba kõrvalistel isikutel sinu calibre kogule ligi pääseda. Seda on vaja ka mõne funktsionaalsuse jaoks, näiteks kogudele muudatuste tegemine ja viimase lugemise asukoha/märkmete sünkroonimine."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Kasutaja {} parooli muutmine"
 
@@ -25379,7 +25421,7 @@ msgid "Change &password"
 msgstr "Muuda parooli"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25390,7 +25432,7 @@ msgid "Change the allowed libraries"
 msgstr "Muuda ligipääsetavaid kogusid"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26903,7 +26945,7 @@ msgid "Books in this category are unrate
 msgstr "Selle kategooria raamatud on hinnanguta"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Otsingu avaldis:"
 
@@ -27194,7 +27236,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Nimeta ümber %s"
@@ -27254,95 +27296,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Eemalda %(item)s kategooriast %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Kustuta Kasutaja kategooria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Otsi raamatuid kategoorias %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Otsi raamatuid, mis pole kategoorias %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Peida kategooria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Muuda kategooria ikooni"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Taasta vaikimisi ikoon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Halda Kasutaja kategooriaid"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Muuda alamkategooriatesse jaotamise skeemi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Osadeks jaotatud"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Esitäht on kasutatav ainult nime järgi sortimisel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27999,7 +28041,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Järgnevad raamatud juba on %s-formaati teisendatud. Kas tahad need uuesti teisendada?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28530,7 +28573,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Tühista"
 
@@ -30768,7 +30811,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Kaldkiri</h3>Pane valitud tekst kaldkirja"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "Allakriipsutus"
 
@@ -32095,7 +32138,7 @@ msgid "Disabled confirmations restored"
 msgstr "Keelatud teavitused taastatud"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32722,7 +32765,7 @@ msgid "Export saved searches"
 msgstr "Ekspordi salvestatud otsingud"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Ekspordi"
 
@@ -34596,71 +34639,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] "Sisukorra sektsioon:"
 msgstr[1] "Sisukorra sektsioonid:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35114,7 +35157,7 @@ msgid "E-book viewer"
 msgstr "E-raamatu vaatur"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Keri siia"
 
@@ -35190,13 +35233,13 @@ msgstr "Raamatu laadimine ebaõnnestus"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Taustapildi valimine"
 
@@ -35361,10 +35404,10 @@ msgid "< &Back"
 msgstr "< Tagasi"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Loobu"
 
@@ -36005,8 +36048,8 @@ msgid "No genres to catalog.\n"
 msgstr "Kataloogimiseks pole žanreid.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Kontrolli e-raamatute valikutes regulaaravaldist 'Välistatud žanrid'.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36054,8 +36097,8 @@ msgstr "Pealkirjade sortimine"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Pole raamatuid, mida kataloogida.\nKontrolli reegleid 'Välistatud raamatud' E-raamatu valikute kaardil.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36531,177 +36574,208 @@ msgstr "Täielik liides pakub rohkem võ
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Mida sa teha tahad?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "vaikimisi"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Valikut ei tehtud, väljumine..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s ei ole kehtiv valik, proovi uuesti"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Olemasolevad kasutajanimed:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Kasutajaid pole, sa pead esmalt lisama kasutaja"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Kasutajanime %s pole olemas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Sisesta kasutajanimi"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Sisesta uus parool kasutajale %s: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Tühjad paroolid pole lubatud"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Sisesta kasutaja %s uus parool veel kord, kinnitamiseks: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Paroolid ei kattu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Kasutaja %s edukalt lisatud!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Kas oled kindel, et tahad kasutaja %s eemaldada?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Kasutaja %s edukalt eemaldatud!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Kasutaja %s parool edukalt muudetud!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Kasutaja {0} praegune parool on: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Luba kasutajal {} teha muudatusi (ehk luba kirjutusõigus)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Keela kasutajal {} teha muudatusi (ehk eemalda kirjutusõigus)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} omab järgmisi kogupõhiseid lisapiiranguid:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} ei oma kogupõhiseid lisapiiranguid"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Luba ligipääs kõikidele kogudele"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Luba ligipääs ainult määratud kogudele"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Luba ligipääs kõigile, välja arvatud määratud kogudele"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Muuda kogupõhiseid piiranguid"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Sisesta kogu nimi:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Sisesta otsingu vaaldis, ligpääs lubatakse ainult sellele avaldisele vastavatele raamatutele. Tühi avaldis annab ligipääsu kõikidele raamatutele."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Veel üks piirang?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Sisesta komaeraldusega loend kogude nimedega:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Ligipääs lubatud ainult kogudele: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Ligipääs lubatud kõigile kogudele, peale: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} omab {1} õigusega ligipääsu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "lugemise-kirjutamise"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "ainult-lugemise"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Lisada uue kasutaja"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Olemasolevat kasutajat muuta"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Kasutaja eemaldada"
 
@@ -37109,13 +37183,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37123,23 +37198,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Sa pead määrama vähemalt ühe calibre kogu"
 
@@ -37152,7 +37227,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Vigane süntaks. Oodati teatmenime või sõna"
 
@@ -37311,128 +37386,128 @@ msgstr "Sätted ja pluginad"
 msgid "File is open in another process"
 msgstr "Fail on teises protsessis avatud"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: tundmatu funktsioon"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37487,60 +37562,60 @@ msgstr "strlen(a) -- Tagastab argumendin
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- tagastab x + y. Väljastab veateate, kui kas x või y ei ole numbrid."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- tagastab x - y. Väljastab veateate, kui kas x või y ei ole numbrid."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- tagastab x * y. Väljastab veateate, kui kas x või y ei ole numbrid."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- tagastab x / y. Väljastab veateate, kui kas x või y ei ole numbrid."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37552,7 +37627,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37563,13 +37638,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37579,30 +37654,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- tagastab metaandmete välja nimega name"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- tagastab metaandmete välja nimega name ilma igasuguse vorminguta."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37612,7 +37687,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37622,24 +37697,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup nõuab kas 2 või paaritu arv argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37648,11 +37723,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch nõuab paaritu arv argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37662,19 +37737,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max nõuab vähemalt 2 argumenti"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max nõuab paarisarv argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37684,11 +37759,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list nõuab paaritu arv argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37700,11 +37775,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list nõuab paaritu arv argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37715,14 +37790,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37735,20 +37810,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- tagasta val, kui val pole tühi, vastasel juhul tagasta `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37762,7 +37837,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37770,7 +37845,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37779,14 +37854,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37799,19 +37874,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Seda funktsiooni saab kasutada ainult graafilises liideses"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37821,7 +37896,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37829,7 +37904,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37837,13 +37912,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- tagasta numbrit v esindav sõne ühikutes KB, MB, GB, jne."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37854,7 +37929,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37867,7 +37942,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37884,7 +37959,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37907,23 +37982,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- tagasta val suurtähtedes"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- tagasta val väiketähtedes"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37932,7 +38007,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37941,55 +38016,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- tagasta sarja sortimise väärtus"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37998,7 +38073,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38006,7 +38081,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38014,7 +38089,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38022,7 +38097,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38031,7 +38106,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38040,7 +38115,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38048,14 +38123,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38063,7 +38138,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38071,28 +38146,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38101,7 +38176,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38110,7 +38185,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38119,7 +38194,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38127,7 +38202,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Tagastab ladina tähestikus sõne, mis on koostatud lähtesõnes olevate sõnade helikuju võrdlemisel. Näiteks, kui lähtesõne on \"{0}\", siis funktsioon tagastab \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38139,7 +38214,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38150,7 +38225,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38158,13 +38233,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38172,7 +38247,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38185,11 +38260,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38197,11 +38272,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "Hinnang peab olema number 0 ja 5 vahel"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38210,7 +38285,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38221,7 +38296,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38231,6 +38306,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38519,29 +38600,29 @@ msgstr "Sulge ilma salvestamata"
 msgid "Close Tab"
 msgstr "Sulge kaart"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Liigsed tähemärgid otsingu lõpus"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "puuduv )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Tundmatu salvestatud otsing: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Tundmatu viga salvestatud otsingus: {0}"
@@ -38904,185 +38985,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Ära laadi alla CSS-laadilehti."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Salvesta kõik"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Ava"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "Jah"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Jah kõigele"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "Ei"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Ei kõigele"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Katkesta"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Proovi uuesti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Sulge"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Rakenda"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Lähtesta"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Taasta vaikesätted"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "T&oon:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "Külla&stus:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Heledus:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "P&unane:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Roheline:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Si&nine:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lpha kanal:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Kursor kohas %1, %2\nTühistamiseks vajuta paoklahvi ESC"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Vali värvus"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Põhivärvid"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Kohandatud värvid"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Lisa kohandatud värvidesse"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Vali värvus ekraanilt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Vali font"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Font"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Font stii&l"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Suurus"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efektid"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Läbi&kriipsutus"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Näidis"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Kirja&süsteem"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Vasak äär"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Parem äär"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Keri vasakule"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Keri üles"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Keri alla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Keri paremale"
 
@@ -39362,8 +39443,8 @@ msgstr "Määra SONY kogumike ümbernime
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39419,7 +39500,7 @@ msgstr "Määra, kuidas sorditakse SONY
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/eu.po 5.10.0+dfsg-1/translations/calibre/eu.po
--- 5.9.0+dfsg-3/translations/calibre/eu.po	2021-01-06 15:30:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/eu.po	2021-01-20 15:27:19.000000000 +0000
@@ -20,8 +20,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -100,15 +100,15 @@ msgstr "Ez du ezer egiten"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -129,7 +129,7 @@ msgstr "Ez du ezer egiten"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -229,16 +229,16 @@ msgstr "Ez du ezer egiten"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -264,7 +264,7 @@ msgstr "Ez du ezer egiten"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -296,7 +296,7 @@ msgstr "Ez du ezer egiten"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -315,7 +315,7 @@ msgstr "Ez du ezer egiten"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -339,27 +339,27 @@ msgstr "Pertsonalizatu"
 msgid "Cannot configure"
 msgstr "Ezin da konfiguratu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Fitxategi mota"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadatuen irakurlea"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadatuen idazlea"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalogo-sortzailea"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "erabiltzaile-interfaze ekintza"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -371,20 +371,20 @@ msgstr "erabiltzaile-interfaze ekintza"
 msgid "Preferences"
 msgstr "Hobespenak"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Biltegiratu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "eLiburuen biltegia"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Liburua editatzeko tresna"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Liburutegia itxita"
 
@@ -406,372 +406,372 @@ msgstr "Sortu TXTZ fitxategi bat TXT fit
 msgid "Extract cover from comic files"
 msgstr "Erauzi ezazu liburu-azala komiki fitxategietatik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Irakur itzazu metadatuak %s fitxategietatik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "RAR fitxategitik e-booken metadatuak irakurri."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Irakur itzazu metadatuak liburu elektronikoetatik ZIP fitxategietan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Ezarri metadatuak %s fitxategietan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Sartu {0} azpian EPUB metadata edukitzeko. Writer plugin horrek ez ditu liburu-azalak gehituko EPUB fitxategietara aurretik ePUB horiek ez badute liburu-azalik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Ezarri metadatuak %s fitxategietatik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Gehitu liburuak calibrera edo konektatutako gailura"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Eskuratu oharrak konektatutako Kindle gailutik (esperimentatzen)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Sor ezazu zure calibre liburutegiaren katalogoa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Bihur itzazu liburuak hainbat e-liburu formatutara"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Zorrotz doitu zure liburu elektronikoak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Editatu Aurkibidia zure liburu elektronikoetan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Ezabatu liburuak zure calibre liburutegitik edo konektatutako gailutik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Kapsulatu eguneratutako metadatuak oraingo liburu-fitxategien barruan zure calibre-liburutegian"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editatu liburuen metadatuak zure calibre liburutegian"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Irakurri liburuak calibre liburutegian"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Deskargatu berriak internetetik e-liburuen formatuan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Erakutsi azkar antzeko liburuen zerrenda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Iragazi/eraldatu liburutegiko liburuetako etiketak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Eraldatu liburutegiko liburuetako autoreak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Erakutsi editore bat txantiloiak aztertzeko"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Esportatu liburuak zure calibre liburutegitik disko gogorrera"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Erakutsi liburuaren zehaztasunak bereizitako leiho batean"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Berrabiarazi calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Zabal ezazu liburu-fitxategiak gordetzen dituen karpeta zure calibre liburutegian"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Bidali liburuak konektatuta dagoen gailura"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Bidali liburuak e-postaren bidez edo interneteko beste bideren batetik eta konektatu zure ordenagailuko karpetekin irakurgailuak izango balira bezala"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Browse the calibre User Manual"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Pertsonalizatu calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Modu errazean topatzen ditu orain hautatu berri duzun liburuaren antza handia duten liburuak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Txandakatu hainbat calibre liburutegiren artean eta presta ezazu haien mantenua"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopiatu liburuak gailutik zure calibre liburutegira"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Editatu bildumak non zure liburuak gailuan gordeta dauzkazun"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Gailuetako liburua liburutegiko liburuekin bateratu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopiatu liburua calibre liburutegi batetik beste batera"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Editatu liburu elektronikoak EPUB edo AZW3 formatuetan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Egin aldaketa txikiak zure Calibre liburutegiko EPUB edo HTMLZ fitxategietan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Bila ezazu hurrengo edo aurreko bat etortzea zure calibre liburutegian azpimarratze moduan bilatzen ari zarela"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Hautatu ausaz liburu bat zure calibreko liburutegitik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sailkatu liburu zerrenda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Aldi baterako markatu liburuak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Aldat uneko liburutegi birtuala"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Bilatu liburuak hainbat liburu saltzaileen artean begiratzen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Lor itzazu calibre aplikazio edo gehigarri berriak edo eguneratu dagoeneko dauzkazunak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr " Begiratu eta ukitu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfazea"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Doi ezazu calibreren interfazearen itxura zure gustuen arabera"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Jokabidea"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Alda ezazu calibreren jokatzeko era"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Gehi itzazu zureak diren zutabeak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Gehitu/ezabatu itzazu zuk egindako zure zutabeak calibreren liburu zerrendara/zerrendatik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Tresna-barrak eta menuak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Pertsonalizatu tresna-barra eta testuinguruaren araberako menuak, bakoitzean eskuragarri agertuko diren ekintzekin aldatuz."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Bilatzen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Pertsonalizatu nola bilatu liburuak calibren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Sarrera aukerak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Bihurketa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Ezarri itzazu sorburu formatu bakoitzeko bihurketa aukera zehatzak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Ohiko aukerak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Ezarri itzazu formatu guztietarako komunak diren bihurketa aukerak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Irteera aukerak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Ezarri itzazu helburu formatu bakoitzeko bihurketa aukera zehatzak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Liburuak gehitzen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Inportatu/Esportatu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Kontrola ezazu calibrek nola irakurtzen dituen metadatuak fitxategietatik liburuak gehitzerakoan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Liburuak diskan gordetzen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Kontrola ezazu calibrek nola esportatzen dituen fitxategiak bere datu basetik diskora \"Diskoan gorde\" aukera erabiltzen denean."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Bidaltzen liburuak gailuetara"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Kontrolatu Calibrek nola bidaltzen dituen fitxategiak zure liburu elektronikora"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metadatuen konektore-txartela"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Aldatu metadatu eremuak gorde/igorri baino lehenago"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -781,92 +781,92 @@ msgstr "Aldatu metadatu eremuak gorde/ig
 msgid "Template functions"
 msgstr "Txantiloi funtzioak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Aurreratua"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Sortu txantiloi funtzio berriak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Liburuak e-posta bidez partekatzen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Partekatzen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Antolatu liburuen elkarbanatzea e-postaren bidez. Saretik deskargatutako albisteak norbere gailuetara automatikoki bidaltzeko erabil daiteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Sarean zehar elkarbanatzen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Antolatu Calibreren edukien zerbitzaria, zeinak Calibreren liburutegira Interneten bidezko sarbidea emango dizun edozein lekutan eta edozein gailuren bidez"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metadatuak deskargatu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Kontrolatu nola deskargatzen dituen Calibrek liburuen metadatuak internetetik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Kontuan hartu ez diren gailuak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Kontrolatu ea zein gailuk ez ditu calibrek kontuan hartuko ordenagailuari konektaturik baldin badaude ere."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Pluginak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Gehitu/ezabatu/pertsonalizatu calibreren zenbait aukera"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Doikuntzak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Afina ezazu zehaztasun handiz nola jokatuko duen calibrek hainbat testuingurutan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Lasterbideak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Pertsonalizatu giltzadiko lasterbideak calibren erabiltzeko"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -874,7 +874,7 @@ msgstr "Pertsonalizatu giltzadiko laster
 msgid "Miscellaneous"
 msgstr "Denetarik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Hainbat gauzetarako ezarpen aurreratuak"
 
@@ -1264,9 +1264,9 @@ msgstr "Datubasea SQLra bihurtzen"
 msgid "Restoring database from SQL"
 msgstr "Berreskuratzen datubasea SQLtik"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1292,17 +1292,17 @@ msgstr "Gordetako bilaketak"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Bai"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr " %s -ren azala"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formatua honentzat {1}"
@@ -1688,14 +1688,14 @@ msgstr "Aldaketa hau zehaztuz jokabide h
 msgid "You must specify some ids or the %s option"
 msgstr "ID batzuk zehaztu egin beharko dituzu edo %s aukera"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [aukerak]\n\ncalibre datu basean eskuragarri dauden liburuen zerrenda.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1703,7 +1703,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1711,39 +1711,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Ordenatu emaitzak goranzka"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Bilaketa galderaren arabera iragazten ditu emaitzak. Galdetzen denaren formaturako, mesedez begiratu bilaketari buruzko dokumentazioa Erabiltzailearen eskuliburua. Lehenetsita: ez egin inolako iragazpenik."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Lerro sinple baten zabalera maximoa. Lehenetsitako balioa: pantailaren tamaina detektatzea."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Eremuak bereizteko erabiltzen den testua. Lehenetsia: espazio bat."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Fitxategi bide guztietarako aurrizkia. Lehenetsia: liburutegiko karpetarako bide hutsa."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Erakusteko gehienezko emaitza kopurua. Lehenetsita: denak"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2290,21 +2290,21 @@ msgstr "hutsunea, zuriunea"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Boolear itaunketak ezegokia  \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Ez dago liburutegi birtualik: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Liburutegi birtualaren bilaketa errekurtsiboa da: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Kontsulta-talde errekurtsiboa atzeman da: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3480,11 +3480,11 @@ msgstr "%s ezabatu egin da"
 msgid "All books removed"
 msgstr "Liburu guztiak ezabatu dira"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Izenik gabeko gailua"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3493,12 +3493,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Irakurgailu MTP ezezaguna"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6053,7 +6053,7 @@ msgstr "Oharrak"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6346,7 +6346,7 @@ msgid "Producer"
 msgstr "Ekoizlea"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6354,7 +6354,7 @@ msgid "Comments"
 msgstr "Iruzkinak"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6394,7 +6394,7 @@ msgid "Tags"
 msgstr "Etiketak"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6424,7 +6424,7 @@ msgid "Timestamp"
 msgstr "Dataren zigilua (noizkoa)"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8154,13 +8154,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "HTML aurkibideak sortzeko aukerak."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8193,31 +8193,31 @@ msgstr "Sortzen du Adobe enpresako \"pag
 msgid "Sidebar"
 msgstr "Alboko barra"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr " Eguneratu dira metadatuak PDF dokumentuan"
 
@@ -9186,7 +9186,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10195,7 +10195,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Laguntza"
 
@@ -11454,7 +11454,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ez ikusiarena egin"
 
@@ -11584,8 +11584,8 @@ msgstr "Aldatu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11719,11 +11719,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Kudeatu %s"
@@ -11866,7 +11866,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12193,7 +12193,7 @@ msgid "Preset name:"
 msgstr "Ezarpenen izena:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Derrigorrezkoa izenen bat ematea."
 
@@ -12270,7 +12270,7 @@ msgid "Save current catalog settings as
 msgstr "Gorde uneko katalogo ezarpenak"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Gorde"
 
@@ -12279,10 +12279,10 @@ msgid "Delete current preset"
 msgstr "Ezabatu uneko ezarpenak"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Ezabatu"
@@ -12395,8 +12395,8 @@ msgstr "Berrezarri lehenetsira"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13582,7 +13582,7 @@ msgid "Ta&gs:"
 msgstr "Etiketak:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13597,8 +13597,8 @@ msgstr "&Sailak:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Ezagunak diren sailen zerrenda. Sail berria gehi dezakezu."
@@ -14465,7 +14465,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14806,19 +14806,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14892,8 +14892,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14974,7 +14974,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16554,7 +16554,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16562,7 +16562,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16570,7 +16570,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16578,7 +16578,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16612,7 +16612,7 @@ msgid "Manage authors"
 msgstr "Erabili egileen izenak"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Bilatu hau:"
@@ -17033,78 +17033,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Lanean"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d liburu prozesatzen, itxaron mesedez..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Letra xeheak"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Letra larriak"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Izenburuaren letra mota (xehe/larri)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Karaktereek bat egin"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Ordeztu eremua"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Erantsi aurretik eremuari"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Erantsi eremuari"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Egin itzazu aldaketa guztiak bat-batean elkarrizketa leihoa itxi gabe. Eragiketa hau ezin da bertan behera utzi edo atzera bota"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Liburua %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Sartu identifikatzaile mota"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17112,7 +17112,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Ezaugarri hau erabiliz zure liburutegia ezabatu dezakezu.</b> Aldaketak betirako dira. Ez dago hau desegin dezakeen funtziorik. Zure liburutegiaren babes-kopia egitea zeharo gomendagarria da.<b> Bilatu eta ordeztu eremuak testuan adierazpen erregularrak edo irizpide-karaktereak erabiliz. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17122,7 +17122,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17137,80 +17137,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R TXANTILOI ERROREA"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Iturria eremu konposatu bat edo txantiloia denean helbidea zehaztu behar duzu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Derrigorrezkoa da helburu identifikatzaile motaren bat zehaztea"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Baliogabeko identifikatzaile katea. Bi puntugatik banandutako kate-bikoteen komaz banandutako zerrenda izan behar du"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Bilatu/ordeztu ez dabil"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Gordetako bilaketa/ordezkapena ezabatu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Aukeratu duzun gordetako bilatu/ordeztu adierazpena ezabatu egingo da. Ziur zaude?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Gorde bilatu/ordeztu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Bilatu/ordeztu izena:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Dagoeneko badagoenez gorde duzun bilatu/ordeztu adierazpena, gainidatzi egingo da. Ziur zaude?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Egilea(k):s "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17218,90 +17227,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utomatikoki ezarri egile izenaren araberako sailkapena"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Egile izenaren araberako s&ailkapena: "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Eguneratu izenburu sailkapena uneko izenburuan oinarrituta. Izenburuko aldaketen ostean baino ez da aplikatuko."
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Zehaztu ea nola sailkatuko d(ir)en liburu honen egile izena(k) Adibidez Charles Dickens honela sailkatuko da; Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Eguneratu &izenburu sailkapena"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Balorazioa:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Aldatu &liburu-azala"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Sortu lehenetsitako liburu-azala"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Argitaletxea: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Ezabatu liburu-azala"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Markaturik egonez gero, argitaratzailea ezabatu egingo da, garbituko da"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Saiatu azaleko irudien izkinetako ertzak eta soberako espazioa automatikoki \n antzeman eta kentzen. Batzuetan gehiegi ken daiteke, \n beraz, kontuz erabili."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Ezabatu pub"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Moztu azala (ARRISKUTSUA)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Gehitu eti&ketak: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Egokitu hautatutako liburuen azalak hautatu den lehen\nliburuarena bezalakoak izan daitezen."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Klonatu liburu-azalak"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Ezabatu etiketak:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Behartu ezazu izenburua izenburu letra tipoa izatera. Bietan, bai honetan bai egile azterketan\negile eta izenburua aztertuko dira izenburu letra tipoa ezarri baino lehen."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Liburuetatik ezabatzeko komen bidez bereiziriko etiketen zerrenda. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Aztertu kutxatila hau liburuetako etiketa guztiak ezabatzeko"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Data:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "&Denak ezabatu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Markaturik egonez gero, argitaratzailea ezabatu egingo da, garbituko da"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Ezabatu pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Arakatuz gero, sailak ezabatu egingo dira"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Ezabatu sailak"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17309,281 +17313,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Ez bada ezer arakatu, liburuen saila-zenbakia honela ezarriko da: 1.\nArakatu bada, hautatutako liburuak modu automatikoan zenbakidun bihurtuko dira, zeuk\nezarritako hurrenkeran. Beraz hautatu baduzu lehenengo A Liburua eta gero B Liburua,\nA Liburuak 1 serie zenbakia izango du eta B Liburuak 2 serie zenbakia izango du."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Modu &Automatikoan liburu sail honetan zenbakiak ezarri"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Liburu sailak normalean zenbaketa berriarekin geratuko dira datu baseko zenbakirik altuenetik hasita\nliburu-sail horretarako. Kutxa hau arakatzea calibreri adieraziko dio zenbaketarekin hasteko\nkutxan dagoen zenbakitik hasita"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Derrigortu zenbakiak honekin hastera:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Arakatuz gero, sailak ezabatu egingo dira"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Ezabatu sailak"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Data:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Doitu hautatutako liburu guztientzako iru&zkinak"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Ezabatu etiketak:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "&Denak ezabatu"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Gehitu eti&ketak: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Zehaztu ea nola sailkatuko d(ir)en liburu honen egile izena(k) Adibidez Charles Dickens honela sailkatuko da; Dickens, Charles."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Argitalpen data ezabatu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Egilea(k):s "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Hizkuntzak:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Argitaletxea: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Ezabatu gordetako bihurketa ezarpenak hautatutako liburuentzat.\n\nEtorkizunean liburu hauen bihurketek lehenetsitako ezarpenak erabiliko dituzte."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Liburuetatik ezabatzeko komen bidez bereiziriko etiketen zerrenda. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Ezabatu &gordetako bihurketa ezarpenak hautatutako liburuentzat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
+msgstr "Formatu batetik formatu berdinera bihurtzerakoan,\nadib., EPUBetik EPUBera, calibrek jatorrizko EPUB\nfitxategia ORIGINAL_EPUB modura gordetzen du.\nHorrela, calibrek ORIGINAL_EPUBetik berreskuratuko\ndu EPUBa. Onuragarria liburu ugariren bihurtze masibo\nbat egin eta arazoren bat gertatu baldin bada."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr "Berreskuratu bihurtu aurreko &jatorrizkoak, ahal baldin bada"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Behartu ezazu izenburua izenburu letra tipoa izatera. Bietan, bai honetan bai egile azterketan\negile eta izenburua aztertuko dira izenburu letra tipoa ezarri baino lehen."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Egile izenaren araberako s&ailkapena: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Eguneratu izenburu sailkapena uneko izenburuan oinarrituta. Izenburuko aldaketen ostean baino ez da aplikatuko."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Eguneratu &izenburu sailkapena"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Ezarri &metadatuak (liburu-azalekoak izan ezik) liburu elektroniko fitxategietatik"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Aldatu &liburu-azala"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Sortu lehenetsitako liburu-azala"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Ezabatu liburu-azala"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Saiatu azaleko irudien izkinetako ertzak eta soberako espazioa automatikoki \n antzeman eta kentzen. Batzuetan gehiegi ken daiteke, \n beraz, kontuz erabili."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Moztu azala (ARRISKUTSUA)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Ezabatu gordetako bihurketa ezarpenak hautatutako liburuentzat.\n\nEtorkizunean liburu hauen bihurketek lehenetsitako ezarpenak erabiliko dituzte."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Egokitu hautatutako liburuen azalak hautatu den lehen\nliburuarena bezalakoak izan daitezen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Ezabatu &gordetako bihurketa ezarpenak hautatutako liburuentzat"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Klonatu liburu-azalak"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
-msgstr "Formatu batetik formatu berdinera bihurtzerakoan,\nadib., EPUBetik EPUBera, calibrek jatorrizko EPUB\nfitxategia ORIGINAL_EPUB modura gordetzen du.\nHorrela, calibrek ORIGINAL_EPUBetik berreskuratuko\ndu EPUBa. Onuragarria liburu ugariren bihurtze masibo\nbat egin eta arazoren bat gertatu baldin bada."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
-msgstr "Berreskuratu bihurtu aurreko &jatorrizkoak, ahal baldin bada"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Aztertu kutxatila hau liburuetako etiketa guztiak ezabatzeko"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Balorazioa:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Doitu hautatutako liburu guztientzako iru&zkinak"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Oinarrizko metadatuak"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Pertsonalizaturiko metadatuak"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Aukeratu gordetako bilatu/ordeztu adierazpena kargatzeko."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Gorde uneko bilatu/ordeztu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Gorde"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Search &eremua:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Aztertu nahi duzun eremuaren izena"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Bilatze &modua:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Aukeratu ea oinarrizko testuaren bilaketa egin edo adierazpen arrunten bilaketa aurreratua egin"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Aukeratu erabili nahi duzu identifikatzaile mota"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Sartu bilatu/ordeztu horretarako iturburua izango den txantiloia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Sartu bilatzen ari zarena, moduaren araberan testu soilean edo adierazpen erregularrean"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Arakatu kutxa honetan baldin eta bilaketa kateak bat egin behar badu zehatz letra larri eta letra xeheekin. Ez arakatu kutxa honetan baldin eta letra tipoari ez badiozu arreta eskaini nahi."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "&Letra larri-xehe bereizi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Ordeztu honekin:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Ordezkatze testua. Bat egiten duen testua kate honekin ordezkatu egingo da"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Aplikatu funtzioa ordeztu eta gero:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Zehaztu nola prozesatuko den testua bilaketa eta ordezkatzea egin eta gero. Karaktere moduan, \neremu osoa prozesatu egingo da. Adierazpen erregular moduan, bakarrik prozesatuko da bilatu eta bat egiten duen testua"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Helburu eremua:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Eremua. Ordezkapen guztien ostean non sartuko den testua jakiteko eremua.\nZuriz utziz gero, sorburuko eremua erabiliko da aldatzeko aukerarik badago."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&odua:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Zehaztu nola kopiatuko den testua helburura."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Zehazten du ea emaitzak balio anizkunetan banatu behar diren edo\nbalio bakun legez utzi. Aukera honek ondorio handiagoak izango ditu sorburuko eremua\nanizkuna ez denean eta helburu eremua anizkuna denean"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Zatitu e&maitza"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Identifikatzaile mota:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17591,48 +17617,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Aukeratu ze identifikatzaile mota erabili nahi duzun.\n              Iturburuko eremuan 'identifikatzaileak' jarri beharrean beste \n              zerbait denean, izartxo bat (*) jarri dezakezu identifikatzaile\n              sorta osoa bilatu/ordeztu adierazpenaren emaitzekin ordezteko"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Hainbat balio anizkun eremutarako, era&kutsi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "honen &bidez bereizitako balioekin"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Erabilia proben emaitzak erakusterakoan, balioak hainbat balio-anizkun eremuetan bereizteko"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Probatu testua"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Probaren emaitza"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "Bilatu eta ordeztu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Berritu liburu zerrenda aldaketen ostean"
 
@@ -18088,42 +18114,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Elementua: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Ez da elementurik aurkitu**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Egin klik liburutegia bistaratzearen zutaberen batean liburu horren informazioa ikusteko"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Liburuak aukeratutako \"{0}\" elementuarekin: {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18229,87 +18255,87 @@ msgstr "Huts egin du datu-basearen berre
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Orain gordetako bilaketa <b>betiko ezabatu</b> egingo da. Ziur zaude?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19207,48 +19233,64 @@ msgstr "1. etiketa"
 msgid "Tag 2"
 msgstr "2. etiketa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Hizkuntza txantiloiaren tutoriala"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Funtzio txantiloiaren erreferentzia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "SALBUESPENA: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Ez da zutaberik aukeratu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Zutaberen bat zehaztu behar duzu koloreztatzeko"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Ez da txantiloirik ezarri"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Txantiloien kutxa ezin du hutsik egon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20312,7 +20354,7 @@ msgstr "Bilatu lasterbidea izenagatik"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Ez dago bat datorrenik"
 
@@ -20471,8 +20513,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20489,14 +20531,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22716,60 +22758,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Mugitu aukeratutako araua gora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Mugitu aukeratutako araua behera"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22777,57 +22819,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Ez da araurik aukeratu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Ez da araurik aukeratu %s (e)rako"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "ezabatu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Arauak"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23669,13 +23711,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23709,7 +23751,7 @@ msgid "If there is enough room"
 msgstr "Lekurik baldin badago"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Lehen letratik"
 
@@ -23990,7 +24032,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Ezgaitu"
 
@@ -24682,8 +24724,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Hementxe alda ditzakezu calibrek erabiltzen dituen metadatuak; liburu bat disko batean gordetzerakoan edo liburu bat irakurgailura bidaltzerakoa sortzen diren metadatuak alda ditzakezu.\n\nErabil ezazu elkarrizketa hau 'konexio-taula' bat definitzeko formatu baterako (edo formatu guztietarako) eta gailu baterako (edo gailu guztietarako). Horrek 'konexio-taula' horrek zehazten du zein txantiloi dagoen eremu bakoitzarekin konektaturik. Txantiloia erabiltzen da balioa kalkulatzeko eta balio hori konektatutako eremuari esleitzen zaio.\n\nAskotan txantiloiak zutabe konposatuen erreferentzia soil bat besterik ez du izango baina hau ez da beharrezkoa; calibren edonon erabil dezakezun edozein txantiloi sorburu kutxan ere erabil dezakezu.\n\nKonexio-taularen erabilpen bat liburu-sailen informazioa duen izenburua aldatzea izan daiteke. Beste erabilpen bat izan daiteke egileen multzoa aldatzea, mobi erabiltzaileek erabil dezaketen zerbait,  kindlek hain beharrezkoak dituen ';'  horiek  lortzeko. Hirugarren erabilpen posible bat: hizkuntza zehaztea."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25251,7 +25293,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25386,7 +25428,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25397,7 +25439,7 @@ msgid "Change the allowed libraries"
 msgstr "Aldatu baimendutako liburutegiak"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26910,7 +26952,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27201,7 +27243,7 @@ msgstr "Aldatu izena %s  Liburutegi birt
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Berrizendatu %s"
@@ -27261,95 +27303,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Kendu%(item)s %(cat)s kategoriatik"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Bilatu guztia %s izan ezik"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Gehitu azpi-kategoria %s(e)ra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Bilatu liburuak %s kategorian"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Bilatu %s kategorian ez dauden liburuak"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Ezkutatu %s kategoria"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Aldatu kategoriaren ikonoa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Berreskuratu lehenetsitako ikonoa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Aldatu azpi-kategorizazio eskema"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partizioa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Lehenengo letra izenagatik sailkatzerakoan baino ez da erabilgarria"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28006,7 +28048,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Hurrengo liburu hauek dagoeneko %s formatura izan dira bihurtuak. Berriro bihurtzea nahi al duzu?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28537,7 +28580,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Baztertu"
 
@@ -30775,7 +30818,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "Azpimarratu"
 
@@ -32102,7 +32145,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32729,7 +32772,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Esportatu"
 
@@ -34603,71 +34646,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35121,7 +35164,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35197,13 +35240,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35368,10 +35411,10 @@ msgid "< &Back"
 msgstr "< &Atzera"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Bertan behera utzi"
 
@@ -36012,8 +36055,8 @@ msgid "No genres to catalog.\n"
 msgstr "Katalogatzeko generorik ez dago.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Egiaztatu \"Baztertutako generoak\" adierazpen erregularrean e-liburu aukeretan.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36061,8 +36104,8 @@ msgstr "Izenburuak sailkatzen"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Katalogatzeko libururik ez.\nBegiratu 'Liburu baztertuak' ('Excluded books') zure e-liburuaren ezarpenen atalean .\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36538,177 +36581,208 @@ msgstr "Interfaze osoak aukera asko emat
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "lehenetsia"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Ez dira pasahitz hutsak onartzen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37116,13 +37190,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37130,23 +37205,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37159,7 +37234,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Sintaxiak ez du balio. Bilaketa izen bat edo hitz bat espero zen"
 
@@ -37318,128 +37393,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr "Fitxategia beste prozesu batean irekita dago"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "formatua: {0} tipoak balio osoa behar du, hartu {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "formatua: {0} tipoak balio hamarrena behar du (aldakorra), hartu {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: funtzio ezezaguna"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37494,60 +37569,60 @@ msgstr "strlen(a) -- argumentu legez iga
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- emango: x + y. Errore emango du baldin x edo y ez badira biak zenbaki."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- emango: x - y. Errore emango du baldin x edo y ez badira biak zenbaki."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- emango:  x * y. Errore emango du baldin x edo y ez badira biak zenbaki."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- emango x / y. Errore emango du baldin x edo y ez badira biak zenbaki."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37559,7 +37634,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- x txantiloi bezala balioztatzen du. Balioztatzea bere testuinguruan gertatzen da, hau da, aldagaiak ez direla deitzailea eta txantiloi ebaluazioaren artean partekatzen. {} kakoak bereziak direnez, [[ erabili behar duzu { karaktererentzat eta ]] erabili } karakterearentzat (automatikoki bihurtzen dira). Adibidez template('[[title_sort]]') {title_sort} txantiloia balioztatuko du. Kontuan izan, baita ere, ezin direla aurrizkiak edo atzizkiak (`|prefix|suffix`joskera) erabili txantiloiak programatzeko modua erabiltzen zaudenean."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37570,13 +37645,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- txantiloia balioztatzen du aldagai lokalak igaroz liburuen metadatuak beharrean. Aldagai lokaletik abiatuta emaitza konplexuak eraikitzeko aukera ematen dio honek txantiloien prozesadoreari. {} kakoak bereziak direnez, [[ erabili behar duzu { karaktererentzat eta ]] erabili } karakterearentzat (automatikoki bihurtzen dira). Adibidez eval('[[title_sort]]') {title_sort} txantiloia balioztatuko du. Kontuan izan, baita ere, ezin direla aurrizkiak edo atzizkiak (`|prefix|suffix`joskera) erabili txantiloiak programatzeko modua erabiltzen zaudenean."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) --  val balorea esleituko id, gero val emango. id izendatzailea izan behar du, ez adierazle"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37586,30 +37661,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a,b, ...) -- parametroak irteera arruntean ateratzen ditu. calibre komando-lerrotik (calibre-debug -g) erabiltzen bazaude baino ez zaizu irteera agertuko."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- metadatuen eremua emango du name izenarekin."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- metadatuen eremua emango du name izenarekin inolako formatu aplikatu gabe."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37619,7 +37694,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- start itzultzen du str-eko karaktereen end-etik iragazita. Kateko (str) lehenengo karakterea zero karakterea da eta bukaera (end) negatiboa baldin bada, eskumatik kontatutako karaktereak adierazten ditu. Bukaera (end) zero karakterea baldin bada, azken karakterea adierazten du. Adibidez, substr('12345', 1, 0) '2345' itzultzen du eta substr('12345', 1, -1) '234' itzultzen du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37629,24 +37704,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(bal, eredua, eremua, eredua, eremua, ..., bestelako_eremua) -- (bilatu) switch (aldatu) funtzioaren moduan baina argumentuak, testua izan beharrean, eremuen izenak direnaren aldearekin. Eremu bakoitzari dagokion balioa eskuratu eta erabiliko da. Kontuan izan zutabe konposatuak eremuak ere badirela eta, beraz, funtzio hau erabil zenezakeela zutabe konposaturen batean beste eremu konposatu baterako. Oso erabilgarria aldagai seguruetako bideak sortzerakoan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "bilatzeak bai 2 bai argumentu kopuru bakoitia eskatzen du"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37655,11 +37730,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "aldizkatzeak argumentu kopuru bakoitia eskatzen du"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37669,19 +37744,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(gehi, katea1, aurrizkia2, katea2, ...) -- Argumentuak loturik sorturiko katea itzultzen du. 'katea1' argumentuarekin hasiko da itzulitako balioa eta 'aurrizkia, katea' bikoteak gehituko zaizkio gehienezko ('gehi') luzeraraino heldu arte. Nahiz eta gehienezko balioa baino luzeagoa izan, 'katea1' beti emango da. Nahi beste 'aurrizkia, katea' bikote gehitu daitezke."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max horrek 2 edo argumentu gehiago behar ditu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max horrek argumentu kopuru bikoitia behar ditu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "strcat_max horren lehen argumentua osoa behar du izan"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37691,11 +37766,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37707,11 +37782,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37722,14 +37797,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(bal, id, aurkitutako_bal, ez_aurkitutako_bal) -- Bereizle batekin berezitako elementuen zerrenda non katea zerrendaren balio bakoitzarekin konparatuko den. Identifikatzailearen ('id') formatua honako hau da: \"identifikatzailea:balioa\" eta parametroa \"id\" ('id' bera duen identifikatzailearekin bat etorriko litzateke) edo \"id:regexp\" (identifikatzailearen balioa regexp-arekin bat etorriko litzateke) izan beharko luke. Katea balioren batekin bat etortzekotan 'aurkitutako_bal' argumentua emango du, bestela 'ez_aurkitutako_bal' itzuliko du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37742,20 +37817,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(bal) -- \"B, A\" itxurako balio baterako \"A B\" itxurako balioa itzultzen du, hau da, koman inguruko osagaien ordena trukatzen du. Erabilgarria izenen formatuak aldatzeko. Komarik ez balego 'aldatu gabea' balioa itzuliko du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- emango du val baldin val ez badago hutsik, bestela `text if empty` emango du"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37769,7 +37844,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37777,7 +37852,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(bal, bereizlea) -- balioa, 'bereizlea' argudioarekin berezitako elementu zerrenda bezala interpretatzen du eta zerrendako elementuen zenbatekoa itzultzen du. Zerrenda gehienek koma erabiltzen dute bereizle modura, baina egileenak '&amp;' (&) erabiltzen dute. Adibideak: {etiketak:count(,)}, {egileak:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37786,14 +37861,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(bal, indizea, bereizlea) -- balioa, 'bereizlea' argudioarekin berezitako elementu zerrenda bezala interpretatzen du eta 'indizea'-garren elementua itzultzen du. Lehenengo elementua zero zenbakia da. Azkenengo elementua 'list_item(-1, bereizlea)' erabiliz lor daiteke. Elementua zerrendan ez balego balio hutsa itzuliko litzateke. Bereizlea, 'count' funtzioko esanahi bera du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(bal, gakoa) --  balioa, komaz berezitako elementu zerrenda bezala interpretatzen du, elementuek \"id:balioa\" itxura izango dutelarik. Giltzaren 'id' bera duen parea bilatu eta dagokion balioa itzultzen du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37806,19 +37881,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- liburuarekin inoiz lotuta egon diren komaz banandutako formatuetako zerrenda itzultzen du. Nahiz eta ziurrenik zuzen egon, ez dago bermerik zerrenda zuzen egon litekeenik. Funtzio hau, txantiloiak programatzeko moduan dei daiteke \"{:'approximate_formats()'}\" txantiloia erabiliz. Kontuan izan formatuak beti hizki larriekin izendatzen direla (EPUB, adibidez). Funtzio hau Erabiltzailearen Interfaze Grafikoan (GUI) baino ez dabil. Balioak diskoan-gorde edo gailura-bidali txantiloietan erabili nahi izanez gero \"Beste zutabeetatik eraikitako zutabea\" pertsonalizatua egin beharko duzu, funtzioa zutabe horren txantiloian erabili eta zutabe horren balioa erabili zure \"gorde/bidali txantiloiak\" atalean."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Funtzio hau GUI horretan bakarrik erabil daiteke"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37828,7 +37903,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37836,7 +37911,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37844,13 +37919,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- emango du v zenbakia letretan KB, MB, GB, etab.  horiekin batera"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37861,7 +37936,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37874,7 +37949,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37891,7 +37966,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(bal, hasi_indizea, bukatu_indizea) -- balioa, komaz bananduriko elementu zerrenda bezala interpretatzen du. Zerrenda horretako elementu bakoitza, berriz, puntu batekin bananduriko elementu zerrenda da. Zerrenda berri hori sortzeko, lehenik, puntu batekin banandutako elementu guztiak bilatzen ditu, gero elementu bakoitzeko 'hasi_indizea' eta 'bukatu_indizea' parametroen artean dauden osagaiak ateratzen ditu eta bukatzeko emaitzak batzen ditu berriro. Funtzio hau, generoak bezalako elementuen zerrendak banatzeko erabiltzen da. Puntuz bananduriko zerrenda bateko lehenengo osagaiak zero (0) indizea du. Indizeren batek balio negatiboa balu, zerrendaren amaieratik hasiko da kontatzen. Kasu berezi bezala, zero balioko 'bukatu_indizea' parametroa zerrendaren luzeratzat hartuko da. Adibidea: Txantiloiak idazteko oinarrizko moduan eta #genero-aren balioa \"A.B.C\" delarik, {#generoa:subitems(0,1)} funtzioak \"A\" itzultzen du. {#generoa:subitems(0,2)} funtzioak \"A.B\" itzultzen du. {#generoa:subitems(1,0)} funtzioak \"B.C\" itzultzen du. #genero-aren balioa \"A.B.C, D.E.F\" delarik, {#generoa:subitems(0,1)} funtzioak \"A, D\" itzultzen du. {#generoa:subitems(0,2)} funtzioak \"A.B, D.E\" itzultzen du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37914,23 +37989,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "forma_date(bal, formatu_katea) -- 'format-string' parametroa erabiliz data kate baten formateaturik itzultzen du. Formateatze-kodeak honako hauek dira: d : eguna zenbaki bezala aurreko zero barik (1etik 31ra) dd: eguna zenbaki bezala baina aurrean zero duelarik (01etik 31ra). ddd: asteko egunaren izen laburtua (adb. \"Al\"etik \"Ig\"era). dddd : asteko egunaren izen osoa (adb. \"Astelehena\"tik \"Igande\"ra). M : hilabetea zenbaki bezala aurreko zero barik (1etik 12ra). MM : hilabetea zenbaki bezala aurrean zero duelarik (01etik 12ra). MMM : hilabetearen izen laburtua (adb. \"Urt\"etik  \"Abe\"ra). MMMM : hilabetearen izen osoa (\"Urtarrila\"tik \"Abendua\"ra). yy : urtea digitu biko zenbaki bezala (00tik 99ra). yyyy : urtea lau digitutako zenbaki bezala. h : orduak aurreko zero barik (0tik 11ra edo 23ra, am/pm erabiltzen den arabera). hh : orduak aurrean zero dutelarik (00tik 11ra edo 23ra, am/pm erabiltzen den arabera). m : minutuak aurreko zero barik (0tik 59ra). mm : minutuak aurrean zero dutelarik (00tik 59ra). s : segundoak aurreko zero barik (0tik 59ra). ss : segundoak aurrean zero dutelarik (00tik 59ra). ap : 12 ordutako erlojua erabili 24 ordutakoa erabili beharrean (\"ap\", 'am' edo 'pm'gatik ordeztuko da). AP : 12 ordutako erlojua erabili 24 ordutakoa erabili beharrean (\"AP\", 'AM' edo 'PM'gatik ordeztuko da). iso : data orduarekin eta ordu-eremuarekin. Ez du beste formaturik onartzen."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37939,7 +38014,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- tamainaren eremuko balioa itzultzen du. Funtzio hau Erabiltzailearen Interfaze Grafikoan (GUI) baino ez da erabilgarria. Balioak diskoan-gorde edo gailura-bidali txantiloietan erabili nahi izanez gero \"Beste zutabeetatik eraikitako zutabea\" pertsonalizatua egin beharko duzu, funtzioa zutabe horren txantiloian erabili eta zutabe horren balioa zure \"gorde/bidali txantiloiak\" atalean erabiltzeko."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37948,55 +38023,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- 'gailuan' ezarrita baldin badago 'Bai' itzultzen du, bestela katea hutsik. Funtzio hau Erabiltzailearen Interfaze Grafikoan (GUI) baino ez da erabilgarria. Balioak diskoan-gorde edo gailura-bidali txantiloietan erabili nahi izanez gero \"Beste zutabeetatik eraikitako zutabea\" pertsonalizatua egin beharko duzu, funtzioa zutabe horren txantiloian erabili eta zutabe horren balioa zure \"gorde/bidali txantiloiak\" atalean erabiltzeko."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() --  atzera ematen du seriearen ordenaren balioa"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- erantzungo du \"Bai\" liburuak liburu-azalik baldin badu. Bestela hutsunea emango du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(balioa, balioa, ...) -- hutsik ez dagoen lehenengo balioa itzultzen du. Balio guztiak hutsik baldin badaude, balio hutsa itzultzen du. Nahi beste balio gehitu daitezke."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(balioa, balioa, ...) -- \"1\" katea itzultzen du balioetarikoren bat hutsik baldin ez badago, bestela kate hutsa itzultzen du. Nahi beste balio gehitu daitezke."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38005,7 +38080,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38013,7 +38088,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38021,7 +38096,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38029,7 +38104,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(zerrenda, norakoa, bereizlea) -- Letra larri/xeheen arteko bereizketa gabeko ordena duen zerrenda itzultzen du. Norakoa zero baldin bada zerrenda goranzkoa izango da, bestela beheranzkoa. Zerrendako elementuak 'bereizlea'gatik berezita daude."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38038,7 +38113,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38047,7 +38122,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38055,14 +38130,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- data edo egunarekin testua emango du. Balio hau \"format_date\" bezala erabiltzeko prestaturik dago baina beste edozein testu legez, alda daiteke.  Data ISO formatuan emango da."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38070,7 +38145,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- Zenbat egun dagoen date1 eta date2 horien artean emango du. Zenbakia positiboa izango da baldin date1 date2 baino handiagoa bada, bestela negatibo izango da. Baldin date1 edo date2 horietako bat ez bada data bat, funtzioak testu huts bat emango du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38078,28 +38153,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- hizkuntzen kodeak emango ditu lang_codes horrekin markatuak. Baldin lokalizatu zero bada, testua ingelesez emango du. Lokalizatu zero ez bada, testuak lehenetsitako hizkuntzan emango dira. Lang_codes komen bidez berezituriko zerrenda da."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- 'lang_strings' (hizkuntza_kateak) aldagaian zehaztutako hizkuntza-kodeak bueltatzen ditu. Kateak indarrean dagoen lokalizazioan egon behar dute. Lang_strings komaz banandutako elementuen zerrenda da."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- Uneko calibre liburutegiaren azken bide-izena itzultzen du. Txantiloiak idazteko moduan funtzio hau \"{:'current_library_name()'}\" txantiloia erabiliz dei daiteke."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- Uneko calibre liburutegiaren azken bidea itzultzen du. Txantiloiak idazteko moduan funtzio hau \"{:'current_library_path()'}\" txantiloia erabiliz dei daiteke."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38108,7 +38183,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finnish_formatting(bal, fmt, aurrizkia, atzizkia) -- `{series_index:05.2f| - |- }` moduko txantiloiak egiten duen bezala, formatua, aurrizkia eta atzizkia aplikatzen dizkio balio jakin bati. Adibidez, programa honek: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \") adierazitako txantiloi horren irteera bera sortzen du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38117,7 +38192,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38126,7 +38201,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38134,7 +38209,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- jatorrizko katean dauden hitzen soinua hurbilduz sortutako alfabeto latinoko katea itzultzen du. Adibidez, jatorria \"{0}\" baldin bada funtzioak \"{1}\" itzuliko du."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38146,7 +38221,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38157,7 +38232,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38165,13 +38240,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38179,7 +38254,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38192,11 +38267,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38204,11 +38279,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38217,7 +38292,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38228,7 +38303,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38238,6 +38313,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38526,29 +38607,29 @@ msgstr "Itxi gorde gabe"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Karaktere gehigarriak bilaketaren amaieran"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ") galduta"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Ezin izan da itauna egin, errekutsio mugaraino iritsi egin da: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Errekurtsio bilaketa gorderik: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Errore ezezaguna bilaketa gordetzean: {0}"
@@ -38911,185 +38992,185 @@ msgstr "Adierazpen erregular honekin bat
 msgid "Do not download CSS stylesheets."
 msgstr "Ez deskargatu CSS (Cascading Style Sheets) estilo orririk."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Ados"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Gorde denak"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Ireki"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Bai"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Bai &guztiari"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Ez"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Guztiari e&z"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Galarazi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Saiatu berriro"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Itxi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Aplikatu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Berrezarri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Berrezarri lehenetsitakoak"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "Gehitu kolore &pertsonalizatuetara"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Lagina"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Lekualdatu ezkerretara"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Lekualdatu gorantz"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Lekualdatu beherantz"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Lekualdatu eskuinetara"
 
@@ -39369,8 +39450,8 @@ msgstr "Zehaztu SONY bildumetako berrize
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39426,7 +39507,7 @@ msgstr "Zehaztu ea nola sailkatuko diren
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/fa.po 5.10.0+dfsg-1/translations/calibre/fa.po
--- 5.9.0+dfsg-3/translations/calibre/fa.po	2021-01-06 15:30:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/fa.po	2021-01-20 15:27:33.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -94,15 +94,15 @@ msgstr "به هیچ وجه کاری ان
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -123,7 +123,7 @@ msgstr "به هیچ وجه کاری ان
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -223,16 +223,16 @@ msgstr "به هیچ وجه کاری ان
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -258,7 +258,7 @@ msgstr "به هیچ وجه کاری ان
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -290,7 +290,7 @@ msgstr "به هیچ وجه کاری ان
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -309,7 +309,7 @@ msgstr "به هیچ وجه کاری ان
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -333,27 +333,27 @@ msgstr "سفارشی کردن"
 msgid "Cannot configure"
 msgstr "قادر به تنظیم نیست."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "نوع فایل"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "خواننده ی فراداده (Metadata)"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "نویسنده ی فراداده (Metadata)"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "کاتالوگ ساز"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "عملکرد رابط کاربری"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -365,20 +365,20 @@ msgstr "عملکرد رابط کاربر
 msgid "Preferences"
 msgstr "تنظیمات"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "فروشگاه"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "فروشگاه کتاب الکترونیک"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "ابزار ویرایش کتاب"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "کتابخانه بسته شد"
 
@@ -400,372 +400,372 @@ msgstr "هنگامی که یک فایل
 msgid "Extract cover from comic files"
 msgstr "استخراج جلد از فایل های کمیک"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "خواندن فراداده از فایل های %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "خواندن فراداده از کتاب های داخل فایل های فشرده RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "خواندن فراداده از کتاب های داخل فایل های فشرده ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "مشخصات کتاب را در فایل های  %s  قرار بده"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "برای داشتن پلاگین نویسنده فراداده EPUB عدد {0} را وارد کنید، عکس روی جلد را به فایل های EPUB که تصویر روی جلد ندارند اضافه نکنید."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "تنظیم کردن فراداده توسط فایل‌های %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "کتاب ها را به کالیبر یا دستگاه متصل شده اضافه کن."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "اطلاعات اضافی را از کیندل متصل شده بگیر (آزمایشی)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "درست کردن یک کاتالوگ از کتاب های کتابخانه‌ی کالیبر"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "تبدیل کتاب ها به فرمت های مختلف کتاب الکترونیک"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "کتاب الکترونیکی خود را دقیق تنظیم کنید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "ویرایش کردن فهرست کتاب های شما"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "کتاب ها را از کتابخانه کالیبر یا دستگاه متصل پاک کن"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "متا دیتا بروز شده در فایل اصلی کتاب در کتاب خانه کالیبره شما جایگزاری شد"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "مشخصات کتابهای موجود در کتابخانه کالیبر را ویرایش کن"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "کتاب ها را در کتابخانه کالیبر بخوان"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "دریافت اخبار از اینترنت در فرم کتاب الکترونیک"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "نشان دادن سریع لیستی از کتاب های مرتبط"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "فیلتر کردن/تبدیل برچسب ها برای کتاب ها در کتابخانه"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "نمایش ویرایشگر برای قالب‌های آزمایشی"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "کتابهارا از کتابخانه کالیبر به هارد خود منتقل کن"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "جزئیات کتاب را در یک پنجره جداگانه نمایش دهید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "شروع مجدد کالیبر"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "پوشه‌ی محتوی فایل‌های کتاب‌های موجود در کتابخانه‌ی کالیبرتان را باز کنید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "فرستادن کتاب ها به دستگاه متصل شده"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "باز کردن راهنمای کاربر کالیبر"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "کالیبر را سفارشی‌سازی کنید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "به راحتی کتاب‌های مشابه کتاب منتخب‌تان را بیابید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "میان کتابخانه‌های مختلف کالیبر جابجا شده و آن‌ها را حفظ و نگهداری کنید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "کتاب ها را از دستگاه به کتابخانه کلیبر کپی کن"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "ویرایش مجموعه های حاوی کتاب در دستگاه شما"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "تطبیق کتاب‌های روی دستگاه با کتاب‌های درون کتابخانه"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "کپی یک کتاب از یک کتاب خانه کالیبر به دیگری"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "ویرایش کتاب های الکترونیکی در فرمت های EPUB یا AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "تغییرات کوچکی در فایلهای EPUB یا HTMLZ در کتابخانه کالیبر خود ایجاد کنید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "هنگام جستجو در کتابخانه کالیبر خود در حالت برجسته، همخوان بعدی یا قبلی را پیدا کنید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "کتابی اتفاقی از کتابخانه کالیبره انتخاب کنید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "فهرست کتابها را مرتب کن"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "کتابها را موقتا علامت بزن"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "جستجوی کتاب در فروشگاه های مختلف کتاب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "گرفتن افزونه های جدید و یا به روز کردن افزونه های موجود"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "نگاه کن و احساس کن"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "رابط کاربری"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "شکل و شمایل calibre را برای مطابقت با سلیقه خودتان تنظیم کنید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "رفتار"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "نحوه رفتار کالیبره را عوض کنید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "اضافه کردن ستون های خودتان"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "اضافه کردن/پاک کردن  ستون های خودتان در لیست کتاب های calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "سفارشی کردن نوار ابزار و منوها، تغییر امکانات موجود در هر کدام"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "جستجو"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "سفارشی کردن نحوه ی جست و جوی کتاب ها در calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "گزینه های ورودی"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "تبدیل"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "قرار دادن خصوصیات تبدیل شدن برای هر فرمت ورودی به طور مجزا"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "گزینه های معمول"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "قرار دادن خصوصیات مشترک تبدیل برای تمام  فرمت ها"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "گزینه های خروجی"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "قرار دادن خصوصیات تبدیل شدن برای هر فرمت خروجی به طور مجزا"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "اضافه کردن کتاب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "وارد کردن/صادر کردن"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "تنظیم چگونگی خوانش مشخصات کتاب، در هنگام اضافه شدن کتاب، توسط کالیبر"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "ذخیره کتاب ها بر روی هارد"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "چگونگی فرستادن فایلها از روی کتابخانه ی کالیبر بر روی هارد در هنگام استفاده از \"ذخیره بر روی هارد\""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "ارسال کتاب به دستگاه های مختلف"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "کنترل کنید که چطور کالیبر فایل ها را به کتاب الکترونیک خوان شما انتقال دهد"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "صفحات کنترل فراداده"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "تغییر قسمت های مشخصات کتاب قبل از ذخیره کردن/فرستادن"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -775,92 +775,92 @@ msgstr "تغییر قسمت های مش
 msgid "Template functions"
 msgstr "توابع الگو"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "پیشرفته"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "توابع الگویی خود را بسازید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "اشتراک گذاری کتابها با پست الکترونیک"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "اشتراک گذاری"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "تنضیمات اشتراک گذاری کتاب ه بوسیله ی پست الکترونیکی. می تواند برای ارسال خودکار اخبار بار گذاری شده به وسیله ی شما استفاده شود"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "اشتراک بر روی شبکه"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "راه اندازی کلاینت سرور محتوا که به شما دسترسی به کتابخانه کالیبر خود را از هر کجا، در هر دستگاه، از طریق اینترنت می دهد"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "دریافت مشخصات کتاب"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "کنترل چگونگی دانلود فراداده کتاب الکترونیک از شبکه"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "دستگاه‌های نادیده گرفته شده"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "کنترل اینکه کالیبر کدام دستگاه ها را هنگامی که به کامپیوتر متصل شدند نادیده بگیرد."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "افزونه‌ها"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "اضافه/حذف/دلبخواه کردن قابلیت های مختلف کالیبر"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "تنظیمات کوچک"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "بهینه کردن اعمال کالیبر در موارد مختلف"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "میانبرها"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "تنظیم دلبخواه \"میان بر\" های کالیبر بر روی صفحه کلید"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -868,7 +868,7 @@ msgstr "تنظیم دلبخواه \"می
 msgid "Miscellaneous"
 msgstr "گوناگون"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "تنظیمات حرفه ای گوناگون"
 
@@ -1258,9 +1258,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr "بازیابی پایگاه داده از SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1286,17 +1286,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "بلی"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1682,14 +1682,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1697,7 +1697,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1705,39 +1705,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "مرتب کردن نتایج به صورت صعودی"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2284,21 +2284,21 @@ msgstr "خالی"
 msgid "Invalid boolean query \"{0}\""
 msgstr "پرس و جوی نامعتبر دودویی \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "گروه پرس و جوی بازگشتی پیدا شد: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3474,11 +3474,11 @@ msgstr "%s حذف شد"
 msgid "All books removed"
 msgstr "تمام کتابها حذف شدند"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3487,12 +3487,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6047,7 +6047,7 @@ msgstr "یادداشت‌ها"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6340,7 +6340,7 @@ msgid "Producer"
 msgstr "تولید‌کننده"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6348,7 +6348,7 @@ msgid "Comments"
 msgstr "نظرات"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6388,7 +6388,7 @@ msgid "Tags"
 msgstr "برچسب‌ها"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6418,7 +6418,7 @@ msgid "Timestamp"
 msgstr "مُهر زمانی"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8148,13 +8148,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8187,31 +8187,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "نوار جانبی"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9180,7 +9180,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10189,7 +10189,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "راهنما"
 
@@ -11448,7 +11448,7 @@ msgid "Errors while adding"
 msgstr "خطا در هنگام اضافه کردن"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11578,8 +11578,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11713,11 +11713,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "مدیریت %s"
@@ -11860,7 +11860,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12187,7 +12187,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12264,7 +12264,7 @@ msgid "Save current catalog settings as
 msgstr "تنظیمات فهرست جاری را بع عنوان پیش تنظیم ذخیره کن"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "ذخیره"
 
@@ -12273,10 +12273,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "حذف"
@@ -12389,8 +12389,8 @@ msgstr "برگرداندن به حالت
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13576,7 +13576,7 @@ msgid "Ta&gs:"
 msgstr ":&برچسب ها"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13591,8 +13591,8 @@ msgstr ":&مجموعه ها"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "فهرست مجموعه های موجود. میتوانید مجموعه جدید اضافه کنید."
@@ -14459,7 +14459,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14800,19 +14800,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14886,8 +14886,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14968,7 +14968,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16548,7 +16548,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16556,7 +16556,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16564,7 +16564,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16572,7 +16572,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16606,7 +16606,7 @@ msgid "Manage authors"
 msgstr "مدیریت نویسندگان"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ":&جستجو برای"
@@ -17027,78 +17027,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "در حال کار"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "حروف کوچک"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "حروف بزرگ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17106,7 +17106,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17116,7 +17116,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17131,80 +17131,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr ":&نویسنده(ها) "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17212,90 +17221,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "تنظیم &خودکار ترتیب نویسنده"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr ":ترتیب &نویسنده "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "ترتیب عنوان را &به روز کن"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "تغییر &جلد"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "ایجاد &جلد پیش فرض"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&حذف جلد"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr ":&امتیاز"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "(&پیرایش جلد (خطرناک"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr ":نا&شر "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "اگر تیک زده شود ناشر پاک خواهد شد"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&پاک کردن ناشر"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr ":اضافه کردن بر&چسب "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr ":&حذف برچسب ها"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr ":&تاریخ"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr ".با تیک زدن این جعبه تمام برچسب های کتابها حذف خواهد شد"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "اگر تیک زده شود ناشر پاک خواهد شد"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "حذف &همه"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&پاک کردن ناشر"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&پاک کردن مجموعه"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17303,281 +17307,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&شماره گذاری خودکار کتابها در این مجموعه"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&شماره مجموعه ها را اجبارا از 1 شروع کن:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&پاک کردن مجموعه"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr ":&تاریخ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "تنظیم &نظرات برای تمام کتابها"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr ":&حذف برچسب ها"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "حذف &همه"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
+msgstr "پاک کردن تاریخ انتشار"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr ":اضافه کردن بر&چسب "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr ":&زبان‌ها"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
-msgstr "پاک کردن تاریخ انتشار"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr ":&نویسنده(ها) "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr ":&زبان‌ها"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr "&مقادیر اصلی قبلی را در صورت امکان برگردان"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr ":نا&شر "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr ":ترتیب &نویسنده "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "ترتیب عنوان را &به روز کن"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "تغییر &جلد"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "ایجاد &جلد پیش فرض"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&حذف جلد"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "(&پیرایش جلد (خطرناک"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
-msgstr "&مقادیر اصلی قبلی را در صورت امکان برگردان"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr ".با تیک زدن این جعبه تمام برچسب های کتابها حذف خواهد شد"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr ":&امتیاز"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "تنظیم &نظرات برای تمام کتابها"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "فراداده &پایه"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "فراداده &سفارشی"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&ذخیره"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "ح&الت:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17585,48 +17611,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&جستجو و جایگزینی"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18082,42 +18108,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18223,87 +18249,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19201,48 +19227,64 @@ msgstr "برچسب 1"
 msgid "Tag 2"
 msgstr "برچسب 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "هیچ ستونی انتخاب نشده"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20306,7 +20348,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20465,8 +20507,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20483,14 +20525,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22710,60 +22752,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22771,57 +22813,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "قاعده ای انتخاب نشده"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "قاعده ای برای %s انتخاب نشده."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23663,13 +23705,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "پایین"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23703,7 +23745,7 @@ msgid "If there is enough room"
 msgstr "اگر جا به اندازه کافی بود"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "بر اساس حرف اول"
 
@@ -23984,7 +24026,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "غیر فعال"
 
@@ -24676,7 +24718,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25245,7 +25287,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25380,7 +25422,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25391,7 +25433,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26904,7 +26946,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27195,7 +27237,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27255,95 +27297,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "جستجوی همه چیز به جز %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "جستجو کتاب در دسته %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "جستجو کتاب در دسته ای به جز %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "پنهان کردن دسته %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "پارتیشن"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28000,7 +28042,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28531,7 +28574,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30769,7 +30812,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32096,7 +32139,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32723,7 +32766,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "صادر کردن"
 
@@ -34597,71 +34640,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35115,7 +35158,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35191,13 +35234,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35362,10 +35405,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "لغو"
 
@@ -36006,7 +36049,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36055,7 +36098,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36532,177 +36575,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37110,13 +37184,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37124,23 +37199,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37153,7 +37228,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37312,128 +37387,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr "پرونده در پروسه دیگری باز است"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37488,60 +37563,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37553,7 +37628,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37564,13 +37639,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37580,30 +37655,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37613,7 +37688,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37623,24 +37698,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37649,11 +37724,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37663,19 +37738,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37685,11 +37760,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37701,11 +37776,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37716,14 +37791,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37736,20 +37811,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37763,7 +37838,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37771,7 +37846,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37780,14 +37855,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37800,19 +37875,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37822,7 +37897,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37830,7 +37905,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37838,13 +37913,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37855,7 +37930,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37868,7 +37943,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37885,7 +37960,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37908,23 +37983,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37933,7 +38008,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37942,55 +38017,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37999,7 +38074,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38007,7 +38082,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38015,7 +38090,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38023,7 +38098,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38032,7 +38107,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38041,7 +38116,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38049,14 +38124,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38064,7 +38139,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38072,28 +38147,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38102,7 +38177,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38111,7 +38186,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38120,7 +38195,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38128,7 +38203,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38140,7 +38215,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38151,7 +38226,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38159,13 +38234,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38173,7 +38248,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38186,11 +38261,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38198,11 +38273,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38211,7 +38286,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38222,7 +38297,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38232,6 +38307,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38520,29 +38601,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "کاراکترهای اضافی در پپایان جستجو"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38905,185 +38986,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "باز کردن"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&بله"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "بله برای &همه"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&خیر"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "&خیر به همه"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "بستن"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "اعمال"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "بازنشانی پیش فرضها"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "اضافه کردن رنگ س&فارشی"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39363,8 +39444,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39420,7 +39501,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/fil.po 5.10.0+dfsg-1/translations/calibre/fil.po
--- 5.9.0+dfsg-3/translations/calibre/fil.po	2021-01-06 15:29:27.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/fil.po	2021-01-20 15:27:06.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -89,15 +89,15 @@ msgstr "Talagang walang ginagawa"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -118,7 +118,7 @@ msgstr "Talagang walang ginagawa"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -218,16 +218,16 @@ msgstr "Talagang walang ginagawa"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -253,7 +253,7 @@ msgstr "Talagang walang ginagawa"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -285,7 +285,7 @@ msgstr "Talagang walang ginagawa"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -304,7 +304,7 @@ msgstr "Talagang walang ginagawa"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -328,27 +328,27 @@ msgstr "Ipasadya"
 msgid "Cannot configure"
 msgstr "Hindi ma-configure"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Uri ng file"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Tagabasa ng Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Tagasulat ng Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Taga-dyenerate ng Katalogo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -360,20 +360,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Mga pagpipilian"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Store"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -395,372 +395,372 @@ msgstr "GUmawa ng TXTZ archive kapag ang
 msgid "Extract cover from comic files"
 msgstr "Kunin ang pabalat galing sa comic files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Basahin ang metadata galing sa %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Itakda ang metadata sa %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "I-set ang metadata galing sa %s files"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Ilagay ang mga aklat patungo sa calibre o sa nakakonek na device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "I-fetch ang annotations galing sa nakakonek na Kindle (eksperemental lamang)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Mag-generate ng mga katalogo ng mga aklat sa iyong calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "I-edit ang table of contents ng iyong mga libro"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Burahin ang mga aklat sa iyong calibre library o a nakakonektang device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "I-embed ng updated metadata sa aktwal na file ng libro sa iyong calibre aklatan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "I-edit ang metada ng mga aklat sa iyong calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Basahin ang mga aklat na nasa iyong calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Ipakita ang listahan ng may kaugnayan na mga aklat agad-agad."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "I-filter/ibahin ng mga tags para sa mga libro sa loob ng aklatan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Ipakita ng editor para sa testingan ng template"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "I-export ang mga aklat na galing sa calibre papunta sa hard disk."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "I-restart ang calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Buksan ang folder na naglalaman ng mga book files sa iyong calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Ipadala ang mga aklat sa nakakonektang device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "I-browse ang calibre User Manual"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "I-customize ang calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Madaling hanapin ang mga aklat na kahawig sa kasalukuyang napili"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Pumili sa mga iba-ibang calibre libraries at magsagawa ng maintenance sa kanila"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopyahin ang mga libro galing sa device patungo sa iyong calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "I-edit ang collections kung saan ang mga aklat ay nakalagay sa iyong device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Itugma ang aklat na nasa mga devices sa mga aklat sa library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kumopya ng aklat galing sa isang calibre library patungo sa isa pang calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Hanapin ang susunod o naunang na katugma kapag naghahanap sa iyong calibre library sa highlight mode"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Pumili ng pasumalang aklat galing sa iyong calibre library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Uriin ang listahan ng mga aklat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Pansamantalang markahan ang mga aklat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Maghanap ng mga aklat galing sa iba't-ibang nagtitinda ng aklat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Kumuha ng bagong calibre plugins o i-update ang iyong kasalukuyang  calibre plugins."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Itsura"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Isaayos ang anyo at dama ng calibre interface para mai-angkop ayon sa iyong kagustuhan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Gawi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Palitan ang pamamaraang kumilos ang calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Magdagdag ng sarili mong columns"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Magdagdag o mag-alis ng sarili mong columns sa calibre book list"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "I-customize ang toolbars at context menus, ang pagbabago ng isa sa mga ito ay available."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Naghahanap"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "I-customize ang paraan ng paghahanap para sa mga aklat sa calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Kombersyon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "I-set ang conversion options na ispecific sa bawat input format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "I-set ang conversion options na karaniwan sa lahat ng formats"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "I-set ang kombersyon opsyon na partikular sa bawat output format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Nagdaragdag ng mga aklat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Pamahalaan kung paano binabasa ng calibre ang metadata galing sa mga file tuwing nagdaragdag ng aklat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Sine-save ang mga aklat sa disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Pamahalaan kung paano ineexport ng calibre ang file galing sa database patungo sa disk tuwing gumamamit ng Save to disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Pinapadala ang mga aklat patungo sa mga device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metadata plugboards"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Palitan ang metadata fields bago i-save o ipadala"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -770,92 +770,92 @@ msgstr "Palitan ang metadata fields bago
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Advanced"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Gumawa ng sarili mong template functions"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Nagbabahagi ng mga aklat sa pamamagitan ng email"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Pagbabahagi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "I-setup ang pagbabahagi ng libro gamit ang email. Maaring itong gamitin para sa awtomatik na pagsend ng nadownload na news sa inyung mga devices."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Pagbabahagi sa internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metadate download"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Mga pinagsawalang-bahala na mga device"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "I-control kung anong devices ang i-iignore ng calibre kung ang mga ito'y nakakabit sa kompyuter"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Mga Plugin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Idagdag/tanggalin/customize ang mga sari-saring functionality ng calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Tweaks"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "I-fine tune kung papaano magbehave ang calibre sa iba't ibang context"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "I-customize ang keyboard shortcuts na ginagamit ng calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -863,7 +863,7 @@ msgstr "I-customize ang keyboard shortcu
 msgid "Miscellaneous"
 msgstr "Samu't-sari"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Sari-saring mga advanced configuration"
 
@@ -1253,9 +1253,9 @@ msgstr "Dumping database sa SQL"
 msgid "Restoring database from SQL"
 msgstr "Binabalik ang database galing sa SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1281,17 +1281,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Oo"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1677,14 +1677,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1692,7 +1692,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1700,39 +1700,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2279,21 +2279,21 @@ msgstr "Blanko"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Hindi wastong boolean query \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Recursive query group detected: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3469,11 +3469,11 @@ msgstr "Naalis na ang %s"
 msgid "All books removed"
 msgstr "Naalis na ang lahat ng aklat"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3482,12 +3482,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Unknown MTP device"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6042,7 +6042,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6335,7 +6335,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6343,7 +6343,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6383,7 +6383,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6413,7 +6413,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8143,13 +8143,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8182,31 +8182,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9175,7 +9175,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10184,7 +10184,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11443,7 +11443,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11573,8 +11573,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11708,11 +11708,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11855,7 +11855,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12182,7 +12182,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12259,7 +12259,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12268,10 +12268,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12384,8 +12384,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13571,7 +13571,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13586,8 +13586,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14454,7 +14454,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14795,19 +14795,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14881,8 +14881,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14963,7 +14963,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16543,7 +16543,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16551,7 +16551,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16559,7 +16559,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16567,7 +16567,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16601,7 +16601,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17022,78 +17022,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17101,7 +17101,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17111,7 +17111,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17126,80 +17126,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17207,90 +17216,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17298,281 +17302,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17580,48 +17606,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18077,42 +18103,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18218,87 +18244,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19196,48 +19222,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20301,7 +20343,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20460,8 +20502,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20478,14 +20520,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22705,60 +22747,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22766,57 +22808,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23658,13 +23700,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23698,7 +23740,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23979,7 +24021,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24671,7 +24713,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25240,7 +25282,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25375,7 +25417,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25386,7 +25428,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26899,7 +26941,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27190,7 +27232,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27250,95 +27292,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27995,7 +28037,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28526,7 +28569,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30764,7 +30807,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32091,7 +32134,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32718,7 +32761,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34592,71 +34635,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35110,7 +35153,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35186,13 +35229,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35357,10 +35400,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36001,7 +36044,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36050,7 +36093,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36527,177 +36570,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37105,13 +37179,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37119,23 +37194,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37148,7 +37223,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37307,128 +37382,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37483,60 +37558,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37548,7 +37623,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37559,13 +37634,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37575,30 +37650,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37608,7 +37683,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37618,24 +37693,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37644,11 +37719,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37658,19 +37733,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37680,11 +37755,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37696,11 +37771,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37711,14 +37786,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37731,20 +37806,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37758,7 +37833,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37766,7 +37841,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37775,14 +37850,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37795,19 +37870,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37817,7 +37892,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37825,7 +37900,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37833,13 +37908,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37850,7 +37925,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37863,7 +37938,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37880,7 +37955,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37903,23 +37978,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37928,7 +38003,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37937,55 +38012,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37994,7 +38069,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38002,7 +38077,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38010,7 +38085,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38018,7 +38093,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38027,7 +38102,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38036,7 +38111,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38044,14 +38119,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38059,7 +38134,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38067,28 +38142,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38097,7 +38172,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38106,7 +38181,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38115,7 +38190,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38123,7 +38198,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38135,7 +38210,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38146,7 +38221,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38154,13 +38229,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38168,7 +38243,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38181,11 +38256,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38193,11 +38268,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38206,7 +38281,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38217,7 +38292,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38227,6 +38302,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38515,29 +38596,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38900,185 +38981,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39358,8 +39439,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39415,7 +39496,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/fi.po 5.10.0+dfsg-1/translations/calibre/fi.po
--- 5.9.0+dfsg-3/translations/calibre/fi.po	2021-01-06 15:29:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/fi.po	2021-01-20 15:26:58.000000000 +0000
@@ -16,8 +16,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -96,15 +96,15 @@ msgstr "Ei tee mitään"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -125,7 +125,7 @@ msgstr "Ei tee mitään"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -225,16 +225,16 @@ msgstr "Ei tee mitään"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -260,7 +260,7 @@ msgstr "Ei tee mitään"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -292,7 +292,7 @@ msgstr "Ei tee mitään"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -311,7 +311,7 @@ msgstr "Ei tee mitään"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -335,27 +335,27 @@ msgstr "Mukauta"
 msgid "Cannot configure"
 msgstr "Ei voida määrittää"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tiedostotyyppi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metatietojen lukija"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metatietojen kirjoittaja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalogin luoja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Käyttöliittymätapahtuma"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -367,20 +367,20 @@ msgstr "Käyttöliittymätapahtuma"
 msgid "Preferences"
 msgstr "Asetukset"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Kauppa"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "E-kirjakauppa."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Muokkaa kirjaa -työkalu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Kirjasto suljettu"
 
@@ -402,372 +402,372 @@ msgstr "Luo TXTZ-arkisto kun tuodussa TX
 msgid "Extract cover from comic files"
 msgstr "Poimi kansi sarjakuvatiedostosta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lue metatiedot %s -tiedostoista"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Lue metatietoja e-kirjoista RAR-pakettien sisältä"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Lue metatietoja e-kirjoista ZIP-pakettien sisältä"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Aseta metatiedot %s -tiedostoille"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Syötä {0} jotta EPUB-metatietojen kirjoituslaajennus ei lisää kansikuvia EPUB-tiedostoihin, joilla ei ole kansikuvaa."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Aseta metatiedot %s -tiedostoista"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Lisää kirjoja joko calibreen tai liitettyyn laitteeseen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Nouda sivuhuomautukset liitetystä Kindlestä (kokeellinen)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Luo luettelo calibren kirjaston kirjoista"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Muunna kirjoja eri e-kirjamuotoihin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Hienosäädä e-kirjoja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Muokkaa kirjojen sisällysluetteloa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Poista kirjoja calibren kirjastosta tai liitetystä laitteesta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Upota päivitetyt metatiedot varsinaisiin kirjatiedostoihin Calibre-kirjastossasi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Muokkaa calibren kirjaston kirjojen metatietoja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Lue calibren kirjastossa olevia kirjoja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Lataa uutisia internetistä e-kirjamuodossa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Näytä nopeasti lista liittyvistä kirjoista"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Suodata/muunna tägit kirjastossa oleviin kirjoihin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Muunna tekijät kirjaston kirjoihin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Näytä muokkain mallien testaamiseksi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Vie kirjoja calibren kirjastosta kiintolevylle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Näytä kirjan tiedot erillisessä ponnahdusikkunassa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Käynnistä calibre uudelleen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Avaa kansio, joka sisältää kirjatiedostosi calibren kirjastossa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Lähetä kirjat liitettyyn laitteeseen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Lähetä kirjoja sähköpostilla tai verkossa. Liitä myös tietokoneesi kansioihin, kuten jos ne ovat laitteita"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Selaa calibren käyttöohjetta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Mukauta calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Löydä helposti kirjoja jotka ovat samankaltaisia kuin tälläkin hetkellä valittu kirja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Vaihda eri calibre kirjastojen välillä ja suorita ylläpitotoimenpiteitä niille"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopioi kirjoja laitteesta calibren kirjastoon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Muokkaa laitteesi kirjoja sisältäviä kokoelmia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Aseta vastaavuudet laitteiden kirjojen ja kirjaston kirjojen välille"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopioi kirja yhdestä calibre kirjastosta toiseen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Muokkaa e-kirjoja epub- tai azw3-muodoissa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Tee pieniä muutoksia epub- tai htmlz-tiedostoihin calibre-kirjastossasi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Löydä seuraava tai edellinen osuma etsittäessä calibren kirjastosta korostustilassa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Valitse satunnainen kirja calibren kirjastosta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Järjestä luettelo kirjoista"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Merkitse kirjoja tilapäisesti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Vaihda nykyinen Virtual Library"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Etsi kirjoja eri kirjakaupoista"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Nouda uusia tai päivitettyjä lisäosia calibreen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Ilme"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Käyttöliittymä"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Mukauta calibren käyttöliittymän ulkoasu mieleiseksesi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Toiminta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Muuta calibren käyttäytymistä."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Lisää omia sarakkeita"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Lisää/poista sarakkeita calibren kirjaluetteloon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Työkalupalkit ja valikot"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Valitse työkalupalkeissa ja pikavalikoissa näkyvät toiminnot"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Haku käynnissä"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Muokkaa tapaa, jolla kirjojen etsintä calibressa toimii"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Syöttöasetukset"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Muuntaminen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Aseta jokaisen tuotavan tiedostomuodon muunnosasetukset"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Yleiset asetukset"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Aseta kaikille tiedostomuodoille yhteiset muunnosasetukset"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Lähtövaihtoehdot"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Valitse jokaisen vientimuodon muunnosasetukset"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Kirjojen lisääminen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Tuo/vie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Säädä miten calibre lukee metatiedot tiedostoista kirjoja lisättäessä"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Tallentaa kirjoja levylle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Säädä miten calibre vie tiedostoja tietokannastaan valitaan Tallenna levylle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Kirjojen lähettäminen laitteisiin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Säädä miten calibre siirtää tiedostoja e-kirjojen lukijaasi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metatiedon plugboardit"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Muuta metatietokenttiä ennen tallentamista/lähettämistä"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -777,92 +777,92 @@ msgstr "Muuta metatietokenttiä ennen ta
 msgid "Template functions"
 msgstr "Mallin toiminnot"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Lisäasetukset"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Luo omia toimintamalleja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Kirjojen jakaminen sähköpostitse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Jakaminen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Ota käyttöön kirjojen jakaminen sähköpostitse. Toimintoa voidaan käyttää lähettämään ladatut uutiset automaattisesti laitteellesi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Jakaminen verkon kautta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Ota käyttöön calibren sisältöpalvelin. Sen avulla pääset käsiksi kirjastoosi missä tahansa ja millä tahansa laitteella Internetin kautta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metatietojen lataus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Hallitse miten calibre lataa e-kirjojen metatietoja Internetistä"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Sivuutetut laitteet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Hallitse mitkä laitteet calibre sivuuttaa, kun ne liitetään tietokoneeseen."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Lisäosat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Lisää/poista/mukauta calibren toimintoja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Hienosäätö"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Hienosäädä calibren käyttäytymistä eri yhteyksissä"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Pikakuvakkeet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Muokkaa calibren käyttämiä pikanäppäimiä."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -870,7 +870,7 @@ msgstr "Muokkaa calibren käyttämiä pi
 msgid "Miscellaneous"
 msgstr "Sekalaiset"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Sekalaiset kehittyneet asetukset"
 
@@ -1260,9 +1260,9 @@ msgstr "Viedään tietokanta SQL:ään"
 msgid "Restoring database from SQL"
 msgstr "Palautetaan tietokantaa SQL:stä"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1288,17 +1288,17 @@ msgstr "Tallennetut haut"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Kyllä"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "%s:n kansi"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{1};n {0}-formaatti "
@@ -1684,14 +1684,14 @@ msgstr "Valinta poistaa toiminnon"
 msgid "You must specify some ids or the %s option"
 msgstr "%s-valinnassa on nimettävä vähintään yksi id"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog listaa[options]\n\nListaa calibre-tietokannan kirjat.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1699,7 +1699,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Kentät, jotka näytetään kirjoja listattaessa, pilkuin erotettuna sarjana.\nKäytettävissä olevat kentät: %s\nOletus: %%. Erikoiskentällä \"all\" valitaan kaikki kentät. Valmiiden listojen lisäksi, mukautettuja listoja voi kutsua *kentän_nimi, esimerkiksi mukautetun kentän #arvio voit kutsua nimellä: *arvio"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1707,39 +1707,39 @@ msgid ""
 "Default: {1}"
 msgstr "Listauksen järjestämiseen käytettävä kenttä.\nKäytettävissä olevat kentät: {0}\nOletus: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Järjestä tulokset nousevaan järjestykseen"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Suodata tulokset hakulausekkeella. Ohjeet hakulausekkeen muotoiluun löytyvät Käyttöohjeesta. Oletuksena tuloksia ei suodateta."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Yksitäisen rivin maksimipituus. Oletusarvona käytetään näytön kokoa."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Kenttien erottamiseen käytettävät välimerkit. Oletus on välilyönti."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Kaikkien polkujen eteen liitettävä teksti. Oletuksena käytetään kirjastokansion hakemistopolkua."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Näytettävien tulosten maksimimäärä. Oletus: kaikki"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2286,21 +2286,21 @@ msgstr "tyhjä"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Kelvoton Boolen kysely \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Virtuaalikirjaston haku on rekursiivinen: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Havaittu rekursiivinen hakuryhmä: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3476,11 +3476,11 @@ msgstr "Poistettiin %s"
 msgid "All books removed"
 msgstr "Kaikki kirjat poistettu"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Nimeämätön laite"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3489,12 +3489,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "laite{0} ei salli yhteyttä. Avaa {0}:n näyttö, valitse \"Salli\" jos näet yhteyslupapyynnön, ja odota hetki tai käynnistä calibre uudelleen. USB:n tiedonsiirtotila {0}:ssa pitää mahdollisesti vaihtaa \"Media Transfer mode (MTP)\" -tilaan tms."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Tuntematon MTP laite"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6049,7 +6049,7 @@ msgstr "Muistiinpanot"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6342,7 +6342,7 @@ msgid "Producer"
 msgstr "Tuottaja"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6350,7 +6350,7 @@ msgid "Comments"
 msgstr "Kommentit"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6390,7 +6390,7 @@ msgid "Tags"
 msgstr "Tagit"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6420,7 +6420,7 @@ msgid "Timestamp"
 msgstr "Aikaleima"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8150,13 +8150,13 @@ msgstr "Päivitettiin EPUB 2:st 3:een"
 msgid "HTML TOC generation options."
 msgstr "HTML-sisällysluettelon luontiasetukset"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} / <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8189,31 +8189,31 @@ msgstr "Luo Adobe \"page-map\"-tiedosto
 msgid "Sidebar"
 msgstr "Sivupalkki"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9182,7 +9182,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10191,7 +10191,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Apua"
 
@@ -11450,7 +11450,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ohita"
 
@@ -11580,8 +11580,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11715,11 +11715,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11862,7 +11862,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12189,7 +12189,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12266,7 +12266,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Tallenna"
 
@@ -12275,10 +12275,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Poista"
@@ -12391,8 +12391,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13578,7 +13578,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13593,8 +13593,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14461,7 +14461,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14802,19 +14802,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14888,8 +14888,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14970,7 +14970,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16550,7 +16550,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16558,7 +16558,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16566,7 +16566,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16574,7 +16574,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16608,7 +16608,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17029,78 +17029,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17108,7 +17108,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17118,7 +17118,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17133,80 +17133,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Tekijä(t) "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17214,90 +17223,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17305,281 +17309,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Tekijä(t) "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17587,48 +17613,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18084,42 +18110,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18225,87 +18251,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19203,48 +19229,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20308,7 +20350,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20467,8 +20509,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20485,14 +20527,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22712,60 +22754,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22773,57 +22815,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23665,13 +23707,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Ala"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Ylä"
 
@@ -23705,7 +23747,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23986,7 +24028,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Poista käytöstä"
 
@@ -24678,7 +24720,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25247,7 +25289,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25382,7 +25424,7 @@ msgid "Change &password"
 msgstr "Vaihda &salasana"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25393,7 +25435,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26906,7 +26948,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27197,7 +27239,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27257,95 +27299,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Jako"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28002,7 +28044,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28533,7 +28576,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Hylkää"
 
@@ -30771,7 +30814,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "Alleviivaa"
 
@@ -32098,7 +32141,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32725,7 +32768,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34599,71 +34642,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35117,7 +35160,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Vieritä tähän"
 
@@ -35193,13 +35236,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35364,10 +35407,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Peru"
 
@@ -36008,7 +36051,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36057,7 +36100,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36534,177 +36577,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Tyhjät salasanat eivät kelpaa"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37112,13 +37186,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37126,23 +37201,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37155,7 +37230,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37314,128 +37389,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37490,60 +37565,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37555,7 +37630,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37566,13 +37641,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37582,30 +37657,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37615,7 +37690,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37625,24 +37700,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37651,11 +37726,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37665,19 +37740,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37687,11 +37762,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37703,11 +37778,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37718,14 +37793,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37738,20 +37813,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37765,7 +37840,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37773,7 +37848,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37782,14 +37857,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37802,19 +37877,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37824,7 +37899,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37832,7 +37907,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37840,13 +37915,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37857,7 +37932,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37870,7 +37945,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37887,7 +37962,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37910,23 +37985,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37935,7 +38010,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37944,55 +38019,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38001,7 +38076,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38009,7 +38084,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38017,7 +38092,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38025,7 +38100,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38034,7 +38109,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38043,7 +38118,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38051,14 +38126,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38066,7 +38141,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38074,28 +38149,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38104,7 +38179,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38122,7 +38197,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38130,7 +38205,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38142,7 +38217,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38153,7 +38228,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38161,13 +38236,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38175,7 +38250,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38188,11 +38263,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38200,11 +38275,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38213,7 +38288,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38224,7 +38299,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38234,6 +38309,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38522,29 +38603,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38907,185 +38988,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Älä nouda CSS-tyylisivuja."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Tallenna kaikki"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Avaa"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "Kyllä"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Kyllä kaikkiin"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "Ei"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Ei kaikkiin"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Keskeytä"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Yritä uudelleen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Sulje"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Käytä"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Palauta"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Palauta oletukset"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Värisävy"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "Saturaatio"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "Arvo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "Punainen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "Vihreä"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Sininen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Alpha-kanava"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "HTML"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Valitse väri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Perusvärit"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "Mukautetut värit"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "Lisää mukautettuihin väreihin"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "Valitse näytön värin"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Valitse fontti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "Fontti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Fontin tyyli"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "Koko"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Tehosteet"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Yliviivaa"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Kirjoitusjärjestelmä"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Vasen reuna"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Oikea reuna"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Sivu vasemmalle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Sivu ylös"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Sivu alas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Sivu oikealle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Vieritä ylös"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Vieritä alas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Vieritä oikealle"
 
@@ -39365,8 +39446,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39422,7 +39503,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/fo.po 5.10.0+dfsg-1/translations/calibre/fo.po
--- 5.9.0+dfsg-3/translations/calibre/fo.po	2021-01-06 15:31:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/fo.po	2021-01-20 15:27:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Fíluslag"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/fr_CA.po 5.10.0+dfsg-1/translations/calibre/fr_CA.po
--- 5.9.0+dfsg-3/translations/calibre/fr_CA.po	2021-01-06 15:31:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/fr_CA.po	2021-01-20 15:26:25.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "Ne fait strictement rien"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "Ne fait strictement rien"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "Ne fait strictement rien"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "Ne fait strictement rien"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "Ne fait strictement rien"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "Ne fait strictement rien"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "Personnaliser"
 msgid "Cannot configure"
 msgstr "Impossible de configurer"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Type de fichier"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lecteur de métadonnées"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Éditeur de métadonnées"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Générateur de catalogue"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Préférences"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Boutique"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr "Créer une archive TXTZ lorsqu'u
 msgid "Extract cover from comic files"
 msgstr "Extraction de la couverture depuis des fichiers de bandes dessinées"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lecture des métadonnées depuis les fichiers %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Définir les métadonnées des fichiers %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Définir les métadonnées à partir des fichiers %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Ajouter des livres à calibre ou à l'appareil connecté"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Récupérer les annotations depuis un Kindle connecté (expérimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Générer un catalogue des livres présents dans votre librairie calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Supprimer des livres dans  votre librairie calibre ou un périphérique connecté"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editer les métadonnées des livres dans  votre librairie calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Lire des livres dans votre librairie calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Afficher rapidement une liste des livres connexes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exporter des livres à partir d'une librairie calibre vers le disque dur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Redémarrer calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Ouvrir le répertoire contenant les fichiers du livre dans votre librairie calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Envoyer les livres vers l'appareil connecté"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Parcourir le manuel utilisateur de Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personnaliser calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Trouver facilement des livres similaires à celui sélectionné actuellement"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Basculer entre les différentes librairies calibre et en effectuer la maintenance"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Éditer les collections dans lesquelles les livres seront placés dans votre appareil"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copier un livre depuis une librairie calibre vers une autre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Trouver la correspondance précédente ou suivante lors des recherches dans votre librairie calibre en mode surligné"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Choisir un livre au hasard à partir de votre librairie calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Rechercher des livres à partir de différents revendeurs de livres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Obtenir les nouveaux plugins calibres ou mettre à jour ceux existant"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interface utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Ajuster l'aspect et l'ergonomie de l'interface de Calibre à votre convenance"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportement des zones de texte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Changer le comportement de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Ajouter vos colonnes personnalisées"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Ajouter/retirer vos propres colonnes dans la liste des livres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Personnaliser les barres d'outils et les menus contextuels, en changeant les actions disponibles dans ceux-ci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Recherche en cours"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personnaliser la façon dont la recherche de livres fonctionne dans calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversion"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Définir les options de conversion spécfiques pour chaque format d'entrée"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Définisser les options de conversion communes à tous les formats d'entrée"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Définir des options de conversion pour chaque format de sortie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Ajout des livres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Définir comment les métadonnées sont lues par Calibre lors de l'ajout de livres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Enregistrer les livres sur le disque"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Contrôler la manière dont Calibre exporte les fichiers de sa base de données sur le disque lors des sauvegardes sur disque"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Envoi des livres aux appareils en cours"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Tableau de connexions de métadonnées"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Modifier les champs de métadonnées avant de sauvegarder/envoyer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr "Modifier les champs de métadonn
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Mode expert"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Créer votre propre modèle de fonction"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Partager des livres par courriel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Autopartage"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Réglage du partage de livres par courriel. Peut aussi être utilisé pour envoyer automatiquement les dernières informations téléchargées à vos appareils"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Partager à travers le réseau"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Télécharger les métadonnées"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Périphériques ignorés"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Modules d’extension"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Ajouter/Retirer/Modifier diverses fonctionnalités de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Réglages"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Affiner la manière dont calibre se comporte dans différents contextes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Raccourcis"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Personnaliser les raccourcis claviers utilisés par calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr "Personnaliser les raccourcis cla
 msgid "Miscellaneous"
 msgstr "Autres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Configurations avancées"
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Oui"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr "Commentaires"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Évaluation:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "&Langues:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "&Langues:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Évaluation:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Vous devez spécifier une colonne à être colorés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35185,13 +35228,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Ajouter un nouvel utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Retirer un utilisateur"
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Fermer"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/fr.po 5.10.0+dfsg-1/translations/calibre/fr.po
--- 5.9.0+dfsg-3/translations/calibre/fr.po	2021-01-06 15:30:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/fr.po	2021-01-20 15:34:54.000000000 +0000
@@ -40,8 +40,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-05 10:13+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 08:07+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -120,15 +120,15 @@ msgstr "Ne fait absolument rien"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -149,7 +149,7 @@ msgstr "Ne fait absolument rien"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -249,16 +249,16 @@ msgstr "Ne fait absolument rien"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -284,7 +284,7 @@ msgstr "Ne fait absolument rien"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -316,7 +316,7 @@ msgstr "Ne fait absolument rien"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -335,7 +335,7 @@ msgstr "Ne fait absolument rien"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -359,27 +359,27 @@ msgstr "Personnaliser"
 msgid "Cannot configure"
 msgstr "Impossible de configurer"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Type de fichier"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lecteur de métadonnées"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Créateur de métadonnées"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Générateur de catalogue"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Action interface utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -391,20 +391,20 @@ msgstr "Action interface utilisateur"
 msgid "Preferences"
 msgstr "Préférences"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Boutique"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Une boutique de livres numériques."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Outil d’édition de livre"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Bibliothèque fermée"
 
@@ -426,372 +426,372 @@ msgstr "Créer une archive TXTZ lorsqu
 msgid "Extract cover from comic files"
 msgstr "Extraire la couverture à partir des fichiers de bandes dessinées"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lire les métadonnées depuis les fichiers %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Lire les métadonnées des livres numériques contenus dans des archives RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Lire les métadonnées des livres numériques contenus dans des archives ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Définir les métadonnées dans les fichiers %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Entrer  {0} ci-dessous pour faire en sorte que le plugin d'écriture des métadonnées EPUB n'ajoute pas d'image de couverture aux fichiers qui n'ont pas d'image de couverture existante."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Définir les métadonnées à partir des fichiers %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Ajouter des livres à calibre ou au périphérique connecté"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Récupérer les annotations depuis un Kindle connecté (expérimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Générer un catalogue des livres présents dans votre bibliothèque calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Convertir des livres en différents formats de livres numériques"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Affiner le réglage de vos livres numériques"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Parcourir les mises en évidence et favoris de tous les livres de cette bibliothèque"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Editer la Table des Matières dans vos livres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Supprimer des livres de votre bibliothèque calibre ou du périphérique connecté"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Intégrer les métadonnées mises à jour dans les fichiers actuels des livres de votre bibliothèque calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editer les métadonnées des livres de votre bibliothèque calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Lire des livres dans votre bibliothèque calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Télécharger des actualités depuis Internet sous forme de livre numérique"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Afficher rapidement une liste des livres connexes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtrer/transformer les étiquettes pour les livres de la bibliothèque"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Transformer les auteurs pour les livres de la bibliothèque"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Afficher un éditeur pour tester les modèles"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Afficher une boite de dialogue pour la création et la gestion des fonctions de modèles et des modèles stockés"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exporter les livres depuis votre bibliothèque calibre vers le disque dur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Afficher les Détails du livre dans une fenêtre séparée"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Redémarrer calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Ouvrir le dossier qui contient les fichiers des livres de la bibliothèque calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Envoyer les livres vers le périphérique connecté"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Envoyer des livres par courriel ou le web. Permet également de se connecter à des dossiers sur votre ordinateur comme s'ils étaient des périphériques"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Parcourir le Manuel Utilisateur calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personnaliser calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Trouver facilement des livres similaires à celui sélectionné actuellement"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Basculer entre les différentes bibliothèques calibre et y effectuer des opérations de maintenance"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copier des livres depuis votre périphérique vers votre bibliothèque calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Editer les collections dans lesquelles les livres seront placés sur votre périphérique"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Assortissez le livre sur le périphérique aux livres dans la bibliothèque"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Afficher le livre dans la bibliothèque calibre correspondant à ce livre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copier un livre d'une bibliothèque calibre vers une autre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Editer des livres numériques dans les formats EPUB ou AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Apporter de petits changements aux fichiers EPUB ou HTMLZ dans votre bibliothèque calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Trouver la correspondance précédente ou suivante lors des recherches en mode surligné dans la bibliothèque calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Choisir un livre au hasard dans votre bibliothèque calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Trier la liste des livres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marquer temporairement les livres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Modifier la Bibliothèque virtuelle actuelle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Rechercher des livres dans différentes librairies de livres numériques"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Obtenir de nouvelles extensions calibre ou mettre à jour celles existantes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Apparence et présentation"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interface"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Ajuster l’apparence et la présentation de l’interface de calibre pour s'adapter à vos goûts"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportement"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Changer la manière dont calibre se comporte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Ajouter vos propres colonnes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Ajouter/retirer vos propres colonnes de la liste des livres calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Barres d'outils & menus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Personnaliser les barres d’outils et les menus contextuels, en changeant quelles actions sont disponibles dans chacune d'elles"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Rechercher"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personnaliser la façon dont la recherche de livres fonctionne dans calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Options d'entrée"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversion"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Définissez les options de conversion spécifiques à chaque format d’entrée"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Options communes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Définir les options de conversion communes à tous les formats"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Options de sortie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Définir des options de conversion spécifiques à chaque format de sortie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Ajouter des livres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importer/exporter"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Contrôler comment calibre lit les métadonnées des fichiers lors de l’ajout de livres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Sauvegarder des livres sur le disque"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Contrôler comment calibre exporte les fichiers depuis sa base de données quand vous utilisez Enregistrer sous..."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Envoyer des livres vers des périphériques"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Contrôler comment calibre transfère les fichiers vers votre lecteur de livre numérique"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Tableaux de connexion des métadonnées"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Modifier les champs de métadonnées avant enregistrement ou envoi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -801,92 +801,92 @@ msgstr "Modifier les champs de métadonn
 msgid "Template functions"
 msgstr "Modèles de fonctions"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avancé"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Créer vos propres fonctions de modèle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Partager des livres par courriel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Partager"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Réglage du partage des livres par courriel. Peut aussi être utilisé pour envoyer automatiquement les dernières actualités téléchargées à vos périphériques"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Partager sur le net"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Installer le Serveur de contenu calibre qui vous permet d’accéder à votre bibliothèque calibre de n’importe où, sur tout périphérique, via Internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Télécharger les métadonnées"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Contrôler comment calibre télécharge les métadonnées de livres numériques à partir du net"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Périphériques ignorés"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Contrôler quels périphériques calibre ignorera lorsqu'ils seront connectés à l'ordinateur."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Extensions"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Ajouter/supprimer/ personnaliser différentes parties des  fonctionnalités de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Ajustements"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Affiner comment calibre se comporte dans différents contextes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Raccourcis"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Personnaliser les raccourcis clavier utilisés par calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -894,7 +894,7 @@ msgstr "Personnaliser les raccourcis cla
 msgid "Miscellaneous"
 msgstr "Divers"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Diverses configurations avancées"
 
@@ -1284,9 +1284,9 @@ msgstr "Déposer la base de donnée vers
 msgid "Restoring database from SQL"
 msgstr "Restaurer la base de données à partir de SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1312,17 +1312,17 @@ msgstr "Recherches sauvegardées"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Oui"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Couverture pour %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format pour {1}"
@@ -1708,14 +1708,14 @@ msgstr "Spécifier cette bascule désact
 msgid "You must specify some ids or the %s option"
 msgstr "Vous devez spécifier des ids ou l’option %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nLister les livres disponibles dans la base Calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1723,7 +1723,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Les champs à afficher quand on liste les livres dans la base de données. Devrait être une liste de champs séparés par une virgule.\nChamps disponibles : %s\nPar défaut : %%default. Le champ spécial \"all\" peut être utiliser pour sélectionner tous les champs. En supplément des champs intégrés ci-dessous, les champs personnalisés sont également disponibles en tant que *field_name, par exemple, pour un champ personnalisé #notation, utiliser le nom : *notation"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1731,39 +1731,39 @@ msgid ""
 "Default: {1}"
 msgstr "Le champ utilisé pour trier les résultats.\nChamps disponibles : {0}\nPar défaut : {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Trier les résultats dans l’ordre ascendant"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrer les résultats à l’aide de la requête de recherche. Pour le format de la requête de recherche, veuillez consulter la section recherche dans le manuel utilisateur. Par défaut n’effectue aucun filtrage"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Largeur maximum pour une seule ligne en sortie. Par défaut détecte la taille de l’écran."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "La chaîne utilisée pour séparer des champs. Par défaut : un espace"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Préfixe pour tous les chemins vers des fichiers. Par défaut : chemin absolu du dossier de la bibliothèque."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Le maximum de résultats à afficher. Par défaut : tous"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2310,21 +2310,21 @@ msgstr "vierge"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Requête booléenne invalide \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Bibliothèque virtuelle inexistante : {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "La recherche bibliothèque virtuelle est récurrente : {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Groupe de recherche récursive détecté : {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "modèle de recherche : séparateur manquant ou non valide. Les séparateurs valides sont : {}"
@@ -3500,11 +3500,11 @@ msgstr "%s supprimé"
 msgid "All books removed"
 msgstr "Tous les livres ont été supprimés"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Périphérique sans nom"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3513,12 +3513,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Le périphérique {0} n'accepte pas les connections. Déverrouillez l'écran sur {0}, tapotez \"Autoriser\" sur tout message de connexion que vous voyez, ensuite attendez une minute ou redémarrer calibre. Vous pouvez aussi  avoir à changer le mode de la connexion USB sur {0} vers \"Media Transfer Protocol (MTP)\" ou similaire."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Périphérique MTP inconnu"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6073,7 +6073,7 @@ msgstr "Notes"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6366,7 +6366,7 @@ msgid "Producer"
 msgstr "Producteur"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6374,7 +6374,7 @@ msgid "Comments"
 msgstr "Commentaires"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6414,7 +6414,7 @@ msgid "Tags"
 msgstr "Étiquettes"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6444,7 +6444,7 @@ msgid "Timestamp"
 msgstr "Horodatage"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8174,13 +8174,13 @@ msgstr "EPUB mis à jour de la version 2
 msgid "HTML TOC generation options."
 msgstr "Options pour la génération des tables de Matières HTML."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} de <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8213,31 +8213,31 @@ msgstr "Générer un fichier \"page-map\
 msgid "Sidebar"
 msgstr "Panneau latéral"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Ajout d'en-têtes et de pieds de page"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "En-têtes et pieds de page ajoutés"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Analyse de tout le contenu pour la transformation du balisage"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Transformation du balisage achevée"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Rendu de tout le HTML au format PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Ajout de liens vers le contenu PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Mise à jour des métadonnées dans le PDF"
 
@@ -9206,7 +9206,7 @@ msgstr "Aucune erreur n’a été détec
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10215,7 +10215,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Aide"
 
@@ -11474,7 +11474,7 @@ msgid "Errors while adding"
 msgstr "Erreurs pendant l'ajout"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorer"
 
@@ -11604,8 +11604,8 @@ msgstr "Changer"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11739,11 +11739,11 @@ msgid "Search the internet for this book
 msgstr "Rechercher ce livre sur internet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Gérer %s"
@@ -11886,7 +11886,7 @@ msgstr "Texte sélectionné"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12213,7 +12213,7 @@ msgid "Preset name:"
 msgstr "Nom de la configuration :"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Vous devez préciser un nom."
 
@@ -12290,7 +12290,7 @@ msgid "Save current catalog settings as
 msgstr "Sauvegarder les paramètres du catalogue courant comme prédéfinis"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Enregistrer"
 
@@ -12299,10 +12299,10 @@ msgid "Delete current preset"
 msgstr "Supprimer les réglages prédéfinis actuels"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Supprimer"
@@ -12415,8 +12415,8 @@ msgstr "Réinitialiser aux valeurs par d
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13602,7 +13602,7 @@ msgid "Ta&gs:"
 msgstr "Éti&quettes :"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13617,8 +13617,8 @@ msgstr "&Série :"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Liste de séries connues. Vous pouvez ajouter de nouvelles séries."
@@ -14485,7 +14485,7 @@ msgid "Choose color"
 msgstr "Choisir la couleur"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14826,19 +14826,19 @@ msgid "Edit style transform rules"
 msgstr "Éditer les règles de transformation de style"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "&Exporter"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Exporter ces règles vers un fichier"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14912,8 +14912,8 @@ msgstr "Effacer {}"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14994,7 +14994,7 @@ msgid ""
 msgstr "Les séries vont normalement être renumérotées à partir du nombre le plus élevé dans la base de données pour cette série. Cocher cette case indiquera à calibre que la numérotation doit démarrer à partir de la valeur du champ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16574,7 +16574,7 @@ msgid "Change case"
 msgstr "Modifier la casse"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16582,7 +16582,7 @@ msgid "Upper case"
 msgstr "Majuscules"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16590,7 +16590,7 @@ msgid "Lower case"
 msgstr "Minuscule"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16598,7 +16598,7 @@ msgid "Swap case"
 msgstr "Basculer la casse"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16632,7 +16632,7 @@ msgid "Manage authors"
 msgstr "Gérer les auteurs"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Rechercher :"
@@ -17053,78 +17053,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Cacher le message d'erreur restant"
 msgstr[1] "Cacher les {} messages d'erreur restants"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "En cours"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Traitement de %d livres, veuillez patienter..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Progression de l'étape actuelle : %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Étape %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Minuscule"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Tout en capitales"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Majuscule à chaque mot"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Correspondance de caractère"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Expression régulière"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Remplacer le champ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Ajouter au début du champ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Ajouter à la fin du champ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Modifier les métadonnées pour un livre"
 msgstr[1] "Modifier les métadonnées pour {} livres"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Effectue immédiatement tous les changements sans fermer la boîte de dialogue. Cette opération ne pourra être annulée ou défaite"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Livre %d :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Saisir un type d’identifiant"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17132,7 +17132,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Vous pouvez détruire votre bibliothèque en utilisant cette option.</b> Les changements sont permanents. Il n’y a pas de fonction pour revenir en arrière. Vous êtes fortement encouragé à sauvegarder votre bibliothèque avant de continuer. <p>Rechercher et remplacer dans les champs de texte en utilisant une correspondance de caractères ou une expression régulière. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17142,7 +17142,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "En mode caractère, la recherche se fait à partir du texte saisi dans 'Rechercher'. Le texte est remplacé dans le 'Champ de destination' par le texte saisi dans 'Remplacer par', à chaque fois qu'il a été trouvé dans le 'Champ de recherche'. Une fois le remplacement effectué, la casse peut être modifiée avec l'option 'Casse à appliquer sur le remplacement'. Si la case 'Sensible à la casse' est cochée, le texte recherché doit être une correspondance exacte. Si celle-ci n’est pas cochée, le texte sera trouvé, qu'il soit en majuscules ou en minuscules"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17157,80 +17157,89 @@ msgid ""
 "function."
 msgstr "En mode expression régulière, la recherche s'exprime sous forme d'une expression régulière compatible Python quelconque. Le texte de remplacement contient des références aux expressions entre parenthèses du modèle recherché. La recherche n’est pas ancrée, et peut correspondre et remplacer plusieurs fois la même chaîne. Les fonctions de modification (casse) sont appliquées au texte trouvé, et non au champ entier. 'Champ de destination' précise le champ où le résultat de la recherche et du remplacement doit être affecté. Vous pouvez remplacer le texte du champ, faire un ajout au début du champ ou un ajouter le texte en fin de champ. Voir <a href=\"https://docs.python.org/library/re.html\"> cette référence</a> pour plus d’informations sur les expressions régulières en Python, et en particulier la fonction 'sub'."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERREUR DU MODELE DE R/R"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Vous devez spécifier une destination quand la source est un champ composite ou un modèle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "La valeur de remplacement pour une colonne de notation doit être vide ou un nombre entier entre 0 et 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Préciser une destination d’identifiant type"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Vous devez spécifier une expression de recherche dans le champ \"Recherche\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Chaîne d'identification invalide. Ce doit être une liste séparée par des virgules contenant des paires de chaînes séparées par un deux point (:)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Recherche/Remplacement non valide"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Recherche/Remplacement non valide : %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr "Couvertures compressées"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr "Les couvertures ont été compressées de {percent:.1%}, passant d'une taille totale de {old} à {new}."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Supprimer les requêtes rechercher/remplacer sauvegardées"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "La requête rechercher/remplacer sauvegardée sera supprimée. Voulez-vous continuer ?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Sauvegarde Rechercher/remplcer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nom de la requête Rechercher/Remplacer :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Cette requête rechercher/remplacer sauvegardée existe déjà et va être écrasée. Voulez-vous continuer ?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Modifier les métadonnées"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "Appliquer la date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Auteur(s) : "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17238,90 +17247,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Cela entraînera la mise à jour automatique du champ tri par auteur basé sur le champ auteur pour chaque livre sélectionné. Notez que si vous utilisez le contrôle ci-dessous pour paramétrer les auteurs par lot, le champ tri par auteur est de toute façon mis à jour, indépendamment de la valeur de cette case à cocher."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Effectuer un tri a&utomatique par auteur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "&Intervertir le titre et l’auteur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Met à jour la clé de titre à partir du titre. Ne sera appliqué qu’une fois les autre modifications du titre auront été effectuées."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "&Tri par auteur : "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Mettre à jour la clé de tri par &titre"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Définit comment l’auteur de ce livre doit être trié. Par exemple,' Charles Dickens' doit être trié sous la forme 'Dickens, Charles'."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Modifier la &couverture :"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Note :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Générer une couverture par défaut"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Appliquer la notation"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Supprimer la couverture"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Editeur : "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Essaye de détecter et d'enlever automatiquement les limites et les \nespaces excédentaires à partir des bords des images de couverture. \nPeut parfois enlever trop, donc à utiliser avec précaution."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Si coché, l'éditeur sera nettoyé"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Retailler les couvertures (RISQUÉ)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Effa&cer l’éditeur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Définir à partir des fichiers de livre numériqu&e"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Ajouter des &étiquettes : "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Appliquer la couverture du premier livre sélectionné\nà tous les autres livres sélectionnés."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Ouvrir l’Éditeur de modèle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Reproduire les couvertures"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Supprime les étiquettes :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Force le titre dans la case titre. Si cette option et 'Intervertir le titre et l'auteur' sont cochés,\nle titre et l’auteur seront intervertis avant que la case titre ne soit remplie"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Liste d’étiquettes, séparées par des virgules, à supprimer des livres. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Modifier la &casse du titre : "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Cocher cette case pour supprimer toutes les étiquettes des livres."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Date :"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Supprimer &tout"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Si coché, l'éditeur sera nettoyé"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Sér&ies : "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Effa&cer l’éditeur"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Si cette case est cochée, les séries seront effacées"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "P&ublié :"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Effacer les séries"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17329,126 +17333,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Si cette case n’est pas cochée, le numéro de série pour les livres sera fixé à 1.\nSi cette case est cochée, les livres sélectionnés seront automatiquement numérotés,\ndans l’ordre de la sélection. Ainsi, si vous avez sélectionné le livre A et après le livre B,\nle livre A aura le numéro de série 1 et le livre B le numéro 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Numéroter &automatiquement les livres de cette série"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Les séries vont normalement être renumérotées à partir du nombre le plus élevé \ndans la base de données pour cette série. Cocher cette case indiquera à calibre \nque la numérotation doit démarrer à partir de la valeur du champ à droite"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Commencer la numérotation à :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Si cette case est cochée, les séries seront effacées"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Effacer les séries"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Contrôler comment les couvertures générées par défaut sont créées"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Configurer la génération de cou&verture"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Appliquer le commentaire à tous les livres sélectionnés"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Supprime les étiquettes :"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Supprimer &tout"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Ajouter des &étiquettes : "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Date :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Définit comment l’auteur de ce livre doit être trié. Par exemple,' Charles Dickens' doit être trié sous la forme 'Dickens, Charles'."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "Appliquer la date"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Appliquer la notation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "P&ublié :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Effacer la date de publication"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Auteur(s) : "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Langue(s) :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Editeur : "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Liste d’étiquettes, séparées par des virgules, à supprimer des livres. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Ouvrir l’Éditeur de modèle"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "&Tri par auteur : "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Définir les métadonnées dans calibre à partir des métadonnées situées dans les fichiers de livre numérique associés avec chaque livre. Notez que ceci ne change pas la couverture, pour cela, utilisez l'option distincte ci-dessous."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Définir les &métadonnées (excepté la couverture) à partir des fichiers de livre numérique"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Sér&ies : "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Effacer les paramètres enregistrés pour les livres sélectionnés.\n\nToute conversion future de ces livres utilisera les paramètres par défaut."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Supprimer les paramètres de conversion &enregistrés pour les livres sélectionnés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17457,153 +17396,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Lorsque vous faites la conversion d'un format vers le même format,\npar ex. EPUB vers EPUB, calibre sauvegarde le fichier EPUB original \n en ORIGINAL_EPUB. Cette option indique à calibre de restaurer\n le fichier EPUB depuis ORIGINAL_EPUB. Utile si vous avez fait la\n conversion massive d'un grand nombre de livres et que quelque chose s'est mal passé."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Restaurer les &originaux préconversion si ceux-ci sont disponibles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Cocher cette case pour supprimer toutes les étiquettes des livres."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Note :"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Force le titre dans la case titre. Si cette option et 'Intervertir le titre et l'auteur' sont cochés,\nle titre et l’auteur seront intervertis avant que la case titre ne soit remplie"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Modifier la &casse du titre : "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Met à jour la clé de titre à partir du titre. Ne sera appliqué qu’une fois les autre modifications du titre auront été effectuées."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Mettre à jour la clé de tri par &titre"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Définir les métadonnées dans calibre à partir des métadonnées situées dans les fichiers de livre numérique associés avec chaque livre. Notez que ceci ne change pas la couverture, pour cela, utilisez l'option distincte ci-dessous."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Définir les &métadonnées (excepté la couverture) à partir des fichiers de livre numérique"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Modifier la &couverture :"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Générer une couverture par défaut"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Supprimer la couverture"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Essaye de détecter et d'enlever automatiquement les limites et les \nespaces excédentaires à partir des bords des images de couverture. \nPeut parfois enlever trop, donc à utiliser avec précaution."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Retailler les couvertures (RISQUÉ)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Définir à partir des fichiers de livre numériqu&e"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Appliquer la couverture du premier livre sélectionné\nà tous les autres livres sélectionnés."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Reproduire les couvertures"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr "<p>Compression des images de couverture, si la qualité est fixée à 100 la compression est sans perte, sinon elle l'est avec perte."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr "Co&mpresser les images de couverture :"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr "<p>Qualité de la compression de l'image de couverture. Si la qualité est fixée à 100, la compression est sans perte, sinon elle l'est avec perte"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Contrôler comment les couvertures générées par défaut sont créées"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Configurer la génération de cou&verture"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Appliquer le commentaire à tous les livres sélectionnés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Métadonnées de &base"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Métadonnées &personnalisées"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Charger rechercher/remp&lacer :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Sélectionner une recherche préalablement enregistrée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Enregistrer la recherche en cours"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Enregistrer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "&Champ de recherche :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Nom du champ dans lequel va être effectué la recherche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Type de recherche :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Choix entre la recherche de texte basique ou la recherche avancée par expression régulière"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Type d'&identifiant :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Choisir sous quel type d’identifiant opérer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Modèle :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Entrer un modèle à utiliser comme source pour les recherches/remplacements"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Entrez votre recherche : soit du texte, soit une expression régulière, en fonction du type de recherche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Cochez cette case si la recherche doit respecter la casse. Décochez là si la casse doit être ignorée."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Sensible à la cass&e"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "Re&mplacer par :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Texte de remplacement : le texte correspondant à la recherche va être remplacé par cette chaîne."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "C&asse à appliquer sur le remplacement :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Précise comment le texte va être traité après la recherche et le remplacement. En type 'Correspondance de caractère', le champ\nentier est traité. En type 'Expression régulière', seul le texte correspondant à la recherche est traité"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Champ de &destination :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Champ dans lequel le texte sera placé après tous les remplacements.\nSi ce champ est laissé blanc (et qu'il est modifiable), le remplacement se fera dans le champ de recherche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "T&ype :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Précise comment le texte sera copié dans le champ de destination sélectionné."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Spécifie si le résultat doit être décomposé en valeurs multiples ou\nlaissé comme une valeur simple. Cette option est pertinente quand le champ de recherche n’est\npas un champ multiple alors que la destination accepte les listes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Décomposer le &résultat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Type d’identifiant :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17611,48 +17637,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Choisissez sur quel type d'identifiant opérer. Lorsque le\n              champ source n'est pas un \"identifiant\" vous pouvez entrer\n              * pour remplacer l'ensemble des identifiants par \n              le résultat de la recherche/remplacement.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Pour les champs à valeurs multiples, affiche&r"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "vale&urs débutant à"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "avec des valeurs séparées &par"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Utilisé lors de l’affichage de résultats de tests pour séparer les valeurs dans les champs à valeur multiples"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Tester le texte"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Tester le résultat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Votre &test :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Rechercher et remplacer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Si activé, la liste de livres sera re-triée et toute recherche\nexistante ou Bibliothèque virtuelle seront rafraîchies après que l'édition\nsoit complétée. Ceci peut être lent sur de grandes bibliothèques."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Mettre à jour la liste des livres après application des corrections"
 
@@ -18108,42 +18134,42 @@ msgstr "Ouvrir le livre dans la visionne
 msgid "&Item: {0} ({1})"
 msgstr "Élement: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Cliquer pour afficher uniquement les livres contenant cet élément. Double-cliquez pour rechercher cet élément dans le Navigateur d'étiquettes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Aucun élément trouvé**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Cliquer dans une colonne de la bibliothèque pour visualiser les informations sur ce livre"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "Nombre de livres sélectionnés selon le critère \"{0}\" : {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr "Double-cliquer sur un livre pour modifier la sélection dans la vue de la bibliothèque ou changer la colonne affichée dans le panneau de gauche. Double clic sur Shift- ou Ctrl- pour modifier les métadonnées d'un livre, ce qui modifie également le livre sélectionné."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Quelque chose n'a pas fonctionné lors du remplissage de la table"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Affichage rapide : Le livre n'est pas dans la vue bibliothèque"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18249,87 +18275,87 @@ msgstr "La restauration de la base de do
 msgid "Failed to repair library"
 msgstr "La réparation de la bibliothèque a échoué"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Ajouter une nouvelle Recherche sauvegardée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Vous pouvez créer une <i>Recherche sauvegardée</i> pour les recherches utilisées fréquemment. La recherche sera visible sous <i>Recherches sauvegardées</i> dans le Navigateur d'étiquettes, utilisant le nom que vous spécifiez ici."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Le nom de Recherche sauvegardée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Rechercher : "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "L'expression de recherche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Pas de nom de recherche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Vous devez spécifier un nom pour votre Recherche sauvegardée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Pas d'expression de recherche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Vous devez spécifier une expression de recherche pour votre Recherche sauvegardée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Recherche sauvegardée invalide"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Gérer les Recherches sauvegardées"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Ajouter la recherche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Supprimer la recherche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Éditer la recherche"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "La recherche sauvegardée actuelle sera <b>définitivement supprimée</b>. Voulez-vous continuer ?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Modifier le nom et/ou l'expression ci-dessous."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Modifier la recherche sauvegardée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Une recherche sauvegardée ayant comme nom {} existe déjà. Merci de choisir un autre nom"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Expression de recherche"
 
@@ -19227,48 +19253,64 @@ msgstr "Étiquette 1"
 msgid "Tag 2"
 msgstr "Étiquette 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Didacticiel sur le language de modèles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Référence des modèles de fonctions"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Sélectionner l'icône"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "EXCEPTION: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Fonction de modèle sous Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr "Fonction de modèle intégrée"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr "Fonction intégrée"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr "Fonctions des modèles Python définis par l'utilisateur"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr "Fonction utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Modèle stocké"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr "Modèle défini par l'utilisateur enregistré"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Aucune colonne sélectionnée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Vous devez spécifier une colonne devant être colorée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Aucun modèle fourni"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "La boîte modèle ne peut pas être vide"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "Un Modèle de Mode de Programme Général"
 
@@ -20332,7 +20374,7 @@ msgstr "Rechercher un raccourci par nom"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Pas de résultats"
 
@@ -20491,8 +20533,8 @@ msgid "Show in calibre"
 msgstr "Afficher dans calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Modifier les notes"
 
@@ -20509,14 +20551,14 @@ msgstr[0] "Supprimer l'élément sélect
 msgstr[1] "Supprimer les éléments sélectionnés {}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Tout développer"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Réduire tout"
 
@@ -22736,60 +22778,60 @@ msgstr "<li>Si la colonne <b>%(col)s</b>
 msgid "value: "
 msgstr "valeur :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Ajouter une règle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Supprimer une/des règle(s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Monter la règle sélectionnée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Descendre la règle sélectionnée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Ajouter une règle a&vancée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr "Du&pliquer la règle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr "Convertir en règle a&vancée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr "Ouvrir le répertoire des icônes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importer les règles à partir d'un fichier"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Vous pouvez contrôler la couleur des colonnes dans la liste des livres en créant des \"règles\" qui indiquent à calibre quelle couleur utiliser. Cliquez sur le bouton \"Ajouter une Règle\" ci-dessous pour commencer.<p>Vous pouvez <b>modifier une règle existante</b> en double cliquant dessus."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Vous pouvez ajouter des icônes aux colonnes de la liste des livres en créant des \"règles\" qui indiqueront à calibre quelle icône utiliser et dans quelles conditions. Cliquez sur le bouton \"Ajouter une règle\" pour commencer.<p>Vous pouvez <b>changer une règle existante</b> en double cliquant dessus."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22797,57 +22839,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Vous pouvez ajouter des emblèmes (petites icônes) qui sont affichées sur le côté des couvertures dans la Grille de couvertures en créant des \"règles\" qui indiquent à calibre quelle image utiliser. Cliquez le bouton \"Ajouter une règle\" ci-dessous pour commencer. <p>Vous pouvez <b>changer une règle existante</b> en faisant un double clic sur celle-ci."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Afficher les &emblèmes à côté des couvertures"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Si coché, vous pouvez dire à calibre d'afficher les icônes de votre choix à côté des couvertures qui apparaissent dans la Grille de couverture, contrôlé par les métadonnées du livre."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr "Sélectionner une règle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr "Vous ne devez sélectionner qu'une seule règle."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Aucune règle sélectionnée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Aucune règle sélectionnée pour %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "suppression"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Choisir les fichiers à exporter"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Règles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Choisir le fichier à importer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Aucune règles valides trouvées"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Aucune règles valides n'ont été trouvées dans {}."
 
@@ -23689,13 +23731,13 @@ msgstr "Pas de sous-titre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Bas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Haut"
 
@@ -23729,7 +23771,7 @@ msgid "If there is enough room"
 msgstr "S’il y a suffisamment de place"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Par la première lettre"
 
@@ -24010,7 +24052,7 @@ msgid ""
 msgstr "Il y a deux types de cache que calibre utilise pour améliorer  les performances en exposant les couvertures en vue grille. Un cache disque qui est sur votre disque dur et qui stocke les vignettes de couverture et une mémoire cache utilisée pour assurer un rendu des couvertures sans scintillement. Pour de meilleurs résultats, garder la mémoire cache basse et le cache disque élevé, sauf si vous avez beaucoup de RAM sur votre ordinateur et que cela ne vous dérange pas qu'elle soit utilisée par la mémoire cache."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Désactiver"
 
@@ -24702,7 +24744,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr "Vous pouvez changer ici les métadonnées qu’utilise calibre pour mettre à jour un livre quand il l’enregistre vers un emplacement désigné ou qu’il l’envoie au périphérique connecté.\n\nUtilisez cette boite de dialogue pour définir un \"tableau de connexions\" pour un format (ou tous les formats) et un périphérique (ou tous les périphériques). Ce tableau de connexions définit quel modèle est connecté à quel champ. Ce modèle est utilisé pour calculer une valeur, et cette valeur est assignée au champ connecté.\n\nDans le champ Modèle source, vous pouvez mettre une simple référence à une colonne (éventuellement composées d'autres colonnes), ou tout autre modèle que vous pourriez utiliser ailleurs dans calibre.\n\nUne des utilisations possibles du tableau de connexions est de permettre l’altération du titre pour contenir le nom de la série à laquelle il appartient. Vous pouvez aussi changer la forme du tri par auteur {authors_sort} (particulièrement utile pour les utilisateurs de MOBI pour forcer l’utilisation de \";\" comme le requiert le kindle). Vous pouvez également spécifier la langue du livre."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25271,7 +25313,7 @@ msgid ""
 msgstr "Requérir un nom d'utilisateur/mot de passe empêche une personne non autorisée d'accéder à votre bibliothèque calibre. Il est également nécessaire pour certaines fonctionnalités comme faire des changements à la bibliothèque aussi bien que la synchronisation de la dernière position de lecture/annotation."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Changer le mot de passe pour {}"
 
@@ -25406,7 +25448,7 @@ msgid "Change &password"
 msgstr "Changer le mot de &passe"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{} à uniquement l'autorisation d'accéder à la bibliothèque : {}"
@@ -25417,7 +25459,7 @@ msgid "Change the allowed libraries"
 msgstr "Changer les bibliothèques autorisées"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} n'est actuellement pas autorisé à accéder à la bibliothèque nommée : {}"
@@ -26930,7 +26972,7 @@ msgid "Books in this category are unrate
 msgstr "Des livres dans cette catégorie ne sont pas notés"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Expression de recherche :"
 
@@ -27221,7 +27263,7 @@ msgstr "Renommer %s dans la bibliothèqu
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Renommer %s"
@@ -27281,95 +27323,95 @@ msgstr "Supprimer la Recherche sauvegard
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Supprimer %(item)s de la catégorie %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr "Rechercher %s et ses sous-niveaux"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Rechercher tout sauf %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr "Rechercher tout sauf %s et ses sous-niveaux"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Rechercher à l'aide de l'expression de recherche sauvegardée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Ajouter la sous-catégorie à %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Supprimer la Catégorie utilisateur %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Rechercher les livres dans la catégorie %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Rechercher les livres qui ne sont pas dans la catégorie %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr "Modifiez les valeurs autorisées pour %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Masquer la catégorie %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Modifier l'icône de catégorie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Restaurer l'icône par défaut"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Gérer les Catégories définies par l’utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Modifier le schéma des sous-catégories"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partition"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "La première lettre peut être utilisée seulement lors du tri par nom"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Développer ou réduire"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Développer {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Développer {0} et ses sous-niveaux"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "Réduire {0}"
@@ -28026,7 +28068,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Les livres suivants ont déjà été convertis au format %s. Désirez-vous les convertir à nouveau ?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr "Impossible de trouver le répartiteur vocal sur votre système. Veuillez l'installer."
 
@@ -28557,7 +28600,7 @@ msgid ""
 msgstr "Lorsque vous avez terminé l'édition de {0}, cliquez sur \"Importer\" pour mettre à jour le fichier dans le livre ou sur \"Abandonner\" pour perdre toute modification."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Annuler"
 
@@ -30795,7 +30838,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Italique</h3>Rendre le texte sélectionné italique"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "So&uligner"
 
@@ -32122,7 +32165,7 @@ msgid "Disabled confirmations restored"
 msgstr "Les confirmations désactivées sont restaurées"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "Le processus de rendu s'est interrompu"
 
@@ -32749,7 +32792,7 @@ msgid "Export saved searches"
 msgstr "Exporter des recherches sauvegardées"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exporter"
 
@@ -34623,71 +34666,71 @@ msgstr "Mises en évidence de calibre"
 msgid "highlights"
 msgstr "mises en évidence"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "Modifier cette mise en évidence"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr "Modifier les notes pour cette mise en évidence"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] "Supprimer cette mise en évidence"
 msgstr[1] "Supprimer les mises en évidence sélectionnées"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] "Section de la Table des Matières :"
 msgstr[1] "Sections de la Table des Matières :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Double-cliquer pour accéder à une entrée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Modifier"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "Modifier la mise en évidence sélectionnée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "Supprimer les mises en évidence sélectionnées"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "Exporter toutes les mises en évidence"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "Aucune mise en évidence ne correspond à la recherche : {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "Aucune mise en évidence sélectionnée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "Aucune mise en évidence n'est actuellement sélectionnée"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] "Êtes-vous certain(e) de vouloir supprimer la mise en évidence définitivement ?"
 msgstr[1] "Êtes-vous certain(e) de vouloir supprimer toutes les mises en évidence {} définitivement ?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "Aucune mises en évidence"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "Ce livre n'a pas de mises en évidence à exporter"
 
@@ -35141,7 +35184,7 @@ msgid "E-book viewer"
 msgstr "Visionneuse de livre numérique"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Faites défiler ici"
 
@@ -35217,13 +35260,13 @@ msgstr "Le chargement du livre a échou
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Impossible d'ouvrir le livre à la position {0}. Cliquez sur \"Afficher les détails\" pour plus d'informations."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Le processus de rendu Qt WebEngine Render s'est interrompu. Vous devriez essayer de redémarrer la visionneuse."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Choisir une image de fond"
 
@@ -35388,10 +35431,10 @@ msgid "< &Back"
 msgstr "< &Précédent"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Annuler"
 
@@ -36032,7 +36075,7 @@ msgid "No genres to catalog.\n"
 msgstr "Pas de genres à cataloguer.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr "Vérifier l’expression régulière 'Genres exclus' dans les options des livres numériques.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36081,7 +36124,7 @@ msgstr "Tri des titres"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr "Pas de livres à cataloguer.\nVérifier les règles de 'Livres exclus' dans les options Livre numérique.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36558,177 +36601,208 @@ msgstr "L’interface complète donne ac
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} n'est pas une adresse IP/réseau valide, avec erreur : {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr "nom d'utilisateur [mot de passe]"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr "Donner à cet utilisateur un accès en lecture seule"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr "le nom d'utilisateur est requis"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr "nom d'utilisateur"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr "Commande inconnue : {}"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr "Gérer les comptes utilisateurs pour le serveur calibre. Les commandes disponibles sont :"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr "Utiliser {} pour obtenir de l'aide sur les commandes individuelles"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Que voulez-vous faire ?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "Par défaut"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Pas de choix sélectionné, sortie..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s n'est pas un choix valide, essayez encore"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Noms d'utilisateurs existants :"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Il n'y a pas d'utilisateur, vous devez d'abord ajouter un utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Le nom d'utilisateur %s n'existe pas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Entrer un nom d'utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Entrer le mot de passe pour %s :"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Les mots de passe vident ne sont pas permis"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Ré-entrer le nouveau mot de passe pour %s, pour vérification :"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Les mots de passe ne correspondent pas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Utilisateur %s ajouté avec succès !"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Êtes-vous sûr de vouloir supprimer l'utilisateur %s ?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Utilisateur %s supprimé avec succès !"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Mot de passe pour %s changé avec succès !"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Mot de passe actuel pour {0} est : {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Autoriser {} à apporter des modifications (c'est-à-dire accorder un accès en écriture)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Empêcher {} d'effectuer des modifications (c'est-à-dire supprimer l'accès en écriture)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} a les restrictions supplémentaires par bibliothèque suivantes:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} n'a pas de restrictions supplémentaires par bibliothèque"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Permettre l'accès à toutes les bibibliothèques"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Permettre l'accès uniquement aux bibliothèques spécifiées"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Permettre l'accès à tout, excepté aux bibliothèques spécifiées"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Modifier les restrictions par bibliothèque"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Entrer le nom de la bibliothèque : "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Entrer une expression de recherche, l'accès sera accordé uniquement aux livres correspondant à cette expression. Une expression vide donnera accès à tous les livres."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Autre restriction ?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Entrer une liste de noms de bibliothèques séparés par des virgules : "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Permettre l'accès uniquement aux bibliothèques : {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Permettre l'accès à toutes les bibliothèques, excepté : {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Afficher le mot de passe pour {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Changer les permissions de lecture/écriture pour {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Changer les bibliothèques auxquelles {} peut accéder"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} a {1} accès"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "lecture-écriture"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "lecture seule"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Ajouter un nouvel utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Éditer un utilisateur existant"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Supprimer un utilisateur"
 
@@ -37136,13 +37210,14 @@ msgid ""
 msgstr "Recharge automatiquement le serveur lors de changements du code source. Utile pour le développement. Vous devriez aussi spécifier une valeur basse pour la temporisation d'arrêt."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Gérer la base de données des utilisateurs autorisés à se connecter à ce serveur. Voir aussi l'option %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr "Gérer la base de données des utilisateurs autorisés à se connecter à ce serveur. Vous pouvez l'utiliser en mode automatique en ajoutant un --. Voir {0} pour plus de détails. Voir aussi l'option {1}."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37150,23 +37225,23 @@ msgid ""
 "at: {1}"
 msgstr "Chemin vers la base de données utilisateur à utiliser pour l'authentification. La base de données est un fichier SQLite. Pour le créer utilisez {0}. Vous pouvez en lire plus à propos de la gestion des utilisateurs sur : {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Un autre programme calibre tel qu'une autre instance de {} ou le programme principal calibre est en cours d'exécution. L'exécution de multiples programmes en parallèle pouvant effectuer des changements sur une bibliothèque calibre en cours d'exécution n'est pas pris en charge."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Interrompu par l'utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Il n'y a pas de bibliothèque calibre à : %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Vous devez spécifier au moins une bibliothèque calibre"
 
@@ -37179,7 +37254,7 @@ msgid "Enum"
 msgstr "Énumérer"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Syntaxe invalide. Un terme de recherche est attendu ou un mot"
 
@@ -37338,128 +37413,128 @@ msgstr "Paramètres et extensions"
 msgid "File is open in another process"
 msgstr "Le fichier est ouvert dans un autre processus"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr "la fin du programme"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr "{0}: {1} près de {2}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "Échec du programme d'analyse. Entrée {0} invalide"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Erreur de syntaxe - le programme se termine avant la fin du fichier"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "Manque 'then' dans la déclaration if"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "Manque 'fi' dans la déclaration if"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr "Identifiant manquant dans la déclaration for"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr "Manque 'in' dans la déclaration for"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr "Manque (':') dans la déclaration for"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr "Manque 'rof' dans la déclaration for"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr "Un modèle stocké doit commencer par {0}."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Fonction inconnue {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Parenthèse fermante manquante"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr "Les paramètres de '{}' doivent être des variables ou des affectations"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr "Nombre d'arguments incorrects pour la fonction {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "L’expression n’est pas une fonction ou une constante"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Erreur lors de la comparaison des chaînes de caractères. Opérateur {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "La valeur utilisée en comparaison n'est pas un nombre. Opérateur {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Identifiant inconnu {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Champ inconnu {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr "Le champ {0} n'est pas une liste"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr "Exception non gérée {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Erreur interne d'évaluation d'une expression"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format : le type {0} requiert une valeur entière, il a obtenu {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format : le type {0} requiert une valeur décimale (float), il a obtenu {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s : fonction inconnue"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr "Pas de variable de type {0}."
@@ -37514,60 +37589,60 @@ msgstr "strlen(a) -- Retourne la longueu
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- renvoie x + y. Renvoie une exception si x ou y ne sont pas des nombres."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr "add(x, y, ...) -- renvoie la somme de ses arguments. Lance une exception si un argument n'est pas un nombre."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- renvoie x - y. Renvoie une exception si x ou y ne sont pas des nombres."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- renvoie x * y. Renvoie une exception si x ou y ne sont pas des nombres."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr "Multiply(x, y, ...) -- renvoie le produit de ses arguments. Lance une exception si un argument n'est pas un nombre."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- renvoie x / y. Renvoie une exception si x ou y ne sont pas des nombres."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling(x) -- renvoie le plus petit entier supérieur ou égal à x. Envoie une exception si x n'est pas un nombre."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor(x) -- renvoie le plus grand entier inférieur ou égal à x. Envoie une exception si x n'est pas un nombre."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round(x) -- renvoie l'entier le plus proche de x. Envoie une exception si x n'est pas un nombre."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr "mod(x) -- renvoie le reste de x / y, où x, y et le résultat sont des entiers. Envoie une exception si x ou y n'est pas un nombre."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr "fractional_part(x) -- renvoie la valeur après la virgule. Par exemple, fractional_part(3.14) renvoie 0.14. Envoie une exception si x n'est pas un nombre."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37579,7 +37654,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- évalue x comme un modèle. L’évaluation est effectuée dans son propre contexte, cela veut dire que les variables ne sont pas partagées entre l’appelant et l’évaluation du modèle. Comme les caractères { et } sont spéciaux, vous devez utiliser [[ pour le caractère { et ]] pour le caractère }; ils sont convertis automatiquement. Par exemple, template('[[title_sort]]') évaluera le modèle {title_sort} et retournera sa valeur. Notez également que les préfixes et les suffixes (la syntaxe `|prefix|suffix` syntax) ne peuvent pas être utilisés dans les arguments de cette fonction lorsque le mode modèle de programme est utilisé."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37590,13 +37665,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(modèle) -- évalue le modèle, en passant les variables locales (celles assignées) à la place des métadonnées du livre. Cela permet en utilisant le traitement du modèle de construire des résultats complexes à partir de variables locales. Parce que les caractères { et } sont spéciaux, vous devez utiliser [[ pour le caractère { et ]] pour le caractère } ; ils sont convertis automatiquement. Notez également que les préfixes et les suffixes (la syntaxe `|prefix|suffix`) ne peuvent pas être utilisés dans les arguments de cette fonction lorsque le mode modèle de programme est utilisé."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- assigne val à id, puis renvoie val. id doit être un identifiant, pas une expression"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37606,30 +37681,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr "``'split(list_val, sep, id_prefix)`` -- divise la ``list_val`` en valeurs séparées en utilisant ``sep``, puis assigne les valeurs aux variables nommées ``id_prefix_N`` où N est la position de la valeur dans la liste. Le premier élément a la position 0 (zéro). La fonction renvoie le dernier élément de la liste. Exemple :: split('one, two, foo', ',', 'var') is equivalent to var_0 = 'one'; var_1 = 'two'; var_3 = 'foo'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, …) -- affiche les arguments dans la console standard. Sauf si vous avez démarré calibre à partir de la ligne de commande (calibre-debug -g), la sortie ira dans un trou noir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(nom) -- renvoie le champ de métadonnée nommé par nom"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(nom) -- renvoie le champ de métadonnées nommé par nom sans appliquer aucune mise en forme."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "``raw_field(name, separator)`` -- renvoie la liste de métadonnées nommée par name sans appliquer aucun formatage ou triage et avec les éléments séparés par separator."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37639,7 +37714,7 @@ msgid ""
 "'234'."
 msgstr "substr(ch, start, end) -- renvoie les caractères de début jusqu’à fin de la chaîne ch. Le premier caractère dans la chaine ch est le caractère 0. Si fin est négatif, cela indique que le comptage des caractères est effectué à partir de la droite. Si end est à zéro, cela indique le dernier caractère. Par exemple, substr('12345', 1, 0) renvoie '2345', et substr('12345', 1, -1) renvoie '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37649,24 +37724,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup((val, pattern, field, pattern, field, ..., else_field) -- comme switch, sauf que les arguments sont des noms de champs (métadonnées), et pas du texte. La valeur du champ approprié sera récupéré et utilisé. Notez que vu que les colonnes composées sont des champs, vous pouvez utiliser cette fonction dans un champ composé pour utiliser la valeur d’autres champs composés. C’est extrêmement utile dans la construction des chemins d’enregistrement variables."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "la recherche requiert un nombre pair d’arguments (2 ou plus)"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, text if not empty, text if empty) -- renvoie `texte si non vide` si val n’est pas vide, sinon renvoie `texte si vide`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, texte si correspondance, texte si pas de correspondance) -- vérifie si val contient des correspondances pour l’expression régulière `pattern`. Renvoie `texte si correspondance` si des correspondances sont trouvées, sinon il renvoie `texte si pas de correspondance`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37675,11 +37750,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, …, else_valeur) -- pour chaque paire `pattern, value`, vérifie si `val` à des correspondances pour l’expression régulière `pattern` et si oui renvoie cette `value`. S’il n’y a pas de correspondance alors `else_value` est renvoyé. Vous pouvez avoir autant de paires `pattern, value` que vous voulez"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "le basculement nécessite un nombre pair d’arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37689,19 +37764,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix1, string2, …) -- Retourne la chaîne de caractères formée de la concaténation des arguments. La valeur retournée est initialisée à string1. Les paires 'Prefix,string' sont ajoutées au bout de la valeur tant que la taille de la chaîne de sortie est plus petite que 'max'. String1 est retournée même si string1 est plus grande que max. Vous pouvez passer autant de paires de 'prefix,string' que vous le souhaitez."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max requiert deux arguments ou plus"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max requiert un nombre pair d’arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "le premier argument de strcat_max doit être un nombre entier"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37711,11 +37786,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separator, pattern, found_val, ..., not_found_val)`` -- traite val comme une liste d’éléments séparés par `separator`, comparant la `pattern` avec chaque valeur de la liste. Si la `pattern` correspond à une valeur, retourne `found_val`, sinon, retourne `not_found_val`. `pattern` et `found_value` peuvent être répétés autant de fois que désiré, permettant de renvoyer différentes valeurs dépendantes de la recherche. Les modèles sont traitées dans l'ordre. La première correspondance est renvoyée."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list nécessite un nombre pair d’arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37727,11 +37802,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(val, separator, string, found_val, not_found_val) -- traite val comme une liste d’éléments séparés par separator, comparant la chaîne de caractères avec chaque valeur de la liste. Si la chaîne correspond à une valeur (ignorant la casse) cela retourne found_val, sinon, cela retourne not_found_val. Si la chaîne contient des séparateurs, alors c’est également traité comme une liste et chaque valeur est vérifiée. String et found_value peuvent être répétés autant de fois que désiré, permettant de renvoyer différentes valeurs dépendantes de la recherche. Les chaînes sont traitées dans l'ordre. La première correspondance est renvoyée."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list nécessite un nombre pair d’arguments"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37742,14 +37817,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- traite val comme une liste d’identifiants séparés par des virgules, en comparant la chaîne de caractères avec chaque valeur de la liste. Un identifiant a la forme \"identifier:value\". Le paramètre id doit être soit \"id\", soit \"id:regexp\". Le premier cas est validé s’il y a un identifiant avec cet id. Le second cas est validé si l’expression régulière regexp correspond à la valeur de l’identifiant. S’il y a correspondance, la valeur de retour est found_val, sinon, c’est not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, pattern, replacement) -- renvoie le champ après avoir appliquer l’expression régulière. Toutes les instances de `pattern` seront remplacées par `replacement`. Comme tout dans calibre, celles-ci sont des expressions régulières compatibles Python"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37762,20 +37837,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- renvoie une chaîne faite en appliquant le modèle d'expression régulière à la valeur et en remplaçant chaque instance assortie par la chaîne calculée en remplaçant chaque groupe assorti par la valeur retournée par le modèle correspondant. La valeur assortie originale pour le groupe est disponible comme $. En mode programmation de modèle, comme pour le modèle et les fonctions eval, vous utiliserez [[pour { et ]] pour}. L'exemple suivant en mode programmation de modèle recherche des séries avec plus d'un mot et des majuscules dans le premier mot : {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- pour une valeur au format \"B, A\", renvoie \"A B\". Ceci est très utile pour la conversion des noms du format LN, FN vers FN LN. Si il n’y a pas de virgule, la fonction renvoie val non modifiée"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, texte si vide) -- renvoie val si val n’est pas vide, sinon renvoie `texte si vide`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37789,7 +37864,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- Retourne une version raccourcie de val, constituée par les `left chars` caractères du début de val, suivis par `middle text` et enfin par `right chars` de la fin de la chaîne. `left chars` et `right chars` doivent être des entiers. Par exemple, supposons que le titre du livre est `Anciennes Lois Anglaises aux Temps d'Ivanhoe`, et que vous voulez que ce titre rentre dans un espace maximal de 15 caractères. Si vous utilisez {title:shorten(9,-,5)}, le resultat sera `Ancienn L-nhoe`. Si la longueur du champ est inférieure à caractères à gauche + caractères à droite + la longueur de `texte du milieu`, alors le champ ne sera pas modifié. Par exemple, le titre `Le Dôme` ne serait pas modifié."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37797,7 +37872,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- interprète la valeur comme une liste d’articles séparée par `separator`, retourne le nombre d’articles dans la liste. Beaucoup de listes utilisent une virgule comme séparateur, mais les auteurs utilisent l’esperluette. Exemples: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37806,14 +37881,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- interprète la valeur comme une liste d’articles séparée par `separator`, retourne l’article `index`. Le premier article est le nombre zéro. Le dernier article peut être retourné en utilisant `list_item(-1,separator)`. Si l’article n’est pas dans liste, alors une valeur vide est renvoyée. Le séparateur a la même signafication que dans la fonction `count`."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- interprète la valeur comme une liste séparée par des virgules d’items, ceux-ci étant de la forme \"id:value\". Trouve la paire avec l’id égale à la clé, et retourne la valeur correspondante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37826,19 +37901,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- retourne une liste de formats, séparées par des virgules, qui,  à un certain moment, on été associés avec le livre. Il n'y a aucune garantie que cette liste est correcte, bien qu'elle le soit probablement. Cette fonction peut-être appelée sous forme de modèle de programme en utilisant le modèle \"{:'approximate_formats()'}\". Notez que ces noms de formats sont toujours en majuscule, comme dans EPUB. Cette fonction n'est utilisable que dans l'interface utilisateur. Si vous désirez utiliser cette valeur dans \"Enregistrer sous...\" ou \"Envoyer vers le périphérique connecté\", vous devez créer une colonne personnalisée de type \"Colonne construite à partir d'autres colonnes\" et utiliser cette fonction dans le modèle de la colonne. Vous pourrez ensuite utiliser la valeur de la colonne dans vos modèles d'enregistrement / d'envoi."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Cette fonction n'est utilisable que dans l'interface utilisateur"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37848,7 +37923,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- retourne une liste séparée par des virgules d’éléments séparés par deux-points représentant les dates de modification pour les formats d’un livre. Le paramètre date_format indique comment la date doit être formatée. Regardez la fonction date_format pour des détails. Vous pouvez utiliser la fonction select pour obtenir le mod time pour un format spécifique.Veuillez noter que les noms de format sont toujours en majuscules, comme dans EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37856,7 +37931,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- renvoie une liste séparée par des virgules correspondant à des articles représentant les tailles en octets des formats d'un livre. Vous pouvez utiliser la fonction select pour obtenir la taille d’un format spécifique. Notez que ces noms de formats sont toujours en majuscule, comme dans EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37864,13 +37939,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- retourne une liste séparées par des virgules d'éléments séparés par deux points représentant le chemin absolu vers les formats d'un livre. Vous pouvez utiliser cette fonction pour obtenir le chemin d'un format spécifique. Notez que ces noms de formats sont toujours en majuscule, comme dans EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- renvoie une chaine représentant le nombre v en Ko, Mo, Go, etc."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37881,7 +37956,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, template) -- formate le nombre v en utilisant un modèle (template) de formatage Python comme \"{0:5.2f}\" ou \"{0:,d}\"  ou \"${0:5,.2f}\". Le nom du champs (field_name) dans le modèle doit être un 0 (zéro) (le \"{0:\" dans les exemples ci-dessus). Regardez le langage des modèles et la documentation Python pour plus d’exemples.Vous pouvez omettre le \"{0:\" au début et le \"}\" à la fin si le modèle contient uniquement un format. Retourne une chaîne vide si le formatage échoue."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37894,7 +37969,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, start_index, end_index, séparator) -- interprète la valeur comme une liste d’éléments séparés par `séparator`, retournant une nouvelle liste composée des éléments compris entre `start_index` et `fin_index`. Le premier élément est le numéro 0. Si un index est négatif, alors il part de la fin de la liste. Comme cas spécial, un fin_index de zéro est considéré comme étant la longueur de la liste. Des exemples utilisant le mode de modèle basique et supposant que la colonne des étiquettes (qui sont séparées par des virgules) contient \"A, B, C\" : {tags:sublist(0,1,\\\\,)} retourne \"A\". {tags:sublist(-1,0,\\\\,)} retourne \"C\". {tags:sublist(0,-1,\\\\,)} retourne \"A, B\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37911,7 +37986,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- Cette fonction est utilisée pour séparer des listes d’éléments comme les genres. Elle interprète la valeur comme une liste d’éléments séparés par des virgules, où chaque élément est une liste séparée par des points. Retourne une nouvelle liste composée en trouvant d’abord tous les éléments séparés par des points, puis pour chacun de ces  éléments en extrayant les composantes entre `start_index` et `end_index` avant de les recombiner. Le premier élément dans une liste séparée par des points a un index de 0. Si un index est négatif, alors il part de la fin de la liste. Comme cas spécial, un fin_index de zéro est considéré comme étant la longueur de la liste. Des exemples utilisant le mode de modèle basique et supposant une valeur de #genre de \"A.B.C\" : {#genre:subitems(0,1)} retourne \"A\". {#genre:subitems(0,2)} retourne \"A.B\". {#genre:subitems(1,0)} retourne \"B.C\". Supposant une valeur de #genre de \"A.B.C, D.E.F\", {#genre:subitems(0,1)} retourne \"A, D\". {#genre:subitems(0,2)} retourne \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37934,23 +38009,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- formate la valeur, qui doit être une date, en utilisant format_string, retournant une chaine. Les codes de formatage sont : d : le jour comme nombre sans zéro (1 à 31) dd :le jour comme nombre avec zéro (01 à 31) ddd : le nom du jour localisé et abrégé (p. ex. \"Lun\" à \"Dim\"). dddd :  le nom du jour localisé en entier (p. ex. \"Lundi\" à \"Dimanche\"). M : le mois comme nombre sans zéro (1 à 12). MM : le mois comme nombre avec zéro (01 à 12) MMM :  le nom du mois localisé et abrégé (p. ex. \"Jan\" à \"Dec\"). MMMM : le nom du mois localisé en entier (p. ex. \"Janvier\" to \"Décembre\"). yy : l'année comme nombre à 2 chiffres (00 à 99). yyyy : l'année comme nombre à 4 chiffres. h : les heures sans zéro (0 à 11 où 0 à 23, en fonction de am/pm) hh : les heures avec zéro (00 à 11 où 00 à 23, en fonction de am/pm) m : les minutes sans zéro (0 à 59) mm : les minutes avec zéro(00 à 59) s : les secondes sans zéro (0 à 59) ss : les secondes avec zéro (00 à 59) ap : utiliser une horloge à 12-heures au lieu de 24-heures, avec \"ap\" remplacé par la chaine localisé pour am ou pm AP :  utiliser une horloge à 12-heures au lieu de 24-heures, avec \"AP\" remplacé par la chaine localisé pour AM ou PM iso : la date avec le temps et le fuseau horaire. Doit être le seul format présent"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- renvoie val en majuscule"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- renvoie val en miniscule"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- renvoie val en casse titre"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- renvoie val en lettres capitales"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37959,7 +38034,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- retourne la valeur de la taille du champ. Cette fonction n'est utilisable que dans l'interface utilisateur. Si vous désirez utiliser cette valeur dans \"Enregistrer sous...\" ou \"Envoyer vers le périphérique connecté\", vous devez créer une colonne personnalisée de type \"Colonne construite à partir d'autres colonnes\" et utiliser cette fonction dans le modèle de la colonne. Vous pourrez ensuite utiliser la valeur de la colonne dans vos modèles d'enregistrement / d'envoi."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37968,55 +38043,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- renvoie Yes si \"Sur le périphérique\" est activé, sinon renvoie une chaîne vide. Cette fonction n'est utilisable que dans l'interface utilisateur. Si vous désirez utiliser cette valeur dans \"Enregistrer sous...\" ou \"Envoyer vers le périphérique connecté\", vous devez créer une colonne personnalisée de type \"Colonne construite à partir d'autres colonnes\" et utiliser cette fonction dans le modèle de la colonne. Vous pourrez ensuite utiliser la valeur de la colonne dans vos modèles d'enregistrement / d'envoi."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr "annotation_count() -- renvoie le nombre total d'annotations de tous types attachées au livre en cours. Cette fonction ne fonctionne que dans l'interface graphique."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr "Impossible d'obtenir le nombre d'annotations"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- renvoie la valeur de tri des séries"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- renvoie Yes si le livre a une couverture, sinon renvoie une chaine vide"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, …)-- retourne la première valeur non vide. Si toutes les valeurs sont vides, la valeur vide est retournée. Vous pouvez avoir autant de valeurs que vous voulez."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, …) -- renvoie la chaîne \"1\" si toutes les valeurs ne sont pas vides, sinon renvoie la chaîne vide. Cette fonction fonctionne très bien avec test ou first_non_empty. Vous pouvez avoir autant de valeurs que vous voulez."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, …) -- renvoie la chaîne \"1\" si n'importe quelle valeur n’est pas vide, sinon renvoie la chaîne vide. Cette fonction fonctionne très bien avec test ou first_non_empty. Vous pouvez avoir autant de valeurs que vous voulez."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- renvoie la chaîne \"1\" si la valeur est vide, sinon renvoie la chaîne vide. Cette fonction fonctionne très bien avec test ou first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38025,7 +38100,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- restitue une liste créée de la fusion des éléments dans list1 et list2, supprimant les doublons en utilisant une comparaison insensible à la casse. Si la casse des éléments diffère, celle de list1 est utilisée. Les éléments dans list1 et list2 sont séparés par le séparateur, comme ceux de la liste restituée."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38033,7 +38108,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- restitue une liste en supprimant de ``list1`` tout élément trouvé dans ``list2`` en utilisant une comparaison insensible à la casse. Les éléments dans ``list1`` et ``list2`` sont séparés par le séparateur, comme le sont les éléments dans la liste restituée."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38041,7 +38116,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- restitue une liste en supprimant de list1 tout élément non trouvé dans list2 en utilisant une comparaison insensible à la casse. Les éléments dans list1 et list2 sont séparés par le séparateur, comme le sont les éléments dans la liste restituée."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38049,7 +38124,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(liste, direction, separator) -- retourne une liste triée en utilisant un tri insensible à la casse. Si la direction est zéro, la liste est triée de manière ascendante, sinon descendante. Les éléments des listes 1 et 2 sont séparés par le séparateur, comme ceux de la liste retournée."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38058,7 +38133,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) --retourne yes_val si la liste 1 et la liste 2 contiennent les mêmes éléments, sinon renvoie no_val. Les éléments sont déterminés en éclatant chaque liste à l’aide du séparateur approprié (sep1 ou sep2). L’ordre des éléments dans la liste n’est pas pris en compte. La comparaison est insensible à la casse."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38067,7 +38142,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- Construit une liste en séparant d'abord src_list en éléments utilisant le caractère de séparation. Pour chaque élément dans la liste, vérifie s'il correspond à include_re. Si c'est le cas, alors il l'ajoute à la liste à renvoyer. Si opt_replace n'est pas une chaîne vide, alors effectue le remplacement avant d'ajouter l'élément à la liste renvoyée."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38075,14 +38150,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Comme list_re excepté que les remplacements ne sont pas optionnels. Il utilise re_group(list_item, search_re, group_1_template, ...) quand il effectue les remplacements sur la liste résultante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- renvoie une chaîne date pour aujourd’hui. Cette valeur est conçue pour être utilisée avec format_date ou days_between, mais peut être manipulée comme toute autre chaîne. La date est au format ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38090,7 +38165,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- renvoie le nombre de jours entre date1 et date2. Le nombre est positif si date1 est plus grand que date2, sinon négatif. Si date1 ou date2 ne sont pas des dates, la fonction renvoie une chaîne vide."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38098,28 +38173,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- retourne les chaines des codes de langue passés dans lang_codes. Si localisation est égale à zéro, retourne les chaines en anglais. Si localisation est différente de zéro, retourne les chaines dans la langue utilisée actuellement. Lang_codes est une liste séparée par des virgules."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- retourne les codes de langue pour les chaines passées dans lang_strings. Les chaines doivent être dans la langue actuelle de localisation. Lang_strings est une liste séparée par des virgules."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- retourne le dernier nom du chemin de la bibliothèque calibre actuelle. Cette fonction peut-être appelée en mode de modèle de programme en utilisant le modèle \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- retourne le chemin de la bibliothèque calibre actuelle. Cette fonction peut-être appelée en  mode de modèle de programme en utilisant le modèle \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38128,7 +38203,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- applique le format, le préfixe et le suffixe à une valeur de la même manière que cela est effectué dans un modèle comme `{series_index:05.2f| - |- }`. Par exemple, le programme suivant produit le même résultat que le modèle ci-dessus : programme : finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38137,7 +38212,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- retourne une liste de bibliothèques virtuelles contenant ce livre, séparées par des virgules. Cette fonction n'est utilisable que dans l'interface utilisateur. Si vous désirez utiliser ces valeurs dans les modèles enregistrement-sur-disque ou envoi-vers-appareil, vous devez créer une colonne personnalisée de type \"Colonne construite à partir d'autres colonnes\", utiliser cette fonction dans le modèle de la colonne, et utiliser la valeur de la colonne dans vos modèles d'enregistrement/envoi."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38146,7 +38221,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- retourne une liste séparée par des virgules des catégories utilisateur contenant ce livre, séparées par des virgules . Cette fonction n'est utilisable que dans l'interface utilisateur. Si vous désirez utiliser cette valeur dans \"Enregistrer sous...\" ou \"Envoyer vers le périphérique connecté\", vous devez créer une colonne personnalisée de type \"Colonne construite à partir d'autres colonnes\", utiliser cette fonction dans ce modèle de colonne, et utiliser la valeur de la colonne dans vos modèles d'enregistrement / d'envoi."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38154,7 +38229,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) - Restitue une chaîne en alphabet latin représentant approximativement le son des mots de la chaîne source. Par exemple,  avec la source  \"{0}\" la fonction renverra \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38166,7 +38241,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- retourne une chaîne contenant une liste d'auteurs et les valeurs de ce lien d'auteur dans la forme auteur1 val_separator author1link pair_separator auteur2 val_separator author2link etc. Un auteur est séparé de la valeur de son lien par la chaîne val_separator sans espaces ajoutés. Les paires author:linkvalue sont séparées par la chaîne d'argument pair_separator sans espaces ajoutés. C'est à vous de choisir des chaines de Il vous incombe de choisir des chaines de séparateur qui n'apparaissent pas dans des noms ou des liens d'auteur. Un auteur est inclus même si le lien d'auteur est vide."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38177,7 +38252,7 @@ msgid ""
 "string"
 msgstr "``author_sorts(val_separator)`` --  renvoie une chaîne contenant une liste des valeurs de tri de l'auteur pour les auteurs du livre. Le tri est celui des métadonnées auteur (différente de l'author_sort dans les livres). La liste renvoyée a la forme tri auteur 1 ``val_separator`` tri auteur 2 etc. Les valeurs de tri auteur dans cette liste sont dans le même ordre que les auteurs du livre. Si vous voulez les espaces autour du ``val_separator`` incluez les alors dans la chaîne separator"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38185,13 +38260,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_name(storage_location) -- si un périphérique est connecté alors retournez le nom du périphérique, sinon retournez la chaîne vide. Chaque emplacement de stockage sur un périphérique peut avoir un nom différent. Les noms des emplacements sont \"main\", \"carda\" et \"cardb\". Cette fonction ne fonctionne que dans l'interface graphique."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr "connected_device_name : emplacement de stockage non valide \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38199,7 +38274,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_uuid(storage_location) -- si un périphérique est connecté alors retournez l'uuid du périphérique (id unique), sinon retournez la chaîne vide. Chaque emplacement de stockage sur un périphérique a un uuid différent. Les noms des emplacements sont 'main', 'carda' et 'cardb'. Cette fonction ne fonctionne que dans l'interface graphique."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38212,11 +38287,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr "check_yes_no(field_name, is_undefined, is_false, is_true) -- vérifie la valeur du champ oui/non nommé par la clé de recherche field_name pour une valeur spécifiée par les paramètres, en retournant \"yes\" si une correspondance est trouvée, sinon en retournant une chaîne vide. Définissez le paramètre is_undefined, is_false, ou is_true à 1 (le nombre) pour vérifier cette condition, sinon mettez le à 0. Exemple : check_yes_no(\"#bool\", 1, 0, 1) renvoie \"yes\" si le champ oui/non \"#bool\" est soit indéfini (ni True ni False) ou True. Plus d'un des champs is_undefined, is_false ou is_true peut être mis à 1. Cette fonction est généralement utilisée par les fonctions test() ou is_empty()."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no exige que le champ soit une colonne personnalisée Oui/Non"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38224,11 +38299,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "``rating_to_stars(value, use_half_stars)`` -- Retourne la note sous forme de chaîne de caractères étoilés. La valeur est un nombre entre 0 et 5. Mettre use_half_stars à 1 si vous voulez des caractères demi-étoiles pour les colonnes de classement personnalisées qui ne sont pas des entiers, par exemple 2.5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "La cote doit être un nombre compris entre 0 et 5"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38237,7 +38312,7 @@ msgid ""
 "single value, not a list."
 msgstr "swap_around_articles(separator) -- renvoie la val avec les articles déplacés à la fin. La valeur peut être une liste, auquel cas chaque membre de la liste est traité. Si la valeur est une liste, alors vous devez fournir le séparateur de valeur de liste. Si aucun séparateur n'est fourni, la valeur est traitée comme une valeur unique et non comme une liste."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38248,7 +38323,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "arguments(id[=expression] [, id[=expression]]*) -- Utilisé dans un modèle stocké pour récupérer les arguments passés dans l'appel. Il déclare et initialise à la fois des variables locales, en fait des paramètres. Les variables sont positionnelles ; elles obtiennent la valeur de la valeur donnée dans l'appel dans la même position. Si le paramètre correspondant n'est pas fourni dans l'appel, alors les arguments attribuent à cette variable la valeur par défaut fournie. S'il n'y a pas de valeur par défaut, alors la variable est définie comme une chaîne vide."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38258,6 +38333,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "globals(id[=expression] [, id[=expression]]*) -- Récupère les \"variables globales\" qui peuvent être passées dans le formateur. Il déclare et initialise les variables locales avec les noms des variables globales passées. Si la variable correspondante n'est pas fournie dans les variables globales transmises, il lui attribue la valeur par défaut fournie. S'il n'y a pas de valeur par défaut, alors la variable est définie comme une chaîne vide."
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr "field_exists(field_name) -- vérifie si un champ (colonne) nommé field_name existe, en retournant '1' si oui et '' si non."
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Image sans nom"
@@ -38546,29 +38627,29 @@ msgstr "Fermer sans enregistrer"
 msgid "Close Tab"
 msgstr "Fermer l'onglet"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Caractères supplémentaires à la fin de la recherche"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "manquant )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Échec lors de l'analyse de la demande, limite de récursion atteinte : %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Recherche récursive enregistrée : {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Recherche sauvegardée inconnue : {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Erreur inconnue dans la recherche enregistrée : {0}"
@@ -38931,185 +39012,185 @@ msgstr "N’importe quel lien correspond
 msgid "Do not download CSS stylesheets."
 msgstr "Ne pas télécharger les feuilles de style CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Tout enregistrer"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Ouvrir"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Oui"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Oui pour &Tous"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Non"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&on pour Tous"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Interrompre"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Réessayer"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Fermer"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Appliquer"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Réinitialiser"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Restaurer les valeurs par défaut"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "T&einte :"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sat :"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Val :"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Rouge :"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Vert :"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Bleu :"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Canal &alpha :"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML :"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Curseur à %1, %2\nAppuyer sur ESC pour annuler"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Sélectionner la Couleur"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Couleurs de &base"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Couleurs personnalisées"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Ajouter aux couleurs personnalisées"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Prélever une couleur à l'écran"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Sélectionner la police"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Police"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "St&yle de police"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Taille"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Effets"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "&Barré"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Échantillon"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Système d'&écriture"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Bord gauche"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Bord droit"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Page gauche"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Page précédente"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Page suivante"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Page droite"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Faire défiler vers la gauche"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Faire défiler vers le haut"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Faire défiler vers le bas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Faire défiler vers la droite"
 
@@ -39389,8 +39470,8 @@ msgstr "Spécifier les règles de renomm
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39438,7 +39519,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Indiquez les règles de renommage pour les collections Sony. Cette personnalisation\nn'est applicable que si la gestion des métadonnées est configurée sur automatique.\nLes collections sur les Sony sont nommées en fonction de la nature du champ\n(standard ou personnalisé). Une collection dérivée d'une champ standard est\nnommée avec la valeur de ce champ. Par exemple, si la colonne standard 'series'\ncontient la valeur 'Darkover', alors le nom de la collection est 'Darkover'. Une\ncollection dérivée d'un champ personnalisé aura le nom de ce champ ajouté à la valeur.\nPar exemple, si une colonne personnalisée de série nommée 'My Series' contient le nom\nle nom 'Darkover', alors la collection sera nommée par défaut 'Darkover (My Series)'.\nDans le cadre de cette documentation, 'Darkover' est appelé la valeur et 'My Series'\nest appelé la catégorie. Si deux livres ont des champs qui génèrent le même nom de\ncollection, alors ces deux livres seront dans la même collection.\nCet ensemble de personnalisation vous permet d'indiquer pour un champ standard\nou personnalisé comment les collections vont être nommées. Vous pouvez l'utiliser\npour ajouter une description à un champ standard, par exemple 'Foo (Tag)' au lieu de 'Foo'.\nVous pouvez aussi l'utiliser pour forcer de multiples champs à aboutir dans la même\ncollection. Par exemple, vous pouvez forcer les valeurs dans 'series', '#my_series_1',\net '#my_series_2' à apparaître dans collections sous le nom 'some_value (Series)',\nfusionnant ainsi tous les champs dans un ensemble de collections.\nIl y a deux personnalisations liées. La première détermine le nom de la catégorie\nà utiliser en tant que champ de métadonnée. La seconde est un modèle,\nutilisé pour déterminer comment la valeur et la catégorie sont combinée\npour créer le nom de la collection.\nLa syntaxe de la première personnalisation, sony_collection_renaming_rules, est:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nLa seconde personnalisation, sony_collection_name_template, est un modèle.\nElles utilisent le même langage que les tableaux de collection de métadonnées\net les modèles de fonction. Cette personnalisation comment la valeur et\nla catégorie sont combinées ensemble pour former le nom de la collection.\nSeuls les champs {category} et {value} sont disponibles. Le champ {value}\nn'est jamais vide. Le champ  {category} peut être vide. Par défaut, la valeur\nest placée en premier suivie de la catégorie entre parenthèses, si elle n'est pas vide:\n'{value} {category:|(|)}'\nExemples: Les trois premiers exemples supposent que la seconde personnalisation\nn'a pas été modifiée.\n1:Je veux que 3 colonnes de séries soient fusionnées en un ensemble de collections.\nLes noms des colonnes recherchées sont 'series', '#series_1' and '#series_2'. Je ne veux\nrien entre parenthèses.La valeur à utiliser dans la personnalisation serait:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: Je veux que le mot '(Series)' apparaisse dans les collections crées à partir de séries, et\nle mot '(Tag)' dans celles crées à partir d'étiquettes. Utilisez:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: Je veux fusionner 'series' et '#myseries', en ajoutant '(Series)' au nom de la collection.\nLa règle pour le renommage est:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: Même chose que l'exemple 2, mais à la place d'avoir le nom de la catégorie entre parenthèses\net ajouté à la valeur, je veux le mettre avant et séparé par deux points, comme dans Series: Darkover.\nJe dois changer le modèle utilisé pour formater le nom de la catégorie.\nLes deux personnalisations résultantes sont:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr "Indiquez les règles de renommage pour les collections SONY. Cette personnalisation\nn'est applicable que si la gestion des métadonnées est configurée sur automatique.\nLes collections sur les SONY sont nommées en fonction de la nature du champ\n(standard ou personnalisé). Une collection dérivée d'une champ standard est\nnommée avec la valeur de ce champ. Par exemple, si la colonne standard 'series'\ncontient la valeur 'Darkover', alors le nom de la collection est 'Darkover'. Une\ncollection dérivée d'un champ personnalisé aura le nom de ce champ ajouté à la valeur.\nPar exemple, si une colonne personnalisée de série nommée 'My Series' contient le nom\nle nom 'Darkover', alors la collection sera nommée par défaut 'Darkover (My Series)'.\nDans le cadre de cette documentation, 'Darkover' est appelé la valeur et 'My Series'\nest appelé la catégorie. Si deux livres ont des champs qui génèrent le même nom de\ncollection, alors ces deux livres seront dans la même collection.\nCet ensemble de personnalisation vous permet d'indiquer pour un champ standard\nou personnalisé comment les collections vont être nommées. Vous pouvez l'utiliser\npour ajouter une description à un champ standard, par exemple 'Foo (Tag)' au lieu de 'Foo'.\nVous pouvez aussi l'utiliser pour forcer de multiples champs à aboutir dans la même\ncollection. Par exemple, vous pouvez forcer les valeurs dans 'series', '#my_series_1',\net '#my_series_2' à apparaître dans collections sous le nom 'some_value (Series)',\nfusionnant ainsi tous les champs dans un ensemble de collections.\nIl y a deux personnalisations liées. La première détermine le nom de la catégorie\nà utiliser en tant que champ de métadonnée. La seconde est un modèle,\nutilisé pour déterminer comment la valeur et la catégorie sont combinée\npour créer le nom de la collection.\nLa syntaxe de la première personnalisation, sony_collection_renaming_rules, est:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nLa seconde personnalisation, sony_collection_name_template, est un modèle.\nElles utilisent le même langage que les tableaux de collection de métadonnées\net les modèles de fonction. Cette personnalisation comment la valeur et\nla catégorie sont combinées ensemble pour former le nom de la collection.\nSeuls les champs {category} et {value} sont disponibles. Le champ {value}\nn'est jamais vide. Le champ  {category} peut être vide. Par défaut, la valeur\nest placée en premier suivie de la catégorie entre parenthèses, si elle n'est pas vide:\n'{value} {category:|(|)}'\nExemples: Les trois premiers exemples supposent que la seconde personnalisation\nn'a pas été modifiée.\n1:Je veux que 3 colonnes de séries soient fusionnées en un ensemble de collections.\nLes noms des colonnes recherchées sont 'series', '#series_1' and '#series_2'. Je ne veux\nrien entre parenthèses.La valeur à utiliser dans la personnalisation serait:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: Je veux que le mot '(Series)' apparaisse dans les collections crées à partir de séries, et\nle mot '(Tag)' dans celles crées à partir d'étiquettes. Utilisez:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: Je veux fusionner 'series' et '#myseries', en ajoutant '(Series)' au nom de la collection.\nLa règle pour le renommage est:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: Même chose que l'exemple 2, mais à la place d'avoir le nom de la catégorie entre parenthèses\net ajouté à la valeur, je veux le mettre avant et séparé par deux points, comme dans Series: Darkover.\nJe dois changer le modèle utilisé pour formater le nom de la catégorie.\nLes deux personnalisations résultantes sont:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39446,7 +39527,7 @@ msgstr "Spécifier comment les collectio
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39461,7 +39542,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Indiquez comment les collections Sony sont triées. Cette personnalisation n'est applicable que\nsi la gestion des métadonnées est configurée sur automatique. Vous pouvez indiquer quelles\nmétadonnées vont êtres utilisées pour le tri collection-par-collection. Le format de cette\npersonnalisation est une liste de champs de métadonnées à partir desquels les collections\nsont générées, suivie par le nom du champ de métadonnées contenant la valeur de tri.\nExemple: l'expression suivante indique que les collections construites à partir de la date\nde publication (pubdate) et étiquettes (tags) doivent être triées par la valeur contenue dans\nla colonne personnalisée '#mydate', que les collections construites à partir de 'series' doivent\nêtre triées par 'series_index', et que toutes les autres collections doivent être triées par titre.\nSi un champ de métadonnée collection n'est pas nommé, alors si il s'agit d'une collection basée\nsur une série elle est triée par l'ordre de la série, sinon par titre.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nVeuillez que les crochets et les parenthèses sont requis. La syntaxe est\n[ ( [liste de champs], champ de tri) , [liste de champs], champ de tri) ]\nPar défaut: vide (pas de règles), donc aucun attribut de collection n'est nommé."
+msgstr "Indiquez comment les collections SONY sont triées. Cette personnalisation n'est applicable que\nsi la gestion des métadonnées est configurée sur automatique. Vous pouvez indiquer quelles\nmétadonnées vont êtres utilisées pour le tri collection-par-collection. Le format de cette\npersonnalisation est une liste de champs de métadonnées à partir desquels les collections\nsont générées, suivie par le nom du champ de métadonnées contenant la valeur de tri.\nExemple: l'expression suivante indique que les collections construites à partir de la date\nde publication (pubdate) et étiquettes (tags) doivent être triées par la valeur contenue dans\nla colonne personnalisée '#mydate', que les collections construites à partir de 'series' doivent\nêtre triées par 'series_index', et que toutes les autres collections doivent être triées par titre.\nSi un champ de métadonnée collection n'est pas nommé, alors si il s'agit d'une collection basée\nsur une série elle est triée par l'ordre de la série, sinon par titre.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nVeuillez que les crochets et les parenthèses sont requis. La syntaxe est\n[ ( [liste de champs], champ de tri) , [liste de champs], champ de tri) ]\nPar défaut: vide (pas de règles), donc aucun attribut de collection n'est nommé."
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/fur.po 5.10.0+dfsg-1/translations/calibre/fur.po
--- 5.9.0+dfsg-3/translations/calibre/fur.po	2021-01-06 15:31:42.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/fur.po	2021-01-20 15:27:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr "cençe configurazion"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "tipo di file"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "lein Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "scrif Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "gjenerà un catalogo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Preferencis"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "buteghe"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ga.po 5.10.0+dfsg-1/translations/calibre/ga.po
--- 5.9.0+dfsg-3/translations/calibre/ga.po	2021-01-06 15:29:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ga.po	2021-01-20 15:26:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Ní dhéanann sé dada"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Ní dhéanann sé dada"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Ní dhéanann sé dada"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Ní dhéanann sé dada"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Ní dhéanann sé dada"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Ní dhéanann sé dada"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Saincheap é"
 msgid "Cannot configure"
 msgstr "Ní féidir é a chumrú"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Cineál comhaid"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Léitheoir meiteashonraí"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Scríbhneoir meiteashonraí"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Gineadóir catalóige"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Gníomhaíocht chomhéadan an úsáideora"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr "Gníomhaíocht chomhéadan an ú
 msgid "Preferences"
 msgstr "Sainroghanna"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Díolbhoth"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Díolbhoth ríomhleabhar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Uirlis chun leabhair a chur in eagar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Tá an leabharlann dúnta"
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Bain an clúdach ó chomhaid ghreannáin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Léigh leabhair atá i do leabharlann calibre agat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Íosluchtaigh nuacht ón idirlíon mar ríomhleabhar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Taispeáin mionsonraí an Leabhair i mír aníos ar leithligh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Atosaigh calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Oscail an fillteán ina bhfuil comhad na leabhar i do leabharlann calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Seol leabhair chuig an ngaireas atá ceangailte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Saincheap calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Aimsigh leabhair atá cosúil leis an gceann atá roghnaithe faoi láthair go héasca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Roghnaigh leabhar go fánach ó do leabharlann calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Faigh breiseáin nua calibre nó nuashonraigh na cinn atá agat cheana"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Cuma ⁊ braistint"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "An Comhéadan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Iompraíocht"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Athraigh an bealach ina iompraíonn calibre é féin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Cuir do cholúin féin leis"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Barraí uirlisí ⁊ roghchláir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Ag cuardach"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Roghanna ionchuir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Tiontú"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Roghanna coitianta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Roghanna aschuir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Ag cur leabhair leis"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Tabhair isteach/bain amach"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Ardroghanna"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Leabhair a chomhroinnt trí bhíthin ríomhphost"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Ag comhroinnt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Comhroinnt trí bhíthin an idirlín"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Breiseáin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Aicearraí"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr "Ilghnéitheach"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Tá"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Clúdach do %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr "bán"
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6414,7 +6414,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8156,13 +8156,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8195,31 +8195,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9209,7 +9209,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10239,7 +10239,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Cabhair"
 
@@ -11519,7 +11519,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ná bac leis"
 
@@ -11649,8 +11649,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11784,11 +11784,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11931,7 +11931,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12258,7 +12258,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12335,7 +12335,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Taisc"
 
@@ -12344,10 +12344,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12460,8 +12460,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13647,7 +13647,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13662,8 +13662,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14530,7 +14530,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14871,19 +14871,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14957,8 +14957,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15039,7 +15039,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16625,7 +16625,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16633,7 +16633,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16641,7 +16641,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16649,7 +16649,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16683,7 +16683,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17107,57 +17107,57 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17166,22 +17166,22 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17189,7 +17189,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17199,7 +17199,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17214,80 +17214,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Úda(i)r: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17295,90 +17304,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Foilsitheoir:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17386,281 +17390,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Úda(i)r: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Foilsitheoir:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17668,48 +17694,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18165,42 +18191,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18306,87 +18332,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19284,48 +19310,64 @@ msgstr "Clib 1"
 msgid "Tag 2"
 msgstr "Clib 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "EISCEACHT:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20404,7 +20446,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20563,8 +20605,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20587,14 +20629,14 @@ msgstr[3] ""
 msgstr[4] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Leacaigh uile"
 
@@ -22835,60 +22877,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22896,57 +22938,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23788,13 +23830,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Bun"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Barr"
 
@@ -23828,7 +23870,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -24109,7 +24151,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24801,7 +24843,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25370,7 +25412,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25505,7 +25547,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25519,7 +25561,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -27035,7 +27077,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27326,7 +27368,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Athainmnigh %s"
@@ -27386,95 +27428,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28131,7 +28173,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28665,7 +28708,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Cuileáil"
 
@@ -30915,7 +30958,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32254,7 +32297,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32881,7 +32924,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34764,16 +34807,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34782,7 +34825,7 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34792,39 +34835,39 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34833,11 +34876,11 @@ msgstr[2] ""
 msgstr[3] ""
 msgstr[4] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35291,7 +35334,7 @@ msgid "E-book viewer"
 msgstr "Amharcóir ríomhleabhair"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Scrollaigh anseo"
 
@@ -35367,13 +35410,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35538,10 +35581,10 @@ msgid "< &Back"
 msgstr "< &Siar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Cealaigh"
 
@@ -36182,7 +36225,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36231,7 +36274,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36708,177 +36751,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Cad is mian leat a dhéanamh?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "réamhshocrú"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Cuir isteach an t-ainm úsáideora"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37289,13 +37363,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37303,23 +37378,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37332,7 +37407,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37491,128 +37566,128 @@ msgstr "Socruithe agus breiseáin"
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37667,60 +37742,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37732,7 +37807,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37743,13 +37818,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37759,30 +37834,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37792,7 +37867,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37802,24 +37877,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37828,11 +37903,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37842,19 +37917,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37864,11 +37939,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37880,11 +37955,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37895,14 +37970,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37915,20 +37990,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37942,7 +38017,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37950,7 +38025,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37959,14 +38034,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37979,19 +38054,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -38001,7 +38076,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -38009,7 +38084,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -38017,13 +38092,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -38034,7 +38109,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -38047,7 +38122,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38064,7 +38139,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38087,23 +38162,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38112,7 +38187,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38121,55 +38196,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38178,7 +38253,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38186,7 +38261,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38194,7 +38269,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38202,7 +38277,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38211,7 +38286,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38220,7 +38295,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38228,14 +38303,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38243,7 +38318,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38251,28 +38326,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38281,7 +38356,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38290,7 +38365,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38299,7 +38374,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38307,7 +38382,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38319,7 +38394,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38330,7 +38405,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38338,13 +38413,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38352,7 +38427,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38365,11 +38440,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38377,11 +38452,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38390,7 +38465,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38401,7 +38476,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38411,6 +38486,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38699,29 +38780,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -39087,185 +39168,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Tá go maith"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Taisc Uile"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Oscail"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Tá"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Tá dóibh &Uile"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Níl"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&íl dóibh Uile"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Tobscoir"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Féach arís é"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Dún"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Cuir i bhfeidhm é"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Athshocraigh é"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Cuir ar ais na Réamhshocruithe"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "L&í:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Go&rm:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Dathanna &bunúsacha"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "Dathanna &saincheaptha"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Roghnaigh clófhoireann"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Clófhoireann"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Méid"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Maisíochtaí"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Sampla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Bog ar chlé an leathanach"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Bog suas an leathanach"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Bog síos an leathanach"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Bog ar dheis an leathanach"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Scrollaigh ar chlé"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Scrollaigh ar dheis"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Scrollaigh síos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Scrollaigh ar dheis"
 
@@ -39545,8 +39626,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39602,7 +39683,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/gl.po 5.10.0+dfsg-1/translations/calibre/gl.po
--- 5.9.0+dfsg-3/translations/calibre/gl.po	2021-01-06 15:30:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/gl.po	2021-01-20 15:26:48.000000000 +0000
@@ -8,13 +8,13 @@
 # pep <kuma_ym@hotmail.com>, 2014
 # Xosé, 2013
 # Xosé M. <correo@xmgz.eu>, 2015
-# Xosé, 2013,2015-2016,2018
+# Xosé, 2013,2015-2016,2018,2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -32,11 +32,11 @@ msgstr "Iniciar"
 
 #: /__w/calibre/calibre/manual/conf.py:176
 msgid "Support calibre"
-msgstr ""
+msgstr "Apoio o Calibre"
 
 #: /__w/calibre/calibre/manual/conf.py:177
 msgid "Contribute to support calibre development"
-msgstr ""
+msgstr "Contribúa para apoioar o desenvolvemento do Calibre"
 
 #: /__w/calibre/calibre/manual/conf.py:239
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:484
@@ -93,15 +93,15 @@ msgstr "Non fai absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -122,7 +122,7 @@ msgstr "Non fai absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -222,16 +222,16 @@ msgstr "Non fai absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -257,7 +257,7 @@ msgstr "Non fai absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -289,7 +289,7 @@ msgstr "Non fai absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -308,7 +308,7 @@ msgstr "Non fai absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -332,27 +332,27 @@ msgstr "Personalizar"
 msgid "Cannot configure"
 msgstr "Non é posíbel configurar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tipo de ficheiro"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lector de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Escritor de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Xerador de catálogos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Acción da interface do usuario"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -364,20 +364,20 @@ msgstr "Acción da interface do usuario"
 msgid "Preferences"
 msgstr "Preferencias"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Tenda"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Unha tenda de libros electrónicos."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Ferramenta de edición de libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Biblioteca pechada"
 
@@ -399,372 +399,372 @@ msgstr "Crear un arquivo TXTZ cando se i
 msgid "Extract cover from comic files"
 msgstr "Extrae a capa dos ficheiros de banda deseñada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Ler os metadatos a partir dos ficheiros %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Ler metadatos de libros electrónicos en arquivos RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Ler metadatos de libros electrónicos en arquivos ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Definir os metadatos nos dos ficheiros %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Definir os metadatos a partir dos ficheiros %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Engadir libros a Calibre ou ao dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Obter as anotacións dun Kindle conectado (experimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Xerar un catalogo dos libros na túa biblioteca Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Converter libros a varios formatos de libro electrónico"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Afinar a configuración dos libros electrónicos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Editar os índices dos libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Eliminar libros da biblioteca do Calibre ou do dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Incrustar metadatos actualizados nos ficheiros dos libros na súa biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editar os metadatos dos libros da biblioteca do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Ler libros da biblioteca do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Descargar noticias desde a Internet en formato de libro electrónico"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Amosar unha lista rápida de libros relacionados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtra/transforma as etiquetas para libros na libraría"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Mostrar un editor para modelos de proba"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportar os libros da biblioteca do Calibre ao disco duro"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Amosar os detalles do libro nunha xanela separada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Reiniciar o Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Abrir o cartafol que contén os libros electrónicos da biblioteca do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Enviar os libros ao dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Navegar polo manual de usuario do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personalizar o Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Atopar facilmente libros semellantes ao que está seleccionado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Trocar entre diferentes bibliotecas do Calibre e xestionar o seu mantemento"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copiar libros do dispositivo á súa biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Modificar as colectáneas nas que se almacenan os libros no dispositivo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Emparellar libros nos dispositivos con libros na biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copiar un libro desde unha biblioteca do Calibre para outra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Editar libros electrónicos nos formatos EPUB ou AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Atopar as coincidencias anteriores ou posteriores ao buscar na túa biblioteca Calibre en modo destaque"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Escoller ao chou un libro da túa biblioteca do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Ordenar a lista de libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marcar libros temporalmente"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Buscar libros en diversos vendedores"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Obter novos engadidos do Calibre ou actualizar os existentes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Aparencia e comportamento"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interface"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Axustar a aparencia e o comportamento da interface do Calibre para que se adapte aos seus gustos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportamento"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Cambiar o modo en que se comporta o Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Engadir as súas propias columnas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Engadir/retirar as columnas propias da lista de libros do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Barras de ferramentas e menús"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Personalizar as barras de ferramentas e os menús contextuais, cambiando as accións que estarán dispoñíbeis en cada un"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Busca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personalizar o modo no que funcionan as buscas de libros no Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Opcións de entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversión"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Estabelecer as opcións de conversión específicas para cada formato de entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Opcións frecuentes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Estabelecer as opcións de conversión comúns para todos os formatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Opcións de saída"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Estabelecer as opcións específicas de conversión para cada formato de saída"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Adición de libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importación / exportación"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Controlar o modo como Calibre le os metadatos dos ficheiros ao engadir libros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Gardado de libros no disco"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Controla o modo no que o Calibre exporta ficheiros da súa base de datos no disco ao gardar no disco"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Envío de libros a dispositivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Panel de control de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Cambiar os campos de metadatos antes do gardado/envío"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -774,92 +774,92 @@ msgstr "Cambiar os campos de metadatos a
 msgid "Template functions"
 msgstr "Funcións de modelo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avanzado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Crear as súas propias funcións de modelo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Compartir libros por correo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Compartir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Configura a compartición de libros por correo. Pódese usar para enviar automaticamente as noticias descargadas aos seus dispositivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Compartir na rede"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Descarga de metadatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Dispositivos ignorados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Controlar que dispositivos ignorará o Calibre cando estean conectados ao ordenador."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Engadidos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Engadir/retirar/personalizar diversas funcións do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Axustes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Axuste fino de como se comporta o Calibre en diversos contextos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Atallos de teclado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Personalizar os atallos de teclado usados polo Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -867,7 +867,7 @@ msgstr "Personalizar os atallos de tecla
 msgid "Miscellaneous"
 msgstr "Miscelánea"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Configuración miscelánea avanzada"
 
@@ -1257,9 +1257,9 @@ msgstr "Envorcando a base de datos a SQL
 msgid "Restoring database from SQL"
 msgstr "Restaurando a base de dados desde SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1285,17 +1285,17 @@ msgstr "Buscas gardadas"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Si"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Capa de %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formato para {1}"
@@ -1681,14 +1681,14 @@ msgstr "Se se especifica esta opción de
 msgid "You must specify some ids or the %s option"
 msgstr "Debe especificar algún identificador ou a opción %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [opcións]\n\nLista dos libros dispoñíbeis na base de datos do Calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1696,7 +1696,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1704,39 +1704,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Ordenar resultados en orde ascendente"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrar os resultados pola consulta de busca. Para o formato da consulta de busca, véxase a documentación relacionada no Manual de Usuario. O predeterminado e non filtrar."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "A lonxitude máxima das liñas na saída. De modo predeterminado tómase a largura da pantalla."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "O texto usado para separar campos. Por omisión é un espazo."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "O prefixo para todas as rutas de ficheiros. Por omisión é a ruta absoluta do cartafol da biblioteca."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2283,21 +2283,21 @@ msgstr "en branco"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Consulta lóxica incorrecta «{0}»"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Detectado grupo de consulta recursivo: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3473,11 +3473,11 @@ msgstr "Retirouse %s"
 msgid "All books removed"
 msgstr "Retiráronse todos os libros"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3486,12 +3486,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Dispositivo MTP descoñecido"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6046,7 +6046,7 @@ msgstr "Notas"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6339,7 +6339,7 @@ msgid "Producer"
 msgstr "Produtor/a"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6347,7 +6347,7 @@ msgid "Comments"
 msgstr "Comentarios"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6387,7 +6387,7 @@ msgid "Tags"
 msgstr "Etiquetas"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6417,7 +6417,7 @@ msgid "Timestamp"
 msgstr "Marca de tempo"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8147,13 +8147,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "Opcións da xeración HTM TOC"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8186,31 +8186,31 @@ msgstr "Xerar un ficheiro de «page-map
 msgid "Sidebar"
 msgstr "Barra lateral"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9179,7 +9179,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10188,7 +10188,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Axuda"
 
@@ -11447,7 +11447,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorar"
 
@@ -11577,8 +11577,8 @@ msgstr "Cambiar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11712,11 +11712,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Administrar %s"
@@ -11859,7 +11859,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12186,7 +12186,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Hai que indicar un nome."
 
@@ -12263,7 +12263,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Gardar"
 
@@ -12272,10 +12272,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Eliminar"
@@ -12388,8 +12388,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13575,7 +13575,7 @@ msgid "Ta&gs:"
 msgstr "&Etiquetas:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13590,8 +13590,8 @@ msgstr "&Coleccións:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Lista de colectáneas coñecidas. Pode engadir tamén novas colectáneas."
@@ -14458,7 +14458,7 @@ msgid "Choose color"
 msgstr "Escoller unha cor"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14799,19 +14799,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xportar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14885,8 +14885,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14967,7 +14967,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16547,7 +16547,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16555,7 +16555,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16563,7 +16563,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16571,7 +16571,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16605,7 +16605,7 @@ msgid "Manage authors"
 msgstr "Xestionar os autores"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Buscar:"
@@ -17026,78 +17026,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Traballando"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Maiúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Formato de título (todas as iniciais en maiúscula)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Coincidencia de carácter"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Substituír campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Antepoñer ao campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Anexar ao campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Facer todos os cambios automaticamente sen pechar o diálogo. Esta operación non se pode cancelar ou desfacer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Libro %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Introduza un tipo de identificador"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17105,7 +17105,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Pode destruír a súa biblioteca usando esta funcionalidade.</b> Os cambios son permanentes. Non hai función de desfacer. Recoméndaselle fortemente realizar unha copia de seguranza da súa biblioteca antes de continuar.<p>Buscar e substituír en campos de texto usando ocorrencias de caracteres ou expresións regulares. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17115,7 +17115,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17130,80 +17130,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERROR DE MODELO"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Debe especificar un tipo de identificador de destino"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Hai que indicar unha expresión de busca no campo «Buscar»"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Buscar/substituir no vé correcto"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Eliminar a busca/substitución gardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "A busca/substitución gardada seleccionada vai ser eliminada. Está seguro?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Gardar busca/substitución"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nome de busca/substitución"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Esa busca/substitución gardada xa existe e vai ser sobrescrita. Desexa continuar?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autores/as: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17211,90 +17220,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Estabelecer a&utomaticamente a orde por autor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Actualizar a orde de título conforme o título actual. Isto realizarase despois do resto de cambios de título."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Orde por aut&oría: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Actualizar orde de &título"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Especificar como ordenar a autoría deste libro. Por exemplo, Rosalía de Castro pode ordenarse como Castro, Rosalía de."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Cambiar a &capa"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Valoración"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Xerar capa predeterminada"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Retirar a capa"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Editorial: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Engadir esti&quetas "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Clonar as capas"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Retirar etiquetas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Fai que o título teña a inicial maiúscula. Se tanto esta caixa como a de intercambiar\nautor e título están marcadas, primeiro intercámbianse e logo cámbiase o título."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Lista de etiquetas, separadas por vírgula, para retirar dos libros. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Marque esta caixa para retirar todas as etiquetas dos libros."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datos:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Eliminar &todos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Se está marcado, as colectáneas serán desbotadas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Limpar a colectánea"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17302,281 +17306,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Se non se marca, o número na colectánea dos libros poñerase .\nSe se marca, os libros seleccionados numeraranse automaticamente,\nna orde na que los seleccionase. Se seleccionou primeiro\no libro A e logo o B, o libro A será o número 1 na colectánea e o  libro\nB será o número 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Numerar &automáticamente os libros desta colectánea"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Normalmente as colectáneas hai que renumeralas a partir do número\nmaior almacenado para a colectánea. Se marca esta caixa Calibre\ncomezará a numeración a partir do valor do cadro."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Forzar que os números comecen por:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Se está marcado, as colectáneas serán desbotadas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Limpar a colectánea"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datos:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Retirar etiquetas:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Eliminar &todos"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Engadir esti&quetas "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Especificar como ordenar a autoría deste libro. Por exemplo, Rosalía de Castro pode ordenarse como Castro, Rosalía de."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Limpar a data de publicación"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autores/as: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Idiomas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Editorial: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Retirar a configuración da conversión de almacenaxe para os libros seleccionados.\n\nA conversión futura destes libros empregará a preestabelecida."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Lista de etiquetas, separadas por vírgula, para retirar dos libros. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Retirar a configuración de conversión para os libros &seleccionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Orde por aut&oría: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Fai que o título teña a inicial maiúscula. Se tanto esta caixa como a de intercambiar\nautor e título están marcadas, primeiro intercámbianse e logo cámbiase o título."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Actualizar a orde de título conforme o título actual. Isto realizarase despois do resto de cambios de título."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Actualizar orde de &título"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Cambiar a &capa"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Xerar capa predeterminada"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Retirar a capa"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Retirar a configuración da conversión de almacenaxe para os libros seleccionados.\n\nA conversión futura destes libros empregará a preestabelecida."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Retirar a configuración de conversión para os libros &seleccionados"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Clonar as capas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Marque esta caixa para retirar todas as etiquetas dos libros."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Valoración"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadatos &básicos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadatos &personalizados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Seleccione unha busca/substitución gardada para cargar."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Gardar a busca/substitución actual"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Gardar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Campo de &busca:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "O nome do campo no que buscar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Modo de busca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Escolla se quere usar o modo básico de busca de texto ou o modo avanzado de expresións regulares"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Escolla o tipo de identificador sobre o que operar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Mod&elo:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Introduza un modelo para usar como fonte de busca e substitución"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marque esta caixa se o texto de busca debe coincidir exactamente en maiúsculas ou minúsculas. Desmárquea se as maiúsculas ou minúsculas son indiferentes."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "S&ensible a maiúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Substituír con:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "A substitución de texto. O texto de busca coincidente será substituído con esta cadea"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Aplicar a función despois de substituír:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especifique cómo se procesará o texto despois de buscar e substituír. No modo de caracteres, procesarase todo o texto. No modo de expresións regulares soamente se procesarán as coincidencias da busca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Campo de destino:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "O campo onde se poñerá o texto despois de todas as substitucións.\nSe se deixa en branco, usarase o campo de orixe de ser modificábel."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&odo:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especifica cómo se debe copiar o texto en destino."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica se os ítems de resultados deben dividirse en múltiples valores ou\nmanterse como valores singulares. Esta opción é máis efectiva cando o campo\nde orixe non é múltiple e o campo de destino si o é"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Dividir o &resultado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Tipo de identificador:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17584,48 +17610,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Para campos de múltiples valores, amo&sar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "con calores separados po&r"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Utilizado ao amosar os resultados do test para separar valores en campos de valores múltiples"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Texto de proba"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Resultado do test"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "Bu&scar e substituír"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18081,42 +18107,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Elemento: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Non se atoparon elementos**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18222,87 +18248,87 @@ msgstr "A restauración da base de datos
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Engadir unha nova busca gardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Nome da nova busca gardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "hai que indicar un nome para a busca gardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Hai que indicar unha expresión de busca para a busca gardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Xestionar buscas gardadas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "Eng&adir unha busca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Editar a busca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "A busca actual gardada <b>eliminarase permanentemente</b>. Ten a certeza?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Editar busca gardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19200,48 +19226,64 @@ msgstr "Etiqueta 1"
 msgid "Tag 2"
 msgstr "Etiqueta 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20305,7 +20347,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Non hai coincidencias"
 
@@ -20464,8 +20506,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20482,14 +20524,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22709,60 +22751,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "Eng&adir unha regra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Retirar a(s) regra(s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Subir a regra seleccionada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Baixar a regra seleccionada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22770,57 +22812,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Non se seleccionou ningunha regra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Non se seleccionou ningunha regra para %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23662,13 +23704,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Inferior"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Superior"
 
@@ -23702,7 +23744,7 @@ msgid "If there is enough room"
 msgstr "Hai espazo abondo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Pola primeira letra"
 
@@ -23983,7 +24025,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Desactivar"
 
@@ -24675,8 +24717,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Aquí pode cambiar os metadatos que Calibre usa para actualizar un libro cando o garda en disco ou o envía a un dispositivo.\n\nUse este diálogo para definir un «panel de control» para un formato (ou para todos os formatos) e un dispositivo (ou todos eles). O panel de control especifica que o modelo está conectado a ese campo. O modelo úsase para computar un valor, e ese valor asígnaselle ao campo conectado.\n\nFrecuentemente os modelos conterán referencias simples para compoñer columnas pero non é necesario. Pode usar calquera modelo nunha caixa orixinal que poida usar en calquera sitio de Calibre.\n\nUn posíbel uso para un panel control é modificar o título para incluir información da colectánea. Outro podería cambiar a orde do autor, o que os usuarios de móbiles poderían atopar útil para empregar o carácter «;» requirido polo Kindle. Unha terceira opción sería especificar o idioma."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25244,7 +25286,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25379,7 +25421,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25390,7 +25432,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26903,7 +26945,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27194,7 +27236,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Renomear %s"
@@ -27254,95 +27296,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Buscar todo menos %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Engadir unha subcategoría a %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Buscar libros na categoría %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Buscar libros fóra da categoría %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Agochar categoría %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Restaurar a icona predeterminada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Cambiar o esquema de subcategorización"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partición"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27999,7 +28041,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28530,7 +28573,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30768,7 +30811,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "S&ubliñado"
 
@@ -32095,7 +32138,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32722,7 +32765,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exportar"
 
@@ -34596,71 +34639,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35114,7 +35157,7 @@ msgid "E-book viewer"
 msgstr "Visor de libros electrónicos"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35190,13 +35233,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35361,10 +35404,10 @@ msgid "< &Back"
 msgstr "< &Volver"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Cancelar"
 
@@ -36005,7 +36048,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36054,7 +36097,7 @@ msgstr "A ordenar os títulos"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36531,177 +36574,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Non se permiten contrasinais en branco"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37109,13 +37183,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37123,23 +37198,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37152,7 +37227,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Sintaxe incorrecta. Agárdase un nome de consulta ou unha palabra"
 
@@ -37311,128 +37386,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "formato: tipo {0} require un valor enteiro, obtívose {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "formato: tipo {0} require un valor decimal (coma flotante), obtívose {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: función descoñecida"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37487,60 +37562,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- devolve x + y. Da un erro se x ou y non son números."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- devolve x - y. Da un erro se x ou y non son números."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- devolve x * y. Da un erro se x ou y non son números."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- devolve x / y. Da un erro se x ou y non son números."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37552,7 +37627,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37563,13 +37638,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- asigna val a id e devolve val. id debe ser un identificador, non una expresión"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37579,30 +37654,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- escribe os argumentos na saída estándar. Só será visible se inicia calibre dende a liña de comandos (calibre-debug -g)."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(nome) -- devolve o campo de metadatos identificado por nome."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(nome) -- devolve o campo de metadatos chamado «nome» sen aplicar ningún formato."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37612,7 +37687,7 @@ msgid ""
 "'234'."
 msgstr "substr(cad, inicio, fin) -- devolve os caracteres entre a posición inicio e fin da cadea cad. O primeiro carácter de cad está na posición cero. Se fin é negativo, entón indica a posición contando pola dereita. Se fin é cero, indica o derradeiro carácter. Por exemplo, substr('12345', 1, 0) devolve '2345', e substr('12345', 1, -1) devolve '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37622,24 +37697,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, patrón, campo, patrón, campo, ..., outro_campo) -- como «switch», pero os argumentos son nomes de campo (metadatos), non texto. Usarase o valor do campo apropiado. Teña en conta que posto que as columnas compostas son campos, pode usar esta función nun campo composto para usar o valor doutro campo composto. Isto é moi útil para construír rutas para  gardar variábeis."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "a consulta require 2 ou un número impar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37648,11 +37723,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "alternar require un número impar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37662,19 +37737,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37684,11 +37759,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37700,11 +37775,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37715,14 +37790,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37735,20 +37810,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, texto_se_baleiro) -- devolve val se non está baleiro, en caso contrario devolve texto_se_baleiro."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37762,7 +37837,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37770,7 +37845,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separador) -- interpreta o campo como unha lista de elementos separados por separador e devolve o número de elementos da lista. A maioría das listas usan unha coma como separador, pero \"authors\" usa un ampersand. Exemplos: {tags:count(,)}, {authors,count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37779,14 +37854,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, índice, separador) -- interpreta o campo como unha lista de elementos separados por separador e devolve o elemento número índice. O primeiro elemento é o número cero. O derradeiro elemento pode obterse con \"list_item(-1, separador)\". Se o elemento non está na lista devolve un valor baleiro. O separador ten o mesmo significado que en na función \"count\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37799,19 +37874,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37821,7 +37896,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37829,7 +37904,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37837,13 +37912,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37854,7 +37929,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37867,7 +37942,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37884,7 +37959,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37907,23 +37982,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37932,7 +38007,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37941,55 +38016,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37998,7 +38073,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38006,7 +38081,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38014,7 +38089,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38022,7 +38097,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38031,7 +38106,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38040,7 +38115,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38048,14 +38123,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38063,7 +38138,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38071,28 +38146,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38101,7 +38176,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38110,7 +38185,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38119,7 +38194,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38127,7 +38202,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38139,7 +38214,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38150,7 +38225,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38158,13 +38233,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38172,7 +38247,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38185,11 +38260,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38197,11 +38272,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38210,7 +38285,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38221,7 +38296,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38231,6 +38306,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38519,29 +38600,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "falta un )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38904,185 +38985,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Non descargar follas de estilo CSS"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Aceptar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Gardar todo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Abrir"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Si"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Si a &todo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Non"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&on a todo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Interromper"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Tentar de novo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Pechar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Aplicar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Restaurar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Restaurar as opcións predeterminadas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Mati&z:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sat:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Val:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Vermello:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Verde:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Azul:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Cores &básicas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Cores personalizadas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "Eng&adir ás cores personalizadas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Tipo de letra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Tamaño"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efectos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Mostra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Desprazar cara á esquerda"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Desprazar cara a arriba"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Desprazar cara a abaixo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Desprazar cara á dereita"
 
@@ -39362,8 +39443,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39419,7 +39500,7 @@ msgstr "Indique como se ordenas as colec
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/gu.po 5.10.0+dfsg-1/translations/calibre/gu.po
--- 5.9.0+dfsg-3/translations/calibre/gu.po	2021-01-06 15:29:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/gu.po	2021-01-20 15:27:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "કઈ પણ કરતું 
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "કઈ પણ કરતું 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "કઈ પણ કરતું 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "કઈ પણ કરતું 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "કઈ પણ કરતું 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "કઈ પણ કરતું 
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "વૈવિધ્યપૂર
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ફાઈલનો પ્રકાર"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "પસંદગીઓ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "સંગ્રહ કરો"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s ફાઈલમાંથી મેટાડેટા વાંચો"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "તમારી calibre લાઈબ્રેરીમાં પુસ્તકો વાંચો"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "સંલગ્ન પુસ્તકોની યાદી ત્વરિત બતાવો"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "calibre ફરીથી શરુ કરો"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "જોડાયેલ સાધનને પુસ્તકો મોકલો"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "પુસ્તકને એક calibre લાઈબ્રેરીમાંથી બીજી લાઈબ્રેરી કોપી કરો"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "જુદા જુદા પુસ્તક વિક્રેતાઓના પુસ્તકો શોધો"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "ઇન્ટરફેસ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "વર્તણુક"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "શોધી રહ્યા છીએ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "અદ્યતન"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "વહેંચી રહ્યા છીએ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "પ્લગ-ઇન"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr "વિવિધ જાતનું"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/he.po 5.10.0+dfsg-1/translations/calibre/he.po
--- 5.9.0+dfsg-3/translations/calibre/he.po	2021-01-06 15:30:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/he.po	2021-01-20 15:26:26.000000000 +0000
@@ -22,8 +22,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -102,15 +102,15 @@ msgstr "לא עושה כלום"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -131,7 +131,7 @@ msgstr "לא עושה כלום"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -231,16 +231,16 @@ msgstr "לא עושה כלום"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -266,7 +266,7 @@ msgstr "לא עושה כלום"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -298,7 +298,7 @@ msgstr "לא עושה כלום"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -317,7 +317,7 @@ msgstr "לא עושה כלום"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -341,27 +341,27 @@ msgstr "התאמה אישית"
 msgid "Cannot configure"
 msgstr "לא ניתן להגדיר"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "סוג קובץ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "קורא המטא-נתונים"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "כתיבת מטא-נתונים"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "יצירת קטלוג"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "פעולה בממשק משתמש"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -373,20 +373,20 @@ msgstr "פעולה בממשק משתמש
 msgid "Preferences"
 msgstr "העדפות"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "חנות"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "חנות ספרים אלקטרוניים"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "כלי עריכת ספרים אלקטרוניים"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "הספריה סגורה"
 
@@ -408,372 +408,372 @@ msgstr "צור ארכיון TXTZ כאש
 msgid "Extract cover from comic files"
 msgstr "חלץ כריכה מקובץ קומיקס"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "קרא מטא-נתונים מקבצי %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "קרא מטה דאטה מספרים בתוך ארכיוני RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "קרא מטה דאטה מספרים בתוך ארכיוני ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "כתוב מטא-נתונים לקבצי %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "הקש {0} למטה כדי שתוסף „כותב המטא דאטה של EPUB” לא יוסיף תמונות שער לקבצי EPUB שאין להם תמונות שער."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "כתוב מטא-נתונים מקבצי %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "הוסף ספרים לקליבר או למכשיר המחובר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "יבא הערות ממכשיר קינדל מחובר (ניסיוני)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "ייצר קטלוג של הספרים בספריית הקליבר שלך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "המר ספרים למגוון פורמטי ספרים אלקטרוניים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "עשה שינויים עדינים לספריך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "ערוך את תוכן העניינים בספרים שלך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "מחק ספרים מספריית הקליבר או ממכשירים מחוברים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "הטמע מטא-נתונים מעודכנים לתוך קובצי הספר עצמם בספריית הקליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "ערוך מטא-נתונים עבור ספרים בספריית הקליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "קרא ספרים בספריית הקליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "הורד חדשות מהאינטרנט בתצורת ספר אלקטרוני"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "הצג במהירות רשימה של ספרים קשורים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "סנן/שנה את תגיות הספרים בספריה"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "המר את הסופרים לספרים בספרייה"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "הצג  עורך בשביל תבניות בבדיקה"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "ייצא ספרים מספריית הקליבר לכונן הקשיח"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "הצג פרטי ספר בחלון קופץ נפרד"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "אתחל את קליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "פתח את התיקיה המכילה את קבצי הספר בספריית הקליבר שלך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "שלח ספרים למכשיר המחובר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "שלח ספרים דרך דוא\"ל או דרך האינטרנט. בנוסף, התחבר לתיקיות על מחשבך כאילו היו מכשירים מחוברים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "עיין במדריך למשתמש של קליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "התאם אישית את קליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "מצא בקלות ספרים הדומים לספר הנבחר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "החלף בין ספריות קליבר שונות ובצע תחזוקה בהן"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "העתק ספרים מהמכשיר אל ספריית הקליבר שלך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "ערוך את האוספים בהם ממוקמים הספרים במכשירך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "התאם בין ספרים במכשיר לספרים בספריית הקליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "העתק ספר מספריית קליבר אחת לאחרת"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "ערוך ספרים בפורמט EPUB או AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "בצע שינויים קטנים לקבצי epub או htmlz בתוך ספריית הקליבר שלך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "מצא תוצאה קודמת או הבאה בעת חיפוש בספריית הקליבר במצב הדגשה"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "בחר ספר באקראי מספריית הקליבר שלך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "מיין את רשימת הספרים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "סמן ספרים באופן זמני"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "שנה את הספרייה הוירטואלית הנוכחית"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "חפש ספרים ממוכרים שונים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "קבל תוספים חדשים עבור קליבר או עדכן תוספים קיימים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "מראה ותחושה"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "ממשק"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "התאם את מראה ממשק קליבר בהתאם להעדפותיך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "אופן הפעולה"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "שנה את אופן הפעולה של קליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "הוסף עמודות אישיות"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "הוסף/הסר עמודות אישיות מרשימת הספרים של קליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "סרגלי כלים ותפריטים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "התאם אישית סרגלי כלים ותפריטים, ושנה את הפעולות האפשריות בהם"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "חיפוש"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "התאם את הדרך בה קליבר מחפש ספרים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "אפשרויות קלט"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "המרה"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "קבע אפשרויות המרה ספציפיות לפי סוג הקלט"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "אפשרויות נפוצות"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "קבע אפשרויות המרה המשותפות לכל סוגי הקבצים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "אפשרויות פלט"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "קבע אפשרויות המרה ספציפיות לפי סוג הפלט"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "הוספת ספרים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "ייבוא/ייצוא"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "קבע כיצד קליבר קורא מידע נוסף מקבצים בעת הוספת ספרים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "שמירת ספרים לדיסק הקשיח"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "קבע כיצד קליבר מייצא קבצים ממסד הנתונים לדיסק הקשיח בבחירת \"שמירה לדיסק הקשיח\""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "שולח ספרים להתקנים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "שלוט על הצורה שבה קליבר מעבירה קבצים לקורא הספרים האלקטרונים שלך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "לוח תוספי מטא-נתונים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "שנה שדות מטא-נתונים לפני שמירה/שליחה"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -783,92 +783,92 @@ msgstr "שנה שדות מטא-נתונ
 msgid "Template functions"
 msgstr "פונקציות תבנית"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "הגדרות מתקדמות"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "צור פונקציות תבנית משלך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "שיתוף ספרים בדוא\"ל"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "שיתוף"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "הגדר שיתוף ספרים דרך דוא\"ל. יכול לשמש לשליחה אוטומטית של חדשות להתקנים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "שיתוף ברשת"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "הגדר את שרת התוכן של קליבר שיאפשר גישה לספריית קליבר מכל מקום ומכל מכשיר דרך האינטרנט"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "הורדת מטא-נתונים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "קבע כיצד קליבר מוריד מטא-נתונים עבור ספרים מהרשת"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "התקנים שמתעלמים מהם"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "קבע מאילו התקנים על קליבר להתעלם כאשר הם מחוברים למחשב"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "תוספים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "הוסף/הסר/הגדר חלקים שונים של תפקוד קליבר"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "שיפורים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "כוונן את התנהגות קליבר בהקשרים שונים"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "קיצורי דרך"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "התאם את קיצורי המקלדת בהם קליבר משתמש"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -876,7 +876,7 @@ msgstr "התאם את קיצורי המ
 msgid "Miscellaneous"
 msgstr "שונות"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "הגדרות מתקדמות שונות"
 
@@ -1266,9 +1266,9 @@ msgstr "מטיל מסד נתונים ל
 msgid "Restoring database from SQL"
 msgstr "משחזר מסד נתונים מתוך SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1294,17 +1294,17 @@ msgstr "חיפושים שמורים"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "כן"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "כריכה ל- %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} פורמט עבור {1}"
@@ -1690,14 +1690,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1705,7 +1705,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1713,39 +1713,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "סדר תוצאות בסדר עולה"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "המחרוזת המשמשת להפרדת שדות. ברירת המחדל היא רווח."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "מספר התוצאות המקסימלי להצגה. ברירת מחדל: הכל"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2292,21 +2292,21 @@ msgstr "ריק"
 msgid "Invalid boolean query \"{0}\""
 msgstr "שאילתא בולינאית אינה תקינה \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "זוהתה קבוצת שאילתות רקורסיביות: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3482,11 +3482,11 @@ msgstr "הוסר %s"
 msgid "All books removed"
 msgstr "כל הספרים הוסרו"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3495,12 +3495,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "התקן MTP לא מוכר"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6055,7 +6055,7 @@ msgstr "הערות"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6348,7 +6348,7 @@ msgid "Producer"
 msgstr "יצרן"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6356,7 +6356,7 @@ msgid "Comments"
 msgstr "הערות"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6396,7 +6396,7 @@ msgid "Tags"
 msgstr "תגיות"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6428,7 +6428,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8166,13 +8166,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8205,31 +8205,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "סרגל צדדי"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9212,7 +9212,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10235,7 +10235,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "עזרה"
 
@@ -11508,7 +11508,7 @@ msgid "Errors while adding"
 msgstr "שגיאות בזמן ההוספה"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "התעלם"
 
@@ -11638,8 +11638,8 @@ msgstr "שנה"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11773,11 +11773,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "נהל %s"
@@ -11920,7 +11920,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12247,7 +12247,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "עליך לספק שם."
 
@@ -12324,7 +12324,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "שמור"
 
@@ -12333,10 +12333,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "מחק"
@@ -12449,8 +12449,8 @@ msgstr "אפס לברירת מחדל"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13636,7 +13636,7 @@ msgid "Ta&gs:"
 msgstr "תגי&ות:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13651,8 +13651,8 @@ msgstr "&סדרה:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "רשימה של סדרות ידועות. אתה יכול להוסיף סדרה חדשה."
@@ -14519,7 +14519,7 @@ msgid "Choose color"
 msgstr "בחר צבע"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14860,19 +14860,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "י&יצא"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14946,8 +14946,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15028,7 +15028,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16612,7 +16612,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16620,7 +16620,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16628,7 +16628,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16636,7 +16636,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16670,7 +16670,7 @@ msgid "Manage authors"
 msgstr "נהל מחברים"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&חפש:"
@@ -17093,57 +17093,57 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "מעבד %d ספרים, אנא המתן..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "תו תואם"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17151,22 +17151,22 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "ספר %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "הזן את סוג המזהה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17174,7 +17174,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17184,7 +17184,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17199,80 +17199,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "עליך לציין ביטוי חיפוש בשדה \"חפש אחר\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "חיפוש/החלפה לא תקינה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "החיפוש/החלפה אינו חוקי: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "מחק חיפוש שמור/החלף"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "החיפושים/החלפות השמורות יימחקו. אתה בטוח?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "שמור חיפוש/החלפה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "חפש/החלף שם:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&מחבר/ים:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17280,90 +17289,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "י&ישם אוטומטית מיון מחברים"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "ה&חלף בין המחבר והכותרת"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "&סידור המחבר:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "עדכן סידור &כותרת"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "שנה &כריכה"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&דירוג:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "צור כריכת ברירת מחדל"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&החל דירוג"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&הסר כריכה"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&מוציא לאור:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "אם אפשרות זו מסומנת, המחברים ינוקו"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "כריכה &לחיתוך (מסוכן)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&נקה מחברים"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "הוסף תגי&ות:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&שכפל כריכות"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&הסר תגיות:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "סמן תיבה זו כדי להסיר את כל התגיות"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&תאריך:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "הסר &הכל"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "אם אפשרות זו מסומנת, המחברים ינוקו"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&נקה מחברים"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "אם אפשרות זו מסומנת, הסדרה תמחק"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "פ&ורסם:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&נקה סדרה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17371,281 +17375,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&הגדר מספרים להתחיל ב:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "אם אפשרות זו מסומנת, הסדרה תמחק"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&נקה סדרה"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&תאריך:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "הגדר את הה&ערות עבור כל הספרים שנבחרו"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&הסר תגיות:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "פ&ורסם:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "הסר &הכל"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
+msgstr "נקה תאריך פרסום"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "הוסף תגי&ות:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "&שפות:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&החל דירוג"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
-msgstr "נקה תאריך פרסום"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&מחבר/ים:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "&שפות:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&מוציא לאור:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "&סידור המחבר:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "עדכן סידור &כותרת"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "שנה &כריכה"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "צור כריכת ברירת מחדל"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&הסר כריכה"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "כריכה &לחיתוך (מסוכן)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&שכפל כריכות"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "סמן תיבה זו כדי להסיר את כל התגיות"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&דירוג:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "הגדר את הה&ערות עבור כל הספרים שנבחרו"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "מטא-נתונים &בסיסי"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "מטא-נתונים &מותאם אישית"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "שמור חיפוש/החלפה נוכחים"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "שמ&ור"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "&שדה חיפוש:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "שם השדה שאתה רוצה לחפש"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&מצב חיפוש:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&תבנית:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "הזן את מה שאתה מחפש, טקסט רגיל או ביטוי רגיל, בהתאם למצב"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&החלף עם:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "ציין כיצד הטקסט צריך להיות מועתק ליעד."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "סוג מזהה:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17653,48 +17679,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "עם ערכים המופרדים ב&-"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "בדוק טקסט"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "תוצאות בדיקה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&חפש והחלף"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&רענן את רשימת הספרים לאחר העריכה"
 
@@ -18150,42 +18176,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&פריט: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**לא נמצאו ספרים**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "לחץ על עמודה בתצוגת הספרייה כדי לראות את המידע על ספר זה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&{1} ספרים עם הפריט הנבחר: \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18291,87 +18317,87 @@ msgstr "שחזור מסד הנתונים
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&הוסף חיפוש"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&ערוך חיפוש"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "החיפוש השמור הנוכחי <b>ימחק לצמיתות </b>. האם אתה בטוח?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19269,48 +19295,64 @@ msgstr "תגית 1"
 msgid "Tag 2"
 msgstr "תגית 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "חריגה:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "לא נבחרו עמודות"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "עליך לציין עמודה כדי לצבוע אותה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "אין תבנית שסופקה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20384,7 +20426,7 @@ msgstr "חפש קיצורי דרך לפ
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "אין התאמות"
 
@@ -20543,8 +20585,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20565,14 +20607,14 @@ msgstr[2] ""
 msgstr[3] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22806,60 +22848,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&הוסף כלל"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&הסר כלל/ים"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "העבר את הכלל הנבחר מעלה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "העבר את הכלל הנבחר מטה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22867,57 +22909,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "לא נבחרו כללים"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "לא נבחרו כללים עבור %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23759,13 +23801,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "קצה-תחתון"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "קצה-עליון"
 
@@ -23799,7 +23841,7 @@ msgid "If there is enough room"
 msgstr "אם יש מספיק מקום"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "לפי האות הראשונה"
 
@@ -24080,7 +24122,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "השבת"
 
@@ -24772,8 +24814,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "כאן ניתן להגדיר את נתוני המטא-נתונים בהם קליבר ישתמש כדי לעדכן נתוני ספר בזמן שמירה לדיסק או שליחה אל מכשיר.\n\nהשתמש בחלון זה כדי להגדיר 'plugboard', עבור פורמט מסויים (או כל הפורמטים) ועבור מכשיר מסויים (או כל המכשירים). הגדרות ה-plugboard מפרטות באיזו תבנית להשתמש עבור איזה שדה. בעזרת התבנית מחושב ערך, וערך זה יוגדר עבור השרה הנבחר.\n\nבדרך כלל תבנית מכילה הפניות פשוטות לשדות מורכבים, אבל לא בהכרח. ניתן להשתמש בכל תבנית בתיבת המקור שניתן לעשות בה שימוש במקומות אחרים בקליבר.\n\nאפשרות אחד לשימוש ב-plugboard היא על מנת לשנות את הכותרת של ספר כדי שתכיל נתוני סידרה. אפשרות אחרת היא לשנות את שדה המיון של שם הסופר, לדוגמה כדי להשתמש בסימן ';' כפי שקינדל מחייב. דוגמה שלישית היא על מנת להגדיר את השפה."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25341,7 +25383,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25476,7 +25518,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25489,7 +25531,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -27004,7 +27046,7 @@ msgid "Books in this category are unrate
 msgstr "ספרים בקטגוריה זו הינם ללא דירוג"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "חפש ביטוי:"
 
@@ -27295,7 +27337,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "שנה שם %s"
@@ -27355,95 +27397,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "הסר %(item)s מהקטגוריה %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "חפש הכל פרט ל-%s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "הוסף תת-קטגורייה ל-%s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "חיפוש אחר ספרים בקטגוריה %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "חיפוש אחר ספרים שאינם בקטגוריה %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "הסתר קטגוריית %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "שנה קטגוריית אייקון"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "שחזור אייקון ברירת מחדל"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "שנת ערכת תת-קטגוריזציה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "מחיצה"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "האות הראשונה היא שמישה רק בעת מיון לפי שם"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28100,7 +28142,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28633,7 +28676,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "בטל שינויים"
 
@@ -30879,7 +30922,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>נטוי</h3>הופך את הטקסט הנבחר לנטוי"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&קו-תחתון"
 
@@ -32214,7 +32257,7 @@ msgid "Disabled confirmations restored"
 msgstr "השבת אישורים משוחזרים"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32841,7 +32884,7 @@ msgid "Export saved searches"
 msgstr "ייצא חיפושים שמורים"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "ייצא"
 
@@ -34721,16 +34764,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34738,7 +34781,7 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34747,39 +34790,39 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34787,11 +34830,11 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35245,7 +35288,7 @@ msgid "E-book viewer"
 msgstr "קורא הספרים הדיגיטלי"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35321,13 +35364,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35492,10 +35535,10 @@ msgid "< &Back"
 msgstr "< &אחורה"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "ביטול"
 
@@ -36136,7 +36179,7 @@ msgid "No genres to catalog.\n"
 msgstr "אין סוגות לקטלוג.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36185,7 +36228,7 @@ msgstr "מיון כותרות"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36662,177 +36705,208 @@ msgstr "הממשק המלא נותן ל
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "מה ברצונך לעשות"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "ברירת מחדל"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s אינה בחירה חוקית, נסה שוב"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "שמות משתמשים קיימים:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "אין כלל משתמשים, ראשית עליך להוסיף אחד"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "שם המשתמש %s אינו קיים"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "הכנס שם משתמש"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "הכנס סיסמה חדשה עבור %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "סיסמאות ריקות אינן מורשות"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "הכנס מחדש את הסיסמה החדשה עבור %s, לאימות:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "סיסמאות לא תואמות"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "המשתמש %s נוסף בהצלחה!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "האם ברצונך להסיר את המשתמש %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "משתמש %s הוסר בהצלחה!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "סיסמה עבור %s שונתה בהצלחה!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "הוסף משתמש חדש"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "ערוך משתמש קיים"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "הסר משתמש"
 
@@ -37242,13 +37316,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37256,23 +37331,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "אין ספריית קליבר ב: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "עליך לציין לפחות ספריית קליבר אחת"
 
@@ -37285,7 +37360,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37444,128 +37519,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr "קובץ זה פתוח ב-process אחר"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: פונקציה לא ידועה"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37620,60 +37695,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37685,7 +37760,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37696,13 +37771,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37712,30 +37787,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37745,7 +37820,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37755,24 +37830,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37781,11 +37856,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37795,19 +37870,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37817,11 +37892,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37833,11 +37908,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37848,14 +37923,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37868,20 +37943,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37895,7 +37970,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37903,7 +37978,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37912,14 +37987,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37932,19 +38007,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37954,7 +38029,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37962,7 +38037,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37970,13 +38045,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37987,7 +38062,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -38000,7 +38075,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38017,7 +38092,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38040,23 +38115,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38065,7 +38140,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38074,55 +38149,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38131,7 +38206,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38139,7 +38214,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38147,7 +38222,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38155,7 +38230,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38164,7 +38239,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38173,7 +38248,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38181,14 +38256,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38196,7 +38271,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38204,28 +38279,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38234,7 +38309,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38243,7 +38318,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38252,7 +38327,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38260,7 +38335,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38272,7 +38347,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38283,7 +38358,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38291,13 +38366,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38305,7 +38380,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38318,11 +38393,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38330,11 +38405,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38343,7 +38418,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38354,7 +38429,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38364,6 +38439,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38652,29 +38733,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "שגיאה לא ידועה בחיפוש שמור: {0}"
@@ -39039,185 +39120,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "לא להוריד דפי-סגנון CSS"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "אישור"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "שמור הכל"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "פתח"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&כן"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "כן &להכל"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&לא"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "בטל"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "נסה שנית"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "סגור"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "החל"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "אפס"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "שחזר ברירות מחדל"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&אדום:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&ירוק:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "כח&ול:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "סמן ב-%1, %2\nלחץ ESC לביטול"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "בחר צבע"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "צבעים &בסיסיים"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "צבעים &מותאמים אישית"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&הוסף לצבעים מותאמים אישית"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&בחר צבע מהמסך"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "בחר גופן"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&גופן"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "סג&נון גופן"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&גודל"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "אפקטים"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "קו-&חוצה"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "דוגמה"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "קצה שמאלי"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "קצה ימני"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "גלול שמאלה"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "גלול למעלה"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "גלול למטה"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "גלול ימינה"
 
@@ -39497,8 +39578,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39554,7 +39635,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/hi.po 5.10.0+dfsg-1/translations/calibre/hi.po
--- 5.9.0+dfsg-3/translations/calibre/hi.po	2021-01-06 15:31:42.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/hi.po	2021-01-20 15:26:32.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -91,15 +91,15 @@ msgstr "कुछ भी नहीं 
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -120,7 +120,7 @@ msgstr "कुछ भी नहीं 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -220,16 +220,16 @@ msgstr "कुछ भी नहीं 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -255,7 +255,7 @@ msgstr "कुछ भी नहीं 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -287,7 +287,7 @@ msgstr "कुछ भी नहीं 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -306,7 +306,7 @@ msgstr "कुछ भी नहीं 
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -330,27 +330,27 @@ msgstr "रुचि के अनुस
 msgid "Cannot configure"
 msgstr "समनुरूप नहीं कर सकते"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "फ़ाइल प्रकार"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "सारांश चिन्ह पाठक"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "सारांश चिन्ह लेखक"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "सूची जनरेटर"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "कार्यपटल पर प्रयोक्ता निर्देश "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -362,20 +362,20 @@ msgstr "कार्यपटल पर
 msgid "Preferences"
 msgstr "वरीयता"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "संचित करें"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "ई-पुस्तक भण्डार "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "पुस्तक संपादन उपकरण "
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "पुस्तकालय बंद "
 
@@ -397,372 +397,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "कॉमिक फ़ाइल से मुखपृष्ठ निकालें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "पाठ की प्रतिलिपि बनाएँ %s से पढ़ें मेटाडाटा फाइल है"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "रार #rar# संकलन फाइल से ई-पुस्तक का परिचय पढ़ें "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "ज़िप #zip# संकलन फाइल से ई-पुस्तक का परिचय पढ़ें "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "%s फ़ाइलों में परिचय नत्थी करें "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%s दस्तावेजों से सारांश चिन्ह लगाएं"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "कैलिबर अथवा सम्बद्ध यंत्र में पुस्तकें जोड़ें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "सम्बद्ध किनडल यंत्र से टिप्पणियां निकालें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "कैलिबर पुस्तकसंग्रह से पुस्तकों का सूचीपत्र बनाएं"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "पुस्तकों को विभिन्न ई-पुस्तक प्रारूपों में परिवर्तित करें "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "अपनी ई-पुस्तकों को सुसंस्करण करें "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "अपनी पुस्तकों में विषय-सूची संपादित करें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "अपनी कैलिबर लाइब्ररी या लगे हुए उपकरणों से किताबें मिटायें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "परिवर्धित परिचय को अपने कैलिबर पुस्तकालय की वास्तविक फ़ाइलों में नत्थी करें "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "अपनी कैलिबर पुस्तकालय की किताबें पढ़े"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "जल्दी से संबंधित पुस्तकों की सूची दिखाएं"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "अपने कैलिबर पुस्तकलय से किताबें अपनी हार्ड ड्राइव में भेजें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "कैलिबर को फिर से चालू करें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "डिवाइस से अपने कैलिबर पुस्तकालय में किताबें कॉपी करें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "इंटरफ़ेस"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "व्यवहार"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "अपने कॉलम जोड़ें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "खोज हो रही हैं"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "परिवर्तन"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -772,92 +772,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "साझा करें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "नेट पर साझा करें"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "प्लगइन"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -865,7 +865,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr "विविध"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1255,9 +1255,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1283,17 +1283,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "हाँ"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1679,14 +1679,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1694,7 +1694,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1702,39 +1702,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2281,21 +2281,21 @@ msgstr "रिक्त"
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3471,11 +3471,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3484,12 +3484,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6044,7 +6044,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6337,7 +6337,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6345,7 +6345,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6385,7 +6385,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6415,7 +6415,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8145,13 +8145,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8184,31 +8184,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9177,7 +9177,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10186,7 +10186,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11445,7 +11445,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11575,8 +11575,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11710,11 +11710,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11857,7 +11857,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12184,7 +12184,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12261,7 +12261,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12270,10 +12270,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "हटाएं"
@@ -12386,8 +12386,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13573,7 +13573,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13588,8 +13588,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14456,7 +14456,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14797,19 +14797,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14883,8 +14883,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14965,7 +14965,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16545,7 +16545,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16553,7 +16553,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16561,7 +16561,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16569,7 +16569,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16603,7 +16603,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17024,78 +17024,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17103,7 +17103,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17113,7 +17113,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17128,80 +17128,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17209,90 +17218,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17300,281 +17304,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17582,48 +17608,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18079,42 +18105,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18220,87 +18246,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19198,48 +19224,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20303,7 +20345,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20462,8 +20504,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20480,14 +20522,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22707,60 +22749,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22768,57 +22810,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23660,13 +23702,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23700,7 +23742,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23981,7 +24023,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24673,7 +24715,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25242,7 +25284,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25377,7 +25419,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25388,7 +25430,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26901,7 +26943,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27192,7 +27234,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27252,95 +27294,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27997,7 +28039,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28528,7 +28571,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30766,7 +30809,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32093,7 +32136,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32720,7 +32763,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34594,71 +34637,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35112,7 +35155,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35188,13 +35231,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35359,10 +35402,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "रद्द करें"
 
@@ -36003,7 +36046,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36052,7 +36095,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36529,177 +36572,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "कूटशब्द खाली रखने की अनुमति नहीं है"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37107,13 +37181,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37121,23 +37196,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37150,7 +37225,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37309,128 +37384,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37485,60 +37560,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37550,7 +37625,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37561,13 +37636,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37577,30 +37652,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37610,7 +37685,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37620,24 +37695,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37646,11 +37721,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37660,19 +37735,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37682,11 +37757,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37698,11 +37773,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37713,14 +37788,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37733,20 +37808,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37760,7 +37835,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37768,7 +37843,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37777,14 +37852,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37797,19 +37872,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37819,7 +37894,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37827,7 +37902,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37835,13 +37910,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37852,7 +37927,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37865,7 +37940,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37882,7 +37957,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37905,23 +37980,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37930,7 +38005,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37939,55 +38014,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37996,7 +38071,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38004,7 +38079,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38012,7 +38087,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38020,7 +38095,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38029,7 +38104,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38038,7 +38113,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38046,14 +38121,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38061,7 +38136,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38069,28 +38144,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38099,7 +38174,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38108,7 +38183,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38117,7 +38192,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38125,7 +38200,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38137,7 +38212,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38148,7 +38223,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38156,13 +38231,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38170,7 +38245,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38183,11 +38258,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38195,11 +38270,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38208,7 +38283,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38219,7 +38294,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38229,6 +38304,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38517,29 +38598,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38902,185 +38983,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "ठीक है"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "समापन"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39360,8 +39441,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39417,7 +39498,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/hr.po 5.10.0+dfsg-1/translations/calibre/hr.po
--- 5.9.0+dfsg-3/translations/calibre/hr.po	2021-01-06 15:31:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/hr.po	2021-01-20 15:27:04.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -92,15 +92,15 @@ msgstr "Uopće ne funkcionira"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -121,7 +121,7 @@ msgstr "Uopće ne funkcionira"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -221,16 +221,16 @@ msgstr "Uopće ne funkcionira"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -256,7 +256,7 @@ msgstr "Uopće ne funkcionira"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -288,7 +288,7 @@ msgstr "Uopće ne funkcionira"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -307,7 +307,7 @@ msgstr "Uopće ne funkcionira"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -331,27 +331,27 @@ msgstr "Prilagodi"
 msgid "Cannot configure"
 msgstr "Nemoguće konfigurirati"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Vrsta datoteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Čitač metapodataka"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Pisač metapodataka"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generator kataloga"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -363,20 +363,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Postavke"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Spremi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Trgovina e-knjiga."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Alat za uređivanje knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Biblioteka zatvorena"
 
@@ -398,372 +398,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Izluči omot iz stripova"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Čitaj metapodatke iz %s datoteka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Pročitaj metapodatke iz e-knjiga u RAR arhivima"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Pročitaj metapodatke iz e-knjiga u ZIP arhivima"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Postavi metapodatke u %s datotekama"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Postavi metapodatke iz %s datoteka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Dodaj knjige u calibre ili priključenom uređaju"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Preuzmi bilješke od priključenog Kindlea (eksperimentalna funkcija)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Generiraj katalog knjiga u calibre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Pretvori knjige u razne formate e-knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Fino ugađanje vaših e-knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Uredi Sadržaj u vašim knjigama"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Izbriši knjige iz calibre kolekcije ili priključenog uređaja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Ugradi ažurirane metapodatke u datoteku knjige u vašoj Calibre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editiraj metapodatke knjiga u calbre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Čitajte knjige u vašoj calibre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Preuzmi novosti sa Interneta u obliku e-knjige"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Brzo prikaži listu srodnih knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtriraj/promijeni oznake za knjige u biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Izvezi knjige iz kalibre biblioteke na tvrdi disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Prikaži detalje knjige u odvojenom prozoru"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Ponovo pokreni calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Otvori folder koji sadrži knjige u tvojoj calibre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Pošalji knjige na priključeni uređaj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Prilagodi calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Lako pronađi knjige slične trenutno odabranoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopiraj knjige sa uređaja u svoju calibre knjižnicu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopiraj knjigu iz  jedne calibre biblioteke u drugu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Uredi e-knjige u EPUB ili AZW3 formatu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Odaberi slučajnu knjigu iz calibre biblioteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Posloži popis knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Privremeno označi knjige"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Izgled"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Sučelje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Prilagodi izgled calibre sučelja prema svom ukusu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Ponašanje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Promijeni način na koji se calibre ponaša"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Dodaj vlastite stupce"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Dodaj/makni vlastite stupce u calibre popisu knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Tražim"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Promijeni način na koji radi calibre pretraga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Opcije unosa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konverzija"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Postavi opcije konverzije specifične za svaki ulazni format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Zajedničke opcije"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Postavi opcije konverzije zajedničke za sve formate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Opcije izlaza"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Postavi opcije konverzije specifične za svaki izlazni format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Dodavanje knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Uvoz/Izvoz"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Spremanje knjiga na disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Slanje knjiga na uređaj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -773,92 +773,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Napredan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Djeljenje knjiga putem email-a"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Dijeljenje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Dijeljenje preko mreže"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Preuzimanje metapodataka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignorirani uređaji"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Priključci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Ugađanja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Prečice"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -866,7 +866,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr "Razno"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Razne napredne postavke"
 
@@ -1256,9 +1256,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1284,17 +1284,17 @@ msgstr "Sačuvane pretrage"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Da"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Omot za %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format za {1}"
@@ -1680,14 +1680,14 @@ msgstr "Specificiranje ovog prekidača 
 msgid "You must specify some ids or the %s option"
 msgstr "Morate specificirati neku ids ili %s opciju"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [opcije]\n\nIzlistaj knjige dostupne u calibre bazi podataka.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1695,7 +1695,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1703,39 +1703,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Svrstaj rezultate po uzlaznom redu"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtriraj rezultate po upitniku pretrage. Za format upitnika pretrage, molimo pogledajte dokumentaciju vezanu uz pretragu u Korisničkom Priručniku. Standardno se ne radi filtriranje."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Maksimalna širina svake linije u izlazu. Standardno se svodi na otkrivanje veličine zaslona."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "String upotrijebljen za odvajanje polja. Standardno je razmak."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Prefiks za puteve svih datoteka. Standardan je apsolutni put do mape biblioteke."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2282,21 +2282,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3472,11 +3472,11 @@ msgstr "%suklonjeno"
 msgid "All books removed"
 msgstr "Sve knjige su uklonjene"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3485,12 +3485,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6045,7 +6045,7 @@ msgstr "Zabilješke"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6338,7 +6338,7 @@ msgid "Producer"
 msgstr "Proizvođač"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6346,7 +6346,7 @@ msgid "Comments"
 msgstr "Komentari"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6386,7 +6386,7 @@ msgid "Tags"
 msgstr "Tagovi"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6417,7 +6417,7 @@ msgid "Timestamp"
 msgstr "Vremenska oznaka"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8151,13 +8151,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "Opcije generiranja HTML TOC."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8190,31 +8190,31 @@ msgstr "Generiraj Adobe \"mapa-stranice\
 msgid "Sidebar"
 msgstr "Rubna traka"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9190,7 +9190,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10206,7 +10206,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Pomoć"
 
@@ -11472,7 +11472,7 @@ msgid "Errors while adding"
 msgstr "Greške pri dodavanju"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11602,8 +11602,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11737,11 +11737,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11884,7 +11884,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12211,7 +12211,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12288,7 +12288,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Sačuvaj"
 
@@ -12297,10 +12297,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Obriši"
@@ -12413,8 +12413,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13600,7 +13600,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13615,8 +13615,8 @@ msgstr "&Serijali:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Lista poznatih serija. Vi možete dodati nove serije."
@@ -14483,7 +14483,7 @@ msgid "Choose color"
 msgstr "Odaberi boju"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14824,19 +14824,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14910,8 +14910,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14992,7 +14992,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16574,7 +16574,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16582,7 +16582,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16590,7 +16590,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16598,7 +16598,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16632,7 +16632,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17054,79 +17054,79 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Radim"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Mala Slova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Velika Slova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Veličina Slova Naslova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17134,7 +17134,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17144,7 +17144,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17159,80 +17159,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Sačuvaj traži/zamijeni"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autor(i): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17240,90 +17249,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utomatski postavi svrstavanje autora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "S&ortiranje autora: "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Specificiraj kako bi autor(i) ove knjige trebali biti svrstani. Na primjer Charles Dickens bi trebao biti svrstan kao Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Rangiranje:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Izdavač: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Dodaj oz&nake: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Ukloni tagove:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Zarezom odvojena lista tagova za ukloniti iz knjiga. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datum:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17331,281 +17335,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datum:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "&Jezici: "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Ukloni tagove:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Dodaj oz&nake: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Specificiraj kako bi autor(i) ove knjige trebali biti svrstani. Na primjer Charles Dickens bi trebao biti svrstan kao Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autor(i): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "&Jezici: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Izdavač: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Zarezom odvojena lista tagova za ukloniti iz knjiga. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "S&ortiranje autora: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Rangiranje:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Zamijeni sa:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17613,48 +17639,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Traži i zamijeni"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18110,42 +18136,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18251,87 +18277,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Dodaj novu sačuvanu pretragu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Ime sačuvane pretrage"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Nevaljana sačuvana pretraga"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Uredi sačuvanu pretragu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19229,48 +19255,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20339,7 +20381,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20498,8 +20540,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20518,14 +20560,14 @@ msgstr[1] ""
 msgstr[2] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22752,60 +22794,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22813,57 +22855,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23705,13 +23747,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23745,7 +23787,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -24026,7 +24068,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Onemogući"
 
@@ -24718,7 +24760,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25287,7 +25329,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25422,7 +25464,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25434,7 +25476,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26948,7 +26990,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27239,7 +27281,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27299,95 +27341,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Podjela"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28044,7 +28086,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28576,7 +28619,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Odbaci"
 
@@ -30818,7 +30861,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32149,7 +32192,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32776,7 +32819,7 @@ msgid "Export saved searches"
 msgstr "Izvezi sačuvane pretrage"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Izvoz"
 
@@ -34653,23 +34696,23 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34677,50 +34720,50 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35174,7 +35217,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35250,13 +35293,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35421,10 +35464,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Poništi"
 
@@ -36065,7 +36108,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36114,7 +36157,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36591,177 +36634,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Zaporka ne smije biti prazna"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37170,13 +37244,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37184,23 +37259,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37213,7 +37288,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37372,128 +37447,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37548,60 +37623,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37613,7 +37688,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37624,13 +37699,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37640,30 +37715,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37673,7 +37748,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37683,24 +37758,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37709,11 +37784,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37723,19 +37798,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37745,11 +37820,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37761,11 +37836,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37776,14 +37851,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37796,20 +37871,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37823,7 +37898,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37831,7 +37906,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37840,14 +37915,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37860,19 +37935,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37882,7 +37957,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37890,7 +37965,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37898,13 +37973,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37915,7 +37990,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37928,7 +38003,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37945,7 +38020,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37968,23 +38043,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37993,7 +38068,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38002,55 +38077,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38059,7 +38134,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38067,7 +38142,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38075,7 +38150,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38083,7 +38158,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38092,7 +38167,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38101,7 +38176,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38109,14 +38184,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38124,7 +38199,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38132,28 +38207,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38162,7 +38237,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38171,7 +38246,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38180,7 +38255,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38188,7 +38263,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38200,7 +38275,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38211,7 +38286,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38219,13 +38294,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38233,7 +38308,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38246,11 +38321,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38258,11 +38333,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38271,7 +38346,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38282,7 +38357,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38292,6 +38367,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38580,29 +38661,29 @@ msgstr "Zatvori bez spremanja"
 msgid "Close Tab"
 msgstr "Zatvori karticu"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38966,185 +39047,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Ne skidaj CSS liste postavki"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "U redu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Otvori"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Zatvori"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Primijeni"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Ponovno Postavljanje"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Pomakni lijevo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Pomakni gore"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Pomakni dolje"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Pomakni desno"
 
@@ -39424,8 +39505,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39481,7 +39562,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/hu.po 5.10.0+dfsg-1/translations/calibre/hu.po
--- 5.9.0+dfsg-3/translations/calibre/hu.po	2021-01-06 15:29:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/hu.po	2021-01-20 15:27:34.000000000 +0000
@@ -41,8 +41,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -121,15 +121,15 @@ msgstr "Semmit sem csinál"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -150,7 +150,7 @@ msgstr "Semmit sem csinál"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -250,16 +250,16 @@ msgstr "Semmit sem csinál"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -285,7 +285,7 @@ msgstr "Semmit sem csinál"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -317,7 +317,7 @@ msgstr "Semmit sem csinál"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -336,7 +336,7 @@ msgstr "Semmit sem csinál"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -360,27 +360,27 @@ msgstr "Testreszabás"
 msgid "Cannot configure"
 msgstr "Beállítások módosítása nem lehetséges"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Fájltípus"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metaadat olvasó"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metaadat író"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalóguskészítő"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Felhasználói felület művelet"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -392,20 +392,20 @@ msgstr "Felhasználói felület művelet
 msgid "Preferences"
 msgstr "Beállítások"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Bolt"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Egy E-könyv bolt."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Könyv eszközök szerkesztése"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Könyvtár lezárva"
 
@@ -427,372 +427,372 @@ msgstr "Új TXTZ archívumot hoz létre,
 msgid "Extract cover from comic files"
 msgstr "Címkép kinyerése a képregény fájlokból"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Metaadatok olvasása a következő fájlokból: %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Metaadat kiolvasása RAR archívumokban lévő e-könyvekből"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Metaadat kiolvasása ZIP archívumokban lévő e-könyvekből"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Metaadatok beállítása a következő fájlokban: %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Adja meg a {0} kódot, hogy az EPUB metadata-író beépülő modulja ne tegyen be fedőképeket olyan EPUB-fájlokba, amelyeknek nincs fedőképük."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Metaadatok beállítása a következő fájlokból: %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Könyvek hozzáadása a Calibre alkalmazáshoz, vagy a csatlakoztatott eszközhöz"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "A csatlakoztatott Kindle-ről beolvassa az olvasói megjegyzéseket (kísérleti)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Katalógust készít a Calibre könyvtárába"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Könyvek konvertálása különböző e-könyv formátumokba"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Az E-könyvek finomhangolása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "A könyv Tartalomjegyzékének szerkesztése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Könyvek törlése a Calibre, vagy a csatlakoztatott eszköz könyvtárából"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "A frissített metaadatok beágyazása a Calibre könyvtárban található könyvfájlokba"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "A könyvek metaadatainak szerkesztése a Calibre könyvtárában"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Könyvek olvasása a Calibre könyvtárában"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Hírek letöltése az internetről e-book formában"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Kapcsolódó könyvek listájának megjelenítése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "A könyvtárak címkéinek szűrése / átalakítása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Tesztsablonok szerkesztésre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Könyvek exportálása a Calibre könyvtárból a merevlemezre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "A könyvrészletek megjelenítése külön felugró ablakban"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "A Calibre újraindítása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "A könyvfájlokat tartalmazó mappa megnyitása a Calibre könyvtárban"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Könyvek küldése a csatlakoztatott eszközre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Küldjön könyveket e-mailben vagy a weben keresztül. Továbbá kapcsolódjon a számítógépen található mappákhoz, mintha azok eszközök lennének."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "A Calibre felhasználói kézikönyvének böngészése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "A Calibre testreszabása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "A most kiválasztotthoz hasonló könyvek keresése egyszerűen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Különböző Calibre könyvtárak közötti váltás és karbantartás elvégzése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Könyv másolása az eszközről a Calibre könyvtárba"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "A eszközre másolt könyvkollekció szerkesztése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Az eszközökön található könyvek hozzáigazítása a könyvtárban találhatóakhoz."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Könyv másolása egyik Calibre könyvtárból a másikba"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Szerkessze az e-könyveket az EPUB vagy AZW3 formátumban"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Eszközölhet kis módosításokat az EPUB vagy HTMLZ fájlokban a Calibre könyvtárban"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "A Calibre könyvtárban kereséskor az előző és a következő egyező találat kiemelése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Könyv kiválasztása véletlenszerűen a Calibre könyvtárból"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Könyv-lista rendezése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Könyvek ideiglenes megjelölése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Az aktuális Virtuális könyvtár váltása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Keresés a különböző e-könyvárusok könyvei között"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Frissíti a jelenlegi Calibre kiadásodat és új Calibre bővítményeket keres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Kinézet és megjelenés"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Kezelőfelület"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "A Calibre kezelőfelületének testreszabása ízlésének megfelelően"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Viselkedés"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "A Calibre viselkedésének megváltoztatása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Saját oszlop hozzáadása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Saját oszlop hozzáadása/eltávolítása a Calibre könyvlistában"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Eszköztárak & menük"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Eszköztár és a helyi  menük testreszabása, az elérhető funkciók megváltoztatása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Keresés"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "A Calibre könyvkeresésének testreszabása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Forrás formátumok"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konvertálás"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "A konvertálás beállítása az egyes forrás formátumokhoz"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Közös beállítások"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Az összes formátum közös konvertálási beállításai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Kimeneti formátumok"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "A konvertálás beállítása az egyes kimeneti formátumokhoz"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Könyvek hozzáadása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importálás/exportálás"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "A Calibre metaadat olvasásának szabályozása új könyvek hozzáadásakor "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Könyvek lemezre mentése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "A Calibre adatbázisából exportált fájlok beállításai lemezre mentés esetén"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Könyvek küldése eszközre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Olvasóeszközökre való küldés beállításai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metaadat kapcsolatok"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Metaadat oszlopok megváltoztatása mentés/küldés előtt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -802,92 +802,92 @@ msgstr "Metaadat oszlopok megváltoztat
 msgid "Template functions"
 msgstr "Sablon függvények"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Speciális"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Saját sablon függvények létrehozása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Könyvek megosztása emailben"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Megosztás"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Könyvek emailben történő megosztásának beállítása. Használható akár a letöltött hírek az eszközre történő automatikus küldésére is."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Hálózati megosztás"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "A Calibre Tartalomkiszolgáló beállítása, amely hozzáférést biztosít a Calibre könyvtárhoz bárhonnan, bármely eszközön, az interneten keresztül"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metaadatok letöltése"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Ellenőrizze, hogy a Calibre e-könyv metaadatokat tölt-e le a netről"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Figyelmen kívül hagyott eszközök"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Állítsa be, hogy a Calibre melyik eszközöket hagyja figyelmen kívül azok csatlakozásakor."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Bővítmények"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Hozzáad/eltávolít/beállít néhány dolgot a Calibre funkcióinál"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Finomhangolás"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "A Calibre finomhangolása, hogy miképp viselkedjen különböző  helyzetekben"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Gyorsbillentyűk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "A Calibre gyorsbillentyűinek testreszabása"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -895,7 +895,7 @@ msgstr "A Calibre gyorsbillentyűinek te
 msgid "Miscellaneous"
 msgstr "Egyéb"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Egyéb speciális beállítások"
 
@@ -1285,9 +1285,9 @@ msgstr "Adatbázis áttöltése SQL-be"
 msgid "Restoring database from SQL"
 msgstr "Adatbázis visszaállítása SQL-ből"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1313,17 +1313,17 @@ msgstr "Mentett keresések"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Igen"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Címkép ide %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formátum {1}"
@@ -1709,14 +1709,14 @@ msgstr "Ennek megadása kikapcsolja ezt
 msgid "You must specify some ids or the %s option"
 msgstr "Meg kell adnia néhány ID-t vagy a %s opciót"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nA Calibre adatbázisában lévő könyvek listája.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1724,7 +1724,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1732,39 +1732,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Rendezési emelkedő sorrendben"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Keresési eredmény szűrése. A keresési feltétel megadásához tanulmányozza meg a Felhasználói Kézikönyv ide vonatkozó részét. Alapértelmezésként nincs szűrés."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Egy sor maximális szélessége a kimenetben. A képernyőmérethez szükséges."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "A mezők elválasztására szolgáló karakter vagy szöveg. Alapbeállítás a szóköz."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Minden elérési útvonal előtagja. Alapértelmezettként az adatbázis mappájának elérési útja."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2311,21 +2311,21 @@ msgstr "üres"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Érvénytelen boolean lekérdezés „{0}”"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Rekurzív lekérdezés csoport van: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3501,11 +3501,11 @@ msgstr "Eltávolítva: %s"
 msgid "All books removed"
 msgstr "Minden könyv eltávolítva"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Névtelen eszköz"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3514,12 +3514,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Ismeretlen MTP eszköz"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6074,7 +6074,7 @@ msgstr "Megjegyzések"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6367,7 +6367,7 @@ msgid "Producer"
 msgstr "Producer"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6375,7 +6375,7 @@ msgid "Comments"
 msgstr "Megjegyzés(ek)"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6415,7 +6415,7 @@ msgid "Tags"
 msgstr "Címke"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6445,7 +6445,7 @@ msgid "Timestamp"
 msgstr "Dátum"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8175,13 +8175,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "HTML Tartalomjegyzék generálás beállításai."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} összesen <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8214,31 +8214,31 @@ msgstr "Egy Adobe „lap-térkép” fá
 msgid "Sidebar"
 msgstr "Oldalsáv"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9207,7 +9207,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10216,7 +10216,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Súgó"
 
@@ -11475,7 +11475,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Kihagyás"
 
@@ -11605,8 +11605,8 @@ msgstr "Módosítás"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11740,11 +11740,11 @@ msgid "Search the internet for this book
 msgstr "Keresés az interneten erre a könyvre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "A(z) %s kezelése"
@@ -11887,7 +11887,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12214,7 +12214,7 @@ msgid "Preset name:"
 msgstr "Téma neve:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Meg kell adnia egy nevet."
 
@@ -12291,7 +12291,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Mentés"
 
@@ -12300,10 +12300,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Törlés"
@@ -12416,8 +12416,8 @@ msgstr "Visszaállítás az alapértelme
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13603,7 +13603,7 @@ msgid "Ta&gs:"
 msgstr "&Címkék:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13618,8 +13618,8 @@ msgstr "&Sorozat:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Sorozatok listája. Hozzáadhat újakat is."
@@ -14486,7 +14486,7 @@ msgid "Choose color"
 msgstr "Válassz színt"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14827,19 +14827,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xportálás"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Szabályok exportálása fájlba"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14913,8 +14913,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14995,7 +14995,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16575,7 +16575,7 @@ msgid "Change case"
 msgstr "kICSI éS nAGY cSERÉJE"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16583,7 +16583,7 @@ msgid "Upper case"
 msgstr "NAGYBETŰS"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16591,7 +16591,7 @@ msgid "Lower case"
 msgstr "kisbetűs"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16599,7 +16599,7 @@ msgid "Swap case"
 msgstr "kICSI éS nAGY cSERÉJE"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16633,7 +16633,7 @@ msgid "Manage authors"
 msgstr "Szerzők kezelése"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Keresés:"
@@ -17054,78 +17054,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Feldolgozás"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d könyv feldolgozása, kis türelmet..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "kisbetűk"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "NAGYBETŰS"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Szókezdő Nagybetűk"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Karakter egyezés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Reguláris kifejezés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Mező lecserélése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Mező elé helyezés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Mező után helyezés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Azonnal alkalmazza a változásokat a párbeszédablak bezárása nélkül. Ezek a változások nem vonhatók vissza, vagy végrehajtásuk nem szakítható meg"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "%d. könyv:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Azonosító típus megadása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17133,7 +17133,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>FIGYELEM! Ezekkel a műveletekkel használhatatlanná teheti könyvtárát.</b> A változtatások véglegesek, nincs visszavonási lehetőség. Előtte mindenképpen készítsen könyvtáráról biztonsági másolatot.<p>Keresés és csere szöveget tartalmazó mezőkben karakter egyezés vagy reguláris kifejezés segítségével. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17143,7 +17143,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17158,80 +17158,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R SABLON HIBA"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Meg kell adnia a cél azonosító típust"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Meg kell adnia egy keresési kifejezést a \"Keresés\" mezőben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "A keresés/csere érvénytelen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Mentett keresés/csere értékek törlése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "A kiválasztott keresés/csere törlődni fog. Valóban ezt szeretné?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Keresés/csere értékek mentése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Keresés/csere név:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Ez a mentett keresés/csere már létezik és felül lesz írva. Folytatja?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Metaadatok szerkesztése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "Szer&ző(k): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17239,90 +17248,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Rendezési forma automatikus beállítása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "&Cím és szerző felcserélése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "A cím rendezési forma frissítése a cím alapján. Csak a címre vonatkozó más műveletek után lesz végrehajtva."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Szerző re&ndezési forma : "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Cím rendezési forma frissí&tése"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "A szerző rendezési formájának megadása. Például Charles Dickens-t célszerű Dickens, Charles-ként rendezni."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "&Borító megváltoztatása"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "É&rtékelés:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "Alapértelmezett borító &generálása"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "Értékelés &alkalmazása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Borító törlése"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Kiadó: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Megpróbálja automatikusan felismerni és levágni a felesleges területeket a borító széleiről.\nA funkció néha a kelleténél többet vág le, így figyelmesen használjuk."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Bekapcsolásával a kiadó törlődik"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "Borító vágása (VESZÉLYES)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Kiadó törlése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "&Címkék hozzáadása: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Az összes könyv borítója azonos lesz az első kiválasztott könyv borítójával."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Címke szerkesztő megnyitása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "Borítók klónozása"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Címkék eltávolítása:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Cím átalakítása nagy kezdőbetűssé, vagyis a cím szavai nagybetűvel kezdődjenek.\nHa ez az opció és a Cím és szerző megcserélése is be van jelölve, akkor  először\na csere lesz végrehajtva, majd utána a nagybetűssé alakítás"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "A könyvekből eltávolítandó címkék vesszővel elválasztott listája "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "A mező kijelölésével minden címke eltávolításra kerül a könyvekből."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Dátum:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Összes eltávolítása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Bekapcsolásával a kiadó törlődik"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Sorozat:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Kiadó törlése"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "A sorozat törlése kijelölés esetén"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Kiadva:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Sorozat törlése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17330,126 +17334,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Ha nincs bejelölve, akkor a sorszám 1 lesz. Ha be van jelölve, akkor\na sorszám automatikusan, a kijelölés sorrendjében lesz kiszámítva.\nTehát ha kijelölte az A könyvet, majd a B könyvet, akkor az A könyv\nsorszáma 1 lesz, míg a B könyvé 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Könyvek &automatikus számozása a sorozatban"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Normál esetben a sorozatok a az adatbázisban szereplő legmagasabb értéktől\nkezdve kerülnek számozásra. Ezzel az opcióval a Calibre a mezőben lévő sorszámtól kezdi a számozást"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&A számozás mindig ettől kezdődjön:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "A sorozat törlése kijelölés esetén"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Sorozat törlése"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Borító készítés beállításai"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Dátum:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Címkék eltávolítása:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Összes eltávolítása"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "&Címkék hozzáadása: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "A szerző rendezési formájának megadása. Például Charles Dickens-t célszerű Dickens, Charles-ként rendezni."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "Értékelés &alkalmazása"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Kiadva:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Kiadási dátum törlése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "Szer&ző(k): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "Nye&lvek:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Kiadó: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "A könyvekből eltávolítandó címkék vesszővel elválasztott listája "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Címke szerkesztő megnyitása"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Szerző re&ndezési forma : "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Sorozat:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "A kiválasztott könyvek egyéni konverziós beállításai eltávolításra kerülnek.\n\nE könyvek a jövőben az alapértelmezett konverziós beállítást használják."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "A kiválasztott könyvek egyéni konverziós beállításainak eltávolítása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17458,153 +17397,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Ha azonos formátumot választunk ki konverzióra, például EPUB-ot EPUB-ra, a Calibre az eredeti EPUB-ot elmenti ORIGINAL_EPUB néven. <br>\nEz az opció arra utasítja a Calibret, hogy konvertálás előtt állítsa vissza az eredeti EPUB-ot az ORIGINAL_EPUB-ból.<br>\n Hasznos, ha nagy mennyiségű könyv kerül konvertálásra és közben hiba történik."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Ha létezik, akkor a &konvertálás előtti eredeti visszaállítása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "A mező kijelölésével minden címke eltávolításra kerül a könyvekből."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "É&rtékelés:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Cím átalakítása nagy kezdőbetűssé, vagyis a cím szavai nagybetűvel kezdődjenek.\nHa ez az opció és a Cím és szerző megcserélése is be van jelölve, akkor  először\na csere lesz végrehajtva, majd utána a nagybetűssé alakítás"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "A cím rendezési forma frissítése a cím alapján. Csak a címre vonatkozó más műveletek után lesz végrehajtva."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Cím rendezési forma frissí&tése"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "&Borító megváltoztatása"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "Alapértelmezett borító &generálása"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Borító törlése"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Megpróbálja automatikusan felismerni és levágni a felesleges területeket a borító széleiről.\nA funkció néha a kelleténél többet vág le, így figyelmesen használjuk."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "Borító vágása (VESZÉLYES)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Az összes könyv borítója azonos lesz az első kiválasztott könyv borítójával."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "Borítók klónozása"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Borító készítés beállításai"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Általános metaadatok"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Egyéni metaadat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Válasszon ki egy keresés/csere értéket betöltéshez."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Az aktuális keresés/csere mentése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Mentés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Mez&ők keresése:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "A keresendő mező neve"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Keresési m&ód:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Válassza ki, hogy egyszerű szövegegyezés, vagy reguláris kifejezés alapján kíván keresni"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Válassza ki a kívánt azonosítót"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Sablon:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Adja meg a Keresés/Csere alapjául szolgáló sablont"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Adja meg a keresendő kifejezést. Ez lehet egyszerű szöveg, vagy reguláris kifejezés a beállított módtól függően"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Jelölje be, ha a keresés különböztesse meg a kis- és nagybetűket. Ha nincs bejelölve, akkor a keresés nem veszi figyelembe a kis- és nagybetűk közötti különbséget."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Kis- és nagyb&etűk különböznek"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "Cse&re erre:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "A behelyettesítő szöveg. A keresési feltétellel egyező szöveg erre lesz lecserélve"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "Csere utáni művelet:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "A szövegen végrehajtott további műveleteket határozza meg a csere után. „Karakteregyezés” módban a mezőben lévő teljes szövegen, míg „Reguláris kifejezés” módban az egyező szövegrészen lesz elvégezve a művelet."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Célmező:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "A cserék után a szöveg ebbe a mezőbe kerül.\nHa üres, akkor ugyanabba a forrásmezőbe, ha az módosítható."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "Mó&d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Válassza ki hogyan legyen a szöveg bemásolva a célmezőbe"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Ez az opció határozza meg, hogy az eredmény több értékre legyen-e darabolva,\nvagy egy értékként kezelve. Akkor hatékony ez az opció, ha a forrásmező egy értékű,\nmíg a célmező többértékű."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "E&redmény darabolása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Azonosító típus:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17612,48 +17638,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Többértékű mezőknél"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "a kezdőérték"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "az értékek elválasztva ezzel:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Teszteredmények megjelenítésénél használatos a többértékű mezők értékeinek elválasztására"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Szöveg tesztelése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Teszt eredménye"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Az Ön tesztje:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Keresés és csere"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "Könyvlista f&rissítése szerkesztés után"
 
@@ -18109,42 +18135,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "Elem: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Nem találhatóak elemek**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "A fő könyvlistában kattintson egy oszlop tartalmára az információk megjelenítéséhez"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "A kiválasztott elemhez kapcsolódó könyvek \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18250,87 +18276,87 @@ msgstr "Adatbázis visszaállítása sik
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Új mentett keresés létrehozása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "A Mentett keresés neve"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "Kere&sés:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Keresési kifejezés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Nincs keresési kifejezés"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Mentett keresések karbantartása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "Keresés hozzá&adása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "Ke&resés eltávolítása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "K&eresés szerkesztése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "A következő mentett keresés <b>véglegesen törölve lesz?</b>. Biztosan folytatja?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Keresési kifejezés"
 
@@ -19228,48 +19254,64 @@ msgstr "Címke 1"
 msgid "Tag 2"
 msgstr "Címke 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Sablonnyelv oktató"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Sablon függvény referencia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "KIVÉTEL: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nincs oszlop kiválasztva"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Ki kell választania egy oszlopot a színezéshez"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Nincs sablon megadva"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "A sablonmező nem lehet üres"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20333,7 +20375,7 @@ msgstr "Végrehajtandó parancs név sze
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Nincs találat"
 
@@ -20492,8 +20534,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20510,14 +20552,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Összes bezárása"
 
@@ -22737,60 +22779,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "Szabály hozzá&adása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Szabály(ok) eltávolítása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "A kiválasztott szabály mozgatása felfelé"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "A kiválasztott szabály mozgatása lefelé"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Haladó szabály hozzáadása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Szabályok importálása fájlból"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22798,57 +22840,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Nincs kiválasztott szabály"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Nincs kiválasztott szabály a következőhöz: %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "eltávolítás"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Szabályok"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23690,13 +23732,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Lent"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Fent"
 
@@ -23730,7 +23772,7 @@ msgid "If there is enough room"
 msgstr "Ha van elegendő hely"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Első betű szerint"
 
@@ -24011,7 +24053,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Tiltás"
 
@@ -24703,8 +24745,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Itt megváltoztathatja, hogy a Calibre milyen metaadatokat és hogyan használjon a lemezre mentéskor és az eszközre küldéskor.\n\nHasználja ezt a párbeszédablakot egy kapcsolat létrehozásához egy formátum (vagy az összes formátum) és egy eszköz (vagy az összes eszköz) között. A kapcsolaton belül határozza meg, hogy melyik sablon melyik mezőhöz kapcsolódjon. A sablon eredménye egy érték, ami a kapcsolódó mezőhöz lesz rendelve.\n\nGyakran a sablonok egyszerű utalásokat tartalmaznak, melyek összetett oszlopokra vonatkoznak, de ez nem szükségszerű. A Calibre-n belül használt bármelyik sablont használhatja itt.\n\nEgyik lehetséges alkalmazása a metaadat kapcsolatoknak, hogy a cím tartalmazza a sorozat információt is. Másik jellemző alkalmazás a szerző rendezési forma megváltoztatása úgy, hogy a „;”-t használja, ami Kindle követelmény. További alkalmazási lehetőség lehet a nyelv megadása."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25272,7 +25314,7 @@ msgid ""
 msgstr "A felhasználónév/jelszó kötelező megadása megakadályozza, hogy illetéktelen személyek hozzáférjenek a Calibre könyvtárhoz. Ezekre szükség van néhány olyan funkció esetében, mint például a könyvtár módosítása, valamint az utolsó olvasott pozíció / jegyzet szinkronizálása."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "{} felhasználó jelszavának módosítása"
 
@@ -25407,7 +25449,7 @@ msgid "Change &password"
 msgstr "Jelszó módosítása"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25418,7 +25460,7 @@ msgid "Change the allowed libraries"
 msgstr "Engedélyezett könyvtárak módosítása"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26931,7 +26973,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Keresési kifejezés:"
 
@@ -27222,7 +27264,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "%s átnevezése"
@@ -27282,95 +27324,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(item)s eltávolítása a %(cat)s kategóriából"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "A(z) %s kivételével mindent keressen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Alkategória hozzáadása a következőhöz: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Könyvek keresése a(z) %s kategóriában"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Ne keressen könyveket a(z) %s kategóriában"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "A(z) %s kategória elrejtése"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Kategória ikon megváltoztatása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Alapértelmezett ikon visszaállítása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Felhasználói kategóriák karbantartása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Az alkategória séma megváltoztatása"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Felosztás (partition)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Az első betű csak a névre rendezéskor használható"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28027,7 +28069,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "A könyvek (lásd Részletek) már konvertálásra kerültek %s formátumba. Szeretné ismételten átkonvertálni őket?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28558,7 +28601,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Elvetés"
 
@@ -30796,7 +30839,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Döntött</h3>A kijelölt szöveg stílusának módosítása döntöttre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Aláhúzott"
 
@@ -32123,7 +32166,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32750,7 +32793,7 @@ msgid "Export saved searches"
 msgstr "Mentett keresések exportálása"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exportálás"
 
@@ -34624,71 +34667,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35142,7 +35185,7 @@ msgid "E-book viewer"
 msgstr "E-könyv olvasóprogram"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35218,13 +35261,13 @@ msgstr "Könyv betöltési hiba"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35389,10 +35432,10 @@ msgid "< &Back"
 msgstr "< &Vissza"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Mégse"
 
@@ -36033,7 +36076,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36082,7 +36125,7 @@ msgstr "Címek rendezése"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36559,177 +36602,208 @@ msgstr "A teljes felület számos funkci
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "alapértelmezett"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Üres jelszó nem engedélyezett"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "A jelszavak nem egyeznek meg"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "%s felhasználó jelszavának módosítása sikeresen megtörtént!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "írható/olvasható"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "csak olvasható"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37137,13 +37211,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37151,23 +37226,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "A felhasználó által megszakítva"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37180,7 +37255,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37339,128 +37414,128 @@ msgstr "Beállítások és Bővítménye
 msgid "File is open in another process"
 msgstr "A fájlt egy másik művelet is használja"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "formátum: a(z) {0} típus egész számot igényel, kapott érték: {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "formátum: a(z) {0} típus decimális (lebegőpontos) számot igényel, kapott érték: {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: ismeretlen függvény"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37515,60 +37590,60 @@ msgstr "strlen(a) – Az argumentumként
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) – Visszatérési értéke x+y. Hibát jelez, ha x vagy y nem szám."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) – Visszatérési értéke x-y. Hibát jelez, ha x vagy y nem szám."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) – Visszatérési értéke x*y. Hibát jelez, ha x vagy y nem szám."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) – Visszatérési értéke x/y. Hibát jelez, ha x vagy y nem szám."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37580,7 +37655,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37591,13 +37666,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, érték) – Az „érték”-et hozzárendeli az „id”-hez, majd visszatér az „érték”-kel. Az „id”-nek azonosítónak kell lennie, nem pedig kifejezésnek."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37607,30 +37682,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, …) – Az argumentumokat kiírja a szabványos kimenetre. Csak akkor működik, ha a Calibre-t parancssorból (calibre-debug -g) indítja."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(név) – Az adott nevű metaadat mezőt adja vissza"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(név) – Az adott nevű metaadat mezőt adja vissza minden formázás nélkül"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37640,7 +37715,7 @@ msgid ""
 "'234'."
 msgstr "substr(sztring, első, utolsó) – A „sztring” egy darabját adja vissza az „első” pozícióban lévő karaktertől az „utolsó” pozícióban lévőig. Az első karakter a 0. pozícióban van. Ha az „utolsó” negatív, akkor a „sztring” végétől ennyit számol vissza, ha pedig nulla, akkor a „sztring” utolsó karakterpozícióját jelenti. Például substr('12345', 1, 0) '2345'-öt ad vissza, míg substr('12345', 1, -1) '234'-et."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37650,24 +37725,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(érték, minta, mező, minta, mező, …, egyébként_mező) – hasonló a „switch” függvényhez, kivéve, hogy az argumentumok mező (metaadat) nevek, nem pedig szöveg. Lekérdezi és használja a megfelelő metaadat mező értékét. Mivel az összetett oszlopok is mezők, ezt a függvényt használhatja az egyik összetett mezőben egy másik összetett mező értékének felhasználására. Nagyon hasznos lehet mentési útvonal változók létrehozásánál."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "A lookup függvény 2 (vagy páratlan számú) argumentumot igényel"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37676,11 +37751,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "A switch függvény páratlan számú argumentumot igényel"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37690,19 +37765,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, …) – visszatérési értéke az argumentumokból összefűzött karakterlánc, mely a „string1”-gyel kezdődik. A „prefix,string” párok hozzá lesznek adva a kiinduló „string1”-hez, amíg annak hossza kisebb a „max” értéknél. Ha a „string1” hossza nagyobb, mint a „max”, akkor is a „string1” lesz a visszatérési érték. Bármennyi „prefix,string” pár megadható argumentumként."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "Az strcat_max függvény 2 vagy több argumentumot igényel"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "Az strcat_max függvény páros számú argumentumot igényel"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "A strcat_max függvény első argumentumának egész számnak kell lennie"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37712,11 +37787,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37728,11 +37803,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37743,14 +37818,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(lista, id, érték_ha_van, érték_ha_nincs) – a „listá”-ban az elemek vesszővel vannak elválasztva. A függvény a listában lévő elemeket vizsgálja, hogy azok megegyeznek-e a „id”-vel. Az „id” az „azonosító:érték” formátumban van megadva, lehet „azonosító” magában, vagy „azonosító:reguláris_kifejezés”. Az első esetben azt vizsgálja a függvény, hogy van-e az „azonosító”-nak megfelelő ID a listában, a második esetben pedig a „reguláris_kifejezés”-nek megfelelőjű ID.  Ha van találat akkor a visszatérési érték „érték_ha_van”, egyébként „érték_ha_nincs”."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37763,20 +37838,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(érték) – a „B, A” formában megadott értéket „A B” formában adja vissza. Leginkább a nevek konvertálásakor hasznos a vezetéknév és a keresztnév felcserélésére. Ha az „érték” nem tartalmaz vesszőt, akkor a visszatérési érték maga az „érték” lesz változatlanul."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(érték, szöveg_ha_üres) – visszatérési értéke az „érték”, ha az nem üres, egyébként a „szöveg_ha_üres”."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37790,7 +37865,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37798,7 +37873,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(lista, elválasztó) – az „elválasztó”-val tagolt „lista” elemszámát adja vissza. A legtöbb lista elválasztója a vessző, de például a szerzők elválasztására a „&” jel szolgál. Így ezek megszámolása: {tags:count(,)}, illetve {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37807,14 +37882,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(lista, index, elválasztó) – az „elválasztó”-val tagolt „lista” „index”-edik elemét adja vissza. A lista első elemének pozíciója 0. A lista utolsó elemét megkaphatja a „list_item(-1,elválasztó)” hívással. Ha az elem nem szerepel a listában, akkor egy üres sztringet ad vissza. Az „elválasztó” értelmezése ugyanaz, mint a „count” függvény esetében."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(lista, kulcs) – a „lista” vesszővel tagolt elemeket tartalmaz, ahol az elemek „azonosító:érték” párok. Megkeresi a „kulcs”-csal megegyező párt és az lesz a visszatérési érték."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37827,19 +37902,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37849,7 +37924,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37857,7 +37932,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37865,13 +37940,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(méret) – visszatérési értéke a „méret” átalakítva kB, MB, GB stb. mértékegységre."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37882,7 +37957,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37895,7 +37970,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37912,7 +37987,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subtitems(lista, kezdő_index, vég_index) – ez a függvény olyan „lista” elemeinek részeiből nyer ki információkat, mint például a „Műfaj”. A „lista” elemei vesszővel vannak elválasztva, az egyes elemek pedig ponttal tagolt listák tulajdonképpen. A visszatérési érték egy új lista, ami tartalmazza az összes elemet, viszont az elemből a „kezdő_index”-től a „vég_index”-ig tartó, pontokkal tagolt listarészt adja vissza. A pontokkal tagolt lista első elemének indexe 0. Ha egy index negatív, akkor az a lista utolsó elemére utal, ha pedig a „vég_index” értéke 0, akkor a lista hosszát jelenti.\r\n1. példa: #genre – mező, „A.B.C” – mező érték\r\n{#genre:subitems(0,1)} visszatérési értéke 'A'\r\n{#genre:subitems(0,2)} visszatérési értéke 'A.B'\r\n{#genre:subitems(1,0)} visszatérési értéke 'B.C'\r\n\r\n\r\n2. példa: #genre – mező, „A.B.C”, „D.E.F” – mező értékek\r\n{#genre:subitems(0,1)} visszatérési értéke 'A, D'\r\n{#genre:subitems(0,2)} visszatérési értéke 'A.B, D.E'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37935,23 +38010,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(érték, formátum_karakterlánc) – az „érték”-et (aminek dátumnak kell lennie) formázza a „formátum_karakterlánc” értékének megfelelően. Visszatérési értéke egy karakterlánc. A formátumkódok:\r\nd – hónap napja kezdő 0 nélkül (1-től 31-ig)\r\ndd – a hónap napja kezdő nullával (01-től 31-ig)\r\nddd – a nap rövid, beállított nyelvnek megfelelő neve (pl.: „Hét”, „Vas”)\r\ndddd – a nap teljes, beállított nyelvnek megfelelő neve (pl.: „Hétfő”, „Vasárnap”)\r\nM – a hónap száma kezdő 0 nélkül (1-től 12-ig)\r\nMM – a hónap száma kezdő 0-val (01-től 12-ig)\r\nMMM – a hónap rövid, beállított nyelvnek megfelelő neve (pl.: „Már”, „Ápr”)\r\nMMMM – a hónap teljes, beállított nyelvnek megfelelő neve (pl.: „Március”, „Április”)\r\nyy – az év utolsó két számjegye (00-tól 99-ig)\r\nyyyy – az év négy számjeggyel\r\nh – óra kezdő 0 nélkül (0-tól 11-ig vagy 0-tól 23-ig a 12/24 órás beállítástól függően)\r\nhh – óra kezdő 0-val (00-tól 11-ig vagy 00-tól 23-ig a 12/24 órás beállítástól függően)\r\nm – perc kezdő 0 nélkül (0-tól 59-ig)\r\nmm – perc kezdő 0-val (00-tól 59-ig)\r\ns – másodperc kezdő 0 nélkül (0-tól 59-ig)\r\nss – másodperc kezdő 0-val (00-tól 59-ig)\r\nAP – 12 órás mód használata a 24 órás helyett, az „AP” helyére a „de.” vagy a „du.” fog kerülni\r\niso – dátum és idő időzónával"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37960,7 +38035,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37969,55 +38044,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() – visszatérési értéke „Yes”, ha a könyvnek van borítója, egyébként üres karakterlánc."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(érték, érték, …) – az argumentumként megadott „érték”-ek közül az első nem üres „érték”-et adja vissza. Bármennyi argumentuma lehet."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(érték, érték, …) – visszatérési értéke az „1” karakterlánc, ha bármelyik „érték” nem üres, egyébként üres karakterlánc. Jól használható együtt a „test” és a „first_non_empty” függvényekkel. Bármennyi argumentuma lehet."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38026,7 +38101,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38034,7 +38109,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38042,7 +38117,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38050,7 +38125,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(lista, irány, elválasztó) – visszatérési értéke egy olyan lista, amely  a „lista” kis- és nagybetűket megkülönböztető rendezett elemeit tartalmazza. Ha az „irány” értéke 0, akkor emelkedő, egyébként pedig csökkenő sorrendben rendez. A visszatérési lista az „elválasztó”-val van tagolva, de a bemeneti „lista” egyes elemeit is ennek kell elválasztania."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38059,7 +38134,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38068,7 +38143,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38076,14 +38151,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() – visszatérési értéke a mai nap dátum karakterlánca. Alapvetően a „format_date” és a „days_between” függvényekben használatos, de ugyanúgy manipulálható mint más normál karakterlánc. A dátum ISO formátumú."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38091,7 +38166,7 @@ msgid ""
 "empty string."
 msgstr "days_between(dátum1, dátum2) – visszatérési értéke a két dátum között lévő napok száma. Ha a „dátum1” nagyobb, mint a „dátum2”, akkor a visszatérési érték pozitív, egyébként negatív szám. Ha a „dátum1” vagy a „dátum2” nem dátum érték, akkor a visszatérési érték üres karakterlánc."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38099,28 +38174,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(nyelv_kódok, lefordít) – a „nyelv_kódok” vesszővel tagolt listában szereplő karakterláncokat adja vissza a „lefordít” értékének megfelelően. Ha a „lefordít” értéke 0, akkor a visszatérési lista angol nyelvű, egyébként az aktuálisan beállított nyelv."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(nyelvi_karakterláncok) – visszatérési értéke egy olyan vesszővel tagolt lista, amely a „nyelvi_karakterláncok” listában szereplő elemeknek megfelelő nyelvi kódokat tartalmazza. A „nyelvi_karakterláncok” lista elemeinek az aktuálisan beállított nyelvűnek kell lenniük."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38129,7 +38204,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38138,7 +38213,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38147,7 +38222,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38155,7 +38230,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38167,7 +38242,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38178,7 +38253,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38186,13 +38261,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38200,7 +38275,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38213,11 +38288,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38225,11 +38300,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38238,7 +38313,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38249,7 +38324,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38259,6 +38334,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38547,29 +38628,29 @@ msgstr "Bezárás mentés nélkül"
 msgid "Close Tab"
 msgstr "Fül bezárása"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "hiányzó )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38932,185 +39013,185 @@ msgstr "Minden, erre a reguláris kifeje
 msgid "Do not download CSS stylesheets."
 msgstr "Ne töltse le a CSS stíluslapokat."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Összes mentése"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Megnyitás"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Igen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ig&en, mind"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nem"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Egyik &sem"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Megszakítás"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Újra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Bezárás"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Alkalmaz"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Visszaállítás"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Alapértelmezések visszaállítása"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Árnyalat"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "Telítettség"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "Vörös:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "Zöld:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Kék:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Alfa csatorna:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Válasszon színt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Alapszínek"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "Egyéni színek"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "Hozzáadás az egyéni színekhez"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "Válassza ki a ké&pernyő színét"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Betűtípus kiválasztása"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "Betűtípus"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Betűtípus"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "Méret"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Hatások"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Áthúzás"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Minta"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Görgetés balra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Görgetés felfelé"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Görgetés lefelé"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Görgetés jobbra"
 
@@ -39390,8 +39471,8 @@ msgstr "SONY gyűjtemények átnevezési
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39439,7 +39520,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Határozza meg a SONY gyűjtemények átnevezési szabályait. Ez csak akkor működik, ha\na metaadatok kezelése automatikusra van állítva. A SONY-n a gyűjteméy neve attól függ,\nhogy szabványos vagy egyéni mezőről van szó. A szabványos mező alapján készült\ngyűjtemény neve a mező értékéből képződik. Például, ha a szabványos 'series' (sorozat)\noszlop értéke „Darkover”, akkor a gyűjtemény neve „Darkover” lesz.\nAz egyéni mezőkből képzett gyűjtemény neve tartalmazza a mező értékét és a mező nevét is.\nEnnél a példánál maradva, ha az egyéni „My Collection” oszlop tartalmazza a „Darkover” értéket,\nakkor az ebből képzett gyűjtemény neve „Darkover (My Collection)” lesz.\nHogy egyértelmű legyen ez a leírás, ezek után a „Darkover”-re mint értékre, a „My Collection”-re\npedig mint kategóriára hivatkozunk.\nHa több könyv generált gyűjtemény neve megegyezik, mindegyik könyv bekerül ebbe a bizonyos\ngyűjteménybe.\nAz itt lévő finombeállításokkal részletesen meghatározhatja, hogy a szabványos és egyéni\nmezők hogyan szerepeljenek a gyűjteményekben. Például leírást adhat a gyűjteményhez, ha\n„Valami_oszlop (Címke)” fomában adja meg a gyűjteményt. Több mezőt \nösszevonva is létrehozhat gyűjteményt, például a „series”, „#my_series_1”, és „#my_series_2” mezők\nmegjeleníthetők a „Valami_érték (Sorozat)” gyűjteményben.\nItt két egymáshoz kapcsolódó beállítást talál. Az első meghatározza metaadat mezőhöz kapcsolódó\nkategória nevet. A második pedig egy sablon, ami azt szabályozza, hogy az érték és a kategória milyen\nszabály szerint alkosson gyűjteményt.\nAz első beállítás formátuma a következő:\nsony_collection_renaming_rules = {'mezőnév':'kategórianév', 'mezőnév':'kategórianév', ...}\nA másik beállítás egy sablon, amely a calibre program sablon nyelvét használja.\nFormátuma a következő:\nsony_collection_name_template = '{value}{category:| (|)}'\nCsak a {value} (érték) és {category} (kategória) változókat tartalmazhatja.\nA {value} soha nem lehet üres, míg a  {category} lehet.\nAz alapbeállítás szerint az érték előre kerül, majd ezt követi a kategória zárójelben.\nPéldák:\nAz első három példában a sony_collection_name_template értékét nem változtatjuk.\n1., Három sorozat oszlopot akarunk egy gyűjteménybe összevonni, ahol a mezőnevek:\n'series', '#series_1' és '#series_2'. A zárójelbe nem akarunk semmit tenni.\nEhhez:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\nlesz a beállítás.\n2., A „Series” szót akarjuk minden sorozatból, a „Tag” szót pedig a címkékből készült\ngyűjteményekben a zárójelek között megjeleníteni.\nEhhez:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nlesz a beállítás.\n3., A 'series' és a '#myseries' oszlopokból összevonva akarunk egy gyűjteményt,\namelyben a zárójelben a „Series” szó szerepeljen.\nEhhez:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\nlesz a beállítás.\n4., A második példához hasonló de a kategóriát a gyűjtemény elején\nkettősponttal együtt akarjuk szerepeltetni.\nEhhez:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}\nlesz a beállítás. A példánál maradva „Series: Darkover”"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39447,7 +39528,7 @@ msgstr "SONY gyűjtemények rendezésén
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39462,7 +39543,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Határozza meg a SONY gyűjtemények rendezésének szabályait. Ez csak akkor működik, ha\na metaadatok kezelése automatikusra van állítva. be tudja állítani, hogy melyik metaadatok\nlegyenek használva a gyűjtemények rendezésénél. A beállítás formátuma tulajdonképpen\nazoknak metaadatmezőknek listája, melyekből a gyűjtemények készültek, plusz a rendezés\nalapjául szolgáló metaadatmezők.\nPélda: A „pubdate” és a „tags” mezőből készült gyűjtemények az egyéni „#mydate” oszlop alapján,\na „series” mezőből készült gyűjtemények a „series_index” alapján, a többi gyűjtemény pedig\na „title” oszlopok alapján legyen rendezve.\nEhhez a beállítás:\nsony_collection_sorting_rules = [(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nFigyeljen a [ ] és ( ) jelek helyes használatára.\nÁltalános formátum:\nsony_collection_sorting_rules = [ ( [mező_lista], rendezési_mező ) , ( [mező_lista], rendezési_mező ) ]"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/hy.po 5.10.0+dfsg-1/translations/calibre/hy.po
--- 5.9.0+dfsg-3/translations/calibre/hy.po	2021-01-06 15:30:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/hy.po	2021-01-20 15:27:23.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -94,15 +94,15 @@ msgstr "Ոչինչ չի անում"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -123,7 +123,7 @@ msgstr "Ոչինչ չի անում"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -223,16 +223,16 @@ msgstr "Ոչինչ չի անում"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -258,7 +258,7 @@ msgstr "Ոչինչ չի անում"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -290,7 +290,7 @@ msgstr "Ոչինչ չի անում"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -309,7 +309,7 @@ msgstr "Ոչինչ չի անում"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -333,27 +333,27 @@ msgstr "Ընտելացնել"
 msgid "Cannot configure"
 msgstr "Հնարավոր չէ կազմաձևել"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Ֆայլի տեսակը"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Անդրտվյալներ կարդողը"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Անդրտվյալներ գրողը"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Ցանկ ստեղծողը"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -365,20 +365,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Ընտրանքներ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Խանութ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -400,372 +400,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Արտահանել կազմերը comic ֆայլերից"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Կարդալ անդրտվյալները %s ֆայլերից"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Ավելացնել անդրտվյալները %s ֆայլերի մեջ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Ավելացնել անդրտվյալները %s ֆայլերց"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Ավելացնել գրքեր Calibre-ի կամ միացրած սարքավորումների մեջ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Ստանալ ծանոթագրությունները միացրած Kindle-ից (փորձնական է)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Ստեղծել ձեր Calibre-ի գրադարանում առկա գրքերի ցանկը"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Խմբագրել ձեր գրքերի բովանդակության աղյուսակները"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Ջնջել գրքերը ձեր Calibre-ի գրադարանից կամ միացրած սարքավորումից"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Զետեղել արդիացված անդրտվյալները ձեր Calibre-ի գրադարանում առկա գրքերի ֆայլերի մեջ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Խմբագրել ձեր Calibre-ի գրադարանում առկա գրքերի անդրտվյալները"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Կարդալ գրքեր ձեր Calibre-ի գրադարանից"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Արագ ցուցադրել վերաբերվող գրքերի ցանկը"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Ֆիլտել/ձևափոխել գրադարանի գրքերի նշումները"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Ցուցադրել ձևանմուշներ փորձարկելու խմբագիրը"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Արտահանել գրքեր ձեր Calibre-ի գրադարանից՝ կոշտ սկավառակին"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Վերաթողարկել Calibre-ն"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Բացել այն թղթապանակը, որը պարունակում է գրքային ֆայլեր ձեր գրադարանում"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Ուղարկել գրքերը միացրած սարքավորման մեջ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Դիտել calibre-ի օգտագործման ձեռնարկը"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Ընտելացնել Calibre-ն"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Կրկնապատկել գրքերը սարքավորումից ձեր Calibre գրադարան"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Համապատասխանացնել գրքերը սարքավորման մեջ ձեր Calibre գրադարանի հետ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Դասակարգել գրքերի ցանկը"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Միջերես"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr " Պահվածք"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Որոնում"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Փոխարկում"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Գրքերի ավելացում"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -775,92 +775,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Հավելյալ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Տարածում"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Խրվակներ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -868,7 +868,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1258,9 +1258,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1286,17 +1286,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Այո"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1682,14 +1682,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1697,7 +1697,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1705,39 +1705,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2284,21 +2284,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3474,11 +3474,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3487,12 +3487,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Անհայտ MTP սարք"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6047,7 +6047,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6340,7 +6340,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6348,7 +6348,7 @@ msgid "Comments"
 msgstr "Մեկնաբանություններ"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6388,7 +6388,7 @@ msgid "Tags"
 msgstr "Նիշքեր"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6418,7 +6418,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8148,13 +8148,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8187,31 +8187,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9180,7 +9180,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10189,7 +10189,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11448,7 +11448,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11578,8 +11578,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11713,11 +11713,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11860,7 +11860,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12187,7 +12187,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12264,7 +12264,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12273,10 +12273,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12389,8 +12389,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13576,7 +13576,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13591,8 +13591,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14459,7 +14459,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14800,19 +14800,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14886,8 +14886,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14968,7 +14968,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16548,7 +16548,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16556,7 +16556,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16564,7 +16564,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16572,7 +16572,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16606,7 +16606,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17027,78 +17027,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17106,7 +17106,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17116,7 +17116,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17131,80 +17131,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17212,90 +17221,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17303,281 +17307,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17585,48 +17611,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18082,42 +18108,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18223,87 +18249,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19201,48 +19227,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20306,7 +20348,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20465,8 +20507,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20483,14 +20525,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22710,60 +22752,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22771,57 +22813,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23663,13 +23705,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23703,7 +23745,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23984,7 +24026,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24676,7 +24718,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25245,7 +25287,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25380,7 +25422,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25391,7 +25433,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26904,7 +26946,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27195,7 +27237,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27255,95 +27297,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28000,7 +28042,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28531,7 +28574,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30769,7 +30812,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32096,7 +32139,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32723,7 +32766,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34597,71 +34640,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35115,7 +35158,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35191,13 +35234,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35362,10 +35405,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Չեղարկել"
 
@@ -36006,7 +36049,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36055,7 +36098,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36532,177 +36575,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37110,13 +37184,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37124,23 +37199,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37153,7 +37228,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37312,128 +37387,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37488,60 +37563,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37553,7 +37628,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37564,13 +37639,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37580,30 +37655,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37613,7 +37688,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37623,24 +37698,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37649,11 +37724,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37663,19 +37738,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37685,11 +37760,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37701,11 +37776,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37716,14 +37791,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37736,20 +37811,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37763,7 +37838,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37771,7 +37846,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37780,14 +37855,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37800,19 +37875,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37822,7 +37897,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37830,7 +37905,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37838,13 +37913,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37855,7 +37930,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37868,7 +37943,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37885,7 +37960,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37908,23 +37983,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37933,7 +38008,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37942,55 +38017,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37999,7 +38074,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38007,7 +38082,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38015,7 +38090,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38023,7 +38098,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38032,7 +38107,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38041,7 +38116,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38049,14 +38124,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38064,7 +38139,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38072,28 +38147,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38102,7 +38177,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38111,7 +38186,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38120,7 +38195,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38128,7 +38203,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38140,7 +38215,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38151,7 +38226,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38159,13 +38234,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38173,7 +38248,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38186,11 +38261,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38198,11 +38273,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38211,7 +38286,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38222,7 +38297,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38232,6 +38307,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38520,29 +38601,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38905,185 +38986,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39363,8 +39444,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39420,7 +39501,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/id.po 5.10.0+dfsg-1/translations/calibre/id.po
--- 5.9.0+dfsg-3/translations/calibre/id.po	2021-01-06 15:30:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/id.po	2021-01-20 15:26:47.000000000 +0000
@@ -20,8 +20,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -100,15 +100,15 @@ msgstr "Tidak melakukan apapun"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -129,7 +129,7 @@ msgstr "Tidak melakukan apapun"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -229,16 +229,16 @@ msgstr "Tidak melakukan apapun"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -264,7 +264,7 @@ msgstr "Tidak melakukan apapun"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -296,7 +296,7 @@ msgstr "Tidak melakukan apapun"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -315,7 +315,7 @@ msgstr "Tidak melakukan apapun"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -339,27 +339,27 @@ msgstr "Sesuaikan"
 msgid "Cannot configure"
 msgstr "Tidak bisa mengonfigurasi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tipe berkas"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Pembaca metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Penulis metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Pembuat katalog"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Aksi antarmuka pengguna"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -371,20 +371,20 @@ msgstr "Aksi antarmuka pengguna"
 msgid "Preferences"
 msgstr "Preferensi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Toko"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Sebuah toko e-book."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Alat sunting buku"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Pustaka ditutup"
 
@@ -406,372 +406,372 @@ msgstr "Buat arsip TXTZ saat sebuah berk
 msgid "Extract cover from comic files"
 msgstr "Ekstrak sampul dari berkas komik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Baca metadata dari berkas %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Baca metadata e-book dalam berkas RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Baca metadata e-book dalam berkas ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Mengatur metadata dalam berkas %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Masukkan {0} di bawah agar pengaya penulis metadata EPUB tidak menambahkan gambar sampul ke berkas EPUB yang tidak memiliki gambar sendiri."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Mengatur metadata dari berkas %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Menambah buku ke calibre atau perangkat yang terkoneksi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Ambil anotasi dari Kindle yang terkoneksi (eksperimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Membuat katalog buku yang ada dalam pustaka calibre Anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Konversikan buku ke berbagai format e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Sempurnakan e-book Anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Sunting Daftar Isi pada buku Anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Hapus buku dari pustaka calibre atau perangkat lain yang terhubung"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Sematkan metadata terupdate ke berkas buku aktual di pustaka calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Perbaiki metadata buku dalam pustaka calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Baca buku dalam pustaka calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Unduh berita dari internet dalam format e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Tampilkan daftar buku terkait dengan cepat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Saring/ubah tag-tag untuk buku di dalam pustaka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Transformasikan penulis untuk buku-buku dalam pustaka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Tampilkan penyunting untuk menguji templat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Ekspor buku-buku dari pustaka calibre Anda ke diska"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Tampilkan rincian Buku dalam popup terpisah"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Mulai kembali calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Buku folder yang berisi berkas buku ke dalam pustaka calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Kirim buku ke peranti yang terhubung"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Kirim buku-buku lewat surel atau web. Juga sambungkan ke folder pada komputer Anda seolah mereka adalah peranti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Tinjau Panduan Pengguna calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Sesuaikan calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Temukan dengan mudah buku-buku yang mirip dengan yang saat ini dipilih"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Berpindah antara pustaka-pustaka calibre yang berbeda dan lakukan pemeliharaan pada mereka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Salin buku-buku dari peranti ke pustaka calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Sunting koleksi-koleksi yang bukunya ditempatkan dalam peranti Anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Cocokkan buku di peranti ke buku di pustaka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Salin sebuah buku dari satu pustaka calibre ke yang lainnya"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Sunting e-book dalam format EPUB atau AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Buat perubahan-perubahan kecil ke berkas-berkas EPUB atau HTMLZ dalam pustaka calibre Anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Temukan kecocokan sebelum dan berikut saat mencari di pustaka calibre Anda dalam mode sorot"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Pilih buku secara acak dari pustaka calibre Anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Urutkan daftar buku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Tandai sementara buku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Ubah pustaka Virtual"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Cari buku dari penjual buku yang berbeda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Dapatkan plugin calibre yang baru atau perbaharui yang sudah ada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Tampilan & rasa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Antarmuka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Menyesuaikan tampilan dan rasa antarmuka calibre agar sesuai selera Anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Perilaku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Mengubah perilaku calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Tambah kolom Anda sendiri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Menambah/menghapus kolom Anda sendiri dalam daftar buku calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Bilah alat & menu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Menyesuaikan bilah alat dan menu konteks, mengubah aksi-aksi mana yang tesedia untuk masing-masing"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Pencarian"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Menyesuaikan cara mencari buku dalam calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Opsi masukan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konversi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Menata opsi-opsi konversi yang spesifik untuk setiap format masukan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Opsi umum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Menata opsi-opsi umum untuk semua format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Opsi luaran"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Menata opsi-opsi konversi yang spesifik untuk setiap format luaran"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Menambahkan buku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Impor/ekspor"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Mengendalikan bagaimana calibre membaca metadata dari berkas-berkas saat menambahkan buku-buku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Menyimpan buku-buku ke diska"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Mengendalikan bagaimana calibre mengekspor berkas-berkas dari basis data ke diska saat memakai Simpan ke diska"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Mengirim buku ke piranti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Mengatur cara calibre memindahkan berkas-berkas ke pembaca e-book Anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Plugboard metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Ubah ruas-ruas metadata sebelum merekam/mengirim"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -781,92 +781,92 @@ msgstr "Ubah ruas-ruas metadata sebelum
 msgid "Template functions"
 msgstr "Fungsi templat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Tingkat Lanjut"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Buat fungsi templat sendiri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Berbagi buku melalui email"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Berbagi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Atur cara berbagi buku melalui email. Dapat digunakan untuk pengiriman otomatis dari berita yang diunduh ke dalam peranti Anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Berbagi melalui jaringan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Siapkan server Isi calibre yang akan memberi Anda akses ke pustaka calibre Anda dari manapun, pada sebarang peranti, melalui internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Unduh metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Mengendalikan cara calibre mengunduh metadata e-book dari jaringan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Peranti yang diabaikan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Mengatur peranti mana yang akan diabaikan oleh calibre saat tersambung dengan komputer."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plugin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Tambah/hapus/ubah berbagai fungsionalitas calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Tweak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Atur bagaimana perilaku calibre dalam berbagai konteks"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Pintasan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Kustomisasi pintasan papan ketik yang digunakan oleh calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -874,7 +874,7 @@ msgstr "Kustomisasi pintasan papan ketik
 msgid "Miscellaneous"
 msgstr "Rupa-rupa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Rupa-rupa konfigurasi tingkat lanjut"
 
@@ -1264,9 +1264,9 @@ msgstr "Mencurahkan basis data ke SQL"
 msgid "Restoring database from SQL"
 msgstr "Memulihkan basis data dari SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1292,17 +1292,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ya"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Sampul untuk %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format untuk {1}"
@@ -1688,14 +1688,14 @@ msgstr "Menentukan saklar ini akan menon
 msgid "You must specify some ids or the %s option"
 msgstr "Anda harus menyatakan beberapa id atau opsi %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1703,7 +1703,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1711,39 +1711,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Urutkan hasil dalam urutan menaik"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2290,21 +2290,21 @@ msgstr "kosong"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Query boolean invalid \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Pencarian pustaka virtual bersifat rekursif: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Grup query rekursif terdeteksi: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3480,11 +3480,11 @@ msgstr "Dihapus %s"
 msgid "All books removed"
 msgstr "Semua buku terhapus"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Peranti tanpa nama"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3493,12 +3493,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Peranti MTP tak dikenal"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6053,7 +6053,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6346,7 +6346,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6354,7 +6354,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6394,7 +6394,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6423,7 +6423,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8149,13 +8149,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "Opsi pembuatan TOC HTML."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8188,31 +8188,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Kepala dan kaki ditambahkan"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10176,7 +10176,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Bantuan"
 
@@ -11428,7 +11428,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Abaikan"
 
@@ -11558,8 +11558,8 @@ msgstr "Ubah"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11693,11 +11693,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11840,7 +11840,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12167,7 +12167,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12244,7 +12244,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Simpan"
 
@@ -12253,10 +12253,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Hapus"
@@ -12369,8 +12369,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13556,7 +13556,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13571,8 +13571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14439,7 +14439,7 @@ msgid "Choose color"
 msgstr "Pilih warna"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14780,19 +14780,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14866,8 +14866,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14948,7 +14948,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16526,7 +16526,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16534,7 +16534,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16542,7 +16542,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16550,7 +16550,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16584,7 +16584,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17004,77 +17004,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Buku %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17082,7 +17082,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17092,7 +17092,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17107,80 +17107,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17188,90 +17197,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Penerbit: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17279,281 +17283,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Penerbit: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17561,48 +17587,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18058,42 +18084,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18199,87 +18225,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19177,48 +19203,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20277,7 +20319,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20436,8 +20478,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20452,14 +20494,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22672,60 +22714,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22733,57 +22775,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Pilih berkas untuk diekspor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23625,13 +23667,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Bawah"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Atas"
 
@@ -23665,7 +23707,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23946,7 +23988,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Nonaktifkan"
 
@@ -24638,7 +24680,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25207,7 +25249,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25342,7 +25384,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25352,7 +25394,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26864,7 +26906,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27155,7 +27197,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27215,95 +27257,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Pembagian"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27960,7 +28002,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28490,7 +28533,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Buang"
 
@@ -30724,7 +30767,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32047,7 +32090,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32674,7 +32717,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Ekspor"
 
@@ -34545,68 +34588,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35060,7 +35103,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35136,13 +35179,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35307,10 +35350,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Batal"
 
@@ -35951,7 +35994,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36000,7 +36043,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36477,177 +36520,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Sandi tidak boleh kosong"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37054,13 +37128,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37068,23 +37143,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37097,7 +37172,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37256,128 +37331,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37432,60 +37507,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37497,7 +37572,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37508,13 +37583,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37524,30 +37599,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37557,7 +37632,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37567,24 +37642,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37593,11 +37668,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37607,19 +37682,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37629,11 +37704,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37645,11 +37720,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37660,14 +37735,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37680,20 +37755,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37707,7 +37782,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37715,7 +37790,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37724,14 +37799,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37744,19 +37819,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37766,7 +37841,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37774,7 +37849,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37782,13 +37857,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37799,7 +37874,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37812,7 +37887,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37829,7 +37904,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37852,23 +37927,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37877,7 +37952,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37886,55 +37961,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37943,7 +38018,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37951,7 +38026,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37959,7 +38034,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37967,7 +38042,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37976,7 +38051,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37985,7 +38060,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37993,14 +38068,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38008,7 +38083,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38016,28 +38091,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38046,7 +38121,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38055,7 +38130,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38064,7 +38139,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38072,7 +38147,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38084,7 +38159,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38095,7 +38170,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38103,13 +38178,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38117,7 +38192,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38130,11 +38205,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38142,11 +38217,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38155,7 +38230,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38166,7 +38241,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38176,6 +38251,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38464,29 +38545,29 @@ msgstr "Tutup tanpa Menyimpan"
 msgid "Close Tab"
 msgstr "Tutup Tab"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38848,185 +38929,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Oke"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Simpan Semua"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Buka"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Ya"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ya untuk &Semua"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Tidak"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Ti&dak untuk Semua"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Batal"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Coba Lagi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Tutup"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Terapkan"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Reset"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Merah:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Hijau:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Pilih Warna"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Warna &dasar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Warna pilihan"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Tambah ke warna pilihan"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Pilih Font"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Font"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Ga&ya font"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Ukuran"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efek"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Pojok kanan"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39306,8 +39387,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39363,7 +39444,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/is.po 5.10.0+dfsg-1/translations/calibre/is.po
--- 5.9.0+dfsg-3/translations/calibre/is.po	2021-01-06 15:29:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/is.po	2021-01-20 15:26:54.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -94,15 +94,15 @@ msgstr "Gerir nákvæmlega ekkert"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -123,7 +123,7 @@ msgstr "Gerir nákvæmlega ekkert"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -223,16 +223,16 @@ msgstr "Gerir nákvæmlega ekkert"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -258,7 +258,7 @@ msgstr "Gerir nákvæmlega ekkert"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -290,7 +290,7 @@ msgstr "Gerir nákvæmlega ekkert"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -309,7 +309,7 @@ msgstr "Gerir nákvæmlega ekkert"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -333,27 +333,27 @@ msgstr "Sérsníða"
 msgid "Cannot configure"
 msgstr "Get ekki stillt"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Skráartegund"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lestur lýsigagna"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Skráning lýsigagna"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Gerð efnisskráa"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Aðgerð í notendaviðmóti"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -365,20 +365,20 @@ msgstr "Aðgerð í notendaviðmóti"
 msgid "Preferences"
 msgstr "Kjörstillingar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Verslun"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Rafbókaverslun."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Bókabreytingaverkfæri"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Safni lokað"
 
@@ -400,372 +400,372 @@ msgstr "Skapa TXTZ skjalasafn þegar TXT
 msgid "Extract cover from comic files"
 msgstr "Ná í forsíðu úr myndasöguskrám"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lesa lýsigögn úr %s skrám"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Lesa lýsigögn úr rafbókum í RAR-safnskrám"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Lesa lýsigögn úr rafbókum í ZIP-safnskrám"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Færa inn lýsigögn í %s skrám"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Færa inn lýsigögn úr %s skrám"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Bæta bókum við Calibre eða tengt tæki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Ná í glósur úr tengdum Kindle (tilraunaverkefni)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Búa til efnisskrá yfir bækurnar í Calibre-safninu þínu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Breyta bókum í margvísleg rafbókarform"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Fínstilla þínar rafbækur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Lagfærðu efnisyfirlitið í bókunum þínum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Eyða bókum úr Calibre-bókasafninu eða tengdu tæki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Fella uppfærð lýsigögn inn í bókaskrárnar í Calibre-safninu þínu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Breyttu lýsigögnum bóka í Calibre-bókasafninu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Lesa bækur úr safninu þínu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Hlaða niður fréttum af netinu á rafbókarformi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Fljótlega sýna lista yfir svipaðar bækur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Sía/umbreyta merkjum fyrir bækur í safninu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Umbreyta höfundum fyrir bækur í safninu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Sýna ritil til að prófa sniðmát"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Flytja bækur úr Calibre-bókasafninu þínu yfir á harða diskinn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Sýna upplýsingar um bók í sérglugga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Endurræsa Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Opna möppuna sem geymir rafbókaskrár bókasafnsins"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Senda bækur í tengt tæki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Sendu bækur með tölvupósti eða vefmiðlun. Tengstu einnig möppum í tölvunni þinni, líkt og um tæki sé að ræða"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Skoða Calibre handbókina"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Sérsníða Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Finna bækur sem eru svipaðar valdri bók"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Flakka á milli Calibre-bókasafna og lagfæra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Afrita bækur af tæki inn í Calibre-bókasafn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Breyta ritsöfnunum sem bækur eru settar í á tækinu þínu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Finna samsvörun bóka á tækjum og í safninu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Afrita bók á milli bókasafna"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Breyta rafbókum sem eru á EPUB eða AZW sniði"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Framkvæma minniháttar breytingar á EPUB eða HTMLZ-skrám í Calibre-safninu þínu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Finna næstu eða undanfarandi samsvörun þegar leitað er í Calibre-safninu í auðkenningarham"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Veldu handahófskennt bók úr Calibre-safninu þínu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Raða bókalista"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Tímabundið merkja bækur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Skipta um núverandi sýndarbókasafn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Leita að bókum frá mismunandi bóksölum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Uppfærðu eða fáðu nýjar viðbætur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Útlit og viðmót"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Viðmót"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Sníða útlit á viðmóti Calibre að þínum þörfum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Hegðun"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Breyta hegðun Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Bættu við þínum eigin dálkum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Breyta/bæta við þínum eigin dálkum í Calibre-bókalistann"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Verkfærastikur & valmyndir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Sérsníða verkfærastikur og samhengisvalmyndir, breyta hvaða aðgerðir eru tiltækar á hverjum stað"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Leit"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Breyta hegðun á leit bóka í Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Valkostir inntaks"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Umbreyting"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Stilla umbreytingarvalmöguleika sem eiga við um hvert inntakssnið"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Almennir valkostir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Stilla umbreytingarvalmöguleika sem eru sameiginlegir öllum sniðum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Valkostir úttaks"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Stilla umbreytingarvalmöguleika sem eru sértækir fyrir hvert úttakssnið"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Bæta við bókum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Inn/útflutningur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Stýrir með hvaða hætti Calibre les lýsigögn úr skrám þegar bókum er bætt við"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Vista bækur á drif"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Stýrir með hvaða hætti Calibre flytur út skrár úr gagnagrunni á drif þegar notað er Vista á drif"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Senda bækur yfir í tæki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Stýrir hverning Calibre sendir bókaskrár yfir í rafbókalesarann þinn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Tengispjald lýsigagna"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Breyta lýsigagnareitum fyrir vistun/sendingu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -775,92 +775,92 @@ msgstr "Breyta lýsigagnareitum fyrir vi
 msgid "Template functions"
 msgstr "Sniðmátsaðgerðir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Ítarlegar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Skapaðu þínar eigin sniðmátsaðgerðir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Deila bókum í gegnum tölvupóst"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Deiling"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Setja upp deilingu bóka í tölvupósti. Getur nýst til að senda sjálfvirkt sóttar fréttir í tækin þín."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Deila yfir netið"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Setja upp Calibre efnissnetþjón sem veitir þér netaðgang að calibre-safninu þínu hvaðan sem er, úr mismunandi tækjum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Hlaða niður lýsigögnum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Stýrir hvernig Calibre hleður niður lýsigögnum rafbóka af netinu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Hunsuð tæki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Stjórnar hvaða tæki Calibre mun hunsa þegar þau eru tengd við tölvuna."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Viðbætur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Bæta við, fjarlægja eða stilla ýmsar Calibre aðgerðir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Fínstillingar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Fínstilla hegðun Calibre við ýmsar aðstæður"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Flýtilyklar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Sérsníða flýtihnappa sem notaðir eru í Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -868,7 +868,7 @@ msgstr "Sérsníða flýtihnappa sem not
 msgid "Miscellaneous"
 msgstr "Ýmislegt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Ýmsar ítarlegri stillingar"
 
@@ -1258,9 +1258,9 @@ msgstr "Varpa gagnagrunni í SQL"
 msgid "Restoring database from SQL"
 msgstr "Endurheimta gagnagrunn úr SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1286,17 +1286,17 @@ msgstr "Vistaðar leitir"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Já"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Forsíða á %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} snið fyrir {1}"
@@ -1682,14 +1682,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [valkostir]\n\nTelur upp allar tiltækar bækur í Calibre-gagnagrunninum.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1697,7 +1697,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1705,39 +1705,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2284,21 +2284,21 @@ msgstr "eyða"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Ógild Boole-fyrirspurn \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Endurkvæmur fyrirspurnarhópur greindist: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3474,11 +3474,11 @@ msgstr "Fjarlægði %s"
 msgid "All books removed"
 msgstr "Allar bækur fjarlægðar"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Nafnlaust tæki"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3487,12 +3487,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Óþekkt MTP tæki"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6047,7 +6047,7 @@ msgstr "Athugasemdir"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6340,7 +6340,7 @@ msgid "Producer"
 msgstr "Framleiðandi"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6348,7 +6348,7 @@ msgid "Comments"
 msgstr "Athugasemdir"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6388,7 +6388,7 @@ msgid "Tags"
 msgstr "Merki"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6418,7 +6418,7 @@ msgid "Timestamp"
 msgstr "Tímastimpill"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8148,13 +8148,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "Valkostir við gerð HTML-efnisyfirlits."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} af <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8187,31 +8187,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "Hliðarspjald"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9180,7 +9180,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10189,7 +10189,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Hjálp"
 
@@ -11448,7 +11448,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Hunsa"
 
@@ -11578,8 +11578,8 @@ msgstr "Breyta"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11713,11 +11713,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Sýsla með %s"
@@ -11860,7 +11860,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12187,7 +12187,7 @@ msgid "Preset name:"
 msgstr "Nafn á forstillingu:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Þú verður að gefa upp nafn."
 
@@ -12264,7 +12264,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Vista"
 
@@ -12273,10 +12273,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Eyða"
@@ -12389,8 +12389,8 @@ msgstr "Endurstilla á sjálfgefið"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13576,7 +13576,7 @@ msgid "Ta&gs:"
 msgstr "&Merki: "
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13591,8 +13591,8 @@ msgstr "&Ritröð:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Listi yfir þekktar ritraðir. Þú getur bætt nýjum við."
@@ -14459,7 +14459,7 @@ msgid "Choose color"
 msgstr "Veldu lit"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14800,19 +14800,19 @@ msgid "Edit style transform rules"
 msgstr "Breyta ummyndunarreglum fyrir stíla"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "&Flytja út"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Flytja þessar reglur út í skrá"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14886,8 +14886,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14968,7 +14968,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16548,7 +16548,7 @@ msgid "Change case"
 msgstr "Breyta stafstöðu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16556,7 +16556,7 @@ msgid "Upper case"
 msgstr "Hástafa"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16564,7 +16564,7 @@ msgid "Lower case"
 msgstr "Lágstafa"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16572,7 +16572,7 @@ msgid "Swap case"
 msgstr "Víxla stafstöðu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16606,7 +16606,7 @@ msgid "Manage authors"
 msgstr "Sýsla með höfunda"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Leita að:"
@@ -17027,78 +17027,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Í vinnslu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Vinn með %d bækur, bíddu aðeins..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Skref %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Lágstafir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Hástafir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Stafstaða titils"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Samsvörun stafa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Regluleg segð"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Útskiptingareitur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Bæta framan við gagnasvið"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Bók %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17106,7 +17106,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17116,7 +17116,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17131,80 +17131,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Höfundar: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17212,90 +17221,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "Ví&xla titli og höfundi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Röð&un höfunda: "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Uppfæra röðun bóka&titla"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Skipta um &forsíðu"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "Út&búa sjálfgefna forsíðu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Stjörnugjöf:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Fjarlægja forsíðu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Beita einkunnagjöf"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "Út&gefandi: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "Skera u&tan af forsíðu (ÁHÆTTUSAMT)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Ef merkt er við þetta, mun úthefandi verða hreinsaður"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Klóna forsíður"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Opna merkjaritil"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Fja&rlægja merki:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Kommu-aðgreindur listi yfir merki sem á að eyða úr bókunum. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Dagsetning:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Hakaðu við þennan reit til að fjarlægja öll merki úr bókunum."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Ef merkt er við þetta, mun úthefandi verða hreinsaður"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Fjarlægja &allt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Út&gefið:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Ef merkt er við þetta, mun ritröðin verða hreinsuð"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Hreinsa ritröð"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17303,281 +17307,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Númer&a sjálfvirkt bækur í þessari ritröð"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "Þvinga tölur til að &byrja á:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Ef merkt er við þetta, mun ritröðin verða hreinsuð"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Hreinsa ritröð"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Dagsetning:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Út&gefið:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
+msgstr "Hreinsa útgáfudagsetningu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Fja&rlægja merki:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "Tungumá&l:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Fjarlægja &allt"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Fjarlægja geymdar umbreytingastillingar fyrir valdar bækur.\n\nUmbreytingar á þessum bókum í framtíðinni munu nota sjálfgefnar stillingar."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Fjarlæ&gja geymdar umbreytingastillingar fyrir valdar bækur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Beita einkunnagjöf"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
-msgstr "Hreinsa útgáfudagsetningu"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Höfundar: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "Tungumá&l:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "Út&gefandi: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Kommu-aðgreindur listi yfir merki sem á að eyða úr bókunum. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Opna merkjaritil"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Röð&un höfunda: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Uppfæra röðun bóka&titla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Skipta um &forsíðu"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "Út&búa sjálfgefna forsíðu"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Fjarlægja forsíðu"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "Skera u&tan af forsíðu (ÁHÆTTUSAMT)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Fjarlægja geymdar umbreytingastillingar fyrir valdar bækur.\n\nUmbreytingar á þessum bókum í framtíðinni munu nota sjálfgefnar stillingar."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Fjarlæ&gja geymdar umbreytingastillingar fyrir valdar bækur"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Klóna forsíður"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Hakaðu við þennan reit til að fjarlægja öll merki úr bókunum."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Stjörnugjöf:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grunn-lýsigögn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Sérsniðin lýsigögn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Vista núverandi leit/útskiptingu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Vista"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Leitars&við:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Heiti gagnasviðsins sem þú vilt leita í"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Leitarha&mur:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "&Gerð auðkennis:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Sniðmát:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "&Næmt fyrir há- og lágstöfum"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Skipta út með:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "&Hamur:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "&Kljúfa útkomu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17585,48 +17611,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Prufutexti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Niðurstöður prófunar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Leita að og skipta út"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18082,42 +18108,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Atriði: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Engin atriði fundust**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Bækur með valda atriðinu \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Flýtiskoðun: Bók er ekki í bókasafnssýn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18223,87 +18249,87 @@ msgstr "Endurheimting gagnagrunns mistó
 msgid "Failed to repair library"
 msgstr "Mistókst að gera við safn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Nafn vistuðu leitarinnar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Leita:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Ekkert heiti á leit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Engin leitarsegð"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Sýsla með vistaðar leitir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Bæta við leit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "B&reyta leit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19201,48 +19227,64 @@ msgstr "Merki 1"
 msgid "Tag 2"
 msgstr "Merki 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "FRÁVIK"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Enginn dálkur valinn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Þú verður að tilgreina hvaða dálk á að lita"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Ekkert sniðmát fylgdi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20306,7 +20348,7 @@ msgstr "Leita að flýtivísun eftir hei
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Engar samsvaranir"
 
@@ -20465,8 +20507,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20483,14 +20525,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Fella allt saman"
 
@@ -22710,60 +22752,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "Bæt&a við reglu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "Fja&rlægja reglu/r"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Færa valda reglu upp"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Færa valda reglu niður"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Bæta &við ítarlegri reglu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Flytja reglur inn úr skrá"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Þú getur stýrt litum dálka í bókalista með því að útbúa \"reglur\" sem segja Calibre hvaða lit eigi að nota. Smelltu á \"Bæta við reglu\" hnappinn hér fyrir neðan til að byrja.<p>Þú getur <b>breytt fyrirliggjandi reglu</b> með því að tvísmella á hana."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Þú getur bætt við táknmyndum við dálka í bókalist með því að útbúa \"reglur\" sem segja Calibre hvaða táknmynd eigi að nota. Smelltu á \"Bæta við reglu\" hnappinn hér fyrir neðan til að byrja.<p>Þú getur <b>breytt fyrirliggjandi reglu</b> með því að tvísmella á hana."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22771,57 +22813,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Þú getur bætt við táknum (litlar táknmyndir) sem birtast þá við hlið forsíðna í forsíðureitum með því að útbúa \"reglur\" sem segja Calibre hvaða mynd eigi að nota. Smelltu á \"Bæta við reglu\" hnappinn hér fyrir neðan til að byrja.<p>Þú getur <b>breytt fyrirliggjandi reglu</b> með því að tvísmella á hana."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "&Birta tákn við hlið forsíðna"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Engin regla valin"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Engin regla valin fyrir %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "fjarlæging"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Veldu skrá til að flytja út í"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Reglur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Veldu skrá sem á að flytja inn úr"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Engar gildar reglur fundust"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Engar gildar reglur fundust í {}."
 
@@ -23663,13 +23705,13 @@ msgstr "Enginn undirtitill"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Neðst"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Efst"
 
@@ -23703,7 +23745,7 @@ msgid "If there is enough room"
 msgstr "Ef það er nægilegt pláss"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Eftir fyrsta staf"
 
@@ -23984,7 +24026,7 @@ msgid ""
 msgstr "Það eru tvær tegundir biðminnis sem Calibre notar til að bæta afköst þegar verið er að myndgera forsíður í reitasýn. Biðminni á diski er frátekið á hörðum diski til að geyma smámyndir af forsíðum og svo biðminni í vinnsluminninu til að tryggja að myndgerð forsíðnanna sjálfra verði án tafa (þær blikki ekki). Til að árangur verði sem bestur, skaltu halda biðminni í vinnsluminni frekar litlu og biðminni á diski frekar stóru, nema auðvitað ef þú sért með ókjör af vinnsluminni (RAM) í tölvunni og hafir ekkert á móti því að það sé notað undir biðminni."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Gera óvirkt"
 
@@ -24676,8 +24718,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Hér er hægt að breyta lýsigögnunum sem Calibre notar til að uppfæra bók þegar hún er vistuð á drif eða send til tækis.\n\nNotið þennan svarglugga til að skilgreina 'tengispjald' fyrir snið (eða öll snið) og tæki (eða öll tæki). Tengispjaldið tilgreinir hvaða sniðmát er tengt hvaða gagnasvæði. Sniðmátið er notað til að reikna út gildi og það gildi er svo hengt á gagnasvæðið sem tengt er við.\n\nSniðmát innihalda oft einfaldar tilvísanir í samsetta dálka, en það er ekki nauðsynlegt. Hægt er að nota mörg sniðmát sem notuð eru annars staðar í Calibre.\n\nEinn möguleiki er að nota tengispjald til að breyta titli svo hann innihaldi upplýsingar um raðir. Annar möguleiki væri að breyta höfundategund, nokkuð sem mobi notendur gætu gert til að þvinga tenudina til að nota ';' eins og gert er í kindle. Þriðji möguleikinn er að tilgreina tungumál."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25245,7 +25287,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Breyta lykilorði fyrir {}"
 
@@ -25380,7 +25422,7 @@ msgid "Change &password"
 msgstr "Breyta ly&kilorði"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25391,7 +25433,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26904,7 +26946,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27195,7 +27237,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Endurnefna %s"
@@ -27255,95 +27297,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Fjarlægja %(item)s úr flokknum %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Leita að öllu nema %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Leita að bókum í flokknum %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Leita að bókum sem ekki eru í flokknum %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Fela flokkinn %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Breyta táknmynd flokks"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Endurheimta sjálfgefna táknmynd"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Sýsla með flokka notandans"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Uppskipting"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28000,7 +28042,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28531,7 +28574,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Henda"
 
@@ -30769,7 +30812,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Skáletrað</h3>Gera valinn texta skáletraðan"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Undirstrikað"
 
@@ -32096,7 +32139,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32723,7 +32766,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Flytja út"
 
@@ -34597,71 +34640,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35115,7 +35158,7 @@ msgid "E-book viewer"
 msgstr "Rafbókalesari"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35191,13 +35234,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35362,10 +35405,10 @@ msgid "< &Back"
 msgstr "< &Til baka"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Hætta við"
 
@@ -36006,7 +36049,7 @@ msgid "No genres to catalog.\n"
 msgstr "Engar stíltegundir til að bæta í efnisskrá\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36055,7 +36098,7 @@ msgstr "Röðun titla"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36532,177 +36575,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "sjálfgefið"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Ekkert valið, hætti..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s er ekki leyfilegt val, reyndu aftur"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Það eru engir notendur, þú verður fyrst að bæta við notanda"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Sláðu inn notandanafn"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Settu nýja lykilorðið fyrir %s aftur inn til að staðfesta: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Lykilorðin stemma ekki"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Lykilorðinu fyrir %s hefur verið breytt!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Önnur takmörkun?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Settu inn kommu-aðgreindan lista yfir nöfn bókasafna:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "lesa-skrifa"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "skrifvarið"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Bæta við nýjum notanda"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Breyta fyrirliggjandi notanda"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Fjarlægja notanda"
 
@@ -37110,13 +37184,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37124,23 +37199,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Stöðvað af notanda."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37153,7 +37228,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Ógild málskipan. Búist var við uppflettinafni eða orði"
 
@@ -37312,128 +37387,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr "Skráin \"er þegar opin í öðru ferli"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: óþekkt fall"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37488,60 +37563,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37553,7 +37628,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- metur x sem sniðmát. Matið er framkvæmt í fráteknum ham, þannig að breytur eru ekki sameiginlegar utan og innan við haminn. Vegna þess að { og } slaufusvigarnir eru frátekin tákn, þá verður að nota hornklofana [[ í stað { svigans og ]] fyrir } svigann; þeim hornklofum er svo sjálfkrafa breytt aftur. Til dæmis, þá mun template('[[titill_raða]]') leggja mat á sniðmátið {titill_raða} og skila gildinu á því til baka. Takið eftir að ekki er hægt að nota forskeyti og viðskeyti (með `|forskeyti|viðskeyti` málskipan) með þessari aðgerð í sniðmátsham."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37564,13 +37639,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(sniðmát) -- metur sniðmátið og tekur við staðbundnum breytum (þær sem eru virkjaðar) í staðinn fyrir lýsigögnum bókar. Þannig getur sniðmátsvélin framkvæmt flóknar niðurstöður úr staðbundnum breytum. Vegna þess að { og } slaufusvigarnir eru frátekin tákn, þá verður að nota hornklofana [[ í stað { svigans og ]] fyrir } svigann; þeim hornklofum er svo sjálfkrafa breytt aftur. Til dæmis, þá mun template('[[titill_raða]]') leggja mat á sniðmátið {titill_raða} og skila gildinu á því til baka. Takið eftir að ekki er hægt að nota forskeyti og viðskeyti (með `|forskeyti|viðskeyti` málskipan) með þessari aðgerð í sniðmátsham."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37580,30 +37655,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37613,7 +37688,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37623,24 +37698,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37649,11 +37724,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37663,19 +37738,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37685,11 +37760,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37701,11 +37776,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37716,14 +37791,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37736,20 +37811,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37763,7 +37838,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37771,7 +37846,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37780,14 +37855,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37800,19 +37875,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37822,7 +37897,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37830,7 +37905,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37838,13 +37913,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37855,7 +37930,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37868,7 +37943,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37885,7 +37960,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37908,23 +37983,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37933,7 +38008,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37942,55 +38017,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37999,7 +38074,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38007,7 +38082,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38015,7 +38090,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38023,7 +38098,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38032,7 +38107,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38041,7 +38116,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38049,14 +38124,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38064,7 +38139,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38072,28 +38147,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38102,7 +38177,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38111,7 +38186,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38120,7 +38195,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38128,7 +38203,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38140,7 +38215,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38151,7 +38226,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38159,13 +38234,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38173,7 +38248,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38186,11 +38261,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38198,11 +38273,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38211,7 +38286,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38222,7 +38297,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38232,6 +38307,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38520,29 +38601,29 @@ msgstr "Loka án þess að vista"
 msgid "Close Tab"
 msgstr "Loka flipa"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Aukastafir í enda leitar"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "vantar )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Endurkvæm vistuð leit: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Óþekkt vistuð leit: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Óþekkt villa í vistaðri leit: {0}"
@@ -38905,185 +38986,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Ekki sækja CSS-stílblöð."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Í lagi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Vista allt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Opna"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Já"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Já við öll&u"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nei"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&ei við öllu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Hætta við"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Reyna aftur"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Loka"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Virkja"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Frumstilla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Endurheimta sjálfgefið"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "L&itblær:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "Lit&mettun:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "Lit&gildi:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Rautt:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Grænt:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Blátt:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lfa gegnsæisrás:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Bendill á %1, %2\nÝttu á ESC til að hætta"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Veldu lit"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Grunnlitir"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Sérsniðnir litir"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Bæta í sérsniðna liti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Plokka lit af skjá"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Veldu letur"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Letur"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Leturs&tíll"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Stærð"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Brellur"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "&Gegnumstrikað"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Dæmi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Skr&ifkerfi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Skruna til vinstri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Skruna upp"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Skruna niður"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Skruna til hægri"
 
@@ -39363,8 +39444,8 @@ msgstr "Tilgreindu endurnefningarreglur
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Skilgreina nafnabreytingarreglur fyrir SONY-ritsöfn. Þessi fínstilling á einungis við\nef meðhöndlun lýsigagna er sjálfvirk. Söfn í Sony tækjum eru nefnd eftir því\nhvort gagnasviðið er hefðbundið eða sérsniðið. Safn sem nefnt er samkvæmt\nhefðbundnu gagnasviði fær sama nafn og það gagnasvið. Til dæmis, ef\nhefðbundinn 'raða' dálkur inniheldur gildið 'Drekinn', þá fær safnið nafnið\n'Drekinn'. Safn sem dregið er af sérsniðnu gagnasviði mun fá nafnið\ná\ngagnasviðinu sem bætt hefur verið við gildið. Til dæmis, ef dálkur í sérsniðinni\nröð sem heitir 'Röðin mín' inniheldur nafnið 'Drekinn', þá mun safnið\nsjálfkrafa verða nefnt 'Drekinn (mín röð)'. Í þessum leiðbeiningum þá er\nnafnið 'Drekinn' kallað gildið og 'Mín röð' er kallað flokkurinn. Ef tvær\nbækur hafa gagnasvið sem býr til sama safnsnafn, þá verða báðar\nbækurnar í því safni.\nÞessi fínstilling leyfir skilgreiningu á stöluðum eða sérsniðnum gagnasvæðum\nhvernig nefna skal söfnin. Hægt er að nota þær til að bæta lýsingu við hefðbundið\ngagnasvið, til dæmis 'Foo (Tag)' í stað 'Foo'. Einnig er hægt að nota þær\ntil að þvinga mörg gagnasvæði inn í sama safn. Til dæmis væri hægt að\nþvinga gildin í 'röðunum' '#mín_röð_1' og '#mín_röð_2' að birtast í söfnum\nsem kallast 'eitthvert_gildi (röð)', og þannig sett saman öll gagnasviðin\ní eitt safnasett.\nTvær fínstillingar skal einnig nefna. Sú fyrri ákvarðar flokksnafnið sem nota skal\ná lýsigagnasvæði. Hin seinni er sniðmát sem notað er til að ákvarða hvernig\ngildi og flokkur eru sameinuð til að búa til safnsnafnið.\nMálskipan fyrri fínstillingarinnar, sony_safn_endurnefna_reglur er:\n{'gagnasvæði_leitarnafn':'flokkur_nafn_nota', 'leita_nafn':'nafn', ...}\nSeinni fínstillingin, sony_safn_nafn_sniðmát, er sniðmát. Það notar sömu\nsniðmátaraðferðina og tengispjöld og vistar sniðmát. Þessi fínstilling\nstýrir hvernig gildi og flokkar eru sameinaðir til að búa til safnsnafnið.\nEinu nothæfu ganasvæðin eru {flokkur} og {gildi}. Gagnasvæðið {gildi} er\naldrei tómt. Gagnasvæðið {flokkur} gæti verið tómt. Sjálfgefið er að setja\ngildið fyrst, svo flokkinn í sviga ef hann er til\n'{gildi} {flokkur:|(|)}'\nDæmi: Í fyrstu þremur dæmunum er gert ráð fyrir að seinni fínstillingunni\nhafi ekki verið breytt.\n 1: Sameinum þrjá raðadálka í eitt safnasett. Leitarorð fyrir dálkana eru\n'röð', '#röð_1' og '#röð_2'. Ekkert á að vera í sviga. Gildin sem notuð eru\ní fínstillingunni eru:\nsony_safn_endurnefna_reglur={'röð':'', '#röð_1':'', '#röð_2':''}\n2: Við viljum að orðið '(Röð)' birtist á safni sem búið er til úr röðum og að\nnafnið '(Tag)' birtist á söfnum sem búin er til úr tögum. Notið þá:\nsony_safn_endurnefna_reglur={'röð':'Röð', 'tag':'Tag'}\n3: Við viljum að 'röð' og '#eymd' verði sameinað og að nafnið á safninu\nfái viðbótina ('Röð'). Nafnabreytingaraðferðin verður:\nsony_safn_endurnefna_reglur={'röð':'Röð', '#eymd':'Röð'}\n4: Sama og í dæmi 2, en í staðinn fyrir að hafa flokkinn í sviga og bætt\nvið gildið, þá viljum við setja flokksnafnið fremst og aðskilið með tvípunkti\nlíkt og hér Röð: Drekinn. Það verður að breyta sniðmátinu sem notað var til\nað sníða flokksnafnið. Fínstillingarnar tvær verða: \nsony_safn_endurnefna_reglur={'röð':'Röð', 'tög':'Tag'}\nsony_safn_nafn_sniðmát={flokkur:||: }{gildi}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39420,7 +39501,7 @@ msgstr "Tilgreindu hvernig SONY-ritsöfn
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39435,7 +39516,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Tilgreindu hvernig SONY-ritsöfnum er raðað. Þessi fínstilling á aðeins við ef\nmeðhöndlun lýsigagna er höfð sjálfvirk. Hægt er að ákvarða hvaða lýsigögn\nskal nota til að raða hverju einstöku safni. Snið fínstillingarinnar er listi yfir\nlýsigagnasvæðin sem söfnin eru búin til úr og þar á eftir nafn þess lýsigagnasvæðis\nsem ræður röðuninni.\nDæmi: Eftirfarandi gefur til kynna að söfn sem gerð eru úr útgáfudagur og\ntög eigi að raðast samkvæmt gildum í notendadálkinum '#míndagsetning',\nað söfn gerð úr 'seríur' eigi að raðast samkvæmt 'seríuvísir' og að öll önnur\nsöfn eigi að raðast samkvæmt titli. Ef eitthvert lýsigagnasvæði í safni er\nónefnt og um seríu safn er að ræða þá raðast safnið eftir seríum en annars\ní titlaröð.\n[(['útgáfudagur', 'tög'],'#míndagsetning'), (['seríur'],'seríuvísir'), (['*'], 'titill')]\nTakið eftir að nauðsynlegt er að hafa hornklofa og sviga. Málskipan er\n[ ( [listi svæða], röðunarsvæði ) , ( [ listi svæða ] , röðunarsvæði ) ]\nSjálfgefið: empty (no rules), þ.e. engin safneigindi eru tilgreind."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/it.po 5.10.0+dfsg-1/translations/calibre/it.po
--- 5.9.0+dfsg-3/translations/calibre/it.po	2021-01-06 15:29:18.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/it.po	2021-01-20 15:27:24.000000000 +0000
@@ -81,8 +81,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -161,15 +161,15 @@ msgstr "Non fa assolutamente niente"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -190,7 +190,7 @@ msgstr "Non fa assolutamente niente"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -290,16 +290,16 @@ msgstr "Non fa assolutamente niente"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -325,7 +325,7 @@ msgstr "Non fa assolutamente niente"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -357,7 +357,7 @@ msgstr "Non fa assolutamente niente"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -376,7 +376,7 @@ msgstr "Non fa assolutamente niente"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -400,27 +400,27 @@ msgstr "Personalizza"
 msgid "Cannot configure"
 msgstr "Impossibile configurare"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tipo di file"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lettore metadati"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Scrittore metadati"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generatore del catalogo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Azione dell'interfaccia utente"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -432,20 +432,20 @@ msgstr "Azione dell'interfaccia utente"
 msgid "Preferences"
 msgstr "Preferenze"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Negozio"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Un negozio e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Strumento modifica libro"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Libreria chiusa"
 
@@ -467,372 +467,372 @@ msgstr "Crea un archivio TXTZ quando si
 msgid "Extract cover from comic files"
 msgstr "Estrai le copertine dai file dei fumetti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Leggi i metadati dai file %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Leggi i metadati da e-book contenuti in archivi RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Leggi i metadati da e-book contenuti in archivi ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Imposta i metadati nei file %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Inserisci sotto {0} per evitare che il plugin che si occupa di scrivere i metadati EPUB aggiunga immagini ai file EPUB che non hanno un'immagine di copertina."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Imposta i metadati dai file %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Aggiungi libri a calibre o al dispositivo connesso"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Scarica le annotazioni da un Kindle connesso (sperimentale)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Genera un catalogo dei libri nella biblioteca di calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Converti i libri in vari formati di e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Perfeziona i tuoi e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Cambia l'indice dei tuoi libri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Elimina i libri dalla biblioteca di calibre o dal dispositivo connesso"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Incorpora i metadati aggiornati nel file attuale della tua libreria di calibre "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Modifica i metadati dei libri nella biblioteca di calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Leggi i libri nella biblioteca di calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Scarica notizie da internet in forma di e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Mostra rapidamente un elenco di libri correlati"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtra/trasforma i tag per i libri nella libreria"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Trasformare gli autori dei libri presenti nella biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Visualizza un editor per testare i templates"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Esporta i libri dalla biblioteca di calibre al disco fisso"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Mostra i dettagli del libro in un riquadro separato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Riavvia calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Apri la cartella che contiene i file dei libri nella tua biblioteca di calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Invia i libri al dispositivo connesso"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Invia libri via email o sul web. Si collega anche a cartelle sul tuo computer come se fossero dispositivi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Sfoglia il manuale utente di calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personalizza calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Cerca facilmente libri simili a quello attualmente selezionato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Passa ad altre librerie di calibre ed effettua azioni di manutenzione su di esse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copia i libri dal dispositivo alla biblioteca di calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Modifica le raccolte in cui i libri sono organizzati sul tuo dispositivo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Sincronizza i libri sui dispositivi con quelli nella biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copia un libro da una biblioteca di calibre ad un'altra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Modifica e-book in formato EPUB o AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Fai piccole modifiche ai file EPUB  o HTMLZ nella tua libreria di calibre."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Trova la prossima o la precedente occorrenza durante la ricerca nella biblioteca di calibre in modalità evidenziata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Scegli un libro a caso dalla biblioteca di calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Ordina l'elenco dei libri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marca temporaneamente i libri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Cambia la libreria virtuale corrente"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Cerca libri da diversi venditori"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Ottieni nuovi plugin di calibre o aggiorna quelli esistenti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Aspetto"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfaccia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Modifica l'aspetto dell'interfaccia di calibre secondo i tuoi gusti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportamento"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Cambia il comportamento di calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Aggiungi colonne personalizzate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Aggiungi/Rimuovi colonne personalizzate dall'elenco dei libri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Barre degli strumenti & Menu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Personalizza la barra degli strumenti e i menu contestuali, cambiando le azioni disponibili in ognuno"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Ricerca in corso"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personalizza il funzionamento della modalità di ricerca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Profilo di input"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversione"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Imposta le opzioni di conversione specifiche per ogni formato di input"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Opzioni comuni"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Imposta le opzioni di conversione comuni a tutti i formati"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Profilo di output"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Imposta le opzioni di conversione specifiche per ogni formato di output"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Aggiunta libri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Import/export"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Controlla come calibre legge i metadati dai file quando vengono aggiunti dei libri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Salvataggio libri su disco"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Controlla come calibre esporta i file dal suo database al disco quando si usa Salva su disco"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Invio libri ai dispositivi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Controlla come calibre trasferisce i file nel tuo lettore e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Controlli dei metadati"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Cambia i campi dei metadati prima di salvare/inviare"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -842,92 +842,92 @@ msgstr "Cambia i campi dei metadati prim
 msgid "Template functions"
 msgstr "Modelli di funzioni"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avanzate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Crea le tue funzioni di modello"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Condivisione libri via email"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Condivisione"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Imposta la condivisione dei libri via email. Può essere usato per inviare automaticamente le notizie scaricate ai dispositivi."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Condivisione sulla rete"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Imposta il server dei contenuti calibre che dà accesso alla libreria di calibre da qualsiasi luogo e dispositivo attraverso internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Scarica i metadati"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Controlla come calibre scarica i metadata degli e-book dalla rete"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Dispositivi ignorati"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Controlla quali dispositivi saranno ignorati da calibre se collegati al computer."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plugin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Aggiungi/rimuovi/personalizza vari dettagli delle funzionalità di calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Ottimizzazioni"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Regolazione del comportamento di calibre in diversi contesti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Scorciatoie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Personalizza le scorciatoie da tastiera utilizzate da calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -935,7 +935,7 @@ msgstr "Personalizza le scorciatoie da t
 msgid "Miscellaneous"
 msgstr "Varie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Configurazione di altre opzioni"
 
@@ -1325,9 +1325,9 @@ msgstr "Dump del database in SQL"
 msgid "Restoring database from SQL"
 msgstr "Ripristino del database da SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1353,17 +1353,17 @@ msgstr "Ricerche salvate"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Sì"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Copertina per %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formato per {1}"
@@ -1749,14 +1749,14 @@ msgstr "Selezionando questa opzione verr
 msgid "You must specify some ids or the %s option"
 msgstr "È necessario specificare qualche id o l'opzione %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [opzioni]\n\nElenca i libri disponibili nel database di calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1764,7 +1764,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1772,39 +1772,39 @@ msgid ""
 "Default: {1}"
 msgstr "Il campo con cui ordinare i risultati.\nCampi disponibili: {0}\nPredefinito: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Ordina i risultati in ordine crescente"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtra i risultati con una ricerca. Per il formato della ricerca, vedere la documentazione relativa alla ricerca nel Manuale Utente. L'opzione predefinita è quella di non filtrare."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "La larghezza massima di una singola riga nell'output. L'impostazione predefinita è quella di rilevare la dimensione dello schermo."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "La stringa usata per separare i campi. Predefinita: uno spazio."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Il prefisso per tutti i percorsi. L'impostazione predefinita è il percorso alla cartella della biblioteca."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Il numero massimo di risultati da visualizzare. Predefinito: tutti"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2351,21 +2351,21 @@ msgstr "vuota"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Ricerca booleana non valida \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Non esiste la biblioteca Virtuale: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "La ricerca della libreria virtuale è ricorsiva: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Rilevato gruppo di ricerca ricorsivo: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3541,11 +3541,11 @@ msgstr "%s rimosso"
 msgid "All books removed"
 msgstr "Tutti i libri sono stati rimossi"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Dispositivo senza nome"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3554,12 +3554,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Dispositivo MTP sconosciuto"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6114,7 +6114,7 @@ msgstr "Note"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6407,7 +6407,7 @@ msgid "Producer"
 msgstr "Produttore"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6415,7 +6415,7 @@ msgid "Comments"
 msgstr "Commenti"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6455,7 +6455,7 @@ msgid "Tags"
 msgstr "Tag"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6485,7 +6485,7 @@ msgid "Timestamp"
 msgstr "Timestamp"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8215,13 +8215,13 @@ msgstr "Aggiornata versione EPUB da 2 a
 msgid "HTML TOC generation options."
 msgstr "Opzioni per creazione della TOC (indice contenuti) da HTML"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} di <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8254,31 +8254,31 @@ msgstr "Crea un documento Adobe \"page-m
 msgid "Sidebar"
 msgstr "Barra laterale"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Aggiorna i metadati in PDF"
 
@@ -9247,7 +9247,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10256,7 +10256,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Aiuto"
 
@@ -11515,7 +11515,7 @@ msgid "Errors while adding"
 msgstr "Errore durante l'aggiunta"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignora"
 
@@ -11645,8 +11645,8 @@ msgstr "Cambia"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11780,11 +11780,11 @@ msgid "Search the internet for this book
 msgstr "Cerca su internet questo libro"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Gestione %s"
@@ -11927,7 +11927,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12254,7 +12254,7 @@ msgid "Preset name:"
 msgstr "Nome preimpostazione:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Devi fornire un nome."
 
@@ -12331,7 +12331,7 @@ msgid "Save current catalog settings as
 msgstr "Salva le impostazioni correnti di catalogo come preimpostazione"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Salva"
 
@@ -12340,10 +12340,10 @@ msgid "Delete current preset"
 msgstr "Elimina la preimpostazione corrente"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Elimina"
@@ -12456,8 +12456,8 @@ msgstr "Ripristina i valori predefiniti"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13643,7 +13643,7 @@ msgid "Ta&gs:"
 msgstr "Ta&g:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13658,8 +13658,8 @@ msgstr "&Serie:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Elenco di serie conosciute. È possibile aggiungere nuove serie."
@@ -14526,7 +14526,7 @@ msgid "Choose color"
 msgstr "Scegli il colore"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14867,19 +14867,19 @@ msgid "Edit style transform rules"
 msgstr "Modifica le righe trasforma stile"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&sporta"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Esporta queste righe verso un file"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14953,8 +14953,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15035,7 +15035,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16615,7 +16615,7 @@ msgid "Change case"
 msgstr "Modifica capitalizzazione"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16623,7 +16623,7 @@ msgid "Upper case"
 msgstr "Maiuscole"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16631,7 +16631,7 @@ msgid "Lower case"
 msgstr "Minuscolo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16639,7 +16639,7 @@ msgid "Swap case"
 msgstr "Inverti Maiuscole"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16673,7 +16673,7 @@ msgid "Manage authors"
 msgstr "Gestisci autori"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Cerca:"
@@ -17094,78 +17094,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "In esecuzione"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Elaborazione di %d libri in corso, attendi..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Minuscole"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Maiuscole"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Caratteri per titolo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Corrispondenza carattere"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Sostituisci campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Anteponi al campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Aggiungi al campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Esegue immediatamente le variazioni senza chiudere la finestra di dialogo. Questa operazione non può essere annullata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Libro %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Inserisci un tipo di identificatore"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17173,7 +17173,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>È possibile distruggere la biblioteca con questa funzionalità.</b> Le modifiche sono permanenti, non è possibile tornare indietro. È fortemente consigliato di fare una copia della propria biblioteca prima di procedere.<p>Cerca e sostituisce nei campi di testo usando la corrispondenza dei caratteri o le espressioni regolari. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17183,7 +17183,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17198,80 +17198,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERRORE MODELLO S/R"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Devi specificare una destinazione quando l'origine è un campo composto o un modello"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Devi specificare un tipo di identificatore di destinazione"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Devi specificare un'espressione di ricerca nel campo \"Cerca\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Stringa identificatrice non valida. Deve essere una lista divisa da virgole di coppie di stringhe separate da due punti(:)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Cerca/sostituisci non validi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Cerrca/sOstituisci è invalido:%s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Elimina ricerca/sostituzione salvata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "La ricerca/sostituzione salvata sarà eliminata. Sei sicuro?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Salva ricerca/sostituzione"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nome della ricerca/sostituzione:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "La ricerca/sostituzione salvata esiste già e sarà sovrascritta. Sei sicuro?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autori: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17279,90 +17288,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Imposta a&utomaticamente l'ordinamento autore"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "Sca&mbia titolo e autore"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Author s&ort: "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Aggiorna l'ordinamento titolo sulla base del titolo corrente. Sarà applicata solo dopo le altre modifiche al titolo."
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Specificare come deve essere classificato l'autore di questo libro. Ad esempio, Alessandro Manzoni deve essere classificato come Manzoni, Alessandro."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Aggiorna l'ordinamen&to titolo"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Valutazione:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Cambia &copertina"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Genera copertina predefinita"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Editore: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Elimina copertina"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Se selezionata, l'editore sarà cancellato"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Cerca di individuare e rimuovere automaticamente bordi e spazi in eccesso\ndai bordi delle copertine. Qualche volta può rimuovere\ntroppo, perciò usala con cautela."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Pulis&ci pub"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Taglia copertina (PERICOLOSO)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Aggiungi ta&gs: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Imposta le copertine di tutti i libri selezionati uguali al primo libro selezionato."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Clona le copertine"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Rimuovi tag:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Forza il titolo ad avere le iniziali maiuscole. Se selezionata assieme a \"scambia autori\",\nil titolo e l'autore sono scambiati prima che al titolo vengano applicate le iniziali maiuscole"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Elenco separato da virgole dei tag da rimuovere dal libro. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Cambia &Iniziale titolo con:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Marca questa casella per eliminare tutti i tag dai libri."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&data"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Rimuovi &tutto"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Se selezionata, l'editore sarà cancellato"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Pulis&ci pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Se selezionati, le serie saranno cancellate"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Pubblicato"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Cancella serie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17370,281 +17374,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Se non marcato, il numero di serie per i libri sarà impostato a 1.\nSe impostato, i libri selezionati saranno numerati automaticamente, nell'ordine\nin cui sono stati selezionati. Così se è stato selezionato il libro A e poi il libro B,\nil libro A avrà il numero di serie 1 e il libro B il numero di serie 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Numer&a automaticamente i libri in questa serie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Le serie saranno normalmente rinumerate partendo dal numero più alto del database\nper quella serie. Selezionando questa casella permetterai a calibre di iniziare la numerazione\npartendo dal valore presente nella casella."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Forza l'inizio della numerazione da:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Se selezionati, le serie saranno cancellate"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Cancella serie"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&data"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Imposta i co&mmenti per tutti i libri selezionati"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Rimuovi tag:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Rimuovi &tutto"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Aggiungi ta&gs: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Specificare come deve essere classificato l'autore di questo libro. Ad esempio, Alessandro Manzoni deve essere classificato come Manzoni, Alessandro."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Pubblicato"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Elimina la data di pubblicazione"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autori: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Lingue:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Editore: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Elimina le impostazione di conversione per i libri selezionati.\n\nPer le prossime conversioni di questi libri saranno usate le impostazioni predefinite."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Elenco separato da virgole dei tag da rimuovere dal libro. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Elimina le impostazioni di &conversione per i libri selezionati"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
+msgstr "Quando si fa una conversione dallo stesso formato allo stesso formato,\nper esempio da EPUB a EPUB, calibre salva l'EPUB originale\n come ORIGINAL_EPUB. Questa opzione dice a calibre di ripristinare\n l'EPUB dall'ORIGINAL_EPUB. Utile se avete fatto una conversione\n in blocco di un grande numero di ebook e qualcosa è andato storto."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr "Ripristina gli &originali precedenti la conversione, se disponibili"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Forza il titolo ad avere le iniziali maiuscole. Se selezionata assieme a \"scambia autori\",\nil titolo e l'autore sono scambiati prima che al titolo vengano applicate le iniziali maiuscole"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Cambia &Iniziale titolo con:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Aggiorna l'ordinamento titolo sulla base del titolo corrente. Sarà applicata solo dopo le altre modifiche al titolo."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Aggiorna l'ordinamen&to titolo"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr "Imposta &metadati (tranne copertina) dagli e-books"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Cambia &copertina"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Genera copertina predefinita"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Elimina copertina"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Cerca di individuare e rimuovere automaticamente bordi e spazi in eccesso\ndai bordi delle copertine. Qualche volta può rimuovere\ntroppo, perciò usala con cautela."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Taglia copertina (PERICOLOSO)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Elimina le impostazione di conversione per i libri selezionati.\n\nPer le prossime conversioni di questi libri saranno usate le impostazioni predefinite."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Imposta le copertine di tutti i libri selezionati uguali al primo libro selezionato."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Elimina le impostazioni di &conversione per i libri selezionati"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Clona le copertine"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
-msgstr "Quando si fa una conversione dallo stesso formato allo stesso formato,\nper esempio da EPUB a EPUB, calibre salva l'EPUB originale\n come ORIGINAL_EPUB. Questa opzione dice a calibre di ripristinare\n l'EPUB dall'ORIGINAL_EPUB. Utile se avete fatto una conversione\n in blocco di un grande numero di ebook e qualcosa è andato storto."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
-msgstr "Ripristina gli &originali precedenti la conversione, se disponibili"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Marca questa casella per eliminare tutti i tag dai libri."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Valutazione:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Imposta i co&mmenti per tutti i libri selezionati"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadati &principali"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadati &aggiuntivi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Carica Cerca/Sostituisci:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Seleziona la ricerca/sostituzione salvata da caricare."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Salva la ricerca/sostituzione corrente"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Sal&va"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "&Campo di ricerca:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Il nome del campo per il quale vuoi effettuare la ricerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Modalità di &ricerca:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Scegli se utilizzare una corrispondenza di testo semplice o una corrispondenza di testo avanzata."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Scegli su quale identificatore lavorare"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Modello:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Inserisci un modello da usare come fonte per cerca/sostituisci"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Digita cosa stai cercando, sia in testo semplice che con un'espressione regolare, in base alla modalità"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marca questa casella se la stringa di ricerca deve far corrispondere esattamente i caratteri maiuscoli e minuscoli. Deselezionala per ignorare la corrispondenza"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Distingui le maiuscol&e"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Sostituisci con:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Il testo da sostituire. Il testo corrispondente dalla ricerca verrà sostituito con questa stringa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Applica funzione dopo la sostituzione:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Specifica come il testo deve essere elaborato dopo il cerca e sostituisci. Nel modo carattere, l'intero campo viene elaborato. Nel modo espressioni regolari, solo il testo che corrisponde viene elaborato."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Campo di &destinazione:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Campo nel quale il testo sarà immesso dopo le sostituzioni. \nSe lasciato vuoto, sarà utilizzato il campo sorgente (se modificabile)."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&odalità:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Specifica come il testo deve essere copiato nella destinazione."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Specifica se i risultati devono essere spezzati in valori multipli o\nlasciati come valori singoli. Questa opzione ha effetto maggiore se il campo\nd'origine non è multiplo e quello di destinazione invece lo è"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Dividi &risultato"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Tipo di identificatore:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17652,48 +17678,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Sceglie su quale identificatore operare. Quando il\n              campo di origine è qualcosa di diverso da 'identificatori' potete inserire\n              un * se volete sostituire l'intero set di identificatori con\n              il risultato della ricerca/sostituzione.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Per campi multi-valore, &visualizza"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "con valori separati &da"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Utilizzato per separare i valori in campi multivalore quando si mostrano i risultati dei test"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Testo di prova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Risultato della prova"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Cerca e sostituisci"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Aggiorna l'elenco dei libri dopo la modifica"
 
@@ -18149,42 +18175,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Elemento: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Nessun elemento trovato**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Fai clic su una colonna della biblioteca per vedere le informazioni sul libro"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "Li&bri con l'elemento selezionato \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18290,87 +18316,87 @@ msgstr "Ripristino del database non rius
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Aggiungi una nuova ricerca salvata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "&Cerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Cerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Espressione di ricerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Nessun nome per la ricerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Devi specificare un nome per la ricerca salvata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Nessuna espressione di ricerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Devi specificare una espressione di ricerca per la ricerca salvata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Ricerca salvata non valida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Gestisci le ricerche salvate"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Aggiungi ricerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Rimuovi ricerca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "Modifica ric&erca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "La ricerca corrente salvata sarà <b>eliminata definitivamente</b>. Sei sicuro?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Modifica ricerca salvata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Esiste già una ricerca salvata con il nome {}. Scegli un altro nome"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Espressione di ricerca"
 
@@ -19268,48 +19294,64 @@ msgstr "Tag 1"
 msgid "Tag 2"
 msgstr "Tag 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Guida sul modello del linguaggio"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Riferimento al modello della funzione"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "ECCEZIONE: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nessuna colonna selezionata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Devi specificare una colonna da colorare"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Nessun modello fornito"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Il riquadro del modello non può essere vuoto"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20373,7 +20415,7 @@ msgstr "Cerca una scorciatoia per nome"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Nessuna corrispondenza"
 
@@ -20532,8 +20574,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20550,14 +20592,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Espandi tutto"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Contrai tutto"
 
@@ -22777,60 +22819,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Aggiungi regola"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Rimuovi Regola(e)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Sposta la regola selezionata in alto"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Sposta la regola selezionata in basso"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22838,57 +22880,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Mostra gli &emblemi accanto alle copertine"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Nessuna regola selezionata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Nessuna regola selezionata per %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "rimozione"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Regole"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23730,13 +23772,13 @@ msgstr "Nessun sottotitolo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Sotto"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Sopra"
 
@@ -23770,7 +23812,7 @@ msgid "If there is enough room"
 msgstr "Se c'è abbastanza spazio"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "In base all'iniziale"
 
@@ -24051,7 +24093,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Disabilita"
 
@@ -24743,8 +24785,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Qui puoi cambiare i metadati che calibre usa per aggiornare un libro in caso di salvataggio su disco o invio a un dispositivo.\n\nUtilizza questa finestra per definire un 'controllo' per un formato (o tutti i formati) e un dispositivo (o tutti i dispositivi). Il controllo specifica quale modello è collegato a quale campo. Il modello è utilizzato per calcolare un valore, e tale valore è assegnato al campo collegato.\n\nSpesso i modelli contengono semplici riferimenti a colonne composte, ma non è necessario. Puoi utilizzare qualsiasi modello in un riquadro sorgente che puoi impiegare altrove in calibre.\n\nUn possibile utilizzo di un controllo è l'alterazione del titolo per contenere informazioni sulla serie. Un altro potrebbe essere la modifica dell'ordinamento autore, cosa che gli utenti di mobi potrebbero fare per forzare l'uso di ';' che il kindle richiede. Un terzo potrebbe essere la specifica di una lingua."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25312,7 +25354,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25447,7 +25489,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25458,7 +25500,7 @@ msgid "Change the allowed libraries"
 msgstr "Cambia le librerie permesse"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26971,7 +27013,7 @@ msgid "Books in this category are unrate
 msgstr "I libri in questa categoria non hanno valutazione"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Espressione di ricerca:"
 
@@ -27262,7 +27304,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Rinomina %s"
@@ -27322,95 +27364,95 @@ msgstr "Elimina la ricerca salvata %s"
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Rimuovi %(item)s dalla categoria %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Cerca tutto tranne %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Aggiungi sottocategoria a %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Elimina categoria utente %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Cerca libri nella categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Cerca libri che non sono nella categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Nascondi categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Cambia l'icona della categoria"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Ripristina l'icona predefinita"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Gestisci le categorie utente"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Cambia lo schema di sottocategorizzazione"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partizione"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "La prima lettera è utilizzabile solo in caso di ordinamento per nome"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Espandi o comprimi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Espandi  {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Espandi {0} ed i suoi figli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28067,7 +28109,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "I libri seguenti sono già stati convertiti nel formato %s. Vuoi riconvertirli?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28598,7 +28641,7 @@ msgid ""
 msgstr "Quando hai finito di modificare {0} clicca su \"Importa\" per aggiornare il file nel libro o su \"Annulla\" per perdere le modifiche."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Annulla"
 
@@ -30836,7 +30879,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Corsivo</h3>Rendi in corsivo il testo selezionato"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "S&ottolineato"
 
@@ -32163,7 +32206,7 @@ msgid "Disabled confirmations restored"
 msgstr "Conferme disabilitate ripristinate"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32790,7 +32833,7 @@ msgid "Export saved searches"
 msgstr "Esporta le ricerche salvate"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Esporta"
 
@@ -34664,71 +34707,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Modifica"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35182,7 +35225,7 @@ msgid "E-book viewer"
 msgstr "Lettore e-book"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Scorri qui"
 
@@ -35258,13 +35301,13 @@ msgstr "Caricamento libro fallito"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Scegli un'immagine di sfondo"
 
@@ -35429,10 +35472,10 @@ msgid "< &Back"
 msgstr "< &Indietro"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Annulla"
 
@@ -36073,8 +36116,8 @@ msgid "No genres to catalog.\n"
 msgstr "Nessun genere da catalogare.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Marca l'espressione regolare 'Generi esclusi' nelle opzioni dell'ebook.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36122,8 +36165,8 @@ msgstr "Ordinamento titoli"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Nessun libro da catalogare.\nMarca le regole 'Libri esclusi' nelle opzioni dell'ebook.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36599,177 +36642,208 @@ msgstr "L'interfaccia completa fornisce
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Cosa vuoi fare?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "Predefinito"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Nomi utenti esistenti"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Non ci sono utenti, devi prima aggiungere un utente"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Il nome utente %s non esiste"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Inserisci il nome utente"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Inserisci la nuova password per %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Non sono ammesse password vuote"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "La password non corrisponde"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Utente %s aggiunto con successo"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Sei sicuro di voler rimuovere l'utente %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Utente %s rimosso con successo"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Passowrd per %s cambiata con successo!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Password attuale per {0} è: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Permetti l'accesso a tutte le biblioteche"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Permetti l'accesso solo a specifiche biblioteche"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Permetti l'accesso a tutto, eccetto le biblioteche specificate"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Cambia le restrizioni per le biblioteche"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Digita il nome della biblioteca:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Un'altra restrizione?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Inserisci una lista di nomi di biblioteca separati da virgola:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Permetti l'accesso solo alle biblioteche: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Permetti l'accesso a tutte le biblioteche, eccetto: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Mostra la password per {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Cambia i permessi di lettura/scrittura per {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} ha {1} accesso"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "lettura-scrittura"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "sola lettura"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Aggiungi nuovo utente"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Modifica un utente esistente"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Elimina un utente"
 
@@ -37177,13 +37251,14 @@ msgid ""
 msgstr "Ricarica automaticamente il server quando il codice sorgente è cambiato. Utile per lo sviluppo. Occorre anche specificare un valore piccolo per il timeout di spegnimento."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Gestisci il database degli utenti abilitati a collegarsi con questo server. Controlla anche le opzioni di %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37191,23 +37266,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Interrotto dall'utente"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Non è presente alcuna biblioteca di calibre in: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Devi specificare almeno una biblioteca di calibre"
 
@@ -37220,7 +37295,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Sintassi non valido. Atteso il nome di una ricerca o una parola"
 
@@ -37379,128 +37454,128 @@ msgstr "Impostazioni e plugin"
 msgid "File is open in another process"
 msgstr "Il file è aperto in un altro processo"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "formato: il tipo {0} richiede un valore intero, ottenuto {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "formato: il tipo {0} richiede un valore decimale (float), ottenuto {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: funzione sconosciuta"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37555,60 +37630,60 @@ msgstr "strlen(a) -- restituisce la lung
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- restituisce x + y. Solleva un'eccezione se x o y non sono numeri."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- restituisce x - y. Solleva un'eccezione se x o y non sono numeri."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- restituisce x * y. Solleva un'eccezione se x o y non sono numeri."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- restituisce x / y. Solleva un'eccezione se x o y non sono numeri."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37620,7 +37695,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37631,13 +37706,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- assegna val a id, quindi restituisce . id deve essere un identificatore, non un'espressione"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37647,30 +37722,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- stampa gli argomenti sullo standard output. A meno che tu non avvii calibre da riga di comando (calibre-debug -g), il risultato finirà in un buco nero."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(nome) -- restituisce il campo dei metadati con quel nome"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(nome) -- restituisce il campo dei metadati con quel nome senza applicare alcuna formattazione."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37680,7 +37755,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37690,24 +37765,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup richiede  2 o un numero dispari di argomenti"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37716,11 +37791,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch richiede un numero dispari di argomenti"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37730,19 +37805,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max richiede 2 o più argomenti"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max richiede un numero pari di argomenti"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "il primo argomento di strcat_max deve essere un intero"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37752,11 +37827,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37768,11 +37843,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37783,14 +37858,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37803,20 +37878,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- restituisce val se val non è vuoto, altrimenti restituisce `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37830,7 +37905,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37838,7 +37913,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37847,14 +37922,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37867,19 +37942,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Questa funzione può essere usata solo nella GUI"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37889,7 +37964,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37897,7 +37972,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37905,13 +37980,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- restituisce una stringa che rappresenta il numero v in KB, MB, GB, ecc."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37922,7 +37997,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37935,7 +38010,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37952,7 +38027,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37975,23 +38050,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- restituisce in maiuscolo il valore del campo"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- restituisce in minuscolo il valore del campo"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- restituisce iniziali parole di val in maiuscolo"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- restituisce il valore del campo con l'iniziale maiuscola"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38000,7 +38075,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38009,55 +38084,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- restituisce il valore di ordinamento delle serie"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- restituisce Yes se il libro ha una copertina, altrimenti restituisce una stringa vuota"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(valore, valore, ...) -- restituisce la stringa \"1\" se un qualunque valore è non vuoto, altrimenti restituisce la stringa vuota. Questa funzione lavora correttamente con test o first_non_empty. Puoi avere un numero qualsiasi di valori."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38066,7 +38141,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38074,7 +38149,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38082,7 +38157,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38090,7 +38165,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38099,7 +38174,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38108,7 +38183,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38116,14 +38191,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- restituisce una stringa della data odierna. Questo valore è pensato per l'utilizzo in format_date o days_between, ma può essere manipolato come qualsiasi altra stringa. La data è espressa in formato ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38131,7 +38206,7 @@ msgid ""
 "empty string."
 msgstr "days_between(data1, data2) -- restituisce il numero di giorni tra data1 e data2. Il numero è positivo se data1 è maggiore di data2, altrimenti è negativo. Se data1 o data2 non sono date, la funzione restituisce la stringa vuota."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38139,28 +38214,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38169,7 +38244,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38178,7 +38253,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38187,7 +38262,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38195,7 +38270,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38207,7 +38282,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38218,7 +38293,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38226,13 +38301,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38240,7 +38315,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38253,11 +38328,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38265,11 +38340,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38278,7 +38353,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38289,7 +38364,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38299,6 +38374,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Immagine senza nome"
@@ -38587,29 +38668,29 @@ msgstr "Chiudi senza salvare"
 msgid "Close Tab"
 msgstr "Chiudi Scheda"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Caratteri aggiuntivi alla fine della ricerca"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ") mancante"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Analisi richiesta fallita, raggiunto il limite massimo di tentativi: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Ricerca rircorsiva salvata: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Ricerca salvata sconosciuta: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Errore sconosciuto nella ricerca salvata: {0}"
@@ -38972,185 +39053,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Non scaricare i fogli di stile CSS"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Salva tutto"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Apri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Sì"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Sì &a tutti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&No"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&o a tutti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Interrompi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Riprova"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Chiudi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Applica"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Ripristina"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Ripristina predefiniti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Tona&lità:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sat:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Val:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Rosso:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Verde:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Bl&u:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Canale a&lfa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Cursore su %1, %2\nPremi Esc per annullare"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Seleziona colore"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Colori di &base"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Colori personalizzati"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Aggiungi ai colori personalizzati"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Scegli colore schermo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Seleziona carattere"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Carattere"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "&Stile del carattere"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Dimensione"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Effetti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "&Sbarrato"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Campione"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "&Sistema di scrittura"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Bordo sinistro"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Bordo destro"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Pagina a sinistra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Pagina su"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Pagina giù"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Pagina a destra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Scorri a sinistra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Scorri in alto"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Scorri in basso"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Scorri a destra"
 
@@ -39430,8 +39511,8 @@ msgstr "Specifica le regole di rinomina
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39487,7 +39568,7 @@ msgstr "Specifica l'ordinamento delle ra
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ja.po 5.10.0+dfsg-1/translations/calibre/ja.po
--- 5.9.0+dfsg-3/translations/calibre/ja.po	2021-01-06 15:31:52.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ja.po	2021-01-20 15:26:25.000000000 +0000
@@ -21,13 +21,14 @@
 # mieko furuhashi, 2014
 # mieko furuhashi, 2014
 # nori Aki <advansg@gmail.com>, 2014
+# toshi oota <ppp15479@gmail.com>, 2021
 # TSUYOSHI ORIHASHI <tsuyoshi.design@gmail.com>, 2018
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -106,15 +107,15 @@ msgstr "まったく何もしません"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -135,7 +136,7 @@ msgstr "まったく何もしません"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -235,16 +236,16 @@ msgstr "まったく何もしません"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -270,7 +271,7 @@ msgstr "まったく何もしません"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -302,7 +303,7 @@ msgstr "まったく何もしません"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -321,7 +322,7 @@ msgstr "まったく何もしません"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -345,27 +346,27 @@ msgstr "カスタマイズ"
 msgid "Cannot configure"
 msgstr "設定できません"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ファイル形式"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "書誌情報の読み込み"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "書誌情報の書き出し"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "カタログ生成"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "ユーザインタフェース上のアクション"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -377,20 +378,20 @@ msgstr "ユーザインタフェース
 msgid "Preferences"
 msgstr "設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "ストア"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "電子書籍ストア"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "書籍編集ツール"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "ライブラリ閉鎖"
 
@@ -412,372 +413,372 @@ msgstr "MarkdownかTextile表記があ
 msgid "Extract cover from comic files"
 msgstr "コミックスファイルから表紙を抽出する"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%sファイルから書誌情報を読み込む"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "RARアーカイブ形式の電子書籍から書誌情報を読み込む"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "ZIPアーカイブ形式の電子書籍から書誌情報を読み込む"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "%sファイルに書誌情報を設定する"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "EPUB書誌情報書き込みプラグインが、表紙画像の存在しないEPUBファイルに表示画像を追加しないようにするには、{0}を入力してください。 "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%sファイルから書誌情報を設定する"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "本をCalibreか接続したデバイスに追加"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "接続されているKindleから注釈を取得（実験的）"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Calibreライブラリにある本のカタログを生成"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "本を色々な電子書籍フォーマットに変換"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "電子書籍の細かな調整"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "ライブラリ内の全ての本からハイライトとブックマークを参照"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "本の目次を編集"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "本をCalibreライブラリか接続されたデバイスから削除"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "更新された書誌情報をCalibreライブラリの電子書籍ファイルに埋め込む"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Calibreライブラリの本の書誌情報を編集する"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Calibreライブラリの本を読む"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "電子書籍形式でインターネットからニュースをダウンロードする"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "関連する本のリストをすばやく表示"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "ライブラリの本のタグを絞り込み/変換"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "ライブラリ中の著者名を変更"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "テンプレートのテストのためにエディターを表示"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Calibreライブラリからハードディスクへ本をエクスポート"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "本の詳細をポップアップ画面に表示"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Calibreを再起動"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Calibreライブラリの電子書籍ファイルがあるフォルダを開く"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "接続されたデバイスに本を送る"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "本をメールやWeb経由で送信します。またはコンピュータ上のフォルダへ、まるでそれらがデバイスであるかのように接続して送ります。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Calibreユーザマニュアルを見る"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Calibreを設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "現在選択されている物に似ている本を簡単に探す"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "別のCalibreライブラリに切り替えてメンテナンスを実行します"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "デバイスからCalibreライブラリに本をコピー"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "デバイス上にある本のコレクションを編集する"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "デバイス上にある本とライブラリ上にある本をマッチさせる"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
-msgstr ""
+msgstr "この本に一致するものをCaibreライブラリで本を表示"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "一つのCalibreライブラリから他へ本をコピーする"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "電子書籍をEPUBまたはAZW3形式で編集する"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "CalibreライブラリでEPUBまたはHTMLZファイルに少し変更を行います"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Calibreライブラリをハイライトモードで検索時に、次や前のマッチを見つける"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Calibreライブラリからランダムに本を選択"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "本のリストを整列"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "本を一時的にマークする"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "仮想ライブラリを変更"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "数々の電子書籍販売サイトから本を検索する"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "新しいCalibreのプラグインを取得したり、既存のものをアップデートする"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "外観"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "インタフェース"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Calibreの外観を好みに応じて変更"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "動作"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Calibreの動作を変更"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "表示列の追加"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Calibre本リストへの表示列の追加/削除"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "ツールバー&メニュー"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "ツールバーやコンテキストメニューの動作のカスタマイズ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "検索"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Calibreでの本の検索方法をカスタマイズ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "入力オプション"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "変換設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "入力フォーマットごとの変換オプションを設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "共通オプション"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "すべてのフォーマットで共通の変換オプションを設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "出力オプション"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "出力フォーマットごとの変換オプションを設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "本の追加"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "インポート/エクスポート"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "本を追加する際にCalibreが書誌情報をファイルからどのように読み込むかを設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "ディスクに保存"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "データベースからディスクへ保存するときの、Calibreのファイルエクスポート方法を設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "デバイスへの送信"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Calibreが電子書籍リーダにどのようにファイルを転送するかを設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "書誌情報変換ルール"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "保存/送信前に書誌情報を変更"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -787,92 +788,92 @@ msgstr "保存/送信前に書誌情報
 msgid "Template functions"
 msgstr "テンプレート関数"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "高度な設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "独自のテンプレート関数を作成"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "メール共有"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "共有"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "メール経由での本の共有を設定。ダウンロード済みニュースをデバイスに自動送信するために利用可能"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "ネット共有"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Calibreコンテンツサーバーを設定し、インターネット経由でcalibreライブラリにどこからでも、どのデバイスからでもアクセスできるようにします。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "書誌情報のダウンロード"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Calibreが電子書籍の書誌情報を、ネットからダウンロードする方法を制御します。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "無視するデバイス"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "デバイスがコンピュータに接続されたときに、どのデバイスを無視するのかを設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "プラグイン"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Calibreの追加機能の追加/削除/カスタマイズ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Tweaks"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "いろいろな場面におけるCalibreの挙動を微調整"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "ショートカット"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Calibreで使われるキーボードショートカットをカスタマイズ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -880,7 +881,7 @@ msgstr "Calibreで使われるキーボ
 msgid "Miscellaneous"
 msgstr "その他"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "その他の高度な設定"
 
@@ -1270,9 +1271,9 @@ msgstr "データベースをSQLにダ
 msgid "Restoring database from SQL"
 msgstr "SQLからデータベースを復元しています"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1298,17 +1299,17 @@ msgstr "保存済み検索条件"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "はい"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "%s の表紙"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{1}に{0}フォーマット"
@@ -1323,7 +1324,7 @@ msgstr "追加した本のID: %s"
 msgid ""
 "The following books were not added as they already exist in the database "
 "(see --duplicates option or --automerge option):"
-msgstr ""
+msgstr "次の本は、すでにデータベースに存在するので、追加されませんでした。（--duplicatesオプション又は --automerge を参照）"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:301
 #, python-format
@@ -1342,7 +1343,7 @@ msgstr "%prog add [options] file1 file2
 msgid ""
 "Add books to database even if they already exist. Comparison is done based "
 "on book titles and authors. Note that the {} option takes precedence."
-msgstr ""
+msgstr "本がすでにデータベースに存在する場合でも追加します。本のタイトルと著者に基づいて比較します。{} オプションが優先します。"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:332
 msgid ""
@@ -1526,7 +1527,7 @@ msgid ""
 "Note that different catalog formats support different sets of options. To\n"
 "see the different options, specify the name of the output file and then the\n"
 "{} option.\n"
-msgstr ""
+msgstr "%prog catalog /path/to/destination.(csv|epub|mobi|xml...) [options]\n\npath/to/destination の拡張子で指定されるフォーマットでカタログをエクスポートします。\n出力されたカタログに表示するエントリはoptionsで制御します。\nカタログのフォーマットにより、サポートするオプションが異なるので注意してください。\n異なったオプションを見るには、出力ファイルの名前と、次に{} オプションを指定してください。\n"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_catalog.py:67
 msgid ""
@@ -1603,7 +1604,7 @@ msgid ""
 "The cloned library will contain no books. If you want to create a full duplicate, including\n"
 "all books, then simply use your filesystem tools to copy the library folder.\n"
 "    "
-msgstr ""
+msgstr "%prog clone path/to/new/library\n\n現在のライブラリの複製を作成します。現在のライブラリと\n列、仮想ライブラリ、その他の設定が同じである、新しい空の\nライブラリが作成されます。\n\n複製されたライブラリに本は含まれません。すべての本を含む複製を\n作成したい場合には、単にライブラリのフォルダをコピーしてください。"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_clone.py:38
 msgid "Error: You must specify the path to the cloned library"
@@ -1694,14 +1695,14 @@ msgstr "このスイッチ指定する
 msgid "You must specify some ids or the %s option"
 msgstr "IDまたは%sオプションを指定してください"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nCalibreデータベースに存在する本のリスト\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1709,7 +1710,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "データベース中の本の一覧を表示するときに表示するフィールド。フィールドをカンマ区切りで指定します。\n指定可能なフィールド: %s\nデフォルト: %%default  特殊フィールド名 \"all\" を指定するとすべてのフィールドを選択します。上記のビルトインフィールドの他、カスタムフィールドも *field_name として指定可能です。たとえば、カスタムフィールド #rating を表示させたいときには *rating と指定してください。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1717,39 +1718,39 @@ msgid ""
 "Default: {1}"
 msgstr "整列に使用するフィールド\n使用可能フィールド: {0}\nデフォルト: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "昇順に並び替え"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "検索文字列で結果を絞り込む。検索文字列のフォーマットについては、ユーザマニュアルの検索関連のドキュメントを参照してください。デフォルトでは絞り込みを行いません。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "出力ファイル中の、1行の最大の長さ。デフォルトは画面サイズから判別。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "区切り文字(デフォルトは半角スペース）"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "すべてのファイルパスのプレフィックス。デフォルトはライブラリフォルダへの絶対パス。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "表示する最大結果数。デフォルトはすべて"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -1761,7 +1762,7 @@ msgid ""
 "\n"
 "Produce a report of the category information in the database. The\n"
 "information is the equivalent of what is shown in the Tag browser.\n"
-msgstr ""
+msgstr "%prog list_categories [options]\n\nデータベース中のカテゴリ情報のレポートを作成します。情報はタグブラウザに表示されるものと同等です。\n"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:39
 msgid ""
@@ -1933,7 +1934,7 @@ msgid ""
 "\n"
 "The search expression can be anything from calibre's powerful search query\n"
 "language, for example: %prog search {0}\n"
-msgstr ""
+msgstr "%prog search [options] search expression\n\n検索条件を指定してライブラリを検索し、結果を本のIDのカンマ区切りリストで返します。出力された結果は、本のIDを引数にとる他のコマンドの入力として使用するのに便利です。以下のようにCalibreの強力な検索用言語が使用できます。例: %prog search {0}\n"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_search.py:42
 msgid "The maximum number of results to return. Default is all results."
@@ -2040,7 +2041,7 @@ msgstr "最初の引数でレコードID
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_metadata.py:140
 msgid "You must specify either a field or an OPF file"
-msgstr ""
+msgstr "フィールドかOPFファイルを指定してください"
 
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_set_metadata.py:146
 #, python-format
@@ -2296,21 +2297,21 @@ msgstr "空白"
 msgid "Invalid boolean query \"{0}\""
 msgstr "無効なブーリアンクエリ \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "仮想のライブラリが存在しません: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "仮想ライブラリ検索が再帰的: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "再帰的なクエリグループを検出しました: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -2333,7 +2334,7 @@ msgid ""
 "    {1}\n"
 "\n"
 "Everything after the -- is passed to the script.\n"
-msgstr ""
+msgstr "{0}\n\nCalibre デバッグ用に有用なコマンドラインインタフェイス。\nオプションなしで実行すると内蔵のPythonインタプリタを起動します。\nここからCalibreのGUI、ビューア、エディタをデバッグモードで起動できます。\n\nまた、フォントのサブセットや電子書籍の差分比較ツールなど、コマンドラインツールにない\nちょっとしたインターフェイスが含まれています。\n\nスタンドアロンスクリプトを実行するには、%prog を使用します。使い方はこちら:\n\n    {1}\n\n”--” の後に付けるとスクリプトに渡します。\n\n"
 
 #: /__w/calibre/calibre/src/calibre/debug.py:45
 msgid "%prog [options]"
@@ -3266,7 +3267,7 @@ msgid ""
 "series name and number, publisher and published Date, ISBN and language. If "
 "a metadata plugboard exists for the device and book format, this will be "
 "used to set the metadata."
-msgstr ""
+msgstr "デバイスが接続されたときに、デバイス上のデータベース内にある書誌情報を更新します。更新された書誌情報はデバイス内のライブラリおよび本の詳細ページで表示されます。表示される情報は、タイトル、著者、コメント/あらすじ、シリーズ名および巻数、出版社、出版日、ISBN、および言語です。そのデバイスと本のフォーマットに対する書誌情報のプラグボードがあれば、設定する書誌情報に利用します。"
 
 #: /__w/calibre/calibre/src/calibre/devices/kobo/kobotouch_config.py:529
 msgid "Update purchased books"
@@ -3389,7 +3390,7 @@ msgstr "Woxter Scribaリーダーと通
 
 #: /__w/calibre/calibre/src/calibre/devices/misc.py:528
 msgid "Communicate with the PocketBook Touch Lux 2 and Inkpad X readers"
-msgstr ""
+msgstr "PocketBook Touch Lux 2 と Inkpad X リーダーと通信します。"
 
 #: /__w/calibre/calibre/src/calibre/devices/misc.py:549
 msgid "Communicate with the SONY DPT-S1"
@@ -3486,11 +3487,11 @@ msgstr "%s を削除しました"
 msgid "All books removed"
 msgstr "すべての書籍を削除しました"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "名称不明のデバイス"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3499,12 +3500,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "デバイス {0} で接続が許可されていません。{0} のスクリーンを解除し、表示されているポップアップメッセージの「許可」をタップしてから、しばらく待つかCalibreを再起動してください。さらに {0} 上のUSB接続のモードを「メディア転送モード (MTP)」などへの変更が必要となる場合があります。"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "不明なMTPデバイスです"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -3770,7 +3771,7 @@ msgid ""
 "Use this option if you want to force the driver to listen on a particular IP"
 " address. The driver will listen only on the entered address, and this "
 "address will be the one advertized over mDNS (BonJour)."
-msgstr ""
+msgstr "ドライバーに特定の IPアドレスで待ち受けをさせる場合にこのオプションを使用します。ドライバーは、入力されたIPアドレスでのみ待ち受けし、そのアドレスをmDNS (bonjour) でアドバタイズします。"
 
 #: /__w/calibre/calibre/src/calibre/devices/smart_device_app/driver.py:314
 msgid "Replace books with same calibre ID"
@@ -4682,7 +4683,7 @@ msgstr "パラグラフの最小のイ
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/lrf_output.py:120
 msgid "This option has no effect"
-msgstr ""
+msgstr "このオプションは何の動作もしません。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/lrf_output.py:124
 #, python-format
@@ -4779,7 +4780,7 @@ msgstr "すべての記事"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdb_output.py:27
 msgid "Format to use inside the PDB container. Choices are:"
-msgstr ""
+msgstr "pdbコンテナファイルの内部フォーマット。選択肢:"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdb_output.py:30
 msgid ""
@@ -4820,13 +4821,13 @@ msgstr "PDF出力オプションで指
 msgid ""
 "The unit of measure for page sizes. Default is inch. Choices are {} Note: "
 "This does not override the unit for margins!"
-msgstr ""
+msgstr "ページサイズを指定する際の単位を指定します。デフォルトはインチです。選択肢は {} です。この指定は余白の指定には適用されないことに留意ください。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdf_output.py:46
 msgid ""
 "The size of the paper. This size will be overridden when a non default "
 "output profile is used. Default is letter. Choices are {}"
-msgstr ""
+msgstr "紙のサイズ。このサイズはデフォルトの出力プロファイル以外を使った場合には上書きされます。デフォルトは’letter’です。選択肢は {} です。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdf_output.py:50
 msgid ""
@@ -4844,19 +4845,19 @@ msgstr ""
 msgid ""
 "The font family used to render serif fonts. Will work only if the font is "
 "available system-wide."
-msgstr ""
+msgstr "Serif フォントの描画に使用するフォントです。システム全体でフォントが有効なときにのみ動作します。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdf_output.py:63
 msgid ""
 "The font family used to render sans-serif fonts. Will work only if the font "
 "is available system-wide."
-msgstr ""
+msgstr "sans-serif フォントの描画に使用するフォントです。システム全体でフォントが有効なときにのみ動作します。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdf_output.py:66
 msgid ""
 "The font family used to render monospace fonts. Will work only if the font "
 "is available system-wide."
-msgstr ""
+msgstr "monospace フォントの描画に使用するフォントです。システム全体でフォントが有効なときにのみ動作します。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdf_output.py:69
 msgid "The font family used to render monospace fonts"
@@ -4930,7 +4931,7 @@ msgstr "必要に応じてページ番
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdf_output.py:131
 msgid "Generate an uncompressed PDF, useful for debugging."
-msgstr ""
+msgstr "非圧縮の PDF を生成します。デバッグに便利です。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdf_output.py:136
 msgid ""
@@ -5196,7 +5197,7 @@ msgid ""
 "Enable extensions to markdown syntax. Extensions are formatting that is not part of the standard markdown format. The extensions enabled by default: %default.\n"
 "To learn more about markdown extensions, see {}\n"
 "This should be a comma separated list of extensions to enable:\n"
-msgstr ""
+msgstr "Markdownの拡張を有効にします。Markdownの拡張は、標準の記法に含まれていない記法です。デフォルトで有効にされている拡張は %default です。\nMarkdownの拡張については、{} を参照してください。\n有効にする拡張をカンマ区切りのリストで指定してください。\n"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/txt_output.py:28
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:134
@@ -5256,7 +5257,7 @@ msgid ""
 "setting font color. If this option is not specified font color will not be "
 "set and default to the color displayed by the reader (generally this is "
 "black)."
-msgstr ""
+msgstr "フォント色を出力から取り除く。これは「出力テキストのフォーマット」オプションが「textile」のときのみ有効です。Textileはフォント色を指定できる唯一のフォーマットです。このオプションが設定されない場合、指定されないテキストの色は表示するリーダーによって変わります。（通常は黒）"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plumber.py:116
 msgid ""
@@ -5614,7 +5615,7 @@ msgid ""
 "where there are multiple representations of a character (characters shared "
 "by Chinese and Japanese for instance) the representation based on the "
 "current calibre interface language will be used."
-msgstr ""
+msgstr "Unicode文字をASCII表記に変換します。これはUnicode文字をASCIIに変換するため注意して使ってください。例えば\"Mikhail Gorbachiov\"は\"%s\"に変換されます。それと、文字に複数の表記がある場合（例えば中国語と日本語で共有されている文字）、表記は現在のCalibreのインタフェース言語が使われます。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plumber.py:547
 msgid ""
@@ -6059,7 +6060,7 @@ msgstr "注釈"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6352,7 +6353,7 @@ msgid "Producer"
 msgstr "製作者"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6360,7 +6361,7 @@ msgid "Comments"
 msgstr "コメント"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6400,7 +6401,7 @@ msgid "Tags"
 msgstr "タグ"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6429,7 +6430,7 @@ msgid "Timestamp"
 msgstr "タイムスタンプ"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -7209,7 +7210,7 @@ msgstr "Calibre電子書籍ビューア
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/links.py:209
 #, python-format
 msgid "The file %s has a MIME type that does not match its extension"
-msgstr ""
+msgstr "ファイル %s のMIME タイプが拡張子とマッチしません"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/links.py:211
 #, python-brace-format
@@ -7217,7 +7218,7 @@ msgid ""
 "The file {0} has its MIME type specified as {1} in the OPF file. The "
 "recommended MIME type for files with the extension \"{2}\" is {3}. You "
 "should change either the file extension or the MIME type in the OPF."
-msgstr ""
+msgstr "ファイル {0} はOPFファイルで MIMEタイプ {1} と指定されています。拡張子 \"{2}\" で推奨される MIMEタイプは {3} です。ファイルの拡張子か、OPFファイルの MIMEタイプ を変更すべきです。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/links.py:216
 msgid "Change the file extension to .xhtml"
@@ -7226,7 +7227,7 @@ msgstr "ファイルの拡張子を.xhtm
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/links.py:219
 #, python-format
 msgid "Change the MIME type for this file in the OPF to %s"
-msgstr ""
+msgstr "このファイルのOPFファイルでのMIMEタイプ指定を %s に変更"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/links.py:321
 msgid "The link is empty"
@@ -7271,11 +7272,11 @@ msgstr "OPFファイルの <%s> セク
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/opf.py:29
 msgid "Empty id attributes are invalid"
-msgstr ""
+msgstr "空の id 属性は無効です"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/opf.py:31
 msgid "Empty ID attributes are invalid in OPF files."
-msgstr ""
+msgstr "空の ID 属性は OPF ファイルでは無効です。"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/check/opf.py:37
 #, python-format
@@ -7837,7 +7838,7 @@ msgstr "{0} の処理に失敗 エラー
 msgid ""
 "Total image filesize reduced from {0} to {1} [{2:.1%} reduction, {3} images "
 "changed]"
-msgstr ""
+msgstr "全画像ファイルのサイズが {0} から {1} に減り、 [{2:.1%} の減少] {3} 画像が変更されました"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/images.py:125
 msgid "Images are already fully optimized"
@@ -7922,7 +7923,7 @@ msgid ""
 "created from production templates can have a large number of extra CSS rules\n"
 "that don't match any actual content. These extra rules can slow down readers\n"
 "that need to parse them all.</p>\n"
-msgstr ""
+msgstr "<p>使用されていないCSSルールをスタイルシートと&lt;style&gt; tags.タグから削除します。テンプレートから作成された本のような場合、使われていないCSSルールが大量にあることがあります。そのような不要なルールは、すべてパースする必要があるため、リーダの動作を遅くする場合があります。</p>\n"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/main.py:117
 msgid ""
@@ -8155,13 +8156,13 @@ msgstr "EPUBをバージョン2から3
 msgid "HTML TOC generation options."
 msgstr "HTML 目次生成オプション"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "<em>{0}</em>のうち {1}"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8194,33 +8195,33 @@ msgstr "ページ情報がある場合
 msgid "Sidebar"
 msgstr "サイドバー"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
-msgstr ""
+msgstr "ページのヘッダとフッタを追加"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
-msgstr ""
+msgstr "ヘッダとフッタの追加"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
-msgstr ""
+msgstr "マークアップ変更完了"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
-msgstr ""
+msgstr "すべてのHTMLをPDFとして描画"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
-msgstr ""
+msgstr "PDFの内容にリンクを追加"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
-msgstr ""
+msgstr "PDF中のメタデータを更新"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:145
 #, python-brace-format
@@ -8492,7 +8493,7 @@ msgstr "ディレクトリから本を
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:62
 msgid "Add from directories and sub-directories"
-msgstr ""
+msgstr "ディレクトリとサブディレクトリから追加"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:63
 msgid "Add multiple books from archive (ZIP/RAR)"
@@ -8555,7 +8556,7 @@ msgstr "クリップボードにファ
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:120
 msgid "No files have been copied to the clipboard"
-msgstr ""
+msgstr "クリップボードへコピーするファイルはありませんでした"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:126
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:150
@@ -8622,12 +8623,12 @@ msgstr "本当にすべての %d 書籍
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:209
 msgid "Choose format of empty file"
-msgstr ""
+msgstr "空のファイルのフォーマットを選択"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:230
 #, python-brace-format
 msgid "The {0} format will be replaced in the book: {1}. Are you sure?"
-msgstr ""
+msgstr "本 {1} のフォーマット {0} は置き換えられます。よろしいですか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:258
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:267
@@ -8636,7 +8637,7 @@ msgstr "アーカイブファイルを
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:264
 msgid "Type of archive"
-msgstr ""
+msgstr "アーカイブのタイプ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:265
 msgid "Will the archive have a single book per internal directory?"
@@ -8660,7 +8661,7 @@ msgstr "現在開いているCalibreラ
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:303
 msgid "Multi-file books?"
-msgstr ""
+msgstr "複数のファイルからなる本ですか?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:304
 msgid ""
@@ -8686,7 +8687,7 @@ msgstr "本 <b>%s</b> にいくつかの
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:459
 msgid "Add as new book"
 msgid_plural "Add as new books"
-msgstr[0] ""
+msgstr[0] "新しい本として追加"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:538
@@ -8845,11 +8846,11 @@ msgstr "注釈を見る"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "B"
-msgstr ""
+msgstr "B"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:50
 msgid "Not visible"
-msgstr ""
+msgstr "表示不可"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:51
 msgid ""
@@ -8971,7 +8972,7 @@ msgstr "使用するCalibreライブラ
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/choose_library.py:211
 msgid "Switch/create library"
-msgstr ""
+msgstr "ライブラリの切り替え/作成"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/choose_library.py:218
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:155
@@ -9015,7 +9016,7 @@ msgstr "データベースを復元"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/choose_library.py:284
 msgid "Switch to previous library"
-msgstr ""
+msgstr "以前のライブラリに切り換え"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/choose_library.py:306
 #: /__w/calibre/calibre/src/calibre/gui2/actions/choose_library.py:310
@@ -9174,13 +9175,13 @@ msgstr "成功"
 msgid ""
 "Found no errors in your calibre library database. Do you want calibre to "
 "check if the files in your library match the information in the database?"
-msgstr ""
+msgstr "Calibreライブラリのデータベースにエラーは見つかりませんでした。データベースの情報とライブラリ内のファイルの整合性をチェックしますか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/choose_library.py:549
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -9479,7 +9480,7 @@ msgstr "{num}冊の本を {loc} へ移
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:492
 #, python-brace-format
 msgid "Copied the book to {loc}"
-msgstr ""
+msgstr "本を {loc} へコピーしました"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:493
 #, python-brace-format
@@ -9496,7 +9497,7 @@ msgid ""
 "library. Click \"Show details\" to see which ones. This behavior is "
 "controlled by the Auto-merge option in Preferences->Import/export->Adding "
 "books->Adding actions."
-msgstr ""
+msgstr "いくつかの本は、コピー先のライブラリのすでに存在するレコードに自動的にマージされました。どの本がマージされたか知りたい場合には、「詳細を表示」をクリックしてください。この動作は「設定」->「インポート/エクスポート」->「本の追加」の「自動マージオプション」から制御できます。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:520
 #, python-brace-format
@@ -9571,7 +9572,7 @@ msgstr "選択した本を削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/delete.py:126
 msgid "Remove files of a specific format from selected books"
-msgstr ""
+msgstr "選択した本の特定フォーマットのファイルを削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/delete.py:129
 msgid "Remove all formats from selected books, except..."
@@ -9635,13 +9636,13 @@ msgstr "メインメモリー"
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:746
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:755
 msgid "Storage card A"
-msgstr ""
+msgstr "メモリーカードA"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/delete.py:279
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:748
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:757
 msgid "Storage card B"
-msgstr ""
+msgstr "メモリーカードB"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/delete.py:284
 msgid "No books to delete"
@@ -9711,7 +9712,7 @@ msgstr "コンテンツサーバーを
 #: /__w/calibre/calibre/src/calibre/gui2/actions/device.py:73
 #, python-brace-format
 msgid "[{ip}, port {port}, {protocol}]"
-msgstr ""
+msgstr "[{ip}, port {port}, {protocol}]"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/device.py:79
 msgid "Stop Content server"
@@ -9989,7 +9990,7 @@ msgstr "ダウンロードした書誌
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:315
 msgid "&View book"
-msgstr ""
+msgstr "本を表示(&V)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:363
 #: /__w/calibre/calibre/src/calibre/gui2/actions/edit_metadata.py:455
@@ -10182,7 +10183,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "ヘルプ"
 
@@ -10254,17 +10255,17 @@ msgstr "本を1冊だけ選択してく
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:46
 msgid "Show matched book in library"
-msgstr ""
+msgstr "ライブラリ中の一致する本を表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:74
 msgid "No matching books"
-msgstr ""
+msgstr "一致する本はありません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:75
 msgid ""
 "No matching books found in the calibre library. Do you want to specify the "
 "matching book manually?"
-msgstr ""
+msgstr "Calibreライブラリ中に一致する本はありませんでした。手動で一致する本を指定しますか?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/next_match.py:14
 msgid "Move to next match"
@@ -10549,7 +10550,7 @@ msgstr "キューイング中 %(nums)s o
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/polish.py:331
 msgid "Ignore remaining reports"
-msgstr ""
+msgstr "残りのレポートを無視"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/polish.py:337
 msgid "View full &log"
@@ -10635,7 +10636,7 @@ msgstr "Calibreの動作を変更する"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:31
 msgid "Run Welcome wizard"
-msgstr ""
+msgstr "ウェルカムウィザードを開始"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:33
 msgid "Get plugins to enhance calibre"
@@ -10769,7 +10770,7 @@ msgstr "クイックビューを更新"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/show_quickview.py:95
 msgid "Refresh the information shown in the Quickview panel"
-msgstr ""
+msgstr "クイックビューパネルに表示中の情報を更新"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/show_quickview.py:102
 msgid "Search from Quickview"
@@ -10793,7 +10794,7 @@ msgstr "テンプレート関数"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/show_stored_templates.py:17
 msgid "Manage template functions"
-msgstr ""
+msgstr "テンプレート機能を管理"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/show_template_tester.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/actions/show_template_tester.py:49
@@ -10855,11 +10856,11 @@ msgstr "整列"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:47
 msgid "Reverse current sort"
-msgstr ""
+msgstr "整列順を反転"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:47
 msgid "Reverse the current sort order"
-msgstr ""
+msgstr "現在の整列順を反転"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:48
 msgid "Re-apply current sort"
@@ -10947,7 +10948,7 @@ msgid ""
 "purchase should be directed to the website you are buying from. Be sure to "
 "double check that any books you get will work with your e-book reader, "
 "especially if the book you are buying has <a href=\"{}\">DRM</a>."
-msgstr ""
+msgstr "すべての取引（有料またはそれ以外）はあなたと書店の間で行われます。Calibreはこの取引には関与しませんので、購入に関するすべての問題は購入先のウェブサイトへ問い合わせてください。特に、購入した本があなたの電子書籍リーダーで読めるかについては、くりかえし確認してください。(特に本に<a href=\"{}\">DRM</a> がかかっている場合など)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/store.py:153
 #: /__w/calibre/calibre/src/calibre/gui2/ebook_download.py:35
@@ -11002,7 +11003,7 @@ msgstr "目次の編集は %s フォー
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:174
 msgid "Library changed"
-msgstr ""
+msgstr "ライブラリが変更されました"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:175
 #, python-brace-format
@@ -11049,11 +11050,11 @@ msgstr "デバイス上の本の編集
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tweak_epub.py:112
 msgid "No editable formats"
-msgstr ""
+msgstr "編集可能なフォーマットがありません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tweak_epub.py:113
 msgid "Do you want to create an empty EPUB file to edit?"
-msgstr ""
+msgstr "編集のための空のEPUBアイルを作成しますか?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tweak_epub.py:122
 #, python-format
@@ -11226,7 +11227,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/view.py:67
 msgid "Continue reading the last opened book"
-msgstr ""
+msgstr "最後に開いた本から読書を再開"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/view.py:179
 msgid "No associated program"
@@ -11434,7 +11435,7 @@ msgid "Errors while adding"
 msgstr "追加中のエラー"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "無視する"
 
@@ -11564,8 +11565,8 @@ msgstr "変更"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11630,19 +11631,19 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:108
 msgid "Test author mapping rules"
-msgstr ""
+msgstr "著者名変換ルールをテスト"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:110
 msgid "Enter an author name to test:"
-msgstr ""
+msgstr "テスト用著者名名をを入力:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:111
 msgid "Enter author and click the \"Test\" button"
-msgstr ""
+msgstr "著者名を入力して「テスト」ボタンをクリックしてください"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:122
 msgid "Edit author mapping rules"
-msgstr ""
+msgstr "著者名変換ルールを編集"
 
 #: /__w/calibre/calibre/src/calibre/gui2/auto_add.py:318
 #, python-brace-format
@@ -11699,11 +11700,11 @@ msgid "Search the internet for this book
 msgstr "この本をインターネット上で検索"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "%s の管理"
@@ -11711,7 +11712,7 @@ msgstr "%s の管理"
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:114
 #, python-format
 msgid "Find %s in the Tag browser"
-msgstr ""
+msgstr "タグブラウザ内で %s iを検索"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:148
 #, python-format
@@ -11788,11 +11789,11 @@ msgstr "%s を編集..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:296
 msgid "Path to file"
-msgstr ""
+msgstr "ファイルのパス"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:307
 msgid "Copy {} to clipboard"
-msgstr ""
+msgstr "{}をクリップボードにコピー"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:316
 msgid "&Copy author link"
@@ -11811,11 +11812,11 @@ msgstr "%sを本から削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:341
 msgid "Copy path"
-msgstr ""
+msgstr "パスのコピー"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:351
 msgid "&Copy identifier"
-msgstr ""
+msgstr "識別子のコピー(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:388
 msgid "Link to show book in calibre"
@@ -11831,11 +11832,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:408
 msgid "All book details"
-msgstr ""
+msgstr "すべての本の詳細"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:410
 msgid "Selected text"
-msgstr ""
+msgstr "選択されたテキスト"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:414
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books_ui.py:74
@@ -11846,7 +11847,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -11871,11 +11872,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:445
 msgid "Open the Book details window"
-msgstr ""
+msgstr "書籍詳細ウィンドウを開く"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:450
 msgid "Open the Edit metadata window"
-msgstr ""
+msgstr "メタデータ詳細ウィンドウを開く"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:465
@@ -11884,7 +11885,7 @@ msgstr "アプリケーションを選
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:468
 msgid "Add another application to open cover with..."
-msgstr ""
+msgstr "表紙を開く別のアプリケーションを追加..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:583
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:280
@@ -11918,7 +11919,7 @@ msgstr "JPEG画像"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:665
 msgid "Are you sure you want to delete the cover permanently?"
-msgstr ""
+msgstr "本当に本の表紙を削除しますか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:681
 msgid "Double click to open the Book details window"
@@ -12173,7 +12174,7 @@ msgid "Preset name:"
 msgstr "プリセット名:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "名前を入力する必要があります。"
 
@@ -12250,7 +12251,7 @@ msgid "Save current catalog settings as
 msgstr "現在のカタログ設定をプリセットとして保存"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "保存"
 
@@ -12259,10 +12260,10 @@ msgid "Delete current preset"
 msgstr "現在のプリセットを削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "削除"
@@ -12375,8 +12376,8 @@ msgstr "デフォルトに戻す"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -12612,7 +12613,7 @@ msgstr "選択されたテキストの
 #: /__w/calibre/calibre/src/calibre/gui2/comments_editor.py:304
 #, python-brace-format
 msgid "Heading {0}"
-msgstr ""
+msgstr "見出し {0}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/comments_editor.py:306
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/behavior.py:45
@@ -12648,7 +12649,7 @@ msgstr "このURL %r は無効です"
 
 #: /__w/calibre/calibre/src/calibre/gui2/comments_editor.py:637
 msgid "Remote images not supported"
-msgstr ""
+msgstr "リモート画像はサポートされていません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/comments_editor.py:638
 msgid ""
@@ -12747,7 +12748,7 @@ msgstr "スマート句読点"
 
 #: /__w/calibre/calibre/src/calibre/gui2/comments_editor.py:1090
 msgid "&Normal view"
-msgstr ""
+msgstr "通常表示(&N)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/comments_editor.py:1091
 msgid "&HTML source"
@@ -12802,7 +12803,7 @@ msgstr "選択された本のうちど
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/bulk.py:90
 msgid "Bulk convert one book"
-msgstr ""
+msgstr "1つの本をまとめて変換"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/bulk.py:90
 msgid "Bulk convert {} books"
@@ -12915,7 +12916,7 @@ msgid ""
 "calibre will place a lot of debug output into it. This will be useful in "
 "understanding the conversion process and figuring out the correct values for"
 " conversion parameters like Table of Contents and Chapter detection."
-msgstr ""
+msgstr "デバッグ情報の出力先フォルダを指定してください。フォルダを指定した場合は、Calibreは大量のデバッグ情報をその中に出力します。これは、変換プロセスを理解する際や、目次や章判別のような変換パラメータの正しい値を調べる際に役立ちます。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/debug_ui.py:50
 msgid ""
@@ -13273,11 +13274,11 @@ msgstr "テキスト揃え(&J):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel_ui.py:257
 msgid "&Unsmarten punctuation"
-msgstr ""
+msgstr "句読点のスマート化を戻す(&U)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel_ui.py:258
 msgid "&Transliterate Unicode characters to ASCII"
-msgstr ""
+msgstr "UNICODE文字をASCIIに変換します(&T)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel_ui.py:259
 msgid "I&nput character encoding:"
@@ -13562,7 +13563,7 @@ msgid "Ta&gs:"
 msgstr "タグ(&G):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13577,8 +13578,8 @@ msgstr "シリーズ(&S):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "シリーズのリスト。新しいシリーズも追加できます。"
@@ -13622,7 +13623,7 @@ msgstr "<b>注意：</b>いくつかのK
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/page_setup.py:31
 msgid "Default profile"
-msgstr ""
+msgstr "デフォルトプロファイル"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/page_setup.py:36
 #: /__w/calibre/calibre/src/calibre/srv/convert.py:254
@@ -14445,7 +14446,7 @@ msgid "Choose color"
 msgstr "色を選択"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14786,19 +14787,19 @@ msgid "Edit style transform rules"
 msgstr "スタイル変換ルールを編集"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "エクスポート(&X)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "ルールをファイルにエクスポート"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14843,7 +14844,7 @@ msgstr "ルールをインポートす
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:49
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:588
 msgid " index"
-msgstr ""
+msgstr " インデックス"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:85
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:354
@@ -14851,7 +14852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1113
 #, python-brace-format
 msgid "Clear {0}"
-msgstr ""
+msgstr "{0} を消去"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:187
 msgid "Set {} to yes"
@@ -14863,7 +14864,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:200
 msgid "Clear {}"
-msgstr ""
+msgstr "{} を消去"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:205
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:246
@@ -14872,8 +14873,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14891,7 +14892,7 @@ msgstr "今日"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:921
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1352
 msgid "Open item editor"
-msgstr ""
+msgstr "アイテムエディタを開く"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:551
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1474
@@ -14954,7 +14955,7 @@ msgid ""
 msgstr "シリーズの巻数は通常、データベースにあるそのシリーズ中の一番大きい数字の次の数字から割り振られます。この項にチェックすると、Calibreは巻数にボックス内に指定した数字から割り当てます。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -15618,7 +15619,7 @@ msgstr "この本は %s としてマー
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/book_info.py:303
 msgid "Path: {}"
-msgstr ""
+msgstr "Path: {}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/catalog.py:38
 msgid "My books"
@@ -15821,7 +15822,7 @@ msgstr "(修正可)"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/check_library.py:274
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/check_library.py:279
 msgid "(deletable)"
-msgstr ""
+msgstr "(削除可)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/check_library.py:303
 msgid "Path from library"
@@ -15844,7 +15845,7 @@ msgstr "アプリケーションを選
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_format.py:70
 msgid "Edit \"Open with\" applications..."
-msgstr ""
+msgstr "編集用にアプリケーションで開く..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_format_device_ui.py:48
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:85
@@ -15954,7 +15955,7 @@ msgstr "現在Calibreライブラリは{
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:79
 msgid "New &location:"
-msgstr ""
+msgstr "新しい場所(&L):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:80
 msgid "Use the previously &existing library at the new location"
@@ -16131,15 +16132,15 @@ msgstr "レシピを削除(&R)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:203
 msgid "S&ave recipe as file"
-msgstr ""
+msgstr "レシピファイルを保存(&A)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:207
 msgid "&Download this recipe"
-msgstr ""
+msgstr "このレシピをダウンロード(&D)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:256
 msgid "Save recipe"
-msgstr ""
+msgstr "レシピを保存"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:257
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:675
@@ -16278,7 +16279,7 @@ msgstr "Go"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:540
 msgid "Choose recipe"
-msgstr ""
+msgstr "レシピを選択"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:541
 msgid "You must choose a recipe to customize first"
@@ -16306,7 +16307,7 @@ msgstr "ビルトインのニュース
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:572
 msgid "Load a recipe from a file"
-msgstr ""
+msgstr "ファイルからレシピを読み込む"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:572
 msgid "Load recipe from &file"
@@ -16341,7 +16342,7 @@ msgstr "レシピを詳細モードで
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:611
 msgid "Are you sure? Any unsaved changes will be lost."
-msgstr ""
+msgstr "未保存の変更はすべてなくなりますが大丈夫ですか?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:623
 msgid "No recipes"
@@ -16532,7 +16533,7 @@ msgid "Change case"
 msgstr "大文字/小文字を変換"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16540,7 +16541,7 @@ msgid "Upper case"
 msgstr "すべて大文字"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16548,7 +16549,7 @@ msgid "Lower case"
 msgstr "すべて小文字"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16556,7 +16557,7 @@ msgid "Swap case"
 msgstr "大文字/小文字を入れ替え"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16590,7 +16591,7 @@ msgid "Manage authors"
 msgstr "著者を編集"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "検索語(&S):"
@@ -16598,7 +16599,7 @@ msgstr "検索語(&S):"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:112
 msgid "S&earch"
-msgstr ""
+msgstr "検索(&E)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:98
 msgid ""
@@ -16609,7 +16610,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:101
 msgid "Only show authors in the current &Virtual library"
-msgstr ""
+msgstr "現在の仮想ライブラリに存在する著者のみ表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:102
 msgid "Filter &by:"
@@ -16623,7 +16624,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:105
 msgid "Fi&lter"
-msgstr ""
+msgstr "フィルタ(&L)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:106
 msgid ""
@@ -16653,7 +16654,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:27
 msgid "Remove the currently selected value"
-msgstr ""
+msgstr "現在選択している値を削除します"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:30
 msgid "Add a new permissible value"
@@ -16668,25 +16669,25 @@ msgstr "色"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:124
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:138
 msgid "Select a cell"
-msgstr ""
+msgstr "セルを選択"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:105
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:125
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:139
 msgid "Select a cell before clicking the button"
-msgstr ""
+msgstr "ボタンをクリックする前にセルを選択"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:158
 msgid "Empty value"
-msgstr ""
+msgstr "空の値"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:159
 msgid "Empty values are not allowed"
-msgstr ""
+msgstr "値が空なものは許可されていません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:169
 msgid "Duplicate value"
-msgstr ""
+msgstr "重複した値"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:170
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:576
@@ -16697,7 +16698,7 @@ msgstr "値 \"{0}\" はすでに存在
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:176
 msgid "Invalid colors specification"
-msgstr ""
+msgstr "無効な色の指定"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/enum_values_edit.py:177
 msgid "Either all values or no values must have colors"
@@ -16954,7 +16955,7 @@ msgstr "著者"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:132
 msgid "You must enter a search expression into the search field"
-msgstr ""
+msgstr "検索ボックスに検索条件を入力する必要があります"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:203
 msgid "You must select a matching book"
@@ -17010,77 +17011,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] "残り{}個のエラーを非表示にする"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "処理中"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d 冊の本を処理中です。お待ちください..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "すべて小文字"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "すべて大文字"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "単語の先頭を大文字"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "文字検索"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "正規表現"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "変換フィールド"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "フィールドの前に追加"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "フィールドの後ろに追加"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
-msgstr[0] ""
+msgstr[0] "{}の本のメタデータを編集"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "ダイアログを閉じず、すべて変更をすぐに行います。この操作はキャンセルもやり直しもできません。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "本%d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "識別子のタイプを入力"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17088,7 +17089,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>この機能を利用すると、ライブラリを破壊してしまう可能性があります。</b>変更は元に戻せません。アンドゥ機能はありません。進める前にライブラリのバックアップを取ることを強くお勧めします。<p>文字検索や正規表現を使ってテキストフィールドの検索と置換を行ってください。 "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17096,9 +17097,9 @@ msgid ""
 " to upper-case, lower-case, or title-case. If the Case-sensitive check box "
 "is checked, the search text must match exactly. If it is unchecked, the "
 "search text will match both upper- and lower-case letters"
-msgstr ""
+msgstr "文字検索モードでは入力した検索テキストからフィールドを検索します。指定フィールド上のすべてのマッチするテキストは置換フィールドのテキストと置換されます。置換の後、テキストは大文字、小文字、タイトルに変換できます。もし「大文字・小文字を区別する」チェックボックスがチェックされていると、検索は完全に一致するものを探します。もしチェックされていない時には検索は大文字小文字両方に一致するものを探します。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17113,80 +17114,89 @@ msgid ""
 "function."
 msgstr "正規表現モードでは、検索テキストは任意のPython互換な正規表現を使います。置換文字列にはパターン中に括弧表記の後方参照を含むことができます。検索は一つの文字列中複数回マッチさせることができます。変更関数(小文字化など)はフィールドすべてに適用されず、マッチしたテキストのみに適用されます。「対象フィールド」には検索後の置換結果が入れられる場所を指定します。フィールドのテキストを入れ替える他に、マッチしたテキストの前に付ける、後に付けることもできます。pythonの正規表現については<a href=\"https://docs.python.org/library/re.html\"> このリファレンス</a>の、特に'sub'関数の項を参照してください。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R テンプレートエラー"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "検索フィールドが合成型かテンプレートの場合は、対象フィールドを指定してください"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "評価の列に置換できる値は空欄または0から10の間の整数です"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "対象の識別子タイプを指定してください"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "検索条件を指定してください"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "識別子の文字列が無効です。コロンで区切った文字列のペアを、カンマで区切ったリストにした文字列にしてください。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "検索/置換は無効です"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "検索/置換が不正です: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "保存した検索/置換を削除"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "選択した検索/置換は削除されます。よろしいですか？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "検索/置換を保存"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "検索/置換名:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "同じ名前の検索/置換が存在しているので上書きします。よろしいですか？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "書誌情報を編集"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "著者(&A): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17194,90 +17204,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "有効にすると、著者読みフィールドが著者フィールドの値に\n基づいて自動的に更新されます。上の入力欄で著者フィールドを\nまとめて設定している場合は、ここでの設定にかかわらず、著者読み\nフィールドも更新されることに留意ください。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "自動的に著者読みを設定する(&U)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "著者とタイトルの入れ替え(&W)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "タイトル読みを現在のタイトルを元に更新する。これは他のタイトルへの変更が行われた時のみに適応されます。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "著者読み(&O): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "タイトル読みを更新(&T)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "この本の著者の整列方法を指定。例えば、Charles Dickens を Dickens, Charles のようにして整列。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "表紙を変更(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "評価(&R):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "デフォルトの表紙を生成(&G)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "評価適用(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "表紙を削除(&R)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "発行者(&P): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "自動的に境界を検出して、表紙画像の端から不要な部分を削除します。\n時々削除しすぎることがあるので、注意して使用してください。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "チェックすると、発行者が消去されます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "表紙をトリム(&T) (危険)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "発行者を消去(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "電子書籍ファイルから設定(&E)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "タグの追加(&G): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "選択されたすべての本の表紙を、最初に\n選択された本と同じものにする。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "タグエディタを開く"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "表紙を同一化"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "タグの削除(&R):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "タイトルを強制的に単語の頭のみ大文字(タイトル・ケース)にする。もし、これと「著者を入れ替え」の両方がチェックされた場合、タイトルと著者は、これの適用前に入れ替えられます。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "本から取り除く、カンマ区切りのタグのリスト。 "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "タイトルの先頭文字(&C):"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "本からすべてのタグを取り除く時にはチェックしてください。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "日付(&D):"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "すべて削除(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "チェックすると、発行者が消去されます。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "シリーズ(&R):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "発行者を消去(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "チェックすると、シリーズが消去されます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "発行日(&U):"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "シリーズを消去(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17285,126 +17290,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "チェックをしなければ、本のシリーズ番号は１に設定されます。\nチェックすると、選択した本は自動的にあなたが選択した順番に番号付けされます。\nそのため、本Aの次に本Bを選択した場合は、本Aが1番になり、本Bが2番になります。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "本のシリーズを自動的に番号付けする(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "シリーズは通常データベース中のシリーズの最大の番号から再番号されます。\nこのボックスをチェックするとCalibreはこのボックスの値から番号付けを始めます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "強制番号付けの最初の番号(&F):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "チェックすると、シリーズが消去されます。"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "シリーズを消去(&C)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "デフォルトで生成される表紙の作成方法を設定"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "表紙生成を設定(&V)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "選択した本すべてにコメントを設定(&M)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "タグの削除(&R):"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "すべて削除(&A)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "タグの追加(&G): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "日付(&D):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "この本の著者の整列方法を指定。例えば、Charles Dickens を Dickens, Charles のようにして整列。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "日付を適用(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "評価適用(&A)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "発行日(&U):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "発行日を消去"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "著者(&A): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "言語(&L):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "発行者(&P): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "本から取り除く、カンマ区切りのタグのリスト。 "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "タグエディタを開く"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "著者読み(&O): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Calibreの書誌情報を電子書籍内の書誌情報から設定します。ただし、表紙は変更しません。表紙の変更には、下のオプションを利用してください。"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "書誌情報 (表紙を除く) を電子書籍から設定(&M)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "シリーズ(&R):"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "選択された本から、保存された変換設定を取り除く。\n\nこれらの本の今後の変換にはデフォルトの設定が使用されます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "選択した本に保存されている変換設定を削除(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17413,153 +17353,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "あるフォーマットから同一のフォーマットへの変換を行った場合、\n例えば EPUB から EPUB への変換を行うと、Calibreは元の EPUB をORIGINAL_EPUBとして保存します。\nこのオプションを設定すると、Calibreは元のORIGINAL_EPUB から EPUB を復元します。\nたくさんの本をまとめて変換したものの、うまくいかなかった場合に有用です。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "変換前のオリジナルを復元(&O)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "本からすべてのタグを取り除く時にはチェックしてください。"
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "評価(&R):"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "タイトルを強制的に単語の頭のみ大文字(タイトル・ケース)にする。もし、これと「著者を入れ替え」の両方がチェックされた場合、タイトルと著者は、これの適用前に入れ替えられます。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "タイトルの先頭文字(&C):"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "タイトル読みを現在のタイトルを元に更新する。これは他のタイトルへの変更が行われた時のみに適応されます。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "タイトル読みを更新(&T)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Calibreの書誌情報を電子書籍内の書誌情報から設定します。ただし、表紙は変更しません。表紙の変更には、下のオプションを利用してください。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "書誌情報 (表紙を除く) を電子書籍から設定(&M)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "表紙を変更(&C)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "デフォルトの表紙を生成(&G)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "表紙を削除(&R)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "自動的に境界を検出して、表紙画像の端から不要な部分を削除します。\n時々削除しすぎることがあるので、注意して使用してください。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "表紙をトリム(&T) (危険)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "電子書籍ファイルから設定(&E)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "選択されたすべての本の表紙を、最初に\n選択された本と同じものにする。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "表紙を同一化"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "デフォルトで生成される表紙の作成方法を設定"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "表紙生成を設定(&V)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "選択した本すべてにコメントを設定(&M)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "基本書誌情報(&B)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "カスタム書誌情報(&C):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "検索/置換条件を読み込み(&L):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "読み出す保存済み検索条件/置換を選択"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "現在の検索/置換を保存"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "保存(&V)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "検索フィールド(&F):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "検索したいフィールドの名前"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "検索モード(&M):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "基本的なテキスト検索か、高度な正規表現による検索のどちらを使うかを選択"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "識別子タイプ(&I):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "どの識別子タイプに操作を行うか選択"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "テンプレート(&T):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "検索/置換の元として使用されるテンプレートを入力"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "検索モードに応じて、検索したいものをプレーンテキストまたは正規表現で入力"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "このボックスをチェックすると、検索文字列が正確に大文字小文字がマッチします。チェックをはずすと大小文字は無視されます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "大文字・小文字を区別(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "置換(&R):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "置換文字列。マッチした検索テキストはこの文字列と入れ替えられます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "置換後に変換操作を行う(&A):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "検索/置換後にどのようにテキストを処理するかを選択する。文字列モードではフィールド全体が処理されます。正規表現モードではマッチしたテキストだけが処理されます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "対象フィールド(&D):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "置換処理が終わった後、テキストが入れられるフィールド。もし空白の場合、元フィールドが使われます。（フィールドが変更可能の時のみ）"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "モード(&O):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "どのようにテキストが結果にコピーされるかを指定してください。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "結果のアイテムが複数の値に分けられるか、一つの値のままにするのかを指定します。このオプションは元フィールドが複数でなく、結果フィールドが複数の場合に有用でしょう。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "結果を分割(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "識別子タイプ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17567,48 +17594,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>どの識別子タイプについて処理を行うかを選択します。検索フィールドが\nidentifiers 以外で、検索結果によりすべての識別子を置換したい場合は、* を指定\nすることができます。</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "複数値のフィールドで(&W)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "個から始める。値のセパレータは"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "テスト結果の、複数値フィールドの値を一つ一つの値として表示する時に使われます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "テスト文字列"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "テスト結果"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "テスト(&T):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "検索と置換(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "有効にした場合、編集完了後本リストの再ソートが実行され、\nまた仮想ライブラリが選択されている場合、再検索が実行されます。\n大きなライブラリの場合、動作が遅くなる可能性があります。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "編集後に本リストを更新(&R)"
 
@@ -18015,7 +18042,7 @@ msgstr "分離"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:248
 msgid "Show the Quickview panel in its own floating window"
-msgstr ""
+msgstr "クイックビューパネルを独立したフローティングウィンドウで表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:251
 msgid "Lock Quickview contents"
@@ -18032,7 +18059,7 @@ msgstr "クイックビューをCalibre
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:285
 msgid "Alternate shortcut: "
-msgstr ""
+msgstr "別のショートカット:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:297
 msgid "Search for item in the Tag browser"
@@ -18041,15 +18068,15 @@ msgstr "タグブラウザ内を検索"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:299
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:317
 msgid "Search for item in the library"
-msgstr ""
+msgstr "ライブラリ中でアイテムを検索"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:314
 msgid "Select this book in the library"
-msgstr ""
+msgstr "この本をライブラリ中で選択"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:319
 msgid "Edit book metadata"
-msgstr ""
+msgstr "本の書誌情報の編集"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:322
 msgid "Quickview this cell"
@@ -18057,59 +18084,59 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:327
 msgid "Open book in the E-book viewer"
-msgstr ""
+msgstr "E-book ビューワで開く"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:508
 #, python-brace-format
 msgid "&Item: {0} ({1})"
 msgstr "項目(&I): {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**見つかりませんでした**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "ライブラリビューの列をクリックすると本の情報を参照できます"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "選択した項目の値 \"{0}\" の本(&B): {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
-msgstr ""
+msgstr "本の上でダブルクリックするとライブラリビュー内で選択される本を変更、または左側のペインに表示される列を変更します。Shift+ダブルクリックまたはControl+ダブルクリックで本の書誌情報を編集できますが、このときも選択する本が変更されます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "表の作成中に不具合が発生しました"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "クイックビュー: 本がライブラリビューにありません"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
 " it."
-msgstr ""
+msgstr "選択した本は、おそらく検索条件またはバーチャルライブラリにより、現在のライブラリビュー内に表示されていないため、クイックビューからは選択することができません。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview_ui.py:88
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:737
 msgid "&Apply Virtual libraries"
-msgstr ""
+msgstr "仮想ライブラリを適用(&A)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview_ui.py:89
 msgid ""
@@ -18205,87 +18232,87 @@ msgstr "データベースの復旧に
 msgid "Failed to repair library"
 msgstr "ライブラリの修復に失敗しました"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "検索条件を保存"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "検索条件の名称"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "検索条件(&S):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "検索条件"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "検索名がありません"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "保存済み検索名を指定してください。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "検索条件がありません"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "保存済み検索用の検索条件を指定してください"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "保存済み検索が間違っています"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "保存済み検索条件を編集"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "検索の追加(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "検索の削除(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "検索の編集(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "現在の保存済み検索条件は<b>完全に削除されます</b>。よろしいですか？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "名前と検索条件を編集してください。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "保存済み検索条件を編集"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "保存済み検索で {} という名称は使用中です。別の名前を選択してください。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "検索条件"
 
@@ -18648,7 +18675,7 @@ msgstr "検索するタグ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:170
 msgid "&Date search"
-msgstr ""
+msgstr "日付で検索(&D)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:185
 msgid "&Search the"
@@ -18696,11 +18723,11 @@ msgstr "昨日"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:243
 msgid "&Template search"
-msgstr ""
+msgstr "テンプレートで検索(&T)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:251
 msgid "The value to search for"
-msgstr ""
+msgstr "検索する値"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:253
 msgid ""
@@ -18713,7 +18740,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:260
 msgid "Template &value:"
-msgstr ""
+msgstr "テンプレートの値(&V):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:265
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/columns.py:132
@@ -18743,7 +18770,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:277
 msgid "Right click to open a template editor"
-msgstr ""
+msgstr "右クリックでテンプレートエディタを開く"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/search.py:278
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:684
@@ -18799,7 +18826,7 @@ msgstr "Calibreに固定のネットワ
 msgid ""
 "Try 9090. If calibre says that it fails to connect to the port, try another "
 "number. You can use any number between 8,000 and 65,535."
-msgstr ""
+msgstr "まず 9090 を試してください。Calibreがポートへの接続に失敗する場合には、別のポート番号を試してください。8000 から 65535 の任意のポート番号が使用できます。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/smartdevice.py:63
 msgid ""
@@ -18824,7 +18851,7 @@ msgstr "ポート番号を指定して
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/smartdevice.py:119
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/smartdevice.py:124
 msgid "The port must be a number between 8000 and 65535."
-msgstr ""
+msgstr "ポート番号は8000から65535の間でなければなりません。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/smartdevice.py:139
 #: /__w/calibre/calibre/src/calibre/gui2/ui.py:472
@@ -18939,7 +18966,7 @@ msgstr "新しいカテゴリの内容
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:145
 msgid "Item &filter: "
-msgstr ""
+msgstr "アイテムフィルタ(&F)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:146
 msgid ""
@@ -18948,11 +18975,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:147
 msgid "Delete the current tag category"
-msgstr ""
+msgstr "現在のタグカテゴリを削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:149
 msgid "Enter a category name, then use the Add button or the Rename button"
-msgstr ""
+msgstr "カテゴリ名を入力して、追加ボタンや変更ボタンを使ってください。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:150
 msgid "Add a new category"
@@ -18967,11 +18994,11 @@ msgid ""
 "<p>Show items in the Available items box only if they appear in the\n"
 "            current Virtual library. Applied items not in the Virtual library will be marked\n"
 "            \"not on any book\".</p>"
-msgstr ""
+msgstr "<p>「利用可能なアイテム」欄に表示するものを、現在の仮想ライブラリ中の\nものに限定します。「利用中のアイテム」のうち仮想ライブラリ内には存在\nしないものには「対象となる本なし」と表示されます。</p>"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:157
 msgid "&Show only available items in current Virtual library"
-msgstr ""
+msgstr "現在の仮想ライブラリに存在する項目のみ表示(&S)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:158
 msgid "&Available items"
@@ -19020,45 +19047,45 @@ msgstr "次のタグが1つ以上の本
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:132
 msgid "Manage items"
-msgstr ""
+msgstr "アイテムの管理"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:133
 msgid "&Add item:"
-msgstr ""
+msgstr "アイテムの追加(&A)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:134
 msgid "Apply item(s) to the current book"
-msgstr ""
+msgstr "現在の本にアイテムを適用"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:135
 msgid "Filter the available items"
-msgstr ""
+msgstr "有効なアイテムをフィルタ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:136
 msgid ""
 "Delete the selected items from database. This will unapply the items from "
 "all books and then remove them from the database."
-msgstr ""
+msgstr "データベースからアイテムを削除します。これはまず本からアイテムを取り除き、そしてデータベースから削除します。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:137
 msgid "Ava&ilable items"
-msgstr ""
+msgstr "利用可能なアイテム(&I)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:138
 msgid "Apply item to current book"
-msgstr ""
+msgstr "現在の本にアイテムを適用"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:139
 msgid "Unapply (remove) the item from current book"
-msgstr ""
+msgstr "現在の本からタグを削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_editor_ui.py:140
 msgid "Filter the applied items"
-msgstr ""
+msgstr "適用されたタグをフィルタ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:294
 msgid "Search for {}"
-msgstr ""
+msgstr "{}を検索"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:297
 msgid "Filter by {}"
@@ -19085,11 +19112,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:513
 msgid "Editing..."
-msgstr ""
+msgstr "編集..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:536
 msgid "Item is not a permitted value"
-msgstr ""
+msgstr "アイテムは許可された値ではありません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:537
 #, python-brace-format
@@ -19104,7 +19131,7 @@ msgstr "本当に変更を元に戻し
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:588
 msgid "Undelete items?"
-msgstr ""
+msgstr "削除した項目を元に戻しますか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:589
 msgid "Items must be undeleted to continue. Do you want to do this?"
@@ -19116,7 +19143,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:111
 msgid "Find items containing the search string"
-msgstr ""
+msgstr "検索文字を含むアイテムを検索"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:113
 msgid ""
@@ -19127,7 +19154,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:116
 msgid "Only show items in the current &Virtual library"
-msgstr ""
+msgstr "現在の仮想ライブラリに存在するアイテムのみ表示(&V)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:117
 msgid "&Filter by:"
@@ -19139,17 +19166,17 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:119
 msgid "Show only items containing this text"
-msgstr ""
+msgstr "このテキストを含むアイテムのみを表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:120
 msgid "F&ilter"
-msgstr ""
+msgstr "フィルタ(&L)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:121
 msgid ""
 "Delete selected items from the database. This will unapply the items from "
 "all books and then remove them from the database."
-msgstr ""
+msgstr "データベースからアイテムを削除します。これはまず本からアイテムを取り除き、そしてデータベースから削除します。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:123
 msgid "Ctrl+D"
@@ -19157,7 +19184,7 @@ msgstr "Ctrl+D"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:124
 msgid "Rename the items in every book where they are used"
-msgstr ""
+msgstr "アイテムが使われているすべての本で、アイテム名を変更します。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:126
 msgid "Ctrl+R"
@@ -19183,48 +19210,64 @@ msgstr "タグ1"
 msgid "Tag 2"
 msgstr "タグ2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "テンプレート言語チュートリアル"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "テンプレート関数リファレンス"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
-msgstr ""
+msgstr "アイコンを選択"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "例外: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
+msgstr "テンプレートを保存しました"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "列が選択されていません"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "色付けする列を選択しなくてはなりません"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "テンプレートがありません"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "テンプレート欄は空白にできません"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -19266,7 +19309,7 @@ msgstr "アイコンファイルを選
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:208
 msgid "Template &name:"
-msgstr ""
+msgstr "テンプレートの名前(&N):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:209
 msgid "The name of the callable template"
@@ -19274,7 +19317,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:210
 msgid "T&emplate:"
-msgstr ""
+msgstr "テンプレート(&E):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:211
 msgid "The template program text"
@@ -19283,7 +19326,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:212
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:143
 msgid "D&ocumentation:"
-msgstr ""
+msgstr "ドキュメント(&O):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:213
 msgid "Documentation for the function being defined or edited"
@@ -19303,7 +19346,7 @@ msgstr "フォントサイズ:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:217
 msgid "Template Function Reference"
-msgstr ""
+msgstr "テンプレート関数リファレンス"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:218
 msgid "Function &name:"
@@ -20026,7 +20069,7 @@ msgstr "検索バー"
 
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:411
 msgid "Next Virtual library"
-msgstr ""
+msgstr "次の仮想ライブラリ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:413
 msgid "Switch to the next Virtual library in the Virtual library tab bar"
@@ -20034,7 +20077,7 @@ msgstr "仮想ライブラリタブバ
 
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:416
 msgid "Previous Virtual library"
-msgstr ""
+msgstr "前の仮想ライブラリ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:418
 msgid "Switch to the previous Virtual library in the Virtual library tab bar"
@@ -20061,15 +20104,15 @@ msgstr "隠したタブを戻す"
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:532
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:391
 msgid "Hide Virtual library tabs"
-msgstr ""
+msgstr "仮想ライブラリタブを非表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:534
 msgid "Lock Virtual library tabs"
-msgstr ""
+msgstr "仮想ライブラリのタブをロック"
 
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:536
 msgid "Unlock Virtual library tabs"
-msgstr ""
+msgstr "仮想ライブラリのタブをロック解除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/init.py:542
 #, python-format
@@ -20166,7 +20209,7 @@ msgstr "ジョブが停止できませ
 msgid ""
 "Some of the jobs cannot be stopped. Click \"Show details\" to see the list "
 "of unstoppable jobs."
-msgstr ""
+msgstr "一部のジョブは停止できません。「詳細を表示」をクリックして停止できないジョブの一覧を参照してください。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/jobs.py:434
 msgid "Unavailable"
@@ -20283,7 +20326,7 @@ msgstr "名前でショートカット
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "該当なし"
 
@@ -20349,7 +20392,7 @@ msgstr "<p>本リストをタイトル
 
 #: /__w/calibre/calibre/src/calibre/gui2/layout.py:266
 msgid "Do quick search (you can also press the Enter key)"
-msgstr ""
+msgstr "クイック検索を行う（Enterキーでもできます）"
 
 #: /__w/calibre/calibre/src/calibre/gui2/layout.py:270
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:88
@@ -20389,7 +20432,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:82
 msgid "Local E-book viewer user"
-msgstr ""
+msgstr "ローカルの電子書籍ビューアユーザ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:88
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:343
@@ -20417,7 +20460,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:129
 msgid "annotations"
-msgstr ""
+msgstr "注釈"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:141
 msgid "Format to export in:"
@@ -20425,27 +20468,27 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:148
 msgid "Save to file"
-msgstr ""
+msgstr "ファイルを保存"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:162
 msgid "File for exports"
-msgstr ""
+msgstr "エクスポートするファイル"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:253
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:715
 msgid "Open in viewer"
-msgstr ""
+msgstr "ビューワで開く"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:715
 msgid "Show in calibre"
-msgstr ""
+msgstr "Caibreライブラリで表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
-msgstr ""
+msgstr "注釈の編集"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:259
 msgid "Export selected item"
@@ -20458,14 +20501,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
-msgstr ""
+msgstr "すべて展開"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "すべて閉じる"
 
@@ -20475,19 +20518,19 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:362
 msgid "Types:"
-msgstr ""
+msgstr "Types:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:369
 msgid "Show only annotations of the specified type"
-msgstr ""
+msgstr "指定されたタイプの注釈のみ表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:371
 msgid "User:"
-msgstr ""
+msgstr "ユーザ:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:378
 msgid "Show only annotations created by the specified user"
-msgstr ""
+msgstr "指定されたユーザで作成された注釈のみ表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:384
 msgid ""
@@ -20506,7 +20549,7 @@ msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:475
 msgid "Enter words to search for"
-msgstr ""
+msgstr "検索する単語"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:490
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/diff/main.py:271
@@ -20522,7 +20565,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:690
 msgid "Add notes"
-msgstr ""
+msgstr "注釈を追加"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:690
 msgid "Add notes to this highlight"
@@ -20530,7 +20573,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:713
 msgid "User"
-msgstr ""
+msgstr "ユーザ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:716
 msgid "Open the book at this annotation in the calibre E-book viewer"
@@ -20561,7 +20604,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:799
 msgid "Delete all selected"
-msgstr ""
+msgstr "選択したものすべてを削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:800
 msgid "Delete the selected annotations"
@@ -20569,7 +20612,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:803
 msgid "Export all selected"
-msgstr ""
+msgstr "選択したものすべてをエクスポート"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:804
 msgid "Export the selected annotations"
@@ -20622,7 +20665,7 @@ msgstr "星%s"
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:1022
 #, python-format
 msgid "Click in this column and press Q to Quickview books with the same \"%s\""
-msgstr ""
+msgstr "列をクリックしてQを押すと同じ %s の本がクイックビューで表示されます"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:1029
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:444
@@ -20634,7 +20677,7 @@ msgstr "説明:"
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:1709
 #, python-brace-format
 msgid "The lookup/search name is <i>{0}</i>"
-msgstr ""
+msgstr "検索名は <i>{0}</i>"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:1039
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:1711
@@ -20824,7 +20867,7 @@ msgstr "<b>変更は再起動後に有
 
 #: /__w/calibre/calibre/src/calibre/gui2/lrf_renderer/main.py:77
 msgid " - LRF viewer"
-msgstr ""
+msgstr " - LRF ビューア"
 
 #: /__w/calibre/calibre/src/calibre/gui2/lrf_renderer/main.py:161
 #, python-format
@@ -20870,7 +20913,7 @@ msgstr "LRF ファイルを読み取り"
 
 #: /__w/calibre/calibre/src/calibre/gui2/lrf_renderer/main_ui.py:128
 msgid "LRF viewer toolbar"
-msgstr ""
+msgstr "LRF ビューアツールバー"
 
 #: /__w/calibre/calibre/src/calibre/gui2/lrf_renderer/main_ui.py:129
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:52
@@ -21047,15 +21090,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/main.py:438
 #: /__w/calibre/calibre/src/calibre/gui2/main.py:467
 msgid "Failed to contact running instance of calibre"
-msgstr ""
+msgstr "起動中のCalibreインスタンスへの接続に失敗しました"
 
 #: /__w/calibre/calibre/src/calibre/gui2/main.py:441
 msgid "Contacting calibre failed"
-msgstr ""
+msgstr "Calibreの接続に失敗"
 
 #: /__w/calibre/calibre/src/calibre/gui2/main.py:442
 msgid "Failed to contact running instance of calibre, try restarting calibre"
-msgstr ""
+msgstr "起動中のCalibreインスタンスへの接続に失敗しましたのでcalibreの再起動を試してみて下さい"
 
 #: /__w/calibre/calibre/src/calibre/gui2/main.py:450
 msgid "Shutdown command sent, waiting for shutdown..."
@@ -21249,7 +21292,7 @@ msgstr "生成する表紙のスタイ
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1137
 msgid "Undo last Generate cover"
-msgstr ""
+msgstr "最後に生成した表紙を元に戻す"
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1193
 msgid "Not a valid picture"
@@ -21483,7 +21526,7 @@ msgstr "このダイアログを閉じ
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/diff.py:629
 msgid "All reviewed changes will be lost! Are you sure you want to Cancel?"
-msgstr ""
+msgstr "レビューした変更はすべてなくなります!本当にキャンセルしますか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/diff.py:653
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:411
@@ -21623,7 +21666,7 @@ msgstr "プリフィックスを1行に
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:364
 msgid "Save changed metadata?"
-msgstr ""
+msgstr "変更された書誌情報を保存しますか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:365
 msgid ""
@@ -21658,7 +21701,7 @@ msgstr[0] "このセットには他に
 msgid ""
 "Are you sure you want to stop? Use the \"Next\" button instead of the \"OK\""
 " button to move through books in the set."
-msgstr ""
+msgstr " 本当に中止しますか？次の本に進むには「OK」ボタンではなく「次へ」ボタンをクリックしてください。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:651
 msgid "&Continue editing"
@@ -21864,7 +21907,7 @@ msgstr "アプリケーションパス:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/open_with.py:213
 msgid "Invalid application"
-msgstr ""
+msgstr "無効なアプリケーション:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/open_with.py:214
 #, python-format
@@ -21905,7 +21948,7 @@ msgstr "アイコンを変更(&I)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/open_with.py:408
 msgid "Change &name"
-msgstr ""
+msgstr "名前の変更(&N)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/open_with.py:425
 #: /__w/calibre/calibre/src/calibre/gui2/open_with.py:445
@@ -21935,7 +21978,7 @@ msgstr "%s から画像を読み込め
 
 #: /__w/calibre/calibre/src/calibre/gui2/open_with.py:448
 msgid "Enter new name"
-msgstr ""
+msgstr "新しい名前を入力"
 
 #: /__w/calibre/calibre/src/calibre/gui2/open_with.py:448
 msgid "New name for {}"
@@ -22025,12 +22068,12 @@ msgstr "書誌情報をファイル名
 msgid ""
 "Swap the first name and last name of the author. This affects only metadata "
 "read from file names."
-msgstr ""
+msgstr "ファーストネームとラストネームを交換します。この設定はファイル名から書誌情報を得た時のみに有効です。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:213
 msgid ""
 "&Swap author first name and last name when reading author from filename"
-msgstr ""
+msgstr "ファイル名から著者名を読み取り時に姓と名を入れ替える(&S)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:214
 msgid "Configure metadata from file name"
@@ -22058,7 +22101,7 @@ msgstr "「ライブラリにコピー
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:219
 msgid "Automatically &convert added books to the preferred output format"
-msgstr ""
+msgstr "追加された本を自動的に出力フォーマットに変換する(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:220
 msgid ""
@@ -22080,7 +22123,7 @@ msgid ""
 "the incoming format. Note that this option also affects the Copy to library action.\n"
 "\n"
 "Title match ignores leading indefinite articles (\"the\", \"a\", \"an\"), punctuation, case, etc. Author match is exact."
-msgstr ""
+msgstr "自動マージ: 類似したタイトルと著者の本が見つかったときに、入力フォーマットを自動的に既存の書籍情報に\nマージします。右側のボックスでは、入力フォーマットの情報がすでに存在したときの動作を指定します。\n「ライブラリにコピー」の動作にも影響するので注意してください。\n\nタイトル中の冠詞や句読点(\"the\", \"a\", \"an\")は無視されます。著者名は完全一致で検索します。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:227
 msgid "&Auto-merge added books if they already exist:"
@@ -22098,7 +22141,7 @@ msgid ""
 "\n"
 "Title matching ignores leading indefinite articles (\"the\", \"a\", \"an\"), punctuation, case, etc.\n"
 "Author matching is exact."
-msgstr ""
+msgstr "自動マージ: 類似したタイトルと著者の本が見つかったときに、入力フォーマット(ファイル)を自動的に既存の書籍情報に\nマージします。このボックスでは、入力フォーマットの情報がすでに存在したときの動作を指定します。\n\n重複した入力ファイルを無視 - Calibreライブラリ内の既存ファイルは置き換えられません\n既存の重複ファイルを上書き - Calibreライブラリ内の既存ファイルを置き換えます\n重複ファイルごとに新規レコード作成 - 重複したファイルごとに新しく書籍情報を作成します\n\nタイトル中の冠詞や句読点 (\"the\", \"a\", \"an\")は無視されます。著者名は完全一致で検索します。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:238
 msgid "&Tags to apply when adding a book:"
@@ -22171,7 +22214,7 @@ msgstr "フォルダを参照"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:256
 msgid "Automatically &convert added files to the preferred output format"
-msgstr ""
+msgstr "追加された本を自動的に出力フォーマットに変換する(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:257
 msgid ""
@@ -22255,7 +22298,7 @@ msgstr "ジョブの優先度(&P):"
 msgid ""
 "Choose a different layout for the Edit metadata dialog. The compact metadata"
 " layout favors editing custom metadata over changing covers and formats."
-msgstr ""
+msgstr "書誌情報編集ダイアログのレイアウトを選択します。コンパクト書誌情報レイアウトは、表紙やフォーマットの修正よりも、カスタム書誌情報の編集に向いています。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/behavior_ui.py:171
 msgid "Preferred &input format order:"
@@ -22302,7 +22345,7 @@ msgid ""
 "Use this Virtual library on calibre startup if the current library is being "
 "used. Also applied when switching to this library. Note that this setting is"
 " per library. "
-msgstr ""
+msgstr "指定した仮想ライブラリを起動時のデフォルトとして使用します。このライブラリへの切り替え時も適用されます。この設定はライブラリ毎の設定です。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/behavior_ui.py:184
 msgid "Reset all disabled &confirmation dialogs"
@@ -22676,62 +22719,62 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:879
 msgid "value: "
-msgstr ""
+msgstr "値:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "ルールを追加(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "ルールを削除(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "選択したルールを上に移動"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "選択したルールを下に移動"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "高度なルールを追加(&V)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
-msgstr ""
+msgstr "重複したルール(&P)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
-msgstr ""
+msgstr "アイコンディレクトリを開く"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "ルールをファイルからインポート"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "列の色に何を使うかは「ルール」を作成してCalibreにどの色を使用するのか指定してやることで制御できます。「ルールを追加」ボタンをクリックして開始してください。<p>既存のルールはダブルクリックすることで<b>編集可能です</b>。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "「ルール」を作成してCalibreにどのアイコンを使用するか指定してやることで、本の一覧中の列にアイコンを追加することができます。「ルールを追加」ボタンをクリックして開始してください。<p>既存のルールはダブルクリックすることで<b>編集可能です</b>。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22739,57 +22782,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "表紙グリッドでの表示に使用するエンブレム (アイコン) を指定するには、「ルール」を作成してCalibreにどの画像を使用するかを教えます。作成開始するには「ルールを追加」ボタンをクリックしてください。<p>既存のルールをダブルクリックすると、<b>内容を編集できます</b>。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "表紙の隣にアイコンを表示(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "有効に設定すると、選択したアイコンを表紙グリッドの表紙画像の隣に、書誌情報に応じて表示させることができます。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
-msgid "Select one rule"
-msgstr ""
-
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+msgid "Select one rule"
+msgstr "1つのルールを選択"
+
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
-msgstr ""
+msgstr "1つのルールのみ選択しなければなりません。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "ルールが選択されていません"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "%s のルールが選択されていません。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "削除"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "エクスポート先のファイルを選択"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "ルール"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "インポートするファイルを選択"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "有効なルールがありません"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "{} に有効なルールがありません"
 
@@ -22817,7 +22860,7 @@ msgstr "タグブラウザにアンパ
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/columns.py:145
 #, python-brace-format
 msgid "(lookup name was {0}) {1}"
-msgstr ""
+msgstr "(検索名は {0}) {1}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/columns.py:195
 msgid "You must select a column to delete it"
@@ -22941,7 +22984,7 @@ msgstr "選択されている列はユ
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:185
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:547
 msgid "Now"
-msgstr ""
+msgstr "Now"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:220
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:251
@@ -22995,7 +23038,7 @@ msgstr "列を探す時に使われま
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:291
 msgid "&Lookup name:"
-msgstr ""
+msgstr "検索名(&L)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:295
 msgid ""
@@ -23004,7 +23047,7 @@ msgstr "ライブラリ表示の列見
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:296
 msgid "Column &heading:"
-msgstr ""
+msgstr "列見出し(&H)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:302
 msgid "What kind of information will be kept in the column."
@@ -23031,7 +23074,7 @@ msgstr "著者列のように、名前
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:312
 msgid "&Column type:"
-msgstr ""
+msgstr "列の型(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:316
 msgid "Optional text describing what this column is for"
@@ -23039,7 +23082,7 @@ msgstr "この列の用途を説明す
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:317
 msgid "D&escription:"
-msgstr ""
+msgstr "説明(&E)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:330
 msgid "Default: (nothing)"
@@ -23052,7 +23095,7 @@ msgstr "フィールド・テンプレ
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:332
 #, python-format
 msgid "Similar to save templates. For example, %s"
-msgstr ""
+msgstr "保存テンプレートと似ています。例えば %s"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:340
 msgid "No heading"
@@ -23074,7 +23117,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:347
 msgid "Column heading:"
-msgstr ""
+msgstr "列見出し:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:352
 msgid "Short text, like a title"
@@ -23104,7 +23147,7 @@ msgstr "カンマ区切りの許可す
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:368
 msgid "&Values:"
-msgstr ""
+msgstr "値(&V):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:370
 msgid ""
@@ -23114,7 +23157,7 @@ msgstr "表示するときに使われ
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:372
 msgid "Colors:"
-msgstr ""
+msgstr "色:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:375
 msgid "Allow half stars"
@@ -23168,7 +23211,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:412
 msgid "Default value:"
-msgstr ""
+msgstr "デフォルト値:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:427
 msgid "&Format for dates"
@@ -23252,11 +23295,11 @@ msgstr "列見出し %s はすでに使
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:630
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:637
 msgid "Invalid default value"
-msgstr ""
+msgstr "不正なデフォルト値"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:556
 msgid "The default value must be \"Now\" or a date"
-msgstr ""
+msgstr "デフォルト値は \"Now\" か日付でなければなりません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:560
 msgid "You must enter a template for composite columns"
@@ -23279,27 +23322,27 @@ msgstr "色 {0} は不明です"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:593
 msgid "The default value must be one of the permitted values"
-msgstr ""
+msgstr "デフォルト値は許可された値のどれかでなければなりません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:605
 msgid "The default value must be an integer"
-msgstr ""
+msgstr "デフォルト値は整数でなければなりません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:609
 msgid "The default value must be a real number"
-msgstr ""
+msgstr "デフォルト値は実数でなければなりません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:628
 msgid "The default value must be a real number between 0 and 5.0"
-msgstr ""
+msgstr "デフォルト値は実数の 0から5.0までの間でなければなりません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:631
 msgid "The default value must be an integer between 0 and 5"
-msgstr ""
+msgstr "デフォルト値は整数の 0から5までの間でなければなりません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:638
 msgid "The default value must be \"Yes\" or \"No\""
-msgstr ""
+msgstr "デフォルト値は\"Yes\"か\"No\"でなければなりません。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/device_debug.py:25
 msgid "Getting debug information, please wait"
@@ -23359,7 +23402,7 @@ msgid ""
 "Preferences->Advanced->Plugins. Remember to also enter the folders where you"
 " want the books to be put. You must restart calibre for your changes to take"
 " effect.\n"
-msgstr ""
+msgstr "これらの値をコピーし、エディターに貼り付け、そして 「設定」->「高度」->「プラグイン」 にあるUSER_DEVICEの設定に入力してください。同時に本を保存するフォルダーも指定することを忘れないでください。この設定を有効にするには、Calibreを再起動する必要があります。\n"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/email_ui.py:82
 msgid ""
@@ -23529,7 +23572,7 @@ msgstr "新しいルールを作成"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:130
 msgid "The key of the identifier, for example, in isbn:XXX, the key is \"isbn\""
-msgstr ""
+msgstr "識別子のキー。例: isbn:XXX のキーはisbn"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:132
 msgid "&Key:"
@@ -23631,19 +23674,19 @@ msgstr "サブタイトルなし"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "下"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "上"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:447
 msgid "Above text"
-msgstr ""
+msgstr "上記のテキスト"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:447
 msgid "Beside text"
@@ -23671,7 +23714,7 @@ msgid "If there is enough room"
 msgstr "十分な余裕がある場合"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "最初の一文字"
 
@@ -23794,7 +23837,7 @@ msgid ""
 "sending to device etc. The notifications are sent via the operating system "
 "notification facility, if available. Note that on Windows, you have to "
 "enable the system tray icon for notifications to work."
-msgstr ""
+msgstr "Calibreによる変換やデバイスへの送信といったジョブが終了したときに表示するポップアップ通知を無効にします。通知は、OSの通知機能が利用可能であればそれが使われます。Windows上では通知を受けるにはシステムトレイアイコンを有効にする必要があります。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:597
 msgid "Disable n&otifications on job completion"
@@ -23952,7 +23995,7 @@ msgid ""
 msgstr "表紙一覧画面表示のパフォーマンスを向上するために、Calibreは2種類のキャッシュを使用します。ディスク上に保存される表紙のサムネイルと、表示のちらつきをなくすためのメモリー上のキャッシュです。コンピュータが大量のメモリを積んでおり、それをキャッシュに使用しても問題ない場合を除いて、メモリーキャッシュを小さめにし、ディスクキャッシュを大きめにするのがよいでしょう。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "無効"
 
@@ -23994,7 +24037,7 @@ msgstr "表紙グリッド(&G)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:656
 msgid "Text styling"
-msgstr ""
+msgstr "テキストのスタイル"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:657
 msgid "Create rules to convert &identifiers into links"
@@ -24018,7 +24061,7 @@ msgstr "注：ここでの設定にか
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:662
 msgid "Show &cover"
-msgstr ""
+msgstr "表紙を表示(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:663
 msgid "Show the size of the book's cover in pixels"
@@ -24051,7 +24094,7 @@ msgstr "制限以上の数がある場
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:673
 msgid "&Category partitioning method:"
-msgstr ""
+msgstr "カテゴリ分割方法(&C):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:674
 msgid "Co&llapse when more items than:"
@@ -24118,7 +24161,7 @@ msgstr "各項目がピリオドで区
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:697
 msgid "Show &tooltips"
-msgstr ""
+msgstr "ツールチップを表示(&T)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:698
 msgid "Show &average ratings"
@@ -24145,11 +24188,11 @@ msgid ""
 " (a column, custom or standard) that has no items to show. For example, some\n"
 " categories might not have values when using Virtual libraries. Checking this\n"
 " box will cause these empty categories to be hidden."
-msgstr ""
+msgstr "チェックすると、表示する項目がないカテゴリ(標準の列及びカスタム列)を、自動的に隠します。\n例えば、仮想ライブラリを使用した際に、カテゴリに表示する項目がなくなる場合があります。\nチェックすることで、そのような空のカテゴリは非表示になります。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:708
 msgid "Hi&de empty categories (columns)"
-msgstr ""
+msgstr "空のカテゴリ (列) を非表示(&D)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:709
 msgid ""
@@ -24210,11 +24253,11 @@ msgstr "テンプレートエディタ(&
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:725
 msgid "When showing in a separate window, show it &fullscreen"
-msgstr ""
+msgstr "別ウィンドウで表示する場合は全画面で表示(&F)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:726
 msgid "Show in a &separate window (needs restart)"
-msgstr ""
+msgstr "別のウィンドウに表示(再起動が必要)(&S)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:727
 msgid ""
@@ -24224,7 +24267,7 @@ msgstr "表紙をすべて同じ幅と
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:729
 msgid "Preserve &aspect ratio of covers"
-msgstr ""
+msgstr "表紙のアスペクト比を保つ(&A)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:730
 msgid "Show &reflections"
@@ -24248,7 +24291,7 @@ msgid ""
 "Check this box to make Quickview show books only in the\n"
 "current Virtual library. If unchecked, Quickview ignores Virtual libraries. If\n"
 "unchecked then only row changes are taken into account."
-msgstr ""
+msgstr "クイックビュー上で現在の仮想ライブラリでのみ表示する本を選択してください。\n選択を解除すると、クイックビューは仮想ライブラリを無視します。\n選択が解除された場合には、行の変更だけが考慮されます。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:738
 msgid ""
@@ -24258,7 +24301,7 @@ msgstr "本リスト中で選択中の
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:740
 msgid "&Change Quickview item when book list column changes"
-msgstr ""
+msgstr "本リストの列が変更されたときクイックビューのアイテムを変更(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:741
 msgid ""
@@ -24373,7 +24416,7 @@ msgid ""
 "Disable any metadata sources you do not want by unchecking them. You can "
 "also set the cover priority. Covers from sources that have a higher "
 "(smaller) priority will be preferred when bulk downloading metadata."
-msgstr ""
+msgstr "不要な書誌情報のソースのチェックを外して無効にしてください。表紙の優先度も設定することができます。書誌情報の一括ダウンロード時は、優先度の高い(数字の小さい)ソースから表紙が優先されます。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:155
 msgid ""
@@ -24397,7 +24440,7 @@ msgstr "すべて選択(&S)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:160
 msgid "Sele&ct none"
-msgstr ""
+msgstr "選択なし(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:161
 msgid ""
@@ -24407,13 +24450,13 @@ msgstr "「デフォルトに設定」
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:162
 msgid "Select &default"
-msgstr ""
+msgstr "デフォルトを選択(&D)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:163
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
-msgstr ""
+msgstr "現在チェックされているフィールドをデフォルトとして記憶し、「デフォルトを選択」ボタンを押したときにそれらを呼適用します。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
@@ -24622,14 +24665,14 @@ msgstr "対象フィールドを指定
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard.py:320
 msgid "Plugboard modifies comments"
-msgstr ""
+msgstr "プラグボードがコメントを変更"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard.py:321
 msgid ""
 "This plugboard modifies the comments metadata. If the comments are set to "
 "invalid HTML, it could cause problems on the device. Are you sure you wish "
 "to save this plugboard?"
-msgstr ""
+msgstr "このプラグボードはコメント書誌情報を変更します。コメントが不正なHTMLで指定されるとデバイス上に不具合が起こり得ます。本当にこのプラグボードを保存しますか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard.py:352
 #, python-brace-format
@@ -24644,8 +24687,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "ここでは、Calibreが本をディスクに保存時やデバイスに送る時に、書誌情報を変更するルールを設定できます。\n\nこのダイアログで、特定のフォーマット(あるいはすべてのフォーマット)と特定のデバイス(あるいはすべてのデバイス)の組に対するルールを定義できます。ルールはどのテンプレートがどのフィールドに入れられるかを指定します。テンプレートは値を計算し、その値が指定したフィールドへ入れられます。\n\n通常はテンプレートは単に列への参照だけでしょうが、それ以上の事もできます。Calibreの他の場所で使えるテンプレートが、このボックスでも使うことができます。\n\nルールを使う一つの例としては、タイトルを変更してシリーズ情報を加えることがあります。他の例としては、mobiファイルの著者読みの欄にKindleが要求する様に';'を使うことです。 3つ目の例としては、言語を指定する事もありえます。"
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25213,7 +25256,7 @@ msgid ""
 msgstr "ユーザ名/パスワードを要求することにより、権限のない人々からのアクセスからCalibreライブラリを守ることができます。またライブラリの変更や、最後に読んだページ/注釈の同期などいくつかの機能の利用にもユーザ名/パスワードが必要となります。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "{} のパスワードを変更"
 
@@ -25335,7 +25378,7 @@ msgstr "{}には下欄に指定された
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:725
 msgid "Allow {} to make &changes (i.e. grant write access)"
-msgstr ""
+msgstr "{} に変更を許可する (書き込み権限を与える)(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:729
 msgid ""
@@ -25348,20 +25391,20 @@ msgid "Change &password"
 msgstr "パスワードを変更(&P)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
-msgstr[0] ""
+msgstr[0] "{}によるアクセスは現在、次のライブラリに制限されています: {}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:766
 msgid "Change the allowed libraries"
 msgstr "許可するライブラリを変更"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
-msgstr[0] ""
+msgstr[0] "{}は現在、次のライブラリへのアクセスが制限されています: {}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:774
 msgid "Change the blocked libraries"
@@ -25627,7 +25670,7 @@ msgid ""
 "        <li>general program mode: program: my_ifempty(field('tags'))</li>\n"
 "        </p>\n"
 "        "
-msgstr ""
+msgstr "\n        <p>ここではテンプレート処理で使われる関数の追加や削除ができます。テンプレート関数はPythonで書きます。\n        関数は本からの情報を受け取り、何らかの処理を行い、文字列の結果を返します。 \n        ここで定義された関数は組み込み関数と同様にテンプレート上で使用することができます。\n        このPython関数は必ず<b>evaluate</b>という名前にし、以下のようなシグネチャーである必要があります。</p>\n        <p><code>evaluate(self, formatter, kwargs, mi, locals, your parameters)\n        &rarr; returning a unicode string</code></p>\n        <p>evaluate関数のパラメーター:\n        <ul>\n        <li><b>formatter</b>: 現在のテンプレートを評価するためのフォーマッターインスタンスです。\n        これを使って再帰的なテンプレート評価ができます。</li>\n        <li><b>kwargs</b>: 書誌情報のdictionaryです。フィールド値はこのdictionaryに入っています。\n        <li><b>mi</b>: 書誌情報のインスタンス。フィールド情報を取得するのに使います。\n        このパラメータは、例えば本ではないテンプレートを評価するときなど、Noneであることもありえます。</li>\n        <li><b>locals</b>: 現在のテンプレートプログラムに設定されているローカル変数。</li>\n        <li><b>your parameters</b>: 1つ以上のパラメータを与えなければなりません。\n        パラメータの数は「引数の数」ボックスに入れた数と同じにしてください。\n        （ボックスに‐1を入れたときには、可変の変数となるので、最後に*argsと入れます）\n        最低でも１つの引数が必要ですが、大抵の場合はそれは操作するフィールド値となるでしょう。\n        注意すべきは、基本のテンプレートモードでは ユーザーはこの最初の引数を与えません。\n        代わりにそれはフォーマッターから与えられます。</li>\n        </ul></p>\n        <p>\n        次の関数例では、フィールドの値をチェックする物です。\n        フィールドが空でない場合はフィールドの値が返ります。そうでない場合は、値EMPTYが返ります。\n        <pre>\n        name: my_ifempty\n        arg count: 1\n        doc: my_ifempty(val) -- return val if it is not empty, otherwise the string 'EMPTY'\n        program code:\n        def evaluate(self, formatter, kwargs, mi, locals, val):\n            if val:\n                return val\n            else:\n                return 'EMPTY'</pre>\n        この関数はどの3つのテンプレートプログラムモードからでも呼ぶことができます:\n        <ul>\n        <li>シングル関数モード: {tags:my_ifempty()}</li>\n        <li>テンプレートプログラムモード: {tags:'my_ifempty($)'}</li>\n        <li>一般プログラムモード: program: my_ifempty(field('tags'))</li>\n        </p>\n        "
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:77
 #, python-brace-format
@@ -25681,7 +25724,7 @@ msgstr "関数のソースコードが
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:305
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:313
 msgid "Stored templates"
-msgstr ""
+msgstr "テンプレートを保存しました"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:301
 msgid "The name {} is already used for template function"
@@ -25693,11 +25736,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:314
 msgid "Exception while storing template"
-msgstr ""
+msgstr "テンプレート保存中に例外が発生"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:135
 msgid "D&elete"
-msgstr ""
+msgstr "削除(&E)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:940
@@ -25712,7 +25755,7 @@ msgstr "作成(&R)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:138
 msgid "&Stored Templates"
-msgstr ""
+msgstr "テンプレートを保存(&S)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:139
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:281
@@ -25739,11 +25782,11 @@ msgstr "置換"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:148
 msgid "P&rogram code (Follow Python indenting rules):"
-msgstr ""
+msgstr "プログラムコード: (Pythonのインデントルールに従ってください)(&R)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:149
 msgid "&Template Functions"
-msgstr ""
+msgstr "テンプレート関数(&T)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/texture_chooser.py:39
 msgid "Choose a texture"
@@ -26093,7 +26136,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:67
 msgid "&Clear search history"
-msgstr ""
+msgstr "検索履歴を消去(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:410
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:415
@@ -26192,12 +26235,12 @@ msgstr "%sを元に仮想ライブラリ
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:38
 #, python-format
 msgid "Match any of the selected %s"
-msgstr ""
+msgstr "選択した%sのいずれかに一致"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:39
 #, python-format
 msgid "Match all of the selected %s"
-msgstr ""
+msgstr "選択した%sのすべてに一致"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:102
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:346
@@ -26219,7 +26262,7 @@ msgstr "検索条件(&S):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:132
 msgid "Create a Virtual library based on: "
-msgstr ""
+msgstr "仮想ライブラリの作成条件: "
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:145
 #, python-format
@@ -26254,7 +26297,7 @@ msgstr "検索テキストが変更さ
 msgid ""
 "The Virtual library name or the search text has changed. Do you want to "
 "discard these changes?"
-msgstr ""
+msgstr "仮想ライブラリの名前か検索条件が変更されています。変更を破棄してよろしいですか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:264
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:94
@@ -26268,7 +26311,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:271
 msgid "A Virtual library name cannot begin with \"*\""
-msgstr ""
+msgstr "仮想ライブラリ名は\"*\"から始めることはできません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:276
 msgid "Name already in use"
@@ -26285,7 +26328,7 @@ msgstr "検索文字列がありませ
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:285
 msgid "You must provide a search to define the new Virtual library"
-msgstr ""
+msgstr "新しい仮想ライブラリを定義する検索条件を指定する必要があります"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:293
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:454
@@ -26305,7 +26348,7 @@ msgstr "該当する書籍は見つか
 msgid ""
 "The search found no books, so the Virtual library will be empty. Do you "
 "really want to use that search?"
-msgstr ""
+msgstr "検索結果の本が見つからないため、仮想ライブラリは空になります。本当にこの検索でよろしいですか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:321
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:565
@@ -26324,7 +26367,7 @@ msgstr "現在の検索から一時的
 msgid ""
 "Use a \"Virtual library\" to show only a subset of the books present in this"
 " library"
-msgstr ""
+msgstr "このライブラリに存在する本のサブセットのみ表示するのに”仮想ライブラリ”を使用する"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:344
 msgid "(all books)"
@@ -26357,7 +26400,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:507
 msgid "No Virtual libraries"
-msgstr ""
+msgstr "仮想ライブラリはありません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:508
 msgid "No Virtual libraries present, create some first"
@@ -26372,7 +26415,7 @@ msgid ""
 "        Simply type in the characters:\n"
 "        {chars}\n"
 "        and press Enter."
-msgstr ""
+msgstr "<p>上の入力欄に数文字入力するだけで素早くファイルを選択します。\nたとえば、次の仮想ライブラリを選択したい場合\n{example}\n次のように入力して、Enterを押してください。\n{chars}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:520
 msgid "Choose Virtual library"
@@ -26701,7 +26744,7 @@ msgstr "このストアからの購入
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:196
 msgid "No query"
-msgstr ""
+msgstr "クエリなし"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:197
 msgid "You must enter a title, author or keyword to search for."
@@ -26709,7 +26752,7 @@ msgstr "タイトル，著者または
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:322
 msgid "Customize Get books search"
-msgstr ""
+msgstr "本購入検索をカスタマイズ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:331
 msgid "Choose s&tores"
@@ -26841,7 +26884,7 @@ msgstr "ファイルはサポートさ
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/web_store.py:219
 msgid "Could not contact calibre"
-msgstr ""
+msgstr "Calibreに接続できません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/web_store.py:220
 msgid ""
@@ -26851,7 +26894,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/web_store.py:224
 msgid "Download completed"
-msgstr ""
+msgstr "ダウンロード完了"
 
 #: /__w/calibre/calibre/src/calibre/gui2/store/web_store.py:225
 #, python-brace-format
@@ -26870,7 +26913,7 @@ msgid "Books in this category are unrate
 msgstr "カテゴリ内の本は未評価です"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "検索条件:"
 
@@ -26882,7 +26925,7 @@ msgstr "冊数: %s"
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:303
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:141
 msgid "Rename in Virtual library"
-msgstr ""
+msgstr "仮想ライブラリを改名"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:304
 msgid ""
@@ -26892,11 +26935,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:306
 msgid "Yes, apply only in VL"
-msgstr ""
+msgstr "はい、仮想ライブラリのみ適用します"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:307
 msgid "No, apply in entire library"
-msgstr ""
+msgstr "いいえ、ライブラリ全体に適用します"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:434
 #: /__w/calibre/calibre/src/calibre/srv/metadata.py:236
@@ -26966,7 +27009,7 @@ msgstr "現在の検索制限は無効
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:119
 msgid "New category"
-msgstr ""
+msgstr "新規カテゴリ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:174
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:177
@@ -27003,28 +27046,28 @@ msgstr "ユーザカテゴリ %s が存
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:300
 msgid "Children"
-msgstr ""
+msgstr "子"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:300
 msgid "Item"
-msgstr ""
+msgstr "アイテム"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:306
 #, python-format
 msgid ""
 "%s and its children will be deleted from books in the Virtual library. Are "
 "you sure?"
-msgstr ""
+msgstr "%s とその子は仮想ライブラリの本から削除されます。よろしいですか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:309
 #, python-format
 msgid "%s and its children will be deleted from all books. Are you sure?"
-msgstr ""
+msgstr "%s とその子はすべての本から削除されます。よろしいですか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:314
 #, python-format
 msgid "%s will be deleted from books in the Virtual library. Are you sure?"
-msgstr ""
+msgstr "%s は仮想ライブラリの本から削除されます。よろしいですか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:316
 #, python-format
@@ -27074,7 +27117,7 @@ msgstr "タグブラウザ内を検索"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:598
 msgid "No more matches.</b><p> Click Find again to go to first match"
-msgstr ""
+msgstr "これ以上検索結果はありません。</b><p> 検索をもう一度クリックすると最初の検索結果へ行きます"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:620
 msgid "Configure Tag browser"
@@ -27117,7 +27160,7 @@ msgstr "著者、タグ等を管理"
 msgid ""
 "All of these category_managers are available by right-clicking on items in "
 "the Tag browser above"
-msgstr ""
+msgstr "上のタグブラウザの項目を右クリックすると、これらのすべてのカテゴリ管理が利用できます"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:667
 msgid "'Click' found item"
@@ -27135,16 +27178,16 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:145
 msgid "Yes, apply in entire library"
-msgstr ""
+msgstr "はい、ライブラリ全体に適用します"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:146
 msgid "No, apply only in VL"
-msgstr ""
+msgstr "いいえ、仮想ライブラリのみ適用します"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:475
 #, python-format
 msgid "Change icon for: %s"
-msgstr ""
+msgstr "%s のアイコンを変更:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:653
 msgid "Show category"
@@ -27152,16 +27195,16 @@ msgstr "カテゴリ表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:659
 msgid "All categories"
-msgstr ""
+msgstr "すべてのカテゴリ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:695
 #, python-format
 msgid "Rename %s in Virtual library"
-msgstr ""
+msgstr "仮想ライブラリで %s の名前を変更"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "%s の名前を変更"
@@ -27169,7 +27212,7 @@ msgstr "%s の名前を変更"
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:706
 #, python-format
 msgid "Delete %s in Virtual library"
-msgstr ""
+msgstr "仮想ライブラリで %s を削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:711
 #, python-format
@@ -27209,7 +27252,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:757
 #, python-format
 msgid "Remove %s from selected books"
-msgstr ""
+msgstr "選択した本から %s を削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:766
 #, python-format
@@ -27221,95 +27264,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(item)s を カテゴリ  %(cat)s から削除"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "%s 以外のものを検索"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "保存済み検索条件を使って検索"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "%s にサブカテゴリを追加"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "ユーザカテゴリ %s を削除"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "カテゴリ %s で本を検索"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "カテゴリ %s のない本を検索"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "カテゴリ %s を隠す"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "カテゴリのアイコンを変更"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "デフォルトのアイコンに戻す"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "ユーザカテゴリの管理"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "サブカテゴリ化の方法を変更"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "区間"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "「最初の文字」は名前順に整列する場合のみに使えます"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
-msgstr ""
+msgstr "展開 {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27709,7 +27752,7 @@ msgstr "トップレベルビューに
 
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:316
 msgid "Remove duplicates"
-msgstr ""
+msgstr "重複を削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:317
 msgid "Should headings with the same text at the same level be included?"
@@ -27721,7 +27764,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:318
 msgid "&Remove duplicates"
-msgstr ""
+msgstr "重複を削除(&R)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:360
 msgid "This entry points to an existing destination"
@@ -27734,7 +27777,7 @@ msgstr "この項目が指している
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:432
 #, python-brace-format
 msgid "<b>Title</b>: {0} <b>Dest</b>: {1}{2}"
-msgstr ""
+msgstr "<b>Title</b>: {0} <b>Dest</b>: {1}{2}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:495
 msgid "Multiple items selected"
@@ -27921,7 +27964,7 @@ msgstr "いくつかの本を変換で
 #: /__w/calibre/calibre/src/calibre/gui2/tools.py:125
 msgid ""
 "Could not convert the book because no supported source format was found"
-msgstr ""
+msgstr "サポートされるソースフォーマットが見つからないため、本を変換できませんでした"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tools.py:127
 #, python-brace-format
@@ -27966,7 +28009,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "以下の本はすでに %s フォーマットに変換されています。再変換してもよろしいですか？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -27984,19 +28028,19 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/linux_config.py:82
 msgid "&Speed of speech:"
-msgstr ""
+msgstr "音声出力のスピード(&S)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/linux_config.py:94
 msgid "Speech s&ynthesizer:"
-msgstr ""
+msgstr "音声合成(&Y)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/macos_config.py:21
 msgid "female"
-msgstr ""
+msgstr "女性"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/macos_config.py:21
 msgid "male"
-msgstr ""
+msgstr "男性"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/macos_config.py:21
 msgid "neutral"
@@ -28005,21 +28049,21 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tts/macos_config.py:31
 #: /__w/calibre/calibre/src/calibre/gui2/tts/windows_config.py:27
 msgid "Age"
-msgstr ""
+msgstr "年"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/macos_config.py:31
 #: /__w/calibre/calibre/src/calibre/gui2/tts/windows_config.py:27
 msgid "Gender"
-msgstr ""
+msgstr "性別"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/macos_config.py:85
 #: /__w/calibre/calibre/src/calibre/gui2/tts/windows_config.py:83
 msgid "&Speed of speech (words per minute):"
-msgstr ""
+msgstr "音声出力のスピード(単語/秒)(&S)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/windows_config.py:108
 msgid "Sound output:"
-msgstr ""
+msgstr "サウンド出力:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/__init__.py:164
 msgid "&Unmark marked text"
@@ -28038,7 +28082,7 @@ msgstr "保存されていない変更"
 msgid ""
 "The current book has unsaved changes. If you open a new book, they will be "
 "lost. Are you sure you want to proceed?"
-msgstr ""
+msgstr "現在の本には保存されていない変更があります。新しい本を開くと変更は失われます。よろしいですか？"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:251
 msgid "Cannot open"
@@ -28106,7 +28150,7 @@ msgstr "本が隠蔽された(obfuscated
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:357
 msgid "Failed to open book, click \"Show details\" for more information."
-msgstr ""
+msgstr "本を開くのに失敗しました。詳しくは「詳細を表示」ボタンを押してください。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:398
 msgid "Start of editing session"
@@ -28119,7 +28163,7 @@ msgstr "実行前: ファイルの削除
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:459
 msgid "One file deleted"
 msgid_plural "{} files deleted"
-msgstr[0] ""
+msgstr[0] "{}ファイルが削除されました"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:468
 msgid "Before: Re-order text"
@@ -28282,7 +28326,7 @@ msgstr "変更を元に戻す(&R)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:830
 msgid "Show this popup again"
-msgstr ""
+msgstr "ポップアップを再び表示する"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:838
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/download.py:229
@@ -28496,7 +28540,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "破棄"
 
@@ -29630,7 +29674,7 @@ msgid ""
 "Search for Unicode characters by using the English names or nicknames. You "
 "can also search directly using a character code. For example, the following "
 "searches will all yield the no-break space character: U+A0, nbsp, no-break"
-msgstr ""
+msgstr "Unicode 文字を英語名称、別名で検索します。文字コードで直接検索することもできます。例えば no-break space 文字は、以下すべてで検索できます: U+A0, nbsp, no-break"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:723
 msgid "Search by name, nickname or character code"
@@ -30004,7 +30048,7 @@ msgstr "外部リソースを検索中
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/download.py:147
 msgid "Scan failed"
-msgstr ""
+msgstr "スキャン失敗"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/download.py:148
 msgid ""
@@ -30691,7 +30735,7 @@ msgid ""
 "    line-height: 1.2;\n"
 "}}\n"
 "</style>\n"
-msgstr ""
+msgstr "<h2>カスタムテーマの作成</h2>\n\n<p id=\"attribute\" lang=\"und\">色やフォントを指定して、シンタックス\nハイライトのテーマを作成することができます。以下は、\nハイライトのルールのうち重要なものの説明です。すべてのルールで\nすべてのカスタマイズができるわけではないことに留意してください。\n例えば、<code>Cursor</code> ルールは、点滅するカーソルの色を\n指定することだけができ、フォントの変更や下線をつけても\n効果がありません。</p>\n\n<p>左のパネルでテーマを変更すると、このパネルに変更が反映されます。</p>\n\n<p xml:lang=\"und\">\n{}\n最も重要なルールです。\nエディターの前景・背景の色と、どのルールにもマッチしない、\nスタイル \"normal\" のテキストのフォントを指定します。\n \n{}\nマウスで選択されたテキストの色を定義します\n\n{}\nカーソルを含む行の色を定義します\n\n{}\n左側の行番号の色を定義します\n\n{}\nHTMLの対応するタグと、CSSの対応する括弧の色を定義\n\n{}\nHTMLタグのハイライトに使用されます\n\n{}\nHTMLの属性のハイライトに使用されます\n\n{}\nHTMLのタグの名前\n\n{}\nXMLとCSSの名前空間のprefix\n\n{}\nHTMLの改行しない(Non-breaking) 空白/ハイフン\n\n{}\n文法エラー 例: <this <>\n\n{}\nスペルミス 例: <span lang=\"en\">thisword</span>\n\n{}\nコメント 例: <!-- this one -->\n</p>\n\n<style type=\"text/css\">\n/* ハイライトがどのように働くかを見るためのCSSのサンプル */\n\np.someclass {{\n    font-family: serif;\n    font-size: 12px;\n    line-height: 1.2;\n}}\n</style>\n"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/themes.py:555
 msgid "Create/edit custom theme"
@@ -30730,7 +30774,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>イタリック体</h3>選択したテキストをイタリック体にする"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "下線(&U)"
 
@@ -30953,7 +30997,7 @@ msgstr "段落を見出しに変換"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:253
 msgid "Add a tag to this menu"
-msgstr ""
+msgstr "このメニューにタグを追加"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:255
 msgid "Remove from this menu"
@@ -30961,11 +31005,11 @@ msgstr "メニューから削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:271
 msgid "Name of tag to add"
-msgstr ""
+msgstr "追加するタグの名前"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:272
 msgid "Enter the name of the tag"
-msgstr ""
+msgstr "タグ名を入力"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:346
 msgid "Editor tools"
@@ -31114,7 +31158,7 @@ msgstr "このファイルは spine要
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:511
 msgid "Not a valid font"
-msgstr ""
+msgstr "不正なフォント"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:570
 #, python-format
@@ -31373,7 +31417,7 @@ msgstr "不正なPythonコード"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/function_replace.py:277
 #, python-format
 msgid "The code you created is not valid Python code, with error: %s"
-msgstr ""
+msgstr "作成したコードは有効なPythonのコードではありません。エラー: %s"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/function_replace.py:279
 msgid "No replace function"
@@ -31381,7 +31425,7 @@ msgstr "replace関数がありません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/function_replace.py:280
 msgid "You must create a Python function named replace in your code"
-msgstr ""
+msgstr "コード内に名前がreplaceであるPythonの関数を作成してください"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/live_css.py:287
 #, python-format
@@ -31416,7 +31460,7 @@ msgid ""
 "\n"
 "Launch the calibre Edit book tool. You can optionally also specify the names of\n"
 "files inside the book which will be opened for editing automatically.\n"
-msgstr ""
+msgstr "%prog [opts] [path_to_ebook] [name_of_file_inside_book ...]\n\nCalibreの書籍編集ツールを起動します。\nオプションで、本の内部のファイルを指定して、編集のため自動的に\n開かれるようにすることができます。\n"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/manage_fonts.py:32
 #, python-format
@@ -31425,7 +31469,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/manage_fonts.py:46
 msgid "Font file added"
-msgstr ""
+msgstr "フォントファイルが追加されました"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/manage_fonts.py:47
 msgid ""
@@ -31436,7 +31480,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/manage_fonts.py:59
 msgid "Font files added"
-msgstr ""
+msgstr "フォントファイルが追加されました"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/manage_fonts.py:60
 msgid ""
@@ -31587,7 +31631,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/polish.py:83
 msgid "Remove NCX ToC file"
-msgstr ""
+msgstr "NCX ToC ファイルを削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/polish.py:84
 msgid "Remove the legacy Table of Contents in NCX form?"
@@ -31606,11 +31650,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/polish.py:90
 msgid "Keep NCX"
-msgstr ""
+msgstr "NCXを保持"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/polish.py:90
 msgid "Remove NCX"
-msgstr ""
+msgstr "NCXを削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/polish.py:106
 msgid "Action report"
@@ -31873,7 +31917,7 @@ msgstr "最小フォントサイズ(&N):
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:385
 msgid "lines"
-msgstr ""
+msgstr "行"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:387
 msgid ""
@@ -31891,11 +31935,11 @@ msgstr "背景色:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:390
 msgid "Foreground color:"
-msgstr ""
+msgstr "文字色:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:391
 msgid "Link color:"
-msgstr ""
+msgstr "リンク色:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:405
 msgid "Use the colors from the book styles, defaulting to black-on-white"
@@ -31911,7 +31955,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:407
 msgid "Choose a custom color"
-msgstr ""
+msgstr "カスタム色を選択"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:407
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/model.py:74
@@ -32053,9 +32097,9 @@ msgid "Disabled confirmations restored"
 msgstr "無効にした確認ダイアログを元に戻しました"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
-msgstr ""
+msgstr "描画プロセスがクラッシュしました"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:395
 msgid ""
@@ -32092,7 +32136,7 @@ msgstr "%s を編集"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:518
 msgid "Loading preview, please wait..."
-msgstr ""
+msgstr "プレビューを読み込み中、お待ちください…"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:566
 msgid "Search in preview"
@@ -32424,7 +32468,7 @@ msgstr "\n検索方向:\n<dl>\n<dt><b>
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:211
 msgid "Fuzzy"
-msgstr ""
+msgstr "Fuzzy"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/text_search.py:27
@@ -32636,7 +32680,7 @@ msgstr "置換を実行後、選択し
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:942
 msgid "Run Replace all for all selected entries in the order selected"
-msgstr ""
+msgstr "すべての選択した項目で選択順に置換をすべて実行します"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:943
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:559
@@ -32645,7 +32689,7 @@ msgstr "出現回数を取得(&C)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:943
 msgid "Run Count all for all selected entries"
-msgstr ""
+msgstr "選択した項目すべての中の出現回数を数えます"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:958
 msgid "Move selected entries up"
@@ -32680,7 +32724,7 @@ msgid "Export saved searches"
 msgstr "保存した検索をエクスポート"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "エクスポート"
 
@@ -32694,7 +32738,7 @@ msgstr "選択したものをエクス
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1019
 msgid "Copy to search panel"
-msgstr ""
+msgstr "検索パネルにコピー"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1117
 msgid "No saved search is selected"
@@ -32807,7 +32851,7 @@ msgstr "置換できません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1465
 msgid "You must first click \"Find\", before trying to replace"
-msgstr ""
+msgstr "置換の前にまず検索をクリックしてください"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1481
 msgid "Currently selected text does not match the search query."
@@ -33047,7 +33091,7 @@ msgstr "ユーザ辞書の管理(&U)"
 msgid ""
 "Manage the list of user dictionaries (dictionaries to which you can add "
 "words)"
-msgstr ""
+msgstr "ユーザ辞書(ユーザが単語を追加できる辞書)を管理"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/spell.py:462
 msgid "&Add dictionary"
@@ -33112,7 +33156,7 @@ msgstr "置換を手動で指定"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/spell.py:885
 msgid "Ignore/un-ignore all selected words"
-msgstr ""
+msgstr "選択した単語を無視する/無視しない "
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/spell.py:886
 msgid "Add/remove all selected words"
@@ -33417,7 +33461,7 @@ msgstr "空の書籍を新規作成す
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:449
 msgid "Create new, &empty book"
-msgstr ""
+msgstr "空の書籍を新規作成する(&E)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:450
 msgid "&Import an HTML or DOCX file as a new book"
@@ -33685,7 +33729,7 @@ msgstr "現在のマッチを置換"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:553
 msgid "Replace and find ne&xt"
-msgstr ""
+msgstr "検索して次を検索(&X)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:554
 msgid "Replace current match and find next"
@@ -34094,7 +34138,7 @@ msgstr "EPUBファイル"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:247
 msgid "Need document"
-msgstr ""
+msgstr "ドキュメントが必要"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:248
 msgid "You must specify the source file that will be imported."
@@ -34213,7 +34257,7 @@ msgid ""
 "First choose the type of semantic information, then choose a file and optionally a location within the file to point to.\n"
 "\n"
 "The semantic information will be written in the <guide> section of the OPF file."
-msgstr ""
+msgstr "セマンティクスは、本の中の特定の場所についての追加情報を言及します。たとえば、特定の場所が献辞や序文や目次であることを指定することができます。 \n\nまず、セマンティクス情報の種類を選択します。そして、ファイルを選択、ファイル内の場所を任意に指定します。 \n\nセマンティクス情報は、OPFファイルの <guide> セクションに書き込まれます。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:999
 msgid "Flo&ats"
@@ -34286,7 +34330,7 @@ msgstr "本リストをフォーカス"
 
 #: /__w/calibre/calibre/src/calibre/gui2/ui.py:298
 msgid "Clear the Virtual library"
-msgstr ""
+msgstr "仮想ライブラリを消去"
 
 #: /__w/calibre/calibre/src/calibre/gui2/ui.py:305
 msgid "Clear the additional restriction"
@@ -34479,7 +34523,7 @@ msgstr "ユーザプラグインのイ
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:33
 msgid "Rename this bookmark"
-msgstr ""
+msgstr "ブックマークを改名"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:35
 msgid "Remove this bookmark"
@@ -34487,7 +34531,7 @@ msgstr "ブックマークを削除"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:106
 msgid "Double click to edit the bookmarks"
-msgstr ""
+msgstr "ダブルクリックでブックマークを編集"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:110
 msgid "&New"
@@ -34507,7 +34551,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:124
 msgid "Nex&t"
-msgstr ""
+msgstr "次(&T)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:132
 msgid "Position in book"
@@ -34515,7 +34559,7 @@ msgstr "本の中の位置"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:134
 msgid "Change how the bookmarks are sorted"
-msgstr ""
+msgstr "表示されたブックマークの並び順を変更"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:259
 #, python-brace-format
@@ -34549,70 +34593,70 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:131
 msgid "highlights"
-msgstr ""
+msgstr "ハイライト"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
-msgstr ""
+msgstr "変更"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -34637,11 +34681,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:95
 msgid "You must specify a name"
-msgstr ""
+msgstr "名前の指定が必要です"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:97
 msgid "Name already exists"
-msgstr ""
+msgstr "名前はすでに存在しています"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:98
 msgid "A lookup source with the name {} already exists"
@@ -34649,7 +34693,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:101
 msgid "You must specify a URL"
-msgstr ""
+msgstr "URLの指定が必要です"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:104
 msgid "The URL must start with https://"
@@ -34666,16 +34710,16 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:122
 msgid "Double-click to edit an entry"
-msgstr ""
+msgstr "エントリを編集するにはダブルクリック"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:417
 msgid "Restore defaults"
-msgstr ""
+msgstr "デフォルトに戻す"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:181
 msgid "No sources"
-msgstr ""
+msgstr "ソースなし"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:182
 msgid "You must specify at least one lookup source"
@@ -34683,15 +34727,15 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:232
 msgid "Zoom in"
-msgstr ""
+msgstr "ズームイン"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:233
 msgid "Zoom out"
-msgstr ""
+msgstr "ズームアウト"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:234
 msgid "Default zoom"
-msgstr ""
+msgstr "デフォルトのズーム"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:235
 msgid "Inspect"
@@ -34707,7 +34751,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:269
 msgid "Add sources"
-msgstr ""
+msgstr "ソースを追加"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/lookup.py:270
 msgid "Add more sources at which to lookup words"
@@ -34736,7 +34780,7 @@ msgstr ""
 msgid ""
 "Unable to connect to existing E-book viewer window, try restarting the "
 "viewer."
-msgstr ""
+msgstr "すでに起動しているビューアへの接続ができません、ビューアを再起動してください。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/main.py:113
 msgid ""
@@ -34749,13 +34793,13 @@ msgstr "%prog [options] file\n\n電子
 msgid ""
 "If specified, the E-book viewer window will try to come to the front when "
 "started."
-msgstr ""
+msgstr "指定した場合は、ビューアーウィンドウは起動時に前面へ表示しようとします。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/main.py:123
 msgid ""
 "If specified, the E-book viewer window will try to open full screen when "
 "started."
-msgstr ""
+msgstr "指定した場合は、ビューアーウィンドウは起動時に全画面表示しようとします。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/main.py:126
 msgid "Force reload of all opened books"
@@ -34964,15 +35008,15 @@ msgstr "前のセクション"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:60
 msgid "Toggle Reference mode"
-msgstr ""
+msgstr "リファレンスモードの切り換え"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:61
 msgid "Toggle auto-scrolling"
-msgstr ""
+msgstr "自動スクロールの切り換え"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:62
 msgid "Lookup words"
-msgstr ""
+msgstr "検索語"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:63
 msgid "Show viewer controls"
@@ -34984,7 +35028,7 @@ msgstr "ページモードのON/OFF"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:65
 msgid "Print book"
-msgstr ""
+msgstr "本を印刷"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:67
 msgid "Show book metadata"
@@ -35004,27 +35048,27 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:122
 msgid "Customize this toolbar"
-msgstr ""
+msgstr "このツールバーをカスタマイズ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:124
 msgid "Hide this toolbar"
-msgstr ""
+msgstr "このツールバーを隠す"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:224
 msgid "Switch to flow mode -- where the text is not broken into pages"
-msgstr ""
+msgstr "フローモードに切り替え - テキストはページに分割されません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:227
 msgid "Switch to paged mode -- where the text is broken into pages"
-msgstr ""
+msgstr "ページモードを切り替え - テキストはページに分割されます"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:232
 msgid "Turn off auto-scrolling"
-msgstr ""
+msgstr "自動スクロールの停止"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:232
 msgid "Turn on auto-scrolling"
-msgstr ""
+msgstr "自動スクロールの開始"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:237
 msgid "Read the text of the book aloud"
@@ -35036,7 +35080,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:384
 msgid "Configure the toolbar"
-msgstr ""
+msgstr "ツールバーを設定"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:391
 msgid ""
@@ -35051,7 +35095,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/tts.py:83
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/tts.py:90
 msgid "Text-to-Speech unavailable"
-msgstr ""
+msgstr "音声出力が無効"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:68
 msgid "Lookup"
@@ -35059,36 +35103,36 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:94
 msgid "Preparing book for first read, please wait"
-msgstr ""
+msgstr "最初に読む本をです。お待ちください..."
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:100
 msgid "E-book viewer"
 msgstr "電子書籍ビューア"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "ここにスクロール"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:226
 msgid "Start of book"
-msgstr ""
+msgstr "本の初め"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:227
 msgid "End of book"
-msgstr ""
+msgstr "本の終わり"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:232
 msgid "Start of current file"
-msgstr ""
+msgstr "現在のファイルの初め"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:233
 msgid "End of current file"
-msgstr ""
+msgstr "現在のファイルの終わり"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:235
 msgid "Hide this scrollbar"
-msgstr ""
+msgstr "スクロールバーの非表示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:314
 msgid "Search :: no matches"
@@ -35096,11 +35140,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:316
 msgid "Search :: one match"
-msgstr ""
+msgstr "検索::1つ一致"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:318
 msgid "Search :: {} matches"
-msgstr ""
+msgstr "検索 :: {} つ一致"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:378
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:392
@@ -35110,7 +35154,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:380
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:386
 msgid "Image not found"
-msgstr ""
+msgstr "画像が見つかりません"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:381
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:387
@@ -35127,30 +35171,30 @@ msgstr "電子書籍"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:458
 msgid "Loading book"
-msgstr ""
+msgstr "本をロード"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:459
 msgid "Loading book, please wait"
-msgstr ""
+msgstr "本をロード中。お待ちください…"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:505
 msgid "Loading book failed"
-msgstr ""
+msgstr "本のロードに失敗"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:506
 #, python-brace-format
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
-msgstr ""
+msgstr "背景の画像を指定"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/widgets.py:133
 msgid "Clear search history"
@@ -35220,11 +35264,11 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:70
 msgid "Smartphone"
-msgstr ""
+msgstr "スマートフォン"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:77
 msgid "iPad like tablet"
-msgstr ""
+msgstr "iPad 風のタブレット"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:86
 msgid "Kindle Basic (all models)"
@@ -35234,35 +35278,35 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:224
 #, python-brace-format
 msgid "{0} and {1}"
-msgstr ""
+msgstr "{0} と {1}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:139
 msgid "All other SONY devices"
-msgstr ""
+msgstr "すべての他のSONYデバイス"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:146
 msgid "Kobo and Kobo Touch Readers"
-msgstr ""
+msgstr "Kobo と Kobo Touch リーダ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:154
 msgid "Kobo Vox, Aura and Glo families"
-msgstr ""
+msgstr "Kobo Vox, Aura と Glo ファミリ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:194
 msgid "BOOX MAX, N96, i86, C67ML, M96, etc."
-msgstr ""
+msgstr "BOOX MAX, N96, i86, C67ML, M96, など。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:288
 msgid "PocketBook 360 and newer models"
-msgstr ""
+msgstr "PocketBook 360 とそれ以降のモデル"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:327
 msgid "Android phone"
-msgstr ""
+msgstr "Android phone"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:344
 msgid "Android tablet"
-msgstr ""
+msgstr "Android タブレット"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:351
 msgid "Android phone with Kindle reader"
@@ -35274,13 +35318,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:454
 msgid "Generic"
-msgstr ""
+msgstr "汎用"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:602
 msgid ""
 "Choose your e-book device. If your device is not in the list, choose a "
 "\"Generic\" device."
-msgstr ""
+msgstr "電子書籍デバイスを選択してください。リストにない場合は、\"汎用\"デバイスを選択してください。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:677
 #, python-brace-format
@@ -35313,10 +35357,10 @@ msgid "< &Back"
 msgstr "< 戻る(&B)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "キャンセル"
 
@@ -35411,7 +35455,7 @@ msgstr "<p>本のある場所を指定
 msgid ""
 "If a calibre library already exists at the newly selected location, calibre "
 "will use it automatically."
-msgstr ""
+msgstr "新しい場所に Calibre ライブラリがすでに存在する場合は、そのライブラリを自動的に使用します。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/send_email.py:34
 msgid "Test email settings"
@@ -35575,7 +35619,7 @@ msgstr "ホスト名(&H):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/send_email_ui.py:138
 msgid "The hostname of your mail server. For example, smtp.gmail.com"
-msgstr ""
+msgstr "メールサーバーのホスト名。例: smtp.gmail.com"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/send_email_ui.py:139
 msgid "&Port:"
@@ -35877,7 +35921,7 @@ msgid ""
 " [True|False] - A horizontal rule is inserted between notes and comments\n"
 "Default: '%default'\n"
 "Applies to: AZW3, EPUB, MOBI output formats"
-msgstr ""
+msgstr "#<custom field>:[before|after]:[True|False] の形式で指定。\n<custom field> コメントにマージするノートを含むカスタムフィールド\n[before|after] コメントに関するノートの位置\n[True|False] ノートとコメントの間に水平線を挿入するかどうか\nデフォルト: '%default'\n適用: AZW3, EPUB, MOBI出力形式"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi.py:153
 #, python-format
@@ -35957,8 +36001,8 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "電子書籍オプションの「除外するジャンル」の正規表現を確認してください。\n\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36006,8 +36050,8 @@ msgstr "タイトルを整理中"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "カタログに入れる本がありません。\n電子書籍オプションの「除外する本」のルールを確認してください。\n\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36366,7 +36410,7 @@ msgstr "電子書籍内のテキスト
 msgid ""
 "The calibre E-book editor allows you to edit the text and styles inside the "
 "book with a live preview of your changes."
-msgstr ""
+msgstr "Calibre電子書籍エディターは、本の文章や書式をライブプレビューで確認しながら編集することができます。"
 
 #: /__w/calibre/calibre/src/calibre/linux.py:1163
 msgid ""
@@ -36400,7 +36444,7 @@ msgid ""
 "On macOS, the command line tools are inside the calibre bundle, for example,"
 " if you installed calibre in :file:`/Applications` the command line tools "
 "are in :file:`/Applications/calibre.app/Contents/MacOS/`."
-msgstr ""
+msgstr "Mac OSの場合、コマンドラインツールはCalibreバンドルの中にあります。例えば Calibre を  :file:`/Applications にインストールした場合、コマンドラインツールは :file:`/Applications/calibre.app/Contents/console.app/Contents/MacOS/`.にあります。"
 
 #: /__w/calibre/calibre/src/calibre/linux.py:1321
 msgid "Documented commands"
@@ -36466,7 +36510,7 @@ msgstr "ライブラリを変更"
 
 #: /__w/calibre/calibre/src/calibre/srv/legacy.py:131
 msgid "Change library to: "
-msgstr ""
+msgstr "ライブラリを変更: "
 
 #: /__w/calibre/calibre/src/calibre/srv/legacy.py:202
 msgid "Switch to the full interface (non-mobile interface)"
@@ -36483,177 +36527,208 @@ msgstr "フルインタフェースに
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "何をしますか？"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "デフォルト"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
-msgstr ""
+msgstr "何も選択されていないので終了します..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s は無効です。再度入力してください。"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "登録されているユーザ:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "ユーザが登録されていません。まずユーザを追加してください。"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "ユーザ名 %s は存在しません"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "ユーザ名を入力"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "%s の新しいパスワードを入力:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "空のパスワードは許可されません"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "確認のため %s の新しいパスワードを再入力:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "パスワードが一致しません"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "ユーザ %s が追加されました"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "ユーザ %s を削除します。よろしいですか？"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "ユーザ %s が削除されました"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "%s のパスワードが変更されました"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
-msgstr ""
+msgstr "{} に変更を許可する (書き込み権限を与える)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} にはライブラリ固有の制限はありません"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "すべてのライブラリへのアクセスを許可"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "指定したライブラリへのアクセスのみ許可"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "指定したライブラリを除いたすべてのライブラリへのアクセスを許可"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "ライブラリごとの制限を変更"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "ライブラリ名を入力:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "検索条件を入力してください。入力した条件に一致する本に対するアクセスのみ許可されます。検索条件を入力しない場合には、すべての本へのアクセスが許可されます。"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "別の条件を指定しますか？"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "ライブラリ名をカンマ区切りで入力:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "次のライブラリのみアクセス可: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "次のライブラリ以外すべてアクセス可: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "{} のパスワードを表示"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "{} の読出し/書込み権限を変更"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "read-write"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "読み取り専用"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "新しいユーザを追加"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "既存のユーザを編集"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "ユーザを削除"
 
@@ -36833,7 +36908,7 @@ msgid ""
 "this to, for example, \"127.0.0.1\" to only listen for connections from the "
 "local machine, or to \"::\" to listen to all incoming IPv6 and IPv4 "
 "connections."
-msgstr ""
+msgstr "デフォルトでは、すべての利用可能なインタフェースで待ち受けします。これをたとえば \"127.0.0.1\" に変更するとローカルマシンからの接続に限定し、\"::\" に変更するとIPv6とIPv4の接続を待ち受けします。"
 
 #: /__w/calibre/calibre/src/calibre/srv/opts.py:116
 msgid "Fallback to auto-detected interface"
@@ -37060,13 +37135,14 @@ msgid ""
 msgstr "ソースコードが変更されたとき自動的にサーバーの再読み込みを行います。デバッグ時に有用です。シャットダウンタイムアウトに小さい値を指定するのもよいでしょう。"
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "サーバーに接続するユーザのデータベースを管理。オプション %s も確認してください。"
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37074,23 +37150,23 @@ msgid ""
 "at: {1}"
 msgstr "認証に使用するユーザデータベースへのpath。データベースはSQLiteファイルです。データベース作成には{0}を使用します。ユーザ管理についての詳細は {1} を参照してください。"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "別に {} のインスタンスが実行されているか、Calibreのメインプログラムが実行されています。Calibreライブラリに変更を加えることのできるプログラムの複数同時実行は、サポートされていません。"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "ユーザにより中断されました"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Calibreライブラリが以下にありません: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "最低でも1つのCalibreライブラリを指定してください"
 
@@ -37103,7 +37179,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "構文が間違っています。ルックアップ名またはルックアップ語を指定してください"
 
@@ -37111,7 +37187,7 @@ msgstr "構文が間違っています
 msgid ""
 "For maximum compatibility you should use only the letters A-Z, the numbers "
 "0-9, spaces, underscores and hyphens in the username"
-msgstr ""
+msgstr "互換性の問題を避けるため、ユーザー名には英字A-Z、数字0-9、下線及びスペースのみを使用してください"
 
 #: /__w/calibre/calibre/src/calibre/srv/users.py:63
 msgid "The password must contain only ASCII (English) characters and symbols"
@@ -37262,131 +37338,131 @@ msgstr "設定とプラグイン"
 msgid "File is open in another process"
 msgstr "ファイルは別のプロセスから開かれています"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
-msgstr ""
+msgstr "プログラムの最後"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
-msgstr ""
+msgstr "プログラムのスキャンに失敗。無効な入力{0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
-msgstr ""
+msgstr "シンタックスエラー: プログラムがEOFの前で終了しました"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
-msgstr ""
+msgstr "閉じ括弧がありません"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
-msgstr ""
+msgstr "式が関数や定数でありません。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
-msgstr ""
+msgstr "不明な識別子 {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
-msgstr ""
+msgstr "不明なフィード {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
-msgstr ""
+msgstr "フィールド{0}はリストではありません"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "フォーマット: タイプ{0} は整数値を必要としますが、 {1}が見つかりました。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "フォーマット: タイプ{0} は数（浮動小数点）を必要としますが、 {1}が見つかりました。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: 不明な関数"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
-msgstr ""
+msgstr "{0} のような変数はありません。 "
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:33
 #, python-brace-format
@@ -37438,60 +37514,60 @@ msgstr "strlen(a) -- 引数として渡
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- x + yを返します。x か y が数値で無い場合には例外が発生します。"
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- x - y を返します。x か y が数値で無い場合には例外が発生します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- x * y を返します。x か y が数値で無い場合には例外が発生します。"
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- x -/ y を返します。x か y が数値で無い場合には例外が発生します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37503,7 +37579,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- x をテンプレートとして評価します。それぞれの評価はそれぞれ独自のコンテキストで行われます。つまり変数は呼出元とそれぞれの評価で共有されません。{ と } は特殊文字であるため、{ の代わりに [[ を、 } の代わりに ]] を使わなければなりません。これらの文字は自動的に変換されます。例, template('[[title_sort]]') は、テンプレート {title_sort} を評価してその値を返します。テンプレートプログラムモードを使用している場合は、引数に prefixes と suffixes (`|prefix|suffix` の書式) が使用できないことに注意してください。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37514,13 +37590,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- 本の書誌情報の代わりにローカル変数(あらかじめ 'assign' された変数)を渡して、template を評価します。これにより、テンプレート処理でローカル変数を使ったより複雑な結果を生成することができます。{ と } は特殊文字であるため、{ の代わりに [[ を、 } の代わりに ]] を使わなければなりません。これらの文字は自動的に変換されます。例, template('[[title_sort]]') は、テンプレート {title_sort} を評価してその値を返します。テンプレートプログラムモードを使用している場合は、引数に prefixes と suffixes (`|prefix|suffix` の書式) が使用できないことに注意してください。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- valをidに設定しvalを返します。idは識別子で式ではありません。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37530,30 +37606,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- 引数を標準出力へ出力します。Calibreをコマンドラインから立ち上げた時（calibre-debug -g）以外の場合には、出力はブラックホールへ送られます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- 書誌情報フィールドの名前を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- 書誌情報フィールドの名前を何のフォーマットも施すこと無く返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- 名前が name の書誌情報を、フォーマットや整列をすることなく separator で分割し、返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37563,7 +37639,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- str文字列中の、start番目からend番目までの文字列を返します。文字列の最初の文字は0番目の文字です。もしendが不の場合、文字列の右から数える事になります。もしendがゼロの場合、最後の文字を指します。例えば、substr('12345', 1, 0) は '2345'を返し、substr('12345', 1, -1) は '234' を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37573,24 +37649,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- switchと同様ですが、引数がフィールド(書誌情報)で、テキストではありません。対応するフィールドの値が取り出され使われます。注：合成された列もフィールドなので、この関数を合成されたフィールドに使い、他の合成されたフィールドの値を使うことも可能です。これはパスを保存する変数を作成する時に非常に便利です。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookupには2つか、あるいは奇数の数の引数が必要です。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, text if not empty, text if empty) -- もし val が空でない場合`text if not empty` を返します。それ以外の時には`text if empty`を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) -- フィールドに正規表現'pattern'が含まれているかをチェックします。マッチした場合`text if match`を、それ以外の場合には `text if no match`を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37599,11 +37675,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- すべての`pattern, value`の組について、フィールドが正規表現`pattern`にマッチするか調べ、そうであれば`value`を返します。すべてのパターンにマッチしない場合は else_value を返します。好きな数だけ `pattern, value` のペアを指定することができます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switchには奇数の数の引数が必要です。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37613,19 +37689,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- 引数を結合した文字列を返す。返る値は、string1に初期化される。`Prefix, string` の組が、最終的な文字列の長さが `max` 以下である限り、値の後ろに付け加えられてゆく。String1 は、それがmax以上の長さであっても返される。いくつ `prefix, string` の組を付け加えてもかまわない。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max は2つ以上の引数が必要です。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max は偶数個の引数が必要です。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "strcat_max の最初の引数は整数でなければなりません。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37635,11 +37711,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separator, pattern, found_val, ..., not_found_val) -- valをセパレータで区切られたアイテムのリストとして扱い、リスト中のそれぞれの値に対して評価を行います。patternが値に一致したときfound_valを返し、そうでなかったときにはnot_found_valを返します。patternとfound_valueはいくつでも繰り返し指定可能で、検索結果に応じて異なる値を返すことができます。patternは指定された順に評価します。最初に一致したものが返されます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_listの引数の個数は偶数でなくてはなりません"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37651,11 +37727,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(val, separator, string, found_val, ..., not_found_val) -- valをセパレータで区切られたアイテムのリストとして扱い、stringをリスト中の値とひとつずつ比較します。もしstringが一致すれば (大文字/小文字は区別しません) found_valを返し、そうでない場合にはnot_found_valを返します。stringにセパレータが含まれているときにはリストとして扱い、それぞれの値について評価します。stringとfound_valはいくつでも繰り返して指定可能で、検索に応じて異なる値を返すことができます。stringは指定された順に評価します。最初に一致したものが返されます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_listの引数の個数は奇数でなくてはなりません"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37666,14 +37742,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- val をカンマ区切りの識別子のリストとして扱い、リスト中のそれぞれの値と文字列を比較します。識別子は \"identifier:value\"のフォーマットです。idは \"id\" か \"id:regexp\" のどちらかです。最初のほうの場合は、値がidの識別子があった場合にマッチします。2つ目の場合は、regexが識別子の値にマッチしたときにマッチします。マッチした場合は found_val を返し、それ以外の場合は not_found_val を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, pattern, replacement) -- 正規表現を適用した後にvalを返します。`pattern` で指定されたものは `replacement` に置換されます。Calibre内の他の機能と同様、Python互換の正規表現を使用します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37686,20 +37762,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- val に正規表現を適用し、それぞれのマッチをグループ毎にしていされたテンプレートの値で置換します。マッチした元の値は $ で利用可能です。テンプレートプログラムモードでは、{ の代わりに [[ を、} の代わりに ]] を使ってください。以下のテンプレートプログラムモードの例は、複数の単語からなるシリーズを、最初の単語を大文字にして返します: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) --  \"B, A\" の様な値を与えた場合、\"A B\"を返します。これは名前のフォーマットを LN, FN から FN LNに変換する場合には便利です。もしカンマを含まない場合、valをそのまま返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- valが空でない場合valを返します。それ以外の場合は `text if empty`を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37713,7 +37789,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- フィールドの短いバージョン（初めから `left chars` 個の文字とそれに続く `middle text`。後ろから `right chars` 個の文字）を返します。`Left chars` と `right chars` は整数で指定してください。例えば本のタイトルが `Ancient English Laws in the Times of Ivanhoe` だとして、それを15文字のスペースに入るようにしたいとします。もし {title:shorten(9,-,5)} とすると、結果は `Ancient E-nhoe` となるでしょう。もしフィールドの長さが left chars + right chars +  `middle text`の長さより短い場合、フィールドはそのままになります。例えば `The Dome` はそのままで変わりません。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37721,7 +37797,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- valをseparator区切りのリストとしてみなし、リスト中のアイテムの数を返します。大抵のリストはカンマをseparatorとして使いますが、著者の場合にはアンバサンド('&')を使います。例：{tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37730,14 +37806,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- valをseparatorで区切られたアイテムのリストとして解釈し、index番目の物を返す。最初のアイテムは０番目です。最後のアイテムは `list_item(-1,separator)` とすれば返ります。separatorはcount関数と同じ意味です。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- valをカンマ区切りの\"id:value\"と言う形式のアイテムのリストと解釈し、keyと同じidのvalueを返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37750,19 +37826,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- ある時点で本と関連づけられていたフォーマットを、カンマ区切りのリストにして返します。このリストが正しいことは保証されていませんが、概ね正しいでしょう。この関数は、テンプレートプログラムモードで \"{:'approximate_formats()'}\" のように呼び出すことができます。フォーマット名は、EPUBのように常に大文字になることに注意してください。この関数はGUI上でのみ機能します。この値を「ディスクに保存」や「ディスクに送る」のテンプレートで使用したい場合には、「他の列から作られる列」でこの関数を使用したカスタム列を作成し、その列の値を「ディスクに保存」や「ディスクに送る」のテンプレートで参照するようにしてください。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "この関数はGUI上でのみ使用できます"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37772,7 +37848,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- 本の各フォーマットの修正時刻（コロン区切り）を、カンマ区切りのリストで返します。date_formatパラメータは、日付がどのようにフォーマットされるかを指定します。詳細はformat_date関数の説明を参照してください。特定のフォーマットの修正時刻を取り出すにはselect関数を使ってください。注：フォーマット名は(EPUBの様に）必ず大文字です。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37780,7 +37856,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- 本の各フォーマットのサイズ（バイト・コロン区切り）を、カンマ区切りのリストで返します。特定のフォーマットのサイズを取得するにはselect関数を使ってください。注：フォーマット名は(EPUBの様に）必ず大文字です。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37788,13 +37864,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- フォーマット名とそのフォーマットのファイルのフルパスをコロンで区切ったものを、カンマ区切りのリストにして返します。特定のフォーマットのパスを取得するにはselect関数を使ってください。注：フォーマット名は(EPUBの様に）必ず大文字です。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- 数字vを、KB、MB、GB等を付けた文字列に変換して返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37805,7 +37881,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, template) -- 数値 v を \"{0:5.2f}\" や \"{0:,d}\" や \"${0:5,.2f}\" などPythonのフォーマットテンプレートを使ってフォーマットします。テンプレートの一部であるfield_nameは0 (ゼロ) (上記例では \"{0:\" ) でなくてはなりません。もっと詳しい例についてはテンプレート言語とPythonのドキュメントを参照してください。テンプレートにフォーマットがひとつしか指定されていない場合には、先頭の \"{0:\" と最後の \"}\" は省略可能です。フォーマットに失敗したときには空のstringを返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37818,7 +37894,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, start_index, end_index, separator) -- valをseparatorで区切られたアイテムのリストとして解釈し、`start_index` から `end_index` のアイテムのリストを返す。最初のアイテムは0です。もしインデックスが負の場合には、リストの最後から数えます。特別なケースとしてend_indexが0の時にはリストの長さをあらわします。例えば、ベーシックテンプレートモードでタグ列（それはカンマ区切りのリスト)を扱う場合、 \"A, B, C\": {tags:sublist(0,1,\\\\,)} は \"A\" を返します。 {tags:sublist(-1,0,\\\\,)} は \"C\"を返します。 {tags:sublist(0,-1,\\\\,)} は \"A, B\"を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37835,7 +37911,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- この関数はジャンルのような項目のリストを分解します。値をカンマ区切りのリストとして解析し、それぞれの値をさらにピリオド区切りのリストとして解析します。そして、ピリオド区切りのリストの `start_index` から `end_index` を取り出し、それを再度リストに組み立てて返します。ピリオド区切りのリストの最初の要素のインデックスは 0 になります。インデックスが負値の場合は、リストの後ろから数えます。特別のケースとして、end_index が 0 の場合、リストの長さの値と同じと見なされます。以下の例では、基本テンプレートモードを用います。#genre の値が \"A.B.C\" の場合: {#genre:subitems(0,1)} は \"A\" を返します。{#genre:subitems(0,2)} は \"A.B\" を返します。{#genre:subitems(1,0)} は \"B.C\" を返します。#genre の値が \"A.B.C, D.E.F\" の場合 {#genre:subitems(0,1)} は \"A, D\" を返し、{#genre:subitems(0,2)} は \"A.B, D.E\" を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37858,23 +37934,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- 日付型の値を format_string でフォーマットした文字列を返します。フォーマットのルールは: d    : 日の数値、頭の0なし (1-31)。 dd   : 日の数値、頭の0あり (01-31)。ddd  : ロケールの短縮された曜日名 (e.g. 'Mon' to 'Sun')。dddd : ロケールの長い曜日名 (e.g. 'Monday' to 'Sunday')。M    : 月の数値、頭の0なし (1-12)。MM   : 月の数値、頭の0あり (01-12)。MMM  : ロケールの短縮された月名 (e.g. 'Jan' to 'Dec')。MMMM : ロケールの長い月名 (e.g. 'January' to 'December')。yy   : 2桁の年 (00-99)。yyyy : 4桁の年。h    : 時の数値、頭の0なし (0-11 または 0-23, am/pmの設定に依存)。hh   : 時の数値、頭の0あり(00-11 または 00-23, am/pmの設定に依存) 。m    : 分の数値、頭の0なし (0-59) 。mm   : 分の数値、頭の0あり (00-59)。 s    : 秒の数値、頭の0なし (0-59)。ss   : 秒の数値、頭の0あり (00-59)。ap   : 24時間表記の代わりに12時間表記使用し、\"ap\"はamまたはpmに置換。AP   : 24時間表記の代わりに12時間表記使用し、\"AP\"はAMまたはPMに置換 iso  : 日付、時間、タイムゾーン。単独で使用すること。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- val を大文字で返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- val を小文字で返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- val をタイトルケースに変換して返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- val をキャピタライズして返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37883,7 +37959,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- 本のサイズを返します。この関数はGUI上でのみ機能します。この値を「ディスクに保存」や「ディスクに送る」のテンプレートで使用したい場合には、「他の列から作られる列」でこの関数を使用したカスタム列を作成し、その列の値を「ディスクに保存」や「ディスクに送る」のテンプレートで参照するようにしてください。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37892,55 +37968,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- ondevice が設定されている場合に Yes を返し、その他の場合は空文字列を返します。この関数はGUI上でのみ機能します。この値を「ディスクに保存」や「ディスクに送る」のテンプレートで使用したい場合には、「他の列から作られる列」でこの関数を使用したカスタム列を作成し、その列の値を「ディスクに保存」や「ディスクに送る」のテンプレートで参照するようにしてください。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- シリーズのソート値を返します"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- もし本が表紙を持っていればYesを返し、それ以外では空文字列を返す。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- 最初の空でない value を返します。もしすべての value が空であれば、空を返します。value の数はいくつでも指定できます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, ...) -- 全てのvalueが空でない場合、文字列 \"1\" を返し、それ以外では空文字列を返します。この関数はtestやfirst_non_emptyと一緒に使うことができます。valueはいくつでも指定できます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) -- もし一つでもvalueが殻でない場合、文字列\"1\" を返し、それ以外では空文字列を返します。この関数はtestやfirst_non_emptyと一緒に使うことができます。いくつでもvalueを追加できます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- もしvalueが空の場合文字列\"1\" を返し、それ以外では空文字列を返します。この関数はtestやfirst_non_emptyと一緒に使うことができます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37949,7 +38025,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- list1とlist2のアイテムをつなげて、大小文字無視の比較で同じアイテムを取り除いたリストを返します。もし大小文字が違う場合、list1の物が使われます。list1とlist2、そして返されるリストのアイテムはseparatorで区切られます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37957,7 +38033,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- 大小文字無視の比較を使い、list1の中からlist2の中に該当する物を取り除いたリストを返します。list1とlist2、そして返されるリストのアイテムはseparatorで区切られます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37965,7 +38041,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- 大小文字無視の比較を使い、list1の中からlist2の中に見つからない物を取り除いたリストを返します。list1とlist2、そして返されるリストのアイテムはseparatorで区切られます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37973,7 +38049,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- 大小文字無視の整列を行ったlistを返します。もし direction が0の場合、リストは昇順で、それ以外の時には降順で整列されます。listと返されるリストのアイテムはseparatorで区切られます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37982,7 +38058,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- もしlist1 とlist2 がすべて同じアイテムを持っている場合yes_val を返し、それ以外の場合にはno_valを返す。アイテムは各リストを適切なセパレーター(sep1 と sep2)で分解した物です。リスト中のアイテムの順序は関係ありません。比較は大文字小文字を無視します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37991,7 +38067,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) --  まず src_list を separator 文字で分割しリストにします。それぞれの要素について、include_re の正規表現とのマッチを行い、マッチしたもののみ戻り値のリスト加えます。もし opt_replace が空文字列でなかった場合、戻り値のリストに加える前に、それぞれの要素に置換を適用します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37999,14 +38075,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- list_re と同様ですが、必ず置換を行います。置換の際には、re_group(list_item, search_re, group_1_template, ...) を使用します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- 今日の日付の文字列を返します。この値は format_date や days_between で使えるようにデザインされていますが、通常の文字列としても使用できます。日付はISOフォーマットです。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38014,7 +38090,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- date1とdate2の間の日数を返します。もしdate1がdate2より大きい場合、数は正になりますが、それ以外の時は負です。もしdate1やdate2が日付でない場合、関数は空文字列を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38022,28 +38098,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- lang_codesで渡される言語コードに対応する文字列を返します。もし localize がゼロならば、文字列を英語で返します。もし localize がゼロでなければ、現在のローケールに従った言語の文字列で返します。Lang_codes はカンマ区切りのリストです。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- lang_stringsで渡された文字列に対応する言語コードを返します。文字列は現在のロケールの言語の物でなければなりません。Lang_strings はカンマ区切りのリストです。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- 現在のライブラリのパスの最後のフォルダ名を返します。この関数はテンプレートプログラムモードで以下のように呼び出すことができます 。\"{:'current_library_name()'}\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- 現在のライブラリのパスを返します。この関数はテンプレートプログラムモードで以下のように呼び出すことができます。\"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38052,7 +38128,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- format、prefix、suffix を `{series_index:05.2f| - |- }` と同じ方法で適用します。例えば、以下のプログラムは上記のテンプレートと同じ結果を返します。program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38061,7 +38137,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38070,7 +38146,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- この本が含まれるユーザカテゴリをカンマ区切りリストで返します。この関数はGUI上でのみ機能します。この値を「ディスクに保存」や「ディスクに送る」のテンプレートで使用したい場合には、「他の列から作られる列」でこの関数を使用したカスタム列を作成し、その列の値を「ディスクに保存」や「ディスクに送る」のテンプレートで参照するようにしてください。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38078,7 +38154,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- 元の文字列を、概ねその発音に基づいてラテン文字に変換し返します。例えば、変換元が \"{0}\" の場合は、\"{1}\" を返します。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38090,7 +38166,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- 著者と著者のリンクを、author1 val_separator author1link pair_separator author2 val_separator author2link の書式で返します。著者と著者のリンクは val_separator 文字列で区切られ、それ際にスペースなどは付加されません。著者と著者のリンクのペアは、pair_separator によって区切られ、その際にスペースなどは付加されません。 separator 文字列が、著者や著者リンクに含まれないようにするのは、利用者側の責任で行ってください。著者は著者リンクがなくても戻り値に含まれます。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38101,7 +38177,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- 本の著者の著者読みの値を、リストにして返します。返される著者読みは、著者メタデータから取得したものです(本の著者読みの値とは異なる場合があります)。返されるリストは、author sort 1 val_separator author sort 2 のような形式になります。リストの著者読みの並び順は、本の著者の並び順と同じになります。val_separator にスペースで囲いたい場合には、separator 文字列に含めてください。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38109,13 +38185,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38123,7 +38199,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38136,11 +38212,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38148,11 +38224,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
-msgstr ""
+msgstr "レーティングは0から5の間でなければなりません"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38161,7 +38237,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38172,7 +38248,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38182,6 +38258,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "画像に名前がありません"
@@ -38208,7 +38290,7 @@ msgstr "ポルトガル語 (ブラジル
 
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:296
 msgid "English (United Kingdom)"
-msgstr ""
+msgstr "英語 (イギリス)"
 
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:297
 msgid "Simplified Chinese"
@@ -38396,19 +38478,19 @@ msgstr "スペイン語 (コロンビア
 
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:343
 msgid "German (Austria)"
-msgstr ""
+msgstr "ドイツ語 (オーストリア)"
 
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:344
 msgid "French (Belgium)"
-msgstr ""
+msgstr "フランス語(ベルギー)"
 
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:345
 msgid "Dutch (Netherlands)"
-msgstr ""
+msgstr "オランダ語 (オランダ)"
 
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:346
 msgid "Dutch (Belgium)"
-msgstr ""
+msgstr "オランダ語 (ベルギー)"
 
 #. NOTE: Ante Meridian (i.e. like 10:00 AM)
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:354
@@ -38470,29 +38552,29 @@ msgstr "保存せずに閉じる"
 msgid "Close Tab"
 msgstr "タブを閉じる"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "検索条件の末尾に余計な文字があります"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ") が不足"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "クエリーの解析に失敗しました。再帰の上限を超えています: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "再帰的な保存済み検索: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "不明な保存済み検索: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "保存済み検索の不明なエラー: {0}"
@@ -38599,7 +38681,7 @@ msgstr "Calibreの本体。電子書籍
 #: /__w/calibre/calibre/src/calibre/utils/winreg/default_programs.py:34
 msgid ""
 "The calibre E-book editor. It can be used to edit common e-book formats."
-msgstr ""
+msgstr "Calibre電子書籍エディター。一般的な電子書籍フォーマットを編集できます。"
 
 #: /__w/calibre/calibre/src/calibre/utils/winreg/default_programs.py:42
 msgid "The calibre E-book viewer. It can view most known e-book formats."
@@ -38854,185 +38936,185 @@ msgstr "この正規表現にマッチ
 msgid "Do not download CSS stylesheets."
 msgstr "CSS(スタイルシート)をダウンロードしない"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "すべて保存"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "開く"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "はい(&Y)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "すべてはい(&A)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "いいえ(&N)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "すべていいえ(&O)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "中止"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "再試行"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "閉じる"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "適用"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "リセット"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "デフォルトに戻す"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "色相(&E)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "彩度(&S)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "明度(&V)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "赤(&R):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "緑(&G):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "青(&L):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "アルファチャンネル(&L):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "カーソル位置は %1, %2\nキャンセルするにはESCを押してください"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "色を選択"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "基本色(&B)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "カスタム色(&C)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "カスタム色に追加(&A)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "画面の色をピック(&P)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "フォントを選択"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "フォント(&F)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "フォントスタイル(&Y): "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "サイズ(&S)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "エフェクト"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "取り消し線(&K)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "サンプル"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "表記体系(&I)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "左の辺"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "右の辺"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "左ページ"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr " ページ上に"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "ページ下に"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "右ページ"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "左へスクロール"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "上へスクロール"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "下にスクロール"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "右へスクロール"
 
@@ -39105,7 +39187,7 @@ msgid ""
 "author name cause the automatically generated author sort string to be\n"
 "identical to the author name. This means that the sort for a string like Acme\n"
 "Inc. will be Acme Inc. instead of Inc., Acme"
-msgstr ""
+msgstr "著者を著者読みへコピーする時に使うアルゴリズム。\n使用できる値は：\ninvert: ”fn ln” を ”ln, fn”にする。\ncopy  : 変更なしに著者から著者読みへコピー\ncomma : もし名前に','が使われていれば、'copy'、それ以外の場合には 'invert'\nnocomma : ”fn ln” から ”ln fn” にする。(カンマなし)\nこのTweakが変更された時には、著者と一緒に保存されているauthor_sort \nの値を再計算する必要があります。左側のタグの部分で著者の部分を右クリックして、\n'著者を管理'を選択肢し、'全ての著者読みの値を再計算する'を選んでください。\n著者名の接尾辞は著者名の最後にある言葉で、無視されます。 その際、\nプレフィックスの大小文字は無視され最後のピリオドは自動的に処理されます。\nプレフィックスも同様です。\n「著者名コピー語」はいくつかの単語で、著者読みにコピーする時に、これらが著者名にあった場合、\n自動的に著者読みが著者の内容と同一になることを保証します。\nつまり”Acme Inc.”はそのままコピーされ、”Inc., Acme”にはなりません。"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:72
 msgid "Splitting multiple author names"
@@ -39138,7 +39220,7 @@ msgid ""
 "Examples:\n"
 "categories_use_field_for_author_name = 'author'\n"
 "categories_use_field_for_author_name = 'author_sort'"
-msgstr ""
+msgstr "タグパネル中に表示する著者名フィールドを設定します。\n（著者一覧、シリーズ、出版社など左側に表示する一覧）\n選択できるのは author または author_sort です。\nこの Tweak が影響するのは、タグパネルとコンテンツサーバ上の著者カテゴリのみです。\nこの値を author_sort に設定した場合、著者名一覧に名前が重複して表示されることがあります。\n著者名は重複しませんが、author_sort は重複しない保証がないためです。\n名前が重複して表示されてもデータが壊れるわけではありませんが、混乱を招く可能性はあります。\n'author_sort' を使用したとき、ツールチップに著者名を表示します。\n使用例:\ncategories_use_field_for_author_name = 'author'\ncategories_use_field_for_author_name = 'author_sort'"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:95
 msgid "Control partitioning of Tag browser"
@@ -39163,7 +39245,7 @@ msgid ""
 "Note that the \"r'\" in front of the { is necessary if there are backslashes\n"
 "(\\ characters) in the template. It doesn't hurt anything to leave it there\n"
 "even if there aren't any backslashes."
-msgstr ""
+msgstr "タグブラウザを分割する時に、サブカテゴリのラベルは\nテンプレートによって決定します: \n名前順に並べ替える時には、categories_collapsed_name_template、\n平均評価順で表示する時には categories_collapsed_rating_template 、\n人気順で並べ替える時には\ncategories_collapsed_popularity_template を使います。\nテンプレートの変数には、first または last を指定できます。\n変数 'first' はサブカテゴリの最初のアイテム、変数 'last' はサブカテゴリの最後のアイテムです。\nいずれの変数も 'objects' で、接尾辞によって取得できる複数の値を含んでいます。\n例えば、著者カテゴリでの first.name は著者の名前となります。\nサブ値には、次の値を指定できます。\nname: アイテムの表示名\ncount: このアイテムに関連する本の数\navg_rating: このアイテムに関連する本の返金評価\nsort: ソート値。著者だとauthor_sortの値\ncategory: アイテムが属するカテゴリ(例えば、著者、シリーズなど）\n\n注: テンプレートにバックスラッシュ(\\ 文字)がある場合、{ の前に \"r'\" が必要になります。\nバックスラッシュがない場合に付けておいても何も問題はありません。"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:117
 msgid "Control order of categories in the Tag browser"
@@ -39312,8 +39394,8 @@ msgstr "SONYコレクションの名称
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39361,7 +39443,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "SONYコレクションの名称変更ルールを指定。\nこのTweakは、書誌情報管理が自動になっている場合のみ有効です。\nSONYコレクションの名前は、フィールドが標準のフィールドか、カスタムフィールドかによって変わります。\n標準のフィールドから作成されたコレクションは、そのフィールドの値が、コレクションの名前になります。\n例えば標準のフィールドであるシリーズの値 'Darkover' から作成されたコレクションは、\n'Darkover' になります。\nカスタムフィールドから作成されたコレクションは、そのフィールドの値に、\nフィールド名が付加されたものになります。例えば、カスタムフィールド 'My Series' の値 'Darkover' から\n作成されたコレクションは、 'Darkover (My Series)' になります。\nこの文章では、上記の 'Darkover' を「値」と呼び、'My Series' をカテゴリと呼ぶことにします。\n2冊の本が同一のカテゴリ名を生成するフィールド値を持つ場合、その本は同一のコレクションに属します。\nここで設定するTweakによって、標準のフィールド及びカスタムフィールドから生成されるコレクションが\nどのような名前になるかを指定できます。\n例えば、標準のフィールドであるタグから作られるコレクションは、通常 'Foo' のようになるところを、\n'Foo (Tag)' になるようにすることができます。\nまた、複数のフィールドの値をまとめて、一つのコレクションになるようにすることもできます。\n例えば、フィールド 'series', '#my_series_1', '#my_series_2' から生成されるコレクション名を\n 'some_value (Series)' となるようにすることで、複数のフィールドの値を\n同じコレクションにまとめることができます。\nここでは、関連する2つのTweakを設定します。\n1つめのTweakでは、書誌情報のフィールド毎に、カテゴリの名前を設定します。\n2つめのTweakは、値とカテゴリからコレクション名を生成するテンプレートです。\n1つめのTweakの文法は以下のようになります、sony_collection_renaming_rules \n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\n2つめのTweakはプラグボードや保存テンプレートで使うものと同じテンプレートです。\nこのTweakで値とカテゴリがどのようにコレクションの名前を生成するかを制御します。\n2つのフィールド {category} と {value} のみが使用可能です。{value} フィールドは、空にはなりません。\n {category} フィールドは空の場合があります。\nデフォルトでは、まずvalue がきて、もし空でない場合は、括弧でくくられたcategoryが続きます:\n'{value} {category:|(|)}'\n\n例: 最初の3つの例は、2つめのTweakは変更しません。\n1: 3つのシリーズを格納する列をマージして1つのコレクションしたい場合。\n列の検索名は、'series', '#series_1', '#series_2' とする。括弧でくくられた部分は不要。:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: シリーズから生成されたコレクションには、'(Series)' 、\nタグから生成されたコレクションには '(Tag)' を付加する。:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: 'series' と '#myseries' をマージして、コレクション名に '(Series)' を付加する。:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: 例2と同様だが、括弧でくくったカテゴリ名を付加するかわりに、\nSeries: Darkover のように : で 区切って付加したい。このような場合、2つめのTweakも変更する必要がある。:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39369,7 +39451,7 @@ msgstr "SONYコレクションの表示
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39384,7 +39466,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "SONYコレクションの表示順を指定します。\nこのTweakは、書誌情報管理が自動になっている場合にのみ有効です。\nこの設定により、どの書誌情報を使って並べ替えるのかをコレクションごとに指定することができます。\nこのTweakのフォーマットは、まずコレクションを形成する本の書誌情報フィールドを\nリストで指定し、次に表示順のキーとする書誌情報フィールドを指定します。\n使用例:\n次の設定では、出版日とタグから作られたコレクションはカスタム列 '#mydate' の順に\n表示され、'series' から作成されたコレクションは 'series_index' の順に表示され、\nその他すべてのコレクションはタイトル順に表示されます。\nコレクションの書誌情報フィールドの指定がない場合、シリーズベースのコレクション\nであればシリーズ順、それ以外はタイトル順に表示されます。\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nカッコとかぎカッコは必須です。構文は次のとおり。\n[ ( [フィールドのリスト], 表示順のキーとするフィールド ) , ( [ フィールドのリスト ] , 表示順のキーとするフィールド ) ]\nデフォルト値は空 (つまりルールなし) で、コレクションの属性指定はありません。"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
@@ -39520,7 +39602,7 @@ msgid ""
 "calibre. You can also change the list of hosts that calibre considers\n"
 "to be public relays here. Any relay host ending with one of the suffixes\n"
 "in the list below will be considered a public email server."
-msgstr ""
+msgstr "gmx/hotmail/gmailのような公開電子メールサーバを使用して、電子メールを送信する前に待機する秒数。\nデフォルトは5分です。\nこの値を小さくすると、サーバーのSPAM対策にはじかれて、メール送信が失敗する場合があります。\n変更を有効にするためには、Calibreの再起動が必要です。\nまた、Calibreが公開電子メールサーバとみなすホスト名のリストを変更することができます。\n下記のリストのホスト名のいずれかに後方一致する電子メールリレーサーバは、公開電子メールサーバーと見なされます。"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:431
 msgid "The maximum width and height for covers saved in the calibre library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/jv.po 5.10.0+dfsg-1/translations/calibre/jv.po
--- 5.9.0+dfsg-3/translations/calibre/jv.po	2021-01-06 15:29:28.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/jv.po	2021-01-20 15:27:20.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Rerékan"
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Jinis berkas"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Meruhi metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Panulis Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generator katalog"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Setèlan"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Toko"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr "Gawé arsip TXTZ nalika sawijini
 msgid "Extract cover from comic files"
 msgstr "Ngudhar gambar samak seka berkas-berkas komik."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Maca metadata sekaberkas  %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8136,13 +8136,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8175,31 +8175,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9161,7 +9161,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10163,7 +10163,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11415,7 +11415,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11545,8 +11545,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11680,11 +11680,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11827,7 +11827,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12154,7 +12154,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12231,7 +12231,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12240,10 +12240,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12356,8 +12356,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13543,7 +13543,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13558,8 +13558,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14426,7 +14426,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14767,19 +14767,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14853,8 +14853,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14935,7 +14935,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16513,7 +16513,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16521,7 +16521,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16529,7 +16529,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16537,7 +16537,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16571,7 +16571,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -16991,77 +16991,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17069,7 +17069,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17079,7 +17079,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17094,80 +17094,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17175,90 +17184,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17266,281 +17270,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17548,48 +17574,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18045,42 +18071,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18186,87 +18212,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19164,48 +19190,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20264,7 +20306,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20423,8 +20465,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20439,14 +20481,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22659,60 +22701,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22720,57 +22762,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23612,13 +23654,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23652,7 +23694,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23933,7 +23975,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24625,7 +24667,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25194,7 +25236,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25329,7 +25371,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25339,7 +25381,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26851,7 +26893,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27142,7 +27184,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27202,95 +27244,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27947,7 +27989,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28477,7 +28520,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30711,7 +30754,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32034,7 +32077,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32661,7 +32704,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34532,68 +34575,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35047,7 +35090,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35123,13 +35166,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35294,10 +35337,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35938,7 +35981,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -35987,7 +36030,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36464,177 +36507,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37041,13 +37115,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37055,23 +37130,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37084,7 +37159,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37243,128 +37318,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37419,60 +37494,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37484,7 +37559,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37495,13 +37570,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37511,30 +37586,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37544,7 +37619,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37554,24 +37629,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37580,11 +37655,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37594,19 +37669,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37616,11 +37691,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37632,11 +37707,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37647,14 +37722,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37667,20 +37742,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37694,7 +37769,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37702,7 +37777,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37711,14 +37786,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37731,19 +37806,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37753,7 +37828,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37761,7 +37836,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37769,13 +37844,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37786,7 +37861,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37799,7 +37874,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37816,7 +37891,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37839,23 +37914,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37864,7 +37939,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37873,55 +37948,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37930,7 +38005,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37938,7 +38013,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37946,7 +38021,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37954,7 +38029,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37963,7 +38038,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37972,7 +38047,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37980,14 +38055,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -37995,7 +38070,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38003,28 +38078,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38033,7 +38108,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38042,7 +38117,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38051,7 +38126,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38059,7 +38134,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38071,7 +38146,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38082,7 +38157,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38090,13 +38165,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38104,7 +38179,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38117,11 +38192,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38129,11 +38204,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38142,7 +38217,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38153,7 +38228,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38163,6 +38238,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38451,29 +38532,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38835,185 +38916,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39293,8 +39374,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39350,7 +39431,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ka.po 5.10.0+dfsg-1/translations/calibre/ka.po
--- 5.9.0+dfsg-3/translations/calibre/ka.po	2021-01-06 15:30:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ka.po	2021-01-20 15:27:14.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "საერთოდ არა
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "საერთოდ არა
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "საერთოდ არა
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "საერთოდ არა
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "საერთოდ არა
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "საერთოდ არა
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "დარეგულირე
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ფაილის ტიპი"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadata წამკითხავი"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadata ჩამწერი"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "კატალოგის გენერატორი"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "პარამეტრები"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "ამოიღე გარეკანი კომიქსების ფაილებიდან"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "წაიკითხე metadata %s ფაილებიდან"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "ჩასვი metadata %s ფაილებში"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "დააყენე metadata %s ფაილებიდან"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "დაამატე წიგნები კალიბრეს ან მიერთებულ მოწყობილობას"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "წაშალე წიგნები კალიბრედან ან მიერთებული მოწყობილობიდან"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "შეასწორე წიგნის metadata კალიბრეს ბიბლიოთეკაში"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "წაიკითხე წიგნები ტქვენს კალიბრე ბიბლიოთეკაში"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "გაგზავნე წიგნები კალიბრეს ბიბლიოთეკიდან ვინჩესტერზე"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "დაარესტარტე კალიბრე"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "გახსენი საქარალდე რომელიც შეიცავს წიგნის ფაილებს კალიბრე ბიბლიოთეკაში"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "გააგზავნე წიგნები მიერთებულ მოწყობილობაში"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "ნახე კალიბრეს მომხმარებლის სახელმძღვანელო"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "დაარეგულირე კალიბრე"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "დააკოპირე წიგნები ერთი კალიბრე ბიბლიოთეკიდან მეორეში"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "აირჩიე შემთხვევითი წიგნი თქვენ კალიბრე ბიბლიოთეკიდან"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "მიიღე ახალი კალიბრე ფლაგინები ან განაახლე უკვე არსებულები"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "ინტერფეისი"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "ქცევა"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "შეცვალე კალიბრეს ქცევა"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "დაამათე თქვენი საკუთარი სვეტები"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "დაამათე/ამოიღე თქვენი საკუთარი სვეტები კალიბრეს წიგნების სიაში"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "იძებნება"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "დაარეგულირე როგორ მოიძებნოს წიგნები კალიბრეში"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "გადაყვანა"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "დამატება წიგნების"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "ინახება წიგნები დისკზე"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "იგზავნება წიგნები მოწყობილობაზე"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "შეცვალე metadata არეები მანამ შეინახავ/გაგზავნი"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr "შეცვალე metadata 
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "დაწინაურებული"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "შექმენი კაკუთარი ნიმუშის ფუნქციები"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "გაზიარება წიგნების იმეილით"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "გაზიარება"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "გაზიარება ქსელში"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "მეტამონაცემების გადმოწერა"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "პლაგინები"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "მოირგე კლავიატურის კომბინაციები კალიბრესთვის"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr "მოირგე კლავ
 msgid "Miscellaneous"
 msgstr "სხვადასხვა"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "დიახ"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/km_KH.po 5.10.0+dfsg-1/translations/calibre/km_KH.po
--- 5.9.0+dfsg-3/translations/calibre/km_KH.po	2021-01-06 15:30:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/km_KH.po	2021-01-20 15:26:32.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6409,7 +6409,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8135,13 +8135,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8174,31 +8174,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9160,7 +9160,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10162,7 +10162,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11414,7 +11414,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11544,8 +11544,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11679,11 +11679,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11826,7 +11826,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12153,7 +12153,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12230,7 +12230,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12239,10 +12239,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12355,8 +12355,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13542,7 +13542,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13557,8 +13557,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14425,7 +14425,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14766,19 +14766,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14852,8 +14852,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14934,7 +14934,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16512,7 +16512,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16520,7 +16520,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16528,7 +16528,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16536,7 +16536,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16570,7 +16570,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -16990,77 +16990,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17068,7 +17068,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17078,7 +17078,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17093,80 +17093,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17174,90 +17183,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17265,281 +17269,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17547,48 +17573,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18044,42 +18070,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18185,87 +18211,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19163,48 +19189,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20263,7 +20305,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20422,8 +20464,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20438,14 +20480,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22658,60 +22700,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22719,57 +22761,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23611,13 +23653,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23651,7 +23693,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23932,7 +23974,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24624,7 +24666,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25193,7 +25235,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25328,7 +25370,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25338,7 +25380,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26850,7 +26892,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27141,7 +27183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27201,95 +27243,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27946,7 +27988,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28476,7 +28519,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30710,7 +30753,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32033,7 +32076,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32660,7 +32703,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34531,68 +34574,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35046,7 +35089,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35122,13 +35165,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35293,10 +35336,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35937,7 +35980,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -35986,7 +36029,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36463,177 +36506,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37040,13 +37114,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37054,23 +37129,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37083,7 +37158,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37242,128 +37317,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37418,60 +37493,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37483,7 +37558,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37494,13 +37569,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37510,30 +37585,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37543,7 +37618,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37553,24 +37628,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37579,11 +37654,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37593,19 +37668,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37615,11 +37690,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37631,11 +37706,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37646,14 +37721,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37666,20 +37741,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37693,7 +37768,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37701,7 +37776,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37710,14 +37785,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37730,19 +37805,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37752,7 +37827,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37760,7 +37835,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37768,13 +37843,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37785,7 +37860,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37798,7 +37873,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37815,7 +37890,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37838,23 +37913,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37863,7 +37938,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37872,55 +37947,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37929,7 +38004,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37937,7 +38012,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37945,7 +38020,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37953,7 +38028,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37962,7 +38037,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37971,7 +38046,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37979,14 +38054,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -37994,7 +38069,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38002,28 +38077,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38032,7 +38107,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38041,7 +38116,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38050,7 +38125,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38058,7 +38133,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38070,7 +38145,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38081,7 +38156,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38089,13 +38164,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38103,7 +38178,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38116,11 +38191,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38128,11 +38203,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38141,7 +38216,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38152,7 +38227,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38162,6 +38237,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38450,29 +38531,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38834,185 +38915,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39292,8 +39373,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39349,7 +39430,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/km.po 5.10.0+dfsg-1/translations/calibre/km.po
--- 5.9.0+dfsg-3/translations/calibre/km.po	2021-01-06 15:31:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/km.po	2021-01-20 15:26:34.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6409,7 +6409,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8135,13 +8135,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8174,31 +8174,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9160,7 +9160,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10162,7 +10162,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11414,7 +11414,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11544,8 +11544,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11679,11 +11679,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11826,7 +11826,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12153,7 +12153,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12230,7 +12230,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12239,10 +12239,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12355,8 +12355,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13542,7 +13542,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13557,8 +13557,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14425,7 +14425,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14766,19 +14766,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14852,8 +14852,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14934,7 +14934,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16512,7 +16512,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16520,7 +16520,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16528,7 +16528,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16536,7 +16536,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16570,7 +16570,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -16990,77 +16990,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17068,7 +17068,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17078,7 +17078,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17093,80 +17093,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17174,90 +17183,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17265,281 +17269,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17547,48 +17573,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18044,42 +18070,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18185,87 +18211,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19163,48 +19189,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20263,7 +20305,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20422,8 +20464,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20438,14 +20480,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22658,60 +22700,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22719,57 +22761,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23611,13 +23653,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23651,7 +23693,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23932,7 +23974,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24624,7 +24666,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25193,7 +25235,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25328,7 +25370,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25338,7 +25380,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26850,7 +26892,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27141,7 +27183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27201,95 +27243,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27946,7 +27988,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28476,7 +28519,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30710,7 +30753,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32033,7 +32076,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32660,7 +32703,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34531,68 +34574,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35046,7 +35089,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35122,13 +35165,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35293,10 +35336,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35937,7 +35980,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -35986,7 +36029,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36463,177 +36506,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37040,13 +37114,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37054,23 +37129,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37083,7 +37158,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37242,128 +37317,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37418,60 +37493,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37483,7 +37558,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37494,13 +37569,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37510,30 +37585,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37543,7 +37618,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37553,24 +37628,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37579,11 +37654,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37593,19 +37668,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37615,11 +37690,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37631,11 +37706,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37646,14 +37721,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37666,20 +37741,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37693,7 +37768,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37701,7 +37776,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37710,14 +37785,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37730,19 +37805,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37752,7 +37827,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37760,7 +37835,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37768,13 +37843,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37785,7 +37860,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37798,7 +37873,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37815,7 +37890,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37838,23 +37913,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37863,7 +37938,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37872,55 +37947,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37929,7 +38004,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37937,7 +38012,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37945,7 +38020,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37953,7 +38028,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37962,7 +38037,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37971,7 +38046,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37979,14 +38054,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -37994,7 +38069,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38002,28 +38077,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38032,7 +38107,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38041,7 +38116,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38050,7 +38125,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38058,7 +38133,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38070,7 +38145,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38081,7 +38156,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38089,13 +38164,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38103,7 +38178,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38116,11 +38191,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38128,11 +38203,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38141,7 +38216,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38152,7 +38227,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38162,6 +38237,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38450,29 +38531,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38834,185 +38915,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39292,8 +39373,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39349,7 +39430,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/kn.po 5.10.0+dfsg-1/translations/calibre/kn.po
--- 5.9.0+dfsg-3/translations/calibre/kn.po	2021-01-06 15:30:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/kn.po	2021-01-20 15:27:43.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "ಏನನ್ನು ಮಾಡು
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "ಏನನ್ನು ಮಾಡು
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "ಏನನ್ನು ಮಾಡು
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "ಏನನ್ನು ಮಾಡು
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "ಏನನ್ನು ಮಾಡು
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "ಏನನ್ನು ಮಾಡು
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "ಬೇಕಾದಹಾಗೆ ಮ
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ಕಡತದ ಬಗೆ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "ಆದ್ಯತೆಗಳು"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "ಸಂಗ್ರಹ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s ಕಡತಗಳಿಂದ metadata ಓದಿರಿ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "calibreಗೆ ಅಥವ ಸಂಪರ್ಕ ಕಲ್ಪಿಸಿರುವ ಸಾದನಕ್ಕೆ ಪುಸ್ತಕಗಳನ್ನು ಸೇರಿಸಿ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "ಸಂಬಂಧಪಟ್ಟ ಪುಸ್ತಕಗಳ ಪಟ್ಟಿಯನ್ನು ತ್ವರಿತವಾಗಿ ತೋರಿಸು"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35185,13 +35228,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "ಮುಚ್ಚಿರಿ"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ko.po 5.10.0+dfsg-1/translations/calibre/ko.po
--- 5.9.0+dfsg-3/translations/calibre/ko.po	2021-01-06 15:29:18.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ko.po	2021-01-20 15:27:15.000000000 +0000
@@ -18,8 +18,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -98,15 +98,15 @@ msgstr "아무 것도 하지 않음"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -127,7 +127,7 @@ msgstr "아무 것도 하지 않음"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -227,16 +227,16 @@ msgstr "아무 것도 하지 않음"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -262,7 +262,7 @@ msgstr "아무 것도 하지 않음"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -294,7 +294,7 @@ msgstr "아무 것도 하지 않음"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -313,7 +313,7 @@ msgstr "아무 것도 하지 않음"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -337,27 +337,27 @@ msgstr "사용자 설정"
 msgid "Cannot configure"
 msgstr "설정할 수 없음"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "파일 형식"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "책 정보 읽기"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "책 정보 쓰기"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "카탈로그 생성기"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "사용자 인터페이스 동작"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -369,20 +369,20 @@ msgstr "사용자 인터페이스 동작
 msgid "Preferences"
 msgstr "환경설정"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "서점"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "eBook 서점"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "책 도구 편집"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "서재 닫힘"
 
@@ -404,372 +404,372 @@ msgstr "이미지에 대한 Markdown이
 msgid "Extract cover from comic files"
 msgstr "만화 파일에서 표지를 추출합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s 파일에서 책 정보를 읽습니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "RAR 압축파일내의 eBook에서 책 정보를 읽습니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "ZIP 압축파일내의 eBook에서 책 정보를 읽습니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "%s 파일에 책 정보를 지정합니다."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "EPUB 메타데이터 작성기 플러그인이 기존 표지 이미지가 없는 EPUB 파일에 커버 이미지를 추가하지 않도록 하려면 아래에 {0}을(를) 입력하세요."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%s 파일에서 책 정보를 지정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "캘리버나 연결된 기기에 책을 추가합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "연결된 Kindle로부터 주석을 가져옵니다 (시험중)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "사용자의 서재에 있는 책들의 카탈로그를 생성합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "책을 다양한 eBook 형식으로 변환합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "사용자의 eBook을 세련되게 다듬습니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "책 안의 목차를 편집합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "책을 사용자의 서재나 연결된 기기에서 삭제합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "서재의 실제 책 파일 안에 업데이트된 책 정보를 끼워넣습니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "캘리버 서재에 있는 책의 책 정보를 편집합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "캘리버 서재의 책을 읽습니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "인터넷에서 뉴스를 eBook 형식으로 다운로드합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "관련된 책들의 목록을 빠르게 보여줍니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "서재에 있는 책들의 태그를 필터링하거나 변형합니다."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "템플릿을 테스트하기 위한 편집기를 표시합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "캘리버 서재에서 하드 디스크로 책을 내보냅니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "세부 정보를 별개의 팝업창으로 표시합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "캘리버를 다시 시작합니다."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "캘리버 서재에서 책 파일들을 포함하고 있는 폴더를 엽니다."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "연결된 기기로 책들을 보냅니다."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "책을 이메일이나 웹으로 보냅니다. 또한 컴퓨터의 폴더에 장치인 것처럼 연결하세요"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "캘리버 사용 설명서를 찾아봅니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "캘리버 커스터마이즈"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "현재 선택된 것과 유사한 책을 쉽게 찾기"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "서로 다른 캘리버 서재 간에 전환을 하고, 그것들에 대한 관리를 수행합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "기기에서 사용자의 서재로 책을 복사합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "기기 안의 책들이 모여있는 모음집을 편집합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "기기에 있는 책들과 서재의 책들을 맞춰봅니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "한 서재에서 다른 서재로 책 복사"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "EPUB 또는 AZW3 형식의 eBook들을 편집합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "사용자의 서재에 있는 EPUB 또는 HTMLZ 파일들에 대해 작은 변경사항을 만듭니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "서재에서 하이라이트 모드로 검색할 때, 다음 또는 이전 항목을 찾습니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "캘리버 서재에서 무작위로 책을 선택합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "책 목록을 정렬합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "임시로 책을 표시해둡니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "현재 가상 서재를 변경합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "여러 서점에서 책을 검색합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "캘리버 플러그인을 새로 설치하거나 기존 플러그인을 업데이트"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "모양새"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "인터페이스"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "캘리버 인터페이스 모양새를 조정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "작동 방식"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "캘리버가 동작하는 방식을 변경합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "사용자 정의 열 추가"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "사용자가 정의한 열을 캘리버의 책 목록에 추가/제거합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "도구모음 & 메뉴"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "도구 모음과 우클릭 메뉴를 사용자 정의합니다."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "검색"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "책 검색 방법을 변경"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "입력 옵션"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "변환"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "입력 형식마다 구체적인 변환 옵션을 지정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "공통 옵션"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "모든 형식에 공통적인 변환 옵션을 지정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "출력 옵션"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "출력 형식마다 구체적인 변환 옵션을 지정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "책 추가"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "가져오기/내보내기"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "캘리버에 책을 추가할때 파일에서 책 정보를 읽어오는 방법을 제어합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "디스크에 책 저장"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "디스크로 저장시, 캘리버의 데이타베이스에서 디스크로 파일을 내보내는 방식을 제어합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "기기에 책 전송"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "캘리버가 eBook 리더로 파일을 전달하는 방식을 제어합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "책 정보 제어판"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "저장 또는 내보내기 전, 책 정보 필드를 변환합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -779,92 +779,92 @@ msgstr "저장 또는 내보내기 전,
 msgid "Template functions"
 msgstr "템플릿 함수"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "고급"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "사용자 정의 템플릿 함수 생성"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "이메일로 책 공유"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "공유"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "이메일을 통해서 책 공유하기를 설정합니다. 다운로드된 뉴스를 기기로 자동 전송하는 기능에 사용되기도 합니다."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "네트워크로 공유"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "어디서나, 어떤 기기에서도 인터넷으로 캘리버의 서재에 접속할 수 있도록 해주는 캘리버 컨텐츠 서버를 설정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "책 정보 다운로드"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "캘리버가 네트워크에서 eBook 책 정보를 다운로드하는 방식을 설정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "무시된 기기"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "컴퓨터에 연결될 때 캘리버가 무시할 기기들을 설정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "플러그인"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "캘리버 기능의 다양한 부분들을 추가/제거/커스터마이즈"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "트윅"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "다양한 상황에서 캘리버가 어떻게 동작할 지를 세밀하게 조정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "단축키"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "캘리버에서 사용되는 키보드 단축키들을 조정합니다"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -872,7 +872,7 @@ msgstr "캘리버에서 사용되는 키
 msgid "Miscellaneous"
 msgstr "기타"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "기타 전문가용 설정"
 
@@ -1262,9 +1262,9 @@ msgstr "데이터베이스를 SQL로 덤
 msgid "Restoring database from SQL"
 msgstr "SQL로부터 데이터베이스 복원"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1290,17 +1290,17 @@ msgstr "저장된 검색"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "예"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "%s의 커버"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{1}의 {0} 형식"
@@ -1686,14 +1686,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr "ID 또는 %s 옵션을 지정해야 합니다"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\n캘리버 데이터베이스에 등록되어 있는 책들의 목록을 표시합니다.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1701,7 +1701,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1709,39 +1709,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "오름차순의 결과로 정렬합니다"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "문자열은 필드를 구분하는데 사용됩니다. 기본값은 공백입니다."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2288,21 +2288,21 @@ msgstr "빈 칸"
 msgid "Invalid boolean query \"{0}\""
 msgstr "유효하지 않은 boolean 질의 \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "순환 구조(recursive)의 질의 그룹이 탐지됨: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3478,11 +3478,11 @@ msgstr "%s 제거됨"
 msgid "All books removed"
 msgstr "모든 책이 제거됨"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3491,12 +3491,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "알 수 없는 MTP 기기"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6051,7 +6051,7 @@ msgstr "노트"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6344,7 +6344,7 @@ msgid "Producer"
 msgstr "제작자"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6352,7 +6352,7 @@ msgid "Comments"
 msgstr "책 설명"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6392,7 +6392,7 @@ msgid "Tags"
 msgstr "태그"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6421,7 +6421,7 @@ msgid "Timestamp"
 msgstr "시간 정보"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8147,13 +8147,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "HTML 목차(TOC) 생성 옵션입니다."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "<em>{0}</em>의 {1}번"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8186,31 +8186,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "사이드 바"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10174,7 +10174,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "도움말"
 
@@ -11426,7 +11426,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "무시하기"
 
@@ -11556,8 +11556,8 @@ msgstr "변경"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11691,11 +11691,11 @@ msgid "Search the internet for this book
 msgstr "이 책에 대하여 인터넷 검색"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "%s 관리"
@@ -11838,7 +11838,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12165,7 +12165,7 @@ msgid "Preset name:"
 msgstr "프리셋 명:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12242,7 +12242,7 @@ msgid "Save current catalog settings as
 msgstr "현재 카탈로그 설정을 프리셋으로 저장"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "저장"
 
@@ -12251,10 +12251,10 @@ msgid "Delete current preset"
 msgstr "현재 프리셋 삭제"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "삭제"
@@ -12367,8 +12367,8 @@ msgstr "기본값으로 초기화"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13554,7 +13554,7 @@ msgid "Ta&gs:"
 msgstr "태그(&G):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13569,8 +13569,8 @@ msgstr "시리즈(&S):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "알려진 시리즈의 목록입니다. 새로운 시리즈를 추가할 수 있습니다."
@@ -14437,7 +14437,7 @@ msgid "Choose color"
 msgstr "색상 선택"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14778,19 +14778,19 @@ msgid "Edit style transform rules"
 msgstr "스타일 변형 규칙 편집"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "내보내기(&X)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14864,8 +14864,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14946,7 +14946,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16524,7 +16524,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16532,7 +16532,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16540,7 +16540,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16548,7 +16548,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16582,7 +16582,7 @@ msgid "Manage authors"
 msgstr "저자 관리"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "검색할 내용(&S):"
@@ -17002,77 +17002,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "작업 중"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d 책을 처리 중. 기다려 주세요..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "소문자로"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "대문자로"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "단어마다 대문자로 시작"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "문자 일치"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "정규 표현식"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "필드 치환"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "필드의 앞에 추가"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "필드의 뒤에 추가"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "대화창을 닫지 않은 채 즉시 모든 변경 사항을 만듭니다. 이 작업은 취소되거나 되돌아가기를 할 수 없습니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "책 %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "ID 유형을 입력하세요"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17080,7 +17080,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>이 기능을 잘못 사용하게 되면 사용자의 서재가 망가질 수 있습니다.</b> 변경은 영구적이며 되돌아가기 기능이 지원되지 않습니다. 작업을 진행하기 전에 사용자의 서재를 백업해두기를 강력히 권고합니다.<p>문자를 맞춰보거나 정규 표현식을 사용하여 텍스트 필드를 검색 및 교체합니다. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17090,7 +17090,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17105,80 +17105,89 @@ msgid ""
 "function."
 msgstr "정규 표현식 모드에서는, 검색 텍스트는 임의의 Python 호환 정규 표현식입니다. 교체할 텍스트는 검색 패턴 중 괄호로 싸인 표현식에 대한 역참조를 포함할 수 있습니다. 검색식이 앵커(anchor)를 사용하지 않았다면, 같은 문자열 안에서 여러번 교체가 일어날 수 있습니다. 변형 기능(소문자 등)은 전체 필드가 아니라 일치되는 텍스트에만 적용됩니다. 목적지 필드는 맞춰보기/교체가 끝난 이후의 결과가 할당될 필드를 지정합니다. 사용자는 필드의 텍스트를 교체하거나, 일치되는 테스트 앞이나 뒤에 내용을 추가할 수도 있습니다. Python 정규 표현식에 대한 더 자세한 정보는 <a href=\"https://docs.python.org/library/re.html\">이 참조 문서</a>를 보세요(특히, 'sub'  함수)."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R 템플릿 오류"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "원본 필드가 복합 필드이거나 템플릿인 경우 목적지 필드를 지정하여야만 합니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "목적지 필드의 ID 유형을 지정하여야만 합니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "\"검색할 내용\" 필드에 검색 표현식을 지정하여야만 합니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "유효하지 않은 ID 문자열. 콜론으로 구분된 문자열 쌍들이 쉼표로 구분된 목록이어야 합니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "유효하지 않은 검색/교체"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "유효하지 않은 검색/교체: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "저장된 검색/교체 삭제"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "선택된 검색/교체 저장 내용이 삭제됩니다. 확실합니까?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "검색/교체 저장"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "검색/교체 이름:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "저장된 검색/교체가 이미 존재하여 덮어씌여지게 됩니다. 확실합니까?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "책 정보 수정"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "날짜 적용(&P)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "저자(&A): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17186,90 +17195,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "자동으로 저자 정렬명을 지정(&U)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "제목과 저자를 서로 바꾸기(&W)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "제목 정렬명을 현재 제목에 근거해 업데이트합니다. 이 작업은 제목에 대한 다른 변경작업들 이후에 적용됩니다."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "저자 정렬명(&O): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "제목 정렬명 업데이트(&U)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "이 책의 저자들을 정렬하는 방법을 지정합니다. 예를 들어 Charles Dickens는 Dickens, Charles와 같은 기준으로 정렬되어야 합니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "표지 변경(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "별점(&R):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "기본 표지 생성(&G)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "별점 적용(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "표지 지우기(&R)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "출판사(&P): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "자동으로 표지 이미지의 테두리를 감지하여 여백을 잘라냅니다.\n이 기능은 때때로 너무 많이 잘라내기도 하므로 주의해서 사용하세요."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "체크하면 출판사가 지워집니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "표지 테두리 잘라내기(&T) (위험)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "출판사 지우기(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "태그 추가(&G): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "선택된 모든 책들의 표지를 처음으로 선택된 책과 전부\n동일하게 설정합니다"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "태그 편집기 열기"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "표지 복제(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "태그 제거(&R):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "제목을 단어마다 대문자로 시작하도록 강제합니다. 만일 '제목과 저자를 서로 바꾸기'가\n체크되어 있다면, 이 작업이 처리되기 전에 제목과 저자가 먼저 교체됩니다."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "책에서 제거할 태그의 목록입니다. 쉼표(,)로 구분합니다. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "책에서 모든 태그를 제거하려면 이 상자를 체크하세요."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "날짜(&D):"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "모두 지우기(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "체크하면 출판사가 지워집니다"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "시리즈(I)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "출판사 지우기(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "체크하면 시리즈가 지워집니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "출판일자(&U):"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "시리즈 지우기(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17277,126 +17281,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "체크되지 않은 상태에서는, 책의 시리즈 번호는 1로 설정됩니다.\n체크된 상태에서는, 선택된 책들은 선택한 순서대로 모두 자동으로\n번호가 부여됩니다. 따라서 책 A를 선택한 다음 책 B를 선택하였다면\n책 A는 시리즈 번호 1을, 책 B는 번호 2를 부여받습니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "자동으로 이 시리즈의 책 번호 부여(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "시리즈 번호는 보통의 경우 그 시리즈에 부여되어 데이터베이스에 기록된 번호 중\n가장 높은 번호 다음 번호로 부여됩니다. 이 옵션를 체크하면 캘리버는 이 상자의\n값부터 번호를 부여하기 시작합니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "강제로 지정할 시작 번호(&F):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "체크하면 시리즈가 지워집니다"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "시리즈 지우기(&C)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "선택된 모든 책들에 위한 책 정보 설정(&M)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "태그 제거(&R):"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "모두 지우기(&A)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "태그 추가(&G): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "날짜(&D):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "이 책의 저자들을 정렬하는 방법을 지정합니다. 예를 들어 Charles Dickens는 Dickens, Charles와 같은 기준으로 정렬되어야 합니다."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "날짜 적용(&P)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "별점 적용(&A)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "출판일자(&U):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "출판일자 비우기"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "저자(&A): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "언어(&L):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "출판사(&P): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "책에서 제거할 태그의 목록입니다. 쉼표(,)로 구분합니다. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "태그 편집기 열기"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "저자 정렬명(&O): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "(표지를 제외한) 책 정보를 eBook 파일에서 가져와 지정(&M)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "시리즈(I)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "선택된 책에 대해 보관된 변환 설정을 지웁니다.\n\n앞으로 이 책의 변환은 기본 설정을 사용할 것입니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "선택된 책에 대해 보관된 변환 설정을 지움(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17405,153 +17344,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "한 형식을 똑같은 형식으로 변환할 때, 예를 들어 EPUB을\nEPUB으로, 캘리버는 원본 EPUB을 ORIGINAL_EPUB으로 저장합니다.\n이 옵션은 캘리버에게 ORIGINAL_EPUB에서 복원하라고 알려줍니다.\n많은 양의 책을 한꺼번에 변환하였는데 무언가 잘못된 경우 유용합니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "가능한 경우, 변환 전 원본에서 복원(&O)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "책에서 모든 태그를 제거하려면 이 상자를 체크하세요."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "별점(&R):"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "제목을 단어마다 대문자로 시작하도록 강제합니다. 만일 '제목과 저자를 서로 바꾸기'가\n체크되어 있다면, 이 작업이 처리되기 전에 제목과 저자가 먼저 교체됩니다."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "제목 정렬명을 현재 제목에 근거해 업데이트합니다. 이 작업은 제목에 대한 다른 변경작업들 이후에 적용됩니다."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "제목 정렬명 업데이트(&U)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "(표지를 제외한) 책 정보를 eBook 파일에서 가져와 지정(&M)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "표지 변경(&C)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "기본 표지 생성(&G)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "표지 지우기(&R)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "자동으로 표지 이미지의 테두리를 감지하여 여백을 잘라냅니다.\n이 기능은 때때로 너무 많이 잘라내기도 하므로 주의해서 사용하세요."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "표지 테두리 잘라내기(&T) (위험)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "선택된 모든 책들의 표지를 처음으로 선택된 책과 전부\n동일하게 설정합니다"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "표지 복제(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "선택된 모든 책들에 위한 책 정보 설정(&M)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "기본 책 정보(&B)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "사용자 정의 책 정보(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "검색/교체 불러오기(&L):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "불러올 저장된 검색/교체 항목을 선택하세요."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "현재 검색/교체 저장"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "저장(&V)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "검색 필드(&F):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "검색하기를 원하는 필드의 명칭"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "검색 모드(&M):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "기본 문자 일치 모드를 사용할지 고급 정규 표현식 모드를 사용할지 선택하세요"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "작업할 ID 유형을 선택하세요"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "템플릿(&T):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "검색/교체의 출처로 사용할 템플릿을 입력하세요"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "무엇을 찾을지 입력하세요 (검색 모드에 따라, 평이한 텍스트 또는 정규 표현식을 사용)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "대소문자를 정확히 구분하여 맞춰보아야 한다면 이 박스를 체크하세요. 대소문자를 무시하려면 체크를 해제하세요"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "대소문자 구분(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "교체할 텍스트(&R):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "교체할 텍스트. 일치되는 검색 텍스트는 이 문자열로 바뀌게 됩니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "교체후 적용할 기능(&A):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "맞춰보기 및 교체가 끝난 후 어떻게 텍스트가 처리되어야 할지를 지정합니다. 문자 일치 모드에서는, 전체 필드가\n처리됩니다. 정규 표현식 모드에서는, 일치되는 텍스트만 처리됩니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "목적지 필드(&D):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "교체가 일어난 후 해당 텍스트가 할당될 필드.\n빈 칸으로 지정되었다면, 원본 검색 필드가 변경가능한 경우 원본 필드가 사용됩니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "모드(&O):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "목적지 필드에 해당 텍스트가 어떻게 복사될 것인지를 지정합니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "결과 항목들을 다중 값으로 분할할 것인지, 하나의 값으로 남겨둘 것인지를\n지정합니다. 이 옵션은 원본 필드가 다중 값을 지원하지 않으나 목적지 필드가\n다중 값을 지원하는 경우 매우 유용합니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "결과 분할(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "ID 유형:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17559,48 +17585,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>다루게 될 ID 유형을 선택하세요. 원본 검색 필드가 'identifiers'가 아닌 경우,\n              전체 ID 집합을 검색/교체 결과로 바꾸기 원한다면 *를 입력하면 됩니다.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "다중값 필드에 대하여, (&W)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "부터 시작해, 다음 구분자로 구분하여 표시: (&Y)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "테스트 결과에 대하여 다중값 필드의 값들을 구분할 때 사용"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "테스트 텍스트"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "테스트 결과"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "사용자의 테스트(&T):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "검색 및 교체(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "활성화시키면, 편집이 완료된 시점에 책 목록을 재정렬시키고\n기존의 검색 또는 가상 서재를 갱신합니다. 덩치가 큰 서재에서는\n느릴 수 있습니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "편집 후 책 목록 갱신(&R)"
 
@@ -18056,42 +18082,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "항목(&I): {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**발견된 항목 없음**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "책에 대한 정보를 보려면 서재 보기 화면에서 열을 누르세요"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "선택된 \"{0}\" 항목에 해당되는 책들(&B): {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18197,87 +18223,87 @@ msgstr "데이터베이스 복원이 실
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "새로운 저장된 검색 추가하기"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "이 저장된 검색의 이름"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "검색(&S):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "해당 검색 표현식"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "저장된 검색 관리"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "검색 추가(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "검색 편집(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "현재의 저장된 검색을 <b>영구적으로 삭제</b>합니다. 확실합니까?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19175,48 +19201,64 @@ msgstr "태그 1"
 msgid "Tag 2"
 msgstr "태그 1"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "템플릿 언어 입문 설명서"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "템플릿 함수 참조 문서"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "예외:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "선택된 열 없음"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "색상이 적용될 열을 지정하여야 합니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "주어진 템플릿 없음"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "템플릿 칸은 비워놓을 수 없습니다"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20275,7 +20317,7 @@ msgstr "이름으로 단축키 검색"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "검색결과 없음"
 
@@ -20434,8 +20476,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20450,14 +20492,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "모두 접기"
 
@@ -22670,60 +22712,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "규칙 추가(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "규칙 제거(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "선택된 규칙을 위로 이동"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "선택된 규칙을 아래로 이동"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "고급 규칙 추가(&V)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "캘리버에 어떤 색을 사용할 지 알려주는 \"규칙\"을 만들어 책 목록에 표시될 열의 색상을 조정할 수 있습니다. 시작하려면 아래의 '규칙 추가' 버튼을 누르세요.<p><b>기존의 규칙을 수정</b>하려면 더블 클릭하면 됩니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "캘리버에 어떤 아이콘을 사용할 지 알려주는 \"규칙\"을 만들어 책 목록의 열에 아이콘을 추가할 수 있습니다. 시작하려면 아래의 '규칙 추가' 버튼을 누르세요.<p><b>기존의 규칙을 수정</b>하려면 더블 클릭하면 됩니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22731,57 +22773,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "캘리버에 어떤 이미지를 사용할지 명시하는 규칙을 만듦으로써 표지 격자 보기 방식에서 표지 옆에 표식 무늬(작은 아이콘)을 추가할 수 있습니다. <p> 더블 클릭으로 <b>기존 규칙을 변경</b>할 수 있습니다."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "표지 옆에 표식 무늬 표시(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23623,13 +23665,13 @@ msgstr "부가표제 없음"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "아래"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "위"
 
@@ -23663,7 +23705,7 @@ msgid "If there is enough room"
 msgstr "충분한 공간이 있는 경우에만"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "첫 글자로"
 
@@ -23944,7 +23986,7 @@ msgid ""
 msgstr "캘리버는 격자 보기 방식에서 표지를 표시하는 성능을 개선하기 위하여 두 종류의 캐시를 사용합니다. 하나는 표지 썸네일을 저장하는데 사용되는 디스크 캐시이고, 다른 하나는 표지를 표시할 때 깜빡이지 않도록 하는 메모리 캐시입니다. 최고의 결과를 위해서는 (사용자의 컴퓨터에 여분의 RAM이 매우 많이 남아돌아 메모리 캐시로 사용되어도 상관이 없는 경우가 아닌 이상) 메모리 캐시를 작게 유지하고 디스크 캐시를 크게 잡으십시오."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "사용 안 함"
 
@@ -24636,8 +24678,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "이곳에서 사용자는, 디스크에 저장하거나 기기로 전송할 때, 책을 업데이트하기 위하여 캘리버가 사용하는 책 정보들을 변경할 수 있습니다.\n\n어떤 형식(또는 모든 형식)이나 어떤 기기(또는 모든 기기)를 위한 '플러그보드'를 정의하기 위해 이 대화창을 사용하세요. 플러그보드는 어떤 템플릿이 어떤 필드에 연결되는지를 지정합니다. 템플릿은 값을 계산하기 위하여 사용되며, 이 값은 연결된 필드에 할당됩니다.\n\n종종 템플릿은 합성 열에 대한 단순한 참조를 포함합니다만, 반드시 그렇지는 않습니다. 원본 칸에 캘리버의 다른 곳에서도 사용할 수 있는 어떤 템플릿이라도 사용할 수 있습니다.\n\n플러그 보드의 한가지 사용예를 들자면, 제목이 시리즈 정보를 포함하도록 변경하는 것입니다. 또다른 것으로는, Kindle에서 요구되는 사항으로서 MOBI 사용자들이 저자 정렬명에 ';'의 이용을 강제하도록 변경하는 것을 들 수 있습니다. 세번째 예로는, 언어 지정과 같은 것이 있습니다."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25205,7 +25247,7 @@ msgid ""
 msgstr "사용자명/비밀번호를 요구하도록 하면 인가받지 않은 사람들이 사용자의 캘리버 라이브러리에 접근하는 것을 방지할 수 있습니다. 또한 서재에 변경을 가하거나 마지막 읽은 위치/주석 동기화와 같은 작업과 같은 몇몇 기능에서 필요하기도 합니다."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "{}에 대한 비밀번호 변경"
 
@@ -25340,7 +25382,7 @@ msgid "Change &password"
 msgstr "비밀번호 변경(&P)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25350,7 +25392,7 @@ msgid "Change the allowed libraries"
 msgstr "허용되는 서재 변경하기"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26862,7 +26904,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "검색 표현식:"
 
@@ -27153,7 +27195,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "%s 이름 바꾸기"
@@ -27213,95 +27255,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "%s을(를) 제외한 나머지 검색"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "%s 에 하위분류 추가"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "사용자 정의 분류 %s을(를) 삭제"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "%s 분류에 포함된 책들 중에서 검색"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "%s 분류에 포함되지 않은 책들 중에서 검색"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "%s 분류 숨기기"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "분류 아이콘 변경"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "원래의 아이콘으로 복원"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "사용자 정의 분류 관리"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "하위 분류법 변경"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "분할"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "첫 글자는 이름으로 정렬할 때만 사용"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27958,7 +28000,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28488,7 +28531,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "취소"
 
@@ -30722,7 +30765,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>기울임</h3>선택된 텍스트를 기울입니다."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "밑줄(&U)"
 
@@ -32045,7 +32088,7 @@ msgid "Disabled confirmations restored"
 msgstr "꺼져있던 승인 ;확인창들이 복구되었습니다"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32672,7 +32715,7 @@ msgid "Export saved searches"
 msgstr "저장된 검색 내보내기"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "내보내기"
 
@@ -34543,68 +34586,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "항목으로 이동하려면 더블 클릭"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "수정"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35058,7 +35101,7 @@ msgid "E-book viewer"
 msgstr "eBook 뷰어"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35134,13 +35177,13 @@ msgstr "책 불러오기 실패"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "배경 이미지 선택"
 
@@ -35305,10 +35348,10 @@ msgid "< &Back"
 msgstr "< 이전(&B)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "취소"
 
@@ -35949,8 +35992,8 @@ msgid "No genres to catalog.\n"
 msgstr "카달로그를 만들 장르 없음.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "eBook 옵션의 '제외할 장르' 정규 표현식을 체크해보십시오.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -35998,8 +36041,8 @@ msgstr "제목 정렬 중"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "카탈로그를 만들 책이 없습니다.\neBook 옵션의 '제외할 책' 규칙을 체크해보십시오.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36475,177 +36518,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "무엇을 할까요?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "기본값"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "기존 사용자명:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "%s에 대한 비밀번호가 성공적으로 변경됨!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "서재 이름 목록을 쉼표로 구분하여 입력하세요:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "기존 사용자 편집"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37052,13 +37126,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37066,23 +37141,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37095,7 +37170,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37254,128 +37329,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr "파일이 다른 프로세스에서 열려 있습니다"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37430,60 +37505,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37495,7 +37570,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37506,13 +37581,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37522,30 +37597,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37555,7 +37630,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37565,24 +37640,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37591,11 +37666,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37605,19 +37680,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37627,11 +37702,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37643,11 +37718,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37658,14 +37733,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37678,20 +37753,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(값, 패턴, 그룹1용_템플릿, 그룹2용_템플릿, ...) -- 정규 표현식 패턴을 값에 적용하여 일치하는 각각의 건들을 일치하는 각 그룹을 해당 템플릿에 의해 리턴된 값으로 대치시켜 만들어진 문자열을 리턴합니다. 해당 그룹의 일치된 원본 값은 $ 형태로 사용가능합니다. (템플릿이나 eval 함수에서와 같은) 템플릿 프로그램 모드에서는 { 대신 [[, } 대신 ]]을 사용합니다. 템플릿 프로그램 모드의 아래 예제에서는 하나 이상의 단어를 가진 시리즈를 찾아서 첫번째 단어를 대문자로 만듭니다: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37705,7 +37780,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37713,7 +37788,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37722,14 +37797,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37742,19 +37817,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37764,7 +37839,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37772,7 +37847,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37780,13 +37855,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37797,7 +37872,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37810,7 +37885,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37827,7 +37902,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37850,23 +37925,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37875,7 +37950,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37884,55 +37959,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- 표지가 있다면 Yes를 반환하고, 없다면 빈 문자열을 반환함"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37941,7 +38016,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37949,7 +38024,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37957,7 +38032,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37965,7 +38040,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37974,7 +38049,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37983,7 +38058,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37991,14 +38066,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38006,7 +38081,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38014,28 +38089,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38044,7 +38119,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38053,7 +38128,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38062,7 +38137,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38070,7 +38145,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38082,7 +38157,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38093,7 +38168,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38101,13 +38176,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38115,7 +38190,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38128,11 +38203,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38140,11 +38215,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38153,7 +38228,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38164,7 +38239,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38174,6 +38249,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38462,29 +38543,29 @@ msgstr "저장하지 않고 닫기"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38846,185 +38927,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "CSS 스타일시트를 다운로드하지 않음."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "확인"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "전부 저장"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "열기"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "네(&Y)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "모두 예(&A)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "아니요(&N)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "모두 아니오 (&O)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "취소"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "다시 시도"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "닫기"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "적용"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "초기화"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "기본값으로 복구"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "색상(&E):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "채도(&S):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "명도(&V):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "빨강(&R):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "초록(&G):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "파랑(&U):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "알파 채널(&L):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "HTML(&H):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "커서 위치 %1, %2\n취소하려면 ESC를 누르세요."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "색상 선택"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "기본 색상(&B)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "사용자 색상(&C)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "사용자 색에 추가(&A)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "화면 색상 선택(&P)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "글꼴 선택"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "글꼴(&F)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "글꼴 스타일(&Y)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "크기(&S)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "효과"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "취소선(&K)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "샘플"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "필기 시스템(&I)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "왼쪽으로 스크롤"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "위로 스크롤"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "아래로 스크롤"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "오른쪽으로 스크롤"
 
@@ -39304,8 +39385,8 @@ msgstr "소니 컬렉션의 이름 바
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39361,7 +39442,7 @@ msgstr "소니 컬렉션의 정렬 방
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ku.po 5.10.0+dfsg-1/translations/calibre/ku.po
--- 5.9.0+dfsg-3/translations/calibre/ku.po	2021-01-06 15:30:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ku.po	2021-01-20 15:26:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Tiştek nake"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Tiştek nake"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Tiştek nake"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Tiştek nake"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Tiştek nake"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Tiştek nake"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Cureyê pelî"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Vebijêrk"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ltg.po 5.10.0+dfsg-1/translations/calibre/ltg.po
--- 5.9.0+dfsg-3/translations/calibre/ltg.po	2021-01-06 15:31:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ltg.po	2021-01-20 15:27:14.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Pilneigi nikū nadora"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Pilneigi nikū nadora"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Pilneigi nikū nadora"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Pilneigi nikū nadora"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Pilneigi nikū nadora"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Pilneigi nikū nadora"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Faila tips"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8146,13 +8146,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8185,31 +8185,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9185,7 +9185,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10201,7 +10201,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11467,7 +11467,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11597,8 +11597,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11732,11 +11732,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11879,7 +11879,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12206,7 +12206,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12283,7 +12283,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12292,10 +12292,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12408,8 +12408,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13595,7 +13595,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13610,8 +13610,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14478,7 +14478,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14819,19 +14819,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14905,8 +14905,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14987,7 +14987,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16569,7 +16569,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16577,7 +16577,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16585,7 +16585,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16593,7 +16593,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16627,7 +16627,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17049,79 +17049,79 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17129,7 +17129,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17139,7 +17139,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17154,80 +17154,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17235,90 +17244,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17326,281 +17330,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17608,48 +17634,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18105,42 +18131,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18246,87 +18272,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19224,48 +19250,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20334,7 +20376,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20493,8 +20535,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20513,14 +20555,14 @@ msgstr[1] ""
 msgstr[2] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22747,60 +22789,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22808,57 +22850,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23700,13 +23742,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23740,7 +23782,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -24021,7 +24063,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24713,7 +24755,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25282,7 +25324,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25417,7 +25459,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25429,7 +25471,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26943,7 +26985,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27234,7 +27276,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27294,95 +27336,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28039,7 +28081,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28571,7 +28614,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30813,7 +30856,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32144,7 +32187,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32771,7 +32814,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34648,23 +34691,23 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34672,50 +34715,50 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35169,7 +35212,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35245,13 +35288,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35416,10 +35459,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36060,7 +36103,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36109,7 +36152,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36586,177 +36629,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37165,13 +37239,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37179,23 +37254,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37208,7 +37283,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37367,128 +37442,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37543,60 +37618,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37608,7 +37683,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37619,13 +37694,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37635,30 +37710,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37668,7 +37743,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37678,24 +37753,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37704,11 +37779,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37718,19 +37793,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37740,11 +37815,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37756,11 +37831,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37771,14 +37846,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37791,20 +37866,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37818,7 +37893,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37826,7 +37901,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37835,14 +37910,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37855,19 +37930,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37877,7 +37952,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37885,7 +37960,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37893,13 +37968,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37910,7 +37985,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37923,7 +37998,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37940,7 +38015,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37963,23 +38038,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37988,7 +38063,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37997,55 +38072,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38054,7 +38129,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38062,7 +38137,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38070,7 +38145,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38078,7 +38153,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38087,7 +38162,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38096,7 +38171,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38104,14 +38179,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38119,7 +38194,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38127,28 +38202,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38157,7 +38232,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38166,7 +38241,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38175,7 +38250,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38183,7 +38258,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38195,7 +38270,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38206,7 +38281,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38214,13 +38289,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38228,7 +38303,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38241,11 +38316,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38253,11 +38328,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38266,7 +38341,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38277,7 +38352,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38287,6 +38362,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38575,29 +38656,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38961,185 +39042,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39419,8 +39500,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39476,7 +39557,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/lt.po 5.10.0+dfsg-1/translations/calibre/lt.po
--- 5.9.0+dfsg-3/translations/calibre/lt.po	2021-01-06 15:30:20.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/lt.po	2021-01-20 15:26:46.000000000 +0000
@@ -16,8 +16,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -96,15 +96,15 @@ msgstr "Nieko nedaro"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -125,7 +125,7 @@ msgstr "Nieko nedaro"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -225,16 +225,16 @@ msgstr "Nieko nedaro"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -260,7 +260,7 @@ msgstr "Nieko nedaro"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -292,7 +292,7 @@ msgstr "Nieko nedaro"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -311,7 +311,7 @@ msgstr "Nieko nedaro"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -335,27 +335,27 @@ msgstr "Tinkinti"
 msgid "Cannot configure"
 msgstr "Konfigūruoti negalima"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Failo tipas"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metaduomenų skaitymas"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metaduomenų rašymas"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalogo generatorius"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Naudotojo sąsajos veiksmas"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -367,20 +367,20 @@ msgstr "Naudotojo sąsajos veiksmas"
 msgid "Preferences"
 msgstr "Nuostatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Saugykla"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "E-knygų parduotuvė."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Biblioteka uždaryta"
 
@@ -402,372 +402,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Ištraukti viršelį iš comic failų"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Nuskaityti meta duomenis iš %s failų"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Nustatyti metaduomenis %s failuose"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Nustatyti meta duomenis iš %s failų"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Pridėti knygas į „Calibre“  biblioteką arba į prijungtą įrenginį"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Sukurti knygų katalogą jūsų „Calibre“  bibliotekoje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Redaguoti jūsų knygų turinį"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Šalinti knygas, esančias „Calibre“  bibliotekoje arba prijungtame įrenginyje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Keisti „Calibre“ bibliotekoje esančių knygų meta duomenis"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Skaityti „Calibre“ bibliotekos knygas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Nedelsiant parodyti susijusių knygų sąrašą"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Parodyti taisymo įrankį testuojamiems šablonams"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Išsaugoti „Calibre“ bibliotekos knygas kietąjame diske"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Iš naujo paleisti „Calibre“"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Atverti katalogą, kuriame laikomi „Calibre“  bibliotekos knygų failai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Siųsti knygas į prijungtą įrenginį"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Naršyti „Calibre“ naudotojo vadovą"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Tinkinti „Calibre“"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Nesudėtinga panašių knygų paieška"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Persijungti tarp skirtingų Calibre bibliotekų ir atlikti jų aptarnavimą"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Nukopijuoti knygas iš įrenginio į Calibre biblioteką"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Tvarkyti kolekcijas, laikomas jūsų įrenginyje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Sulyginti knygas įrenginyje ir bibliotekoje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Knygas kopijuoti iš vienos „Calibre“ bibliotekos į kitą"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Rasti kitą/ankstesnį atitikmenį ieškant Calbre bibliotekoje pažymėjimo režimu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Atsitiktinai parinkti kokią nors „Calibre“ bibliotekos knygą"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Rūšiuoti knygų sąrašą"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Laikinai pažymėti knygas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Pakeisti dabartinę virtualią biblioteką"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Ieškoti knygų įvairiose saugyklose, parduotuvėse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Ieškoti „Calibre“ plėtinių arba atnaujinti esamus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Išvaizda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Sąsaja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Pagal savo skonį pasikeiskite „Calibre“ išvaizdą ir elgseną"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Elgsena"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Pakeisti „Calibre“ elgseną"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Pridėti savo stulpelius"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Pridėti/šalinti savo stulpelius į „Calibre“ knygų sąrašą"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Įrankių juostos ir meniu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Pakeisti pagrindinio ir kontekstinių meniu mygtukus, nurodant kur bus kokios komandos  "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Paieška"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Keisti paieškos veikimą Calibre bibliotekoje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Įvesties parinktys"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konvertavimas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Nustatyti konvertavimo parinktis priklausomai nuo įvesties formato"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Bendros parinktys"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Nustatyti bendrus visiems formatams konvertavimo parametrus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Išvesties parinktys"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Nustatyti kiekvienam išvesties formatui specifines konvertavimo parinktis"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Pridėti knygas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importavimas/eksportavimas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Keisti Calibre metaduomenų skaitymo režimą pridedant knygas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Išsaugoti knygas į diską"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Keisti Calibre failų eksportavimą iš duoemnų bazės į diską kai naudojamas \"Išsaugoti diske\""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Siųsti knygas į įrenginius"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metaduomenų langai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Keisti metaduomenų laukelius prieš išsaugant/išsiunčiant"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -777,92 +777,92 @@ msgstr "Keisti metaduomenų laukelius pr
 msgid "Template functions"
 msgstr "Šablono funkcijos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Papildomai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Susikurkite savo šablonų funkcijas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Dalytis knygas el. paštu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Bendrinimas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Nustatykite jūsų knygų bendrinimą elektroniniu paštu. Gali būti naudojama naujienų siuntimui į jūsų įrenginius"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Bendrinama per tinklą"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metaduomenų atsisiuntimas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignoruojami įrenginiai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Valdykite, kokius prijungtus prie kompiuterio įrenginius Calibre ignoruos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plėtiniai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Pridėti/Atimti Calibre funkcionalumo dalis"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Patobulinimai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Valdykite Calibre veikimą įvairiuose režimuose"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Nuorodos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Keisti klavišų kombinacijas, naudojamas Calibre valdymui"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -870,7 +870,7 @@ msgstr "Keisti klavišų kombinacijas, n
 msgid "Miscellaneous"
 msgstr "Įvairūs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Papildomos konfigūravimo galimybės"
 
@@ -1260,9 +1260,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr "Atkuriu duomenų bazę iš SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1288,17 +1288,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Taip"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "%s viršelis"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formatas {1}"
@@ -1684,14 +1684,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1699,7 +1699,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1707,39 +1707,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2286,21 +2286,21 @@ msgstr "tuščia"
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3476,11 +3476,11 @@ msgstr "Pašalinta %s"
 msgid "All books removed"
 msgstr "Visos knygos pašalintos"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Neįvardintas įrenginys"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3489,12 +3489,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6049,7 +6049,7 @@ msgstr "Pastabos"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6342,7 +6342,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6350,7 +6350,7 @@ msgid "Comments"
 msgstr "Komentarai"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6390,7 +6390,7 @@ msgid "Tags"
 msgstr "Žymės"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6422,7 +6422,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8160,13 +8160,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8199,31 +8199,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9206,7 +9206,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10229,7 +10229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Pagalba"
 
@@ -11502,7 +11502,7 @@ msgid "Errors while adding"
 msgstr "Klaidos pridedant"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignoruoti"
 
@@ -11632,8 +11632,8 @@ msgstr "Pakeisti"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11767,11 +11767,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Tvarkyti %s"
@@ -11914,7 +11914,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12241,7 +12241,7 @@ msgid "Preset name:"
 msgstr "Dabartinis pavadinimas:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Turite nurodyti pavadinimą."
 
@@ -12318,7 +12318,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Išsaugoti"
 
@@ -12327,10 +12327,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Ištrinti"
@@ -12443,8 +12443,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13630,7 +13630,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13645,8 +13645,8 @@ msgstr "Serija:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Žinomų serijų sąrašas. Galite pridėti naujų."
@@ -14513,7 +14513,7 @@ msgid "Choose color"
 msgstr "Pasirinkti spalvą"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14854,19 +14854,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "Eksportuoti"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Eksportuoti šias taisykles į failą"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14940,8 +14940,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15022,7 +15022,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16606,7 +16606,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16614,7 +16614,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16622,7 +16622,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16630,7 +16630,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16664,7 +16664,7 @@ msgid "Manage authors"
 msgstr "Tvarkyti autorius"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Ieškoti:"
@@ -17087,57 +17087,57 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Dirbama"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Reguliarioji išraiška"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Pakeisti lauką"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Pridėti prie lauko"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17145,22 +17145,22 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "%d knyga:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17168,7 +17168,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17178,7 +17178,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17193,80 +17193,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "Autorius(-iai):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17274,90 +17283,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Automatiškai nustatyti autoriaus rūšiavimą"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Pakeisti viršelį"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "Reitingas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "Generuoti numatytąjį viršelį"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "Taikyti reitingą"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "Pašalinti viršelį"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Leidėjas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Pašalinti žymes:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Data"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Pašalinti viską"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "Išvalyti serijas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17365,281 +17369,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "Išvalyti serijas"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Data"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Pašalinti žymes:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "&Kalbos:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Pašalinti viską"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "Taikyti reitingą"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "Autorius(-iai):"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "&Kalbos:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Leidėjas:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Pakeisti viršelį"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "Generuoti numatytąjį viršelį"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "Pašalinti viršelį"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "Reitingas:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Baziniai metaduomenys"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Kiti metaduomenys"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Į&rašyti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Paieškos laukas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Paieškos rėžimas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Šablonas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "Pakeisti su:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "Rėžimas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17647,48 +17673,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "Ieškoti ir pakeisti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18144,42 +18170,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18285,87 +18311,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Pridėti naują išsaugotą paiešką"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "Pridėti paiešką"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "Keisti paiešką"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19263,48 +19289,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "IŠIMTIS:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nepasirinktas stulpelis"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20378,7 +20420,7 @@ msgstr "Ieškoti nuorodos pagal pavadini
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Atitikmenų nerasta"
 
@@ -20537,8 +20579,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20559,14 +20601,14 @@ msgstr[2] ""
 msgstr[3] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Suskleisti viską"
 
@@ -22800,60 +22842,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "Pridėti taisyklę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "Pašalinti taisyklę(-s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Perkelti pasirinktą taisyklę aukštyn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Perkelti pasirinktą taisyklę žemyn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22861,57 +22903,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Nepasirinkta jokia taisyklė"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Nepasirinkta jokia taisyklė %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Pasirinkite failą eksportavimui"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Taisyklės"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23753,13 +23795,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Apačia"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Viršus"
 
@@ -23793,7 +23835,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Pagal pirmąją raidę"
 
@@ -24074,7 +24116,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Neįjungta"
 
@@ -24766,7 +24808,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25335,7 +25377,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25470,7 +25512,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25483,7 +25525,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26998,7 +27040,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27289,7 +27331,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27349,95 +27391,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Pakeisti kategorijos ikoną"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Particija"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28094,7 +28136,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28627,7 +28670,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Atsisakyti"
 
@@ -30873,7 +30916,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32208,7 +32251,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32835,7 +32878,7 @@ msgid "Export saved searches"
 msgstr "Eksportuoti išsaugotas paieškas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Eksportuoti"
 
@@ -34715,16 +34758,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34732,7 +34775,7 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34741,39 +34784,39 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34781,11 +34824,11 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35239,7 +35282,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35315,13 +35358,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35486,10 +35529,10 @@ msgid "< &Back"
 msgstr "< &Atgal"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Atšaukti"
 
@@ -36130,7 +36173,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36179,7 +36222,7 @@ msgstr "Rūšiuojami pavadinimai"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36656,177 +36699,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Tušti slaptažodžiai negalimi"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Pridėti naują naudotoją"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Keisti esamą naudotoją"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Pašalinti naudotoją"
 
@@ -37236,13 +37310,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37250,23 +37325,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37279,7 +37354,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37438,128 +37513,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr "Failas yra atidarytas kitame procese"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37614,60 +37689,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37679,7 +37754,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37690,13 +37765,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37706,30 +37781,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37739,7 +37814,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37749,24 +37824,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37775,11 +37850,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37789,19 +37864,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37811,11 +37886,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37827,11 +37902,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37842,14 +37917,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37862,20 +37937,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37889,7 +37964,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37897,7 +37972,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37906,14 +37981,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37926,19 +38001,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37948,7 +38023,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37956,7 +38031,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37964,13 +38039,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37981,7 +38056,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37994,7 +38069,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38011,7 +38086,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38034,23 +38109,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38059,7 +38134,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38068,55 +38143,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38125,7 +38200,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38133,7 +38208,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38141,7 +38216,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38149,7 +38224,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38158,7 +38233,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38167,7 +38242,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38175,14 +38250,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38190,7 +38265,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38198,28 +38273,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38228,7 +38303,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38237,7 +38312,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38246,7 +38321,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38254,7 +38329,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38266,7 +38341,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38277,7 +38352,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38285,13 +38360,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38299,7 +38374,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38312,11 +38387,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38324,11 +38399,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38337,7 +38412,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38348,7 +38423,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38358,6 +38433,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38646,29 +38727,29 @@ msgstr "Uždaryti neišsaugant"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "trūksta )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -39033,185 +39114,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Gerai"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Išsaugoti viską"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Atverti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Taip"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Taip &viskam"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Ne"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&e viskam"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Nutraukti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Pakartoti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Uždaryti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Pritaikyti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Atstatyti pradinius nustatymus"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Pasirinkti spalvą"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Bazinės spalvos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39491,8 +39572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39548,7 +39629,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/lv.po 5.10.0+dfsg-1/translations/calibre/lv.po
--- 5.9.0+dfsg-3/translations/calibre/lv.po	2021-01-06 15:29:18.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/lv.po	2021-01-20 15:27:44.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -95,15 +95,15 @@ msgstr "Nedara pilnīgi neko"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -124,7 +124,7 @@ msgstr "Nedara pilnīgi neko"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -224,16 +224,16 @@ msgstr "Nedara pilnīgi neko"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -259,7 +259,7 @@ msgstr "Nedara pilnīgi neko"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -291,7 +291,7 @@ msgstr "Nedara pilnīgi neko"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -310,7 +310,7 @@ msgstr "Nedara pilnīgi neko"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -334,27 +334,27 @@ msgstr "Pielāgot"
 msgid "Cannot configure"
 msgstr "Nevar konfigurēt"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Datnes tipu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadatu lasītāja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadatu rakstītāja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Kataloga ģeneratora"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Lietotāja interfeisa darbības"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -366,20 +366,20 @@ msgstr "Lietotāja interfeisa darbības"
 msgid "Preferences"
 msgstr "Iestatījumi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Veikals"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "E-grāmatu veikals."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Grāmatu rediģēšanas rīks"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Bibliotēka slēgta"
 
@@ -401,372 +401,372 @@ msgstr "Izveido TXTZ arhīvu, ja import
 msgid "Extract cover from comic files"
 msgstr "Izvilkt vāku no komiksu datnēm"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lasīt metadatus no %s datnēm"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Lasīt metadatus no e-grāmatu RAR arhīviem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Lasīt metadatus no e-grāmatu ZIP arhīviem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Ierakstīti metadati %s datnēs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Ievadiet zemāk {0}, lai atspējotu EPUB metadatu ieraksta spraudni, pievienot vāka attēlu EPUB failiem, kuriem to nav."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Uzstāda metadatus no %s datnēm"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Pievieno grāmatas calibre vai pievienotajā ierīcē"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Saņemt anotācijas no pievienotā Kindle (eksperiments)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Ģenerē bibliotēkas grāmatu katalogu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Konvertēt grāmatas uz dažādiem e-grāmatu formātiem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Precīza e-grāmatu pielāgošana"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Rediģēt e-grāmatas Satura rādītāju"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Dzēš grāmatas no calibre bibliotēkas vai pievienotās ierīces"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Iegult atjauninātus metadatus aktuālās grāmatas datnēs Jūsu calibre bibliotēkā"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Rediģē calibre bibliotēkas grāmatu metadatus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Lasīt grāmatas no Jūsu bibliotēkas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Lejupielādēt ziņas no interneta e-grāmatas formātā"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Parāda saistīto grāmatu sarakstu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtrēt/pārveidot birkas grāmatām bibliotēkā"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Pārveidot grāmatu autorus bibliotēkā"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Parādīt redaktoru veidņu testēšanai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Eksportē cietajā diskā grāmatas no calibre bibliotēkas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Rādīt grāmatas detaļas atsevišķā logā"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Restartēt calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Atver mapi, kas satur calibre bibliotēkas grāmatu datnes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Sūtīt grāmatas uz pievienoto ierīci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Sūtīt grāmatas, izmantojot e-pastu vai tīmekli. Pieslēgties pie datora mapēm, it kā tās būtu ierīces"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Pārlūkot calibre lietotāja rokasgrāmatu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Pielāgot calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Atrod grāmatas, kuras ir līdzīgas izvēlētajai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Pārslēgties starp calibre bibliotēkām un veikt to apkopšanu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopēt grāmatas no ierīces uz Jūsu calibre bibliotēku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Labot kolekcijas, kuru grāmatas tiks pārvietotas uz ierīci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Sasaistīt grāmatas ierīcē ar grāmatām bibliotēkā"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopē grāmatu no vienas calibre bibliotēkas uz citu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Labot EPUB vai AZW3 formāta e-grāmatas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Izdarīt sīkas izmaiņas calibre bibliotēkas EPUB vai HTMLZ failos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Meklējot bibliotēkā izcelšanas režīmā, atrod nākošo vai iepriekšējo rezultātu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Izvēlas nejaušu grāmatu no calibre bibliotēkas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Šķirot grāmatu sarakstu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Grāmatu pagaidu atzīmēšana"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Mainīt tekošo virtuālo bibliotēku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Meklē grāmatas pie dažādiem grāmatu tirgotājiem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Iegūst jaunus calibre spraudņus vai pielāgo esošos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Izskats"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Saskarne"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Pielāgot calibre saskarnes izskatu un uzvedību pēc savas gaumes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Uzvedība"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Mainīt calibre uzvedību"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Pievienot savas kolonnas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Pievienot/dzēst savas calibre grāmatu saraksta slejas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Rīkjoslas & izvēlnes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Pielāgo rīkjoslas un konteksta izvēlnes, mainot tajās pieejamās darbības"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Meklēšana"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Pielāgo calbire grāmatu meklēšanas uzvedību"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Ievades opcijas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Pārveidošana"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Mainīt pārveidošanas uzstādījumus atsevišķiem ievades formātiem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Kopējas opcijas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Uzstādīt visiem formātiem kopīgas konvertēšanas papildiespējas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Izvades opcijas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Mainīt pārveidošanas uzstādījumus atsevišķiem izvades formātiem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Grāmatu pievienošana"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Imports/Eksports"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Pārvalda kā calibre lasa metadatus pievienojot grāmatas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Grāmatu saglabāšana diskā"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Pārvalda, kā calibre eksportē datnes no datubāzes uz disku, izmantojot \"Saglabāt diskā\" funkciju"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Grāmatu sūtīšana uz ierīcēm"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Pārvalda calibre datņu nosūtīšanu uz e-grāmatu lasītāju"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metadatu komutācijas paneļi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Maina metadatu laukus pirms saglabāšanas/nosūtīšanas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -776,92 +776,92 @@ msgstr "Maina metadatu laukus pirms sagl
 msgid "Template functions"
 msgstr "Sagatavju funkcijas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Paplašināti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Ļauj izveidot savas šablona funkcijas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Koplietot grāmatas pa e-pastu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Koplietošana"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Konfigurē grāmatu sūtīšanu e-pastā. Var tikt izmantots lai automātiski nosūtītu lejupielādētās ziņas uz ierīcēm"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Koplietošana tīklā"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Konfigurē calibre Satura serveri, kurš ļauj, izmantojot internetu, piekļūt calibre bibliotēkai no jebkuras vietas un ierīces"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metadatu lejupielāde"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Pārvalda, kā calibre lejupielādē e-grāmatu metadatus no tīkla"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignorētās iekārtas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Izvēlēties kuras ierīces calibre ignorēs, kad tās tiks pieslēgtas datoram"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Spraudņi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Pievieno/noņem/pielāgo dažādus calibre funkcionalitātes aspektus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Uzlabojumi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Pielāgo calibre uzvedību dažādās situācijās"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Saīsnes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Pielāgo calibre klaviatūras saīsnes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -869,7 +869,7 @@ msgstr "Pielāgo calibre klaviatūras sa
 msgid "Miscellaneous"
 msgstr "Dažādi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Dažādas papildus konfigurācijas iespējas"
 
@@ -1259,9 +1259,9 @@ msgstr "Saglabā datubāzi SQL"
 msgid "Restoring database from SQL"
 msgstr "Atjauno datubāzi no SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1287,17 +1287,17 @@ msgstr "Saglabātie meklējumi"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Jā"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Vāks priekš %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formāts priekš {1}"
@@ -1683,14 +1683,14 @@ msgstr "Atzīmējot šo slēdzi, darbīb
 msgid "You must specify some ids or the %s option"
 msgstr "Jums jānorāda daži id vai %s papildiespēja"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nPieejamais grāmatu saraksts calibre datu bāzē.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1698,7 +1698,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Lauki, kas jāuzrāda, iekļaujot grāmatas datu bāzē. Lauku sarakstu jāatdala ar komatu.\nPieejamie lauki:%s\nNoklusējums: %%default. Īpašo lauku \"all\" , var izmantot, lai atlasītu visus laukus. Papildus iepriekš minētajiem laukiem, pielāgotie lauki ir pieejami arī kā * field_name, piemēram, pielāgotajam laukam #rating, izmantojiet nosaukumu: *rating"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1706,39 +1706,39 @@ msgid ""
 "Default: {1}"
 msgstr "Lauks, pēc kura kārtot rezultātus.\nPieejamie lauki: {0}\nNoklusējums: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Kārtot rezultātus augošā secībā"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrēt rezultātus pēc meklēšanas. Par meklēšanas formātu, lūdzu, skatiet lietotāja rokasgrāmatā pieejamo dokumentāciju. Pēc noklusējuma nefiltrē."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Maksimālais rindas platums izvadē. Noklusētais - mēģināt noteikt ekrāna izmērus."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Teksts, ar kuru atdalīta laukus. Pēc noklusējuma tā ir atstarpe."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Prefikss visiem failu ceļiem. Pēc noklusējuma absolūtais ceļš uz bibliotēkas mapi."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Maksimālais attēlojamo rezultātu skaits. Noklusētais: visi"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2285,21 +2285,21 @@ msgstr "neaizpildīts"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Nederīgs loģiskais vaicājums \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Nav šādas virtuālās bibliotēkas: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Virtuālās bibliotēkas meklēšana ir rekursīva: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Rekursīva vaicājuma grupa noteikta: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3475,11 +3475,11 @@ msgstr "Izdzēsta %s"
 msgid "All books removed"
 msgstr "Visa rāmatas izdzēstas"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Nenosaukta ierīce"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3488,12 +3488,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Ierīce {0} neļauj savienoties. Atveriet ekrānu {0}, pieskarieties pie \"Atļaut\" jebkuram savienojuma uznirstošajam ziņojumam, kuru redzat, vai nu pagaidiet minūti vai restartējiet calibre. Iespējams, ka būs jāmaina USB savienojuma režīms {0} uz \"Multivides pārsūtīšanas režīmu (MTP)\" vai līdzīgu."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Nezināma MTP iekārta"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6048,7 +6048,7 @@ msgstr "Piezīmes"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6341,7 +6341,7 @@ msgid "Producer"
 msgstr "Producents"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6349,7 +6349,7 @@ msgid "Comments"
 msgstr "Komentāri"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6389,7 +6389,7 @@ msgid "Tags"
 msgstr "Birkas"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6420,7 +6420,7 @@ msgid "Timestamp"
 msgstr "Laika zīmogs"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8154,13 +8154,13 @@ msgstr "Atjaunināts EPUB no 2. uz 3. ve
 msgid "HTML TOC generation options."
 msgstr "Iestatījumi HTML satura rādītāja ģenerēšanai."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} no <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8193,31 +8193,31 @@ msgstr "Veidojiet Adobe \"page-map\" dat
 msgid "Sidebar"
 msgstr "Sānjosla"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Galvenes un kājenes pievienošana"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Pievienotas galvenes un kājenes"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Analizēt visu saturu atzīmju pārveidei"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Iezīmēšanas pārveide pabeigta"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Pārveidots viss HTML kā PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Pievienotas saites uz PDF saturu"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Atjaunināti PDF metadati"
 
@@ -9193,7 +9193,7 @@ msgstr "Jūsu calibre bibliotēkas datu
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10209,7 +10209,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Palīdzība"
 
@@ -11475,7 +11475,7 @@ msgid "Errors while adding"
 msgstr "Kļūdas pievienojot"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorēt"
 
@@ -11605,8 +11605,8 @@ msgstr "Mainīt"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11740,11 +11740,11 @@ msgid "Search the internet for this book
 msgstr "Meklēt šo grāmatu internetā"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Pārvaldīt %s"
@@ -11887,7 +11887,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12214,7 +12214,7 @@ msgid "Preset name:"
 msgstr "Sākumiestatījuma nosaukums:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Jums jānorāda nosaulkums."
 
@@ -12291,7 +12291,7 @@ msgid "Save current catalog settings as
 msgstr "Saglabāt pašreizējos kataloga iestatījumus kā priekšiestatījumus"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Saglabāt"
 
@@ -12300,10 +12300,10 @@ msgid "Delete current preset"
 msgstr "Dzēst pašreizējo sākmuiestatījumu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Dzēst"
@@ -12416,8 +12416,8 @@ msgstr "Atiestatīt"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13603,7 +13603,7 @@ msgid "Ta&gs:"
 msgstr "&Birkas:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13618,8 +13618,8 @@ msgstr "&Sērija:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Zināmo sēriju saraksts. Jūs varat pievienot jaunas sērijas."
@@ -14486,7 +14486,7 @@ msgid "Choose color"
 msgstr "Izvēlēties krāsu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14827,19 +14827,19 @@ msgid "Edit style transform rules"
 msgstr "Labot stila pārveidošanas noteikumus"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&ksportēt"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Eksportējiet šos noteikumus failā"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14913,8 +14913,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14995,7 +14995,7 @@ msgid ""
 msgstr "Sērijas parasti pārnumurē no lielākā numura šīs sērijas datu bāzē. Atzīmējot šo rūtiņu, calibre norādīs, ka jāsāk numurēt no lodziņā norādītās vērtības"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16577,7 +16577,7 @@ msgid "Change case"
 msgstr "Mainīt reģistru"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16585,7 +16585,7 @@ msgid "Upper case"
 msgstr "Lieli burti"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16593,7 +16593,7 @@ msgid "Lower case"
 msgstr "Mazie burti"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16601,7 +16601,7 @@ msgid "Swap case"
 msgstr "Mainīt reģistru"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16635,7 +16635,7 @@ msgid "Manage authors"
 msgstr "Pārvaldīt autorus"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Meklēt:"
@@ -17057,79 +17057,79 @@ msgstr[0] "Slēpt atlikušo kļūdas zi
 msgstr[1] "Slēpt {} atlikušo kļūdu ziņojumus"
 msgstr[2] "Slēpt {} atlikušo kļūdu ziņojumus"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Strādā"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Apstrādā %d grāmatas, lūdzu, gaidiet..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Tekošais soļa progress: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Solis %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Mazie burti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Lieli burti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Virsraksta Kapitalizācija"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Rakstzīmju atbisltība"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Regulāra izteiksme"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Aizvietojuma lauks"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Pievienot lauka sākumā"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Pievienot lauka beigās"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Rediģēt metadatus vienai grāmatai"
 msgstr[1] "Rediģēt metadatus {} grāmatām"
 msgstr[2] "Rediģēt metadatus grāmatai"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Tūlīt veikt visas izmaiņas, neaizverot dialogu. Šo darbību nevar atcelt vai atsaukt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Grāmata %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Ievadiet identifikatora tipu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17137,7 +17137,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Jūs varat iznīcināt jūsu bibliotēku, izmantojot šo funkciju..</b> Izmaiņas ir pastāvīgas. Nav atcelšanas funkcijas. Pirms turpināt, jums ieteicams dublēt jūsu bibliotēku.<p>Meklējiet un aizvietojiet teksta laukus, izmantojot rakstzīmju atbilstību vai regulāras izteiksmes. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17147,7 +17147,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "Rakstzīmju režīmā, lauks tiek meklēts ievadītajam meklēšanas tekstam. Visur, kur tas atrodams norādītajā laukā, tekstu aizvieto ar norādīto aizvietojošo tekstu. Kad aizstāšana ir pabeigta, tekstu var mainīt uz lielajiem, mazajiem vai virsraksta burtiem. Ja ir atzīmēta izvēle Reģistrjutīgs, meklēšanas tekstam precīzi jāsakrīt. Ja tas nav atzīmēts, meklēšanas teksts atbildīs gan lielajiem, gan mazajiem burtiem"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17162,80 +17162,89 @@ msgid ""
 "function."
 msgstr "Regulāro izteiksmju režīmā meklēšanas teksts ir patvaļīga ar Python saderīga regulārā izteiksme. Aizstātais teksts var saturēt iekavās iekļautas atsauces uz izteiksmēm. Meklēšana nav noenkurota, un tā pati rinda var būt vairākas reizes saskaņota un aizstāta. Modificēšanas funkcija (mazie burti utt.) tiek piemēroti saskaņotajam tekstam, nevis laukam kopumā. Galamērķa lodziņš norāda lauku, kurā jānorāda rezultāts pēc saskaņošanas un aizstāšanas. Jūs varat pievienot vai aizvietot tekstu laukā vai pievienot saskaņoto tekstu. Lai iegūtu papildinformāciju par Python regulārajām izteiksmēm, un jo īpaši par apakšprogrammu, skatiet <a href=\"https://docs.python.org/library/re.html\">šo atsauci </a>."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R SAGAtAVES KĻŪDA"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Jums jānorāda galamērķis, ja avots ir salikts lauks vai šablons"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Vērtēšanas slejas aizstāšanas vērtībai jābūt tukšai vai veselam skaitlim no 0 līdz 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Jums jānorāda mērķa identifikatora tips"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Jums jānorāda meklēšanas izteiksme \"Meklēt\" laukā"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Nederīga identifikatora virkne. Tai jābūt ar komatu atdalītam pāru virknes sarakstam, atdalot tos ar kolu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Nederīga meklēšana/aizvietošana"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Nederīgs meklēt/aizstāt: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Dzēst saglabāto meklēšanu/aizvietošanu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Izvēlētais un saglabātais meklēt/aizstāt tiks dzēsts. Vai esat pārliecināts?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Saglabāt Meklēt/aizvietot"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Meklēt/aizvietot nosaukums:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Saglabātais meklēt/aizstāt jau pastāv, un tiks pārrakstīts. Vai esat pārliecināts?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Labot meta informāciju"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "P&ieteikt datumu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autors(i): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17243,90 +17252,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Tas automātiski atjauninās autoru kārtošanas lauku\n pamatojoties uz autoru lauku katrai atlasītajai grāmatai. Ņemiet vērā, ka, ja\n jūs izmantojat iepriekš minēto kontroli, lai norādītu autorus vairumā, autoru lauks\n jebkurā gadījumā tiek atjaunināts, neatkarīgi no šīs izvēles rūtiņas vērtības."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utomātiski iestatīt kārtot autoru"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "P&ārslēgt nosaukumu un autoru"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Atjaunināt nosaukumu kārtošanu pamatojoties uz pašreizējo nosaukumu. Tas tiks piemērots tikai pēc citām izmaiņām nosaukumā."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Autors &kārtošanai: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Atjaunināt &nosaukuma kārtošanu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Norāda grāmatas autora(u) kārtošanas secību. Piemēram, Čārlzs Dikenss būtu jākārto kā Dikenss, Čārlzs."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Mainīt vāku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Vērtējums:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Veidot noklusēto vāku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Pievienot vērtējumu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Aizvākt vāku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Izdevniecība: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Centieties, automātiski atklāt un nodzēst robežas un papildus vietu\nno vāka attēlu malām. Dažreiz tos var noņemt arī\npar daudz, tāpēc izmantojiet uzmanīgi."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Ja atzīmēts, izdevējs tiks notīrīts"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Apgriezt vāciņu (BĪSTAMI)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Notīrīt pub"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Iestatīt no &e-grāmatas failiem"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Pievienot &birkas: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Uzstādīt vienādus vākus visām atlasītajām grāmatām\nkā no pirmās izvēlētās grāmatas."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Atvērt birku redaktoru"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Klonēt vākus"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Aizvākt birkas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Nosaka nosaukumu ar virsraksta burtiem (pirmie ir lielie burti). Ja ieslēgta opcija\nmainīt autoru un nosaukumu, tad tie tiek nomainīti pirms noteikšanas"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Ar komatu atdalīt birku sarakstu, lai noņemtu no grāmatām. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Mainīt virsraksta &burtus uz:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Atzīmēt šo lodziņu, lai noņemtu visas birkas no grāmatām."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datums:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Aizvākt visas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Ja atzīmēts, izdevējs tiks notīrīts"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Sēr&ija:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Notīrīt pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Ja atzīmēts, sērija tiks dzēsta"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "P&ublicēts:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Attīrīt sērijas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17334,126 +17338,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Ja tas nav atzīmēts, grāmatu sērijas numurs būs 1.\nJa tas ir atzīmēts, atlasītās grāmatas tiks automātiski numurētas pēc pasūtījuma\nko jūs izvēlējāties. Tātad, ja izvēlējāties grāmatu A un pēc tam grāmatu B,\nA grāmatā būs 1. sērijas un B sērijas 2. sērijas numurs."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Automātiski numurēt vienas sērijas grāmatas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Sēriju parasti pārnumurē uz lielāko skaitli šīs sērijas\ndatu bāzē. Atzīmējot šo lodziņu, calibre tiks rādīts, sākt \nnumerāciju no vērtības lodziņā"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Sākt numerāciju no:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Ja atzīmēts, sērija tiks dzēsta"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Attīrīt sērijas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Kontrolēt, kā tiek veidoti ģenerētie noklusējuma vāki"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Konfigurēt vā&ka veidošanu"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Pievienot ko&mentārus visām izvēlētajām grāmatām"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Aizvākt birkas:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Aizvākt visas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Pievienot &birkas: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datums:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Norāda grāmatas autora(u) kārtošanas secību. Piemēram, Čārlzs Dikenss būtu jākārto kā Dikenss, Čārlzs."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "P&ieteikt datumu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Pievienot vērtējumu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "P&ublicēts:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Dzēst publicēšanas datumu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autors(i): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "Va&lodas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Izdevniecība: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Ar komatu atdalīt birku sarakstu, lai noņemtu no grāmatām. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Atvērt birku redaktoru"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Autors &kārtošanai: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Iestatiet metadatus calibre no metadatiem e-grāmatu failos, kas saistīti ar katru grāmatu. Ņemiet vērā, ka tas nemaina vāku, tāpēc izmantojiet zemāk esošo atsevišķo iespēju."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Iestatiet &metadatus (izņemot vāku) no e-grāmatu failiem"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Sēr&ija:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Noņemt saglabātos pārveides iestatījumus izvēlētajām grāmatām.\n\nNākotnē šīs grāmatas izmantos noklusējuma iestatījumus."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Noņemt &uzglabāt pārvēršanas iestatījumus izvēlētajām grāmatām"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17462,153 +17401,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Ņemot vienu formātu, lai konvertētu uz to pašu formātu,\nPiemēram, EPUB uz EPUB, calibre saglabā sākotnējo EPUB\n kā ORIGINAL_EPUB. Šī opcija norāda calibre, lai tā varētu\n atjaunot EPUB no ORIGINAL_EPUB. Noderīgi, ja jūs vairumā\n pārveidojat daudz grāmatu un kaut kas notiek."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Atjaunot iepriekš pārveidotos &oriģinālus, ja ir pieejams"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Atzīmēt šo lodziņu, lai noņemtu visas birkas no grāmatām."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Vērtējums:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Nosaka nosaukumu ar virsraksta burtiem (pirmie ir lielie burti). Ja ieslēgta opcija\nmainīt autoru un nosaukumu, tad tie tiek nomainīti pirms noteikšanas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Mainīt virsraksta &burtus uz:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Atjaunināt nosaukumu kārtošanu pamatojoties uz pašreizējo nosaukumu. Tas tiks piemērots tikai pēc citām izmaiņām nosaukumā."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Atjaunināt &nosaukuma kārtošanu"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Iestatiet metadatus calibre no metadatiem e-grāmatu failos, kas saistīti ar katru grāmatu. Ņemiet vērā, ka tas nemaina vāku, tāpēc izmantojiet zemāk esošo atsevišķo iespēju."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Iestatiet &metadatus (izņemot vāku) no e-grāmatu failiem"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Mainīt vāku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Veidot noklusēto vāku"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Aizvākt vāku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Centieties, automātiski atklāt un nodzēst robežas un papildus vietu\nno vāka attēlu malām. Dažreiz tos var noņemt arī\npar daudz, tāpēc izmantojiet uzmanīgi."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Apgriezt vāciņu (BĪSTAMI)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Iestatīt no &e-grāmatas failiem"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Uzstādīt vienādus vākus visām atlasītajām grāmatām\nkā no pirmās izvēlētās grāmatas."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Klonēt vākus"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Kontrolēt, kā tiek veidoti ģenerētie noklusējuma vāki"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Konfigurēt vā&ka veidošanu"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Pievienot ko&mentārus visām izvēlētajām grāmatām"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Pamata metadati"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Papildu &metadati"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Ielādēt meklēšanu/aizstāt:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Izvēlieties ielādējamo saglabāto meklēšanu/aizvietošanu."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Saglabāt pašreizējo meklēšanu/aizvietošanu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Saglabāt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Meklēšanas &lauks:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Lauka nosaukums, kuru vēlaties sameklēt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Meklēšanas &režīms:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Izvēlieties, vai izmantot parasto teksta saskaņošanu vai uzlaboto, atbilstoši regulārai izteiksmei"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "&Identifikatora tips:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Izvēlieties kāds identifikatora tips darbosies pēc"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "Veidne:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Ievadiet veidni, ko izmantot kā avotu meklēšanai/aizvietošanai"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Ievadiet to, ko jūs meklējat, kā tekstu vai regulāru izteiksmi, atkarībā no režīma"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Atzīmēt, ja meklēšanas virknei ir precīzi jāsakrīt ar lielajiem un mazajiem burtiem. Atķesēt, ja kapitalizācija nav svarīga"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Reģistr&jūtīgs"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Aizvietot ar:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Teksta aizvietošana. Saskaņotais meklēšanas teksts tiks aizstāts ar šo virkni"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Pielietot funkciju pēc aizstāšanas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Norādiet, kā teksts ir jāpārstrādā pēc saskaņošanas un aizvietošanas. Rakstzīmju režīmā, visi\nlauki tiek apstrādāti. Regulārā izteiksmes režīmā, tikai saskaņotais teksts tiek apstrādāts"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Mērķa lauks:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Lauks, kurā tiks ievietots teksts pēc visām izmaiņām.\nJa lauks ir tukšs, avota lauks tiek izmantots, ja lauks ir modificējams"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "R&ežīms:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Norādiet, kā teksts būtu jāiekopē mērķī."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Norāda, vai rezultāta vienumi būtu jāsadala pa vairākām vērtībām vai\npa kreisi, kā atsevišķas vērtības. Šī opcija ir visvairāk efektīva, ja avota lauks\nnav vairākkārtīgs, un mērķa lauks ir vairākkārtējs"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Sadalīt &rezultātu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Identifikatora tips:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17616,48 +17642,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Izvēlieties, kuru identifikatora tipu izmantot. Kad\n              avota lauks ir kaut kas cits, nevis \"identifikators\", kur jūs \n              varat ievadīt a * ja vēlaties aizstāt visu identifikatoru kopu \n              ar Meklēt/aizstāt rezultātu.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Rā&dīt laukiem ar vairākām vērtībām"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "vēr&tības sākot no"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "ar vērtībām, kas atdalītas a&r"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Izmanto, lai parādītu testa rezultātus, vērtību atdalīšanai, laukos ar vairākām vērtībām"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Pārbaudāmais teksts"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Pārbaudes rezultāts"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Jūsu &tests:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Meklēt un aizvietot"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Ja ir ieslēgta, grāmatu saraksts tiks atkārtoti sakārtots un esošā\nmeklēšana vai virtuālā bibliotēka tiks atjaunināta pēc pabeigtas\nlabošanas. Tas var būt lēns process lielās bibliotēkās."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "Pēc labošanas &atsvaidzināt grāmatu sarakstu"
 
@@ -18113,42 +18139,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Vienums: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Klikšķiniet, lai ar šo vienumu rādītu tikai grāmatas. Veiciet dubultklikšķi, lai meklētu šo vienumu birku pārlūkā"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Nav atrasta neviena vienība**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Klikšķiniet bibliotēkas slejā, lai redzētu informāciju par šo grāmatu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Grāmatas ar izvēlēto vienumu \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Ielādējot tabulu, kaut kas notika nepareizi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Ātrais skats: grāmata nav skatāma bibliotēkā"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18254,87 +18280,87 @@ msgstr "Atjaunot datu bāzi neizdevās,
 msgid "Failed to repair library"
 msgstr "Neizdevās izlabot bibliotēku"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Pievienot jaunu Saglabāto meklēšanu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Varat šeit izveidot <i>Saglabāt meklēšanu</i>, bieži lietotiem meklēšanas vaicājumiem. Meklēšana būs redzama zem <i>Saglabātie</i> birku pārlūkā, izmantojot norādīto nosaukumu."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Saglabātais meklējuma nosaukums"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Meklēt:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Meklēšanas izteiksme"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Nav meklēšanas nosaukuma"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Jānorāda saglabātās meklēšanas nosaukums"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Nav meklēšanas izteiksmes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Saglabātai meklēšanai ir jānorāda meklēšanas izteiksme"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Nederīga saglabātā meklēšana"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Pārvaldīt saglabātās meklēšanas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Pievienot vaicājumu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Noņemt meklēšanu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Labot vaicājumu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Tekošā saglabātā meklēšana būs <b>neatgriezeniski izdzēsta</b>. Vai esat pārliecināts?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Rediģējiet nosaukumu un/vai izteiksmi zemāk."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Rediģēt saglabāto meklēšanu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Saglabātā meklēšana ar vārdu {} jau pastāv. Izvēlieties citu vārdu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Meklēšanas izteiksme"
 
@@ -19232,48 +19258,64 @@ msgstr "Birka 1"
 msgid "Tag 2"
 msgstr "Birka 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Sagatavju valodas pamācība"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Sagatavju funkciju atsauces"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "IZŅĒMUMS: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nav izvēlēta neviena sleja"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Jums jānorāda iekrāsotās slejas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Nav norādīta sagatave"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Šablons nevar būt tukšs"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20342,7 +20384,7 @@ msgstr "Meklēt saīsni pēc nosaukuma"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Nav rezultātu"
 
@@ -20501,8 +20543,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20521,14 +20563,14 @@ msgstr[1] ""
 msgstr[2] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Sakļaut visu"
 
@@ -22755,60 +22797,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Pievienot likumu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Aizvākt likumu(s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Pārvietot izvēlēto likumu augšup"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Pārvietot izvēlēto likumu lejup"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Pievienot pa&pildu noteikumu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importēt noteikumus no faila"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Jūs varat kontrolēt sleju krāsu grāmatu sarakstā, izveidojot \"noteikumus\", kas nosaka, kāda krāsa ir jāizmanto. Lai sāktu, noklikšķiniet Pievienot noteikumu. <p>Varat <b>mainīt esošo noteikumu</b>, divreiz uzklikšķinot uz tā."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Grāmatu sarakstā iekļautās slejas varat pievienot ikonām, izveidojot \"noteikumus\", kas nosaka, kāda ikona ir jāizmanto. Lai sāktu, noklikšķiniet Pievienot noteikumu. <p>Varat <b>mainīt esošo noteikumu</b>, divreiz uzklikšķinot uz tā."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22816,57 +22858,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Varat pievienot emblēmas (mazas ikonas), kas tiek rādītas sānos vāka režģī, izveidojot \"noteikumus\", kas parāda, kāds attēls jāizmanto. Lai sāktu, noklikšķiniet Pievienot noteikumu. <p>Varat <b>mainīt esošo noteikumu</b>, divreiz uzklikšķinot uz tā."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Rādīt &emblēmas blakus vāciņiem"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Ja ir atzīmēts, varat norādīt calibre, parādīt izvēlētās ikonas blakus vāciņu režģī redzamajiem vākiem, kurus kontrolē grāmatas metadati."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Nav izvēlēts neviens likums"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Nav izvēlēts neviens %s likums."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "dzēšana"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Izvēlieties failu eksportēšanai uz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Noteikumi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Izvēlieties failu importēšanai no"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Netika atrasti derīgi noteikumi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Netika atrasti derīgi noteikumi {}."
 
@@ -23708,13 +23750,13 @@ msgstr "Bez subtitriem"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Apakša"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Augša"
 
@@ -23748,7 +23790,7 @@ msgid "If there is enough room"
 msgstr "Ja nepietiek vieta"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Pēc pirmā burta"
 
@@ -24029,7 +24071,7 @@ msgid ""
 msgstr "Ir pieejami divu tipu kešatmiņu veidi, kurus calibre izmanto, lai uzlabotu veiktspēju, pārveidojot vākus režģa skatā. Diska kešatmiņa, kas tiek glabāta jūsu cietajā diskā, un saglabā vāka sīktēlus un atmiņas kešatmiņa, kas tiek izmantota, lai nodrošinātu vāku noņemšanu bez mirgošanas. Lai sasniegtu vislabākos rezultātus, saglabājiet atmiņas kešatmiņu mazu un diska kešatmiņu lielu, ja vien datorā nav daudz papildu RAM un neatmetat, ka tā tiek izmantota kešatmiņas atmiņai."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Atspējot"
 
@@ -24721,8 +24763,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Šeit varat mainīt metadatu calibre izmantojumu, lai atjauninātu grāmatu, kad saglabājat diskā vai nosūtat uz ierīci.\n\nIzmantojiet šo dialogu, lai definētu \"spraudni\" par formātu (vai formātiem) un ierīci (vai ierīcēm). Avots norāda, ar kādu šablonu ir saistīts kāds lauks. Šablonu izmanto, lai aprēķinātu vērtību, un šī vērtība tiek piešķirta saistītajam laukam.\n\nBieži vien šablonos ir vienkāršas atsauces uz saliktām slejām, bet tas nav nepieciešams. Varat izmantot jebkuru šablonu no avota, kuru varat izmantot citur calibre.\n\nViena iespējamā pielietojuma spraudņa izmantošana ir mainīt virsrakstu, kas satur sērijas informāciju. Vēl viens būtu mainīt autoru kārtošanu, ko mobi lietotāji varētu darīt, lai liktu tai izmantot ';' kad nepieciešams. Trešā būtu norādīt valodu."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25290,7 +25332,7 @@ msgid ""
 msgstr "Nepieciešams lietotājvārds/parole neļauj neatļautām personām piekļūt jūsu calibre bibliotēkai. Tas ir vajadzīgs arī dažām funkcijām, piemēram, bibliotēkas izmaiņām, kā pēdējās lasīšanas pozīcijas/anotāciju sinhronizēšanai."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Mainīt paroli uz {}"
 
@@ -25425,7 +25467,7 @@ msgid "Change &password"
 msgstr "Mainīt &paroli"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{} pašlaik atļauts piekļūt tikai bibliotēkai ar nosaukumu: {}"
@@ -25437,7 +25479,7 @@ msgid "Change the allowed libraries"
 msgstr "Mainīt atļauto bibliotēku"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} pašlaik nav atļauts piekļūt bibliotēkai ar nosaukumu: {}"
@@ -26951,7 +26993,7 @@ msgid "Books in this category are unrate
 msgstr "Grāmatas šajā kategorijā nav vērtētas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Meklēšanas izteiksme:"
 
@@ -27242,7 +27284,7 @@ msgstr "Pārdēvēt %s virtuālajā bibl
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Pārdēvēt %s"
@@ -27302,95 +27344,95 @@ msgstr "Dzēst saglabāto meklēšanu %s
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Noņemt %(item)s no kategorijas %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Meklēt jebko, izņemot %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Meklēt, izmantojot saglabāto meklēšanas izteiksmi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Pievienot %s apakškategoriju"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Dzēst lietotāju kategoriju %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Meklēt %s kategorijas grāmatas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Meklēt grāmatas ārpus kategorijas %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Slēpt kategoriju %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Nomainīt kategorijas ikonu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Atjaunot noklusēto ikonu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Pārvaldīt lietotāju kategorijas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Mainīt apakš-kategorizēšanas shēmu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Sadaļa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Pirmais burts ir lietojams tikai tad, ja šķiro pēc nosaukuma"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28047,7 +28089,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Šīs grāmatas jau ir pārveidotas %s formātā. Vai vēlaties viņas pārstrukturēt?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28579,7 +28622,7 @@ msgid ""
 msgstr "Kad esat rediģējis {0}, klikšķiniet “Importēt”, lai atjauninātu grāmatas failu, vai uz “Atmest”, lai zaudētu izmaiņas."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Atmest"
 
@@ -30821,7 +30864,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Kursīvs</h3>Pārveidot atlasīto tekstu kursīvā"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Pasvītrots"
 
@@ -32152,7 +32195,7 @@ msgid "Disabled confirmations restored"
 msgstr "Atjaunoti atspējotie apstiprinājumi"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "Apdares process avarēja"
 
@@ -32779,7 +32822,7 @@ msgid "Export saved searches"
 msgstr "Eksportēt saglabātos vaicājumus"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Eksportēt"
 
@@ -34656,23 +34699,23 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34680,50 +34723,50 @@ msgstr[0] "Satura rādītāja sadaļa:"
 msgstr[1] "Satura rādītāja sadaļas:"
 msgstr[2] "Satura rādītāja sadaļa:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Dubultklikšķis, lai pārietu uz ierakstu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "Meklēšanai neatbilst neviens izcēlums: {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "Nav atlasīts izcēlums"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "Nav atlasīts neviens izcēlums"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35177,7 +35220,7 @@ msgid "E-book viewer"
 msgstr "E-grāmatas skatītājs"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Ritināt šeit"
 
@@ -35253,13 +35296,13 @@ msgstr "Grāmatas ielāde neizdevās"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Nevar atvērt grāmatu {0}. Lai iegūtu papildinformāciju, klikšķiniet “Rādīt informāciju”."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Qt WebEngine Render process ir avarējis. Jums vajag restartēt skatītāju."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Izvēlieties fona attēlu"
 
@@ -35424,10 +35467,10 @@ msgid "< &Back"
 msgstr "< &Iepriekšējais"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Atcelt"
 
@@ -36068,8 +36111,8 @@ msgid "No genres to catalog.\n"
 msgstr "Nav kataloģizējamu žanru.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Pārbaudīt \"Izslēgt žanrus\", regulāro izteiksmi e-grāmatas iestatījumos.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36117,8 +36160,8 @@ msgstr "Šķiro nosaukumus"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Katalogā nav grāmatas.\nPārbaudīt 'Izslēgt grāmatas' noteikumus E-grāmatu papildiespējām.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36594,177 +36637,208 @@ msgstr "Pilnā saskarne nodrošina pieej
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} nav derīga IP adrese/tīkls, ar kļūdu: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Ko jūs gribat darīt?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "noklusējums"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Nav izdarīta izvēle, izejot no..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s nav derīga izvēle, mēģiniet vēlreiz"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Esošie lietotājvārdi:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Nav lietotāju, vispirms jāpievieno lietotājs"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Lietotājvārds %s neeksistē"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Ievadiet lietotājvārdu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Ievadiet jauno paroli %s: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Tukšas paroles nav atļautas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Atkārtoti ievadiet %s jauno paroli, lai verificētu: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Paroles nesakrīt"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Lietotājs %s veiksmīgi pievienots!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Vai tiešām vēlaties noņemt lietotāju %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Lietotājs %s veiksmīgi noņemts!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Parole %s ir veiksmīgi mainīta!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Pašreizējā parole {0} is: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Ļaut {} veikt izmaiņas (t.i., piešķirt piekļuvi rakstīšanai)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Neļaujiet {} veikt izmaiņas (t.i., noņemt piekļuvi rakstīšanai)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} ir šādi papildu ierobežojumi katrai bibliotēkai:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} nav papildu bibliotēkas ierobežojumu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Atļaut piekļuvi visām bibliotēkām"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Atļaut piekļuvi tikai noteiktām bibliotēkām"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Atļaut piekļuvi visiem, izņemot norādītās bibliotēkas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Mainīt katras bibliotēkas ierobežojumus"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Ievadiet bibliotēkas nosaukumu:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Ievadiet meklēšanas izteiksmi, piekļuve tiks piešķirta tikai grāmatām, kas atbilst šai izteiksmei. Tukša izteiksme piešķir piekļuvi visām grāmatām."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Vēl viens ierobežojums?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Ievadiet, ar komatu atdalītu, bibliotēku nosaukumu sarakstu:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Atļaut piekļuvi tikai bibliotēkām: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Atļaut piekļuvi visām bibliotēkām, izņemot: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Parādīt paroli {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Mainīt lasīšanas/rakstīšanas atļauju {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Bibliotēku maiņa {} ir atļauta"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} ir piekļuve {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "lasīt-rakstīt"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "tikai lasīt"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Pievienot jaunu lietotāju"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Labot esošu lietotāju"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Noņemt lietotāju"
 
@@ -37173,13 +37247,14 @@ msgid ""
 msgstr "Automātiski pārstartēt serveri, ja mainās izejas kods. Noderīgs izstrādes laikā. Jums arīdzan jānorāda neliels laiks izslēgšanas noildzei."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Pārvaldiet lietotāju datu bāzi, kuriem atļauts izveidot savienojumu ar šo serveri. Skatiet arī %s opciju."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37187,23 +37262,23 @@ msgid ""
 "at: {1}"
 msgstr "Ceļš uz lietotāja datu bāzi, kuru izmantot autentifikācijai. Datu bāze ir SQLite fails. Lai to izveidotu, izmantojiet {0}. Plašāku informāciju par lietotāju pārvaldīšanu varat lasīt: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Darbojas vēl viena calibre programma, piemēram, vēl viena {} vai galvenā calibre programma. Atkarība no vairākām programmām, kuras var mainīt calibre bibliotēku, kas darbojas vienlaicīgi, netiek atbalstīta."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Pārtrauca lietotājs"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Calibre bibliotēka nav atrodama: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Jums ir jānorāda vismaz viena Calibre bibliotēka"
 
@@ -37216,7 +37291,7 @@ msgid "Enum"
 msgstr "Pārskaitījums"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Nederīga sintakse. Tiek gaidīts meklēšanas nosaukums vai vārds"
 
@@ -37375,128 +37450,128 @@ msgstr "Iestatījumi un spraudņi"
 msgid "File is open in another process"
 msgstr "Datne ir atvērta citā procesā"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "formāts: tips {0} pieprasa veselu vērtību, saņemta {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "formāts: tips {0} pieprasa decimālu (ar peldošu punktu) vērtību, saņemta {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: nezināma funkcija"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37551,60 +37626,60 @@ msgstr "strlen(a) -- atgriež argumenta
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- atgriež x + y. Paziņo par kļūdu, ja x vai y nav skaitlis."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- atgriež x - y. Paziņo par kļūdu, ja x vai y nav skaitlis."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- atgriež x * y. Paziņo par kļūdu, ja x vai y nav skaitlis."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- atgriež x / y. Paziņo par kļūdu, ja x vai y nav skaitlis."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling (x) - atdod mazāko skaitli, kas lielāks vai vienāds ar x. Ievieš izņēmumu, ja x nav skaitlis."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor (x) - atgriež lielāko skaitli, kas mazāks vai vienāds ar x. Ievieš izņēmumu, ja x nav skaitlis."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round (x) - atgriež tuvāko skaitli uz x. Ievieš izņēmumu, ja x nav skaitlis."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr "mod (x) - atgriež atlikušo x / y daļu, kur x, y un rezultāts ir veseli skaitļi. Tiek izmantots izņēmums, ja x vai y nav skaitlis."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr "fractional_part(x) - atgriež vērtību aiz komata. Piemēram, fractional_part(3.14) atgriež 0,14. Ievieš izņēmumu, ja x nav skaitlis."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37616,7 +37691,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) - novērtē x kā šablonu. Novērtējums tiek veikts kontekstā, kas nozīmē, ka mainīgie netiek dalīti starp izsaukumu un šablona novērtēšanu. Tā kā {and} rakstzīmes ir īpašas, jums ir jāizmanto [[ for the { character and ]] for the } rakstzīmei; tie tiek konvertēti automātiski. Piemēram, šablons ('[[title sort]]') novērtēs šablonu {title sort} un atgriezīs tā vērtību. Ņemiet vērā arī to, ka prefiksus un sufiksus (`|prefix|suffix` syntax) nevar izmantot šīs funkcijas argumentā, lietojot šablonu programmas režīmu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37627,13 +37702,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(šablons) -- novērtē šablonu, izlaižot lokālos mainīgos (tos, kas 'assign'ed), nevis grāmatas metadatus. Tas ļauj izmantot šablona procesoru, lai izveidotu sarežģītus rezultātus no vietējiem mainīgajiem. Tā kā { and } rakstzīmes ir īpašas, jums ir jāizmanto [[ for the { character and ]] for the } rakstzīmei; tie tiek konvertēti automātiski. Ņemiet vērā arī to, ka prefiksus un sufiksus (`|prefix|suffix` syntax) nevar izmantot šīs funkcijas argumentā, lietojot šablona programmas režīmu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign (id, val) - piešķir val uz id, pēc tam atgriež val. Id jābūt identifikatoram, nevis izteicienam"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37643,30 +37718,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- izdrukā argumentus standarta izvadei. Ja vien jūs nesāksiet calibre no komandrindas (caliber-debug -g), izeja būs bezvērtīga."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- atgriež norādīto metadatu lauku"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- - atgriež metadatu lauku, kas nosaukts pēc nosaukuma, bez jebkāda formatējuma."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- atgriež metadatu sarakstu, kas nosaukts pēc nosaukuma, nepiemērojot jebkādu formatējumu vai šķirošanu, un ar vienumiem, kas atdalīti ar atdalītāju."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37676,7 +37751,7 @@ msgid ""
 "'234'."
 msgstr "substr (str, start, end) - izvelk apakšvirkni, kuru ierobežo norādītie rakstzīmju simboli. Pirmais simbols ir nulles simbols. Ja beigas ir negatīvas, tad tas norāda, ka daudzi simboli tiek skaitīti no labās puses. Ja beigu vērtība ir nulle, tad tas norāda pēdējo rakstzīmi. Piemēram, substr ('12345', 1, 0) atgriež '2345', un substr ('12345', 1, -1) atgriež '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37686,24 +37761,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- piemēram, switch, izņemot argumentus, ir lauka (metadatu) nosaukumi, nevis teksts. Atbilstošā lauka vērtība tiks iegūta un izmantota. Ņemiet vērā, ka, jo kombinētākas slejas ir lauki, šo funkciju varat izmantot vienā kombinētajā laukā, lai izmantotu kādu citu kompozītu lauka vērtību. Tas ir ļoti noderīgi, veidojot mainīgus saglabāšanas ceļus"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup nepieciešami 2 vai pāra skaita argumenti"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, text if not empty, text if empty) -- atgriež 'text if not empty', ja vērtība val nav tukša, pretējā gadījumā atgriež 'text if empty', ja ir tukša"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) - pārbauda, ​​vai val satur regulāro izteiksmju \"rakstu\" atbilstības. Atgriež `text if match ', ja ir atrasta atbilstība, citādi tas atgriež`text if no match`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37712,11 +37787,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- katru pāri \"pattern, value\", pārbauda, ​​vai `val 'atbilst regulārai izteiksmei' pattern 'un, ja tā, atgriež' value ' . Ja neviens paraugs neatbilst, tad tiek atgriezts `else_value`. Jums var būt tik daudz \"pattern, value\" pāru, cik vēlaties"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch nepieciešams argumentu nepāra skaits"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37726,19 +37801,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max (max, string1, prefix2, string2, ...) - Atgriež virkni, kas izveidota, apvienojot argumentus. Atgrieztā vērtība tiek inicializēta uz string1. Vērtības beigās tiek pievienoti prefiksu, virknes pāri, ja vien iegūtais virknes garums ir mazāks par \"max\". String1 tiek atgriezts, pat ja string1 ir garāks par max. Jūs varat nodot tik daudz \"prefiksu, virknes\" pārus, cik vēlaties."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max nepieciešami 2 vai vairāk argumenti"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max nepieciešams argumentu pāra skaits"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "strcat_max pirmajam argumentam jābūt veselam skaitlim"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37748,11 +37823,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separator, pattern, found_val, ..., not_found_val) - apstrādā val kā elementu sarakstu, kas atdalīti ar atdalītāju, novērtējot šablonu attiecībā pret katru vērtību sarakstā. Ja šablons atbilst vērtībai, atgriežas found_val, citādi atgriežas not_found_val. Šablons un found_value var atkārtot tik reižu, cik nepieciešams, ļaujot atgriezt dažādas vērtības atkarībā no meklēšanas. Šabloni tiek pārbaudīti secībā. Pirmā atbilstība tiek atgriezta."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list nepieciešams nepāra skaits argumentu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37764,11 +37839,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list (val, separator, string, found_val, ..., not_found_val) - apstrādā val kā elementu sarakstu, kas atdalīti ar atdalītāju, salīdzinot virkni ar katru vērtību sarakstā. Ja virkne atbilst vērtībai (ignorējot reģistru), tad atgriezieties found_val, citādi atgriezieties not_found_val. Ja virknē ir atdalītāji, tad to arī uzskata par sarakstu, un katra vērtība tiek pārbaudīta. Virkni un found_value  var atkārtot tik reižu, cik nepieciešams, ļaujot atgriezt dažādas vērtības atkarībā no meklēšanas. Rindas tiek pārbaudītas secībā. Pirmā atbilstība tiek atgriezta."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list nepieciešams nepāra skaits argumentu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37779,14 +37854,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list (val, id, found_val, not_found_val) - apstrādā val kā identifikatoru sarakstu, atdalot ar komatu, salīdzinot virkni ar katru vērtību sarakstā. Identifikātoram ir formāts \"identifier: value\". Id parametram jābūt vai nu \"id\", vai \"id: regexp\". Pirmais gadījums atbilst, ja ir kāds identifikators ar šo id. Otrais gadījums atbilst, ja regexp atbilst identifikatora vērtībai. Ja ir atbilstība, atgriezīsies found_val, citādi atgriezīsies not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, pattern, replacement) -- atgriež val pēc regulāras izteiksmes piemērošanas. Visi `pattern` gadījumi tiek aizstāti ar `replacement`. Tāpat kā visā calibre, tās ir ar Python saderīgas regulāras izteiksmes"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37799,20 +37874,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- atgriež virkni, kas tiek veikta, pielietojot regulāro izteiksmju šablonu val un aizvietojot katru atbilstošo gadījumu ar virkni, ko aprēķina, aizstājot katru atbilstošo grupu ar vērtību, ko atgriež atbilstošais šablons. Sākotnējā atbilstīgā vērtība grupai ir pieejama kā $. Šablona programmas režīmā, piemēram, template un eval funkcijām, jūs izmantojat [[ for { and ]] for }. Šāds piemērs šablona programmas režīmā meklē sēriju ar vairāk nekā vienu vārdu un lielajiem burtiem pirmo vārdu: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma (val) -- ņemot vērā formas \"B, A\" vērtību, atgriezīsies \"A B\". Tas ir visnoderīgākais, lai vārdus konvertētu PU, PV formātu uz PV PU. Ja komata nav, funkcija val atgriežas bez izmaiņām"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, tukšuma teksts) -- atgriež val ja val nav tukšs, citādi atgriež `tukšuma tekstu`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37826,7 +37901,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- atgriež saīsinātu val versiju, kas sastāv no `left chars` burtiem no sākuma val, kam seko`middle text`, kam seko `right chars` rakstzīmes no virknes beigas. `Left chars` un `right chars` jābūt veseliem skaitļiem. Piemēram, uzņemties, ka grāmatas nosaukums ir \"Ancient English Laws in Ivanhoe Times\", un jūs vēlaties, lai tas ietilptu ne vairāk kā 15 rakstzīmēs. Ja jūs izmantojat {title: shorten (9, -, 5)}, rezultāts būs `Ancient E-nhoe`. Ja lauka garums ir mazāks par left chars + right chars + `middle text`, tad lauks tiks izmantots neskarts. Piemēram, nosaukums \"The Dome\" netiks mainīts."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37834,7 +37909,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- interpretē vērtību kā elementu sarakstu, kas atdalīti ar `separator`, atgriežot vienumu skaitu sarakstā. Lielākajā daļā sarakstu, komats tiek izmantots kā atdalītājs, bet autori izmanto simblu &. Piemēri: {tags: count (,)}, {authors: count (&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37843,14 +37918,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- interpretē vērtību kā elementu sarakstu, kas atdalīti ar `separator`, atgriež vienumu` index`. Pirmais vienums ir nulles numurs. Pēdējo objektu var atgriezt, izmantojot `list_item (-1, separator) '. Ja vienums nav sarakstā, tad tiek atgriezta tukša vērtība. Atdalītājam ir tāda pati nozīme kā skaitīšanas funkcijai."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- interpretē vērtību, kā ar komatu atdalītu priekšmetu sarakstu ar vienumiem, kas ir \"id: value\". Atrodiet pāri ar id, kas līdzinās atslēgai, un atgrieziet atbilstošo vērtību."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37863,19 +37938,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- atgriež ar komatu atdalītu sarakstu ar formātiem, kuri vienā brīdī bija saistīti ar grāmatu. Nav garantijas, ka šis saraksts ir pareizs, lai gan tas droši vien ir. Šo funkciju var izsaukt šablonu programmas režīmā, izmantojot šablonu \"{:'approximate_formats()'}\". Ņemiet vērā, ka formātu nosaukumi vienmēr ir ar lieliem burtiem, kā EPUB. Šī funkcija darbojas tikai GUI. Ja vēlaties izmantot šīs vērtības mapēs \"saglabāt uz diska\" vai \"sūtīt uz ierīci\", tad jums ir jāizveido pielāgota \"Column built from other columns\", izmantojiet šajā slejas šablonā esošo funkciju un izmantojiet slejas vērtību Saglabāt/sūtīt šablonu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Šī funkcija ir izmantojama tikai grafiskajā saskarnē"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37885,7 +37960,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes (date_format) - atgriež ar komatu atdalītu sarakstu ar kolu atdalītajiem vienumiem, kas attēlo grāmatas formātu pārveidošanas laikus. Parametrs date_format norāda, kā formatēt datumu. Sīkāku informāciju skatiet formāta datuma funkcijā. Varat izmantot atlases funkciju, lai iegūtu konkrēta formāta modifikācijas laiku. Ņemiet vērā, ka formātu nosaukumi vienmēr ir lielie burti, kā EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37893,7 +37968,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes () -- atdod ar komatu atdalītu sarakstu, ar kolu atdalītajiem vienumiem, kas atspoguļo  grāmatu formātu izmērus baitos. Varat izmantot atlases funkciju, lai iegūtu noteiktu formātu lielumu. Ņemiet vērā, ka formātu nosaukumi vienmēr ir lielie burti, kā EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37901,13 +37976,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths () -- atdod ar komatu atdalītu sarakstu, ar kolu atdalītajiem vienumiem, kas attēlo pilnu ceļu uz grāmatas formātiem. Varat izmantot atlases funkciju, lai iegūtu ceļu noteiktā formātā. Ņemiet vērā, ka formātu nosaukumi vienmēr ir lielie burti, kā EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- atgriež virkni, kas parāda skaitli v KB, MB, GB, utt."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37918,7 +37993,7 @@ msgid ""
 "fails."
 msgstr "format_number (v, template) -- formatējiet skaitli v, izmantojot Python formatēšanas šablonu, piemēram, \"{0: 5.2f}\" vai \"{0:, d}\" vai \"$ {0: 5, .2f}\". Šablona daļai field_name jābūt 0 (nullei) (iepriekš norādītajos piemēros ir \"{0:\"). Lai iegūtu vairāk piemēru, skatiet šablonu valodu un Python dokumentāciju. Varat atstāt vadošo pozīciju \"{0:\" and trailing \"}\", ja šablons satur tikai formātu. Atgriež tukšu virkni, ja formatēšana neizdodas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37931,7 +38006,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist (val, start_index, end_index, separator) --interpretē vērtību kā sarakstu ar vienumiem, kas atdalīti ar \"atdalītāju\", kas atgriež jaunu sarakstu, kas izgatavots no \"start_index\" uz \"end_index\" vienuma. Pirmais vienums ir nulle. Ja indekss ir negatīvs, tas tiek skaitīts no saraksta beigām. Kā īpašs gadījums tiek pieņemts, ka end_index no nulles ir saraksta garums. Piemēri, izmantojot pamata veidņu režīmu un pieņemot, ka birkas kolonnā (kas ir ar komatu atdalīti) ir \"A, B, C\": {Tags: sublist (0, 1, \\ \\,)} atgriež \"A\". {Tags: sublist (-1,0, \\ \\,)} atgriež \"C\". {Tags: sublist (0,-1, \\ \\,)} atgriež \"A, B\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37948,7 +38023,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems (val, start_index, end_index) - šo funkciju izmanto, lai sadalītu tādu elementu sarakstus kā žanri. Tas interpretē vērtību, kā ar komatu atdalītu vienumu sarakstu, kur katrs vienums ir periodu atdalīts saraksts. Atgriež jaunu sarakstu, izveidojot: vispirms atrodot visus periodā atdalītos vienumus, pēc tam par katru šādu elementu, kas ekstrahē `start_index` uz komponentu` end_index`, pēc tam apvienojot rezultātus kopā. Pirmajam komponentam periodiski atdalītajā sarakstā ir nulles indekss. Ja indekss ir negatīvs, tas tiek skaitīts no saraksta beigām. Kā īpašs gadījums tiek pieņemts, ka nulles end_index ir saraksta garums. Piemērs, izmantojot šablonu pamata režīmā un pieņemot, ka vērtība \"A.B.C\" ir #genre vērtība: {#genre: subitems (0,1)} atgriež \"A\". {#genre:subitems(0,2)} atgriež \"A.B\". {#genre: subitems (1.0)} atgriež \"B.C.\". Pieņemot, ka vērtība \"A.B.C, D.E.F\", {#genre: subitems (0,1)} atgriež \"A, D\". {#genre:subitems(0,2)} atgriež \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37971,23 +38046,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date (val, format_string) - formatē vērtību, kurai jābūt datumam, izmantojot format_string, atgriežot virkni. Formatēšanas kodi ir šādi: d: diena kā skaitlis bez vadošā nulles (no 1 līdz 31) dd: diena kā numurs ar galveno nulli (no 01 līdz 31) ddd: saīsināts lokalizēts dienas nosaukums (piem., No \"Mon\" līdz \"Sun\" \") Dddd: garš lokalizēts dienas nosaukums (piemēram, no pirmdienas līdz svētdienai). M: mēnesis kā skaitlis bez galvenā nulles (no 1 līdz 12). MM: mēnesis kā skaitlis ar galveno nulli (no 01 līdz 12) MMM: saīsināts lokalizēta mēneša nosaukums (piemēram, no \"Jan\" līdz \"Dec\"). MMMM: ilgs lokalizēts mēneša nosaukums (piemēram, \"janvāris\" uz \"decembris\"). Yy: gads ir divciparu skaitlis (no 00 līdz 99). Gggg: gads ir četrciparu skaitlis. H: stundas bez vadītāja 0 (no 0 līdz 11 vai no 0 līdz 23, atkarībā no am/pm) hh: stundas ar vadošo 0 (no 00 līdz 11 vai no 00 līdz 23, atkarībā no am/pm) m: minūtes bez vadošās 0 (no 0 līdz 59) mm: minūtes ar vadošo 0 (00 līdz 59) s: sekundes bez vadošā 0 (no 0 līdz 59) ss: sekundes ar vadošo 0 (00 līdz 59) ap: Izmantojiet 12 stundu pulksteni, nevis 24 stundu pulksteni, ar \"AP\" aizstātu ar lokalizētu virkni am vai pm AP. Izmantojiet 12 stundu pulksteni, nevis 24 stundu pulksteni, ar \"AP\" aizstāj ar lokalizētu virkni AM vai PM iso: datums ar laiku un laika zonu. Jābūt vienīgajam formātam"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- atgriež val lielajiem burtiem"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) - atgriež val maziem burtiem"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) - atgriež val virsrakstu burtu reģistru"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- atgriež val lielos burtus"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37996,7 +38071,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() - atgriež vērtību no lauka lielumu. Šī funkcija darbojas tikai GUI. Ja vēlaties izmantot šo vērtību mapēs \"saglabāt uz disku\" vai \"sūtīt uz ierīci\", tad jums ir jāizveido pielāgota \"sleja, kas veidota no citām slejām\", izmantojot šajā slejas šablonā esošo funkciju un izmantojiet slejas vērtību saglabāt/sūtīt šablonus"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38005,55 +38080,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice () -- atgriešana Jā, ja ierīce ir iestatīta, pretējā gadījumā atgrieziet tukšu rindu. Šī funkcija darbojas tikai GUI. Ja vēlaties izmantot šo vērtību mapēs \"saglabāt uz disku\" vai \"sūtīt uz ierīci\", tad jums ir jāizveido pielāgota \"sleja, kas veidota no citām slejām\", izmantojot šajā slejas šablonā esošo funkciju un izmantojiet slejas vērtību saglabāt/sūtīt šablonu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- atgriež sērijas kārtošanas vērtību"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- atgriež Jā, ja grāmatai ir vāks, pretējā gadījumā - tukšu virkni"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- atgriež pirmo vērtību, kas nav tukša. Ja visas vērtības ir tukšas, tad tiek atgriezta tukša vērtība. Jums var būt tik daudz vērtību, cik vēlaties."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, ...) -- atgriež virkni \"1\", ja visas vērtības nav tukšas, pretējā gadījumā tiek parādīta tukša virkne. Šī funkcija darbojas ar testu vai first_non_empty. Jums var būt tik daudz vērtību, cik vēlaties. "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) -- atgriež virkni \"1\", ja kāda vērtība nav tukša, pretējā gadījumā tiek parādīta tukšā virkne. Šī funkcija darbojas ar testu vai first_non_empty. Jums var būt tik daudz vērtību, cik vēlaties."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- atgriež virkni \"1\", ja vērtība ir tukša, pretējā gadījumā tiek parādīta tukša virkne. Šī funkcija darbojas ar testu vai first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38062,7 +38137,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- atgriež sarakstu, kas izveidots, apvienojot elementus list1 un list2, noņemot dublējošos vienumus, izmantojot reģistrjūtīgu salīdzinājumu. Ja vienumi atšķiras, tas tiek izmantots list1. Vienumus list1 un list2 atdala atdalītājs, tāpat kā atgriezeniskā saraksta vienumus."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38070,7 +38145,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- atgriež sarakstu, kas izveidots, no list1 noņemot jebkuru elementu, kas atrodams list2, izmantojot nejaušu nekoncentrētu salīdzinājumu. Vienumus list1 un list2 atdala atdalītājs, tāpat kā atgriezeniskā saraksta vienumus."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38078,7 +38153,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection (list1, list2, separator) - atgriež sarakstu, kas izveidots, no list1 noņemot jebkuru elementu, kas nav atrodams list2, izmantojot reģistrjūtīgu salīdzinājumu. Šos list1 un list2 esošos vienumus atdala atdalītājs, tāpat kā atgriezeniskā saraksta vienumus."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38086,7 +38161,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- atgriež sakārtotu sarakstu, izmantojot reģistrjutīgu kārtošanu. Ja virziens ir nulle, saraksts tiek kārtots augošā, ja citādi, tad dilstošā secībā. Saraksta elementi ir atdalīti ar atdalītāju, kā arī atgriezeniskā saraksta esošos vienumus."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38095,7 +38170,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals (list1, sep1, list2, sep2, yes_val, no_val) - atgriež yes_val, ja list1 un list2 satur vienādus vienumus, pretējā gadījumā atgriež no_val. Vienumus nosaka, sadalot katru sarakstu, izmantojot atbilstošo atdalītāja rakstzīmi (sep1 vai sep2). Sarakstu vienumu secība nav atbilstoša. Salīdzinājums ir reģistrjūtīgs."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38104,7 +38179,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re (src_list, separator, include_re, opt_replace) - izveidojiet sarakstu, vispirms atdalot src_list elementos, izmantojot atdalītāja rakstzīmi. Katru saraksta vienumu pārbaudiet, vai tas atbilst include_re. Ja tā ir, tad pievienojiet to atpakaļ nosūtītajam sarakstam. Ja opt_replace nav tukša rinda, tad pievienojiet vienumu pirms objekta pievienošanas atgriezeniskam sarakstam."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38112,14 +38187,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- piemēram, list_re, izņemot aizstājēju nav obligāta. Re_group (list_item, search_re, group_1_template, …) to izmanto, veicot aizstāšanu izveidotajā sarakstā."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- atgriež pašreizējo dienu kā rindu. Šī vērtība ir paredzēta izmantošanai format_date vai days_between, bet var manipulēt kā citu rindu. Datums ir ISO formātā."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38127,7 +38202,7 @@ msgid ""
 "empty string."
 msgstr "days_between (date1, date2) - atdod dienu skaitu no datuma1 līdz datumam2. Numurs ir pozitīvs, ja datums1 ir lielāks par datumu2, pretējā gadījumā tas ir negatīvs. Ja datums1 vai datums2 nav datumi, funkcija atgriež tukšu rindu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38135,28 +38210,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings (lang_codes, localize) - atgriež valodas kodus, kas ievadīti lang_codes. Ja lokalizācija ir nulle, atgriezīsies rinda angļu valodā. Ja lokalizācija nav nulle, atgriež rindas pašreizējās valodā. Lang_codes ir ar komatu atdalīts saraksts."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes (lang_strings) - atgriež valodas kodu rindas, kas nodotas lang_strings. Rindām jābūt pašreizējās lokalizācijas valodā. Lang_strings ir ar komatu atdalīts saraksts."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- atgriezīs pašreizējās calibre bibliotēkas ceļa nosaukumu. Šo funkciju var izsaukt šablona programmas režīmā, izmantojot šablonu \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path () - atgriež ceļu uz pašreizējo calibre bibliotēku. Šo funkciju var izsaukt šablona programmas režīmā, izmantojot šablonu \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38165,7 +38240,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- pielietojiet formātu, prefiksu un sufiksu vērtību tādā pašā veidā kā šablonā, piemēram, `{series_index: 05.2f | - | -} `. Piemēram, šī programma rada tādu pašu izvadi kā iepriekšminētais šablons: programma: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38174,7 +38249,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries () -- atgriež ar komatu atdalītu virtuālo bibliotēku sarakstu, kurā ir šī grāmata. Šī funkcija darbojas tikai GUI. Ja vēlaties izmantot šīs vērtības veidnes saglabāšanai uz diska vai sūtīšanai uz ierīci, jums jāizveido pielāgota “Kolonna, kas veidota no citām kolonnām”, jāizmanto šīs kolonnas veidnes funkcija un jāizmanto šīs kolonnas vērtība saglabāt/sūtīt veidnes"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38183,7 +38258,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories () -- atdod ar komatu atdalītu sarakstu ar lietotāju kategorijām, kurās ir šī grāmata. Šī funkcija darbojas tikai GUI. Ja vēlaties izmantot šīs vērtības mapēs \"saglabāt uz diska\" vai \"sūtīt uz ierīci\", tad jums ir jāizveido pielāgota \"sleja, kas veidota no citām slejām\", izmantojiet šajā slejas šablonā esošo funkciju un izmantojiet slejas vērtību saglabāt/sūtīt šablonus"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38191,7 +38266,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Atgriež virkni latīņu alfabētā, kas izveidota, tuvinot avota virknē esošo vārdu skaņu. Piemēram, ja avots ir \"{0}\", funkcija atgriež \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38203,7 +38278,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links (val_separator, pair_separator) - atgriež rindu, kas satur autoru sarakstu un šī autora saites vērtību formā author1 val_separator author1link pair_separator author2 val_separator author2link utt. Autoru, no tā saites vērtības atdala val_separator rindas pievienotas bez atstarpēm. Autors: linkvalue pārus atdala pair_separator virkni argumentu, bez papildu atstarpēm. Tas ir atkarīgs no jums izvēlēties atdalītāju virknes, kas nav sastopami autoru vārdi vai saites. Pat tad, ja autora saite ir tukša, autors ir iekļauts."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38214,7 +38289,7 @@ msgid ""
 "string"
 msgstr "author_sorts (val_separator) - atgriež virkni, kurā ir autora rādītāja vērtību saraksts grāmatu autoriem. Šķirošana ir tā, kas ir autora metadatos (atšķiras no grāmatas autora_sort). Atgrieztajam sarakstam ir formāts author sort 1 val_separator author sort 2 utt. Autora šķirošanas vērtības šajā sarakstā ir tādā pašā secībā kā grāmatas autori. Ja jūs vēlaties atstarpes ap val_separator, tad iekļaujiet tos atdalītāja virknē"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38222,13 +38297,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38236,7 +38311,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38249,11 +38324,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr "check_yes_no (field_name, is_undefined, is_false, is_true) --pārbauda vērtības jā/nē laukā ar uzmeklēšanas taustiņu field_name vērtībai, ko norāda parametri, atgriežot \"Jā\", ja tiek atrasta atbilstība, citādi atgriežot tukšu virkni. Iestatiet parametru is_undefined, is_false vai is_true 1 (skaitlis), lai pārbaudītu šo nosacījumu, pretējā gadījumā iestatiet to uz 0. Piemērs: check_yes_no (\"#bool\", 1, 0, 1) atgriež \"Jā\", ja Jā/Nē lauks \"#bool\" nav definēts (ne patiess, ne nepatiess) vai patiess. Vairāk nekā vienu no is_undefined, is_false vai is_true var iestatīt uz 1.  Šo funkciju parasti izmanto testa () vai is_empty () funkcijas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "pārbaude_yes_no pieprasa, lai lauks būtu Jā/Nē pielāgota kolonna"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38261,11 +38336,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "rating_to_stars (vērtība, use_half_stars) - atgriež vērtējumu kā zvaigžņu rakstzīmju virkni. Vērtība ir skaitlis no 0 līdz 5. Iestatiet use_half_stars uz 1, ja vēlaties, lai pielāgotu vērtējumu kolonnās, kas atbalsta vērtējumus, kas nav veseli skaitļi, piemēram, 2.5, būtu vajadzīgas puszvaigžņu zīmes."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "Vērtējumam jābūt skaitlim no 0 līdz 5"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38274,7 +38349,7 @@ msgid ""
 "single value, not a list."
 msgstr "swap_around_articles (val, separator) - atgriež val ar rakstiem, kas pārvietoti uz beigām. Vērtība var būt saraksts, un tādā gadījumā katrs saraksta dalībnieks tiek apstrādāts. Ja vērtība ir saraksts, tad jums ir jāsniedz saraksta vērtības atdalītājs. Ja nav atdalītāja, tad vērtību uzskata par vienu vērtību, nevis par sarakstu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38285,7 +38360,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38295,6 +38370,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Nenosaukts attēls"
@@ -38583,29 +38664,29 @@ msgstr "Aizvērt nesaglabājot"
 msgid "Close Tab"
 msgstr "Aizvērt cilni"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Papildus rakstzīme meklēšanas beigās"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "trūkst )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Neizdevās izanalizēt vaicājumu, sasniegts rekursijas limits: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Rekursīvs saglabātais vaicājums: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Nezināma saglabāta meklēšana: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Nezināma kļūda saglabātajos vaicājumos: {0}"
@@ -38969,185 +39050,185 @@ msgstr "Jebkura saite, kas atbilst šai
 msgid "Do not download CSS stylesheets."
 msgstr "Izlaist CSS stilu lejupielādi."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Saglabāt visu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Atvērt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Jā"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Jā &visiem"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nē"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&ē visiem"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Pārtraukt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Atkārtot"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Aizvērt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Pielietot"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Atstatīt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Atjaunot noklusējumus"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "To&nis:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Piesātinājums:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Vērtība:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Sarkans:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Zaļš:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Zi&ls:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lfa kanāls:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Kursors %1, %2\nNospiediet ESC, lai atceltu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Izvēlieties krāsu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Pamatkrāsas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Pielāgotas krāsas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Pievienot pielāgotajām krāsām"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Izvēlieties ekrāna krāsu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Izvēlieties fontu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Fonts"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Fonta st&ils"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Izmērs"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efekti"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Pārs&vītrots"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Piemērs"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Ra&ksta sistēmā"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Kreisā mala"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Labā mala"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Kreisā lapa"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Lappusi uz augšu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Lappusi uz leju"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Labā lapa"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Ritināt pa kreisi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Ritināt uz augšu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Ritināt uz leju"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Ritināt pa labi"
 
@@ -39427,8 +39508,8 @@ msgstr "Norādiet pārdēvēšanas notei
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39476,7 +39557,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Norāda pārdēvēšanas noteikumus sony kolekcijām. Šī opcija ir piemērojama tikai ja\nmetadatu pārvaldība ir iestatīta kā automātiska. Par Sony kolekciju tiek nosaukta \natkarībā no tā, vai šis lauks ir standarta vai pielāgots. Kolekciju, kas iegūta\nno standarta lauka ir nosaukta par vērtību šajā laukā. Piemēram, ja\nstandarta sēriju sleja satur vērtību \"Darkover\", tad\nkolekcijas nosaukums ir \"Darkover\". Kolekcija, kas atvasināta no pielāgotā lauka tiks\npievienota vērtība lauka nosaukums. Piemēram, ja pielāgota sērija\nkolonna ar nosaukumu 'My Series' satur vārdu \"Darkover\", tad vākšana\npēc noklusējuma nosaukuma ir 'Darkover (My Series)'. Piemērojot šo\ndokumentāciju, \"Darkover\" tiek saukta par vērtību un nosaukta par 'My Series'\nkategoriju. Ja abu grāmatu lauki rāda vienādu kolekcijas nosaukumu,\ntad abas grāmatas būs šajā kolekcijā.\nAr šo opciju komplektu var norādīt standarta vai pielāgotiem laukiem, kā\nnosaukt kolekcijas. To var izmantot, lai pievienotu aprakstu\nstandarta laukam, piemēram \"Foo (Tag)\" nevis \"Foo\". Var arī\npiespiest vairākus laukus, apvienoties vienā kolekcijā. Piemēram, jūs\nvarat piespiest vērtības 'series', '#my_series_1', and '#my_series_2'\nparādīt ar nosaukumu \"some_value (sērijas)\", tādējādi apvienojot visas kolekcijas.\nTur ir divas saistītas opcijas. Pirmā nosaka kategorijas nosaukumu, kuru izmantot\nmetadatu laukam. Otrais ir šablons, ko izmanto, lai noteiktu, cik\nvērtību un kategoriju tiek kombinēti, lai iegūtu kolekcijas nosaukumu.\nPirmās opcija, sony_collection_renaming_rules, sintakse ir:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nOtrā opcija, sony_collection_name_template, ir šablons. Tas izmanto\nvienu šablona valodu kā spraudņus un saglabā šablonu. Šī opcija kontrolē\nkā vērtības un kategorijas apvienojas kopā, kolekcijas nosaukumam.\nVienīgi divi lauki ir pieejami {category} un {value}. Lauks {value}\nnekad nav tukšs. Lauks {category} var būt tukšs. Pēc noklusējuma iestatījuma\nvērtība ir vispirms, un pēc tam kategorija iekavās, kas nav tukša:\n'{value} {category:|(|)}'\nPiemēri: Pirmie trīs piemēri pieņem, ka otrā opcija\nnav mainīta.\n1: Es gribu trīs sērijas slejas sapludin't vienā kolekcijas kopumā.\nMeklēšanas sleju nosaukumi ir 'series', '#series_1' un '#series_2'. Es gribu, nekas\niekavas tukšas. Lai izmantotu vērtības, opcijas vērtība būtu:\nsony_collection_renaming_rules = {'series': ', '#series_1': ', '#series_2': '}\n2: Es vēlos dažus vārdus '(Series)', atrastos kolekcijās, kas izgatavoti no sērijas, un\nvārds \"(Tag)\", atrastos kolekcijās, kas izgatavoti no birkām. Lietošana:\nsony_collection_renaming_rules = {'series': 'Series', 'tags': \"Tag\"}\n3: Es gribu 'series' un '#myseries' sapludināt un kolekcijas nosaukumā\nbūtu pievienota '(Series)'. Pārdēvēšanas noteikums ir:\nsony_collection_renaming_rules = {'series': 'Series', '#myseries': 'Series'}\n4: Tāpat kā 2. piemērā, bet kategorijas nosaukuma vietā un iekavās\npievienotai vērtībai, es gribu to pievienot un atdalot ar kolu, tādu\npiemēru, kā Series: Darkover. Ir jānomaina kategorijas nosaukuma formatēšanā lietotais šablons\nRezultātā divas opcijas ir:\nsony_collection_renaming_rules = {'series': 'Series', 'tags': \"Tag\"}\nsony_collection_name_template ='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39484,7 +39565,7 @@ msgstr "Norādiet, kā ir sakārtotas SO
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39499,7 +39580,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Norāda, kā tiek kārtotas sony kolekcijas. Šī opcija ir piemērojama tikai ja\nmetadatu pārvaldība ir iestatīta kā automātiska. Var norādīt, kurus metadatus, kas tiek\nizmantoti, kārtot atsevišķas kolekcijas vākšanai. Opcijas formāts\nir saraksts ar metadatu laukiem, no kuriem tiek veiktas kolekcijas, kam seko\nmetadatu lauku nosaukums, kurš satur kārtošanas vērtību.\nPiemērs: Šis piemērs norāda, ka kolekcijas veidotas no publicēšanas datuma un birkas\ntiek kārtotas pēc pielāgotās slejas vērtības '#mydate', ka kolekcijas\nveidotas no 'series' ir jākārto, izmantojot 'series_index', un ka visas pārējās\nkolekcijas ir jākārto pēc nosaukuma. Ja kolekciju metadatu lauks nav\nnosaukts, tad, ja tā ir sērijas bāzes kolekcija, tā tiek kārtota pēc sēriju secības\nPretējā gadījumā tā tiek kārtota virsraksta secībā.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nAtcerieties, ka ir nepieciešamas pēdiņas un iekavas. Sintakse ir\n[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\nNoklusējums: empty (no rules), tāpēc tiek nosaukti bez savākšanas atribūtiem."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/main.pot 5.10.0+dfsg-1/translations/calibre/main.pot
--- 5.9.0+dfsg-3/translations/calibre/main.pot	2021-01-08 03:54:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/main.pot	2021-01-22 02:30:00.000000000 +0000
@@ -4,9 +4,9 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
-"POT-Creation-Date: 2021-01-08 09:24+IST\n"
-"PO-Revision-Date: 2021-01-08 09:24+IST\n"
+"Project-Id-Version: calibre 5.10.0\n"
+"POT-Creation-Date: 2021-01-22 07:59+IST\n"
+"PO-Revision-Date: 2021-01-22 07:59+IST\n"
 "Last-Translator: Automatically generated\n"
 "Language-Team: LANGUAGE\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/db/cache.py:304
 #: /home/kovid/work/calibre/src/calibre/db/cache.py:307
 #: /home/kovid/work/calibre/src/calibre/db/cache.py:318
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1196
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1198
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1200
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1369
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1467
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1469
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1471
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1645
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:1647
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1215
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1217
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1219
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1388
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1486
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1488
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1490
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1664
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:1666
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /home/kovid/work/calibre/src/calibre/db/lazy.py:282
 #: /home/kovid/work/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/books.py:46
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/books.py:70
-#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /home/kovid/work/calibre/src/calibre/devices/nook/driver.py:67
 #: /home/kovid/work/calibre/src/calibre/devices/nook/driver.py:68
@@ -144,7 +144,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/htmlz/oeb2html.py:51
 #: /home/kovid/work/calibre/src/calibre/ebooks/lrf/html/convert_from.py:1849
 #: /home/kovid/work/calibre/src/calibre/ebooks/lrf/html/convert_from.py:1851
-#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/__init__.py:346
+#: /home/kovid/work/calibre/src/calibre/ebooks/metadata/__init__.py:355
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:42
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:43
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:44
@@ -215,16 +215,16 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /home/kovid/work/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /home/kovid/work/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /home/kovid/work/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /home/kovid/work/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /home/kovid/work/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /home/kovid/work/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /home/kovid/work/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /home/kovid/work/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /home/kovid/work/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:388
 #: /home/kovid/work/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:454
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:458
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/srv/content.py:161
 #: /home/kovid/work/calibre/src/calibre/srv/tests/http.py:97
 #: /home/kovid/work/calibre/src/calibre/srv/tests/http.py:106
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:160
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:171
 #: /home/kovid/work/calibre/src/calibre/utils/localization.py:347
 #: /home/kovid/work/calibre/src/calibre/web/feeds/__init__.py:25
 #: /home/kovid/work/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:346
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:416
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:448
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:480
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:598
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:633
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:635
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:686
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:690
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:734
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:746
+#: /home/kovid/work/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -386,358 +386,358 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:178
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:189
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:202
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:213
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:224
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:236
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:248
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:259
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:270
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:281
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:292
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:303
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:314
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:325
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:337
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:350
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:373
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:385
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:396
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:408
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:419
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:431
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:182
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:193
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:206
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:217
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:228
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:240
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:252
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:263
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:274
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:285
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:296
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:307
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:318
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:329
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:341
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:354
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:377
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:389
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:400
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:412
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:423
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:362
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:443
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:462
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:481
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:504
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:515
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:539
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:551
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:562
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:466
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:485
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:508
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:519
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:543
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:555
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:473
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid "Enter {0} below to have the EPUB metadata writer plugin not add cover images to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:492
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:527
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:574
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:586
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:597
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:496
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:531
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:578
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:590
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:845
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:851
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:857
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:863
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:869
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:875
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:879
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:881
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:885
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:887
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:893
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:897
 msgid "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:899
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:905
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:911
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:917
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:923
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:927
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:929
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:933
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:935
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:941
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:945
 msgid "Show a dialog for creating and managing template functions and stored templates"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:947
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:953
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:959
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:963
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:965
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:972
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:978
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:982
 msgid "Send books via email or the web. Also connect to folders on your computer as if they are devices"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:985
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:989
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:991
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:997
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1003
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1007
 msgid "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1010
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1016
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1022
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1028
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1032
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1034
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1040
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1046
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1052
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1056
 msgid "Find the next or previous match when searching in your calibre library in highlight mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1059
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1065
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1069
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1071
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1077
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1081
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1084
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1101
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1124
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1128
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1126
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1139
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1151
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1163
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1176
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1130
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1143
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1155
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1167
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1130
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1137
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1143
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1149
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1153
 #: /home/kovid/work/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1155
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1161
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1167
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1171
 msgid "Customize the toolbars and context menus, changing which actions are available in each"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1174
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1180
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1186
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1188
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1205
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1217
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1192
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1209
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1192
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1203
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1209
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1215
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1221
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1227
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1229
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1242
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1255
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1268
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1233
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1246
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1259
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1233
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1240
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1246
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1250
 msgid "Control how calibre exports files from its database to disk when using Save to disk"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1253
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1259
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1266
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1272
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1278
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1282
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -747,86 +747,86 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1280
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1344
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1357
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1369
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1381
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1284
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1348
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1361
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1373
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1284
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1290
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1292
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1305
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1319
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1331
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1296
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1309
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1323
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1296
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1300
 msgid "Setup sharing of books via email. Can be used for automatic sending of downloaded news to your devices"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1303
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1309
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1313
 msgid "Setup the calibre Content server which will give you access to your calibre library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1317
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1323
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1329
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1333
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1335
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1339
 msgid "Control which devices calibre will ignore when they are connected to the computer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1342
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1346
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1348
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1355
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1361
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1367
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1371
 #: /home/kovid/work/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1373
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1379
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1383
 #: /home/kovid/work/calibre/src/calibre/gui2/keyboard.py:140
 #: /home/kovid/work/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -834,7 +834,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1385
+#: /home/kovid/work/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1197,9 +1197,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/backend.py:2059
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:2337
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:2458
+#: /home/kovid/work/calibre/src/calibre/db/backend.py:2074
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:2356
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:2477
 #: /home/kovid/work/calibre/src/calibre/utils/exim.py:206
 #: /home/kovid/work/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1225,17 +1225,17 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /home/kovid/work/calibre/src/calibre/library/database2.py:1083
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:2448
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cache.py:2452
+#: /home/kovid/work/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1592,14 +1592,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1607,7 +1607,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1615,32 +1615,32 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid "Filter the results by the search query. For the format of the search query, please see the search related documentation in the User Manual. Default is to do no filtering."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid "The maximum width of a single line in the output. Defaults to detecting screen size."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid "The prefix for all file paths. Default is the absolute path to the library folder."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /home/kovid/work/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid "Generate output in JSON format, which is more suitable for machine parsing. Causes the line width and separator options to be ignored."
 msgstr ""
 
@@ -1895,7 +1895,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:788
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:84
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/match_books.py:86
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:292
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:183
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:1340
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:121
@@ -2153,21 +2153,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/search.py:510
+#: /home/kovid/work/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/search.py:514
+#: /home/kovid/work/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/search.py:545
+#: /home/kovid/work/calibre/src/calibre/db/search.py:549
 #: /home/kovid/work/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/db/search.py:643
+#: /home/kovid/work/calibre/src/calibre/db/search.py:647
 msgid "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
 
@@ -2988,7 +2988,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/kobotouch_config.py:569
 #: /home/kovid/work/calibre/src/calibre/devices/kobo/kobotouch_config.py:629
 #: /home/kovid/work/calibre/src/calibre/gui2/device_drivers/mtp_config.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:198
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:280
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_line_editor.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:752
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/save_template.py:55
@@ -3181,21 +3181,21 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid "The device {0} is not allowing connections. Unlock the screen on the {0}, tap \"Allow\" on any connection popup message you see, then either wait a minute or restart calibre. You might also have to change the mode of the USB connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /home/kovid/work/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /home/kovid/work/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -5233,7 +5233,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:386
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -5510,7 +5510,7 @@ msgid "Producer"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:180
@@ -5518,7 +5518,7 @@ msgid "Comments"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -5558,10 +5558,10 @@ msgid "Tags"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:294
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:192
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:253
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:167
@@ -5588,7 +5588,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:188
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /home/kovid/work/calibre/src/calibre/library/field_metadata.py:240
@@ -6709,39 +6709,49 @@ msgstr ""
 msgid "Cover updated"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:223
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:241
 msgid "Removed one unused CSS style rule"
 msgid_plural "Removed {} unused CSS style rules"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:226
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:244
+msgid "Removed one unused CSS selector"
+msgid_plural "Removed {} unused CSS selectors"
+msgstr[0] ""
+msgstr[1] ""
+
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:247
 msgid "Removed one unused class from the HTML"
 msgid_plural "Removed {} unused classes from the HTML"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:229
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:250
 msgid "Merged one CSS style rule with identical selectors"
 msgid_plural "Merged {} CSS style rules with identical selectors"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:232
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:253
 msgid "Merged one CSS style rule with identical properties"
 msgid_plural "Merged {} CSS style rules with identical properties"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:235
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:256
 msgid "No unused CSS style rules found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:237
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:258
+msgid "No unused CSS selectors found"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:260
 msgid "No unused class attributes found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:239
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/polish/css.py:262
 msgid "No style rules that could be merged found"
 msgstr ""
 
@@ -7103,13 +7113,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /home/kovid/work/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /home/kovid/work/calibre/src/calibre/gui2/library/models.py:189
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -7139,31 +7149,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /home/kovid/work/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -8037,7 +8047,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/add_from_isbn.py:44
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:87
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:207
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:333
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:337
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/diff.py:586
 msgid "&OK"
 msgstr ""
@@ -8081,7 +8091,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /home/kovid/work/calibre/src/calibre/gui2/device.py:1026
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -9899,7 +9909,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/comments_dialog.py:31
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:88
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:208
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:334
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:338
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/printing.py:192
 msgid "&Cancel"
 msgstr ""
@@ -10325,8 +10335,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/author_mapper.py:26
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:691
@@ -10456,11 +10466,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/book_details.py:104
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -10603,7 +10613,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /home/kovid/work/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -10798,7 +10808,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/saving_ui.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/search_ui.py:220
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/sending_ui.py:62
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:133
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:132
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/toolbar_ui.py:123
 #: /home/kovid/work/calibre/src/calibre/gui2/store/basic_config_widget_ui.py:35
 #: /home/kovid/work/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:73
@@ -10930,7 +10940,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -11015,10 +11025,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -11127,8 +11137,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -11344,7 +11354,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/comments_editor.py:287
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/server.py:1125
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:144
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:143
 #: /home/kovid/work/calibre/src/calibre/gui2/shortcuts.py:60
 msgid "Clear"
 msgstr ""
@@ -12270,7 +12280,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid "Tags categorize the book. This is particularly useful while searching. <br><br>They can be any words or phrases, separated by commas."
 msgstr ""
@@ -12283,8 +12293,8 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /home/kovid/work/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -13110,7 +13120,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/covers.py:74
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /home/kovid/work/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -13411,19 +13421,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -13497,8 +13507,8 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:546
 #: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:550
 #: /home/kovid/work/calibre/src/calibre/gui2/library/delegates.py:702
@@ -13568,7 +13578,7 @@ msgid "Series will normally be renumbere
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid "The amount by which to increment the series number for successive books. Only applicable when using force series numbers."
 msgstr ""
 
@@ -14934,7 +14944,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/delete_matching_from_device.py:84
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:219
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/plugin_updater.py:267
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:291
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:292
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/server.py:1033
 msgid "Author"
 msgstr ""
@@ -15082,7 +15092,7 @@ msgid "Change case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:687
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:473
@@ -15090,7 +15100,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:688
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:474
@@ -15098,7 +15108,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:689
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:475
@@ -15106,7 +15116,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /home/kovid/work/calibre/src/calibre/gui2/toc/main.py:690
 #: /home/kovid/work/calibre/src/calibre/gui2/widgets.py:476
@@ -15140,7 +15150,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -15540,153 +15550,161 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid "Immediately make all changes without closing the dialog. This operation cannot be canceled or undone"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid "<b>You can destroy your library using this feature.</b> Changes are permanent. There is no undo function. You are strongly encouraged to back up your library before proceeding.<p>Search and replace in text fields using character matching or regular expressions. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid "In character mode, the field is searched for the entered search text. The text is replaced by the specified replacement text everywhere it is found in the specified field. After replacement is finished, the text can be changed to upper-case, lower-case, or title-case. If the Case-sensitive check box is checked, the search text must match exactly. If it is unchecked, the search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid "In regular expression mode, the search text is an arbitrary Python-compatible regular expression. The replacement text can contain backreferences to parenthesized expressions in the pattern. The search is not anchored, and can match and replace multiple times on the same string. The modification functions (lower-case etc) are applied to the matched text, not to the field as a whole. The destination box specifies the field where the result after matching and replacement is to be assigned. You can replace the text in the field, or prepend or append the matched text. See <a href=\"https://docs.python.org/library/re.html\">this reference</a> for more information on Python's regular expressions, and in particular the 'sub' function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid "You must specify a destination when source is a composite field or a template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid "The replacement value for a rating column must be empty or an integer between 0 and 10"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid "Invalid identifier string. It must be a comma-separated list of pairs of strings separated by a colon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid "Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid "That saved search/replace already exists and will be overwritten. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -15694,88 +15712,83 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid "Update title sort based on the current title. This will be applied only after other changes to title."
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid "Specify how the author(s) of this book should be sorted. For example Charles Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -15783,268 +15796,286 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid "Specify how the author(s) of this book should be sorted. For example Charles Dickens should be sorted as Dickens, Charles."
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid "Update title sort based on the current title. This will be applied only after other changes to title."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid "Set the metadata in calibre from the metadata in the e-book files associated with each book. Note that this does not change the cover, for that, use the separate option below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid "Set the metadata in calibre from the metadata in the e-book files associated with each book. Note that this does not change the cover, for that, use the separate option below."
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
-msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid "<p>Compress cover images, if the quality is set to 100 compression is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid "<p>Cover image compression quality. If the quality is set to 100 compression is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /home/kovid/work/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:772
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /home/kovid/work/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid "Choose whether to use basic text matching or advanced regular expression matching"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid "Enter what you are looking for, either plain text or a regular expression, depending on the mode"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid "Check this box if the search string must match exactly upper and lower case. Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid "The replacement text. The matched search text will be replaced with this string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -16052,46 +16083,46 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid "Used when displaying test results to separate values in multiple-valued fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -16534,36 +16565,36 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid "Click to show only books with this item. Double click to search for this item in the Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid "Double click on a book to change the selection in the library view or change the column shown in the left-hand panel. Shift- or Ctrl- double click to edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid "The book you selected is not currently displayed in the library view, perhaps because of a search or a Virtual library, so Quickview cannot select it."
 msgstr ""
 
@@ -16654,83 +16685,83 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid "You can create a <i>Saved search</i>, for frequently used searches here. The search will be visible under <i>Saved searches</i> in the Tag browser, using the name that you specify here."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /home/kovid/work/calibre/src/calibre/gui2/search_box.py:581
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -17007,7 +17038,7 @@ msgid "Regular expression: the expressio
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/dialogs/search.py:78
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:134
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:133
 #: /home/kovid/work/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:221
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/adv_search_builder_ui.py:230
 #: /home/kovid/work/calibre/src/calibre/gui2/store/stores/mobileread/adv_search_builder_ui.py:182
@@ -17567,153 +17598,181 @@ msgstr ""
 msgid "Ctrl+U"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:292
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
 msgid "Author Sort"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:297
 msgid "Tag 1"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:296
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:297
 msgid "Tag 2"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:360
 msgid "Template language tutorial"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:364
 msgid "Template function reference"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:380
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:433
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "Built-in template function"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "Built-in function"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:452
+msgid "User defined Python template function"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "User function"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
 msgid "Stored template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
+msgid "Stored user defined template"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:474
 msgid "No column chosen"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:475
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:478
 msgid "No template provided"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:479
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog.py:512
 msgid "A General Program Mode Template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:199
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:281
 msgid "Set the color of the column:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:200
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:282
 msgid "Copy a color name to the clipboard:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:201
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:283
 msgid "Copy the selected color name to the clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:202
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:284
 msgid "Kind:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:203
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:285
 msgid "Apply the icon to column:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:204
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:286
 msgid "Copy an icon file name to the clipboard:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:205
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:287
 msgid "Copy the selected icon file name to the clipboard"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:206
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:288
 msgid "Add icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:207
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:289
 msgid "Add an icon file to the set of choices"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:208
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:290
 msgid "Template &name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:209
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:291
 msgid "The name of the callable template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:210
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:292
 msgid "T&emplate:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:211
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:293
 msgid "The template program text"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:212
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:143
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:294
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:142
 msgid "D&ocumentation:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:213
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:295
 msgid "Documentation for the function being defined or edited"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:214
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:296
 msgid "Template value:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:215
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:297
 msgid "The value of the template using the current book in the library view"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:216
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:298
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:299
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:300
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:301
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:302
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:303
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:304
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:305
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:306
+msgid "User Label"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:307
 msgid "Font size:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:217
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:308
 msgid "Template Function Reference"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:218
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:309
 msgid "Function &name:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:219
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:310
 msgid "&Function type:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:220
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:311
 msgid "&Documentation:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:221
+#: /home/kovid/work/calibre/src/calibre/gui2/dialogs/template_dialog_ui.py:312
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/function_replace.py:234
 msgid "&Code:"
 msgstr ""
@@ -18664,7 +18723,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /home/kovid/work/calibre/src/calibre/gui2/store/search/search.py:382
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -18821,8 +18880,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/library/annotations.py:256
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -18839,14 +18898,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/library/annotations.py:262
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/library/annotations.py:263
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -20932,106 +20991,106 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid "You can control the color of columns in the book list by creating \"rules\" that tell calibre what color to use. Click the \"Add rule\" button below to get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid "You can add icons to columns in the book list by creating \"rules\" that tell calibre what icon to use. Click the \"Add rule\" button below to get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid "You can add emblems (small icons) that are displayed on the side of covers in the Cover grid by creating \"rules\" that tell calibre what image to use. Click the \"Add rule\" button below to get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid "If checked, you can tell calibre to display icons of your choosing next to the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -21845,7 +21904,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -22108,7 +22167,7 @@ msgid "There are two kinds of caches tha
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -22741,7 +22800,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -23245,7 +23304,7 @@ msgid "Requiring a username/password pre
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/server.py:447
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -23370,7 +23429,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/server.py:762
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -23381,7 +23440,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/preferences/server.py:770
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -23699,53 +23758,53 @@ msgstr ""
 msgid "Exception while storing template"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:135
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:134
 msgid "D&elete"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:135
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:940
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/ui.py:551
 msgid "&Replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:137
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:147
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:136
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:146
 msgid "C&reate"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:138
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:137
 msgid "&Stored Templates"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:139
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:138
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:281
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:709
 msgid "F&unction:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:140
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:139
 msgid "Enter the name of the function to create."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:141
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:140
 msgid "Argument &count:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:142
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:141
 msgid "Set this to -1 if the function takes a variable number of arguments"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:146
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_mapper.py:45
 msgid "Replace"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:148
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:147
 msgid "P&rogram code (Follow Python indenting rules):"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:149
+#: /home/kovid/work/calibre/src/calibre/gui2/preferences/template_functions_ui.py:148
 msgid "&Template Functions"
 msgstr ""
 
@@ -24801,7 +24860,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -25073,7 +25132,7 @@ msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -25133,95 +25192,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /home/kovid/work/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -25819,7 +25878,8 @@ msgstr ""
 msgid "The following books have already been converted to the %s format. Do you wish to reconvert them?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/tts/linux.py:48
+#: /home/kovid/work/calibre/src/calibre/gui2/tts/linux.py:50
+#: /home/kovid/work/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -29754,7 +29814,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -30371,7 +30431,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -32189,71 +32249,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /home/kovid/work/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -32756,11 +32816,11 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid "The Qt WebEngine Render process has crashed. You should try restarting the viewer."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /home/kovid/work/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -32918,9 +32978,9 @@ msgid "< &Back"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:225
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:308
 #: /usr/src/qt5/qtbase/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
@@ -33512,7 +33572,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -33561,7 +33621,7 @@ msgstr ""
 #: /home/kovid/work/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -33989,175 +34049,206 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /home/kovid/work/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid "Enter a search expression, access will be granted only to books matching this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /home/kovid/work/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -34480,29 +34571,29 @@ msgid "Automatically reload server when
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/srv/standalone.py:157
-#, python-format
-msgid "Manage the database of users allowed to connect to this server. See also the %s option."
+#, python-brace-format
+msgid "Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a --. See {0} for details. See also the {1} option."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:160
+#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid "Path to the user database to use for authentication. The database is a SQLite file. To create it use {0}. You can read more about managing users at: {1}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:180
+#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:181
 msgid "Another calibre program such as another instance of {} or the main calibre program is running. Having multiple programs that can make changes to a calibre library running at the same time is not supported."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:207
+#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:213
+#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:217
+#: /home/kovid/work/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -34515,7 +34606,7 @@ msgid "Enum"
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/srv/tests/ajax.py:131
-#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:244
+#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -34649,128 +34740,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:166
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:167
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:323
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:326
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:342
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:353
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:360
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:363
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:367
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:371
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:390
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:417
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:428
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:443
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:455
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:825
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:468
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:461
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:501
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:523
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:537
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:584
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:588
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:604
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:597
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:601
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:630
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:634
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:661
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:698
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:704
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:835
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:918
+#: /home/kovid/work/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -34809,392 +34900,396 @@ msgid "strlen(a) -- Returns the length o
 msgstr ""
 
 #: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:246
-msgid "add(x, y) -- returns x + y. Throws an exception if either x or y are not numbers."
+msgid "add(x, y, ...) -- returns the sum of its arguments. Throws an exception if an argument is not a number."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:258
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:261
 msgid "subtract(x, y) -- returns x - y. Throws an exception if either x or y are not numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:270
-msgid "multiply(x, y) -- returns x * y. Throws an exception if either x or y are not numbers."
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:273
+msgid "multiply(x, y, ...) -- returns the product of its arguments. Throws an exception if any argument is not a number."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:282
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:288
 msgid "divide(x, y) -- returns x / y. Throws an exception if either x or y are not numbers."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:294
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:300
 msgid "ceiling(x) -- returns the smallest integer greater than or equal to x. Throws an exception if x is not a number."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:307
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:313
 msgid "floor(x) -- returns the largest integer less than or equal to x. Throws an exception if x is not a number."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:320
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:326
 msgid "round(x) -- returns the nearest integer to x. Throws an exception if x is not a number."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:332
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:338
 msgid "mod(x) -- returns the remainder of x / y, where x, y, and the result are integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:346
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:352
 msgid "fractional_part(x) -- returns the value after the decimal point.  For example, fractional_part(3.14) returns 0.14. Throws an exception if x is not a number."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:360
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:366
 msgid "template(x) -- evaluates x as a template. The evaluation is done in its own context, meaning that variables are not shared between the caller and the template evaluation. Because the { and } characters are special, you must use [[ for the { character and ]] for the } character; they are converted automatically. For example, template('[[title_sort]]') will evaluate the template {title_sort} and return its value. Note also that prefixes and suffixes (the `|prefix|suffix` syntax) cannot be used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:379
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:385
 msgid "eval(template) -- evaluates the template, passing the local variables (those 'assign'ed to) instead of the book metadata.  This permits using the template processor to construct complex results from local variables. Because the { and } characters are special, you must use [[ for the { character and ]] for the } character; they are converted automatically. Note also that prefixes and suffixes (the `|prefix|suffix` syntax) cannot be used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:399
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:405
 msgid "assign(id, val) -- assigns val to id, then returns val. id must be an identifier, not an expression"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:411
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:417
 msgid "split(list_val, sep, id_prefix) -- splits the list_val into separate values using 'sep', then assigns the values to variables named 'id_prefix_N' where N is the position of the value in the list. The first item has position 0 (zero). The function returns the last element in the list. Example: split('one, two, foo', ',', 'var') is equivalent to var_0 = 'one'; var_1 = 'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:431
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:437
 msgid "print(a, b, ...) -- prints the arguments to standard output. Unless you start calibre from the command line (calibre-debug -g), the output will go to a black hole."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:444
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:454
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:460
 msgid "raw_field(name) -- returns the metadata field named by name without applying any formatting."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:471
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:477
 msgid "raw_list(name, separator) -- returns the metadata list named by name without applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:486
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:492
 msgid "substr(str, start, end) -- returns the start'th through the end'th characters of str. The first character in str is the zero'th character. If end is negative, then it indicates that many characters counting from the right. If end is zero, then it indicates the last character. For example, substr('12345', 1, 0) returns '2345', and substr('12345', 1, -1) returns '234'."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:501
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:507
 msgid "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch, except the arguments are field (metadata) names, not text. The value of the appropriate field will be fetched and used. Note that because composite columns are fields, you can use this function in one composite field to use the value of some other composite field. This is extremely useful when constructing variable save paths"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:516
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:530
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:536
 msgid "test(val, text if not empty, text if empty) -- return `text if not empty` if val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:544
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:550
 msgid "contains(val, pattern, text if match, text if not match) -- checks if val contains matches for the regular expression `pattern`. Returns `text if match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:561
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:567
 msgid "switch(val, pattern, value, pattern, value, ..., else_value) -- for each `pattern, value` pair, checks if `val` matches the regular expression `pattern` and if so, returns that `value`. If no pattern matches, then `else_value` is returned. You can have as many `pattern, value` pairs as you want"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:569
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:583
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:589
 msgid "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed by concatenating the arguments. The returned value is initialized to string1. `Prefix, string` pairs are added to the end of the value as long as the resulting string length is less than `max`. String1 is returned even if string1 is longer than max. You can pass as many `prefix, string` pairs as you wish."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:593
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:595
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:599
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:618
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:624
 msgid "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val as a list of items separated by separator, evaluating the pattern against each value in the list. If the pattern matches a value, return found_val, otherwise return not_found_val. The pattern and found_value can be repeated as many times as desired, permitting returning different values depending on the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:629
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:648
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:654
 msgid "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat val as a list of items separated by separator, comparing the string against each value in the list. If the string matches a value (ignoring case) then return found_val, otherwise return not_found_val. If the string contains separators, then it is also treated as a list and each value is checked. The string and found_value can be repeated as many times as desired, permitting returning different values depending on the search. The strings are checked in order. The first match is returned."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:660
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:681
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:687
 msgid "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list of identifiers separated by commas, comparing the string against each value in the list. An identifier has the format \"identifier:value\". The id parameter should be either \"id\" or \"id:regexp\". The first case matches if there is any identifier with that id. The second case matches if the regexp matches the identifier's value. If there is a match, return found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:708
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:714
 msgid "re(val, pattern, replacement) -- return val after applying the regular expression. All instances of `pattern` are replaced with `replacement`. As in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:721
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:727
 msgid "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a string made by applying the regular expression pattern to the val and replacing each matched instance with the string computed by replacing each matched group by the value returned by the corresponding template. The original matched value for the group is available as $. In template program mode, like for the template and the eval functions, you use [[ for { and ]] for }. The following example in template program mode looks for series with more than one word and uppercases the first word: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:756
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:762
 msgid "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A B\". This is most useful for converting names in LN, FN format to FN LN. If there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:769
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:775
 msgid "ifempty(val, text if empty) -- return val if val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:783
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:789
 msgid "shorten(val, left chars, middle text, right chars) -- Return a shortened version of val, consisting of `left chars` characters from the beginning of val, followed by `middle text`, followed by `right chars` characters from the end of the string. `Left chars` and `right chars` must be integers. For example, assume the title of the book is `Ancient English Laws in the Times of Ivanhoe`, and you want it to fit in a space of at most 15 characters. If you use {title:shorten(9,-,5)}, the result will be `Ancient E-nhoe`. If the field's length is less than left chars + right chars + the length of `middle text`, then the field will be used intact. For example, the title `The Dome` would not be changed."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:810
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:816
 msgid "count(val, separator) -- interprets the value as a list of items separated by `separator`, returning the number of items in the list. Most lists use a comma as the separator, but authors uses an ampersand. Examples: {tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:823
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:829
 msgid "list_item(val, index, separator) -- interpret the value as a list of items separated by `separator`, returning the `index`th item. The first item is number zero. The last item can be returned using `list_item(-1,separator)`. If the item is not in the list, then the empty value is returned. The separator has the same meaning as in the count function."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:845
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:851
 msgid "select(val, key) -- interpret the value as a comma-separated list of items, with the items being \"id:value\". Find the pair with the id equal to key, and return the corresponding value."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:864
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:870
 msgid "approximate_formats() -- return a comma-separated list of formats that at one point were associated with the book. There is no guarantee that this list is correct, although it probably is. This function can be called in template program mode using the template \"{:'approximate_formats()'}\". Note that format names are always uppercase, as in EPUB. This function works only in the GUI. If you want to use these values in save-to-disk or send-to-device templates then you must make a custom \"Column built from other columns\", use the function in that column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:885
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:891
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:892
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:898
 msgid "formats_modtimes(date_format) -- return a comma-separated list of colon-separated items representing modification times for the formats of a book. The date_format parameter specifies how the date is to be formatted. See the format_date function for details. You can use the select function to get the mod time for a specific format. Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:916
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:922
 msgid "formats_sizes() -- return a comma-separated list of colon-separated items representing sizes in bytes of the formats of a book. You can use the select function to get the size for a specific format. Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:936
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:942
 msgid "formats_paths() -- return a comma-separated list of colon-separated items representing full path to the formats of a book. You can use the select function to get the path for a specific format. Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:955
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:961
 msgid "human_readable(v) -- return a string representing the number v in KB, MB, GB, etc."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:970
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:976
 msgid "format_number(v, template) -- format the number v using a Python formatting template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The field_name part of the template must be a 0 (zero) (the \"{0:\" in the above examples). See the template language and Python documentation for more examples. You can leave off the leading \"{0:\" and trailing \"}\" if the template contains only a format. Returns the empty string if formatting fails."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid "sublist(val, start_index, end_index, separator) -- interpret the value as a list of items separated by `separator`, returning a new list made from the `start_index` to the `end_index` item. The first item is number zero. If an index is negative, then it counts from the end of the list. As a special case, an end_index of zero is assumed to be the length of the list. Examples using basic template mode and assuming that the tags column (which is comma-separated) contains \"A, B, C\": {tags:sublist(0,1,\\\\,)} returns \"A\". {tags:sublist(-1,0,\\\\,)} returns \"C\". {tags:sublist(0,-1,\\\\,)} returns \"A, B\"."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid "subitems(val, start_index, end_index) -- This function is used to break apart lists of items such as genres. It interprets the value as a comma-separated list of items, where each item is a period-separated list. Returns a new list made by first finding all the period-separated items, then for each such item extracting the `start_index` to the `end_index` components, then combining the results back together. The first component in a period-separated list has an index of zero. If an index is negative, then it counts from the end of the list. As a special case, an end_index of zero is assumed to be the length of the list. Example using basic template mode and assuming a #genre value of \"A.B.C\": {#genre:subitems(0,1)} returns \"A\". {#genre:subitems(0,2)} returns \"A.B\". {#genre:subitems(1,0)} returns \"B.C\". Assuming a #genre value of \"A.B.C, D.E.F\", {#genre:subitems(0,1)} returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid "format_date(val, format_string) -- format the value, which must be a date, using the format_string, returning a string. The formatting codes are: d    : the day as number without a leading zero (1 to 31) dd   : the day as number with a leading zero (01 to 31) ddd  : the abbreviated localized day name (e.g. \"Mon\" to \"Sun\"). dddd : the long localized day name (e.g. \"Monday\" to \"Sunday\"). M    : the month as number without a leading zero (1 to 12). MM   : the month as number with a leading zero (01 to 12) MMM  : the abbreviated localized month name (e.g. \"Jan\" to \"Dec\"). MMMM : the long localized month name (e.g. \"January\" to \"December\"). yy   : the year as two digit number (00 to 99). yyyy : the year as four digit number. h    : the hours without a leading 0 (0 to 11 or 0 to 23, depending on am/pm) hh   : the hours with a leading 0 (00 to 11 or 00 to 23, depending on am/pm) m    : the minutes without a leading 0 (0 to 59) mm   : the minutes with a leading 0 (00 to 59) s    : the seconds without a leading 0 (0 to 59) ss   : the seconds with a leading 0 (00 to 59) ap   : use a 12-hour clock instead of a 24-hour clock, with \"ap\" replaced by the localized string for am or pm AP   : use a 12-hour clock instead of a 24-hour clock, with \"AP\" replaced by the localized string for AM or PM iso  : the date with time and timezone. Must be the only format present"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid "booksize() -- return value of the size field. This function works only in the GUI. If you want to use this value in save-to-disk or send-to-device templates then you must make a custom \"Column built from other columns\", use the function in that column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid "ondevice() -- return Yes if ondevice is set, otherwise return the empty string. This function works only in the GUI. If you want to use this value in save-to-disk or send-to-device templates then you must make a custom \"Column built from other columns\", use the function in that column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid "annotation_count() -- return the total number of annotations of all types attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid "has_cover() -- return Yes if the book has a cover, otherwise return the empty string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid "first_non_empty(value, value, ...) -- returns the first value that is not empty. If all values are empty, then the empty value is returned. You can have as many values as you want."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid "and(value, value, ...) -- returns the string \"1\" if all values are not empty, otherwise returns the empty string. This function works well with test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid "or(value, value, ...) -- returns the string \"1\" if any value is not empty, otherwise returns the empty string. This function works well with test or first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid "not(value) -- returns the string \"1\" if the value is empty, otherwise returns the empty string. This function works well with test or first_non_empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid "list_union(list1, list2, separator) -- return a list made by merging the items in list1 and list2, removing duplicate items using a case-insensitive comparison. If items differ in case, the one in list1 is used. The items in list1 and list2 are separated by separator, as are the items in the returned list."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid "list_difference(list1, list2, separator) -- return a list made by removing from list1 any item found in list2, using a case-insensitive comparison. The items in list1 and list2 are separated by separator, as are the items in the returned list."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid "list_intersection(list1, list2, separator) -- return a list made by removing from list1 any item not found in list2, using a case-insensitive comparison. The items in list1 and list2 are separated by separator, as are the items in the returned list."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid "list_sort(list, direction, separator) -- return list sorted using a case-insensitive sort. If direction is zero, the list is sorted ascending, otherwise descending. The list items are separated by separator, as are the items in the returned list."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if list1 and list2 contain the same items, otherwise return no_val. The items are determined by splitting each list using the appropriate separator character (sep1 or sep2). The order of items in the lists is not relevant. The comparison is case insensitive."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by first separating src_list into items using the separator character. For each item in the list, check if it matches include_re. If it does, then add it to the list to be returned. If opt_replace is not the empty string, then apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Like list_re except replacements are not optional. It uses re_group(list_item, search_re, group_1_template, ...) when doing the replacements on the resulting list."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid "today() -- return a date string for today. This value is designed for use in format_date or days_between, but can be manipulated like any other string. The date is in ISO format."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid "days_between(date1, date2) -- return the number of days between date1 and date2. The number is positive if date1 is greater than date2, otherwise negative. If either date1 or date2 are not dates, the function returns the empty string."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid "language_strings(lang_codes, localize) -- return the strings for the language codes passed in lang_codes. If localize is zero, return the strings in English. If localize is not zero, return the strings in the language of the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid "language_codes(lang_strings) -- return the language codes for the strings passed in lang_strings. The strings must be in the language of the current locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid "current_library_name() -- return the last name on the path to the current calibre library. This function can be called in template program mode using the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid "current_library_path() -- return the path to the current calibre library. This function can be called in template program mode using the template \"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and suffix to a value in the same way as done in a template like `{series_index:05.2f| - |- }`. For example, the following program produces the same output as the above template: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid "virtual_libraries() -- return a comma-separated list of Virtual libraries that contain this book. This function works only in the GUI. If you want to use these values in save-to-disk or send-to-device templates then you must make a custom \"Column built from other columns\", use the function in that column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid "user_categories() -- return a comma-separated list of the user categories that contain this book. This function works only in the GUI. If you want to use these values in save-to-disk or send-to-device templates then you must make a custom \"Column built from other columns\", use the function in that column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid "transliterate(a) -- Returns a string in a latin alphabet formed by approximating the sound of the words in the source string. For example, if the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid "author_links(val_separator, pair_separator) -- returns a string containing a list of authors and that author's link values in the form author1 val_separator author1link pair_separator author2 val_separator author2link etc. An author is separated from its link value by the val_separator string with no added spaces. author:linkvalue pairs are separated by the pair_separator string argument with no added spaces. It is up to you to choose separator strings that do not occur in author names or links. An author is included even if the author link is empty."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid "author_sorts(val_separator) -- returns a string containing a list of author's sort values for the authors of the book. The sort is the one in the author metadata (different from the author_sort in books). The returned list has the form author sort 1 val_separator author sort 2 etc. The author sort values in this list are in the same order as the authors of the book. If you want spaces around val_separator then include them in the separator string"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid "connected_device_name(storage_location) -- if a device is connected then return the device name, otherwise return the empty string. Each storage location on a device can have a different name. The location names are 'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid "connected_device_uuid(storage_location) -- if a device is connected then return the device uuid (unique id), otherwise return the empty string. Each storage location on a device has a different uuid. The location names are 'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the value of the yes/no field named by the lookup key field_name for a value specified by the parameters, returning \"yes\" if a match is found, otherwise returning an empty string. Set the parameter is_undefined, is_false, or is_true to 1 (the number) to check that condition, otherwise set it to 0. Example: check_yes_no(\"#bool\", 1, 0, 1) returns \"yes\" if the yes/no field \"#bool\" is either undefined (neither True nor False) or True. More than one of is_undefined, is_false, or is_true can be set to 1.  This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid "rating_to_stars(value, use_half_stars) -- Returns the rating as string of star characters. The value is a number between 0 and 5. Set use_half_stars to 1 if you want half star characters for custom ratings columns that support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid "swap_around_articles(val, separator) -- returns the val with articles moved to the end. The value can be a list, in which case each member of the list is processed. If the value is a list then you must provide the list value separator. If no separator is provided then the value is treated as being a single value, not a list."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template to retrieve the arguments passed in the call. It both declares and initializes local variables, effectively parameters. The variables are positional; they get the value of the value given in the call in the same position. If the corresponding parameter is not provided in the call then arguments assigns that variable the provided default value. If there is no default value then the variable is set to the empty string."
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global variables\" that can be passed into the formatter. It both declares and initializes local variables with the names of the global variables passed in. If the corresponding variable is not provided in the passed-in globals then it assigns that variable the provided default value. If there is no default value then the variable is set to the empty string."
 msgstr ""
 
+#: /home/kovid/work/calibre/src/calibre/utils/formatter_functions.py:1902
+msgid "field_exists(field_name) -- checks if a field (column) named field_name exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /home/kovid/work/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -35483,29 +35578,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:209
+#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:241
+#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:374
+#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:426
+#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:431
+#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:438
+#: /home/kovid/work/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -36034,317 +36129,317 @@ msgid "Author sort name algorithm"
 msgstr ""
 
 #: /home/kovid/work/calibre/resources/default_tweaks.py:48
-msgid "The algorithm used to copy author to author_sort.\nPossible values are:\ninvert: use \"fn ln\" -> \"ln, fn\"\ncopy  : copy author to author_sort without modification\ncomma : use 'copy' if there is a ',' in the name, otherwise use 'invert'\nnocomma : \"fn ln\" -> \"ln fn\" (without the comma)\nWhen this tweak is changed, the author_sort values stored with each author\nmust be recomputed by right-clicking on an author in the left-hand tags panel,\nselecting 'manage authors', and pressing 'Recalculate all author sort values'.\nThe author name suffixes are words that are ignored when they occur at the\nend of an author name. The case of the suffix is ignored and trailing\nperiods are automatically handled. The same is true for prefixes.\nThe author name copy words are a set of words which if they occur in an\nauthor name cause the automatically generated author sort string to be\nidentical to the author name. This means that the sort for a string like Acme\nInc. will be Acme Inc. instead of Inc., Acme"
+msgid "The algorithm used to copy author to author_sort.\nPossible values are:\ninvert: use \"fn ln\" -> \"ln, fn\"\ncopy  : copy author to author_sort without modification\ncomma : use 'copy' if there is a ',' in the name, otherwise use 'invert'\nnocomma : \"fn ln\" -> \"ln fn\" (without the comma)\nWhen this tweak is changed, the author_sort values stored with each author\nmust be recomputed by right-clicking on an author in the left-hand tags\npanel, selecting 'manage authors', and pressing\n'Recalculate all author sort values'.\n\nThe author_name_suffixes are words that are ignored when they occur at the\nend of an author name. The case of the suffix is ignored and trailing\nperiods are automatically handled.\n\nThe same is true for author_name_prefixes.\n\nThe author_name_copywords are a set of words which, if they occur in an\nauthor name, cause the automatically generated author sort string to be\nidentical to the author name. This means that the sort for a string like\n\"Acme Inc.\" will be \"Acme Inc.\" instead of \"Inc., Acme\".\n\nIf author_use_surname_prefixes is enabled, any of the words in\nauthor_surname_prefixes will be treated as a prefix to the surname, if they\noccur before the surname. So for example, \"John von Neumann\" would be sorted\nas \"von Neumann, John\" and not \"Neumann, John von\"."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:72
+#: /home/kovid/work/calibre/resources/default_tweaks.py:85
 msgid "Splitting multiple author names"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:73
+#: /home/kovid/work/calibre/resources/default_tweaks.py:86
 msgid "By default, calibre splits a string containing multiple author names on\nampersands and the words \"and\" and \"with\". You can customize the splitting\nby changing the regular expression below. Strings are split on whatever the\nspecified regular expression matches, in addition to ampersands.\nDefault: r'(?i),?\\s+(and|with)\\s+'"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:80
+#: /home/kovid/work/calibre/resources/default_tweaks.py:93
 msgid "Use author sort in Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:81
-msgid "Set which author field to display in the tags panel (the list of authors,\nseries, publishers etc on the left hand side). The choices are author and\nauthor_sort. This tweak affects only what is displayed under the authors\ncategory in the tags panel and Content server. Please note that if you set this\nto author_sort, it is very possible to see duplicate names in the list because\nalthough it is guaranteed that author names are unique, there is no such\nguarantee for author_sort values. Showing duplicates won't break anything, but\nit could lead to some confusion. When using 'author_sort', the tooltip will\nshow the author's name.\nExamples:\ncategories_use_field_for_author_name = 'author'\ncategories_use_field_for_author_name = 'author_sort'"
+#: /home/kovid/work/calibre/resources/default_tweaks.py:94
+msgid "Set which author field to display in the Tag browser (the list of authors,\nseries, publishers etc on the left hand side). The choices are author and\nauthor_sort. This tweak affects only what is displayed under the authors\ncategory in the Tag browser and Content server. Please note that if you set this\nto author_sort, it is very possible to see duplicate names in the list because\nalthough it is guaranteed that author names are unique, there is no such\nguarantee for author_sort values. Showing duplicates won't break anything, but\nit could lead to some confusion. When using 'author_sort', the tooltip will\nshow the author's name.\nExamples:\ncategories_use_field_for_author_name = 'author'\ncategories_use_field_for_author_name = 'author_sort'"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:95
+#: /home/kovid/work/calibre/resources/default_tweaks.py:108
 msgid "Control partitioning of Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:96
+#: /home/kovid/work/calibre/resources/default_tweaks.py:109
 msgid "When partitioning the Tag browser, the format of the subcategory label is\ncontrolled by a template: categories_collapsed_name_template if sorting by\nname, categories_collapsed_rating_template if sorting by average rating, and\ncategories_collapsed_popularity_template if sorting by popularity. There are\ntwo variables available to the template: first and last. The variable 'first'\nis the initial item in the subcategory, and the variable 'last' is the final\nitem in the subcategory. Both variables are 'objects'; they each have multiple\nvalues that are obtained by using a suffix. For example, first.name for an\nauthor category will be the name of the author. The sub-values available are:\nname: the printable name of the item\ncount: the number of books that references this item\navg_rating: the average rating of all the books referencing this item\nsort: the sort value. For authors, this is the author_sort for that author\ncategory: the category (e.g., authors, series) that the item is in.\nNote that the \"r'\" in front of the { is necessary if there are backslashes\n(\\ characters) in the template. It doesn't hurt anything to leave it there\neven if there aren't any backslashes."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:117
+#: /home/kovid/work/calibre/resources/default_tweaks.py:130
 msgid "Control order of categories in the Tag browser"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:118
+#: /home/kovid/work/calibre/resources/default_tweaks.py:131
 msgid "Change the following dict to change the order that categories are displayed in\nthe Tag browser. Items are named using their lookup name, and will be sorted\nusing the number supplied. The lookup name '*' stands for all names that\notherwise do not appear. Two names with the same value will be sorted\nusing the default order; the one used when the dict is empty.\nExample: tag_browser_category_order = {'series':1, 'tags':2, '*':3}\nresulting in the order series, tags, then everything else in default order."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:128
+#: /home/kovid/work/calibre/resources/default_tweaks.py:141
 msgid "Specify columns to sort the booklist by on startup"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:129
+#: /home/kovid/work/calibre/resources/default_tweaks.py:142
 msgid "Provide a set of columns to be sorted on when calibre starts.\nThe argument is None if saved sort history is to be used\notherwise it is a list of column,order pairs. Column is the\nlookup/search name, found using the tooltip for the column\nOrder is 0 for ascending, 1 for descending.\nFor example, set it to [('authors',0),('title',0)] to sort by\ntitle within authors."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:138
+#: /home/kovid/work/calibre/resources/default_tweaks.py:151
 msgid "Control how dates are displayed"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:139
+#: /home/kovid/work/calibre/resources/default_tweaks.py:152
 msgid "Format to be used for publication date and the timestamp (date).\nA string controlling how the publication date is displayed in the GUI\nd     the day as number without a leading zero (1 to 31)\ndd    the day as number with a leading zero (01 to 31)\nddd   the abbreviated localized day name (e.g. 'Mon' to 'Sun').\ndddd  the long localized day name (e.g. 'Monday' to 'Sunday').\nM     the month as number without a leading zero (1-12)\nMM    the month as number with a leading zero (01-12)\nMMM   the abbreviated localized month name (e.g. 'Jan' to 'Dec').\nMMMM  the long localized month name (e.g. 'January' to 'December').\nyy    the year as two digit number (00-99)\nyyyy  the year as four digit number\nh     the hours without a leading 0 (0 to 11 or 0 to 23, depending on am/pm) '\nhh    the hours with a leading 0 (00 to 11 or 00 to 23, depending on am/pm) '\nm     the minutes without a leading 0 (0 to 59) '\nmm    the minutes with a leading 0 (00 to 59) '\ns     the seconds without a leading 0 (0 to 59) '\nss    the seconds with a leading 0 (00 to 59) '\nap    use a 12-hour clock instead of a 24-hour clock, with \"ap\" replaced by the localized string for am or pm\nAP    use a 12-hour clock instead of a 24-hour clock, with \"AP\" replaced by the localized string for AM or PM\niso   the date with time and timezone. Must be the only format present\nFor example, given the date of 9 Jan 2010, the following formats show\nMMM yyyy ==> Jan 2010    yyyy ==> 2010       dd MMM yyyy ==> 09 Jan 2010\nMM/yyyy ==> 01/2010      d/M/yy ==> 9/1/10   yy ==> 10\n\npublication default if not set: MMM yyyy\ntimestamp default if not set: dd MMM yyyy\nlast_modified_display_format if not set: dd MMM yyyy"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:171
+#: /home/kovid/work/calibre/resources/default_tweaks.py:184
 msgid "Control sorting of titles and series in the library display"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:172
+#: /home/kovid/work/calibre/resources/default_tweaks.py:185
 msgid "Control title and series sorting in the library view. If set to\n'library_order', the title sort field will be used instead of the title.\nUnless you have manually edited the title sort field, leading articles such as\nThe and A will be ignored. If set to 'strictly_alphabetic', the titles will be\nsorted as-is (sort by title instead of title sort). For example, with\nlibrary_order, The Client will sort under 'C'. With strictly_alphabetic, the\nbook will sort under 'T'.\nThis flag affects calibre's library display. It has no effect on devices. In\naddition, titles for books added before changing the flag will retain their\norder until the title is edited. Editing a title and hitting return\nwithout changing anything is sufficient to change the sort. Or you can use\nthe 'Update title sort' action in the Bulk metadata edit dialog to update\nit for many books at once."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:187
+#: /home/kovid/work/calibre/resources/default_tweaks.py:200
 msgid "Control formatting of title and series when used in templates"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:188
+#: /home/kovid/work/calibre/resources/default_tweaks.py:201
 msgid "Control how title and series names are formatted when saving to disk/sending\nto device. The behavior depends on the field being processed. If processing\ntitle, then if this tweak is set to 'library_order', the title will be\nreplaced with title_sort. If it is set to 'strictly_alphabetic', then the\ntitle will not be changed. If processing series, then if set to\n'library_order', articles such as 'The' and 'An' will be moved to the end. If\nset to 'strictly_alphabetic', the series will be sent without change.\nFor example, if the tweak is set to library_order, \"The Lord of the Rings\"\nwill become \"Lord of the Rings, The\". If the tweak is set to\nstrictly_alphabetic, it would remain \"The Lord of the Rings\". Note that the\nformatter function raw_field will return the base value for title and\nseries regardless of the setting of this tweak."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:202
+#: /home/kovid/work/calibre/resources/default_tweaks.py:215
 msgid "Set the list of words considered to be \"articles\" for sort strings"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:203
+#: /home/kovid/work/calibre/resources/default_tweaks.py:216
 msgid "Set the list of words that are to be considered 'articles' when computing the\ntitle sort strings. The articles differ by language. By default, calibre uses\na combination of articles from English and whatever language the calibre user\ninterface is set to. In addition, in some contexts where the book language is\navailable, the language of the book is used. You can change the list of\narticles for a given language or add a new language by editing\nper_language_title_sort_articles. To tell calibre to use a language other\nthan the user interface language, set, default_language_for_title_sort. For\nexample, to use German, set it to 'deu'. A value of None means the user\ninterface language is used. The setting title_sort_articles is ignored\n(present only for legacy reasons)."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:258
+#: /home/kovid/work/calibre/resources/default_tweaks.py:271
 msgid "Specify a folder calibre should connect to at startup"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:259
+#: /home/kovid/work/calibre/resources/default_tweaks.py:272
 msgid "Specify a folder that calibre should connect to at startup using\nconnect_to_folder. This must be a full path to the folder. If the folder does\nnot exist when calibre starts, it is ignored.\nExample for Windows:\nauto_connect_to_folder = 'C:/Users/someone/Desktop/testlib'\nExample for other operating systems:\nauto_connect_to_folder = '/home/dropbox/My Dropbox/someone/library'"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:268
+#: /home/kovid/work/calibre/resources/default_tweaks.py:281
 msgid "Specify renaming rules for SONY collections"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:269
-msgid "Specify renaming rules for sony collections. This tweak is only applicable if\nmetadata management is set to automatic. Collections on Sonys are named\ndepending upon whether the field is standard or custom. A collection derived\nfrom a standard field is named for the value in that field. For example, if\nthe standard 'series' column contains the value 'Darkover', then the\ncollection name is 'Darkover'. A collection derived from a custom field will\nhave the name of the field added to the value. For example, if a custom series\ncolumn named 'My Series' contains the name 'Darkover', then the collection\nwill by default be named 'Darkover (My Series)'. For purposes of this\ndocumentation, 'Darkover' is called the value and 'My Series' is called the\ncategory. If two books have fields that generate the same collection name,\nthen both books will be in that collection.\nThis set of tweaks lets you specify for a standard or custom field how\nthe collections are to be named. You can use it to add a description to a\nstandard field, for example 'Foo (Tag)' instead of the 'Foo'. You can also use\nit to force multiple fields to end up in the same collection. For example, you\ncould force the values in 'series', '#my_series_1', and '#my_series_2' to\nappear in collections named 'some_value (Series)', thereby merging all of the\nfields into one set of collections.\nThere are two related tweaks. The first determines the category name to use\nfor a metadata field.  The second is a template, used to determines how the\nvalue and category are combined to create the collection name.\nThe syntax of the first tweak, sony_collection_renaming_rules, is:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nThe second tweak, sony_collection_name_template, is a template. It uses the\nsame template language as plugboards and save templates. This tweak controls\nhow the value and category are combined together to make the collection name.\nThe only two fields available are {category} and {value}. The {value} field is\nnever empty. The {category} field can be empty. The default is to put the\nvalue first, then the category enclosed in parentheses, it isn't empty:\n'{value} {category:|(|)}'\nExamples: The first three examples assume that the second tweak\nhas not been changed.\n1: I want three series columns to be merged into one set of collections. The\ncolumn lookup names are 'series', '#series_1' and '#series_2'. I want nothing\nin the parenthesis. The value to use in the tweak value would be:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: I want the word '(Series)' to appear on collections made from series, and\nthe word '(Tag)' to appear on collections made from tags. Use:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: I want 'series' and '#myseries' to be merged, and for the collection name\nto have '(Series)' appended. The renaming rule is:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: Same as example 2, but instead of having the category name in parentheses\nand appended to the value, I want it prepended and separated by a colon, such\nas in Series: Darkover. I must change the template used to format the category name\nThe resulting two tweaks are:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
+#: /home/kovid/work/calibre/resources/default_tweaks.py:282
+msgid "Specify renaming rules for SONY collections. This tweak is only applicable if\nmetadata management is set to automatic. Collections on SONYs are named\ndepending upon whether the field is standard or custom. A collection derived\nfrom a standard field is named for the value in that field. For example, if\nthe standard 'series' column contains the value 'Darkover', then the\ncollection name is 'Darkover'. A collection derived from a custom field will\nhave the name of the field added to the value. For example, if a custom series\ncolumn named 'My Series' contains the name 'Darkover', then the collection\nwill by default be named 'Darkover (My Series)'. For purposes of this\ndocumentation, 'Darkover' is called the value and 'My Series' is called the\ncategory. If two books have fields that generate the same collection name,\nthen both books will be in that collection.\nThis set of tweaks lets you specify for a standard or custom field how\nthe collections are to be named. You can use it to add a description to a\nstandard field, for example 'Foo (Tag)' instead of the 'Foo'. You can also use\nit to force multiple fields to end up in the same collection. For example, you\ncould force the values in 'series', '#my_series_1', and '#my_series_2' to\nappear in collections named 'some_value (Series)', thereby merging all of the\nfields into one set of collections.\nThere are two related tweaks. The first determines the category name to use\nfor a metadata field.  The second is a template, used to determines how the\nvalue and category are combined to create the collection name.\nThe syntax of the first tweak, sony_collection_renaming_rules, is:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nThe second tweak, sony_collection_name_template, is a template. It uses the\nsame template language as plugboards and save templates. This tweak controls\nhow the value and category are combined together to make the collection name.\nThe only two fields available are {category} and {value}. The {value} field is\nnever empty. The {category} field can be empty. The default is to put the\nvalue first, then the category enclosed in parentheses, it isn't empty:\n'{value} {category:|(|)}'\nExamples: The first three examples assume that the second tweak\nhas not been changed.\n1: I want three series columns to be merged into one set of collections. The\ncolumn lookup names are 'series', '#series_1' and '#series_2'. I want nothing\nin the parenthesis. The value to use in the tweak value would be:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: I want the word '(Series)' to appear on collections made from series, and\nthe word '(Tag)' to appear on collections made from tags. Use:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: I want 'series' and '#myseries' to be merged, and for the collection name\nto have '(Series)' appended. The renaming rule is:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: Same as example 2, but instead of having the category name in parentheses\nand appended to the value, I want it prepended and separated by a colon, such\nas in Series: Darkover. I must change the template used to format the category name\nThe resulting two tweaks are:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:321
+#: /home/kovid/work/calibre/resources/default_tweaks.py:334
 msgid "Specify how SONY collections are sorted"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:322
-msgid "Specify how sony collections are sorted. This tweak is only applicable if\nmetadata management is set to automatic. You can indicate which metadata is to\nbe used to sort on a collection-by-collection basis. The format of the tweak\nis a list of metadata fields from which collections are made, followed by the\nname of the metadata field containing the sort value.\nExample: The following indicates that collections built from pubdate and tags\nare to be sorted by the value in the custom column '#mydate', that collections\nbuilt from 'series' are to be sorted by 'series_index', and that all other\ncollections are to be sorted by title. If a collection metadata field is not\nnamed, then if it is a series- based collection it is sorted by series order,\notherwise it is sorted by title order.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nNote that the bracketing and parentheses are required. The syntax is\n[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\nDefault: empty (no rules), so no collection attributes are named."
+#: /home/kovid/work/calibre/resources/default_tweaks.py:335
+msgid "Specify how SONY collections are sorted. This tweak is only applicable if\nmetadata management is set to automatic. You can indicate which metadata is to\nbe used to sort on a collection-by-collection basis. The format of the tweak\nis a list of metadata fields from which collections are made, followed by the\nname of the metadata field containing the sort value.\nExample: The following indicates that collections built from pubdate and tags\nare to be sorted by the value in the custom column '#mydate', that collections\nbuilt from 'series' are to be sorted by 'series_index', and that all other\ncollections are to be sorted by title. If a collection metadata field is not\nnamed, then if it is a series- based collection it is sorted by series order,\notherwise it is sorted by title order.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nNote that the bracketing and parentheses are required. The syntax is\n[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\nDefault: empty (no rules), so no collection attributes are named."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:339
+#: /home/kovid/work/calibre/resources/default_tweaks.py:352
 msgid "Control how tags are applied when copying books to another library"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:340
+#: /home/kovid/work/calibre/resources/default_tweaks.py:353
 msgid "Set this to True to ensure that tags in 'Tags to add when adding\na book' are added when copying books to another library"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:344
+#: /home/kovid/work/calibre/resources/default_tweaks.py:357
 msgid "Set the maximum number of sort 'levels'"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:345
+#: /home/kovid/work/calibre/resources/default_tweaks.py:358
 msgid "Set the maximum number of sort 'levels' that calibre will use to resort the\nlibrary after certain operations such as searches or device insertion. Each\nsort level adds a performance penalty. If the database is large (thousands of\nbooks) the penalty might be noticeable. If you are not concerned about multi-\nlevel sorts, and if you are seeing a slowdown, reduce the value of this tweak."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:352
+#: /home/kovid/work/calibre/resources/default_tweaks.py:365
 msgid "Choose whether dates are sorted using visible fields"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:353
+#: /home/kovid/work/calibre/resources/default_tweaks.py:366
 msgid "Date values contain both a date and a time. When sorted, all the fields are\nused, regardless of what is displayed. Set this tweak to True to use only\nthe fields that are being displayed."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:358
+#: /home/kovid/work/calibre/resources/default_tweaks.py:371
 msgid "Fuzz value for trimming covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:359
+#: /home/kovid/work/calibre/resources/default_tweaks.py:372
 msgid "The value used for the fuzz distance when trimming a cover.\nColors within this distance are considered equal.\nThe distance is in absolute intensity units."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:364
+#: /home/kovid/work/calibre/resources/default_tweaks.py:377
 msgid "Control behavior of the book list"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:365
+#: /home/kovid/work/calibre/resources/default_tweaks.py:378
 msgid "You can control the behavior of double clicks and pressing enter on the books list.\nChoices: open_viewer, do_nothing,\nedit_cell, edit_metadata. Selecting anything other than open_viewer has the\nside effect of disabling editing a field using a single click.\nDefault: open_viewer.\nExample: doubleclick_on_library_view = 'do_nothing'\nYou can also control whether the book list scrolls horizontal per column or\nper pixel. Default is per column."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:377
+#: /home/kovid/work/calibre/resources/default_tweaks.py:390
 msgid "Language to use when sorting"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:378
+#: /home/kovid/work/calibre/resources/default_tweaks.py:391
 msgid "Setting this tweak will force sorting to use the\ncollating order for the specified language. This might be useful if you run\ncalibre in English but want sorting to work in the language where you live.\nSet the tweak to the desired ISO 639-1 language code, in lower case.\nYou can find the list of supported locales at\nhttps://en.wikipedia.org/wiki/List_of_ISO_639-1_codes\nDefault: locale_for_sorting = '' -- use the language calibre displays in\nExample: locale_for_sorting = 'fr' -- sort using French rules.\nExample: locale_for_sorting = 'nb' -- sort using Norwegian rules."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:389
+#: /home/kovid/work/calibre/resources/default_tweaks.py:402
 msgid "Number of columns for custom metadata in the edit metadata dialog"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:390
+#: /home/kovid/work/calibre/resources/default_tweaks.py:403
 msgid "Set whether to use one or two columns for custom metadata when editing\nmetadata  one book at a time. If True, then the fields are laid out using two\ncolumns. If False, one column is used."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:395
+#: /home/kovid/work/calibre/resources/default_tweaks.py:408
 msgid "Order of custom column(s) in edit metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:396
+#: /home/kovid/work/calibre/resources/default_tweaks.py:409
 msgid "Controls the order that custom columns are listed in edit metadata single\nand bulk. The columns listed in the tweak are displayed first and in the\norder provided. Any columns not listed are displayed after the listed ones,\nin alphabetical order. Do note that this tweak does not change the size of\nthe edit widgets. Putting comments widgets in this list may result in some\nodd widget spacing when using two-column mode.\nEnter a comma-separated list of custom field lookup names, as in\nmetadata_edit_custom_column_order = ['#genre', '#mytags', '#etc']"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:406
+#: /home/kovid/work/calibre/resources/default_tweaks.py:419
 msgid "Edit metadata custom column label width and elision point"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:407
+#: /home/kovid/work/calibre/resources/default_tweaks.py:420
 msgid "Set the width of custom column labels shown in the edit metadata dialogs.\nIf metadata_edit_elide_labels is True then labels wider than the width\nwill be elided, otherwise they will be word wrapped. The maximum width is\ncomputed by multiplying the average width of characters in the font by the\nappropriate number.\nSet the elision point to 'middle' to put the ellipsis (…) in the middle of\nthe label, 'right' to put it at the right end of the label, and 'left' to\nput it at the left end."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:420
+#: /home/kovid/work/calibre/resources/default_tweaks.py:433
 msgid "The number of seconds to wait before sending emails"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:421
+#: /home/kovid/work/calibre/resources/default_tweaks.py:434
 msgid "The number of seconds to wait before sending emails when using a\npublic email server like GMX/Hotmail/Gmail. Default is: 5 minutes\nSetting it to lower may cause the server's SPAM controls to kick in,\nmaking email sending fail. Changes will take effect only after a restart of\ncalibre. You can also change the list of hosts that calibre considers\nto be public relays here. Any relay host ending with one of the suffixes\nin the list below will be considered a public email server."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:431
+#: /home/kovid/work/calibre/resources/default_tweaks.py:444
 msgid "The maximum width and height for covers saved in the calibre library"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:432
+#: /home/kovid/work/calibre/resources/default_tweaks.py:445
 msgid "All covers in the calibre library will be resized, preserving aspect ratio,\nto fit within this size. This is to prevent slowdowns caused by extremely\nlarge covers"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:437
+#: /home/kovid/work/calibre/resources/default_tweaks.py:450
 msgid "Where to send downloaded news"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:438
+#: /home/kovid/work/calibre/resources/default_tweaks.py:451
 msgid "When automatically sending downloaded news to a connected device, calibre\nwill by default send it to the main memory. By changing this tweak, you can\ncontrol where it is sent. Valid values are \"main\", \"carda\", \"cardb\". Note\nthat if there isn't enough free space available on the location you choose,\nthe files will be sent to the location with the most free space."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:445
+#: /home/kovid/work/calibre/resources/default_tweaks.py:458
 msgid "Unified toolbar on macOS"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:446
+#: /home/kovid/work/calibre/resources/default_tweaks.py:459
 msgid "If you enable this option and restart calibre, the toolbar will be 'unified'\nwith the titlebar as is normal for macOS applications. However, doing this has\nvarious bugs, for instance the minimum width of the toolbar becomes twice\nwhat it should be and it causes other random bugs on some systems, so turn it\non at your own risk!"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:453
+#: /home/kovid/work/calibre/resources/default_tweaks.py:466
 msgid "Save original file when converting/polishing from same format to same format"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:454
+#: /home/kovid/work/calibre/resources/default_tweaks.py:467
 msgid "When calibre does a conversion from the same format to the same format, for\nexample, from EPUB to EPUB, the original file is saved, so that in case the\nconversion is poor, you can tweak the settings and run it again. By setting\nthis to False you can prevent calibre from saving the original file.\nSimilarly, by setting save_original_format_when_polishing to False you can\nprevent calibre from saving the original file when polishing."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:463
+#: /home/kovid/work/calibre/resources/default_tweaks.py:476
 msgid "Number of recently viewed books to show"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:464
+#: /home/kovid/work/calibre/resources/default_tweaks.py:477
 msgid "Right-clicking the \"View\" button shows a list of recently viewed books. Control\nhow many should be shown, here."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:468
-msgid "Change the font size of book details in the interface"
+#: /home/kovid/work/calibre/resources/default_tweaks.py:481
+msgid "Change the font size of the Book details panel in the interface"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:469
+#: /home/kovid/work/calibre/resources/default_tweaks.py:482
 msgid "Change the font size at which book details are rendered in the side panel and\ncomments are rendered in the metadata edit dialog. Set it to a positive or\nnegative number to increase or decrease the font size."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:474
+#: /home/kovid/work/calibre/resources/default_tweaks.py:487
 msgid "What format to default to when using the \"Unpack book\" feature"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:475
+#: /home/kovid/work/calibre/resources/default_tweaks.py:488
 msgid "The \"Unpack book\" feature of calibre allows direct editing of a book format.\nIf multiple formats are available, calibre will offer you a choice\nof formats, defaulting to your preferred output format if it is available.\nSet this tweak to a specific value of 'EPUB' or 'AZW3' to always default\nto that format rather than your output format preference.\nSet to a value of 'remember' to use whichever format you chose last time you\nused the \"Unpack book\" feature.\nExamples:\ndefault_tweak_format = None       (Use output format)\ndefault_tweak_format = 'EPUB'\ndefault_tweak_format = 'remember'"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:488
+#: /home/kovid/work/calibre/resources/default_tweaks.py:501
 msgid "Do not preselect a completion when editing authors/tags/series/etc."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:489
+#: /home/kovid/work/calibre/resources/default_tweaks.py:502
 msgid "This means that you can make changes and press Enter and your changes will\nnot be overwritten by a matching completion. However, if you wish to use the\ncompletions you will now have to press Tab to select one before pressing\nEnter. Which technique you prefer will depend on the state of metadata in\nyour library and your personal editing style."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:496
+#: /home/kovid/work/calibre/resources/default_tweaks.py:509
 msgid "Completion mode when editing authors/tags/series/etc."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:497
+#: /home/kovid/work/calibre/resources/default_tweaks.py:510
 msgid "By default, when completing items, calibre will show you all the candidates\nthat start with the text you have already typed. You can instead have it show\nall candidates that contain the text you have already typed. To do this, set\ncompletion_mode to 'contains'. For example, if you type asi it will match both\nAsimov and Quasimodo, whereas the default behavior would match only Asimov."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:504
+#: /home/kovid/work/calibre/resources/default_tweaks.py:517
 msgid "Recognize numbers inside text when sorting"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:505
+#: /home/kovid/work/calibre/resources/default_tweaks.py:518
 msgid "This means that when sorting on text fields like title the text \"Book 2\"\nwill sort before the text \"Book 100\". If you want this behavior, set\nnumeric_collation = True note that doing so will cause problems with text\nthat starts with numbers and is a little slower."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:511
+#: /home/kovid/work/calibre/resources/default_tweaks.py:524
 msgid "Sort the list of libraries alphabetically"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:512
+#: /home/kovid/work/calibre/resources/default_tweaks.py:525
 msgid "The list of libraries in the Copy to library and Quick switch menus are\nnormally sorted by most used. However, if there are more than a certain\nnumber of such libraries, the sorting becomes alphabetic. You can set that\nnumber here. The default is ten libraries."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:518
+#: /home/kovid/work/calibre/resources/default_tweaks.py:531
 msgid "Choose available output formats for conversion"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:519
+#: /home/kovid/work/calibre/resources/default_tweaks.py:532
 msgid "Restrict the list of available output formats in the conversion dialogs.\nFor example, if you only want to convert to EPUB and AZW3, change this to\nrestrict_output_formats = ['EPUB', 'AZW3']. The default value of None causes\nall available output formats to be present."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:525
+#: /home/kovid/work/calibre/resources/default_tweaks.py:538
 msgid "Set the thumbnail image quality used by the Content server"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:526
+#: /home/kovid/work/calibre/resources/default_tweaks.py:539
 msgid "The quality of a thumbnail is largely controlled by the compression quality\nused when creating it. Set this to a larger number to improve the quality.\nNote that the thumbnails get much larger with larger compression quality\nnumbers.\nThe value can be between 50 and 99"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:533
+#: /home/kovid/work/calibre/resources/default_tweaks.py:546
 msgid "Image file types to treat as e-books when dropping onto the \"Book details\" panel"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:534
+#: /home/kovid/work/calibre/resources/default_tweaks.py:547
 msgid "Normally, if you drop any image file in a format known to calibre onto the\n\"Book details\" panel, it will be used to set the cover. If you want to store\nsome image types as e-books instead, you can set this tweak.\nExamples:\ncover_drop_exclude = {'tiff', 'webp'}"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:541
+#: /home/kovid/work/calibre/resources/default_tweaks.py:554
 msgid "Show the Saved searches box in the Search bar"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:542
+#: /home/kovid/work/calibre/resources/default_tweaks.py:555
 msgid "In newer versions of calibre, only a single button that allows you to add a\nnew Saved search is shown in the Search bar. If you would like to have the\nold Saved searches box with its two buttons back, set this tweak to True."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:547
+#: /home/kovid/work/calibre/resources/default_tweaks.py:560
 msgid "Exclude fields when copy/pasting metadata"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:548
+#: /home/kovid/work/calibre/resources/default_tweaks.py:561
 msgid "You can ask calibre to not paste some metadata fields when using the\nEdit metadata->Copy metadata/Paste metadata actions. For example,\nexclude_fields_on_paste = ['cover', 'timestamp', '#mycolumn']\nto prevent pasting of the cover, Date and custom column, mycolumn."
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:554
+#: /home/kovid/work/calibre/resources/default_tweaks.py:567
 msgid "Skip internet connected check"
 msgstr ""
 
-#: /home/kovid/work/calibre/resources/default_tweaks.py:555
+#: /home/kovid/work/calibre/resources/default_tweaks.py:568
 msgid "Skip checking whether the internet is available before downloading news.\nUseful if for some reason your operating systems network checking\nfacilities are not reliable (for example NetworkManager on Linux)."
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/calibre/mi.po 5.10.0+dfsg-1/translations/calibre/mi.po
--- 5.9.0+dfsg-3/translations/calibre/mi.po	2021-01-06 15:30:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/mi.po	2021-01-20 15:27:04.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/mk.po 5.10.0+dfsg-1/translations/calibre/mk.po
--- 5.9.0+dfsg-3/translations/calibre/mk.po	2021-01-06 15:30:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/mk.po	2021-01-20 15:27:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Неправи апсолутн
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Неправи апсолутн
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Неправи апсолутн
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Неправи апсолутн
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Неправи апсолутн
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Неправи апсолутн
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Прилагоди"
 msgid "Cannot configure"
 msgstr "Неможе да се прилагоди"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Тип на датотека"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Каталог генератор"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ml.po 5.10.0+dfsg-1/translations/calibre/ml.po
--- 5.9.0+dfsg-3/translations/calibre/ml.po	2021-01-06 15:29:22.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ml.po	2021-01-20 15:26:47.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -89,15 +89,15 @@ msgstr "ഒന്നും തന്ന
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -118,7 +118,7 @@ msgstr "ഒന്നും തന്ന
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -218,16 +218,16 @@ msgstr "ഒന്നും തന്ന
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -253,7 +253,7 @@ msgstr "ഒന്നും തന്ന
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -285,7 +285,7 @@ msgstr "ഒന്നും തന്ന
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -304,7 +304,7 @@ msgstr "ഒന്നും തന്ന
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -328,27 +328,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr "ക്രമീകരിക്കാന്‍ സാദ്ധ്യമല്ല"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ഫയല്‍ തരം"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "ഉപ വസ്തുതകള്‍ എഴുതാന്‍"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "പട്ടിക ഉണ്ടാക്കാന്‍"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -360,20 +360,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "ക്രമീകരണങ്ങള്‍"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -395,372 +395,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "ഹാസ്യ വിഭാഗത്തിലെ(comic) ഫയലുകളില്‍ നിന്നും മുഖചിത്രം സ്വാംശീകരിക്കുക"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s ഫയലുകളില്‍ നിന്നും മെറ്റാഡാറ്റ(metadata) വായിക്കുക"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -770,92 +770,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -863,7 +863,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1253,9 +1253,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1281,17 +1281,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1677,14 +1677,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1692,7 +1692,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1700,39 +1700,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2279,21 +2279,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3469,11 +3469,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3482,12 +3482,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6042,7 +6042,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6335,7 +6335,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6343,7 +6343,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6383,7 +6383,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6413,7 +6413,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8143,13 +8143,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8182,31 +8182,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9175,7 +9175,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10184,7 +10184,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "സഹായിക്കൂ "
 
@@ -11443,7 +11443,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "അവഗണിക്കൂ "
 
@@ -11573,8 +11573,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11708,11 +11708,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11855,7 +11855,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12182,7 +12182,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12259,7 +12259,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "സൂക്ഷിക്കുക "
 
@@ -12268,10 +12268,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12384,8 +12384,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13571,7 +13571,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13586,8 +13586,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14454,7 +14454,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14795,19 +14795,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14881,8 +14881,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14963,7 +14963,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16543,7 +16543,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16551,7 +16551,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16559,7 +16559,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16567,7 +16567,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16601,7 +16601,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17022,78 +17022,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17101,7 +17101,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17111,7 +17111,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17126,80 +17126,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17207,90 +17216,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17298,281 +17302,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17580,48 +17606,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18077,42 +18103,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18218,87 +18244,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19196,48 +19222,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20301,7 +20343,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20460,8 +20502,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20478,14 +20520,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22705,60 +22747,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22766,57 +22808,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23658,13 +23700,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23698,7 +23740,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23979,7 +24021,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24671,7 +24713,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25240,7 +25282,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25375,7 +25417,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25386,7 +25428,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26899,7 +26941,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27190,7 +27232,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27250,95 +27292,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27995,7 +28037,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28526,7 +28569,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "ഉപേക്ഷിക്കൂ "
 
@@ -30764,7 +30807,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "അടിവര "
 
@@ -32091,7 +32134,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32718,7 +32761,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34592,71 +34635,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35110,7 +35153,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35186,13 +35229,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35357,10 +35400,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "വേണ്ടാ "
 
@@ -36001,7 +36044,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36050,7 +36093,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36527,177 +36570,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37105,13 +37179,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37119,23 +37194,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37148,7 +37223,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37307,128 +37382,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37483,60 +37558,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37548,7 +37623,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37559,13 +37634,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37575,30 +37650,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37608,7 +37683,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37618,24 +37693,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37644,11 +37719,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37658,19 +37733,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37680,11 +37755,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37696,11 +37771,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37711,14 +37786,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37731,20 +37806,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37758,7 +37833,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37766,7 +37841,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37775,14 +37850,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37795,19 +37870,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37817,7 +37892,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37825,7 +37900,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37833,13 +37908,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37850,7 +37925,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37863,7 +37938,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37880,7 +37955,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37903,23 +37978,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37928,7 +38003,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37937,55 +38012,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37994,7 +38069,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38002,7 +38077,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38010,7 +38085,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38018,7 +38093,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38027,7 +38102,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38036,7 +38111,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38044,14 +38119,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38059,7 +38134,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38067,28 +38142,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38097,7 +38172,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38106,7 +38181,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38115,7 +38190,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38123,7 +38198,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38135,7 +38210,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38146,7 +38221,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38154,13 +38229,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38168,7 +38243,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38181,11 +38256,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38193,11 +38268,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38206,7 +38281,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38217,7 +38292,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38227,6 +38302,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38515,29 +38596,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38900,185 +38981,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "ശരി "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "എല്ലാം സൂക്ഷിക്കുക "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "തുറക്കുക "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "സമ്മതം "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "എല്ലാത്തിനും സമ്മതം "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "വേണ്ട "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "എല്ലാത്തിനും വേണ്ട "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "അവസാനിപ്പിക്കുക "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "വീണ്ടും ശ്രമിക്കൂ "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "മതിയാക്കൂ "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "അപേക്ഷിക്കൂ "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "ചുവപ്പ് "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "പച്ച "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "നീല "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "നിറം തിരഞ്ഞെടുക്കൂ "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39358,8 +39439,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39415,7 +39496,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/mn.po 5.10.0+dfsg-1/translations/calibre/mn.po
--- 5.9.0+dfsg-3/translations/calibre/mn.po	2021-01-06 15:30:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/mn.po	2021-01-20 15:26:58.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "Өөриймшүүлэх"
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Файлын төрөл"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Каталог үүсгэгч"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Тохиргоо"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Дэлгүүр"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Калибрийг дахин ажиллуулах"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Калибрийг өөриймшүүлэх"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Номын жагсаалтыг ангиллах"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Үйлдэл"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Хайж байна"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Ном нэмж байна"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr "Тойгууд"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35185,13 +35228,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/mr.po 5.10.0+dfsg-1/translations/calibre/mr.po
--- 5.9.0+dfsg-3/translations/calibre/mr.po	2021-01-06 15:29:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/mr.po	2021-01-20 15:27:45.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "काहीच करत ना
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "काहीच करत ना
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "काहीच करत ना
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "काहीच करत ना
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "काहीच करत ना
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "काहीच करत ना
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "फाईल प्रकार"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "मेटाडाटा वाचक"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "मेटाडाटा लेखक"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "पसंती"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr "txt  फाईल (ज्या
 msgid "Extract cover from comic files"
 msgstr "कॉमिक पुस्तकाच्या फाईल चे पहिले पृष्ट वापरा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s  फाईल मधले संबंधित मजकूर वाचा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "%s फाईल मध्ये  संबंधित मजकूर लिहा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%s फाईल मधला   मजकूर वापरून संबंधित मजकूर तयार करा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "तुमच्यानुसार मजकूर स्तंभ तयार करा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "calibre च्या पुस्तक सूची मध्ये तुमच्यानुसार मजकूर स्तंभ तयार करा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "तुम्च्यानुसार टूलबार व उपलभ्द  मेन्यू शी निगडीत क्रिया बदला"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "शोधत आहे"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "calibre कोणत्या प्रकारे पुस्तकांमध्ये शोधते ते बदला"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "रुपांतर"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "प्रत्येक input नुसार रुपांतर पर्याय बदला"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "सर्व formats साठी एक समान पर्याय वापरा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "प्रत्येक output format साठी रुपांतर पर्याय वेगळे ठेवा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "पुस्तके समाविष्ट करत आहे"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "पुस्तके समाविष्ट करताना संबंधित मजकूर कसा वाचावा यासाठी पर्याय निवडा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "पुस्तके disk  वर लिहा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "calibre फाईल आपल्या database मधून disk वर कसे लिहील याचे पर्याय निवडा"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "पुस्तके या संगणकाला जोडलेल्या devices ना पाठवली जात आहेत"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "संबंधित मजकुरासाठी plugboards"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "मेटाडाटा डाउनलोड"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "हो"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr "टिपा"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr "निर्माता"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr "कालमुद्रा"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "साईडपट्टी"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "मदत"
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr "शृंखला"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35185,13 +35228,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ms.po 5.10.0+dfsg-1/translations/calibre/ms.po
--- 5.9.0+dfsg-3/translations/calibre/ms.po	2021-01-06 15:30:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ms.po	2021-01-20 15:26:33.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -89,15 +89,15 @@ msgstr "Langsung tidak melakukan apa-apa
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -118,7 +118,7 @@ msgstr "Langsung tidak melakukan apa-apa
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -218,16 +218,16 @@ msgstr "Langsung tidak melakukan apa-apa
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -253,7 +253,7 @@ msgstr "Langsung tidak melakukan apa-apa
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -285,7 +285,7 @@ msgstr "Langsung tidak melakukan apa-apa
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -304,7 +304,7 @@ msgstr "Langsung tidak melakukan apa-apa
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -328,27 +328,27 @@ msgstr "Suaikan"
 msgid "Cannot configure"
 msgstr "Tidak dapat konfigur"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Jenis fail"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Pembaca Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Penulis metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Pencipta Katalog"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Tindakan antaramuka pengguna"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -360,20 +360,20 @@ msgstr "Tindakan antaramuka pengguna"
 msgid "Preferences"
 msgstr "Pilihan"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Simpan"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Sebuah kedai e-book."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Sunting alat buku"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Pustaka ditutup"
 
@@ -395,372 +395,372 @@ msgstr "Cipta arkib TXTZ apabila file TX
 msgid "Extract cover from comic files"
 msgstr "Saring keluar mukadepan dari fail-fail komik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Baca metadata dari fail-fail %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Baca data meta dari e-buku dalam arkib RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Baca data meta dari e-buku dalam arkib ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Setkan metadata dalam fail-fail %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Masukkan {0} di bawah supaya pemalam penulis data meta EPUB tidak menambah imej kulit hadapan ke dalam fail EPUB yang mana belum mempunyai imej kulit hadapan."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Setkan metadata dari fail-fail %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Masuk buku ke calibre atau peranti yang dihubungkan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Ambil anotasi dari Kindle yang dihubungkan (eksperiment)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Jana katalog buku-buku dari perpustakaan anda."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Tukar fromat buku ke pelbagai format e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Tala halus e-buku anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Sunting Senarai Kandungan dalam buku anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Padam buku dari calibre anda atau peranti yang dihubungkan."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Data meta dikemaskini terbenam ke dalam fail buku sebenar dalam pustaka calibre anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Edit metadata buku-buku dari perpustakaan calibre anda."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Baca buku-buku dari perpustakaan calibre anda."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Muat turun berita dari internet dalam bentuk e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Papar senarai pantas buku-buku yang berkaitan."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Tapis/gubah tag untuk buku dalam pustaka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Gubah pengarang buku dalam pustaka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Tunjukkan penyunting untuk templat pengujian"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Export buku-buku dari perpustakaan calibre anda ke dalam cekera keras."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Tunjuk perincian Buku dalam tetingkap timbul berasingan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Restart calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Buka folder yang mengandungi file-file buku di dalam perpustakaan calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Hantar buku-buku kedalam peranti yang di hubungkan."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Hantar buku melalui e-mel atau sesawang. Juga sambung ke folder dalam komputer anda seakan-akan peranti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Layari Panduan Pengguna calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Penyusuaian calibre."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Cari buku-buku yang berkaitan dengan pilihan sekarang."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Tukar antara pelbagai perpustakaan calibre dan laksanakan penyelengaraan kepada mereka."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Salin buku dari peranti ke pustaka calibre anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Edit koleksi dimana buku-buku disimpan dalam peranti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Padankan buku dalam peranti dengan buku dalam pustaka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Salin buku dari perpustakaan calibre ke yang lain."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Sunting e-buku dalam format EPUB atau AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Buat perubahan kecil kepada fail EPUB atau HTMLZ dalam pustaka calibre anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Cari padanan berikutnya atau terdahulu bila menggelintar dalam pustaka calibre anda dalam mod sorot"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Pilih buku rawak dari pustaka calibre anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Isih senarai buku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Tanda buku buat sementara"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Ubah pustaka Maya semasa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Gelintar buku dari penjual buku yang berlainan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Dapatkan pemalam calibre baru atau kemaskini yang sedia ada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Penampilan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Antaramuka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Laras penampilan antaramuka calibre untuk memenuhi citarasa anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Kelakuan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Ubah bagaimana kelakuan calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Tambah lajur anda sendiri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Tambah/buang lajur anda sendiri ke senarai buku calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Palang alat & menu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Suaikan palang alat dan menu konteks, menukar tindakan yang tersedia didalamnya"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Menggelintar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Suaikan kaedah menggelintar buku yang berfungsi didalam calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Pilihan input"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Penukaran"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Tetapkan pilihan penukaran yang khusus pada setiap format input"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Pilihan umum"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Tetapkan pilihan penukaran umum untuk semua format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Pilihan output"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Tetapkan pilihan penukaran khusus untuk setiap format output"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Menambah buku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Import/eksport"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Kawal bagaimana calibre membaca data meta dari fail bila menambah buku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Menyimpan buku ke cakera"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Kawal bagaimana calibre mengeksport fail dari pangkalan datanya ke cakera menggunakan Simpan ke cakera"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Menghantar buku ke peranti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Kawal bagaimana calibre memindah fail ke pembaca e-buku anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Papan palam data meta:"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Ubah medan data meta sebelum menyimpan/menghantar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -770,92 +770,92 @@ msgstr "Ubah medan data meta sebelum men
 msgid "Template functions"
 msgstr "Fungsi templat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Lanjutan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Cipta fungsi templat anda sendiri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Perkongsian buku melalui emel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Perkongsian"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Persediaan perkongsian buku melalui emel. Boleh digunakan unutk penghantara automatik bagi berita dimuat turun ke peranti anda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Perkongsian melalui rangkaian"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Persediaan Pelayan Kandungan calibre yang akan berikan anda capaian ke putaka calibre anda dimana sahaja, pada mana-mana peranti, melalui internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Muat turun meta data"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Kawal bagaimana calibre memuat turun meta data e-buku melalui rangkaian"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Peranti diabaikan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Kawal peranti calibre manakah akan diabaikan bila ia bersambung dengan komputer."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Pemalam"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Tamba/buang/suaikan pelbagai bit kefungsian calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Pulas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Talaan halus bagaimana calibre berkelakuan dalam pelbagai konteks"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Pintasan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Suaikan pintasan papan kekunci yang diguna oleh calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -863,7 +863,7 @@ msgstr "Suaikan pintasan papan kekunci y
 msgid "Miscellaneous"
 msgstr "Pelbagai"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Pelbagai konfigurasi lanjutan"
 
@@ -1253,9 +1253,9 @@ msgstr "Melonggok pangkalan data ke SQL"
 msgid "Restoring database from SQL"
 msgstr "Memulihkan pangkalan data dari SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1281,17 +1281,17 @@ msgstr "Gelintar tersimpan"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ya"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Kulit hadapan untuk %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format untuk {1}"
@@ -1677,14 +1677,14 @@ msgstr "Menyatakan suis ini akan matikan
 msgid "You must specify some ids or the %s option"
 msgstr "Anda mesti nyatakan beberapa id atau pilihan %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nSenaraikan buku tersedia dalam pangkalan data calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1692,7 +1692,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Medan yang dipaparkan bila menyenaraikan buku dalam pangkalan data.  Seharusnya senarai medan dipisah-tanda-koma.\nMedan tersedia: %s\nLalai: %% lalai. Medan khas \"all\" boleh digunakan untuk pilih semua medan. Selain dari medan terbina-dalam seperti di atas, medan suai juga tersedia seperti *field_name, sebagai contoh, untuk medan suai #rating, gunakan nama: *rating"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1700,39 +1700,39 @@ msgid ""
 "Default: {1}"
 msgstr "Medan yang mana mengisih keputusan.\nMedan tersedia: {0}\nLalai: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Isih keputusan dalam tertib menaik"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Tapis keputusan dengan pertanyaan gelintar. Bagi format pertanyaan gelintar, sila rujuk dokumentasi berkaitan gelintar dalam Panduan Pengguna. Lalai adalah tidak membuat penapisan."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Lebar maksimum baris tunggal dalam output. Lalai ialah mengesan saiz skrin."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Rentetan yang digunakan untuk memisahkan medan. Lalai ialah jarak."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Awalan untuk semua laluan fail. Lalai ialah laluan mutlak ke folder pustaka."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Bilangan keputusan makismum untuk dipaparkan. Lalai: semua"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2279,21 +2279,21 @@ msgstr "kosong"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Kueri boolean \"{0}\" tidak sah"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Gelintar pustaka maya adalah rekursif: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Kumpulan kueri rekursif dikesan: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3469,11 +3469,11 @@ msgstr "%s dibuang"
 msgid "All books removed"
 msgstr "Semua buku dibuang"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Peranti tanpa nama"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3482,12 +3482,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Peranti {0} tidak membenarkan sambungan. Nyahkunci skrin pada {0}, ketik \"Benarkan\" pada mana-mana mesej timbul sambungan yang dilihat, kemudian sama ada tunggu dalam tempoh seminit atau mulakan semula calibre. Anda mungkin perlu mengubah mod sambungan USB pada {0} ke \"Media Transfer mode (MTP)\" atau yang serupa dengannya."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Peranti MTP tidak diketahui"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6042,7 +6042,7 @@ msgstr "Nota"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6335,7 +6335,7 @@ msgid "Producer"
 msgstr "Pengeluar"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6343,7 +6343,7 @@ msgid "Comments"
 msgstr "Ulasan"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6383,7 +6383,7 @@ msgid "Tags"
 msgstr "Tag"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr "Setem Masa"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8138,13 +8138,13 @@ msgstr "EPUB ditatar dari versi 2 ke 3"
 msgid "HTML TOC generation options."
 msgstr "Pilihan penjanaan TOC HTML"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} dari <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8177,31 +8177,31 @@ msgstr "Jana fail Adobe \"page-map\" jik
 msgid "Sidebar"
 msgstr "Palang Sisi"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Menambah pengepala dan pengaki"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Pengepala dan pengaki ditambah"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Hurai semua kandungan untuk transformasi penanda"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Transformasi penanda lengkap"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Terap semua HTML sebagai PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Pautan ditambah ke dalam kandungan PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Data meta dikemaskini dalam PDF"
 
@@ -9163,7 +9163,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10165,7 +10165,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Bantuan"
 
@@ -11417,7 +11417,7 @@ msgid "Errors while adding"
 msgstr "Ralat ketika menambah"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Abai"
 
@@ -11547,8 +11547,8 @@ msgstr "Ubah"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11682,11 +11682,11 @@ msgid "Search the internet for this book
 msgstr "Gelintar internet untuk buku ini"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Urus %s"
@@ -11829,7 +11829,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12156,7 +12156,7 @@ msgid "Preset name:"
 msgstr "Nama praset:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Anda mesti nyatakan satu nama:"
 
@@ -12233,7 +12233,7 @@ msgid "Save current catalog settings as
 msgstr "Simpan tetapan katalog semasa sebagai praset"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Simpan"
 
@@ -12242,10 +12242,10 @@ msgid "Delete current preset"
 msgstr "Padam praset semasa"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Padam"
@@ -12358,8 +12358,8 @@ msgstr "Tetap semula ke lalai"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13545,7 +13545,7 @@ msgid "Ta&gs:"
 msgstr "Ta&g:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13560,8 +13560,8 @@ msgstr "&Siri:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Senarai siri diketahui. Anda boleh tambah siri baharu."
@@ -14428,7 +14428,7 @@ msgid "Choose color"
 msgstr "Pilih warna"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14769,19 +14769,19 @@ msgid "Edit style transform rules"
 msgstr "Sunting peraturan ubah gaya"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&ksport"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Eksport peraturan ini ke dalam fail"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14855,8 +14855,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14937,7 +14937,7 @@ msgid ""
 msgstr "Siri akan dinomborkan semula seperti biasa berdasarkan bilangan tertinggi dalam pangkalan data untuk siri tersebut. Penandaan kotak ini akan memberitahu calibre untuk mulakan penomboran dari nilai di dalam kotak"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16515,7 +16515,7 @@ msgid "Change case"
 msgstr "Ubah kata"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16523,7 +16523,7 @@ msgid "Upper case"
 msgstr "Huruf besar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16531,7 +16531,7 @@ msgid "Lower case"
 msgstr "Huruf kecil"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16539,7 +16539,7 @@ msgid "Swap case"
 msgstr "Silih kata"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16573,7 +16573,7 @@ msgid "Manage authors"
 msgstr "Urus pengarang"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Gelintar:"
@@ -16993,77 +16993,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] "Sembunyi {} mesej ralat berbaki"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Bekerja"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Memproses %d buah buku, tunggu sebentar..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Kemajuan langkah semasa: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Langkah %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Huruf Kecil"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Huruf Besar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Huruf Tajuk"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Aksara padan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Ungkapan nalar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Medan ganti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Dihadapan medan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Tambah ke medan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Serta-merta buat semua perubahan tanpa menutup dialog. Operasi ini tidak dapat dibatalkan atau dikembalikan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Buku %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Masukkan jenis pengecam"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17071,7 +17071,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Anda boleh musnahkan pustaka anda menggunakan fitur ini.</b> Perubahan adalah kekal. Mak tiada fungsi buat asal. Anda sangat digalakkan sandar pustaka anda sebelum teruskan.<p>Gelintar dan ganti dalam medan teks menggunakan pemadanan aksara atau ungkapan nalar. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17081,7 +17081,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17096,80 +17096,89 @@ msgid ""
 "function."
 msgstr "Dalam mod ungkapan nalar, teks gelintar adalah ungkapan nalar serasi-Python arbitari. Teks penggantian boleh mengandungi ungkapan rujuk belakang hingga terkurung di dalam pola. Gelintar tidak ditambat, dan boleh padan serta ganti berbilang kali dalam rentetan yang serupa. Fungsi pengubahsuaian (huruf-kecil dan lain-lain) dilaksana pada teks yang dipadankan, bukan pada medan secara keseluruhan. Kotak destinasi menyatakan lokasi keputusan selepas pemadanan dan penggantian untuk diumpukkan. Anda boleh ganti teks di dalam medan, atau  buang ataupun tambah teks yang dipadankan. Sila rujuk <a href=\"https://docs.python.org/library/re.html\"> rujukan ini</a> untuk maklumat lanjut berkenaan ungkapan nalar python, dan juga fungsi 'sub'nya."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R RALAT TEMPLAT"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Anda mesti nyatakan destinasi bila sumber ialah medan komposit atau templat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Nilai pengganti bagi lajur penarafan mestilah kosong atau integer diantara 0 hingga 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Anda mesti nyatakan jenis pengecam destinasi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Anda mesti nyatakan ungkapan gelintar dalam medan \"Gelintar untuk\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Rentetan pengecam tidak sah. Ia mesti senarai pasangan rentetan diasing-tanda-koma bagi rentetan diasing dengan tanda titik bertindih."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Gelintar/ganti tidak sah"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Gelintar/ganti tidak sah: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Padam gelintar/ganti tersimpan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Gelintar/ganti tersimpan terpilih akan dipadamkan. Anda pasti?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Simpan gelintar/ganti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nama gelintar/ganti:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Gelintar/ganti tersimpan sudah wujud dan akan ditulis-ganti. Anda pasti?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Sunting maklumat meta"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "Peng&arang: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17177,90 +17186,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Ini akan menyebabkan medan isih pengarang dikemaskini secara\nautomatik berdasarkan pada medan pengarang bagi setiap buku\nterpilih. Perhatian jika anda guna kawalan di atas untuk tetapkan\npengarang secara pukal, medan isih pengarang dikemaskinikan\njua, tanpa mengira nilai kotak tanda ini."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Tetapkan isih pengarang secara a&utomatik"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "S&ilih tajuk dan pengarang"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Kemaskini isih tajuk berdasarkan pada tajuk semasa. Ia hanya akan dilaksana selepas lain perubahan pada tajuk."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "&Isih pengarang:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Kemaskini isih &tajuk"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Nyatakan bagaimana pengarang buku ini patut diisih. Contohnya Charles Dickens patut diisih sebagai Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Ubah k&ulit buku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "Pena&rafan:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Jana kulit buku lalai"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Laksana penarafan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Buang kulit buku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Penerbit: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Cuba untuk mengesan secara automatik dan buang sempadan dan\nruang kosong dari pinggir imej kulit buku. Kadangkala ia terlebih\nbuang, oleh itu guna dengan hati-hati."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Jika ditanda, penerbit akan dikosongkan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "K&erat kulit buku (MERBAHAYA)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Kosongkan pub"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Tetapkan dari fail &e-buku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Tambah ta&g:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Tetapkan kulit buku untuk semua buku terpilih\nmenjadi sama seperti buku pertama yang dipilih."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Buka penyunting Tag"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Klonkan kulit buku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Buang tag:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Paksa tajuk dengan kata-tajuk. Jika kedua-dua ini dan silih pengarang ditanda,\ntajuk dan pengarang juga disilih sebelum kata-tajuk ditetapkan"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Senarai tag dipisah tanda koma untuk buang dari buku."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Ubah tajuk &kata menjadi:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Tanda kotak ini untuk buang semua tag dari buku."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "Ta&rikh:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Buang semu&a"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Jika ditanda, penerbit akan dikosongkan"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Si&ri:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Kosongkan pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Jika ditanda, siri akan dikosongkan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Dit&erbitkan:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Kosongkan siri"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17268,126 +17272,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Jika tidak ditanda, nombor siri bagi buku akan ditetapkan menjadi 1\nJika ditanda, buku terpilih akan dinomborkan secara automatik,\nmengikut tertib terpilih anda. Oleh itu, jika anda pilih Buku A dan\nkemudian Buku B, Buku A akan mempunyai nombor siri 1 dan Buku\nB nombor siri 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Nomborkan buku secara &automatik dalam siri ini"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Siri akan dinomborkan semula seperti biasa berdasarkan bilangan tertinggi\ndalam pangkalan data untuk siri tersebut. Penandaan kotak ini akan\nmemberitahu calibre untuk mulakan penomboran dari nilai di dalam kotak"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "Pa&ksa nombor untuk mula dengan:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Jika ditanda, siri akan dikosongkan"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Kosongkan siri"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Kawal bagaimana kulit buku terjana lalai dicipta"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Konfigur penjanaan k&ulit buku"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Tetapkan &ulasan untuk semua buku terpilih"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Buang tag:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Buang semu&a"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Tambah ta&g:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "Ta&rikh:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Nyatakan bagaimana pengarang buku ini patut diisih. Contohnya Charles Dickens patut diisih sebagai Dickens, Charles."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Laksana penarafan"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Dit&erbitkan:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Kosongkan tarikh diterbitkan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "Peng&arang: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Bahasa:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Penerbit: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Senarai tag dipisah tanda koma untuk buang dari buku."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Buka penyunting Tag"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "&Isih pengarang:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Tetapkan data meta dalam calibre dari data meta dalam fail e-buku yang ada dengan setiap buku. Perhatian ia tidak mengubah kulit buku, oleh itu gunakan pilihan berasingan di bawah."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Tetapkan data &meta (kecuali kulit buku) dari fail e-buku"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Si&ri:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Buang tetapan penukaran tersimpan bagi buku terpilih.\n\nPenukaran akan datang buku ini akan gunakan tetapan lalai."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Buang penukaran ter&simpan bagi buku terpilih"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17396,153 +17335,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Bila membuat penukaran format sama dengan yang sama format,\nseperti., EPUB ke EPUB, calibre menyimpan EPUB asal sebagai\nORIGINAL_EPUB. Pilihan ini memberitahu calibre untuk pulihkan\nEPUB dari ORIGINAL_EPUB. Berhuna jika anda buat penukaran\npukal yang melibatkan sejumlah besar buku dan ada berlaku masalah."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Buang a&sal pra penukaran, jika ada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Tanda kotak ini untuk buang semua tag dari buku."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "Pena&rafan:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Paksa tajuk dengan kata-tajuk. Jika kedua-dua ini dan silih pengarang ditanda,\ntajuk dan pengarang juga disilih sebelum kata-tajuk ditetapkan"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Ubah tajuk &kata menjadi:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Kemaskini isih tajuk berdasarkan pada tajuk semasa. Ia hanya akan dilaksana selepas lain perubahan pada tajuk."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Kemaskini isih &tajuk"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Tetapkan data meta dalam calibre dari data meta dalam fail e-buku yang ada dengan setiap buku. Perhatian ia tidak mengubah kulit buku, oleh itu gunakan pilihan berasingan di bawah."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Tetapkan data &meta (kecuali kulit buku) dari fail e-buku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Ubah k&ulit buku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Jana kulit buku lalai"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Buang kulit buku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Cuba untuk mengesan secara automatik dan buang sempadan dan\nruang kosong dari pinggir imej kulit buku. Kadangkala ia terlebih\nbuang, oleh itu guna dengan hati-hati."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "K&erat kulit buku (MERBAHAYA)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Tetapkan dari fail &e-buku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Tetapkan kulit buku untuk semua buku terpilih\nmenjadi sama seperti buku pertama yang dipilih."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Klonkan kulit buku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Kawal bagaimana kulit buku terjana lalai dicipta"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Konfigur penjanaan k&ulit buku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Tetapkan &ulasan untuk semua buku terpilih"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Data meta asas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Data meta &suai"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Muat gelintar/ganti:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Pilih gelintar/ganti tersimpan untuk dimuatkan."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Simpan gelintar/ganti semasa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "S&impan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Me&dan gelintar:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Nama medan yang anda mahu gelintar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Mod gelintar:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Pilih sama ada hendak guna pemadanan teks asas atau pemadanan ungkapan nalar lanjutan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Jenis pen&gecam:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Pilih jenis pengecam yang manakah hendak dipakai"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Templat:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Masukkan templat yang digunakan sebagai sumber untuk gelintar/ganti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Masukkan apakah yang anda mahu cari, sama ada teks biasa atau ungkapan nalar, bergantung pada mod"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Tanda kotak ini jika rentetan gelintar mesti sepadan huruf besar dan kecil dengan tepat. Jangan tanda ia jika diabaikan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Sensiti&f kata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Ganti dengan:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Teks pengganti. Teks gelintar yang sepadan akan diganti dengan rentetan ini"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "L&aksana fungsi selepas ganti:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Nyatakan bagaimana teks diproses selepas pemadanan dan penggantian. Dalam mod aksara,\nkeseluruhan medan diproses. Dalam mod ungkapan nalar, hanya teks sepadan diproses"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Medan &destinasi:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Medan yang mana teks akan diletak ke dalam selepas semua\npenggantian. Jika kosong, medan sumber digunakan jika medan\nboleh diubahsuai"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&od:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Nyatakan bagaimana teks patut disalin ke destinasi."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Nyatakan sama ada item keputusan patut dipisah menjadi nilai berbilang\natau biarkan sebagai nilai tunggal. Pilihan ini lebih berkesan bila medan\nsumber tidak berbilang dan medan destinasi adalah berbilang"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Pisah &keputusan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Jenis pengecam:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17550,48 +17576,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Pilih jenis pengecam yang dioperasikan. Bila medan sumber\n              lebih tua dari 'pengecam' yang anda boleh masukkan\n               * jika anda mahu gantikan keseluruhan set pengecam\n              dengan keputusan gelintar/ganti.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Bagi medan berbilang-nilai, tun&juk"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "n&ilai bermula pada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "dengan nilai diasing den&gan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Digunakan bila memaparkan keputusan ujian untuk asingkan nilai dalam medan berbilang-nilai"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Uji teks"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Keputusan ujian"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "&Ujian anda:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Gelintar dan ganti"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Jika dibenarkan, senarai buku akan diisih-semula dan\nmana-mana gelintar atau pustaka Maya akan disegar\nsemula selepas suntingan selesai. Ia boleh menjadi\nperlahan dalam pustaka bersaiz besar."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "Sega&r semula senarai buku selepas disunting"
 
@@ -18047,42 +18073,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Item: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Tiada item ditemui**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Klik pada lajur dalam pandangan pustaka untuk melihat maklumat buku tersebut"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Buku dengan item terpilih \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Ada masalah berlaku ketika cuba mengisi jadual"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Pandangan Pantas: Buku tidak berada dalam pandangan pustaka"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18188,87 +18214,87 @@ msgstr "Pemulihan pangkalan data telah g
 msgid "Failed to repair library"
 msgstr "Gagal membaiki pustaka"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Tambah satu gelintar Tersimpan baharu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Nama gelintar Tersimpan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Gelintar:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Ungkapan gelintar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Tiada nama gelintar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Anda mesti nyatakan satu nama untuk gelintar Tersimpan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Tiada ungkapan gelintar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Anda mesti nyatakan satu ungkapan gelintar untuk gelintar Tersimpan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Gelintar tersimpan tidak sah"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Urus gelintar Tersimpan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "T&ambah gelintar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Buang gelintar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Sunting gelintar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Gelintar tersimpan semasa akan <b>dipadam secara kekal</b>. Anda pasti?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Sunting nama dan/atau ungkapan di bawah."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Sunting gelintar tersimpan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Satu gelintar  tersimpan dengan nama {} sudah wujud. Pilih nama lain"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Ungkapan gelintar"
 
@@ -19166,48 +19192,64 @@ msgstr "Tag 1"
 msgid "Tag 2"
 msgstr "Tag 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Tutorial bahasa templat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Rujukan fungsi templat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "PENGECUALIAN:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Tiada lajur dipilih"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Anda mesti nyatakan laju yang diwarnakan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Tiada templat disediakan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Kotak templat tidak boleh kosog"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20266,7 +20308,7 @@ msgstr "Gelintar pintasan mengikut nama"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Tiada padanan"
 
@@ -20425,8 +20467,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20441,14 +20483,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Kuncup semua"
 
@@ -22661,60 +22703,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "T&ambah peraturan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Buang peraturan(s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Alih peraturan terpilih ke atas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Alih peraturan terpilih ke bawah"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Tambah peraturan lan&jutan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Import peraturan dari sesebuah fail"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Anda boleh kawal warna lajur dalam senarai buku dengan mewujudkan \"peraturan\" yang memberitahu calibre apakah warna yang hendak digunakan. Klik butang \"Tambah peraturan\" di bawah untuk mula.<p>Anda boleh <b>ubah peraturan sedia ada</b> dengan mengklik dua kali padanya."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Anda boleh tambah ikon pada lajur dalam senarai buku dengan mewujudkan \"peraturan\" yang memberitahu calibre apakah ikon yang hendak digunakan. Klik butang \"Tambah peraturan\" di bawah untuk mula.<p>Anda boleh <b>ubah peraturan sedia ada</b> dengan mengklik dua kali padanya."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22722,57 +22764,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Anda boleh menambah lambang (ikon kecil) yang dipapar disisi kulit buku dalam grid kulit buku dengan mewujudkan \"peraturan\" yang memberitahu calibre apakah imej yang hendak digunakan. Klik butang \"Tambah peraturan\" di bawah untuk mula.<p>Anda boleh <b>ubah peraturan sedia ada</b> dengan mengklik dua kali padanya."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Tunjuk &lambang disebelah kulit buku"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Jika ditanda, anda boleh beritahu calibre untuk papar ikon pilihan anda di sebelah Kulit buku yang ditunjukkan dalam grid kulit buku, dikawal oleh data meta buku."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Tiada peraturan dipilih"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Tiada peraturan dipilih untuk %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "pembuangan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Pilih fail untuk dieksportkan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Peraturan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Pilih fail untuk diimportkan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Tiada peraturan sah ditemui"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Tiada peraturan sah ditemui dalam {}."
 
@@ -23614,13 +23656,13 @@ msgstr "Tiada sarikata"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Bawah"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Atas"
 
@@ -23654,7 +23696,7 @@ msgid "If there is enough room"
 msgstr "Jika masih ada ruang"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Mengikut abjad pertama"
 
@@ -23935,7 +23977,7 @@ msgid ""
 msgstr "Terdapat dua jenis cache yang mana calibre guna untuk menambahbaik prestasi bila menerap kulit buku dalam pandangan grid. Satu cache cakera yang disimpan dalam cakera anda yang mana menyimpan lakaran kenit kulit buku. Dan juga dalam cache ingatan digunakan untuk memastikan penerapan kulit buku bebas kerlipan. Untuk dapatkan hasil terbaik, pastikan cache ingatan kecil dan cache cakera besar, melainkan anda mempunyai RAM tambahan yang besar dalam komputer anda serta tidak kisah digunakan oleh cache ingatan."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Lumpuhkan"
 
@@ -24627,8 +24669,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Di sini anda boleh ubah data meta yang mana calibre gunakan untuk kemaskini sesebuah buku bila menyimpan ke dalam cakera atau menghantar ke peranti.\n\nGuna dialog ini untuk takrifkan 'papan palam' untuk format (atau semua format) dan peranti (atau semua peranti). Papan palam menyatakan apakah templat yang berhubung dengan medan tertentu. Templat yang digunakan untuk membandingkan nilai, dan nilai diumpuk ke medan yang bersambung.\n\nSelalunya templat akan mengandungi rujukan ringkas ke lajur komposit, tetapi ia tidaklah diwajibkan. Anda boleh guna mana-mana templat dalam kotak sumber yang anda guna di mana sahaja dalam calibre.\n\nSalah satu penggunaan papan palam ialah dapat mengubah tajuk yang terkandung maklumat siri. Selain itu, perubahan isih pengarang, seperti pengguna mobi lakukan dengan penggunaan aksara ';' yang mana kindle perlukan. Ketiga adalah nyatakan bahasa."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25196,7 +25238,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Ubah kata laluan untuk {}"
 
@@ -25331,7 +25373,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25341,7 +25383,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26853,7 +26895,7 @@ msgid "Books in this category are unrate
 msgstr "Buku dalam kategori ini tidak beri penarafan"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Ungkapan gelintar:"
 
@@ -27144,7 +27186,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Nama semula %s"
@@ -27204,95 +27246,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Buang %(item)s dari kategori %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Gelintar segalanya melainkan %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Tambah sub-kategori untuk %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Gelintat buku dalam kategori %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Gelintar buku bukan dalam kategori %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Sembunyi kategori %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Ubah ikon kategori"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Pulih ikon lalai"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Urus kategori Pengguna"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Ubah skema sub-kategori"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Sekatan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Abjad pertama hanya boleh diguna bila isih mengikut nama"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27949,7 +27991,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Buku berikut sudah ditukarkan ke format %s. Anda mahu tukar ia kembali?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28479,7 +28522,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Singkir"
 
@@ -30713,7 +30756,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Condong</h3>Jadikan teks terpilih condong"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Garis Bawah"
 
@@ -32036,7 +32079,7 @@ msgid "Disabled confirmations restored"
 msgstr "Pengesahan dilumpuhkan telah dipulihkan"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32663,7 +32706,7 @@ msgid "Export saved searches"
 msgstr "Eksport gelintar tersimpan"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Eksport"
 
@@ -34534,68 +34577,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35049,7 +35092,7 @@ msgid "E-book viewer"
 msgstr "Pelihat e-buku"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35125,13 +35168,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35296,10 +35339,10 @@ msgid "< &Back"
 msgstr "< &Undur"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Batal"
 
@@ -35940,8 +35983,8 @@ msgid "No genres to catalog.\n"
 msgstr "Tiada genre untuk dikatalog.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Tanda ungkapan nalar 'Genre diasingkan' dalam pilihan E-buku.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -35989,8 +36032,8 @@ msgstr "Mengisih tajuk"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Tiada buku dikatalogkan.\nTanda peraturan 'Buku diasingkan' dalam pilihan E-buku.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36466,177 +36509,208 @@ msgstr "Antaramuka penuh menyediakan lag
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Apa yang anda mahu lakukan?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "lalai"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Tiada pilihan dipilih, keluar..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s bukanlah pilihan yang sah, cuba sekali lagi"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Nama pengguna sedia ada:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Tiada pengguna, anda mesti tambah seorang pengguna dahulu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Nama pengguna %s tidak wujud"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Masukkan nama pengguna"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Masukkan kata laluan baharu untuk %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Kata laluan kosong tidak dibenarkan"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Masuk sekali lagi kata laluan baharu untuk %s, sebagai pengesahan:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Kata laluan tidak sepadan"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Penguna %s berjaya ditambah!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Anda pasti mahu membuang pengguna %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Penguna %s berjaya dibuang!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Kata laluan untuk %s berjaya diubah!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Katal laluan semasa untuk {0} ialah: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Benarkan capaian ke semua pustaka"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Benarkan capaian hanya pada pustaka yang ditentukan"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Benarkan capaian untuk semua, kecuali pustaka yang dinyatakan"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Ubah sekatan per-pustaka"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Masukkan nama pustaka:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Sekatan lain?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Masukkan senarai nama pustaka terpisah dengan koma:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Hanya membenarkan capaian ke pustaka: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Membenarkan capaian ke semua pustaka, kecuali: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Tunjuk kata laluan untuk {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Ubah keizinan baca/tulis untuk {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Ubah pustaka {} dibenarkan untuk dicapai"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "baca-tulis"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "bacasahaja"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Tambah pengguna baharu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Sunting pengguna sedia ada"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Buang seorang pengguna"
 
@@ -37043,13 +37117,14 @@ msgid ""
 msgstr "Muat semula pelayan secara automatik bila kod sumber berubah. Berguna untuk pembangunan. Anda patut juga nyatakan nilai kecil untuk had masa tamat dimatikan."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Urus pangkalan data pengguna yang dibenarkan untuk sambung ke pelayan ini. Lihat juga pilihan %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37057,23 +37132,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Disampuk oleh pengguna"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Tiada pustaka calibre di: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Anda mesti nyatakan sekurang-kurangnya satu pustaka calibre"
 
@@ -37086,7 +37161,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Sintaks tidak sah. Dijangka nama atau perkataan carian"
 
@@ -37245,128 +37320,128 @@ msgstr "Tetapan dan pemalam"
 msgid "File is open in another process"
 msgstr "Fail dibuka oleh proses lain"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format: jenis {0} memerlukan nilai integer, dapat {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: jenis {0} memerlukan nilai (apung) desimal, dapat {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: fungsi tidak diketahui"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37421,60 +37496,60 @@ msgstr "strlen(a) -- Kembalikan panjang
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- kembalikan x + y. Buang pengecualian jika sama ada x atau y bukan nombor."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- kembalikan x - y. Buang pengecualian jika sama ada x atau y bukan nombor."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- kembalikan x * y. Buang pengecualian jika sama ada x atau y bukan nombor."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- kembalikan x / y. Buang pengecualian jika sama ada x atau y bukan nombor."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37486,7 +37561,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- nilaikan x sebagai templat. Penilaian ini selesai dalam konteks ia sendiri, bermaksud pembolehubah tidak berkongsi diantara pemanggil dengan penilaian templat. Oleh kerana aksara { and } adalah istimewa, anda mesti gunakan [[ untuk aksara { dan ]] untuk aksara }; ia ditukar secara automatik. Sebagai contoh, template('[[title_sort]]') akan nilaikan templat {title_sort} dan kembalikan nilainya. Perhatian awalan dan akhiran (sintaks `|prefix|suffix`) tidak daapt digunakan dalam argumen bagi fungsi ini bila menggunakan mod program templat."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37497,13 +37572,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- nilaikan templat, melepasi pembolehubah setempat (yang telah diumpuk) selain dari data meta buku. Ia membenarkan penggunaan pemproses templat untuk bina keputusan yang lebih kompleks dari pembolehubah semasa. Oleh kerana aksara { and } adalah istimewa, anda mesti gunakan [[ untuk aksara { dan ]] untuk aksara }; ia ditukar secara automatik. Perhatian awalan dan akhiran (sintaks `|prefix|suffix`) tidak dapat digunakan dalam argumen bagi fungsi ini bila menggunakan mod program templat."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- umpuk val ke id, kemudian kembalikan val. id mestilah pengecam, bukan ungkapan"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37513,30 +37588,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- cetak argumen ke output piawai. Melainkan anda mulakan calibre melalui baris perintah (calibre-debug -g), output akan pergi ke lubang hitam."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- kembalikan medan data meta dinamakan mengikut nama"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- kembalikan medan data meta dinamakan mengikut nama tanpa melaksanakan apa-apa pemformatan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- kembalikan senarai data meta dinamakan mengikut nama tanpa melaksanakan apa-apa pemformatan atau mengisih dan dengan item diasing dengan pemisah."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37546,7 +37621,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- kembalikan aksara start hingga end bagi str. Aksara pertama dalam str ialah aksara sifar. Jika penghujung adalah negatif, maka ia menunjukkan kebanyakan aksara dikira dari sebelah kanan. Jika penghujung adalah sifar, maka ia menunjukkan aksara terakhir. Sebagai contoh, substr('12345', 1, 0) kembalikan '2345', dan substr('12345', 1, -1) kembalikan '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37556,24 +37631,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- seperti switch, kecuali argumen adalah nama medan (data meta), bukan teks. Nilai medan bersesuaian akan diperoleh dan digunakan. Perhatian oleh kerana lajur komposit adalah medan, anda boleh guna fungsi ini dalam satu medan komposit untuk guna nila bagi beberapa medan komposit yang lain. Ia sangat-sangat berguna ketika membina laluan penyimpanan pembolehubah"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "carian memerlukan sama ada 2 atau bilangan ganjil argumen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, text if not empty, text if empty) -- kembalikan `text if not empty` jika val tidak kosong, jika tidak kembalikan `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) -- periksa jika val mengandungi padanan untuk ungkapan nalar `pattern`. Kembalikan `text if match` jika padanan ditemui, jika tidak kembalikan `text if no match`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37582,11 +37657,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- bagi setiap `pattern, value` pair, semak jika val sepadan dengan ungkapan nalar `pattern` dan jika ia, kembalikan `value` tersebut. Jika tiada pola dipadankan, maka else_value dikembalikan. Anda boleh adakan sebanyak mana pasangan `pattern, value` yang anda kehendaki"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "pertukaran memerlukan bilangan ganjil argumen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37596,19 +37671,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Kembalikan rentetan yang terbentuk oleh pemangkasan argumen. Nilai dikembalikan adalah diawali pada string1. Pasangan `Prefix, string` ditambah ke penghujung nilai asalkan panjang rentetan yang terhasil adalah kurang dari `max`. String1 dikembalikan walaupun jika string1 lebih panjang berbanding max. Anda boleh lepasi sebanyak mana pasangan `prefix, string` yang anda kehendaki."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max memerlukan 2 atau lebih argumen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max memerlukan bilangan genap argumen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "argumen pertama ke strcat_max mestilah integer"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37618,11 +37693,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37634,11 +37709,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37649,14 +37724,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "_identifier_in_list(val, id, found_val, not_found_val) -- anggap val sebagai senarai pengecam yang dipisah dengan tanda koma, membandingkan rentetan terhadap setiap nilai dalam senarai. Satu pengecam mempunyai format  \"identifier:value\". Parameter id patut sama ada \"id\" atau \"id:regexp\". Padanan kata pertama jika terdapat mana-mana pengecam yang id tersebut. Padanan kata kedua jika ungkapan nalar sepadan dengan nilai pengecam. Jika terdapat satu padanan kembalikan found_val, jika tidak kembalikan not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37669,20 +37744,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- kembalikan rentetan yang dibuat dengan melaksanakan pola ungkapan nalar pada val dan ganti setiap kejadian yang sepadan dengan rentetan yang dikira dengan menggantikan setiap kumpulan sepadan dengan nilai dikembalikan oleh templat berkenaan. Nilai sepadan asal bagi kumpulan tersedia sebagai $. Dalam mod program templat, seperti untuk templat dan fungsi eval, anda guna [[ { dan ]] untuk }. Contoh berikut dalam mod program templat adalah untuk siri lebih dari satu perkataan dan huruf besar perkataan pertama: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- berikan nilai dalam bentuk \"B, A\", kembalikan \"A B\". Ia merupakan pertukaran nama paling berguna dalam format LN, FN ke FN LN. Jika tiada tanda koma, fungsi mengembalikan val tanpa perubahan"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- kembalikan val jika val tidak kosong, jika tidak kembalikan `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37696,7 +37771,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- Kembalikan versi pendek val, mengandungi aksara `left chars` dari permulaan val ,diikuti dengan `middle text`, diikuti dengan aksara `right chars` dari penghujung rentetan. `Left chars` dan`right chars` mestilah integer. Contoh, anggap tajuk buku ialah `Ancient English Laws in the Times of Ivanhoe`, dan anda mahu ia dimuat-suakan dengan jarak maksimum 15 aksara. Jika anda guna {title:shorten(9,-,5)}, hasil akan jadi `Ancient E-nhoe`. Jika panjang medan kurang dari aksara kiri + aksara kanan + panjang teks tengah bagi `middle text`, maka medan akan guna yang asal. Contohnya, tajuk `The Dome` tidak akan berubah."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37704,7 +37779,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- tafsir nilai sebagai senarai item dipisah dengan tanda `separator`, mengembalikan sebilangan item di dalam senarai. Kebanyakan senarai gunakan tanda koma sebagai pemisah, tetapi pengarang boleh gunakan tanda ampersan. Contoh: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37713,14 +37788,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- tafsir nilai sebagai senarai item dipisah dengan `separator`, kembalikan item ke-`index`. Item pertam adalah nombor sifar. Item terakhir boleh dikembalikan menggunakan `list_item(-1,separator)`. Jika item tidak berada dalam senarai, nilai kosong dikembalikan. Pemisah mempunyai maksud yang sama dalam fungsi kiraan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- tafsir nilai sebagai senarai item dipisah-tanda-koma, dengan item sebagai \"id:value\". Cari pasangan dengan id menyamai key, dan kembalikan nilai berkaitan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37733,19 +37808,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- kembalikan senarai dipisah-tanda-koma bagi format yang mana satu keadaan dikaitkan dengan buku. Tiada jaminan senarai ini adalah betul, walaupun ia mungkin betul. Fungsi ini boleh dipanggil dalam mod program templat menggunakan template \"{:'approximate_formats()'}\". Perhatian nama format sentiasa berhuruf besar, seperti dalam EPUB. Fungsi hanya berfungsi dalam GUI. Jika anda mahu guna nilai ini dalam templat save-to-disk atau send-to-device maka anda mesti buat \"Column built from other columns\" suai, guna fungsi dalam templat lajur, dan guna nilai lajur tersebut dalam templat simpan/hantar anda"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Fungsi ini hanya boleh digunakan dalam GUI"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37755,7 +37830,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- kembalikan senarai dipisah-tanda-koma bagi item dipisah tanda-titik-bertindih yang mewakili waktu pengubahsuaian untuk format sesebuah buku. Parameter date_format menyatakan bagaimana tarikh diformatkan. Sila rujuk fungsi format_date untuk perincian. Anda boleh guna fungsi pilih untuk dapatkan waktu mod bagi format tertentu. Perhatian nama format sentiasa berhuruf-besar, sepertimana dalam EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37763,7 +37838,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- kembalikan senarai dipisah tanda-koma bagi item dipisah tanda-titik-bertindih mewakili saiz dalam baik bagi format sesebuah buku. Anda boleh guna fungsi pilih untuk dapatkan saiz bagi format tertentu. Perhatian nama format sentiasa berhuruf besar, sepertimana dalam EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37771,13 +37846,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- kembalikan senarai dipisah tanda-koma bagi item dipisah tanda-titik-bertindih mewakili laluan penuh ke format sesebuah buku. Anda boleh guna fungsi pilih untuk dapatkan laluan untuk format tertentu. Perhatian nama format sentiasa berhuruf besar, sepertimana dalam EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- kembalikan rentetan yang diwakili dengan nombor v dalam KB, MB, GB, dan lain-lain."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37788,7 +37863,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37801,7 +37876,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37818,7 +37893,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- Fungsi ini digunakan untuk pecahkan senarai item seperti genre. Ia tafsir nilai sebagai senarai item dipisah tanda-koma, yang mana setiap item adalah senarai dipisah tanda-noktah. Kembalikan senarai baharu dibuat oleh pencarian pertama semua item dipisah tanda-noktah, kemudian bagi setiap item tersebut, ekstrak komponen `start_index` hingga the `end_index`, seterusnya gabungkan keputusan bersama-sama. Komponen pertama ialah senarai dipisah tanda-noktah yang mempunyai indeks sifar. Jika indeks adalah negatif, maka ia dikira dari penghujung senarai. Dalam kes khas,  end_index sifar dianggap sebagai panjang senarai. Contoh penggunaan mod templat asas dan anggap nilai #genre bagi \"A.B.C\": {#genre:subitems(0,1)} kembalikan \"A\". {#genre:subitems(0,2)} kembalikan \"A.B\". {#genre:subitems(1,0)} kembalikan \"B.C\". Menganggap nilai #genre bagi \"A.B.C, D.E.F\", {#genre:subitems(0,1)} kembalikan \"A, D\". {#genre:subitems(0,2)} kembalikan \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37841,23 +37916,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- formatkan nilai, iaitu tarikh, menggunakan format_string, mengembalikan rentetan. Kod pemformatan adalah: d    : hari dalam nombor tanpa sifar dihadapan (1 hingga 31) dd   : hari sebagai nombor dengan sifar dihadapan (01 hingga 31) ddd  : singkatan nama hari (contoh. \"Isn\" hingga \"Ahd\"). dddd : nama hari tempatan panjang (contoh \"Isnin\" hingga \"Ahad\"). M    : bulan sebagai nombor tanpa sifar dihadapan (1 hingga 12). MM   : bulan sebagai nombor dengan sifat dihadapan (01 hingga 12) MMM  : singkatan nama bulan tempatan (contoh. \"Jan\" hingga \"Dis\"). MMMM : nama bulan tempatan panjang (contoh \"Januari\" hingga \"Disember\"). yy   : tahun dalam dua nombor digit (00 hingga 99). yyyy : tahun dalam empat nombor digit. h    : jam tanpa sifar dihadapan 0 (0 hingga 11 atau 0 hingga 23, bergantung pada am/pm) hh   : jam dengan sifar dihadapan 0 (00 hingga 11 atau 00 hingga 23, bergantung pada am/pm) m    : minit tanpa sifar dihadapan 0 (0 hingga 59) mm   : minit dengan sifar dihadapan 0 (00 hingga 59) s    : saat tanpa sifar dihadapan 0 (0 hingga 59) ss   : saat tanpa sifar dihadapan 0 (00 hingga 59) ap   : guna jam 12 selain dari jam 24, dengan \"ap\" diganti dengan rentetan tempatan bagi am atau pm AP   : guna jam 12 selain dari jam 2, dengan \"AP\" diganti oleh rentetan tempatan untuk AM atau PM iso  : tarikh dengan masa dan zon waktu. Mesti dalam format semasa sahaja"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- kembalikan val dengan huruf besar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- kembalikan val dengan huruf kecil"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- kembalikan val dengan kata-tajuk"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- kembalikan val dibesarkan hurufnya"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37866,7 +37941,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- kembalikan nilai medan saiz. Fungsi ini hanya berkesan dalam GUI. Jika anda mahu guna nilai ini dalam templat save-to-disk atau send-to-device maka anda mesti buat \"Column built from other columns\" suai, gunakan fungsi yang mana dalam lajur templat, dan gunan ilai lajur dalam templat simpan/hantar anda"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37875,55 +37950,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- kembalikan Ya jika ondevice ditetapkan, jika tidak kembalikan rentetan kosong. Fungsi ini hanya berkesan dalam GUI. Jika anda mahu guna nilai ini dalam templat save-to-disk atau send-to-device maka anda mesti buat \"Column built from other columns\" suai, gunakan fungsi yang mana dalam lajur templat, dan gunan ilai lajur dalam templat simpan/hantar anda"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- kembalikan siri isih nilai"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- kembalikan Yes jika buku mempunyai kulit buku, jika tidak kembalikan rentetan kosong"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- kembalikan nilai pertama yang tidak kosong. Jika semua nilai adalah kosong, maka nilai kosong dikembalikan. Anda boleh adakan sebanyak mana nilai yang anda mahu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, ...) -- kembalikan rentetan \"1\" jika semua nilai tidak kosong, jika tidak kembalikan rentetan kosong. Fungsi ini berfungsi baik dengan test atau first_non_empty. Anda boleh adakan sebanyak mana nilai yang anda mahu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) -- kembalikan rentetan \"1\" jika semua nilai tidak kosong, jika tidak kembalikan rentetan kosong. Fungsi ini berfungsi baik dengan test atau first_non_empty. Anda boleh adakan sebanyak mana nilai yang anda mahu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- kembalikan rentetan \"1\" jika semua nilai tidak kosong, jika tidak kembalikan rentetan kosong. Fungsi ini berfungsi baik dengan test atau first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37932,7 +38007,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- kembalikan senarai yang dibuat dengan menggabungkan item di dalam list1 dan list2, membuang item pendua menggunakan perbandingan tak-sensitif-kata. Jika item berbeza kata, yang berada dalam list1 digunakan. Item dalam list1 dan list2 diasing dengan tanda-pemisah, begitu juga item dalam senarai dikembalikan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37940,7 +38015,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- kembalikan senarai dengan membuang item list1 yang ditemui dalam list2, menggunakan perbandingan tak-sensitif-kata. Item dalam list1 dan list2 diasing dengan tanda-pemisah, begitu juga item dalam senarai dikembalikan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37948,7 +38023,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- kembalikan senarai dengan membuang item list1 yang ditemui dalam list2, menggunakan perbandingan tak-sensitif-kata. Item dalam list1 dan list2 diasing dengan tanda-pemisah, begitu juga item dalam senarai dikembalikan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37956,7 +38031,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- kembalikan senarai terisih menggunakan isih sensitif-kata. Jika arah adalah sifat, senarai diisih menaik, jika tidak menurun. Item  senarai diasing dengan tanda-pemisah, begitu juga item dalam senarai dikembalikan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37965,7 +38040,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- kembalikan yes_val jika list1 dan list2 mengandungi item yang sama, jika tidak kembalikan no_val. Item ditentukan oleh pemisahan setiap senarai menggunakan aksara pemisah yang sesuai (sep1 atau sep2). Tertib item dalam senarai tidak relevan. Perbandingan adalah tidak-sensitif-kata."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37974,7 +38049,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- Biina senarai dengan pemisahan pertama src_list ke dalam item menggunakan aksara pemisah. Bagi setiap item di dalam senarai, tandakan jika memadani include_re. Jika ia berlaku, maka tambah ia ke dalam senarai yang dikembalikan. Jika opt_replace bukan rentetan kosong, maka laksana penggantian sebelum menambah item ke dalam senarai dikembalikan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37982,14 +38057,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Seperti list_re pengecualian penggantian bukan pilihan. Ia menggunakan re_group(list_item, search_re, group_1_template, ...) bila membuat penggantian pada senarai hasil."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- kembalikan retetan tarikh untuk hari ini. Nilai ini direka untuk kegunaan dalam format_date atau days_between, tetapi boleh dimanipulasi seperti mana-mana rentetan. Tarikh dalam format ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -37997,7 +38072,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- kembalikan bilangan hari diantara date1 dan date2. Bilangan adalah positif jika date1 lebih besar dari date2, jika tidak ia bernilai negatif. Jika date1 atau date2 tidak mempunyai tarikh, maka fungsi kembalikan rentetan kosong."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38005,28 +38080,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- kembalikan rentetan kod bahasa yang dilepasi dalam lang_codes. Jika dilokalkan adalah sifar, kembalikan rentetan dalam bahasa Inggeris. Jika dilokalkan tidak benilai sifar, maka kembalikan rentetan dalam bahasa lokal semasa. Lang_codes adalah senarai dipisah-tanda-koma."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- kembalian kod bahasa bagi rentetan yang dilepasi dalam lang_strings. Rentetan mestilah dalam bahasa lokal semasa. Lang_strings adalah senarai dipisah-tanda-koma."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- kembalikan nama terakhir pada laluan ke pustaka calibre semasa. Fungsi ini boleh dipanggil dalam mod program templat menggunakan templat \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- kembalikan laluan ke pustaka calibre semasa. Fungsi ini boleh dikenali dalam mod program templat menggunakan templat \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38035,7 +38110,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- laksanakan format, awalan, dan akhiran pada nilai dalam cara yang sama dibuat dalam templat seperti `{series_index:05.2f| - |- }`. Sebagai contoh, program berikut hasilkan output yang sama seperti di atas template: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38044,7 +38119,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38053,7 +38128,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- kembalikan senarai dipisah-tanda-koma bagi kategori pengguna yang terkandung dalam buku ini. Fungsi ini hanya berfungsi dalam GUI. Jika anda mahu guna nilai ini dalam templat save-to-disk atau send-to-device maka anda mesti buat \"Column built from other columns\" suai, guna fungsi dalam templat lajur, dan guna nilai lajur dalam templat simpan/hantar anda"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38061,7 +38136,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Kembalikan rentetan dalam abjad latin terbentuk oleh penganggaran sebutan perkataan dalam rentetan sumber. Sebagai contoh, jika sumber ialah \"{0}\" fungsi kembalikan \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38073,7 +38148,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- kembalikan rentetan mengandungi senarai pengarang dan nilai pautan pengarang dalam bentuk author1 val_separator author1link pair_separator author2 val_separator author2link dan lain-lain. Pengarang dipisah dari nilai pautannya oleh rentetan val_separator tanpa jarak ditambah kepadanya. Pasangan author:linkvalue dipisah dengan argumen rentetan pair_separator string tanda jarak ditambah kepadanya. Ia bergantung kepada anda untuk memilih rentetan pemisah yang tidak muncul dalam nama atau pautan pengarang. Pengarang disertakan walaupun jika pautan pengarang kosong."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38084,7 +38159,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- kembalikan rentetan mengandungi senarai nilai isih pengarang untuk pengarang buku. Isih adalah salah satu data meta pengarang (berbeza dari author_sort di dalam buku). Senarai yang dikembalikan mempunyai bentuk author isih 1 val_separator author isih 2 dan lain-lain. Nilai isih pengarang dalam senarai ini adalah dalam tertib yang sama seperti pengarang buku. Jika anda mahu jarak disekitar val_separator maka sertakannya di dalam rentetan pemisah"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38092,13 +38167,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38106,7 +38181,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38119,11 +38194,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38131,11 +38206,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38144,7 +38219,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38155,7 +38230,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38165,6 +38240,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38453,29 +38534,29 @@ msgstr "Tutup tanpa Menyimpan"
 msgid "Close Tab"
 msgstr "Tutup Tab"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Aksara tambahan dipenghujung gelintar"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ") hilang"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Gagal menghurai pertanyaan, had rekursi dicapai: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Gelintar tersimpan rekursif: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Ralat tidak diketahui dalam gelintar tersimpan: {0}"
@@ -38837,185 +38918,185 @@ msgstr "Mana-mana pautan yang sepadan de
 msgid "Do not download CSS stylesheets."
 msgstr "Jangan muat turun lembar gaya CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Simpan Semua"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Buka"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Ya"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ya untuk Semu&a"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Tidak"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "T&idak untuk Semua"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Henti Paksa"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Cuba Lagi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Tutup"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Laksana"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Tetap semula"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Pulih Lalai"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Sangat b&esar:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sat:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Val:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "Me&rah:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Hijau:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Biru:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Saluran a&lfa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Kursor pada %1, %2\nTekan ESC untuk batal"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Pilih Warna"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Warna a&sas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "Warna s&uai"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "T&ambah ke Warna Suai"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Pilih Warna Skrin"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Pilih Fon"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Fon"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Ga&ya fon"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Saiz"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Kesan"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "&Coret tembus"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Sampel"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Sistem Pe&nulisan"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Tatal kiri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Tatal atas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Tatal bawah"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Tatal kanan"
 
@@ -39295,8 +39376,8 @@ msgstr "Nyatakan penamaan semula peratur
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39344,7 +39425,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Nyatakan peraturan penamaan semula untuk koleksi sony. Tweak ini hanya\nboleh dilaksana jika pengurusan data meta ditetapkan ke automatik. Koleksi\npada Sony dinamakan bergantung sama ada medan adalah piawai atau suai.\nKoleksi yang diperoleh dari medan piawai dinamakan untuk nilai dalam medan\ntersebut. Sebagai contoh, jika lajur 'series' piawai mengandungi nilai 'Darkover',\nmaka nama koleksi adalah 'Darkover'. Satu koleksi yang diperoleh dari medan\nsuai akan mempunyai nama medan yang ditambah ke dalam nilai. Contohnya,\njika lajur siri suai bernama 'My Series' mengandungi 'Darkover', maka koleksi\nsecara lalai dinamakan 'Darkover (My Series)'. Bagi tujuan dokumentasi ini,\n'Darkover' dikenali sebagai nilai dan 'My Series' dikenali sebagai kategori. Jika\ndua buku mempunyai medan yang janakan nama koleksi yang sama, maka\nkedua-dua buku akan berada dalam koleksi tersebut.\nSet tweak ini membenarkan anda nyatakan untuk medan piawai atau suai\nbagaimana koleksi dinamakan. Anda boleh guna ia untuk tambah keterangan\npada medan piawai, sebagai contoh 'Foo (Tag)' selain dari 'Foo'. Anda juga\nboleh guna ia untuk paksa medan berbilang yang ada di dalam koleksi yang\nsama. Sebagai contoh, anda boleh paksa nilai dalam 'series', '#my_series_1',\ndan '#my_series_2' untuk paksa dalam koleksi bernama 'some_value (Series)',\nmaka penggabungan semua medan ke dalam satu set koleksi.\nTerdapat dua tweak berkaitan. Yang pertama tentukan nama kategori yang\ndigunakan untuk medan data meta.  Yang kedua ialah templat, digunakan\nuntuk tentukan bagaimana nilai dan kategori digabung untuk cipta nama koleksi.\nSintaks bagi tweak pertama, sony_collection_renaming_rules, ialah:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nTweak kedua, sony_collection_name_template, ialah satu templat. Ia gunakan\nbahasa templat yang sama seperti papan palam dan simpan templat. Tweak ini\nmengawal bagaimana nilai dan kategori digabungkan bersama-sama untuk\nmembuat nama koleksi. Hanya dua medan tersedia adalah {category} dan\n{value}. Medan {value} tidak boleh kosong. Medan {category} boleh kosong.\nLalai adalah letak nilai pertama, kemudian kategori dikurung dalam kurungan,\nianya tidaklah kosong:\n'{value} {category:|(|)}'\nContoh: Tiga contoh pertama menganggap tweak kedua tidak berubah.\n1: Saya mahu tiga lajur siri digabungkan menjadi satu set koleksi. Nama carian\nlajur adalah 'series', '#series_1' dan '#series_2'. Saya tidak mahu apa-apa di\ndalam kurungan. Nilai yang digunakan dalam nilai tweak adalah:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: Saya mahu perkataan '(Series)' muncul dalam koleksi yang dibuat dari siri,\ndan perkataan '(Tag)' muncul dalam koleksi yang dibuat melalui tags. Guna:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: Saya mahu 'series' dan '#myseries' digabungkan, dan untuk nama koleksi\nmempunyai '(Series)' ditambah masuk. Peraturan penamaan adalah:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: Sama seperti contoh 2, tetapi mempunyai nama kategori dalam kurungan dan\nditambah ke dalam nilai, Saya mahu ia ditambah dahulu dan diasing dengan\ntamda titik bertindih, seperti di dalam Siri: Darkover. Saya mesti ubah\ntemplat yang digunakan untuk format nama kategori\nHasil kedua-dua tweak adalah:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39352,7 +39433,7 @@ msgstr "Nyatakan bagaimana koleksi SONY
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39367,7 +39448,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Nyatakan bagaimana koleksi sony diisih. Tweak ini hanya boleh dilaksana\njika pengurusan data meta ditetapkan keautomatik. Anda boleh tunjukkan\ndata meta yang manakah boleh digunakan untuk isih berdasarkan\nkoleksi-per-koleksi. Format bagi tweak ialah senarai medan data meta yang\nmana koleksi dibuat, diikuti dengan nama medan data meta yang\nmengandungi nilai isih.\nContoh: Yang berikut menunjukkan koleksi dibina dari pubdate dan tag\ndiisih oleh nilai dalam lajur suai '#mydate', koleksi tersebut dibina\ndari 'series' telah diisih oleh 'series_index', dan juga lain-lain koleksi\nyang diisih oleh tajuk. Jika medan data meta koleksi tidak dinamakan,\nmaka jika ia adalah koleksi berdasarkan-seiri ia diisih oleh tertib siri,\njika tidak ia diisih mengikut tertib tajuk.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nPerhatian kurungan dan kurungan bulat diperlukan. Sintaks ialah\n[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\nLalai: kosong (tanpa peraturan), jadi tiada atribut koleksi dinamakan."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/mt.po 5.10.0+dfsg-1/translations/calibre/mt.po
--- 5.9.0+dfsg-3/translations/calibre/mt.po	2021-01-06 15:29:27.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/mt.po	2021-01-20 15:26:29.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8150,13 +8150,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8189,31 +8189,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9196,7 +9196,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10219,7 +10219,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11492,7 +11492,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11622,8 +11622,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11757,11 +11757,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11904,7 +11904,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12231,7 +12231,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12308,7 +12308,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12317,10 +12317,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12433,8 +12433,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13620,7 +13620,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13635,8 +13635,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14503,7 +14503,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14844,19 +14844,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14930,8 +14930,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15012,7 +15012,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16596,7 +16596,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16604,7 +16604,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16612,7 +16612,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16620,7 +16620,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16654,7 +16654,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17077,57 +17077,57 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17135,22 +17135,22 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17158,7 +17158,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17168,7 +17168,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17183,80 +17183,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17264,90 +17273,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17355,281 +17359,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17637,48 +17663,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18134,42 +18160,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18275,87 +18301,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19253,48 +19279,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20368,7 +20410,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20527,8 +20569,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20549,14 +20591,14 @@ msgstr[2] ""
 msgstr[3] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22790,60 +22832,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22851,57 +22893,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23743,13 +23785,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23783,7 +23825,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -24064,7 +24106,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24756,7 +24798,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25325,7 +25367,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25460,7 +25502,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25473,7 +25515,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26988,7 +27030,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27279,7 +27321,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27339,95 +27381,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28084,7 +28126,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28617,7 +28660,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30863,7 +30906,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32198,7 +32241,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32825,7 +32868,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34705,16 +34748,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34722,7 +34765,7 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34731,39 +34774,39 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34771,11 +34814,11 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35229,7 +35272,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35305,13 +35348,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35476,10 +35519,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36120,7 +36163,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36169,7 +36212,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36646,177 +36689,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37226,13 +37300,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37240,23 +37315,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37269,7 +37344,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37428,128 +37503,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37604,60 +37679,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37669,7 +37744,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37680,13 +37755,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37696,30 +37771,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37729,7 +37804,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37739,24 +37814,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37765,11 +37840,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37779,19 +37854,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37801,11 +37876,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37817,11 +37892,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37832,14 +37907,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37852,20 +37927,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37879,7 +37954,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37887,7 +37962,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37896,14 +37971,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37916,19 +37991,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37938,7 +38013,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37946,7 +38021,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37954,13 +38029,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37971,7 +38046,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37984,7 +38059,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38001,7 +38076,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38024,23 +38099,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38049,7 +38124,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38058,55 +38133,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38115,7 +38190,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38123,7 +38198,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38131,7 +38206,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38139,7 +38214,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38148,7 +38223,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38157,7 +38232,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38165,14 +38240,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38180,7 +38255,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38188,28 +38263,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38218,7 +38293,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38227,7 +38302,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38236,7 +38311,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38244,7 +38319,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38256,7 +38331,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38267,7 +38342,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38275,13 +38350,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38289,7 +38364,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38302,11 +38377,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38314,11 +38389,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38327,7 +38402,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38338,7 +38413,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38348,6 +38423,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38636,29 +38717,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -39023,185 +39104,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39481,8 +39562,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39538,7 +39619,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/my.po 5.10.0+dfsg-1/translations/calibre/my.po
--- 5.9.0+dfsg-3/translations/calibre/my.po	2021-01-06 15:29:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/my.po	2021-01-20 15:27:00.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "ဘာမျှမလုပ်
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "ဘာမျှမလုပ်
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "ဘာမျှမလုပ်
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "ဘာမျှမလုပ်
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "ဘာမျှမလုပ်
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "ဘာမျှမလုပ်
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "စိတ်ကြိုက်
 msgid "Cannot configure"
 msgstr "ဖွဲ့စည်းပုံ ပြင်ဆင်၍မရပါ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ဖိုင်အမျိုးအစား"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadata ဖတ်သူ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadata ရေးသူ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "ကက်တလောက် ဖန်တီးသူ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "သုံးစွဲသူ မျက်နှာပြင် လုပ်ဆောင်ချက်"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr "သုံးစွဲသူ မ
 msgid "Preferences"
 msgstr "စိတ်ကြိုက်ပြင်ဆင်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "သိမ်းဆည်းရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "အီး-စာအုပ် အရောင်းဆိုင် တစ်ခု။"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "စာအုပ် ပြင်ဆင်ရန် ကိရိယာ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "စာကြည့်တိုက် ပိတ်ပြီးပြီ"
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "comic ဖိုင်များမှ စာအုပ်အဖုံးကို ရယူမည်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s ဖိုင် မှ metadata ဖတ်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "RAR မော်ကွန်းတိုက် ဖိုင် ထဲ ရှိ အီး-စာအုပ်များ ထံမှ metadata ဖတ်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "ZIP မော်ကွန်းဖိုင် မှ အီး-စာအုပ်များ မှ metadata ဖတ်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "%s ဖိုင်များအတွင်း metadata များ ထည့်သွင်းရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%s ဖိုင် မှ metadata ထည့်သွင်းပါ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Calibre (သို့) ချိတ်ဆက်ထားသောစက်ပစ္စည်း သို့ စာအုပ်များထည့်သွင်းရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Kindle (စမ်းသပ်ဆဲ) သို့ ချိတ်ဆက်ခြင်းမှ ကြေငြာချက်များ ရယူရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "သင်၏စာကြည့်တိုက်မှ စာအုပ်စာရင်း ထုတ်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "အမျိုးမျိုးသော အီး-စာအုပ် အမျိုးအစားများ သို့ ပြောင်းလဲရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "သင်၏ အီး-စာအုပ်များ ကို ကောင်းကောင်းချိန်ညှိရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "သင့် စာအုပ်များ ရှိ မာတိကာများကို တည်းဖြတ်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "သင် ၏ Calibre စာကြည့်တိုက်မှ သို့မဟုတ် ချိတ်ဆက်ထားသောစက်ပစ္စည်း မှ စာအုပ်များဖျက်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "သင်၏  calibre စာကြည့်တိုက် ရှိ စာအုပ် ဖိုင်များ နှင့် အမှန်တကယ် ပေါင်းထည့်ထားသော metadata ကိုပြင်ဆင်ရန် "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "သင်၏ calibre စာကြည့်တိုက် ရှိ စာအုပ်များ ၏ metadata ကို ပြင်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Calibre ထဲနှိုက်ပင် စာအုပ်များဖတ်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "အင်တာနက်ရှိ သတင်းများကို အီး-စာအုပ် ပုံစံဖြင့် ဒေါင်းလုပ် ဆွဲယူရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "ဆက်စပ်နေသော စာအုပ်များ စာရင်း ကို မြန်မြန် ပြရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "စာကြည့်တိုက်ရှိ စာအုပ်များ၏ အညွှန်းကဒ် များ စစ်ထုတ်ရန်/ပြောင်းလဲရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "စာကြည့်တိုက် ရှိ စာအုပ်များ ၏ စာရေးသူကို ပြောင်းလဲရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "စမ်းသပ် ပုံစံများ မှ ပြင်ဆင်သူကို ပြသရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "calibre စာကြည့်တိုက် မှ စာအုပ်များ ကို ‌ဟာဒ်ဒစ် ထဲသို့ ထုတ်ယူရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "စာအုပ် အသေးစိတ်များ ကို သီးခြား အကွက်ငယ်ဖြင့်ပြရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Calibre ကို ပြန်စရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "စာကြည့်တိုက်ထဲမှ စာအုပ်များသိမ်းရှိရာ ဖိုင်တွဲကိုဖွင့်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "ချိတ်ဆက်ထားသောစက်ပစ္စည်းသို့ စာအုပ်များပို့ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Calibre အသုံးပြုနည်းများကို ရှာဖွေကြည့်ရှုရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Calibreကို စိတ်တိုင်းကျ ပြင်ဆင်ခြင်း"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "လက်ရှိရွေးထားသောစာအုပ်နှင့် ဆင်တူစာအုပ်များကို အလွယ်တကူရှာရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Calibre စာကြည့်တိုက်များအကြားပြောင်း၍ ပြုပြင်ထိမ်းသိမ်းမှုများပြုလုပ်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "စာအုပ်တစ်အုပ်ကို Calibre စာကြည့်တိုက်တစ်ခုမှ အခြားတစ်ခုသို့ကူးယူရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "ကြုံရာကျပန်း စာအုပ်တစ်အုပ် ရွေးရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "အရောင်းဆိုင်အမျိုးမျိုးတို့ထံမှ စာအုပ်များကိုရှာရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Calibre အတွက်ထည့်သွင်းလုပ်ဆောင်ချက်များကို တိုးမြှင့်ရန် (သို့) အသစ်များကိုယူရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interface"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "ခံစားမှုအမြင်ပုံစံကို ဆန္ဒရှိသလိုပြင်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "အပြုအမူ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Calibre ၏လုပ်ဆောင်ပုံ အမူအကျင့်များကိုပြင်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "ဇယားကွက်တိုင် ထပ်ထည့်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Calibre စာအုပ်စာရင်းမှ ဇယားကွက်တိုင် ထပ်ထည့်ရန်(သို့)ဖြုတ်ရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "ကိရိယာ ဘားတန်း နှင့် မီနူးများ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "ခလုပ်ခုံတန်း(toolbar) နှင့် လုပ်ဆောင်ချက်ရွေးချယ်စာရင်း ကိုစိတ်တိုင်းကျ ပြင်ဆင်ပြောင်းလဲရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "ရှာနေသည်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "စာအုပ်အမျိုးအစား ပြောင်းလဲခြင်း"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "ပြောင်းလဲရန် ထည့်သွင်းမည့်စာအုပ်​ ပုံစံအသီးသီး အတွက်ရွေးစရာ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "ပြောင်းလဲမည့် စာအုပ်​အမျိုးအစားအားလုံး အတွက်ဘုံရွေးခြယ်စရာ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "ပြောင်းလဲပြီး ထွက်ကုန်စာအုပ်​ ပုံစံအသီးသီး အတွက်ရွေးစရာ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "စာအုပ်ထည့်သွင်းခြင်း"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "တင်သွင်း/ထုတ်ပို့"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Saving books to disk\r\nစာအုပ်များကို ဟာ့ဒ်ဒစ်ထဲသိမ်းရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Sending books to devices\r\nချိတ်ဆက်ထားသောစက်ပစ္စည်း သို့ စာအုပ်များ ပို့သွင်းရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr "ပုံစံပြ လုပ်ဆောင်ချက်များ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "အဆင့်မြင့်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "သင့် ကိုယ်ပိုင် ပုံစံပြ လုပ်ဆောင်ချက်များ ဖန်တီးရန်"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "e-mail ဖြင့် စာအုပ်များ မျှဝေခြင်း"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "ဖြန့်ဝေခြင်း"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "e-mail ဖြင့်ဖြန့်ဝေခြင်း ပုံစံပြင်ခြင်း။ သင်၏လက်ကိုင်စက်များသို့ နက်မှချယူထားသည့် သတင်းများကို အလိုလျောက် ပို့ပေးစေနိုင်သည်။"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "အင်တာနက်တွင် ဖြန့်ဝေခြင်း"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plugins"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Tweaks"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Calibre လုပ်ဆောင်ပုံ အမူအကျင့်များ အသေးစိတ် ပြောင်းလဲချိန်ညှိခြင်း"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "ကီးဘုတ် ရှော့ကတ်များကို စိတ်တိုင်းကျ ပြင်ဆင်ခြင်း"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr "ကီးဘုတ် ရှေ
 msgid "Miscellaneous"
 msgstr "အထွေထွေ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "အထွေထွေ အသေးစိတ် ဖွဲ့စည်းပုံ"
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr "သိမ်းထားသေ
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "ဟုတ်ကဲ့"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "%s အတွက် မျက်နှာဖုံး"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8137,13 +8137,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8176,31 +8176,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9162,7 +9162,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10164,7 +10164,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11416,7 +11416,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11546,8 +11546,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11681,11 +11681,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11828,7 +11828,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12155,7 +12155,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12232,7 +12232,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12241,10 +12241,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12357,8 +12357,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13544,7 +13544,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13559,8 +13559,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14427,7 +14427,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14768,19 +14768,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14854,8 +14854,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14936,7 +14936,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16514,7 +16514,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16522,7 +16522,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16530,7 +16530,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16538,7 +16538,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16572,7 +16572,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -16992,77 +16992,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17070,7 +17070,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17080,7 +17080,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17095,80 +17095,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17176,90 +17185,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17267,281 +17271,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17549,48 +17575,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18046,42 +18072,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18187,87 +18213,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19165,48 +19191,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20265,7 +20307,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20424,8 +20466,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20440,14 +20482,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22660,60 +22702,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22721,57 +22763,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23613,13 +23655,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23653,7 +23695,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23934,7 +23976,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24626,7 +24668,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25195,7 +25237,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25330,7 +25372,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25340,7 +25382,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26852,7 +26894,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27143,7 +27185,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27203,95 +27245,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27948,7 +27990,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28478,7 +28521,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30712,7 +30755,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32035,7 +32078,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32662,7 +32705,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34533,68 +34576,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35048,7 +35091,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35124,13 +35167,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35295,10 +35338,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35939,7 +35982,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -35988,7 +36031,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36465,177 +36508,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37042,13 +37116,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37056,23 +37131,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37085,7 +37160,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37244,128 +37319,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37420,60 +37495,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37485,7 +37560,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37496,13 +37571,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37512,30 +37587,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37545,7 +37620,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37555,24 +37630,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37581,11 +37656,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37595,19 +37670,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37617,11 +37692,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37633,11 +37708,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37648,14 +37723,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37668,20 +37743,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37695,7 +37770,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37703,7 +37778,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37712,14 +37787,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37732,19 +37807,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37754,7 +37829,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37762,7 +37837,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37770,13 +37845,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37787,7 +37862,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37800,7 +37875,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37817,7 +37892,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37840,23 +37915,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37865,7 +37940,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37874,55 +37949,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37931,7 +38006,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37939,7 +38014,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37947,7 +38022,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37955,7 +38030,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37964,7 +38039,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37973,7 +38048,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37981,14 +38056,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -37996,7 +38071,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38004,28 +38079,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38034,7 +38109,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38043,7 +38118,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38052,7 +38127,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38060,7 +38135,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38072,7 +38147,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38083,7 +38158,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38091,13 +38166,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38105,7 +38180,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38118,11 +38193,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38130,11 +38205,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38143,7 +38218,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38154,7 +38229,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38164,6 +38239,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38452,29 +38533,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38836,185 +38917,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "ကောင်းပြီ"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "ပိတ်"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39294,8 +39375,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39351,7 +39432,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/nb.po 5.10.0+dfsg-1/translations/calibre/nb.po
--- 5.9.0+dfsg-3/translations/calibre/nb.po	2021-01-06 15:30:20.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/nb.po	2021-01-20 15:26:58.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -93,15 +93,15 @@ msgstr "Gjør absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -122,7 +122,7 @@ msgstr "Gjør absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -222,16 +222,16 @@ msgstr "Gjør absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -257,7 +257,7 @@ msgstr "Gjør absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -289,7 +289,7 @@ msgstr "Gjør absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -308,7 +308,7 @@ msgstr "Gjør absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -332,27 +332,27 @@ msgstr "Tilpass"
 msgid "Cannot configure"
 msgstr "Kan ikke konfigurere"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Filtype"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadataleser"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadataskriver"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalogoppretter"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -364,20 +364,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Innstillinger"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Lagre"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "En e-bokbutikk."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Bibliotek lukket "
 
@@ -399,372 +399,372 @@ msgstr "Lag et TCTZ-arkiv når en TXT fi
 msgid "Extract cover from comic files"
 msgstr "Utvinn omslagsbilde fra tegneseriefiler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Les metadata fra %s filer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Les metadata fra e-bok i RAR-arkiver "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Set metadata i %s filer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Set metadata fra %s filer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Legg bøker til calibre eller til den tilkoblede enheten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Hent annoteringer fra en tilkoblet Kindle-enhet (til uprøving)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Generer en katalog av bøkene som finnes i ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Konverter bøker til ulike E-bokformater "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Fininnstill din e-bok"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Redigér innholdsfortegnelsen i bøkene dine"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Slett bøker fra ditt calibrebibliotek eller tilkoblede enhet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Bygg inn oppdaterte metadata i bokfilene i calibre biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Rediger metadata i bøker som finnes i ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Les bøker fra ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Vis en liste over relaterte bøker raskt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filter/transformer merkelappene for bøker i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Vis en redigerer for test av tema"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Eksporter bøker fra ditt calibre-bibliotek til harddisken"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Start calibre på nytt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Åpne mappen som inneholder e-bokfilene som finnes i ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Send bøker til den tilkoblete enheten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Se gjennom calibres brukermanual."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Tilpass calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Finn bøker enkelt, lik den nåværende valgte boken"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Bytt mellom forskjellige calibre-bibliotek og gjennomfør vedlikehold av dem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopier bøker fra enheten din til ditt calibre bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Rediger samlingen av bøker som ligger på din enhet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Avstem bok på enheter med bøkene i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopier en bok fra ett calibre-bibliotek til et annet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Finn den neste eller forrige treff når du søker i ditt calibre-bibliotek i fremhevelsesmodus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Velg en tilfelding bok fra calibrebiblioteket ditt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sortér boklisten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Merl bøker midlertidig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Søk etter bøker fra forskjellige bokforhandlere"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Hent nye calibre-plugins eller oppdater dine eksisterende"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Se & føl"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Brukergrensesnitt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Juster utseende for calibres brukergrensesnitt etter ditt ønske"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Adferd"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Endrer måten calibre oppfører seg"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Legg til dine egne kolonner"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Legg til /fjern dine egne kolonner i calibres bokliste"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Tilpass verktøylinjen og kontekstmenyer. Endringer med handlinger er tilgjengelig i hver"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Søker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Tilpass måten Calibre søker etter bøker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konvertering"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Angi spesifikke konverteringsalternativer for hvert inndata-format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Vanlige innstillinger"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Angi felles konverteringsalternativer for alle formater"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Angi spesifikke konverteringsalternativer for hvert utdata-format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Legger til bøker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importere/eksportere"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Kontrollér hvordan calibre leser metadata fra filer når den legger til bøker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Lagrer bøker til disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Kontrollér  hvordan calibre eksporterer filer fra dens database til disken når \"lagre til disk\" benyttes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Sender bøker til enheter"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Instrumenttavle for metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Endre felt for metadata før lagring/sending"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -774,92 +774,92 @@ msgstr "Endre felt for metadata før lag
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avansert"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Lag dine egne malfunksjoner"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Dele bøker via e-post"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Deling"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Klargjør for deling av bøker via e-post. Kan brukes til automatisk sending av nedlastede nyheter til enhetene"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Deling over nettet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Nedlasting av metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignorerte enheter"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Kontrollér hvilke enheter calibre skal ignorere når de blir tilkoblet maskinen."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Programtillegg"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Legg til/fjern/tilpass ulike deler av calibres funksjonalitet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Tilpasning"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Finjustér hvordan calibre virker i ulike sammenhenger"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Snarveier"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Tilpass tastatur-snarveier for calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -867,7 +867,7 @@ msgstr "Tilpass tastatur-snarveier for c
 msgid "Miscellaneous"
 msgstr "Diverse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Diverse avanserte konfigurasjoner"
 
@@ -1257,9 +1257,9 @@ msgstr "Overføre database til SQL"
 msgid "Restoring database from SQL"
 msgstr "Gjenoppretter database fra SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1285,17 +1285,17 @@ msgstr "Lagrete søk"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ja"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Forside for %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format for {1}"
@@ -1681,14 +1681,14 @@ msgstr "Ved å spesifisere denne brytere
 msgid "You must specify some ids or the %s option"
 msgstr "Du må spesifisere noen ID'er eller %s valget"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%programliste [brukervalg]\nLister opp bøker som er tiljengelig i calibres database.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1696,7 +1696,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1704,39 +1704,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Sorter resultater i stigende rekkefølge"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrer resultatene etter søkekriterium. For format av søkekriterium, vennligst se søksrelatert dokumentasjon i brukermanualen. Standard er satt til: Ingen filtrering"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Maksimal bredde for enkeltlinje i utdata. Standard er: Følg skjermstørrelse."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Strengen som brukes for å dele felt. Standard er et mellomrom."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Benevnelse for alle filbaner. Standard er den absolutte banen til bibliotekfolderen."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2283,21 +2283,21 @@ msgstr "tom"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Ugyldig boolsk spørring \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Rekursiv spørring gruppe oppdaget: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3473,11 +3473,11 @@ msgstr "Fjernet %s"
 msgid "All books removed"
 msgstr "Alle bøker er fjernet"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Ikke navngitt enhet"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3486,12 +3486,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Ukjent MTP-enhet"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6046,7 +6046,7 @@ msgstr "Merknader"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6339,7 +6339,7 @@ msgid "Producer"
 msgstr "Produsent"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6347,7 +6347,7 @@ msgid "Comments"
 msgstr "Sammendrag:"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6387,7 +6387,7 @@ msgid "Tags"
 msgstr "Nøkkelord"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6417,7 +6417,7 @@ msgid "Timestamp"
 msgstr "Tidstempel"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8147,13 +8147,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "HTML TOC genereringsvalg."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8186,31 +8186,31 @@ msgstr "Generer en Adobe \"sidekart\" fi
 msgid "Sidebar"
 msgstr "Sidepanel"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9179,7 +9179,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10188,7 +10188,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Hjelp"
 
@@ -11447,7 +11447,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorer"
 
@@ -11577,8 +11577,8 @@ msgstr "Endre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11712,11 +11712,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Administrer %s"
@@ -11859,7 +11859,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12186,7 +12186,7 @@ msgid "Preset name:"
 msgstr "Navn på forhåndsinnstilling:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12263,7 +12263,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Lagre"
 
@@ -12272,10 +12272,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Slett"
@@ -12388,8 +12388,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13575,7 +13575,7 @@ msgid "Ta&gs:"
 msgstr "Emne&ord:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13590,8 +13590,8 @@ msgstr "&Serier:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Liste av kjente serier. Du kan legge til nye serier."
@@ -14458,7 +14458,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14799,19 +14799,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&ksporter"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14885,8 +14885,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14967,7 +14967,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16547,7 +16547,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16555,7 +16555,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16563,7 +16563,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16571,7 +16571,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16605,7 +16605,7 @@ msgid "Manage authors"
 msgstr "Behandling av forfatterinformasjon"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Søk etter:"
@@ -17026,78 +17026,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "prossesserer"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Små bokstaver"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Store bokstaver"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Store eller små bokstaver i tittelen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Karaktertreff"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Erstatt felt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Flyttes til felt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Legges til felt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Gjør endringene umiddelbart uten at dialogen lukkes. Denne operasjonen kan ikke stoppes eller gjøres om"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Bok %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17105,7 +17105,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Biblioteket ditt kan ødelegges dersom du bruker denne egenskapen.</b> Endringen er permanent. Det finnes ingen metode for å gjøre om dette valget. Du anbefales å ta en sikkerhetskopi av biblioteket før du fortsetter.<p>Søk og erstatt i tekstfelter benytter tegnsett som samsvarer med vanlige uttrykk. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17115,7 +17115,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17130,80 +17130,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R FEIL MED MAL"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Søk/erstatt ugyldig"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Forfatter(e): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17211,90 +17220,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utomatisk forfattersortering"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Endre &omslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Forfatter s&orter: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Generer standardomslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Spesifiser hvordan forfatter(e) av denne boken skal sorteres. For eksempel Charles Dickens skal sorteres som Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Fjern omslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Bedømning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Forlegger: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Legg til ta&gger: "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Tving tittelen til å bli i tittellinjen. Dersom både denne og bytt forfatter er markert,\nvil tittel og forfatter bli byttet om før tittellinje blir gitt."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Fjern emneord:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Kommaseparert liste av emneord som skal fjernes fra bøkene. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Dato:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Merk av denne boksen for å fjerne alle emneord fra bøkene."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Dersom markert, vil serien bli fjernet"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17302,281 +17306,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Om ikke markert, vil serienummerne for bøkene bli satt til 1.\nOm markert, vil utvalget av bøker automatisk bli nummerert i den orden\ndu har valgt dem. Så dersom du valgte bok A og deretter bok B,\nvil bok A få serienummer 1 og bok B få serienummer 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Serier vil normalt bli omnummerert fra det høyeste nummeret i databasen\nfor dene serien. Ved å markere denne boksen vil calibre starte nummereringen\nfra verdien gitt i boksen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Dersom markert, vil serien bli fjernet"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Dato:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Fjern emneord:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Fjern lagrede konverteringsinnstillinger for de valgte bøkene.\n\nFremtidige konverteringsinnstillinger vil bruke standard innstillinger."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Legg til ta&gger: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Slett &lagrede konverteringsinnstillinger for de valgte bøkene"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Spesifiser hvordan forfatter(e) av denne boken skal sorteres. For eksempel Charles Dickens skal sorteres som Dickens, Charles."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Forfatter(e): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Tving tittelen til å bli i tittellinjen. Dersom både denne og bytt forfatter er markert,\nvil tittel og forfatter bli byttet om før tittellinje blir gitt."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Forlegger: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Kommaseparert liste av emneord som skal fjernes fra bøkene. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Forfatter s&orter: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Endre &omslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Generer standardomslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Fjern omslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Fjern lagrede konverteringsinnstillinger for de valgte bøkene.\n\nFremtidige konverteringsinnstillinger vil bruke standard innstillinger."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Slett &lagrede konverteringsinnstillinger for de valgte bøkene"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Merk av denne boksen for å fjerne alle emneord fra bøkene."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Bedømning"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grunnleggende metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Brukervalgte metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Søke&felt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Navnet på feltet du ønkser å søke i"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Søke&modus:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Velg om du ønkser å benytte basis teksttreff eller avansert ordinært uttrykkstreff"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Legg inn en mal som skal brukes som kilde for søk/erstatt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marker denne boksen dersom søkestrengen må svare til store eller små bokstaver. Fjern markeringen dersom store eller små bokstaver skal ignorerers i søket"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Versal&følsom"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Erstatt med:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Erstatningsteksten. Den samsvarende søketeksten vil bli erstattet med denne tekststrengen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Sett inn funksjon etter bytte:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Spesifiser hvordan teksten skal behandles etter samsvarstreff og erstatning. I bokstavmodus, vil hele\nfeltet bli behandlet. I ordinært uttrykksmodus vil bare den samsvarende teksten bli behandlet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Destinasjonsfelt:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Feltet der teksten vil bli lagt inn etter alle erstatningene.\nOm tomt, vil kildefeltet bli brukt dersom feltet er modifiserbart"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&odus:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Spesifiser hvordan teksten bør kopieres til destinasjonen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Spesifiserer om resultatobjektet bør splittes til flere verdier eller\nbli værende som enkel verdi. Dette valget har de fleste effektene når kildefeltet ikke\ner flerfoldig og destinasjonsfeltet er flerfoldig."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Del &resultat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17584,48 +17610,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "For felt med flerfoldige verdier, vi&s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "med verdier delt me&d"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Benyttes når testresultater vises for å separere flerfoldige verdifelter"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Forsøkstekst"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Forsøksresultat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Søk og erstatt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18081,42 +18107,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18222,87 +18248,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Søk:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Gjeldende lagrede søk vil bli <b>slettet permanent</b>. er du sikker?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19200,48 +19226,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20305,7 +20347,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Ingen treff"
 
@@ -20464,8 +20506,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20482,14 +20524,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Klapp sammen alle"
 
@@ -22709,60 +22751,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22770,57 +22812,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "fjerning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Regler"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23662,13 +23704,13 @@ msgstr "Ingen undertekst"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Nederst"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Øverst"
 
@@ -23702,7 +23744,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Ved første bokstav"
 
@@ -23983,7 +24025,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Skru av"
 
@@ -24675,8 +24717,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Her kan du endre metadata som calibre bruker for å oppdatere bøker når den lagrer til disk eller sender til en enhet.\n\nBenytt denne dialogen for å definere et programtilleggsfelt for et format (eller alle formater) og en enhet (eller alle enheter). Programtilleggsfeltet spesifiserer hvilen mal som er koblet til hvilket felt. Denne malen benyttes for å lage en verdi, og denne verdien blir gitt til det sammenkoblede feltet.\n\nMaler kan ofte inneholde enkle referanser for sammensatte kolonner, men dette er ikke nødvendig. Du kan benytte en hvilken som helst mal i kildeboksen som du også kan benytte hvor som helst i calibre.\n\nEn mulig bruk for programtilleggsfeltet er å endre tittelen som inneholder serieinformasjon. En annen vill være å endre forfattersortering, noe som mobi-brukere gjerne gjør for å tingen den til å benytte ';' som Kindle krever. En tredje vil være å spesifisere språket."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25244,7 +25286,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25379,7 +25421,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25390,7 +25432,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26903,7 +26945,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27194,7 +27236,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27254,95 +27296,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Skjul kategorien %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partisjoner"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27999,7 +28041,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28530,7 +28573,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Forkastning"
 
@@ -30768,7 +30811,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32095,7 +32138,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32722,7 +32765,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Eksporter"
 
@@ -34596,71 +34639,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35114,7 +35157,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35190,13 +35233,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35361,10 +35404,10 @@ msgid "< &Back"
 msgstr "← &Tilbake"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Avbryt"
 
@@ -36005,7 +36048,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36054,7 +36097,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36531,177 +36574,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Hva vil du gjøre?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "Standard"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Skriv inn brukernavnet"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Passordene er ikke like"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Legg til en ny bruker"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Rediger en eksisterende bruker"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37109,13 +37183,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37123,23 +37198,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37152,7 +37227,7 @@ msgid "Enum"
 msgstr "Enum"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37311,128 +37386,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format:  skrive {0} krever en verdi med heltall, har {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: skriv {0} krever en desimalverdi (flytende), har {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37487,60 +37562,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37552,7 +37627,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37563,13 +37638,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37579,30 +37654,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37612,7 +37687,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37622,24 +37697,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "Søk krever enten 2 eller et oddetall av argumenter"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37648,11 +37723,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "bytte krever et oddetall av argumenter"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37662,19 +37737,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37684,11 +37759,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37700,11 +37775,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37715,14 +37790,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37735,20 +37810,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37762,7 +37837,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37770,7 +37845,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37779,14 +37854,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37799,19 +37874,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37821,7 +37896,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37829,7 +37904,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37837,13 +37912,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37854,7 +37929,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37867,7 +37942,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37884,7 +37959,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37907,23 +37982,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37932,7 +38007,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37941,55 +38016,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37998,7 +38073,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38006,7 +38081,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38014,7 +38089,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38022,7 +38097,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38031,7 +38106,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38040,7 +38115,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38048,14 +38123,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38063,7 +38138,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38071,28 +38146,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38101,7 +38176,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38110,7 +38185,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38119,7 +38194,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38127,7 +38202,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38139,7 +38214,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38150,7 +38225,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38158,13 +38233,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38172,7 +38247,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38185,11 +38260,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38197,11 +38272,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38210,7 +38285,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38221,7 +38296,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38231,6 +38306,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Bilde uten navn"
@@ -38519,29 +38600,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr "Lukk fane"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38904,185 +38985,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Ikke last ned CSS stilsett"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Lagre alle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Åpne"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Ja"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ja til &alle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nei"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&ei til alle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Løp vekk"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Prøv igjen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Lukk"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Utfør"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Nullstill"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Gjenopprett standardverdier"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Met:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Rød:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Grønn:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "B&lå:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lfakanal:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Velg farge"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Grunnfarger"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Tilpassede farger"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Velg skrifttype"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Skrifttype"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Størrelse"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Effekter"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Prøveeksemplar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Rull til venstre"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Rull oppover"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Rull nedover"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Rull til høyre"
 
@@ -39362,8 +39443,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39419,7 +39500,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/nds.po 5.10.0+dfsg-1/translations/calibre/nds.po
--- 5.9.0+dfsg-3/translations/calibre/nds.po	2021-01-06 15:31:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/nds.po	2021-01-20 15:26:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Makt nix"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Makt nix"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Makt nix"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Makt nix"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Makt nix"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Makt nix"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Ännern"
 msgid "Cannot configure"
 msgstr "Konfiguratschoon nich möglich"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Dateityp"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadatenleser"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadaten Writer"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalogersteller"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Instellen"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr "Erstelle ein TXTZ Archiv, wenn e
 msgid "Extract cover from comic files"
 msgstr "Umschlagbild aus Comic Dateien extrahieren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Metadaten aus %s Dateien lesen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Geben Sie die Metadaten in %s Dateien an"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Geben Sie die Metadaten von %s Dateien an"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Bücher zu Calibre oder dem verbundenen Gerät hinzufügen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Anmerkungen vom verbundenen Kindle laden (experimentell)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Erstellt ein Katalog der Bücher in die Calibre Bibliothek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Entferne Bücher aus der Calibre Bibliothek oder vom verbundenen Gerät"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Bedienungsoberfläche"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konvertierung"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Erweitert"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plugins"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr "Die Betätigung dieses Schalters
 msgid "You must specify some ids or the %s option"
 msgstr "Sie müssen IDs oder die %s Option angeben"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nListet die vorhandenen Bücher in der Calibre Datenbank auf.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Sortiere Ergebnisse in aufsteigender Reihenfolge"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtere die Ergebnisse durch die Suchanfrage. Für das Format der Suchanfrage sehen Sie sich bitte die Dokumentation, die die Suche betrifft, im Benutzerhandbuch an. Voreinstellung ist, keine Filterung durchzuführen."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Maximale Breite einer einzelnen Zeile in der Ausgabe. In der Voreinstellung wird die Bildschirmgröße erkannt."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Zeichenfolge zur Unterscheidung der Felder. Die Voreinstellung ist ein Leerzeichen."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Der Vorsatzcode zu allen Dateipfaden. Die Voreinstellung ist der absolute Pfad zum Bibliotheksverzeichnis."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr "Anmerkungen"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr "Produzent"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr "Bemerkung"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr "Etiketten"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr "Zeitstempel"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "Einstellungen zur Erstellung von HTML Inhaltsverzeichnissen."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr "Eine Adobe \"Page-Map\" Datei er
 msgid "Sidebar"
 msgstr "Seitenleiste"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Löschen"
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr "&Reihen:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Liste der bekannten Reihen. Sie können neue Reihen hinzufügen."
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Bei der Arbeit..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Kleinschreibung"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Großschreibung"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Wortanfänge groß schreiben"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autor(en): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Automatisch Sortierung nach Autor setzen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "S&ortierung nach Autor: "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Geben Sie an, wie der Autor dieses Buches sortiert werden soll. \"Charles Dickens\" zum Beispiel als \"Dickens, Charles\"."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Bewertung:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Herausgeber: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Etiketten hinzufü&gen: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Etiketten entfe&rnen:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Durch Kommata getrennte Liste der Etiketten, die von den Büchern entfernt werden. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datum:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datum:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Etiketten entfe&rnen:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Etiketten hinzufü&gen: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Geben Sie an, wie der Autor dieses Buches sortiert werden soll. \"Charles Dickens\" zum Beispiel als \"Dickens, Charles\"."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autor(en): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Herausgeber: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Durch Kommata getrennte Liste der Etiketten, die von den Büchern entfernt werden. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "S&ortierung nach Autor: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Bewertung:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exportieren"
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max (макс., string1, prefix2, string2, ...) - возвращает строку формируемую путем объединения аргументов. Возвращает значение инициализируемое в string1. Prefix, string пару добавляет в конце значения пока длина строки меньше, чем max . String1 возвращается, даже если string1 больше, чем max. Вы можете добавить, столько много пар Prefix, string, сколько вы хотите."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Lade CSS Stylesheets nicht herunter."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Zurücksetzen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/nl.po 5.10.0+dfsg-1/translations/calibre/nl.po
--- 5.9.0+dfsg-3/translations/calibre/nl.po	2021-01-06 15:30:17.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/nl.po	2021-01-20 15:26:49.000000000 +0000
@@ -64,8 +64,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
@@ -144,15 +144,15 @@ msgstr "Doet helemaal niets"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -173,7 +173,7 @@ msgstr "Doet helemaal niets"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -273,16 +273,16 @@ msgstr "Doet helemaal niets"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -308,7 +308,7 @@ msgstr "Doet helemaal niets"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -340,7 +340,7 @@ msgstr "Doet helemaal niets"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -359,7 +359,7 @@ msgstr "Doet helemaal niets"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -383,27 +383,27 @@ msgstr "Aanpassen"
 msgid "Cannot configure"
 msgstr "Kan niet configureren"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Bestandstype"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metagegevens-lezer"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metagegevens-schrijver"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Catalogusgenerator"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Gebruikersinterface actie"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -415,20 +415,20 @@ msgstr "Gebruikersinterface actie"
 msgid "Preferences"
 msgstr "Voorkeuren"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Winkel"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Een E-boekwinkel."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Bewerken Boekhulpmiddel"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Bibliotheek gesloten"
 
@@ -450,372 +450,372 @@ msgstr "Maak een TXTZ-archief aan als ee
 msgid "Extract cover from comic files"
 msgstr "Omslag uit stripboekbestanden extraheren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Metagegevens van %s bestanden lezen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Metagegevens van E-boeken uit RAR-archieven lezen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Metagegevens van E-boeken uit ZIP-archieven lezen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Metagegevens van %s bestanden instellen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Voer {0} in om de EPUB metagegevens-schrijver plugin geen omslagafbeelding toe te laten voegen voor EPUB-bestanden die geen bestaande omslagafbeelding hebben."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Stel metagegevens van %s bestanden in"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Boeken toevoegen aan Calibre of verbonden apparaat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Annotaties van een verbonden Kindle verkrijgen (experimenteel)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Een catalogus maken van boeken in uw Calibre bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Boeken naar verschillende E-boek formaten converteren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Verfijn uw e-books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Blader door hoogtepunten en bladwijzers uit alle boeken in de bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Bewerk de inhoudsopgave in uw boeken"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Verwijder boeken uit uw calibrebibliotheek of verbonden apparaat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Bewerk de metagegevens van de actuele boeken in uw Calibre-bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Bewerk de metagegevens van boeken in uw Calibre-bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Gelezen boeken in uw calibrebibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Download Nieuws van het Internet  in E-boekformaat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Toon snel een lijst van gerelateerde boeken"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filter/transformeer de labels voor de boeken in de bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Transformeer de auteurs voor boeken in de bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Toon een editor voor het testen van sjablonen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Toon een dialoogvenster voor het maken en beheren van sjabloonfuncties en opgeslagen sjablonen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exporteer boeken van uw calibrebibliotheek naar de harde schijf"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Toon boekdetails in apart venster"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Herstart Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Open de map waar de boekbestanden in uw Calibre bibliotheek zich bevinden"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Verstuur boeken naar het verbonden apparaat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Stuur boeken via e-mail of internet. Maak ook verbinding met mappen op uw computer alsof het apparaten zijn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Blader door de handleiding van Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Calibre aanpassen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Gemakkelijk overeenkomende boeken vinden op basis van het geselecteerde boek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Wissel tussen verschillende calibrebibliotheken en voer er onderhoud op uit"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Boeken van uw apparaat naar de Calibre bibliotheek kopiëren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Bewerk de collecties waar de boeken zich in bevinden op uw apparaat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Kijk naar overeenkomsten met het boek op de apparaten en boeken in de bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Laat het boek zien in de calibre-bibliotheek dat bij dit boek past"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopieer een boek van de ene Calibre bibliotheek naar een andere"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Bewerk boeken in EPUB of AZW3 formaten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Maak kleine veranderingen in ePub- of HTMLZ-bestanden in uw Calibre bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Vind het volgende of vorige resultaat indien gezocht wordt in uw Calibre-bibliotheek gebruikmakend van de markeer modus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Kies een willekeurig boek uit uw Calibre bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sorteer de boekenlijst"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Tijdelijk gemarkeerde boeken"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Verander de huidige virtuele bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Zoek naar boeken van diverse boekwinkels"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Verkrijg nieuwe Calibre plugins of werk uw huidige plugins bij"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Uitstraling & gevoel"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interface"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Pas uiterlijk en gedrag van Calibre aan uw eigen smaak aan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Gedrag"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Wijzig het gedrag van Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Voeg eigen kolommen toe"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Eigen kolommen aan de Calibre boekenlijst toevoegen of eruit verwijderen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Werkbalken en menu's"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Pas de werkbalken en contextmenu's aan en verander daarmee de beschikbare acties"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Zoeken"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Pas de manier waarop Calibre naar boeken zoekt aan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Invoer opties"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Stel de conversie-instellingen voor elk specifiek invoerformaat in"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Algemene opties"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Stel de conversie-instellingen die voor elk invoerformaat gelden in"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Uitvoer opties"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Stel de conversie-instellingen voor elk specifiek uitvoerformaat in"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Boeken toevoegen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importeren/Exporteren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Stel in hoe Calibre-metagegevens uit bestanden leest als boeken worden toegevoegd"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Boeken op schijf bewaren"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Stel in hoe Calibre bestanden uit de gegevensbank op schijf bewaart als u 'Opslaan op schijf' gebruikt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Boeken naar apparaten sturen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Stel in hoe Calibre de bestanden naar uw E-reader verstuurt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metagegevens-adapters"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Wijzig metagegevens vóór opslaan/versturen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -825,92 +825,92 @@ msgstr "Wijzig metagegevens vóór opsla
 msgid "Template functions"
 msgstr "Sjabloonfuncties"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Geavanceerd"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Maak uw eigen sjabloonfuncties"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Deel boeken via e-mail"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Delen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Configureer het delen van boeken via e-mail. Dit kan gebruikt worden om gedownload nieuws automatisch naar uw apparaten te sturen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Delen via (Inter)net"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Configureer de Calibre-inhoudsserver, waarmee u overal vandaan, met elk apparaat, via het Internet toegang heeft tot uw Calibre-bibliotheek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metagegevens downloaden"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Stel in hoe Calibre e-boek metagegevens van het Internet download"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Genegeerde apparaten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Bepaal welke apparaten Calibre zal negeren als deze worden verbonden aan de computer."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plug-ins"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Diverse (deel)functies van Calibre toevoegen/verwijderen/aanpassen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Aanpassingen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Stem af hoe Calibre zich in bepaalde situaties gedraagt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Sneltoetsen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Sneltoetsen die Calibre gebruikt aanpassen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -918,7 +918,7 @@ msgstr "Sneltoetsen die Calibre gebruikt
 msgid "Miscellaneous"
 msgstr "Diversen"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Diverse geavanceerde instellingen"
 
@@ -1308,9 +1308,9 @@ msgstr "Gegevensbank naar SQL dumpen"
 msgid "Restoring database from SQL"
 msgstr "De gegevensbank wordt met SQL hersteld"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1336,17 +1336,17 @@ msgstr "Opgeslagen zoekopdrachten"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ja"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Omslag voor %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formaat voor {1}"
@@ -1732,14 +1732,14 @@ msgstr "Als u dit opgeeft zal het gedrag
 msgid "You must specify some ids or the %s option"
 msgstr "U moet id's opgeven of de %s-optie gebruiken"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [opties]\n\nGeef de beschikbare boeken in de Calibre-gegevensbank weer.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1747,7 +1747,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "De velden die zichtbaar zijn bij het opzoeken van boeken in de gegevensbank. Dit is een lijst met komma-gescheiden waarden.\nBeschikbare velden: %s\nStandaard: %%default. Het speciale veld ‘all’ kan worden gebruikt om alle velden te selecteren. Heeft alleen een resultaat in txt-uitvoerformaat."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1755,39 +1755,39 @@ msgid ""
 "Default: {1}"
 msgstr "Het veld waarop de resultaten worden gesorteerd.\nBeschikbare velden: {0}\nStandaard: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Sorteer resultaten in oplopende volgorde"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filter de resultaten op de zoekoperatie. Voor het indeling van de zoekopdracht kunt u de zoek-gerelateerde documentatie in de gebruikershandleiding raadplegen. Standaard word er niet gefilterd."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "De maximale breedte van een enkele regel in de uitvoer. Standaard is dit hetzelfde als de schermgrootte."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "De tekenreeks gebruikt om velden van elkaar te scheiden. Standaard is dit een spatie."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "De prefix voor mappaden. Standaard is het absolute pad naar de bibliotheekmap."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Het maximum aantal resultaten om weer te geven. Standaard: allen"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2334,21 +2334,21 @@ msgstr "blanco"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Foutieve boolean opdracht \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Geen dergelijke virtuele bibliotheek: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "De zoekopdracht in de virtuele bibliotheek is repetitief: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Recursieve query-groep gevonden: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3524,11 +3524,11 @@ msgstr "%s verwijderd"
 msgid "All books removed"
 msgstr "Alle boeken verwijderd"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Naamloos apparaat"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3537,12 +3537,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Het apparaat {0} laat geen connectie toe.  Ontgrendel het scherm op de {0}, tik op \"Toestaan\" bij eender welk popup bericht je te zien krijgt, wacht eventjes of herstart Calibre. U kan wellicht ook de modus van de USB-verbinding wijzigen in de {0} naar \"Media Transfer Mode (MTP)\" of gelijkaardige modus."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Onbekend MTP apparaat"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6097,7 +6097,7 @@ msgstr "Aantekeningen"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6390,7 +6390,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6398,7 +6398,7 @@ msgid "Comments"
 msgstr "Opmerkingen"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6438,7 +6438,7 @@ msgid "Tags"
 msgstr "Labels"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6468,7 +6468,7 @@ msgid "Timestamp"
 msgstr "Tijdsaanduiding"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8198,13 +8198,13 @@ msgstr "Geupdate EPUB van versie 2 naar
 msgid "HTML TOC generation options."
 msgstr "Opties voor aanmaken HTML-inhoudsopgave."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} van <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8237,31 +8237,31 @@ msgstr "Maak een Adobe ‘pagina-map’-
 msgid "Sidebar"
 msgstr "Zijpaneel"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Kop- en voetteksten toevoegen"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Kop- en voetteksten toegevoegd"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Parsed alle inhoud voor markup-transformatie"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Voltooide markup-transformatie"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Alle HTML weergegeven als PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Links naar PDF-inhoud toegevoegd"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Bijgewerkte metagegevens in PDF"
 
@@ -9230,7 +9230,7 @@ msgstr "Geen fouten gevonden in de datab
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10239,7 +10239,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Hulp"
 
@@ -11498,7 +11498,7 @@ msgid "Errors while adding"
 msgstr "Fouten bij toevoegen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Negeren"
 
@@ -11628,8 +11628,8 @@ msgstr "Wijzig"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11763,11 +11763,11 @@ msgid "Search the internet for this book
 msgstr "Zoek op het internet naar dit boek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "%s beheren"
@@ -11910,7 +11910,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12237,7 +12237,7 @@ msgid "Preset name:"
 msgstr "Naam voorinstelling:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "U dient een naam op te geven"
 
@@ -12314,7 +12314,7 @@ msgid "Save current catalog settings as
 msgstr "Huidige catalogus instellingen opslaan als voorinstelling"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Opslaan"
 
@@ -12323,10 +12323,10 @@ msgid "Delete current preset"
 msgstr "Huidige voorinstelling wissen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Verwijderen"
@@ -12439,8 +12439,8 @@ msgstr "Herstel naar standaard"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13626,7 +13626,7 @@ msgid "Ta&gs:"
 msgstr "&Labels:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13641,8 +13641,8 @@ msgstr "Reek&s:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Lijst van bekende reeksen. U kunt nieuwe reeksen toevoegen."
@@ -14509,7 +14509,7 @@ msgid "Choose color"
 msgstr "Kies een kleur"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14850,19 +14850,19 @@ msgid "Edit style transform rules"
 msgstr "Wijzig stijl transformeer regels"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xporteren"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Exporteer deze regels naar een bestand"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14936,8 +14936,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15018,7 +15018,7 @@ msgid ""
 msgstr "Series worden normaal hernummerd vanaf het hoogste nummer in de gegevensbank voor die reeks. Als u dit selectievakje inschakelt, wordt het Calibre duidelijk dat het nummer moet beginnen met de waarde in het vak"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16598,7 +16598,7 @@ msgid "Change case"
 msgstr "Wijzig hoofdlettergebruik"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16606,7 +16606,7 @@ msgid "Upper case"
 msgstr "Hoofdletters"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16614,7 +16614,7 @@ msgid "Lower case"
 msgstr "Kleine letters"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16622,7 +16622,7 @@ msgid "Swap case"
 msgstr "Hoofd/kleine letters omwisselen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16656,7 +16656,7 @@ msgid "Manage authors"
 msgstr "Auteurs beheren"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Zoek naar:"
@@ -17077,78 +17077,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Verberg de resterende foutmelding"
 msgstr[1] "Verberg de resterende {} foutmeldingen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Bezig"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Verwerken van %d boeken, even wachten graag..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Huidige stap vooruitgang: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Stap %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Kleine letters"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Hoofdletters"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Elk Woord Met Hoofdletter"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Teken komt overeen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "reguliere expressie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Vervangveld"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Voor veld plaatsen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Na veld plaatsen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Voer alle veranderingen door zonder de dialoog af te sluiten. Dit kan niet onderbroken of ongedaan gemaakt worden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Boek %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Geef type identificatie op"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17156,7 +17156,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Met deze functie kunt u uw bibliotheek onherstelbaar beschadigen.</b> Veranderingen zijn permanent, u kunt deze niet ongedaan maken. Het wordt sterk aangeraden om een backup van uw bibliotheek te maken voordat u verder gaat.<p>Zoek en vervang in tekstvelden met teken-matching of regexps. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17166,7 +17166,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "In de tekenmodus wordt er in het zoekveld gezocht naar de ingevoerde zoektekst. De tekst wordt overal in het opgegeven zoekveld vervangen door de opgegeven vervangende tekst. Nadat de vervanging is voltooid, kan de tekst worden gewijzigd in hoofdletters, kleine letters of beginnende hoofdletters. Als het selectievakje Hoofdlettergevoelig is ingeschakeld, moet de zoektekst exact overeenkomen. Als dit niet is aangevinkt, komt de zoektekst overeen met zowel hoofdletters als kleine letters"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17181,80 +17181,89 @@ msgid ""
 "function."
 msgstr "In de reguliere expressiemodus is de zoektekst een willekeurige reguliere Python-compatibele expressie. De vervangende tekst kan terugverwijzingen naar haakjes in het patroon bevatten. De zoekopdracht is niet verankerd en kan meerdere keren over dezelfde reeks worden vergeleken en vervangen. De modificatiefuncties (kleine letters enz.) Worden toegepast op de overeenkomende tekst, niet op het veld als geheel. Het doelvak geeft het veld aan waar het resultaat na matching en vervanging moet worden toegewezen. U kunt de tekst in het veld vervangen of de overeenkomende tekst toevoegen of toevoegen. Zie <a href=\"https://docs.python.org/library/re.html\">deze referentie</a> voor meer informatie over de reguliere expressies van Python, en met name de 'sub'-functie."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "FOUT ZOEK/VERVANG-SJABLOON"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "U moet een bestemming specificeren als de bron een samengesteld veld of sjabloon is"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "De vervangingswaarde voor een waarderingskolom moet leeg of een geheel getal tussen de 0 en 10 zijn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "U moet een doelidentificatie opgeven"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "U dient een zoek uitdrukking op te geven in het \"Zoek naar\" veld"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Foutieve identificatoren string. Het moet een komma-gescheiden lijst van stringparen zijn gescheiden door een komma"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Zoeken/vervangen ongeldig"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Zoeken/vervangen is ongeldig: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Verwijder opgeslagen zoeken/vervangen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Geselecteerde zoeken/vervangen wordt verwijderd. Weet u het zeker?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Zoeken/vervangen opslaan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Naam voor zoeken/vervangen:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Deze zoeken/vervangen bestaat al en zal overschreven worden. Weet u het zeker?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Metagegevens bewerken"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "P&as datum toe"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Auteur(s): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17262,90 +17271,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Hierdoor wordt het auteur-sorteerveld automatisch bijgewerkt\nop basis van het auteursveld voor elk geselecteerd boek. Houd er rekening mee dat als\nu het besturingselement hierboven gebruikt om auteurs in bulk in te stellen, het veld 'auteurs sorteren'\n toch wordt bijgewerkt, ongeacht de waarde van dit selectievakje."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Auteursortering a&utomatisch instellen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "W&issel titel en auteur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Titelsortering bijwerken op basis van de huidige titel. Wordt pas toegepast na andere aanpassingen op titel."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Auteurs&ortering: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "&Titelsortering bijwerken"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Geef aan hoe de auteur(s) van dit boek gesorteerd moeten worden. Bijvoorbeeld: Charles Dickens moet worden gesorteerd als: Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "&Omslag wijzigen"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "Waa&rdering:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "Standaardomsla&g aanmaken"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Waardering toepassen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "Omslag &verwijderen"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Uitgever: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Tracht automatisch kaderlijnen en extra ruimtes op te sporen en te verwijderen\nvan de omslag randen. Dit kan soms echter teveel wegnemen,\ngebruik dit dus zorgvuldig."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Indien aangevinkt zal de uitgever worden gewist"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Trim de omslag (GEVAARLIJK)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Wis uitg"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Instellen van &e-boek bestanden"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Labels toevoe&gen: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Stel de omslagen van alle geselecteerde boeken\nin als dezelfde van die van het eerste boek."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Open label editor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "Dupli&ceer omslagen"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Labels ve&rwijderen:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Maakt van de woorden in de titel de eerste letter een hoofdletter. Als zowel dit\nals ‘titel en auteur omwisselen’ aangevinkt zijn worden titel en auteur omgewisseld\nvoordat de hoofdletters aangepast worden"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Lijst van labels die van het boek verwijderd moeten worden, gescheiden door komma's. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "wijzigen Titel &hoofdlettergebruik in:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Aanvinken om alle labels van de boeken te verwijderen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datum:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "&Allemaal verwijderen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Indien aangevinkt zal de uitgever worden gewist"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Ser&ie`s:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Wis uitg"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Als dit is ingesteld wordt de reeks verwijderd"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "P&ublished:\nP&ublicatie:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "Reeks &wissen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17353,126 +17357,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Als dit niet aangevinkt is zullen alle nummers van de reeks op 1 gezet\nworden. Als dit wel aangevinkt is zullen de boeken automatisch\nworden genummerd, in de volgorde van de selectie.\nAls u eerst boek A geselecteerd heeft, en daarna boek B, dan zal boek A\nnummer 1 hebben, en boek B nummer 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Boeken in deze reeks &automatisch nummeren"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Reeksen worden standaard genummerd vanaf het hoogste nummer van deze reeks \nin de gegevensbank. Als dit is aangevinkt begint Calibre met nummeren vanaf de \nopgegeven waarde"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Forceer start nummering bij:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Als dit is ingesteld wordt de reeks verwijderd"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "Reeks &wissen"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Stel in hoe de standaard gegenereerde covers worden gemaakt"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Configureer co&ver generatie"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "De co&mmentaren  voor alle geselecteerde boeken instellen"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Labels ve&rwijderen:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "&Allemaal verwijderen"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Labels toevoe&gen: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datum:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Geef aan hoe de auteur(s) van dit boek gesorteerd moeten worden. Bijvoorbeeld: Charles Dickens moet worden gesorteerd als: Dickens, Charles."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "P&as datum toe"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Waardering toepassen"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "P&ublished:\nP&ublicatie:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Wis publicatiedatum"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Auteur(s): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "Ta&len"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Uitgever: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Lijst van labels die van het boek verwijderd moeten worden, gescheiden door komma's. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Open label editor"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Auteurs&ortering: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Stel de metagegevens in Calibre in op basis van de metagegevens in de e-book bestanden die bij elk boek horen. Merk op dat dit de omslag niet verandert, gebruik hiervoor de afzonderlijke optie hieronder."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Set & metagegevens (uitgezonderd cover) uit de e-bookbestanden"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Ser&ie`s:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Verwijder de conversie-instellingen voor de geselecteerde boeken.\n\nToekomstige conversies van deze boeken zullen de standaardinstellingen gebruiken."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "De opge&slagen conversie-instellingen voor de geselecteerde boeken verwijderen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17481,153 +17420,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Bij een omzetting van en naar hetzelfde formaat,\n voor bijvoorbeeld EBUP naar EPUB, zal Calibre het originele\n bestand als ORIGINAL_EPUB bewaren. Deze instelling\n vertelt Calibre de originele EPUB te herstellen uit ORIGINAL_EPUB.\n Nuittig als u een massaconversie heeft uitgevoerd bij veel boeken\n en er iets fout is gegaan."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "&Orginele bestanden terug zetten, indien aanwezig"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Aanvinken om alle labels van de boeken te verwijderen."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "Waa&rdering:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Maakt van de woorden in de titel de eerste letter een hoofdletter. Als zowel dit\nals ‘titel en auteur omwisselen’ aangevinkt zijn worden titel en auteur omgewisseld\nvoordat de hoofdletters aangepast worden"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "wijzigen Titel &hoofdlettergebruik in:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Titelsortering bijwerken op basis van de huidige titel. Wordt pas toegepast na andere aanpassingen op titel."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "&Titelsortering bijwerken"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Stel de metagegevens in Calibre in op basis van de metagegevens in de e-book bestanden die bij elk boek horen. Merk op dat dit de omslag niet verandert, gebruik hiervoor de afzonderlijke optie hieronder."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Set & metagegevens (uitgezonderd cover) uit de e-bookbestanden"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "&Omslag wijzigen"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "Standaardomsla&g aanmaken"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "Omslag &verwijderen"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Tracht automatisch kaderlijnen en extra ruimtes op te sporen en te verwijderen\nvan de omslag randen. Dit kan soms echter teveel wegnemen,\ngebruik dit dus zorgvuldig."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Trim de omslag (GEVAARLIJK)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Instellen van &e-boek bestanden"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Stel de omslagen van alle geselecteerde boeken\nin als dezelfde van die van het eerste boek."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "Dupli&ceer omslagen"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Stel in hoe de standaard gegenereerde covers worden gemaakt"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Configureer co&ver generatie"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "De co&mmentaren  voor alle geselecteerde boeken instellen"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Basismetagegevens"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Aangepaste metagegevens"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Laden zoeken/vervangen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Selecteer zoeken/vervangen om te laden."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Huidige zoeken/vervangen opslaan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Op&slaan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Zoek&veld:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "De naam van het veld dat u wilt doorzoeken"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Zoek&modus:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Kies voor simpele tekstvergelijking of geavanceerde regexp"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "&Identificeer type:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Kies op welke identificator dit uitgevoerd moet worden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Sjabloon:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Geef een sjabloon als basis voor zoeken/vervangen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Geef aan waar u naar zoekt, het zij in platte tekst of reguliere expressies, afhankelijk van de modus."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Als dit is ingesteld moet de zoekterm exact overeenkomen, met hoofd- en kleine letters. Als dit niet is ingesteld wordt hier niet op gelet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Hoofdl&ettergevoelig"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "Ve&rvangen door:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "De vervangende tekst. De overeenkomende tekst zal door deze tekst vervangen worden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "Functie na vervangen toep&assen:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Geef op hoe de tekst na zoeken en vervangen verwerkt moet worden. In teken-modus wordt het volledige\nveld verwerkt. In regexp-modus wordt alleen de overeenkomende tekst verwerkt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Doelveld:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Het veld waar de tekst naartoe gaat na alle vervangingen.\nAls dit leeg is wordt, indien mogelijk, het bronveld gebruikt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&odus:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Geef aan hoe de tekst naar het doel gekopieerd moet worden."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Specificeert of het resultaat moet worden opgesplitst in meerdere\nwaarden of één waarde moet blijven. Heeft het meeste effect als het\nbronveld niet meervoudig is en het doelveld wel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "&Resultaat splitsen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Type identificator:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17635,48 +17661,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Kies welke identificator type u wilt bewerken. Als het\n              bron veld iets anders is dan 'identificatoren' kunt u een *\n              invoeren als u alle identificatoren wilt vervangen met\n              het resultaat van het zoeken/vervangen.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Voor meervoudige velden, &weergeven van"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "Waar&den beginnend bij"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "en waarden &gescheiden door"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Gebruikt bij tonen van testresultaten om velden te scheiden in meervoudige velden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Test-tekst"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Test-resultaat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Uw &test:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Zoeken en vervangen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Indien ingeschakeld, wordt de boekenlijst opnieuw gesorteerd en eventuele bestaande\nzoeken of de virtuele bibliotheek wordt na de bewerking vernieuwd\nis voltooid. Dit kan traag zijn op grote bibliotheken."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "Ve&rvers boekenlijst na bewerken"
 
@@ -18132,42 +18158,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Item: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Klik om alleen boeken met dit item weer te geven. Dubbelklik om naar dit item te zoeken in de Tag-browser"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Geen items gevonden**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Klik in een kolom in de bibliotheek-weergave om informatie van dat te zien"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Boeken met geselecteerd item \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Er is iets misgegaan tijdens het invullen van de tabel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Quickview: boek niet in bibliotheekweergave"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18273,87 +18299,87 @@ msgstr "Herstellen van de gegevensbank i
 msgid "Failed to repair library"
 msgstr "Het herstellen van de bibliotheek is mislukt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Maak nieuwe zoekopdracht"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Naam van de zoekopdracht"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "Zoeken:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Zoekopdracht"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Geen zoeknaam"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "U moet een naam opgeven voor de te bewaren zoekopdracht"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Geen zoekopdracht"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "U moet een expressie opgeven voor de te bewaren zoekopdracht"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Ongeldige opgeslagen zoekopdracht"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Beheer Opgeslagen zoekopdrachten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "Zoekopdracht &toevoegen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "Ve&rwijderen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "Zoekopdracht &bewerken"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "De huidige opgeslagen zoekopdracht wordt <b>permanent verwijderd</b>. Weet u het zeker?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Bewerk de naam en / of uitdrukking hieronder."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Bewerk opgeslagen zoekopdracht"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Er bestaat al een opgeslagen zoekopdracht met de naam {}. Kies een andere naam"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Zoekopdracht"
 
@@ -19251,48 +19277,64 @@ msgstr "Label 1"
 msgid "Tag 2"
 msgstr "Label 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Sjabloon taal handleiding"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Sjabloon functie referenties"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "UITZONDERING: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Sjabloon functie in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Geen kolom gekozen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "U moet een te kleuren kolom specificeren"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Geen sjabloon opgegeven"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Het sjabloonveld mag niet leeg zijn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "Sjabloon voor algemene programmeermodus"
 
@@ -20356,7 +20398,7 @@ msgstr "Zoek naar een snelkoppeling op n
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Geen resultaten"
 
@@ -20515,8 +20557,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20533,14 +20575,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Alles inklappen"
 
@@ -22760,60 +22802,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "Regel &toevoegen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "Ve&rwijder Regel(s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Geselecteerde regel omhoog verplaatsen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Geselecteerde regel omlaag verplaatsen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Voeg gea&vanceerde regel toe"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importeer regels uit een bestand"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "U kunt de kleur van kolommen in de boekenlijst bepalen door 'regels' te maken die duidelijk aangeven welke kleur moet worden gebruikt. Klik op de knop 'Regel toevoegen' hieronder om aan de slag te gaan. <p>U kunt <b>een bestaande regel wijzigen</b> door erop te dubbelklikken."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "U kunt pictogrammen aan kolommen in de boekenlijst toevoegen door 'regels' te maken die duidelijk aangeven welk pictogram moet worden gebruikt. Klik op de knop 'Regel toevoegen' hieronder om aan de slag te gaan. <p>U kunt <b>een bestaande regel wijzigen</b> door erop te dubbelklikken."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22821,57 +22863,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "U kunt emblemen (kleine pictogrammen) toevoegen die aan de zijkant van omslagen in het omslagraster worden weergegeven door 'regels' te maken die bepalen welke afbeelding Calibre moet gebruiken. Klik op de knop 'Regel toevoegen' hieronder om aan de slag te gaan. <p>U kunt een <b>bestaande regel wijzigen</b> door erop te dubbelklikken."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "&Emblemen weergeven naast de omslagen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Indien ingeschakeld, kunt u Calibre vertellen om de pictogrammen van uw keuze weer te geven naast de omslagen die worden getoond in het omslagraster, bepaald door de metagegevens van het boek."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Geen regel geselecteerd"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Geen regel voor %s geselecteerd."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "verwijdering"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Kies bestand om naartoe te exporteren"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Regels"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Kies een bestand om vanuit te importeren"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Er zijn geen geldige regels gevonden"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Er zijn geen geldige regels gevonden in {}."
 
@@ -23713,13 +23755,13 @@ msgstr "Geen ondertiteling"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Onderaan"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Bovenaan"
 
@@ -23753,7 +23795,7 @@ msgid "If there is enough room"
 msgstr "Als er genoeg ruimte is"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Op eerste letter"
 
@@ -24034,7 +24076,7 @@ msgid ""
 msgstr "Er zijn 2 soorten caches die Calibre gebruikt voor betere prestaties bij het weergeven van omslagen in de raster-weergave. Een schijfcache op uw harde schijf met de omslagminiaturen en een geheugencache voor flikkeringvrije weergave van omslagen. voor het beste resultaat moet u het geheugencache klein houden en de schijfcache groot, tenzij u een extra groot RAM-geheugen heeft in uw computer en dit als geheugencahce wilt gebruiken."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Uitschakelen"
 
@@ -24726,8 +24768,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Hier kunt u de metagegevens aanpassen die Calibre gebruikt om een boek bij te werken wanneer u dit opslaat of naar een apparaat stuurt.\n\nGebruik dit om een ‘adapter’ te maken van een formaat (of alle formaten) naar een apparaat (of alle apparaten). De adapter geeft aan welke sjabloon met welk veld verbonden is.\n\nVaak zullen sjablonen referenties bevatten naar samengestelde kolommen maar dit hoeft niet. Voor een doelveld kunt u elk sjabloon gebruiken dat u elders in Calibre kunt gebruiken. \n\nEen mogelijk gebruik van een adapter is het opnemen van reeksinformatie in de titel. U kunt ook sorteerauteur wijzigen, iets wat mobi-gebruikers zouden kunnen doen om ';' te gebruiken zoals bij een kindle verplicht is. Hiermee kunt u ook een taal specificeren."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25295,7 +25337,7 @@ msgid ""
 msgstr "Het instellen van een gebruikersnaam/wachtwoord voorkomt dat ongeautoriseerde personen toegang krijgen tot uw Calibre bibliotheek. Het is ook nodig voor sommige functies zoals het maken van wijzigingen in de bibliotheek en het synchroniseren van laatste leespositie/aantekening."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Wijzig paswoord voor: {}"
 
@@ -25430,7 +25472,7 @@ msgid "Change &password"
 msgstr "Wijzig &Wachtwoord "
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25441,7 +25483,7 @@ msgid "Change the allowed libraries"
 msgstr "Wijzig de toegestane bibliotheken"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26954,7 +26996,7 @@ msgid "Books in this category are unrate
 msgstr "Boeken zijn niet beoordeeld in deze categorie"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Zoekopdracht:"
 
@@ -27245,7 +27287,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "%s hernoemen"
@@ -27305,95 +27347,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(item)s uit categorie%(cat)s verwijderen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Zoek naar alles, behalve %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Deelcategorie aan %s toevoegen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "In categorie %s naar boeken zoeken"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Buiten categorie %s naar boeken zoeken"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Categorie %s verbergen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Wijzig categorie-pictogram"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Standaard pictogram herstellen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Beheer gebruikerscategorieën"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Schema deelcategorieën veranderen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Onderdeel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Eerste letter is enkel te gebruiken bij sorteren op naam"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28050,7 +28092,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "De volgende boeken zijn reeds geconverteerd naar het %s formaat. Wilt u ze opnieuw converteren?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28581,7 +28624,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Annuleren"
 
@@ -30819,7 +30862,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Cursief</h3>Maak de geselecteerde tekst cursief"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "Onderstre&pen"
 
@@ -32146,7 +32189,7 @@ msgid "Disabled confirmations restored"
 msgstr "Uitgeschakelde bevestigingen hersteld"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32773,7 +32816,7 @@ msgid "Export saved searches"
 msgstr "Opgeslagen zoekopdrachten exporteren"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exporteren"
 
@@ -34647,71 +34690,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35165,7 +35208,7 @@ msgid "E-book viewer"
 msgstr "E-boek leesvenster"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35241,13 +35284,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35412,10 +35455,10 @@ msgid "< &Back"
 msgstr "< V&orige"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Annuleren"
 
@@ -36056,8 +36099,8 @@ msgid "No genres to catalog.\n"
 msgstr "Geen genres om te catalogiseren.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Controleer de 'Uitgesloten genres' regex in E-boek opties.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36105,8 +36148,8 @@ msgstr "Titels aan het sorteren"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Geen boeken catalogus.\nControleer 'Uitgesloten boeken' regels in E-boek opties.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36582,177 +36625,208 @@ msgstr "De volledige weergave geeft u di
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Wat wil je doen?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "standaard"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s is geen geldige keuze, probeer opnieuw"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Bestaande gebruikersnamen:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Er zijn geen gebruikers, voeg een gebruiker toe"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "De gebruikersnaam %s bestaat niet"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Vul gebruikersnaam in"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Voer nieuw wachtwoord in voor %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Lege velden als wachtwoord zijn niet toegestaan"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Voer het nieuwe paswoord voor %s als controlle"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Paswoord komt niet overeen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Gebruiker %s succesvol toegevoegd"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Weet je zeker dat je de gebruiker %s wilt verwijderen?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Gebruiker %s verwijderen is gelukt!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Wachtwoord voor %s veranderen is gelukt!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Nieuwe gebruiker toevoegen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Bestaande gebruiker aanpassen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Een gebruiker verwijderen"
 
@@ -37160,13 +37234,14 @@ msgid ""
 msgstr "Herstart automatisch wanneer de bron code veranderd. Handig voor ontwikkeling. U zou ook een kleine waarde moeten geven aan de afsluit timeout."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Beheer de gegevensbank van gebruikers die met deze server een verbinding mogen maken. Raadpleeg ook de optie %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37174,23 +37249,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Onderbroken door gebruiker"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Er bevind zich geen Calibre-bibliotheek in: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "U dient minimaal één Calibre-bibliotheek op te geven."
 
@@ -37203,7 +37278,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Fout in syntaxis. Een opzoek naam of een woord werd verwacht"
 
@@ -37362,128 +37437,128 @@ msgstr "Instellingen en uitbreidingen"
 msgid "File is open in another process"
 msgstr "Bestand is open in een ander proces."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "opmaak: type {0} moet een geheel getal zijn, ontving {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "opmaak: type {0} moet een decimaal getal zijn (float), ontving {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: onbekende functie"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37538,60 +37613,60 @@ msgstr "strlen(a) -- Geeft de lengte van
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- geeft x + y terug. Geeft een waarschuwing als x of y geen getal is."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- geeft x - y terug. Geeft een waarschuwing als x of y geen getal is."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- geeft x * y terug. Geeft een waarschuwing als x of y geen getal is."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- geeft x / y terug. Geeft een waarschuwing als x of y geen getal is."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37603,7 +37678,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- evalueert x als sjabloon. De evaluatie gebeurt in haar eigen samenhang, hetgeen betekent dat variabelen niet gedeeld worden tussen de  aanroeper van de functie en de sjabloon evaluatie. Omdat de { en } karakters speciaal zijn, moet u [[ voor het { karakter en ]] voor het } karakter gebruiken; zij worden automatisch omgezet. Bijvoorbeeld, template('[[title_sort]]') evalueert het sjabloon {title_sort} en geeft haar waarde terug. Merk op dat ook voorvoegsels en achtervoegsels (de `|prefix|suffix` syntaxis) niet gebruikt kunnen worden in het meegegeven argument naar deze functie wanneer u de sjabloon programmeer modus gebruikt."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37614,13 +37689,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- evalueert het sjabloon, geeft lokale variabelen door (die 'assign'ed zijn) in plaats van de metagegevens van het boek.   Hierdoor kan met behulp van de sjabloon processor complexe resultaten geconstrueerd worden van lokale variabelen. Omdat de { en } karakters speciaal zijn, dient u [[ voor het { karakter en ]] voor het } karakter te gebruiken; deze worden automatisch omgezet. Merk ook op dat voor- en achtervoegsels (de `|prefix|suffix` syntaxis) niet gebruikt kunnen worden in het argument voor deze functie bij gebruik in sjabloon programmeer modus."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, waarde) -- stelt id in op waarde en geeft waarde terug. id moet een identificator zijn, geen uitdrukking"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37630,30 +37705,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- geeft meegegeven informatie weer in standaarduitvoer. Als u Calibre niet vanuit de commandoregel start (Calibre-debug -g) zal deze uitvoer verdwijnen."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(naam) -- geeft de metagegevens van het veld naam"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(naam) -- geeft de metagegevens van het veld naam, zonder enige opmaak toe te passen."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(naam, afscheider) -- Geeft de metagegevens lijst terug genoemd op naam zonder enige formatering of sorteren toe te passen en met alle items afgescheiden van elkaar door de afscheider"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37663,7 +37738,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, begin, eind) -- geeft de tekens uit str die tussen begin en eind voorkomen. Het eerste teken in str is het 0-de teken. Als einde negatief is betekend dit ‘tot zoveel teken vanaf rechts’. Als einde nul is betekend dit het laatste teken. Bijvoorbeeld: substr('12345', 1, 0) geeft '2345', en substr('12345', 1, -1) geeft '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37673,24 +37748,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(waarde, patroon, veld, patroon, veld, ..., anders_veld) -- zoals switch, met het verschil dat de parameters namen zijn van (metagegevens)velden, geen tekst. De waarde van de geschikte velden zal worden binnengehaald en gebruikt. Nb. doordat samengestelde kolommen velden zijn, kunt u deze functie in een samengesteld veld gebruiken om de waarde van een ander samengesteld veld te gebruiken. Dit is uitermate geschikt als u variabele opslaglocaties wilt opstellen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup heeft minstens 2 of een oneven aantal parameters nodig"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37699,11 +37774,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch heeft een oneven aantal parameters nodig"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37713,19 +37788,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Geeft een string, gevormd door het samenvoegen van de argumenten. De teruggegeven waarde wordt aan string1 toegewezen. Paren van `Prefix, string` worden aan het einde van die waarde toegevoegd, zolang de daaruit volgende string niet langer dan `max` is. string1 wordt teruggegeven, zelfs als string1 langer dan max is. U kunt een onbeperkt aantal waarden opgeven."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max vereist twee of meer argumenten"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max vereist een even aantal argumenten"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "het eerste argument voor strcat_max moet een geheel getal zijn"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37735,11 +37810,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37751,11 +37826,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37766,14 +37841,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(waarde, id, waarde_gevonden, geen_waarde_gevonden) -- behandelt ‘waarde’ als een lijst van identifiers, gescheiden door komma's, en vergelijkt de string met elke waarde in de lijst. Een identifier heeft het formaat \"identifier:waarde\". De id-parameter moet \"id\" of \"id:regexp\" zijn. In het eerste geval is er een overeenkomst als er een identifier met een dergelijk id bestaat. In het tweede geval is er alleen een overeenkomst als de regexp met de waarde van de identifier overeenkomt. Als er een overeenkomst is wordt waarde_gevonden teruggegeven, anders geen_waarde_gevonden."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37786,20 +37861,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a string made by applying the regular expression pattern to the val and replacing each matched instance with the string computed by replacing each matched group by the value returned by the corresponding template. The original matched value for the group is available as $. In template program mode, like for the template and the eval functions, you use [[ for { and ]] for }. The following example in template program mode looks for series with more than one word and uppercases the first word: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(waarde) -- bij een gegeven waarde van de vorm \"B, A\", wordt \"A B\" terug gegeven. Dit is vooral nuttig voor het omzetten van namen in de vorm AN, VN naar VN AN. Als er geen komma is, zal de waarde onveranderd teruggegeven worden."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(waarde, tekst indien leeg) -- geeft waarde terug als het veld niet leeg is, anders 'tekst indien leeg'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37813,7 +37888,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37821,7 +37896,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(waarde, scheiding) -- interpreteert de waarde als een lijst van termen gescheiden door 'scheiding', geeft het aantal items in de lijst terug. Meeste lijsten gebruiken een komma als scheiding maar auteurs gebruiken een ampersand (&). Voorbeeld: {labels:count{,}}, {authors:count{&}}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37830,14 +37905,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(waarde, index, scheiding) -- verwerk de waarde als een lijst van items gescheiden door 'scheiding' en geef het 'index'de item terug. Het eerste item heeft index nul. Het laatste item kan worden teruggegeven door gebruik te maken van `list_item(-1,scheiding)`. Als het item niet in de lijst zit zal een lege waarde worden terug gegeven. De scheiding heeft de zelfde functie als in de count functie."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(waarde, sleutel) -- interpreteerd de waarde als een komma-gescheden lijst van items met de items in de vorm \"id:waarde\". Vind het paar met het id gelijk aan sleuten en geef de corresponderende waarde terug."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37850,19 +37925,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- geeft een komma-gescheiden lijst van formaten die ooit zijn geassocieerd met het boek. Het is niet gegarandeerd dat de lijst correct is, alhoewel dat wel waarschijnlijk is. Deze functie kan worden aangeroepen in sjabloon programma modus met gebruik van het sjabloon \"{:'approximate_formats()'}\". Merk op dat de namen van de formaten altijd in hoofdletters staan, zoals in EPUB. Deze functie werkt alleen in de GUI. als u deze waarden wilt gebruiken in bewaren-op-schijf of verzenden-naar-apparaat sjablonen dan moet een aangepaste \"Kolom gebouwd van andere kolommen\" gemaakt worden, met gebruik van de functies in dat kolomsjabloon en waarde van die kolom gebruiken in uw bewaren/versturen sjablonen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Deze functie kan alleen in de GUI worden gebruikt"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37872,7 +37947,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37880,7 +37955,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- retourneert een door komma's gescheiden lijst van door dubbele punten gescheiden items die de grootte van formaten van een boek in bytes weergeven. U kunt de select-functie gebruiken om de grootte van een specifiek formaat op te vragen. Let erop dat formaatnamen altijd in hoofdletters zijn, zoals EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37888,13 +37963,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- retourneert een door komma's gescheiden lijst van door dubbele punt gescheiden items die het volledige pad naar de formaten van een boek geven. U kunt gebruikmaken van de select-functie om het pad van een specifiek formaat op te vragen. Let erop dat formaatnamen altijd in hoofdletters zijn, zoals in EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(w) -- geeft een string terug  die de waarde van getal w representeerd in KB, MB, GB, enz."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37905,7 +37980,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37918,7 +37993,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37935,7 +38010,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- Deze functie wordt gebruikt om lijsten van items zoals genres op te delen. Het interpreteert de waarde als een door komma's gescheiden lijst met items, waarbij elk item een door punten gescheiden lijst is. Geeft een nieuwe lijst door eerst alle met punten gescheiden items  te vinden, vervolgens voor elk item de waarde van de `start_index` tot `end_index` componenten te extraheren, en dan de resultaten wederom terug te combineren. De eerste component in een punt gescheiden lijst heeft een index van nul. Als een index negatief is, dan telt het vanaf het einde van de lijst. Als speciaal geval wordt een end_index van nul verondersteld de lengte van de lijst te zijn. Voorbeeld met gebruik van de basis sjabloon mode en uitgaande van een #genre waarde van \"A.B.C\": {#genre:subitems(0,1)} retourneert \"A\". {#genre:subitems(0,2)} retourneert \"A.B\". {#genre:subitems(1,0)} retourneert \"B.C\". Uitgaande van een  #genre waarde van \"A.B.C, D.E.F\", {#genre:subitems(0,1)} retourneert \"A, D\". {#genre:subitems(0,2)} retourneert \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37958,23 +38033,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(waarde, opmaak_string) -- opmaak van de waarde, welke een datum moet zijn, gebruik makend van de opmaak_string, geeft een string terug. De opmaak codes zijn: d    : de dag als nummer zonder voorloopnullen (1 t/m 31) dd   : de dag als nummer met voorloopnullen (01 t/m 31) ddd  : de afgekorte locale dag naam (bv. \"Maa\" t/m \"Zon\"). dddd : de lange locale dag naam (bv. \"Maandag\" t/m \"Zondag\"). M    : de maand als nummer zonder voorloopnullen (1 t/m 12). MM   : de maand als nummer met voorloopnullen (01 t/m 12) MMM  : de afgekorte locale maand naam (bv. \"Jan\" t/m \"Dec\"). MMMM : de lange locale maand naam (bv. \"Januari\" t/m \"December\"). yy   : Het jaartal als 2 getallen (00 t/m 99). yyyy : het jaartal als vier getallen. h    : de uren zonder voorloopnullen (0 t/m 11 of 0 t/m 23, afhankelijk van am/pm) hh   : de uren met voorloopnullen (00 t/m 11 of 00 t/m 23, afhankelijk van am/pm) m    : de minuten zonder voorloopnullen (0 t/m 59) mm   : de minuten met voorloopnullen (00 t/m 59) s    : de seconden zonder voorloopnullen (0 t/m 59) ss   : de seconden met voorloopnullen (00 to 59) ap   : gebruik een 12-uurs notatie in plaats van een 24-uurs notatie, met \"ap\" vervangen door de locale string voor am of pm AP   : gebruik een 12-uurs notatie in plaats van een 24-uurs notatie, met \"AP\" vervangen door door de locale string voor AM of PM iso  : de datum met tijd en tijdzone. Kan alleen los van de rest gebruikt worden"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- retourneert val in hoofdletters"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- retourneert val in kleine letters"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- retourneert alles in val met beginhoofdletters"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- retourneert val met hoofdletters"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37983,7 +38058,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- geeft de waarde van het grootte veld. Deze functie werkt alleen in de GUI. als u deze waarden wilt gebruiken in bewaren-op-schijf of verzenden-naar-apparaat sjablonen dan moet een aangepaste \"Kolom gebouwd van andere kolommen\" gemaakt worden, met gebruik van de functies in dat kolomsjabloon en waarde van die kolom gebruiken in uw bewaren/versturen sjablonen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37992,55 +38067,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- geeft Ja als ondevice is ingesteld, anders een lege tekenreeks. Deze functie werkt alleen in de GUI. als u deze waarden wilt gebruiken in bewaren-op-schijf of verzenden-naar-apparaat sjablonen dan moet een aangepaste \"Kolom gebouwd van andere kolommen\" gemaakt worden, met gebruik van de functies in dat kolomsjabloon en waarde van die kolom gebruiken in uw bewaren/versturen sjablonen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- Geeft de reekssorteerwaarde"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- geeft Yes terug als het boek een omslag heeft, anders wordt een lege string terug gegeven"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(waarde, waarde, ...) -- geeft de eerste waarde terug welke niet leeg is. Als alle waardes leeg zijn, zal een lege waarde worden terug gegeven. U kan zo veel waardes opgeven als u wilt."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(waarde, waarde, ...) -- geeft de string \"1\" terug indien één of meerdere waarden niet leeg zijn, anders wordt een lege string terug gegeven. Deze functie werkt goed met test of first_non_empty. U kunt een onbeperkt aantal waarden opgeven."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38049,7 +38124,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38057,7 +38132,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38065,7 +38140,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38073,7 +38148,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(lijst, richting, scheiding) -- geef een lijst, gesorteerd zonder op hoofdletters te letten. Als richting nul is wordt de lijst oplopend gesorteerd, anders aflopend. De items in lijst worden gescheiden door scheiding, zo ook de items in de teruggegeven lijst."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38082,7 +38157,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38091,7 +38166,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(bron_lijst, scheidingsteken, bevat_re, opt_vervang) -- maakt een lijst door de bon_lijst te scheiden in items, gebruikmakend van het schiedingsteken. Voor ietder item in de lijst wordt gecontroleerd of het overeenkomst met bevat_re. Als dat zo is, wordt het toegevoerd aan de terug te geven lijst. Als opt_vervang geen lege string is, wordt deze vervanging toegepast voor het item wordt toegevoegd aan de teruggegeven lijst."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38099,14 +38174,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(bron_list, afscheiding, bevat_re, zoek_re, groep_1_template, ...) -- Zoals list-re behalve vervanging is niet optioneel. Het gebruikt re_group(lijst_item, zoek_re,groep_1_template, ...) wanneer het de vervangingen moet doen op de teruggegeven lijst."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- geeft een datumstring voor vandaag. Deze waarde is gemaakt voor gebruik in de format_date of days_between, maar kan worden aangepast in iedere andere string. De datum is in ISO-formaat."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38114,7 +38189,7 @@ msgid ""
 "empty string."
 msgstr "days_between(datum1, datum2) -- geeft het aantal dagen tussen datum1 en datum2 terug. Het aantal is positief als datum1 groter is dan datum2, anders negatief. Als ofwel datum1 ofwel datum2 geen datum is, wordt een lege string terug gegeven."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38122,28 +38197,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, vertaling) -- geeft de strings voor de taalcode meegegeven in lang_codes. Indien vertaling nu is, wordt de string in het Engels terug gegeven. Als de vertaling niet nul is, geef de strings terug in de huidige vertaling. Lang_codes is een kommagescheiden lijst."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(language_strings) -- geeft de taalcodes terug voor de string die is meegegeven in lang_strings. De strings moeten in de huidig gebruikte vertaling worden ingevoerd. Lang_strings is een kommagescheiden lijst."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- Geeft de laatste naam in het pad van de huidige Calibre-bibliotheek. Deze functie kunt u aanroepen in sjabloon programmeer modus met \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- geef het pad naar de huidige Calibre bibliotheek terug. Deze functie kan worden aangeroepen in sjabloon programmeer modus door het sjabloon \"{:'current_library_path()'}\" te gebruiken."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38152,7 +38227,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- toepassing van formaat, voor- en achtervoegsel op een waarde op dezelfde manier als in een sjabloon zoals`{series_index:05.2f| - |- }`. Bijvoorbeeld, het volgende programma produceert dezelfde uitvoer als bovenstaand sjabloon: programma: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38161,7 +38236,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38170,7 +38245,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- geeft een komma-gescheiden lijst van gebruikers categorieen waarin dit boek voorkomt. Deze functie werkt alleen in de GUI. als u deze waarden wilt gebruiken in bewaren-op-schijf of verzenden-naar-apparaat sjablonen dan moet een aangepaste \"Kolom gebouwd van andere kolommen\" gemaakt worden, met gebruik van de functies in dat kolomsjabloon en waarde van die kolom gebruiken in uw bewaren/versturen sjablonen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38178,7 +38253,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Retourneert een regel in een Latijns alfabet gevormd door de benadering van de klank van de woorden in de bron-regel. Bij voorbeeld, wanneer de bron \"{0}\" is, de functie retourneert \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38190,7 +38265,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(waarde_afscheider, paar_afscheider) -- Geeft een string terug die een lijst van auteurs bevat en diens verband waarden in de vorm van auteur1 waarde_afscheider auteur1link paar_afscheider auteur2 waarde_afscheider auteur2link enz. Een auteur wordt afgescheiden van zijn link waarde door de waarde_afscheider zonder toegevoegde spaties. auteur:linkwaarde paren zijn afgescheiden door het paar_afscheider string arguemten zonder toegevoegde spaties. Het is aan u om de afscheider strings te kiezen die niet voor kunnen komen in de auteur naam of linken. Een auteur is bijgevoegd zelfs als de auteur link leeg is."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38201,7 +38276,7 @@ msgid ""
 "string"
 msgstr "author_sorts(waarde_afscheider) -- geeft een string terug die een lijst van auteur sorteer waarden bevat voor de boeken van de auteur. Het sorteren is diegen in de auteur's metagegevens (anders dan de auteur_sort bij boeken). De terug gegeven lisjt heeft de vorm auteur sort 1 waarde_afscheider auteur sort 2 enz. De author_sort waarden in de lijst zijn in dezelfde volgorde als de auteurs van het boek. Indien u spaties wilt ronde de waarde_afscheider zet deze dan in de afscheider string."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38209,13 +38284,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38223,7 +38298,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38236,11 +38311,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38248,11 +38323,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38261,7 +38336,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38272,7 +38347,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38282,6 +38357,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Naamloze afbeelding"
@@ -38570,29 +38651,29 @@ msgstr "Sluiten zonder opslaan"
 msgid "Close Tab"
 msgstr "Tabblad sluiten"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Extra tekens aan het einde van de zoekopdracht"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "mist een )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Verwerken van query mislukt, recursie-limiet bereikt: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Recursieve opgeslagen zoekopdracht: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Onbekende opgeslagen zoekopdracht: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Onbekende fout in opgeslagen zoekopdracht: {0}"
@@ -38955,185 +39036,185 @@ msgstr "Alle links die overeenkomen met
 msgid "Do not download CSS stylesheets."
 msgstr "Geen CSS-stylesheets downloaden."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Alles opslaan"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Openen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Ja"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ja op &alles"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nee"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Nee &op alles"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Afbreken"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Opnieuw proberen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Sluiten"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Toepassen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Herstellen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Standaardinstellingen herstellen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Tin&t:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "Ver&zadiging:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Waarde:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Rood:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Groen:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Bla&uw:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lfa kanaal:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Wijzer op %1, %2\nDruk ESC om te annuleren"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Selecteer kleur"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&basiskleuren"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Aangepaste kleuren"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "Toevoegen aan &aangepaste kleuren"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Pick Screen Color"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Selecteer lettertype"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Lettertypes"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Lettertype sti&jl"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Grootte"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Effecten"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "&Doorstrepen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Voorbeeld"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Schr&ijfsysteem"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Linkerkant"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Rechterrand"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Pagina links"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Pagina omhoog"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Pagina omlaag"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Pagina rechts"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Naar links scrollen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Omhoog scrollen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Naar beneden scrollen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Naar rechts scrollen"
 
@@ -39413,8 +39494,8 @@ msgstr "Specificeer hernoemregels voor S
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39462,7 +39543,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Geef hernoem regels op voor sony collecties. Deze aanpassing is enkel\nvan toepassing als metagegevensbeheer is ingestelld op automatisch.\nCollecties op Sonys krijgen een naam gebaseerd op het feit of een veld\nstandaard op persoonlijk is. Een collectie verkregen van een standaard\nveld krijgt de naam ingesteld in dat veld. Bijvoorbeeld als de standaard\n'reeks' kolom de waarde 'Darkover' bevat, zal de collectie 'Darkover'\nworden genoemd. Een collectie verkregen van een persoonlijk veld\nzal de naam van het veld toegevoegd krijgen. Als bijvoorbeeld een\npersoonlijk reeks-veld met de naam 'Mijn reeks' de waarde  'Darkover'\nbevat, zal de collectie 'Darkover (Mijn reeks)' worden genoemd.\nTen behoeve van deze documentatie wordt 'Darkover' de waarde\ngenoemd en 'Mijn reeks' de categorie. Als twee boeken velden bevatten\nwelke dezelfde collectienaam genereerd, dan zullen beide boeken in die\ncollectie komen.\nDeze zet van instellingen geeft u de mogelijkheid om voor een standaard\nof persoonlijk veld de genereerde naam in te stellen. U kan dit gebruiken\nom een beschrijving toe te voegen aan een standaard veld, bijvoorbeeld\n'iets (Label)' in plaats van 'iets'. U kan het ook gebruiken om verschillende\nvelden in dezelfde collectie te krijgen. Bijvoorbeeld door te forceren dat\nde waardes in 'series', '#mijn_reeks_1' en '#mijn_reeks_2' voorkomen in de\ncollectie met de naam 'een_waarde (Reeks)', waarbij alle velden worden\nsamengevoegd in één collectie.\nEr zijn twee gerelateerde instellingen. De eerste geeft de te gebruiken\ncategorie naam voor een metagegevensveld aan. De tweede is een sjabloon,\ngebruikt om aan te geven hoe een waarde en categorie worden\ngecombineerd om een collectie te noemen.\nDe syntaxis van de eerste aanpassing, sony_collection_renaming_rules, is:\n{'veld_zoeknaam':'te_gebruiken_categorienaam', 'zoeknaam':'naam', ...}\nDe tweede aanpassing, sony_collection_name_template, is een sjabloon.\nHet gebruikt dezelfde sjabloontaal als 'Metagegevens adapters' en opgeslagen sjablonen.\nDeze instelling geeft aan hoe de waarde en categorie worden gecombineerd om\neen collectie een naam te geven.\nDe enige twee velden beschikbaar zijn {category} and {value}. Het {value} veld is\nnooit leeg. Het {category} veld kan leeg zijn. De standaard is eerst de waarde,\ndan de categorie tussen haakjes te plaatsen. Het is niet leeg:\n'{value} {category:|(|)}'\nVoorbeelden: De eerste drie voorbeelden nemen aan dat de tweede instelling\nniet is gewijzigd.\n1: Ik wil drie reekskolommen samenvoegen in een collectie set. De kolom\nzoeknamen zijn 'series', '#reeks_1' and '#reeks_2'. Ik wil niets tussen de haakjes.\nDe te gebruiken waarde in de instelling moet dan zijn:\nsony_collection_renaming_rules={'series':'', '#reeks_1':'', '#reeks_2':''}\n2: Ik wil het woord '(Reeks)' weergeven bij collecties van reeksen, en\nhet woord '(Label)' bij collecties gemaakt van labels. Gebruik:\nsony_collection_renaming_rules={'series':'Reeks', 'labels':'Label'}\n3: Ik wil 'series' en '#mijnseries' samenvoegen, en aan de collectie naam\n'(Reeks)' toevoegen. De hernoem regel is:\nsony_collection_renaming_rules={'series':'Reeks', '#mijnseries':'Reeks'}\n4: Zelfde als voorbeeld 2, maar in plaats van de categorie naam tussen haakjes\nen toegevoegd aan de waarde, wil ik het vooraan de naam en gescheiden met een\ndubbelepunt, zoals in Reeks: Darkover. Ik moet het sjabloon wijzigen wat wordt\ngebruikt om de categorie naam te genereren.\nDe resulterende twee instellingen zijn:\nsony_collection_renaming_rules={'series':'Reeks', 'labels':'Label'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39470,7 +39551,7 @@ msgstr "Specificeer hoe SONY-collecties
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39485,7 +39566,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Specificeer hoe Sony-collecties worden gesorteerd. Deze tweak is enkel van toepassing als\nmetagegevensbeheer is ingesteld op automatisch. U kunt per collectie aangeven welke metagegevens\nmoeten worden gebruikt voor sortering. Het formaat van de tweak is een lijst van\nmetagegevensvelden waarvan collecties zijn gemaakt, gevolgd door de naam van het\nmetagegevensveld waarop gesorteerd wordt.\nHet volgende voorbeeld sorteert collecties gebaseerd op pubdate en labels,\nop de waarde in de persoonlijke kolom '#mijndatum', collecties\nmet 'series' moeten worden gesorteerd op 'series_index', en alle andere\ncollecties worden gesorteerd op titel. Als een metagegevensveld voor een collectie  geen naam\nheeft, dan zal een collectie gebaseerd op 'series' worden gesorteerd op reeksvolgorde,\n alle andere op basis van de titel.\n[(['pubdate', 'labels'],'#mijndatum'), (['series'],'series_index'), (['*'], 'title')]\nNB haakjes en aanhalingstekens zijn verplicht. De syntax is\n[ ( [lijst van velden], sorteerveld ) , ( [ lijst van velden ] , sorteerveld ) ]\nStandaard: leeg (geen regels), dus geen collectieattributen met een naam."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/nn.po 5.10.0+dfsg-1/translations/calibre/nn.po
--- 5.9.0+dfsg-3/translations/calibre/nn.po	2021-01-06 15:29:20.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/nn.po	2021-01-20 15:27:08.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "Gjer absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "Gjer absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "Gjer absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "Gjer absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "Gjer absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "Gjer absolutt ingenting"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "Tilpass"
 msgid "Cannot configure"
 msgstr "Klarer ikkje å endra innstillingane"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Filtype"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadata-lesar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadata-skrivar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Kataloglagar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Innstillingar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Butikk"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Ein e-bokhandel."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "Finn omslag i teikneseriefiler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Last ned nyhende frå internett som e-bok"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Start calibre på nytt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Opna mappa som inneheld bokfilene i calibre-biblioteket ditt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35185,13 +35228,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/nso.po 5.10.0+dfsg-1/translations/calibre/nso.po
--- 5.9.0+dfsg-3/translations/calibre/nso.po	2021-01-06 15:31:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/nso.po	2021-01-20 15:27:30.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/oc.po 5.10.0+dfsg-1/translations/calibre/oc.po
--- 5.9.0+dfsg-3/translations/calibre/oc.po	2021-01-06 15:31:52.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/oc.po	2021-01-20 15:26:52.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "Fa estrictament pas res"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "Fa estrictament pas res"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "Fa estrictament pas res"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "Fa estrictament pas res"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "Fa estrictament pas res"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "Fa estrictament pas res"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "Personalizar"
 msgid "Cannot configure"
 msgstr "Configuracion impossibla"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tipe de fichièr"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lector de metadonadas"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Editor de metadonadas"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generador de catalòg"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Preferéncias"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Botiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lectura de las metadonadas dempuèi los fichièrs %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Afichar rapidament una lista dels libres connèxes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportar de libres a partir d'una librariá calibre cap al disc dur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Reaviar calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personalizar calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfàcia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Ajustar l'aspècte e l'ergonomia de l'interfàcia de Calibre a vòstra convenéncia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Compòrtament"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Cambiar lo compòrtament de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Apondre vòstras colomnas personalizadas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Apondre/levar vòstras pròprias colomnas dins la lista dels libres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Recèrca en cors"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personalizar lo biais que la recèrca de libres fonciona dins calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversion"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Apondre de libres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Definir cossí las metadonadas son legidas per Calibre al moment de l'apondon de libres"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Salvar los libres sul disc"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Mandar los libres als aparelhs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Tablèu de connexions de metadonadas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Detalhs avançat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Crear vòstre pròpri modèl de foncion"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Partejar de libres per corrièl"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Partiment"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Partejar a travèrs la ret"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Telecargar las metadonadas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Moduls extèrnes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Ajustaments"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr "Divèrs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Òc"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr "Nòtas"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr "Productor"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr "Comentaris"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr "Etiquetas"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr "Orodatatge"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "Barra laterala"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Ajuda"
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Suprimir"
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Recercar :"
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Trabalh en cors"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Minuscula"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Majuscula"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadonadas &personalizadas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Enregistrar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "&Camps de recèrca :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Mòde de recèrca :"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35185,13 +35228,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/or.po 5.10.0+dfsg-1/translations/calibre/or.po
--- 5.9.0+dfsg-3/translations/calibre/or.po	2021-01-06 15:29:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/or.po	2021-01-20 15:26:48.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr "କିଛି କରେ ନାହ
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr "କିଛି କରେ ନାହ
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr "କିଛି କରେ ନାହ
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr "କିଛି କରେ ନାହ
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr "କିଛି କରେ ନାହ
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr "କିଛି କରେ ନାହ
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr "ସ୍ଵଇଚ୍ଛା"
 msgid "Cannot configure"
 msgstr "କିଛି କରିହେବନାହି"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ଗ୍ରନ୍ଥ ପ୍ରକାର"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "ପ୍ରମୁଖଡେଟା ପାଠକ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "ପ୍ରମୁଖଡେଟା ଲେଖକ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "ସୂଚୀ ଜନକ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "ଉପଭକ୍ତା ସାମ୍ନାର ପ୍ରକ୍ରିୟା"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr "ଉପଭକ୍ତା ସାମ
 msgid "Preferences"
 msgstr "ପସନ୍ଦଗୁଡ଼ିକ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "ଦୋକାନ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "ଇଲେକଟ୍ରୋନିକ ବହି ଦୋକାନ."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "ବହି ସମ୍ପାଦନ ସାଧନ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "ସଂଗ୍ରହାଲୟ ବନ୍ଦ"
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "ହାସ୍ୟ ଗ୍ରନ୍ଥର ଆବରଣ କାଢନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "ବହିଗୁଡିକ କେଲିବ୍ରେରେ କିମ୍ବା ଲାଗିଥିବା ଜନ୍ତ୍ରରେ ଯୋଗ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "ଲାଗିଥିବା କିନ୍ଡେଲ ଜନ୍ତ୍ରରୁ ଟିପ୍ପଣୀ ଗୁଡିକୁ କାଢନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "କେଲିବ୍ରେ ସଂଗ୍ରହାଳୟରେ ବହି ସୂଚୀପତ୍ର ବନାନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "ବହିଗୁଡିକକୁ ଅନ୍ୟ ଇଲେକଟ୍ରୋନିକ ରୂପରେ ବଦଳାନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "ନିଜ ବହିର ବିଷୟକ୍ରମ ସୂଚୀ ସମ୍ପାଦନ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "ନିଜର କାଲିବ୍ରେ କିମ୍ବା ଲାଗିଥିବା ଜନ୍ତ୍ରରୁ ବହି ବିୟୋଗ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "ନିଜ କେଲିବ୍ରେ ସଂଗ୍ରାହଲୟରେ ବହି ପଢନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "ଇଲେକଟ୍ରୋନିକ ବହି ଆକାରେ ଇନ୍ଟରନେଟରୁ ସମ୍ବାଦ ଡାଉନଲୋଡ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "ଶୀଘ୍ର ପାଖାପାଖି ବହିଗୁଡିକ ସୂଚୀରୂପେ ଦେଖାଅ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "ସଂଗ୍ରାହଲୟର ବହିଗୁଡିକ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "ପୁନର୍ବାର କେଲିବ୍ରେ ଆରମ୍ଭ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "ବହିଗୁଡିକ ଲାଗିଥିବା ଜନ୍ତ୍ରକୁ ପଠାନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "ସ୍ଵଇଛାରେ କାଲିବ୍ରେ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "ବହିସବୁ ଜନ୍ତ୍ରଠାରୁ ନିଜ କେଲିବ୍ରେ ସଂଗ୍ରହାଳୟରେ ଯୋଗ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "କ୍ରମଭାବେ ବହିଗୁଡିକ ସଜାନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "ଅସ୍ଥାଇ ଭାବେ ଚିହ୍ନଟ ବହିଗୁଡିକ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "ସାମ୍ନା"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "ବ୍ୟବହାର"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "କାଲିବ୍ରେର ଚଳନୀ ବଦଳାନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "ନିଜର ଧାଡି ଯୋଗ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "ଖୋଜୁଛି"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "ରୂପାନ୍ତର"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "ସାଧାରଣ ବିକଳ୍ପଗୁଡିକ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "ବିକଳ୍ପଗୁଡିକ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "ଆମଦାନୀ/ରପ୍ତାନି"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "ବହିଗୁଡିକ ଡିସ୍କରେ ସଞ୍ଚୟ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "ବହିଗୁଡିକ ଜନ୍ତ୍ରକୁ ପଠାନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "ବହିଗୁଡିକ ଇଲେକଟ୍ରୋନିକ ଚିଠିରେ ଭାଗ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "ଭାଗ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "ସାରା ଜଗତ ସହ ନେଟରେ ଭାଗ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "ଅବହେଳିତ ଯନ୍ତ୍ରଗୁଡିକ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "ସହାୟକ ଉପୋକରଣ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "ଯୋଗ/ବିୟୋଗ/ସ୍ଵଇଛାଭାବେ କେଲିବ୍ରେର ବିଭିନ୍ନ ଅଂଶକୁ ଚାଳିତ କରନ୍ତୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "ଅଲଗା ନିର୍ମାଣ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "ସୂକ୍ଷ୍ମରାସ୍ତା"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr "ଅନ୍ୟସବୁ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "ଅନ୍ୟ"
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "ହ"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr "ଖାଲି"
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/pa.po 5.10.0+dfsg-1/translations/calibre/pa.po
--- 5.9.0+dfsg-3/translations/calibre/pa.po	2021-01-06 15:31:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/pa.po	2021-01-20 15:27:12.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ਫਾਇਲ ਦੀ ਕਿਸਮ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "ਮੈਟਾ-ਡਾਟਾ ਰੀਡਰ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "ਮੈਟਾ-ਡਾਟਾ ਰਾਈਟਰ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "ਕੈਟਾਲੌਗ ਜੈਨੇਰੇਟਰ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "ਤਰਜੀਹਾਂ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "ਸੰਭਾਲੋ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s ਫਾਇਲਾਂ ਤੋਂ ਮੈਟਾ-ਡਾਟਾ ਪੜ੍ਹੋ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "%s ਫਾਇਲਾਂ ਦਾ ਮੈਟਾ-ਡਾਟਾ ਚੁਣੋ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%s ਫਾਇਲਾਂ ਤੋਂ ਮੈਟਾ-ਡਾਟਾ ਚੁਣੋ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "ਦੇਖੋ ਅਤੇ ਮਹਿਸੂਸ ਕਰੋ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "ਇੰਟਰਫੇਸ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Calibre ਦੀ ਦਿੱਖ ਅਤੇ ਵਰਤੋਂ ਨੂੰ ਆਪਣੀ ਪਸੰਦ ਮੁਤਾਬਿਕ ਬਦਲੋ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "ਵਿਵਹਾਰ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Calibre ਦੇ ਵਿਵਹਾਰ ਨੂੰ ਬਦਲੋ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "ਤਬਦੀਲੀ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "ਕਿਤਾਬਾਂ ਸ਼ੁਮਾਰ ਕਰਨੀਆਂ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "ਕਿਤਾਬਾਂ ਨੂੰ disk ਤੇ save ਕਰਨਾ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "ਕਿਤਾਬਾਂ ਨੂੰ device ਤੇ ਭੇਜਣਾ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Save/Send ਕਰਨ ਤੋਂ ਪੈਹ੍ਲਾਂ ਮੈਟਾ-ਡਾਟਾ ਫ਼ੀਲਡ ਬਦਲੋ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr "Save/Send ਕਰਨ ਤੋਂ 
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "ਖਸੂਸੀ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Email ਰਾਹੀਂ ਕਿਤਾਬਾਂ ਸਾਂਝੀਆਂ ਕਰਨਾ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "ਸਾਂਝਾ ਕਰਨਾ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "ਇੰਟਰਨੈਟ ਉੱਤੇ ਸਾਂਝਾ ਕਰਨਾ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "ਪਲੱਗ-ਇਨ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "ਕੈਲੀਬਰੀ ਦੀ ਕਾਰਜ-ਪ੍ਰਣਾਲੀ ਵਿੱਚ ਇਜ਼ਾਫ਼ਾ/ਘਾਟਾ/ਬਦਲਾਓ ਕਰੋ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35185,13 +35228,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/pl.po 5.10.0+dfsg-1/translations/calibre/pl.po
--- 5.9.0+dfsg-3/translations/calibre/pl.po	2021-01-06 16:56:28.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/pl.po	2021-01-20 15:27:33.000000000 +0000
@@ -44,8 +44,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -124,15 +124,15 @@ msgstr "Zupełnie nic nie zmienia"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -153,7 +153,7 @@ msgstr "Zupełnie nic nie zmienia"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -253,16 +253,16 @@ msgstr "Zupełnie nic nie zmienia"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -288,7 +288,7 @@ msgstr "Zupełnie nic nie zmienia"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -320,7 +320,7 @@ msgstr "Zupełnie nic nie zmienia"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -339,7 +339,7 @@ msgstr "Zupełnie nic nie zmienia"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -363,27 +363,27 @@ msgstr "Dostosuj"
 msgid "Cannot configure"
 msgstr "Nie można skonfigurować"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Typ pliku"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Czytnik metadanych"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Zapisywanie metadanych"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generator katalogu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Akcja interfejsu użytkownika"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -395,20 +395,20 @@ msgstr "Akcja interfejsu użytkownika"
 msgid "Preferences"
 msgstr "Ustawienia"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Sklep"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "E-księgarnia"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Edytor książek"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Biblioteka zamknięta"
 
@@ -430,372 +430,372 @@ msgstr "Utwórz archiwum TXTZ, gdy impor
 msgid "Extract cover from comic files"
 msgstr "Wyodrębnij okładki z plików komiksów"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Odczytaj metadane z plików %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Odczytaj metadane z e-booków w archiwach RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Odczytaj metadane z e-booków w archiwach ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Ustaw metadane w %s plikach"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Wprowadź poniżej {0}, aby plugin EPUB metadata writer nie dodał okładek do plików EPUB, które nie mają okładek."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Pobierz metadane z %s plików"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Dodaj książki do calibre lub podłączonego urządzenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Ściągnij notatki z podłączonego czytnika Kindle (funkcja eksperymentalna)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Utwórz katalog książek w twojej bibliotece calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Konwertuj książki na różne formaty"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Dostosuj swoje książki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Przeglądaj wyróżnienia i zakładki ze wszystkich książek w bibliotece"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Edycja spisu treści w książkach"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Usuń książki z biblioteki calibre lub podłączonego urządzenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Osadź uaktualnione metadane w plikach książki w bibliotece calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Edytuj metadane książek z biblioteki calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Czytaj książki z biblioteki calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Pobierz wiadomości z Internetu w formie e-booka"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Pokaż szybko listę powiązanych książek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtruj/przekształć etykiety książek w bibliotece"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Przekształć autorów książek w bibliotece"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Pokaż edytor do testowania szablonów"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Pokaż okno dialogowe do tworzenia i zarządzania funkcjami szablonów i zapisanymi szablonami"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Eksportuj książki z biblioteki calibre na dysk twardy"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Pokaż szczegóły książki w osobnym okienku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Uruchom calibre ponownie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Otwórz folder, zawierający pliki książek z biblioteki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Wyślij książki do podłączonego urządzenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Wysyłaj książki przez e-mail lub internet. Również połącz z folderami na swoim komputerze, jakby były urządzeniami"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Przeglądaj Podręcznik Użytkownika calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Dostosuj calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Proste wyszukiwanie książek podobnych do aktualnie wybranej"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Przełącz biblioteki calibre i zarządzaj nimi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Skopiuj książki z urządzenia do biblioteki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Edytuj kolekcje, w których znajdują się książki na urządzeniu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Dopasuj książki na urządzeniu do książek w bibliotece"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Pokaż książki w bibliotece calibre, które pasują do tej książki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Skopiuj książkę z jednej biblioteki calibre do drugiej"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Edytuj książki w formacie EPUB lub AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Wprowadź drobne zmiany do plików EPUB lub HTMLZ w bibliotece"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Pokaż następne lub poprzednie dopasowanie przy wyszukiwaniu w bibliotece w trybie podświetlania."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Wybierz losową książkę z biblioteki calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sortuj listę książek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Tymczasowo oznacz książki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Zmień aktualną wirtualną bibliotekę"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Szukaj książek w różnych księgarniach"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Pobierz nowe wtyczki do calibre lub zaktualizuj zainstalowane"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Wygląd"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfejs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Dostosuj wygląd interfejsu calibre do swoich upodobań"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Zachowanie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Zmień sposób działania calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Dodaj własne kolumny"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Dodaj/usuń swoje kolumny do/z listy książek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Paski narzędzi i menu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Dostosuj paski narzędzi i menu kontekstowe, wybierając polecenia, które będą w nich dostępne"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Szukanie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Dostosuj sposób działania wyszukiwarki książek w calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Opcje wejścia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konwersja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Ustaw opcje konwersji dla poszczególnych formatów wejściowych"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Opcje wspólne"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Ustaw opcje konwersji wspólne dla wszystkich formatów"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Opcje wyjściowe"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Ustaw opcje konwersji dla poszczególnych formatów wyjściowych"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Dodawanie książek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importuj/Eksportuj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Skonfiguruj sposób, w jaki calibre odczytuje metadane z plików podczas dodawania książek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Zapis książek na dysk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Skonfiguruj sposób, w jaki calibre eksportuje pliki ze swojej bazy danych podczas zapisywania na dysk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Przesyłanie książek na urządzenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Skonfiguruj sposób przesyłania książek do czytnika"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Panel kontrolny metadanych"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Zmień pola metadanych przed zapisaniem/wysłaniem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -805,92 +805,92 @@ msgstr "Zmień pola metadanych przed zap
 msgid "Template functions"
 msgstr "Funkcje szablonu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Zaawansowane"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Stwórz własne funkcje szablonów"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Udostępnianie książek poprzez email"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Udostępnianie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Skonfiguruj udostępnianie książek poprzez email. Możesz użyć tej opcji do automatycznego wysyłania pobranych wiadomości na swoje urządzenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Współdzielenie poprzez sieć"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Skonfiguruj serwer calibre Content Server, aby z każdego miejsca i urządzenia mieć dostęp przez Internet do swojej biblioteki calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Pobieranie metadanych"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Kontroluj, w jaki sposób calibre pobiera metadane z sieci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignorowane urządzenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Zarządzaj urządzeniami ignorowanymi przez calibre po podłączeniu do komputera."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Wtyczki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Dodaj/usuń/dostosuj różne funkcje calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Parametry"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Dopasuj zachowanie calibre w różnych sytuacjach"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Skróty"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Dostosuj skróty klawiszowe używane w calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -898,7 +898,7 @@ msgstr "Dostosuj skróty klawiszowe uży
 msgid "Miscellaneous"
 msgstr "Różne"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Zaawansowana konfiguracja (różne funkcje)"
 
@@ -1288,9 +1288,9 @@ msgstr "Zapis bazy danych do SQL"
 msgid "Restoring database from SQL"
 msgstr "Odtwarzanie bazy danych z SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1316,17 +1316,17 @@ msgstr "Zapisane wyszukiwania"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Tak"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Okładka dla %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format dla {1}"
@@ -1712,14 +1712,14 @@ msgstr "Określając ten przełącznik w
 msgid "You must specify some ids or the %s option"
 msgstr "Musisz określić jakieś id albo opcję %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nWyświetl książki dostępne w bazie danych calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1727,7 +1727,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Pola do wyświetlenia podczas wyświetlania książek w bazie danych. Powinna być oddzielona przecinkami lista pól\nDostępne pola: %s\nDomyślnie: %% domyślnie. Do wybrania wszystkich pól można użyć specjalnego pola „wszystkie”. Oprócz wbudowanych pól powyżej pola niestandardowe są również dostępne jako *nazwa_pola, na przykład dla niestandardowego pola #oceń, użyj nazwy: *ocena"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1735,39 +1735,39 @@ msgid ""
 "Default: {1}"
 msgstr "Pole, wedle którego sortować wyniki.\nDostępne pola: {0}\nDomyślnie: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Posortuj wyniki rosnąco"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtruj wyniki wg zapytania wyszukiwania. Format zapytania wyszukiwania można znaleźć w dokumentacji wyszukiwania w Podręczniku użytkownika. Domyślnie brak filtrowania."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Maksymalna szerokość pojedynczej linii w pliku wynikowym. Domyślnie dostosowana do wykrytego rozmiaru ekranu."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Znak używany do oddzielania pól. Domyślny to spacja."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Przedrostek dla wszystkich ścieżek do plików. Domyślnie jest to ścieżka absolutna do folderu biblioteki."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Maksymalna liczba wyświetlanych rezultatów. Domyślnie: all"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2314,21 +2314,21 @@ msgstr "pusty"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Niepoprawne zapytanie logiczne „{0}”"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Brak takiej wirtualnej biblioteki: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Wyszukiwanie w bibliotece wirtualnej jest rekurencyjne: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Wykryto rekurencyjną grupę zapytań: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "szablon wyszukiwania: brakujący lub nieprawidłowy separator. Prawidłowe separatory to: {}"
@@ -3504,11 +3504,11 @@ msgstr "Usunięto %s"
 msgid "All books removed"
 msgstr "Usunięto wszystkie książki"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Nienazwane urządzenie"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3517,12 +3517,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Urządzenie {0} nie zezwala na połączenia. Odblokuj ekran w {0}, naciśnij \"Zezwól\" w wyskakującym powiadomieniu o połączeniu a następnie poczekaj ok. minuty lub zrestartuj calibre. Wymagana może być także zmiana trybu połączenia USB w {0} na \"Media Transfer Protocol (MTP)\" lub podobne."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Nieznane urządzenie MTP"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6077,7 +6077,7 @@ msgstr "Notatki"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6370,7 +6370,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6378,7 +6378,7 @@ msgid "Comments"
 msgstr "Komentarze"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6418,7 +6418,7 @@ msgid "Tags"
 msgstr "Etykiety"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6450,7 +6450,7 @@ msgid "Timestamp"
 msgstr "Data"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8188,13 +8188,13 @@ msgstr "Plik EPUB zaktualizowany z wersj
 msgid "HTML TOC generation options."
 msgstr "Opcje generowania spisu treści w HTML."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "Numer {1} z <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8227,31 +8227,31 @@ msgstr "Wygeneruj plik „mapy stron”
 msgid "Sidebar"
 msgstr "Pasek boczny"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Dodawanie nagłówków i stopek"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Dodano nagłówki i stopki"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Analizowano całą zawartość w celu transformacji znaczników"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Zakończona transformacja znaczników"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Renderowane wszystkie HTML jako PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Dodano linki do treści PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Zaktualizowano metadane w formacie PDF"
 
@@ -9234,7 +9234,7 @@ msgstr "Nie znaleziono błędów w bazie
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10257,7 +10257,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Pomoc"
 
@@ -11530,7 +11530,7 @@ msgid "Errors while adding"
 msgstr "Wystąpiły błędy w czasie dodawania"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignoruj"
 
@@ -11660,8 +11660,8 @@ msgstr "Zmień"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11795,11 +11795,11 @@ msgid "Search the internet for this book
 msgstr "Wyszukaj tę książkę w Internecie"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Zarządzaj %s"
@@ -11942,7 +11942,7 @@ msgstr "Wybrany tekst"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12269,7 +12269,7 @@ msgid "Preset name:"
 msgstr "Nazwa zestawu:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Musisz podać nazwę."
 
@@ -12346,7 +12346,7 @@ msgid "Save current catalog settings as
 msgstr "Zapisz bieżące ustawienia jako zestaw"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Zapisz"
 
@@ -12355,10 +12355,10 @@ msgid "Delete current preset"
 msgstr "Usuń bieżący zestaw ustawień"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Usuń"
@@ -12471,8 +12471,8 @@ msgstr "Przywróć domyślne"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13658,7 +13658,7 @@ msgid "Ta&gs:"
 msgstr "Ety&kiety:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13673,8 +13673,8 @@ msgstr "&Cykl:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Lista znanych cykli. Możesz dodać nowe cykle."
@@ -14541,7 +14541,7 @@ msgid "Choose color"
 msgstr "Wybierz kolor"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14882,19 +14882,19 @@ msgid "Edit style transform rules"
 msgstr "Edytuj reguły transformowania stylów"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "Eksportu&j"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Eksportuj te reguły do pliku"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14968,8 +14968,8 @@ msgstr "Wyczyść {}"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15050,7 +15050,7 @@ msgid ""
 msgstr "Serie zwykle będą numerowane na podstawie największej liczby w bazie danych dla tej serii. Zaznaczenie tego pola powie calibre, aby zaczął numerować od wartości w polu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16634,7 +16634,7 @@ msgid "Change case"
 msgstr "Zmień wielkość liter"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16642,7 +16642,7 @@ msgid "Upper case"
 msgstr "Wielkie litery"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16650,7 +16650,7 @@ msgid "Lower case"
 msgstr "Małe litery"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16658,7 +16658,7 @@ msgid "Swap case"
 msgstr "Zamień wielkość liter"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16692,7 +16692,7 @@ msgid "Manage authors"
 msgstr "Zarządzaj autorami"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Szukaj:"
@@ -17115,57 +17115,57 @@ msgstr[1] "Ukryj {} pozostałe komunikat
 msgstr[2] "Ukryj {} pozostałych komunikatów o błędach"
 msgstr[3] "Ukryj {} pozostałych komunikatów o błędach"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Zajęty"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Przetwarzanie %d książek, proszę czekać..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Postęp aktualnego kroku: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Krok %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Małe litery"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Wielkie litery"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Wielkość liter jak w tytule"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Szukaj tekstu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Wyrażenie regularne"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Zastąp pole"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Dodaj przed polem"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Dołącz do pola"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Edycja metadanych dla jednej książki"
@@ -17173,22 +17173,22 @@ msgstr[1] "Edycja metadanych dla {} ksi
 msgstr[2] "Edycja metadanych dla {} książek"
 msgstr[3] "Edycja metadanych dla {} książek"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Natychmiast wprowadź wszystkie zmiany bez zamykania okna dialogowego. Ta operacja nie może być anulowana ani cofnięta"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Książka %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Wprowadź typ identyfikatora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17196,7 +17196,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Użycie tej funkcji może spowodować zniszczenie biblioteki.</b> Zmiany są trwałe. Nie ma możliwości ich cofnięcia. Zaleca się zrobienie uprzednio kopii zapasowej biblioteki.<p>Znajdź i zamień w polach tekstowych używają dopasowania znaków lub wyrażeń regularnych. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17206,7 +17206,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "W trybie znakowym pole jest przeszukiwane pod kątem wprowadzonego tekstu wyszukiwania. Tekst jest zastępowany przez określony tekst zastępczy wszędzie tam, gdzie znajduje się w określonym polu. Po zakończeniu zamiany tekst można zmienić na wielkie, małe lub tytułowe. Jeśli pole wyboru Uwzględniana wielkość liter jest zaznaczone, wyszukiwany tekst musi dokładnie pasować. Jeśli nie jest zaznaczone, wyszukiwany tekst będzie pasował zarówno do wielkich, jak i małych liter"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17221,80 +17221,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "BŁĄD SZABLONU S/R"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Musisz podać miejsce docelowe, podczas gdy źródłem jest pole złożone albo szablon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Wartość zastępcza dla kolumny oceny musi być pusta lub być liczbą całkowitą z zakresu od 0 do 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Musisz wskazać typ identyfikatora miejsca docelowego"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Musisz podać poszukiwane wyrażenie w polu \"Wyszukaj\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Błędny identyfikator. Musi być on listą oddzielaną przecinkami i zawierającą pary ciągów znaków rozdzielonych dwukropkiem"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Błędne wyszukiwanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Błędne wyszukiwanie/zastępowanie: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Usuń zapisane wyszukiwanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Wybrany zapisane wyszukiwanie zostanie usunięte. Jesteś pewien?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Zapisz wyszukiwanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nazwa wyszukiwania:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "To zapisane wyszukiwanie już istnieje i zostanie nadpisane. Jesteś pewien?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Edycja metadanych"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "Zastosuj datę"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autor(rzy): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17302,90 +17311,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Spowoduje to automatyczną aktualizację pola sortowania autora\n  na podstawie pola autorów dla każdej wybranej książki. Zauważ, że jeśli\n  użyj powyższej kontrolki, aby zbiorczo ustawić autorów, sortuj według autora\n  pole jest i tak aktualizowane, niezależnie od wartości tego pola wyboru."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utomatycznie sortuj według autora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "Zamień tytuł i autora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Zaktualizuj sortowanie według tytułu w oparciu o bieżący tytuł. Zostanie wprowadzone dopiero po innych zmianach w tytule."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "S&ortowanie według autora: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Zaktualizuj sortowanie według &tytułu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Ustal, jak książki mają być sortowane według autora. Przykładowo: Charles Dickens może być sortowany jako Dickens, Charles"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Zmień &okładkę"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Ocena:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "Utwórz &domyślną okładkę"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "Z&astosuj ocenę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Usuń okładkę"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Wydawca: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Próba automatycznego wykrycia i usunięcia marginesów i dodatkowej przestrzeni\nna brzegach okładek. Czasem usuwane jest zbyt wiele, więc tego narzędzia\nnależy używać ostrożnie i z rozwagą."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Zaznaczenie tej opcji spowoduje wyczyszczenie pola wydawcy"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "Przy&tnij okładkę (OSTROŻNIE!)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Wy&czyść"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Ustaw z pliku(ów) &książki"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Dodaj &etykiety: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Ustaw okładki wszystkich wybranych książek na takie same\njak w pierwszej wybranej."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Otwórz edytor etykiet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Klonuj okładki"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Usuń etykiety:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Wymuś pisanie każdego wyrazu tytułu z wielkiej litery. Jeśli ta opcja jest zaznaczona wraz z zamianą\nautorów, tytuł i autor zostaną zamienieni zanim wielkość liter zostanie zmieniona"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Lista oddzielonych przecinkami etykiet do usunięcia z książki. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Zmień tytuł z &wielkiej litery do:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Zaznacz to pole, aby usunąć wszystkie etykiety z książek."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Data:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Usuń &wszystkie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Zaznaczenie tej opcji spowoduje wyczyszczenie pola wydawcy"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Cyk&l:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Wy&czyść"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Jeśli zaznaczone, cykle zostaną usunięte"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Op&ublikowano:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Usuń cykle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17393,126 +17397,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Jeśli nie zaznaczone, numer w cyklu dla książek zostanie ustawiony na 1.\nJeśli zaznaczone, wskazane książki zostaną automatycznie ponumerowane\nwedług kolejności wyboru. Jeśli wybierzesz książkę A, a potem książkę B,\nksiążka A będzie miała numer 1 w cyklu, a książka B numer 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Automatycznie ponumeruj książki w tym cyklu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Cykle domyślnie numerowane są od najwyższego numeru w bazie danych\ndla tego cyklu. Zaznaczenie tej opcji spowoduje, że numeracja zacznie się\nod wartości wskazanej w polu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Wymuś numerowanie od:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Jeśli zaznaczone, cykle zostaną usunięte"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Usuń cykle"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Skonfiguruj sposób, w jaki tworzone są domyślnie generowane okładki"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Skon&figuruj generowanie okładek"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Przypisz ko&mentarz do wszystkich wybranych książek"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Usuń etykiety:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Usuń &wszystkie"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Dodaj &etykiety: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Data:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Ustal, jak książki mają być sortowane według autora. Przykładowo: Charles Dickens może być sortowany jako Dickens, Charles"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "Zastosuj datę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "Z&astosuj ocenę"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Op&ublikowano:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Usuń datę publikacji"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autor(rzy): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Języki:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Wydawca: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Lista oddzielonych przecinkami etykiet do usunięcia z książki. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Otwórz edytor etykiet"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "S&ortowanie według autora: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Ustaw calibre metadanych na podstawie metadanych w plikach e-booków powiązanych z każdą książką. Pamiętaj, że to nie zmienia okładki, w tym celu skorzystaj z osobnej opcji poniżej."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Ustaw &metadata (wyłączając okładkę) z pliku e-booka"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Cyk&l:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Usuń zachowane ustawienia konwersji dla wskazanych książek.\n\nPrzyszłe konwersje tych książek wykorzystają ustawienia domyślne."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Usuń zapi&sane ustawienia konwersji dla wybranych książek"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17521,153 +17460,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Przy konwersji na ten sam format np. EPUB na EPUB\ncalibre zapisuje oryginalny EPUB jako ORIGINAL_EPUB.\nTa opcja powoduje odzyskanie oryginalnego EPUB\nz ORIGINAL_EPUB. Jest to przydatne jeśli konwertowano\nautomatycznie dużą liczbę plików i coś poszło nie tak."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Przywróć &oryginały sprzed konwersji jeśli to możliwe"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Zaznacz to pole, aby usunąć wszystkie etykiety z książek."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Ocena:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Wymuś pisanie każdego wyrazu tytułu z wielkiej litery. Jeśli ta opcja jest zaznaczona wraz z zamianą\nautorów, tytuł i autor zostaną zamienieni zanim wielkość liter zostanie zmieniona"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Zmień tytuł z &wielkiej litery do:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Zaktualizuj sortowanie według tytułu w oparciu o bieżący tytuł. Zostanie wprowadzone dopiero po innych zmianach w tytule."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Zaktualizuj sortowanie według &tytułu"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Ustaw calibre metadanych na podstawie metadanych w plikach e-booków powiązanych z każdą książką. Pamiętaj, że to nie zmienia okładki, w tym celu skorzystaj z osobnej opcji poniżej."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Ustaw &metadata (wyłączając okładkę) z pliku e-booka"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Zmień &okładkę"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "Utwórz &domyślną okładkę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Usuń okładkę"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Próba automatycznego wykrycia i usunięcia marginesów i dodatkowej przestrzeni\nna brzegach okładek. Czasem usuwane jest zbyt wiele, więc tego narzędzia\nnależy używać ostrożnie i z rozwagą."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "Przy&tnij okładkę (OSTROŻNIE!)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Ustaw z pliku(ów) &książki"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Ustaw okładki wszystkich wybranych książek na takie same\njak w pierwszej wybranej."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Klonuj okładki"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Skonfiguruj sposób, w jaki tworzone są domyślnie generowane okładki"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Skon&figuruj generowanie okładek"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Przypisz ko&mentarz do wszystkich wybranych książek"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Podstawowe metadane"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Własne metadane"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "W&czytaj wyszukiwanie:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Wybierz zapisane wyszukiwanie do wczytania."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Zapisz bieżące wyszukiwanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Zapisz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Pole &wyszukiwania:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Nazwa pola, które chcesz przeszukać"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Tryb wyszukiwania:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Wskaż, czy użyć wyszukiwania zwykłego tekstu, czy zaawansowanego wyszukania wyrażenia regularnego"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Typ &identyfikatora:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Wskaż typ identyfikatora do wykorzystania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Szablon:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Wpisz szablon, który ma zostać użyty jako źródło dla wyszukiwania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Wpisz czego szukasz - fragment tekstu lub wyrażenie regularne, zależnie od trybu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Zaznacz to pole, jeśli wyszukiwany ciąg znaków ma uwzględniać wielkość liter. Nie zaznaczaj jeśli wielkość liter nie ma znaczenia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Uwzględniaj &wielkość liter"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Zastąp przez:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Tekst do zamiany. Tekst pasujący do wzorca zostanie zastąpiony tym ciągiem znaków"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "Z&astosuj funkcję po zamianie:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Określ, jak tekst ma zostać przetworzony po wyszukaniu i zamianie. W trybie tekstowym, całe pole\njest poddane przetworzeniu. W trybie wyrażenia regularnego przetwarzany jest tylko tekst pasujący do wzorca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Pole &docelowe:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Pole, w którym zostanie umieszczony tekst po wszystkich zamianach.\nJeśli to pole jest puste, to użyte zostanie pole źródłowe, o ile można je modyfikować"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "&Tryb:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Określ w jaki sposób tekst ma być kopiowany do pola docelowego."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Określa czy wyniki powinny zostać podzielone na wielokrotne wartości lub\npozostawione jako pojedyncze. Ta opcja daje najlepsze wyniki gdy\npole źródłowe nie jest wielokrotne, a pole docelowe tak."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Podziel &wynik"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Typ identyfikatora:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17675,48 +17701,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Wybierz typ identyfikatora do przetwarzania. Jeśli pole źródłowe\n              jest inne niż 'identifiers' można wprowadzić * jeśli aby zamienić\n              cały zestaw identyfikatorów na wynik wyszukiwania/zamiany.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Dla pól z wielokrotną &wartością, pokaż"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "wa&rtości zaczynając od"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "z wartościami oddzielon&ymi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Używane gdy wyświetlane wyniki testu mają oddzielne wartości w polach o wielokrotnych wartościach"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Tekst testowy"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Wynik testu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Twój &test:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "Z&najdź i zastąp"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Jeśli ta opcja jest włączona, lista książek zostanie ponownie posortowana i wszelkie istniejące\nwyszukiwanie lub biblioteka wirtualna zostaną odświeżone po edycji\njest zakończony. W przypadku dużych bibliotek może to być powolne."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Odśwież listę po edycji"
 
@@ -18172,42 +18198,42 @@ msgstr "Otwórz książkę w czytniku eb
 msgid "&Item: {0} ({1})"
 msgstr "&Element: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Kliknij, aby wyświetlić tylko książki z tym elementem. Kliknij dwukrotnie, aby wyszukać ten element w przeglądarce tagów"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Nie znaleziono**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Kliknij kolumnę w widoku biblioteki, aby uzyskać informacje o książce"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Książki z wybranym elementem „{0}”: {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr "Kliknij dwukrotnie książkę, aby zmienić wybór w widoku biblioteki lub zmienić kolumnę widoczną w panelu po lewej stronie. Kliknij dwukrotnie Shift lub Ctrl, aby edytować metadane książki, co również zmienia wybraną książkę."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Coś poszło nie tak podczas wypełniania tabeli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Podgląd: widok książki, która nie jest w bibliotece"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18313,87 +18339,87 @@ msgstr "Odtwarzanie bazy danych nie powi
 msgid "Failed to repair library"
 msgstr "Naprawa biblioteki nie powiodła się"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Dodaj nowe zapisane wyszukiwanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Nazwa zapisanego wyszukiwania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Szukaj:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Szukane wyrażenie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Brak szukanej nazwy"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Musisz podać nazwę dla zapisanego wyszukiwania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Brak wyrażenia wyszukiwania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Musisz podać wyrażenie wyszukiwania dla Zapisanego wyszukiwania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Błędne zapisane wyszukiwanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Zarządzaj zapisanymi wyszukiwaniami"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Dodaj wyszukiwanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Usuń wyszukiwanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Edytuj wyszukiwanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Obecnie zapisane wyszukiwanie zostanie <b>trwale usunięte</b>. Jesteś pewien?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Edytuj nazwę i/lub wyrażenie poniżej."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Edytuj zapisane wyszukiwania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Zapisane wyszukiwanie z nazwą {} już istnieje. Wybierz inną nazwę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Wyrażenie wyszukiwania"
 
@@ -19291,48 +19317,64 @@ msgstr "Etykieta 1"
 msgid "Tag 2"
 msgstr "Etykieta 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Podręcznik języka szablonów"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Dokumentacja funkcji szablonów"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Wybierz ikonę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "WYJĄTEK: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Funkcja szablonu w Pythonie"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Przechowywany szablon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nie wybrano kolumny"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Musisz wybrać kolumnę, do której będzie przypisany kolor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Nie określono szablonu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Pole szablonu nie może być puste"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "Ogólny szablon trybu programu"
 
@@ -20406,7 +20448,7 @@ msgstr "Szukaj nazwy polecenia"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Brak wyników"
 
@@ -20565,8 +20607,8 @@ msgid "Show in calibre"
 msgstr "Pokaż w calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Edytuj notatki"
 
@@ -20587,14 +20629,14 @@ msgstr[2] ""
 msgstr[3] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Rozwiń wszystkie"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Zwiń wszystkie"
 
@@ -22828,60 +22870,60 @@ msgstr ""
 msgid "value: "
 msgstr "wartość:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Dodaj regułę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Usuń regułę(y)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Przesuń regułę wyżej"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Przesuń regułę niżej"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Dodaj zaa&wansowaną regułę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr "Powiel regułę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr "Konwertuj na regułę zaawansowaną"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importuj reguły z pliku"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Możesz zdefiniować reguły, które będą decydować, w jakim kolorze wyświetlany jest tekst w kolumnach. Aby zdefiniować nową regułę kliknij przycisk Dodaj regułę.<p>Żeby <b>zmienić istniejącą regułę</b> kliknij ją dwukrotnie."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Możesz dodać ikony do kolumn na liście książek, tworząc „reguły” określające, jakiej ikony użyć. Kliknij przycisk Dodaj regułę poniżej, aby zacząć.<p>Możesz <b>zmienić istniejącą regułę</b> klikając ją dwukrotnie."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22889,57 +22931,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Możesz dodać symbole (małe ikonki), które są wyświetlane obok okładek w widoku okładek, tworząc „reguły”, określające, jakiego obrazka użyć. Kliknij przycisk Dodaj regułę poniżej by zacząć. \n<p>Możesz zmienić istniejącą regułę</b>, klikając ją dwukrotnie."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Pokaż symbole obok okładek"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Dzięki tej opcji w widoku okładek, przy książkach mogą być wyświetlane różne symbole, w zależności od metadanych danej książki."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr "Wybierz jedną regułę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr "Musisz wybrać tylko jedną regułę."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Nie wybrano reguły"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Nie wybrano reguły do %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "usunięcia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Wybierz plik do wyeksportowania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Zasady"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Wybierz plik do zaimportowania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Nie znaleziono poprawnych reguł"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Nie znaleziono poprawnych reguł w {}."
 
@@ -23781,13 +23823,13 @@ msgstr "Brak podtytułów"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Dół"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Góra"
 
@@ -23821,7 +23863,7 @@ msgid "If there is enough room"
 msgstr "Jeśli jest miejsce"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Od pierwszej litery"
 
@@ -24102,7 +24144,7 @@ msgid ""
 msgstr "calibre używa dwóch rodzajów buforów do przyspieszenia wyświetlania okładek w przeglądarce. Bufor dyskowy jest zapisywany na dysku i zawiera miniaturki okładek. Natomiast bufor w pamięci zapewnia wyświetlanie okładek bez efektu migotania. Najlepsze rezultaty daje duży bufor na dysku i mały w pamięci, chyba że komputer wyposażony jest w dużą ilość pamięci RAM i można sobie pozwolić na zajęcie jej przez bufor."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Wyłącz"
 
@@ -24794,8 +24836,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Tutaj możesz zmienić metadane, których calibre używa do aktualizacji książki podczas zapisywania na dysk lub wysyłania do urządzenia.\n\nTutaj możesz zdefiniować 'wtyczkę' dla formatu (lub wszystkich formatów) i urządzenia (lub wszystkich urządzeń). Wtyczka określa, jaki szablon jest połączony z jakim polem. Szablon jest wykorzystywany do wyliczenia wartości, a ta jest przypisywana do połączonego z nim pola.\n\nSzablony często zawierają proste odniesienia do złożonych kolumn, ale nie jest to wymagane. jako Szablon źródłowy możesz wykorzystać dowolny szablon, który jest dostępny w calibre.\n\nWtyczki można użyć między innymi do zmiany tytułu, tak, by zawierał informacje o cyklu. Można także zmienić sposób sortowania według autora; użytkownicy formatu mobi mogą wymusić używanie ';', czego wymaga kindle. Kolejnym sposobem wykorzystania wtyczki może być określenie języka."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25363,7 +25405,7 @@ msgid ""
 msgstr "Wymaganie nazwy użytkownika/hasła uniemożliwia dostęp do biblioteki calibre osobom nieupoważnionym. Jest także potrzebny do niektórych funkcji, takich jak wprowadzanie jakichkolwiek zmian w bibliotece, a także synchronizacja ostatniej pozycji odczytu/adnotacji."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Zmień hasło dla {}"
 
@@ -25498,7 +25540,7 @@ msgid "Change &password"
 msgstr "Zmień &hasło"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25511,7 +25553,7 @@ msgid "Change the allowed libraries"
 msgstr "Zmień dostępne biblioteki"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -27026,7 +27068,7 @@ msgid "Books in this category are unrate
 msgstr "Brak ocen dla książek w tej kategorii"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Szukaj wyrażenia"
 
@@ -27317,7 +27359,7 @@ msgstr "Zmień nazwę %s w bibliotece wi
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Zmień nazwę %s"
@@ -27377,95 +27419,95 @@ msgstr "Usuń zapisane wyszukiwanie %s"
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Usuń %(item)s z kategorii %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Szukaj wszystkiego oprócz %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Wyszukaj używając zapisanego wyrażenia wyszukiwania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Dodaj podkategorię do %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Skasuj kategorię użytkownika %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Szukaj książek należących do kategorii „%s”"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Szukaj książek nie należących do kategorii „%s”"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr "Edytuj dopuszczalne wartości dla %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Ukryj kategorię „%s”"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Zmień ikonę kategorii"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Przywróć domyślną ikonę"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Zarządzaj własnymi kategoriami"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Zmień schemat pod-kategoryzacji"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Dzielone"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Pierwsza litera jest używana wyłącznie przy sortowaniu wg nazwy."
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Rozwiń lub zwiń"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Rozwiń {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Rozwiń {0} i jego elementy podrzędne"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "Zwiń {0}"
@@ -28122,7 +28164,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Poniższe książki są już przekonwertowane na format %s. Czy przekonwertować je ponownie?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr "Nie można znaleźć modułu wysyłającego mowę w twoim systemie. Proszę go zainstalować."
 
@@ -28655,7 +28698,7 @@ msgid ""
 msgstr "Gdy skończysz edytować plik {0}, kliknij \"Importuj\", aby uaktualnić plik w książce lub \"Odrzuć\", aby utracić wszelkie zmiany."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Odrzuć"
 
@@ -30901,7 +30944,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Pochylenie</h3>Pochyl zaznaczony tekst"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Podkreślenie"
 
@@ -32236,7 +32279,7 @@ msgid "Disabled confirmations restored"
 msgstr "Wyłączone potwierdzenia zostały przywrócone"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "Proces renderowania uległ awarii"
 
@@ -32863,7 +32906,7 @@ msgid "Export saved searches"
 msgstr "Eksportuj zapisane wyszukiwania"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Eksportuj"
 
@@ -34743,16 +34786,16 @@ msgstr "wyróżnienia calibre"
 msgid "highlights"
 msgstr "wyróżnienia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "Zmodyfikuj to wyróżnienie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr "Edytuj notatki do tego wyróżnienia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34760,7 +34803,7 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34769,39 +34812,39 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Kliknij dwukrotnie, aby przejść do wpisu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Zmień"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "Zmodyfikuj wybrane wyróżnienia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "Usuń wybrane wyróżnienia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "Eksportuj wszystkie najważniejsze informacje"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "Żadne podświetlenia nie pasują do wyszukiwania: {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "Brak wybranego wyróżnienia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "Obecnie nie wybrano żadnego wyróżnienia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34809,11 +34852,11 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "Brak wyróżnień"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "Ta książka nie zawiera wyróżnień do wyeksportowania"
 
@@ -35267,7 +35310,7 @@ msgid "E-book viewer"
 msgstr "Podgląd książek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Przewiń tutaj"
 
@@ -35343,13 +35386,13 @@ msgstr "Ładowanie książki nie powiod
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Nie udało się otworzyć książki o {0}. Kliknij „Pokaż szczegóły”, aby uzyskać więcej informacji."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Proces renderowania Qt WebEngine uległ awarii. Powinieneś spróbować ponownie uruchomić przeglądarkę."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Wybierz obraz tła"
 
@@ -35514,10 +35557,10 @@ msgid "< &Back"
 msgstr "< &Wstecz"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Anuluj"
 
@@ -36158,8 +36201,8 @@ msgid "No genres to catalog.\n"
 msgstr "Brak gatunków dla katalogu.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Sprawdź wyrażenie 'Wykluczanie gatunków' w opcjach E-booka.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36207,8 +36250,8 @@ msgstr "Sortowanie tytułów"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Brak książek dla katalogu.\nSprawdź reguły wykluczania książek w opcjach E-booka.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36684,177 +36727,208 @@ msgstr "Pełny interfejs daje dużo wię
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} nie jest prawidłowym adresem IP/siecią, z błędem: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Co chcesz zrobić?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "domyślnie"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Nie wybrano wyboru, wyjście..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s nie jest poprawnym wyborem, spróbuj ponownie"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Istniejące nazwy użytkowników:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Brak użytkowników, musisz wpierw dodać jednego"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Nazwa użytkownika %s nie istnieje"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Wpisz nazwę użytkownika"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Wpisz nowe hasło dla %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Puste hasła są niedozwolone"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Wpisz ponownie nowe hasło dla %s, dla weryfikacji:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Hasła nie pasują do siebie"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Użytkownik %s pomyślnie dodany!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Czy na pewno chcesz usunąć użytkownika %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Użytkownik %s pomyślnie usunięty!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Hasło dla %s pomyślnie zmienione!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Hasło dla {0} to: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Zezwól {} na wprowadzanie zmian (tj. Udziel prawa do zapisu)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Niemożliwe {} wprowadzanie zmian (tj. Usuń prawa do zapisu)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} ma następujące dodatkowe ograniczenia dla poszczególnych bibliotek:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} nie ma dodatkowych ograniczeń dla poszczególnych bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Zezwalaj na dostęp do wszystkich bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Zezwalaj na dostęp tylko do określonych bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Zezwalaj na dostęp do wszystkich, z wyjątkiem wybranych bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Zmień ograniczenia dla bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Podaj nazwę biblioteki:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Wprowadź wyrażenie wyszukiwania, dostęp zostanie udzielony tylko książkom pasującym do tego wyrażenia. Puste wyrażenie zapewni dostęp do wszystkich książek."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Inne ograniczenie?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Wpisz listę nazw bibliotek oddzieloną przecinkami:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Zezwolenie na dostęp tylko do bibliotek: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Zezwolenie na dostęp do wszystkich bibliotek, z wyjątkiem: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Pokaż hasło dla {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Zmień prawa odczytu/zapisu dla {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Zmień biblioteki, do których {} ma dostęp"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} ma dostęp {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "odczyt-zapis"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "tylko do odczytu"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Dodaj nowego użytkownika"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Edycja istniejącego użytkownika"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Usuń użytkownika"
 
@@ -37264,13 +37338,14 @@ msgid ""
 msgstr "Automatycznie przeładuj serwer, gdy zmieni się kod źródłowy. Przydatny do rozwoju. Należy również podać niewielką wartość limitu czasu wyłączenia."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Zarządzaj bazą danych użytkowników, którzy mogą łączyć się z tym serwerem. Zobacz także opcję %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37278,23 +37353,23 @@ msgid ""
 "at: {1}"
 msgstr "Ścieżka do bazy danych użytkowników, która ma być używana do uwierzytelniania. Baza danych to plik SQLite. Aby go utworzyć, użyj {0}. Więcej informacji na temat zarządzania użytkownikami można znaleźć pod adresem: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Wcześniej uruchomiony został inny program calibre, na przykład inna instancja {} lub główny program calibre. Uruchomienie wielu programów, które mogą dokonywać zmian w aktywnej bibliotece calibre w tym samym czasie nie jest obsługiwane."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Przerwane przez użytkownika"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Nie ma żadnej biblioteki calibre w %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Musisz wybrać co najmniej jedną bibliotekę"
 
@@ -37307,7 +37382,7 @@ msgid "Enum"
 msgstr "Wyliczanie"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Nieprawidłowa składnia. Oczekiwano nazwy kolumny lub słowa."
 
@@ -37466,128 +37541,128 @@ msgstr "Ustawienia i wtyczki"
 msgid "File is open in another process"
 msgstr "Plik jest otwarty przez inny proces"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr "koniec programu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr "{0}: {1} w pobliżu {2}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "Nie udało się przeskanować programu. Nieprawidłowe dane wejściowe {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Błąd składniowy - program kończy się przed EOF"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "Brak „then” w instrukcji if"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "Brak „fi” w instrukcji if"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr "Brak identyfikatora w instrukcji"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr "Brak „in” w instrukcji"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr "Brak dwukropka („:”) w instrukcji"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr "Brak „rof” w instrukcji"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr "Zapisany szablon musi zaczynać się od {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Nieznana funkcja {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Brak nawiasu zamykającego"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr "Parametry do „{}” muszą być zmiennymi lub przypisaniami"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr "Nieprawidłowa liczba argumentów funkcji {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "Wyrażenie nie jest funkcją ani stałą"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Błąd podczas porównywania ciągów. Operator {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "Wartość użyta w porównaniu nie jest liczbą. Operator {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Nieznany identyfikator {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Nieznane pole {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr "Pole {0} nie jest listą"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr "Nieobsługiwany wyjątek {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Błąd wewnętrzny podczas oceny wyrażenia"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format: typ {0} wymaga wartości całkowitej, mam {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: typ {0} wymaga dziesiętnej wartości (float), mam {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: nieznana funkcja"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr "Brak takiej zmiennej {0}"
@@ -37642,60 +37717,60 @@ msgstr "strlen(a) -- zwraca długość 
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- zwraca x + y. Wyrzuca wyjątek jeśli albo x albo y nie są numerami."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- zwraca x - y. Wyrzuca wyjątek jeśli albo x albo y nie są numerami."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- zwraca x * y. Wyrzuca wyjątek jeśli albo x albo y nie są numerami."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- zwraca x / y. Wyrzuca wyjątek jeśli albo x albo y nie są numerami."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37707,7 +37782,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- rozwiązuje x jako szablon. Szablon jest rozwiązywany we własnym kontekście, co oznacza, że zmienne wywołującego i szablonu nie są wspólne. Ponieważ znaki { i } są znakami specjalnymi musisz użyć [[ zamiast { i ]] zamiast }; są one automatycznie konwertowane. Na przykład template('[[title_sort]]') zostanie rozwiązany jako szablon {title_sort} i zwróci wartość tego pola. Należy pamiętać, że przedrostki i przyrostki (składnia `|przedrostek|przyrostek`) nie może być użyta w argumencie tej funkcji w trybie programowym."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37718,13 +37793,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(szablon) -- rozwiązuje szablon, podstawiając lokalne zmienne zamiast metadanych książki. Pozwala to na tworzenie nawet skomplikowanych wyników z lokalnych zmiennych. Ponieważ znaki { i } są znakami specjalnymi należy użyć zamiast nich [[ i ]] . Są one automatycznie konwertowane. Należy pamiętać, że przedrostki i przyrostki (`|przedrostek|przyrostek`) nie mogą być użyte w argumencie funkcji w trybie programowym."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- przypisuje val do id, a następnie zwraca val. id musi być identyfikatorem, nie wyrażeniem"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37734,30 +37809,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- drukuje argumenty do standardowego profilu wynikowego. Jeśli nie uruchomisz calibre z linii komend (calibre-debug -g), wynik pójdzie do czarnej dziury."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- zwraca pole metadanych nazwane po nazwie"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- zwraca metadane pola nazwanego po nazwie bez zastosowania jakiegokolwiek formatowania."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- zwraca listę metadanych, zgodnie z nazwami, bez formatowania ani sortowania, elementy rozdziela separator - drugi parametr."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37767,7 +37842,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, startowy, końcowy) -- zwraca startowy poprzez końcowy znak ciągu. Pierwszy znak str to zerowy znak. Jeśli końcowy jest ujemny, wówczas wskazuje tylko znaków licząc od prawej. Jeśli końcowy jest zerem, wówczas wskazuje ostatni znak. Na przykład, substr('12345', 1, 0) zwraca '2345', a substr('12345', 1, -1) zwraca '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37777,24 +37852,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- tak jak switch, z wyjątkiem że argumentami są nazwy pola (metadane), nie tekst. Wartość odpowiedniego pola zostanie pobrana i użyta. Zwróć uwagę, złożone kolumny to pola, możesz użyć tej funkcji w jednym złożonym polu, aby użyć wartości z jakiegoś innego złożonego pola. Jest to nadzwyczaj użyteczne podczas konstruowania zmiennych ścieżek zapisu"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup wymaga albo 2 albo nieparzystej liczby argumentów"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37803,11 +37878,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch wymaga nieparzystej ilości argumentów"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37817,19 +37892,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Zwraca ciąg znaków składający się z połączonych argumentów. Kolejne ciągi znaków są dodawane do string1. Pary 'Prefix, string' są dodawane dopóki długość wynikowego ciągu znaków nie osiągnie wartości max. String1 jest zwracany w całości nawet jeśli jego długość przekracza wartość max. Nie ma ograniczenia liczby par 'prefix, string'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max wymaga 2 lub więcej argumentów"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max wymaga parzystej liczby argumentów"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "pierwszy argument strcat_max musi być liczbą całkowitą"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37839,11 +37914,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list wymaga nieparzystej liczby argumentów"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37855,11 +37930,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list wymaga nieparzystej liczby argumentów"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37870,14 +37945,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- Potraktuj val jako listę elementów oddzielanych przecinkami i porównaj każdy jej element z id. Elementy listy powinny mieć postać \"identyfikator:wartość\". Argument id powinien mieć postać \"id\" albo \"id:regexp\". W pierwszym przypadku warunek jest spełniony jeśli lista zawiera podane id. W drugim przypadku dodatkowo wartość elementu listy musi pasować do wyrażenia regularnego. Jeśli warunek jest spełniony jest zwracana wartość found_val, w przeciwnym przypadku wartość not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37890,20 +37965,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- parametr jest ciągiem znaków w postaci \"B, A\", zwracany jest ciąg w postaci \"A B\". Przydatne najbardziej przy konwersji nazwisk z postacji LN, FN do FN LN. Jeśli parametr funkcji nie zawiera przecinka jest zwracany bez zmian."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, tekst jeśli pusty) -- zwraca val jeśli val nie jest pusty, w przeciwnym wypadku zwraca `tekst jeśli pusty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37917,7 +37992,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37925,7 +38000,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) – interpretuje wartość jako listę elementów oddzielonych „separatorem”, zwraca liczbę elementów w liście. Większość list używa przecinka jako separatora, ale lista autorów używa znaku &. Przykłady: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37934,14 +38009,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- interpretuje wartość jako listę oddzielaną `separatorem`, zwraca `index` elementu. Pierwszy element to numer zero. Ostatni element może zostać zwrócony przy użyciu `list_item(-1,separator)`. Jeśli element nie jest w liście, wówczas zwrócona zostaje pusta wartość. Separator ma takie samo znaczenie jak w funkcji count."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- potraktuj val jako rozdzieloną przecinkami listę elementów w postaci \"id:value\". Znajdź parę, w której id pasuje do klucza key i zwróć wartość z tej pary."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37954,19 +38029,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- zwraca oddzielaną przecinkami listę formatów, które w pewnym momencie były powiązane z książką. Nie ma gwarancji, że jest to prawidłowa lista, chociaż prawdopodobnie jest. Ta funkcja może zostać wywołana w trybie programowym przy użyciu szablonu \"{:'approximate_formats()'}\". Formaty są zawsze pisane wielkimi literami np. EPUB. Ta funkcja działa wyłącznie w GUI. Jeśli jej wynik ma być użyty przy zapisywaniu na dysk lub wysyłaniu do urządzenia to trzeba stworzyć kolumnę typu \"Kolumna składająca się z innych kolumn\", zastosować funkcję w szablonie tej kolumny, a następnie użyć kolumny w szablonie zapisywania/wysyłania."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Ta funkcja może być używana wyłącznie w GUI"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37976,7 +38051,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- zwraca oddzielaną przecinkami listę, której elementy są parami oddzielonymi dwukropkiem i reprezentują datę ostatniej modyfikacji poszczególnych formatów. Argument date_format określa sposób formatowania daty. Informacje o sposobach formatowania daty znajdziesz w opisie funkcji date_format. Aby wybrać datę modyfikacji konkretnego formatu książki można użyć funcji select. Należy pamiętać, że nazwy formatów są zawsze pisane wielkimi literami, np. EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37984,7 +38059,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- zwraca oddzielaną przecinkami listę, której elementy są parami oddzielonymi dwukropkiem i reprezentują rozmiar poszczególnych formatów książki w bajtach. Możesz użyć funkcji select żeby wybrać konkretny format. Należy pamiętać, że nazwy formatów są zawsze pisane wielkimi literami np. EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37992,13 +38067,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- zwraca oddzielaną przecinkami listę elementów, które składają się z nazwy formatu i ścieżki, oddzielonych średnikami. Dzięki tej funkcji można uzyskać ścieżkę do konkretnego formatu. Nazwy formatów są zawsze pisane wielkimi literami np. EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- zwraca ciąg znaków reprezentujący liczbę v w KB, MB, GB itd."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -38009,7 +38084,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -38022,7 +38097,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38039,7 +38114,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- Ta funkcja ma za zadanie podzielenie listy takiej jak gatunki literackie. Funkcja interpretuje val jako oddzielaną przecinkami listę elementów, z których każdy jest oddzielną, oddzielaną kropkami listą. Zwraca nową listę utworzoną poprzez odnalezienie wszystkich oddzielanych kropkami elementów, wyodrębnienie z nich elementów od start_index do end_index, a następnie złożenie ich z powrotem. Pierwszy element listy oddzielanej kropkami ma numer zero. Jeśli indeks początkowy jest ujemny to liczenie odbywa się od końca listy. W szczególnym przypadku kiedy end_index jest równy zero zakłada się, że brana jest pod uwagę cała lista. Na przykład, przy użyciu szablonu w trybie podstawowym i zakładając, że #gatunek ma wartość \"A.B.C\" to {#gatunek:subitems(0,1)} zwróci \"A\". {#gatunek:subitems(0,2)} zwróci \"A.B\". {#gatunek:subitems(1,0)} zwróci \"B.C\". Przy założeniu, że #gatunek ma wartość \"A.B.C, D.E.F\" {#gatunek:subitems(0,1)} zwróci \"A, D\", a  {#gatunek:subitems(0,2)} zwróci \"A.B, D.E\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38062,23 +38137,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- formatuje wartość val, która musi być prawidłową datą przy użyciu format_string i zwraca string. Kody formatujące datę są następujące: \nd           - numer dnia miesiąca bez zera wiodącego (1 - 31)\ndd        - numer dnia miesiąca z zerem wiodącym (01 - 31)\nddd      - skrócona nazwa dnia tygodnia (pon - nie)\ndddd    - pełna nazwa dnia tygodnia (poniedziałek - niedziela)\nM           - numer miesiąca bez zera wiodącego (1- 12)\nMM       - numer miesiąca z zerem wiodącym (01 - 12)\nMMM    - skrócona nazwa miesiąca (sty - gru)\nMMMM - pełna nazwa miesiąca (styczeń - grudzień)\nyy         - dwie cyfry roku (00 - 99)\nyyyy     - cztery cyfry roku\nh          - godzina bez zera wiodącego (0 - 11 lub 0 - 23 zależnie od ustawień)\nhh       - godzina z zerem wiodącym (00 - 11 lub 00 - 23 zależnie od ustawień)\nm        - minuty bez zera wiodącego (0 - 59)\nmm     - minuty z zerem wiodącym (00 - 59)\ns         - sekundy bez zera wiodącego (0 - 59)\nss        - sekundy z zerem wiodącym (00 - 59)\nap       - użyj zegara 12-godzinnego z oznaczeniem pory dnia w miejscu \"ap\"\nAP       - użyj zegara 24-godzinnego z oznaczeniem pory dnia w miejscu \"AP\"\niso       - data i czas ze strefą czasową. Musi być jedynym określeniem formatu."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- zwraca wartość pola dużymi literami"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- zwraca wartość pola małymi literami"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- zwraca wartość pola jako każdy wyraz z wielkiej litery"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38087,7 +38162,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- zwraca wartość pola 'wielkość'. Ta funkcja działa wyłącznie w GUI. Jeśli jej wynik ma być użyty przy zapisywaniu na dysk lub wysyłaniu do urządzenia to trzeba stworzyć kolumnę typu \"Kolumna składająca się z innych kolumn\", zastosować funkcję w szablonie tej kolumny, a następnie użyć kolumny w szablonie zapisywania/wysyłania."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38096,55 +38171,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- zwraca Yes jeśli parametr ondevice jest ustawiony, w przeciwnym przypadku pusty ciąg. Ta funkcja działa wyłącznie w GUI. Jeśli jej wynik ma być użyty przy zapisywaniu na dysk lub wysyłaniu do urządzenia to trzeba stworzyć kolumnę typu \"Kolumna składająca się z innych kolumn\", zastosować funkcję w szablonie tej kolumny, a następnie użyć kolumny w szablonie zapisywania/wysyłania."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr "Nie udało się pobrać liczby adnotacji"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- zwraca wartość pola sortowania serii"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- zwraca Yes jeśli książka ma okładkę, w przeciwnym wypadku pusty łańcuch"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- zwraca pierwszą wartość, która nie jest pusta. Jeśli wszystkie wartości są puste zwracana jest pusta wartość. Nie ma ograniczenia ilości argumentów."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(wartość, wartość, ...) -- zwraca tekst \"1\" jeśli którakolwiek z wartości jest niepusta, w przeciwnym przypadku zwraca pusty ciąg. Ta funkcja współdziała doskonale z first_non_empty. Liczba parametrów funkcji nie jest ograniczona."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38153,7 +38228,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38161,7 +38236,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38169,7 +38244,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38177,7 +38252,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(lista, kolejność, separator) -- zwraca posortowaną listę. Wielkość znaków nie ma znaczenia. Jeśli kolejność = 0 sortowanie jest rosnąco, w przeciwnym przypadku malejąco. Elementy listy wynikowej są oddzielane tym samym separatorem co listy źródłowej."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38186,7 +38261,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38195,7 +38270,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- konstruuje listę, dzieląc src_list przy użyciu znaku separator. Dla każdego elementu listy sprawdza, czy pasuje on do include_re. Jeśli tak - dodaje go do zwracanej listy. Jeżeli opt_replace nie jest pustym ciągiem, następuje zamiana przed umieszczeniem elementu na liście."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38203,14 +38278,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Tak jak list_re z tym wyjątkiem, że zamienniki nie są opcjonalne. Funkcja wykorzystuje  re_group(list_item, search_re, group_1_template, ...) do zamiany na liście wynikowej."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- zwraca bieżącą datę w postaci tekstu. Wynik jest przeznaczony do użycia w funkcjach format_date lub days_between, ale może być przetwarzany jak każdy inny łańcuch. Data jest w formacie ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38218,7 +38293,7 @@ msgid ""
 "empty string."
 msgstr "days_between(data1, data2) -- Zwraca liczbę dni między data1 a data2. Liczba jest dodatnia jeśli data1 jest większa niż data2, w przeciwnym przypadku ujemna. Jeśli obie daty są nieprawidłowe (ciągi znaków nie są datami) zwracany jest pusty ciąg znaków."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38226,28 +38301,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) – zwraca ciągi znaków dla języków, których kody zostały przekazane w lang_codes. Jeśli parametr localize jest zerem, zwraca ciągi w języku angielskim. W przeciwnym przypadku zwraca ciągi w języku bieżącej lokalizacji. Lang_codes jest listą rozdzielaną przecinkami."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- zwraca kody języka dla podanych ciągów. Ciągi muszą być w języku bieżącej lokalizacji. Lang_strings jest listą rozdzielaną przecinkami."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- zwraca ostatnią część ścieżki bieżącej biblioteki. Ta funkcja może być używana trybie programowym przy użyciu szablonu \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- zwraca ścieżkę do aktualnie używanej biblioteki. Ta funkcja może być wywołana w szablonie w trybie programu za pomocą  \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38256,7 +38331,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(wartość, fmt, przedrostek, przyrostek) -- zastosuj format, przedrostek i przyrostek do wartości tak jak to się dzieje w szablonach takich jak `{series_index:05.2f| - |- }`. Na przykład następujący program zwróci wynik taki sam jak powyższy szablon: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38265,7 +38340,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38274,7 +38349,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- zwraca rozdzielaną przecinkami listę kategorii zdefiniowanych przez użytkownika, zawierających daną książkę. Funkcja działa wyłącznie w GUI. Jeśli jej wynik ma być użyty przy zapisywaniu na dysk lub wysyłaniu do urządzenia to trzeba stworzyć kolumnę typu „Kolumna składająca się z innych kolumn”, zastosować funkcję w szablonie tej kolumny, a następnie użyć kolumny w szablonie zapisywania/wysyłania."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38282,7 +38357,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Zwraca ciąg znaków w alfabecie łacińskim utworzony na podstawie przybliżonego brzmienia ciągu źródłowego. Na przykłada jeśli źródłem jest \"{0}\" to funkcja zwróci \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38294,7 +38369,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- zwraca ciąg znaków, zawierający listę autorów i odsyłaczy tych autorów w formie author1 val_separator author1link pair_separator author2 val_separator author2link itp. Autor jest oddzielony od odsyłacza za pomocą val_separator, bez spacji. Pary autor:odsyłacz są oddzielane za pomocą pair_separator, bez spacji. Od ciebie zależy wybranie takiego separatora, który nie występuje ani w nazwiskach autorów, ani w odsyłaczach. Autor jest uwzględniany nawet jeśli odsyłacz jest pusty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38305,7 +38380,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- zwraca ciąg znaków, zawierający wartości sortowania dla autorów w danej książce. Sortowanie to dotyczy metadanych autorów (nie jest tym samym, co author_sort w książkach). Lista ma postać autor 1 val_separator autor 2 itp. Autorzy na tej liście są w tej samej kolejności, co w książce. Spacje przed i po separatorze zostaną dodane tylko wtedy, kiedy będą uwzględnione w ciągu znaków val_separator."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38313,13 +38388,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38327,7 +38402,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38340,11 +38415,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no wymaga, aby pole było niestandardową kolumną Tak/Nie"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38352,11 +38427,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "Ocena musi być liczbą z przedziału od 0 do 5"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38365,7 +38440,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38376,7 +38451,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38386,6 +38461,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Nienazwany obraz"
@@ -38674,29 +38755,29 @@ msgstr "Zamknij bez zapisywania"
 msgid "Close Tab"
 msgstr "Zamknij zakładkę"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Dodatkowe znaki na końcu zapytania"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "brakuje )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Nieudane analizowanie zapytania, osiągnięto ograniczenie rekurencji: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Zapisane wyszukiwane rekursywne: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Nieznane zapisane wyszukiwanie: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Nierozpoznany błąd w zapisanym wyszukiwaniu: {0}"
@@ -39061,185 +39142,185 @@ msgstr "Każdy odsyłacz, który pasuje
 msgid "Do not download CSS stylesheets."
 msgstr "Nie pobieraj arkuszy stylów CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Zapisz wszystko"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Otwórz"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Tak"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Tak na &wszystkie"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nie"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&ie na wszystkie"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Przerwij"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Ponów"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Zamknij"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Zastosuj"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Resetuj"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Przywróć domyślne"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "&Odcień:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Nasycenie:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Wartość:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Czerwony:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Zielony:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Nie&bieski:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Kanał a&lfa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Kursor w %1, %2\nNaciśnij ESC, aby anulować"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Wybierz kolor"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Kolory &podstawowe"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Kolory niestandardowe"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "Dod&aj do kolorów niestandardowych"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Wybierz kolor"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Wybierz czcionkę"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "Krój &czcionki"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "&Styl czcionki"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "Rozmiar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efekty"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Prze&kreślenie"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Przykład"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "System zapisu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Lewa krawędź"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Prawa krawędź"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Strona w lewo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Strona w górę"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Strona w dół"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Strona w prawo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Przewiń w lewo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Przewiń w górę"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Przewiń w dół"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Przewiń w prawo"
 
@@ -39519,8 +39600,8 @@ msgstr "Reguły tworzenia nazw kolekcji
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39568,7 +39649,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Określa reguły tworzenia kolekcji Sony. Ten parametr jest dostępny jedynie wtedy,\ngdy zarządzanie metadanymi jest ustawione na automatyczne. Kolekcje na urządzeniach\nSony są nazywane zależnie od tego, czy pole, na którym są oparte jest polem standardowym\nczy polem użytkownika. Na przykład jeśli standardowe pole 'series' zawiera 'Darkover' to \nkolekcja zostanie nazwana 'Darkover'. Kolekcje tworzone na podstawie pól użytkownika\nzawierają nazwę pola dodaną do wartości. Na przykład jeśli pole użytkownika 'Moje Serie'\nzawiera 'Darkover' to kolekcja zostanie domyślnie nazwana 'Darkover (Moje Serie)'.\nNa potrzeby tej dokumentacji 'Darkover' to wartość, a 'Moje Serie' to kategoria.\nJeśli dwie książki mają pole, które tworzy tę samą kolekcję to obie będą w tej samej kolekcji.\nTen zestaw parametrów pozwala na określenie jak mają być tworzone nazwy kategorii \ndla pól standardowych lub użytkownika. Można ich użyć aby dodać opis do standardowego pola\nnp. 'Foo (Etykieta)' zamiast 'Foo'. Można również wymusić, by z wielu pól była tworzona jedna kolekcja.\nNa przykład dla wartości w 'series', '#my_series_1' i '#my_series2' może być tworzona jedna kolekcja\nnazwana 'jakaś_wartość (Serie)', czyli wszystkie te pola są łączone w jednym zestawie kolekcji.\nSą dwa związane z tym parametry. Pierwszy określa nazwę kategorii dla określonego pola metadanych.\nDrugi jest szablonem, określającym w jaki sposób z nazwy pola i jego wartości jest tworzona nazwa kolekcji.\nSkładnia pierwszego parametru, sony_collection_renaming_rules, jest następująca:\n{'nazwa_wyszukiwania_pola':'nazwa_kategorii', 'nazwa_wyszukiwania_pola':'nazwa_kategorii', ...}\nDrugi parametr, sony_collection_name_template, jest szablonem. Używa tego samego języka szablonów,\nktóry jest używany co szablony wtyczek czy szablony zapisu. Parametr ten określa w jaki sposób\nwartość i kategoria są łączone by uzyskać nazwę kolekcji. Jedynymi dostępnymi polami są\n{category} i {value}. Pole {value} nigdy nie jest puste, podczas gdy pole {category} może być puste.\nDomyślnie wartość jest umieszczana na początku, potem kategoria, ujęta w nawiasy jeśli ta nie jest pusta:\n'{value} {category:|(|)}'\nPrzykłady (pierwsze trzy zakładają, że drugi parametr nie został zmieniony):\n1: Chcemy, żeby trzy kolumny, zawierające serie zostały połączone w jeden zestaw kolekcji.\nNazwy wyszukiwania tych kolumn to 'series', #series_1' i '#series_2'. Nie chcemy dodawać niczego\nw nawiasach. Wartość parametru powinna być: sony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: Chcemy, żeby przy kolekcjach tworzonych na podstawie serii dodawane było słowo '(Serie)', zaś przy\nkategoriach tworzonych na podstawie etykiet - słowo '(Etykieta)'. Powinno to wyglądać następująco:\nsony_collection_renaming_rules={'series':'Serie', 'tags':'Etykieta'}\n3: Chcemy, żeby 'series' i '#myseries' zostały połączone, a do nazwy kolekcji zostało dołączone '(Serie)'.\nReguła w tym przypadku jest następująca:\nsony_collection_renaming_rules={'series':'Serie', '#myseries':'Serie'}\n4: Tak samo jak w przykładzie 2, ale zamiast nazwy kategorii dodawanej w nawiasach do nazwy kolekcji\nchcemy, żeby była dodawana na początku i oddzielona od wartości dwukropkiem, o tak: Serie: Darkover.\nMusimy zmienić szablon użyty do sformatowania nazwy kategorii. W efekcie oba parametry wyglądają następująco:\nsony_collection_renaming_rules={'series':'Serie', 'tags':'Etykieta'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39576,7 +39657,7 @@ msgstr "Sposób sortowania kolekcji SONY
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39591,7 +39672,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Sortowanie kolekcji Sony. Ten parametr działa tylko wtedy, kiedy zarządzanie \nmetadanymi jest ustawione na automatyczne. Umożliwia określenie, które metadane \nsą brane pod uwagę przy sortowaniu wg kolekcji. Należy podać listę pól, \nz których tworzone są kolekcje wraz z nazwą pola, które stanowi podstawę do sortowania.\nPrzykład: kolekcje budowane na podstawie pól pubdatge i tags są sortowane \nwg pola użytkownika ‘#mydate’, kolekcje budowane na podstawie pola ‘series’ są sortowane \nwg pola ‘series_index’, a wszystkie inne – wg tytułu. Jeśli pole w kolekcji nie jest nazwane \nto w zależności od tego, czy bazuje na serii czy nie jest sortowane odpowiednio tak jak serie albo wg tytułu.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nNależy zwrócić uwagę na nawiasy kwadratowe i okrągłe. Prawidłowa składnia jest następująca:\n[ ( [ lista pól ], pole sortowania ) , ( [ lista pól ] , pole sortowania ) ]\nWartość domyślna: pusta (nie ma żadnych reguł)."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ps.po 5.10.0+dfsg-1/translations/calibre/ps.po
--- 5.9.0+dfsg-3/translations/calibre/ps.po	2021-01-06 15:29:20.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ps.po	2021-01-20 15:27:25.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/pt_BR.po 5.10.0+dfsg-1/translations/calibre/pt_BR.po
--- 5.9.0+dfsg-3/translations/calibre/pt_BR.po	2021-01-06 15:29:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/pt_BR.po	2021-01-20 15:27:44.000000000 +0000
@@ -75,9 +75,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-05 01:27+0000\n"
-"Last-Translator: Thiago Oliveira <thiago.eec@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -155,15 +155,15 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -184,7 +184,7 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -284,16 +284,16 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -319,7 +319,7 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -351,7 +351,7 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -370,7 +370,7 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -394,27 +394,27 @@ msgstr "Personalizar"
 msgid "Cannot configure"
 msgstr "Não é possível configurar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tipo de arquivo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Leitor de metadados"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Escritor de metadados"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Gerador de catálogo"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Ação da interface do usuário"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -426,20 +426,20 @@ msgstr "Ação da interface do usuário"
 msgid "Preferences"
 msgstr "Preferências"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Loja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Uma loja de livros eletrônicos."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Ferramenta de edição de livro"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Biblioteca fechada"
 
@@ -461,372 +461,372 @@ msgstr "Cria um arquivo TXTZ quando um a
 msgid "Extract cover from comic files"
 msgstr "Extrair a capa de arquivos de HQ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Ler metadados de %s arquivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Ler metadados de e-books em arquivos RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Ler metadados de e-books em arquivos ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Alterar metadados em %s arquivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Digite {0} abaixo para que o plugin escritor de metadados do EPUB não adicione imagens de capa para arquivos EPUB que não têm nenhuma imagem de capa existente."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Alterar metadados a partir de %s arquivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Adicionar livros ao calibre ou ao dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Pegar anotações de um Kindle conectado (experimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Gerar um catálogo dos livros da sua biblioteca do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Converter livros para vários formatos de e-books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Ajuste fino em seus e-books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Explorar destaques e marcadores de todos os livros da biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Editar o Índice em seus livros."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Remover livros da sua biblioteca do calibre ou dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Incorporar metadados atualizados para os arquivos de livros em sua biblioteca do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editar os metadados de livros da sua biblioteca do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Ler livros da sua biblioteca do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Baixar notícias da internet em formato de e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Mostrar rapidamente uma lista de livros relacionados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtra/transforma as etiquetas de livros na biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Transformar os autores para os livros da biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Mostrar um editor para testar modelos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Mostra um diálogo para criação e gerenciamento de funções de modelo, e modelos salvos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportar livros da sua biblioteca do calibre para o disco rígido"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Mostrar detalhes do livro em uma janela de contexto separada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Reiniciar o calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Abrir a pasta que contém os arquivos de livros da sua biblioteca do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Enviar livros para o dispositivo conectado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Envia livros por e-mail ou pela internet. Também conecta à pastas em seu computador como se estas fossem dispositivos."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Navegar pelo Manual do Usuário do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personalizar o calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Encontrar facilmente livros similares ao selecionado atualmente"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Alternar entre diferentes bibliotecas do calibre e realizar manutenção nelas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copiar livros do dispositivo para sua biblioteca do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Editar as coleções cujos livros estão no seu dispositivo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Equalizar livro nos dispositivos com livros na biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Mostrar o livro correspondente na biblioteca do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copiar um livro de uma biblioteca do calibre para outra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Editar livros em formatos EPUB ou AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Faz pequenas alterações para os arquivos EPUB ou HTMLZ em sua biblioteca do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Buscar a correspondência anterior ou seguinte ao pesquisar sua biblioteca no calibre no modo realce"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Escolher aleatoriamente um livro da sua biblioteca do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Ordenar a lista de livros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marcar livros temporariamente"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Mudar a Biblioteca Virtual atual"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Buscar livros de diferentes livrarias"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Obter novos plugins do calibre ou atualizar os existentes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Aparência"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interface"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Ajustar a aparência da interface do calibre para se adequar ao seu gosto"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportamento"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Mudar o modo como o calibre se comporta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Adicionar suas próprias colunas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Adicionar/remover suas próprias colunas na lista de livros do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Barras de ferramentas & menus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Personalizar a barra de ferramentas e os menus de contexto, escolhendo quais ações estão disponíveis em cada um"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Buscar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personalizar a maneira que a busca por livros funciona no calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Opções de entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversão"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Configurar opções de conversão específicas a cada formato de entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Opções comuns"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Configurar opções de conversão comuns a todos os formatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Opções de saída"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Configurar opções de conversão específicas a cada formato de saída"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Adicionar livros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importar/Exportar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Controlar como o calibre lê metadados de arquivos enquanto adiciona livros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Salvar livros no disco"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Controlar como o calibre exporta arquivos da sua base de dados para o disco ao usar Salvar no disco"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Enviar livros para dispositivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Controlar como o calibre transfere arquivos para seu leitor de e-books"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Quadros de conexões de metadados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Alterar campos de metadados antes de salvar/enviar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -836,92 +836,92 @@ msgstr "Alterar campos de metadados ante
 msgid "Template functions"
 msgstr "Funções de modelo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avançado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Criar suas próprias funções de modelos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Compartilhar livros por e-mail"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Compartilhar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Configurar compartilhamento de livros por e-mail. Pode ser usado para envio automático de notícias baixadas para o seus dispositivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Compartilhar pela rede"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Configurar o servidor de conteúdo do calibre que dará acesso à sua biblioteca do calibre de qualquer lugar, em qualquer dispositivo, conectado à internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Download de metadados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Controlar como o calibre baixa metadados de livros da internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Dispositivos ignorados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Controlar quais dispositivos o calibre irá ignorar quando eles estiverem conectados ao computador."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plugins"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Adicionar/remover/personalizar vários aspectos de funcionalidades do calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Ajustes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Ajustar como o calibre se comporta em vários contextos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Atalhos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Personalizar os atalhos de teclado usados pelo calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -929,7 +929,7 @@ msgstr "Personalizar os atalhos de tecla
 msgid "Miscellaneous"
 msgstr "Extras"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Configurações extra avançadas"
 
@@ -1319,9 +1319,9 @@ msgstr "Jogar as base de dados para um b
 msgid "Restoring database from SQL"
 msgstr "Resgatar a base de dados de banco SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1347,17 +1347,17 @@ msgstr "Buscas salvas"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Sim"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Capa para %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formato de {1}"
@@ -1743,14 +1743,14 @@ msgstr "Especificar esta mudança deslig
 msgid "You must specify some ids or the %s option"
 msgstr "Você precisa especificar alguns dos IDs ou a opção %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [opções]\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1758,7 +1758,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Campos que serão exibidos ao listar livros no banco de dados. Deve ser uma lista de campos separada por vírgulas.\nCampos disponíveis: %s\nPadrão: %%default. O campo especial \"all\" pode ser usado para selecionar todos os campos. Em complemento aos campos acima, campos personalizados também estão disponíveis como *field_name. Por exemplo, para um campo personalizado #rating, use o nome: *rating."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1766,39 +1766,39 @@ msgid ""
 "Default: {1}"
 msgstr "O campo pelo qual ordenar os resultados.\nCampos disponíveis: {0}\nPadrão: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Ordenar resultados em ordem ascendente"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrar os resultados pela frase de pesquisa. Para o formato da frase de pesquisa, consulte a documentação à respeito de pesquisa no Manual do Usuário. O padrão é não filtrar."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "A largura máxima de uma única linha na saída. O padrão é detectar o tamanho da tela."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "O Caractere usado para separar os campos. O padrão é um espaço."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "O prefixo do caminho de todos arquivos. O padrão é o caminho completo até a pasta da biblioteca."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "O número máximo de resultados para exibir. Padrão: tudo"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2345,21 +2345,21 @@ msgstr "espaço em branco"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Consulta booleana inválida \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Biblioteca virtual não existe: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Pesquisa pela biblioteca virtual é recursiva: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Grupo de query recursivo detectado: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "modelo de busca: separador ausente ou inválido. Separadores válidos são: {}"
@@ -3535,11 +3535,11 @@ msgstr "Removido %s"
 msgid "All books removed"
 msgstr "Todos os livros foram removidos"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Dispositivo desconhecido"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3548,12 +3548,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "O dispositivo {0} não está permitindo conexões. Desbloqueie a tela no {0}, toque em \"Permitir\" em qualquer mensagem pop-up de conexão exibida e espere um minuto ou reinicie o calibre. Você também pode ter que alterar o modo da conexão USB em {0} para \"Modo de transferência de mídia (MTP)\" ou similar."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Dispositivo MTP desconhecido"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6108,7 +6108,7 @@ msgstr "Notas"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6401,7 +6401,7 @@ msgid "Producer"
 msgstr "Produtor"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6409,7 +6409,7 @@ msgid "Comments"
 msgstr "Comentários"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6449,7 +6449,7 @@ msgid "Tags"
 msgstr "Etiquetas"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6479,7 +6479,7 @@ msgid "Timestamp"
 msgstr "Assinatura de tempo (timestamp)"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8209,13 +8209,13 @@ msgstr "EPUB atualizado da versão 2 par
 msgid "HTML TOC generation options."
 msgstr "Opções de geração de Índice HTML."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} de <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8248,31 +8248,31 @@ msgstr "Gerar um arquivo \"page-map\" da
 msgid "Sidebar"
 msgstr "Barra lateral"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Adicionando cabeçalhos e rodapés"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Cabeçalhos e rodapés adicionados"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Analisado todo o conteúdo para transformação de marcação"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Completada transformação de marcação"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Renderizados todos os HTMLs como PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Adicionados links para o conteúdo do PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Atualizados metadados no PDF"
 
@@ -9241,7 +9241,7 @@ msgstr "Não foram encontrados erros na
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10250,7 +10250,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Ajuda"
 
@@ -11509,7 +11509,7 @@ msgid "Errors while adding"
 msgstr "Erros ao adicionar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorar"
 
@@ -11639,8 +11639,8 @@ msgstr "Alterar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11774,11 +11774,11 @@ msgid "Search the internet for this book
 msgstr "Pesquisar na internet por este livro"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Gerenciar %s"
@@ -11921,7 +11921,7 @@ msgstr "Texto selecionado"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12248,7 +12248,7 @@ msgid "Preset name:"
 msgstr "Nome do perfil:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Você deve fornecer um nome."
 
@@ -12325,7 +12325,7 @@ msgid "Save current catalog settings as
 msgstr "Salvar ajustes do catálogo atual como predefinido"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Salvar"
 
@@ -12334,10 +12334,10 @@ msgid "Delete current preset"
 msgstr "Apagar predefinido atual"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Apagar"
@@ -12450,8 +12450,8 @@ msgstr "Restaurar padrão"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13637,7 +13637,7 @@ msgid "Ta&gs:"
 msgstr "Eti&quetas:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13652,8 +13652,8 @@ msgstr "&Série:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Lista de séries conhecidas. É possível adicionar novas séries."
@@ -14520,7 +14520,7 @@ msgid "Choose color"
 msgstr "Escolher cor"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14861,19 +14861,19 @@ msgid "Edit style transform rules"
 msgstr "Editar regras de transformação de estilo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xportar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Exportar regras para um arquivo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14947,8 +14947,8 @@ msgstr "Limpar {}"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15029,7 +15029,7 @@ msgid ""
 msgstr "Séries serão normalmente renumeradas a partir do maior número no banco de dados para aquela série. Marcando esta caixa você irá dizer pro calibre iniciar a numeração a partir do valor da caixa"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16609,7 +16609,7 @@ msgid "Change case"
 msgstr "Alterar maiúsculas e minúsculas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16617,7 +16617,7 @@ msgid "Upper case"
 msgstr "Maiúsculas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16625,7 +16625,7 @@ msgid "Lower case"
 msgstr "Minúsculas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16633,7 +16633,7 @@ msgid "Swap case"
 msgstr "iNVERTER"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16667,7 +16667,7 @@ msgid "Manage authors"
 msgstr "Gerenciar autores"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Bu&scar por:"
@@ -17088,78 +17088,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Ocultar as %d mensagens de erro restantes"
 msgstr[1] "Ocultar as {} mensagens de erros restantes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Processando"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Processando %d livros, aguarde..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Progresso atual: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Etapa %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "todas minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "TODAS MAIÚSCULAS"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Todas As Palavras, Primeira Letra Maiúscula (Título)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Correspondência de caractere"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Expressão regular"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Substituir campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Preceder ao campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Anexar ao campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Editando metadados de um livro"
 msgstr[1] "Editando metadados de {} livros"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Faz todas as mudanças automáticamente sem fechar a janela. Esta operação não pode ser cancelada ou desfeita."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Livro %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Entre um tipo de identificador"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17167,7 +17167,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Você pode destruir a sua biblioteca ao usar este recurso.</b> As alterações são permanentes, não há como desfazer. É altamente recomendado que você faça cópia de segurança de sua biblioteca antes de prosseguir.<p>Procurar e substituir em textos usando caracteres correspondentes ou expressões regulares. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17177,7 +17177,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "No modo de caractere, o campo é pesquisado pelo texto de pesquisa inserido. O texto é substituído pelo texto de substituição especificado em todos os lugares no campo especificado. Após a conclusão da substituição, o texto pode ser alterado para maiúsculas, minúsculas ou maiúsculas. Se a caixa de seleção Distinção entre maiúsculas e minúsculas estiver marcada, o texto da pesquisa deverá corresponder exatamente. Se estiver desmarcada, o texto da pesquisa corresponderá às letras maiúsculas e minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17192,80 +17192,89 @@ msgid ""
 "function."
 msgstr "No modo de expressão regular, o texto de pesquisa é uma expressão regular arbitrária compatível com Python. O texto de substituição pode conter referências anteriores para expressões entre parênteses no padrão. A pesquisa não está ancorada e pode corresponder e substituir várias vezes na mesma cadeia. As funções de modificação (minúsculas, etc) são aplicadas ao texto correspondente, não ao campo como um todo. A caixa de destino especifica o campo onde o resultado depois da correspondência e a substituição deve ser atribuído. Você pode substituir o texto no campo ou pré-anexar ou anexar o texto correspondente. Veja <a href=\"https://docs.python.org/library/re.html\">esta referência</a>para mais informações sobre expressões regulares do Python, e em particular a função 'sub'."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERRO NO MODELO B/S"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Você deve especificar um destino quando a origem é um campo composto ou um modelo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "O valor de substituição para uma coluna de classificação deve estar vazio ou um inteiro entre 0 e 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Você deve especificar um tipo de identificador de destino"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Você deve especificar uma expressão de busca no campo \"Buscar por\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "String de identificador inválida. Ela deve ser uma lista separada por vírgulas de pares de strings separadas por dois pontos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Buscar/substituir inválido"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Buscar/substituir é inválido: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Apagar busca/substituição salva"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "A busca/substituição salva, selecionada será apagada. Você tem certeza?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Salvar busca/substituição"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nome da busca/substituição:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "A busca/substituição salva, já existe e será substituída. Você tem certeza?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Editar informações"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "A&plicar data"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autor(es): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17273,90 +17282,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Isto fará que o campo autor seja automaticamente atualizado\nbaseado no campos de autores para cada livro selecionado. Perceba que se\nvocê utilizar o controle acima para setar os autores, o campo autor é atualizado, independente do valor das caixas de seleção."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Definir a ordem do autor &automaticamente"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "Tr&ocar título e autor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Atualize ordem do título com base no título atual. Isso será aplicado somente após outras alterações para o título."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Autor &ordenado: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Atualizar ordenação do &título"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Especificar como o(s) autor(es) deste livro devem ser organizados. Por exemplo Charles Dickens deve ser organizado como Dickens,Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Alterar &capa"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "A&valiação"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Gerar capa padrão"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Aplicar avaliação"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Remover capa"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Editora: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Tentar detectar e remover automaticamente bordas e espaços extra\n das bordas de imagens da capa. Isso às vezes pode remover também\n com excesso, então use com cuidado."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Se marcado, o editor será apagado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "A&parar a capa (PERIGOSO)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Limpar pub."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "D&efinir a partir dos arquivos dos livros"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Adicionar eti&quetas: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Definir as capas de todos os livros selecionados para\nserem iguais a do primeiro livro selecionado."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Abrir Editor de Etiquetas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Clonar capas"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Remover etiquetas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Força o título a ter iniciais maiúsculas. Se este e troca de autores são verificados,\ntítulo e autor são trocados antes das iniciais maiúsculas serem definidas"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Lista separada por vírgulas das etiquetas para remover dos livros. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Alterar &maiúsculas/minúsculas do Título para:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Marque esta caixa para remover todas etiquetas dos livros."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Data:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Remover &todos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Se marcado, o editor será apagado"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Séries"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Limpar pub."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Se marcado, as séries serão limpas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "P&ublicado:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Limpar séries"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17364,126 +17368,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Se não estiver marcado, o número de série para os livros será definido como 1.\nSe marcado, os livros selecionados serão numerados automaticamente, na ordem\nque você os selecionou. Então, se você selecionou Livro A e, em seguida, Livro B,\nLivro A terá o número de série 1 e Livro B o número de série 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Automaticamente enumere os livros da série"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Séries serão normalmente renumeradas a partir do maior número no banco de dados\npara aquela série. Marcando esta caixa você irá dizer pro calibre iniciar a numeração\na partir do valor da caixa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Forçar números a iniciar com:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Se marcado, as séries serão limpas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Limpar séries"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Controlar a forma como as capas geradas por padrão são criadas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Configurar geração de ca&pas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Definir os co&mentários para todos os livros selecionados"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Remover etiquetas:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Remover &todos"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Adicionar eti&quetas: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Data:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Especificar como o(s) autor(es) deste livro devem ser organizados. Por exemplo Charles Dickens deve ser organizado como Dickens,Charles."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "A&plicar data"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Aplicar avaliação"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "P&ublicado:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Limpar data de publicação"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autor(es): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Idiomas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Editora: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Lista separada por vírgulas das etiquetas para remover dos livros. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Abrir Editor de Etiquetas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Autor &ordenado: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Defina os metadados no calibre a partir dos metadados nos arquivos de e-book associados a cada livro. Note que isto não muda a capa, para isso, use a opção separada abaixo."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Definir &metadados (exceto capa) a partir dos arquivos dos livros"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Séries"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Remover configurações de conversão armazenadas para os livros selecionados.\nFuturas conversões desses livros irão usar as configurações padrão."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Remover configuraçõe&s de conversão armazenadas para os livros selecionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17492,153 +17431,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Ao fazer um mesmo formato para o mesmo conversão de formato,\npor exemplo, EPUB para EPUB, o calibre salva o original EPUB\n como ORIGINAL_EPUB. Essa opção informa ao calibre para restaurar\n o EPUB do ORIGINAL_EPUB. Útil se você fez a conversão\n de um grande número de livros e algo deu errado."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Restaurar pré conversão e &originais, se disponível"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Marque esta caixa para remover todas etiquetas dos livros."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "A&valiação"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Força o título a ter iniciais maiúsculas. Se este e troca de autores são verificados,\ntítulo e autor são trocados antes das iniciais maiúsculas serem definidas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Alterar &maiúsculas/minúsculas do Título para:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Atualize ordem do título com base no título atual. Isso será aplicado somente após outras alterações para o título."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Atualizar ordenação do &título"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Defina os metadados no calibre a partir dos metadados nos arquivos de e-book associados a cada livro. Note que isto não muda a capa, para isso, use a opção separada abaixo."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Definir &metadados (exceto capa) a partir dos arquivos dos livros"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Alterar &capa"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Gerar capa padrão"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Remover capa"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Tentar detectar e remover automaticamente bordas e espaços extra\n das bordas de imagens da capa. Isso às vezes pode remover também\n com excesso, então use com cuidado."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "A&parar a capa (PERIGOSO)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "D&efinir a partir dos arquivos dos livros"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Definir as capas de todos os livros selecionados para\nserem iguais a do primeiro livro selecionado."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Clonar capas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Controlar a forma como as capas geradas por padrão são criadas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Configurar geração de ca&pas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Definir os co&mentários para todos os livros selecionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Metadados &básicos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadados personali&zados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Carregar busca/substituição:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Selecionar busca/substituição salva para carregar."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Salvar busca/substituição atual"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Sal&var"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Camp&o para busca:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "O nome do campo que você deseja buscar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Modo de busca:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Escolha utilizar correspondência simples de texto ou busca por expressões regulares"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "T&ipo do Identificador:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Escolha quais tipos de identificadores iram operar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Modelo:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Insira o modelo que será utilizado como fonte para a busca/substituição"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Insira o que você está procurando, tanto um texto quanto uma expressão regular, dependendo do modo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marque esta caixa se a frase buscada deve corresponder exatamente os caracteres maiúsculos e minúsculos. Desmarque se deseja ignorar estas variações."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Dif&erenciar maiúsculas e minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Substituir por:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "O texto que será substituído. O texto da busca marcada que será alterada com a string"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Aplicar função depois de substituir:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especifique como o texto deve ser processado após a combinação e substituição. No modo de caractere, o campo\ninteiro é processado. No modo de expressão regular, apenas o texto correspondente é processado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Campo de &destino:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "O campo de texto que será colocado após todas as substituições.\n Se estiver em branco, o campo de origem é usado se o campo é modificável"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&odo:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especificar como o texto deve ser copiado no destino."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica se os itens de resultado devem ser divididos em vários valores ou\ndeixado como valores únicos. Esta opção tem maior efeito quando o campo de origem\nnão é múltiplo e o campo de destino é múltiplo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Dividir &resultado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Tipo do identificador:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17646,48 +17672,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Escolha qual tipo de identificador será operado. Quando o\n               campo de origem é algo diferente de \"identificadores\" você pode digitar\n               um * se você quiser substituir todo o conjunto de identificadores com\n               o resultado de buscar/substituir.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Para vários campos de valor, mos&trar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "Val&ores começando em:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "com valores separados p&or"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Usado ao exibir os resultados dos testes para separar valores em vários campos de valor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Texto de teste"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Resultado do teste"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Seu &teste:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "Bu&scar e substituir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Se ativado, a lista de livros será reclassificada e qualquer\npesquisa ou biblioteca virtual será atualizada após a edição\nestar completa. Isso pode ser lento em grandes bibliotecas."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "Atualiza&r lista de livros após editar"
 
@@ -18143,42 +18169,42 @@ msgstr "Abrir livro no Visualizador de e
 msgid "&Item: {0} ({1})"
 msgstr "&Item: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Clique para mostrar somente livros com este item. Clique-duplo para pesquisar este item no Navegador de etiquetas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Nenhum item encontrado**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Clique em uma coluna na visualização das bibliotecas para ver informações sobre os livros"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "Li&vros com item selecionado \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr "Clique duas vezes em um livro para alterar a seleção na visualização da biblioteca ou altere a coluna mostrada no painel esquerdo. Use um clique duplo pressionando Shift ou Ctrl para editar os metadados de um livro,  o que também altera o livro selecionado."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Algo deu errado ao preencher a tabela"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Visualização Rápida: O livro não foi visto na biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18284,87 +18310,87 @@ msgstr "Remontagem do banco de dados fal
 msgid "Failed to repair library"
 msgstr "Falha ao restaurar a biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Adiciona uma nova busca salva"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Você pode criar uma <i>Busca salva</i>, para pesquisas usadas com frequência. A pesquisa ficará visível em <i>Buscas salvas</i> no Navegador de Etiquetas, usando o nome que você especificar aqui."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "O nome da busca salva"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Buscar:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Expressão de busca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Nenhuma busca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Você deve especificar um nome para a busca salva"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Nenhuma expressão de busca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Você deve especificar uma expressão para a busca salva"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Busca salva inválida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Gerenciar buscas salvas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Adicionar busca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Remova pesquisa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Editar busca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "A atual busca salva irá ser <b>permanentemente apagada</b>. Você tem certeza?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Editar o nome e/ou da expressão abaixo:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Editar busca salva"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "A pesquisa salva com o nome {} já existe. Escolha outro nome"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Expressão de busca"
 
@@ -19262,48 +19288,64 @@ msgstr "Etiqueta 1"
 msgid "Tag 2"
 msgstr "Etiqueta 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Tutorial do modelo da linguagem"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Referência das funções de modelo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Selecionar ícone"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "EXCEÇÃO: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Função de modelo em Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr "Função de modelo interna"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr "Função interna"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr "Função de modelo Python definida pelo usuário"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr "Função do usuário"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Modelos salvo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr "Modelos do usuário salvos"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nenhuma coluna escolhida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Você deve escolher uma coluna para ser colorida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Nenhum modelo foi fornecido"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "A caixa do modelo não pode ficar vazia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "Um Modelo no Modo Programa Geral"
 
@@ -20367,7 +20409,7 @@ msgstr "Buscar um atalho pelo nome"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Nenhuma correspondência"
 
@@ -20526,8 +20568,8 @@ msgid "Show in calibre"
 msgstr "Mostrar no calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Editar notas"
 
@@ -20544,14 +20586,14 @@ msgstr[0] "Apagar o item selecionado"
 msgstr[1] "Apagar {} itens selecionados"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Expandir tudo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Recolher tudo"
 
@@ -22771,60 +22813,60 @@ msgstr "<li>Se a coluna <b>%(col)s</b> <
 msgid "value: "
 msgstr "valor:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Adicionar regra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Remover regra(s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Mover regra selecionada para cima"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Mover a regra selecionada para baixo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Adicionar regra a&vançada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr "Du&plicar regra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr "Converter para r&egra avançada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr "Abrir diretório de ícone"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importar regras de um arquivo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Você pode controlar a cor das colunas na lista de livros criando \"regras\" que dizem ao calibre que cor usar. Clique no botão \"Adicionar regra\" abaixo para iniciar.<p>Você pode <b>alterar uma regra existente</b> com um clique duplo sobre a regra."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Você pode adicionar ícones para colunas na lista de livros através da criação de \"regras\" que informa ao calibre o ícone para usar. Clique no botão \"Adicionar Regra\" abaixo para começar.<p>Você pode <b>alterar uma regra existente </b> clicando duas vezes sobre ela."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22832,57 +22874,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Você pode adicionar emblemas (pequenos ícones) que são exibidos ao lado das capas na Grade de Capas ao criar \"regras\" que informem ao calibre o ícone que será usado. Clique no botão \"Adicionar Regra\" abaixo para começar.<p>Você pode <b>alterar uma regra existente</b> clicando duas vezes sobre ela."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Mostrar &emblemas seguintes para as capas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Se marcado, você pode informar ao calibre para exibir o ícone de sua escolha ao lado das capas mostradas na Grade de Capas, controlados pelos metadados do livro."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr "Selecionar uma regra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr "Você deve selecionar apenas uma regra."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Nenhuma regra selecionada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Nenhuma regra selecionada para %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "remoção"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Escolher arquivo para onde exportar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Regras"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Escolher arquivo de onde importar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Não foram encontradas regras válidas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Não foram encontradas regras válidas em {}."
 
@@ -23724,13 +23766,13 @@ msgstr "Sem legenda"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Inferior"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Superior"
 
@@ -23764,7 +23806,7 @@ msgid "If there is enough room"
 msgstr "Se houver espaço suficiente"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Pela primeira letra"
 
@@ -24045,7 +24087,7 @@ msgid ""
 msgstr "Existem dois tipos de caches que o calibre usa para melhorar o desempenho na renderização de capas na visão de grade. Um cache de disco que é mantido no seu disco rígido e armazena as miniaturas da capa e um em cache de memória usado para garantir uma renderização de capas livre de imagens trêmulas. Para obter melhores resultados, mantenha o cache de memória pequeno e o cache de disco grande, a menos que você tenha bastante RAM extra em seu computador e não se importe em usar para cache de memória."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Desativar"
 
@@ -24737,8 +24779,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Aqui você pode alterar os metadados que o calibre utiliza para atualizar um livro quando gravá-lo no disco ou enviá-lo a um dispositivo.\n\nUtilize este diálogo para definir um \"quadro de conexões\" para um formato (ou todos os formatos) e um dispositivo (ou todos os dispositivos). O quadro de conexões especifica qual modelo está conectado a qual campo. O modelo é usado para computar um valor, e aquele valor é atribuído ao campo conectado.\n\nFrequentemente, modelos contêm referências simples para compor colunas, mas isto não é necessário. Você pode utilizar qualquer modelo em uma caixa-fonte que você pode usar em outros lugares no calibre.\n\nUma das utilidades para o quadro de conexões é alterar o título para conter informações sobre a série. Outra, seria alterar a ordenação de autores, coisa que os usuários do Mobi podem fazer para forçá-lo a usar o ';' que o Kindle requer. A terceira, seria especificar o idioma."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr "Aqui você pode alterar os metadados que o calibre utiliza para atualizar um livro ao gravá-lo no disco ou enviá-lo a um dispositivo.\n\nUtilize este diálogo para definir um 'quadro de conexões' para um formato (ou todos os formatos) e um dispositivo (ou todos os dispositivos). O quadro de conexões especifica qual modelo está conectado a qual campo. O modelo é usado para computar um valor, e aquele valor é atribuído ao campo conectado.\n\nFrequentemente, modelos contêm referências simples a colunas compostas, mas isto não é necessário. Você pode utilizar qualquer modelo em uma caixa-fonte que você pode usar em outros lugares no calibre.\n\nUma das utilidades para o quadro de conexões é alterar o título para conter informações sobre a série. Outra, seria alterar a ordenação de autores, coisa que os usuários do MOBI podem fazer para forçá-lo a usar o ';' que o Kindle requer. A terceira, seria especificar o idioma."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25306,7 +25348,7 @@ msgid ""
 msgstr "A exigência de um nome de usuário / senha impede que pessoas não autorizadas acessem sua biblioteca do calibre. Também é necessário para alguns recursos, como fazer alterações na biblioteca e também a última sincronização de posição/anotação de leitura."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Troque a senha para {}"
 
@@ -25441,7 +25483,7 @@ msgid "Change &password"
 msgstr "Alterar senha"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{} somente está autorizado a acessar a biblioteca de nome: {}"
@@ -25452,7 +25494,7 @@ msgid "Change the allowed libraries"
 msgstr "Autorizar o acesso as bibliotecas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} não está autorizado a acessar a biblioteca de nome: {}"
@@ -26965,7 +27007,7 @@ msgid "Books in this category are unrate
 msgstr "Livros neste categoria estão sem classificação"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Expressão de busca:"
 
@@ -27256,7 +27298,7 @@ msgstr "Renomear %s na Biblioteca virtua
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Renomear %s"
@@ -27316,95 +27358,95 @@ msgstr "Deletar Buscas salvas %s"
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Apagar %(item)s da categoria %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr "Buscar por %s e seus filhos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Buscar tudo menos %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr "Buscar por tudo, exceto %s e seus filhos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Pesquisar utilizando expressões de buscas salvas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Adicionar sub-categoria para %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Apagar categoria de usuário %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Buscar livros na categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Buscar livros que não estejam na categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr "Editar valores permitidos para %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Ocultar categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Alterar ícone de categoria"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Restaurar ícone padrão"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Gerenciar categorias do usuário"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Alterar esquema de subcategorização"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partição"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "A primeira letra é útil apenas na ordenação por nome"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Expandir ou Recolher"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Expandir {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Expanda {0} e seus filhos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "Recolher {0}"
@@ -28061,7 +28103,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Os seguintes livros já foram convertidos para o formato %s. Você deseja convertê-los novamente?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr "Não foi possível encontrar o speech-dispatcher no seu sistema. Por favor, instale-o."
 
@@ -28592,7 +28635,7 @@ msgid ""
 msgstr "Ao terminar de editar {0}, clique em \"Importar\" para atualizar o arquivo no livro ou \"Descartar\" para descartar qualquer alteração."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Descartar"
 
@@ -30830,7 +30873,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Itálico</h3>Torna o texto selecionado em itálico"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "S&ublinhar"
 
@@ -32157,7 +32200,7 @@ msgid "Disabled confirmations restored"
 msgstr "Confirmações desabilitadas restauradas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "O processo do renderizador travou"
 
@@ -32784,7 +32827,7 @@ msgid "Export saved searches"
 msgstr "Exportar buscas salvas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exportar"
 
@@ -34658,71 +34701,71 @@ msgstr "Destaques do calibre"
 msgid "highlights"
 msgstr "destaques"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "Modificar este destaque"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr "Editar notas para este destaque"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] "Apagar este destaque"
 msgstr[1] "Apagar destaques selecionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] "Índice da seção:"
 msgstr[1] "Índice das seções:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Duplo-clique para saltar para uma entrada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Modificar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "Modificar o destaque selecionado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "Apagar os destaques selecionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "Exportar todos os destaques"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "Nenhum destaque corresponde à busca: {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "Nenhum destaque selecionado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "Nenhum destaque está selecionado no momento"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] "Tem certeza de que deseja apagar permanentemente este destaque?"
 msgstr[1] "Tem certeza de que deseja apagar permanentemente todos os {} destaques?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "Nenhum destaque"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "Este livro não possui destaques para exportar"
 
@@ -35176,7 +35219,7 @@ msgid "E-book viewer"
 msgstr "Visualizador de e-books"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Rolar até aqui"
 
@@ -35252,13 +35295,13 @@ msgstr "Carregamento do livro falhou"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Falha ao abrir o livro em {0}. Clique em \"Mostrar detalhes\" para mais informações."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "O processo Qt WebEngine Render travou. Você deve tentar reiniciar o visualizador."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Escolha uma imagem de fundo"
 
@@ -35423,10 +35466,10 @@ msgid "< &Back"
 msgstr "< &Voltar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Cancelar"
 
@@ -36067,8 +36110,8 @@ msgid "No genres to catalog.\n"
 msgstr "Nenhum gênero para o catálogo.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Marcar expressão regular 'Gêneros excluídos' nas opções do e-book.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr "Marcar expressão regular 'Gêneros excluídos' nas opções do E-book.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36116,7 +36159,7 @@ msgstr "Ordenando títulos"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr "Nenhum livro para o catálogo.\nMarque a regra 'Livros excluídos' nas opções do E-book.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36593,177 +36636,208 @@ msgstr "A interface completa oferece mui
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} não é um endereço de IP / rede válido, com o erro: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "O que você quer fazer?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "padrão"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Nenhuma opção selecionada, saindo..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s não é uma escolha válida, tente novamente"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Nomes de usuários existentes:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Não há usuários, você deve primeiro adicionar um usuário"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "O nome de usuário %s não existe"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Digite o nome de usuário"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Digite a nova senha para %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Senhas vazias não são permitidas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Redigite a nova senha para %s, para verificação:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "As senhas não coincidem"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Usuário %s adicionado com sucesso!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Você tem certeza que deseja remover o usuário %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Usuário %s removido com sucesso!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Senha para %s alterada com sucesso!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Senha atual para {0} é: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Permitir {} fazer mudanças (ou seja, conceder direito de escrita)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Proibir {} fazer mudanças (ou seja, remover direito de escrita)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} tem as seguintes restrições adicionais por biblioteca:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{}  não tem as seguintes restrições adicionais por biblioteca:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Autorizar acesso para todas as bibliotecas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Autoriza acesso somente para bibliotecas específicas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Autorizar acesso para tudo, exceto para bibliotecas específicas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Alterar restrições por biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Entre com o nome da biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Digite uma expressão de pesquisa, o acesso será concedido apenas aos livros correspondentes a essa expressão. Uma expressão vazia concederá acesso a todos os livros."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Restrição adicional?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Uma lista de bibliotecas separadas por vírgula"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Autorizar acesso somete para as bibliotecas: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Autorizar acesso para todas as bibliotecas, exceto: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Mostrar a senha para {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Mudar a permissao de leitura/escrita para {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Mudar a biblioteca {} para acesso autorizado"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} tem {1} acesso"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "leitura-escrita"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "somente leitura"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Adicionar um novo usuário"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Editar um usuário existente"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Remover um usuário"
 
@@ -37171,13 +37245,14 @@ msgid ""
 msgstr "Recarregar o servidor automaticamente quando houver mudanças no código fonte. Útil para desenvolvimento. Você também deve especificar um valor mínimo para o tempo de reinicio do servidor."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Gerenciar o banco de dados de usuários com permissão de conectar nesse servidor. Veja também a opção %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37185,23 +37260,23 @@ msgid ""
 "at: {1}"
 msgstr "Caminho para o banco de dados do usuário usado para autenticação. O banco de dados é um arquivo SQLite. Para criá-lo use {0}. Você pode ler mais sobre como gerenciar usuários em: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Outro programa Calibre como {} ou o programa principal do Calibre está em execução. Ter múltiplos programas que fazem alterações em uma biblioteca do Calibre ao mesmo tempo não é suportado."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Interrompido pelo usuário"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Não existe biblioteca do calibre em %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Você deve especificar pelo menos uma biblioteca do calibre"
 
@@ -37214,7 +37289,7 @@ msgid "Enum"
 msgstr "Enum"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Sintaxe inválida. Esperado um nome de pesquisa ou uma palavra"
 
@@ -37373,128 +37448,128 @@ msgstr "Configurações e plugins"
 msgid "File is open in another process"
 msgstr "Arquivo está aberto em outro processo"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr "o fim do programa"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr "{0}: {1} próximo de {2}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "Falha ao verificar o programa. Entrada inválida {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Erro de sintaxe - programa encerra antes de EOF"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "Faltando 'then' na expressão condicional"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "Faltando 'fi' na expressão condicional"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr "Faltando identificador na expressão 'for'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr "Faltando 'in' na expressão 'for'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr "Faltando dois pontos (':') na expressão 'for'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr "Faltando 'rof' na expressão 'for'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr "Um modelo salvo deve começar com {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Função desconhecida {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Faltando o parêntesis de fechamento"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr "Parâmetros para '{}' devem ser variáveis ou atribuições"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr "Número de argumentos incorreto para a função {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "A expressão não é uma função ou constante"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Erro durante comparação de strings. Operador {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "Valor usado em comparação não é um número. Operador {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Identificador desconhecido {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Campo {0} desconhecido"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr "O campo {0} não é uma lista"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr "Exceção sem tratamento {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Erro interno ao avaliar uma expressão"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "formato: tipo {0} exige um valor inteiro, obteve {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "formato: tipo {0} exige um valor decimal (flutuante), obteve {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: função desconhecida"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr "Variável desconhecida {0}"
@@ -37549,60 +37624,60 @@ msgstr "strlen(a) -- Retorna o comprimen
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- retorna x + y. Lança uma exceção se X ou Y não forem números."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr "add(x, y, ...) -- retorna a soma de seus argumentos. Lança uma exceção se um argumento não for um número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- retorna x - y. Lança uma exceção se X ou Y não forem números."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- returns x * y. Lança uma exceção se X ou Y não são números."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr "multiply(x, y, ...) -- retorna o produto de seus argumentos. Lança uma exceção se qualquer dos argumentos não for um número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- retorna x / y. Lança uma exceção se X ou Y não são números."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling(x) -- retorna o menor inteiro maior ou igual a x. Lança uma exceção caso x não seja um número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor(x) -- retorna o maior inteiro menor ou igual a x. Lança uma exceção caso x não seja um número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round(x) -- retorna o inteiro mais próximo de x. Lança uma exceção caso x não seja um número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr "mod(x) -- retorna o resto de x / y, onde x, y e o resultado são inteiros. Lança uma exceção caso x ou y não seja um número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr "fraction_part(x) -- retorna o valor depois da casa decimal. Por exemplo, fractional_part(3.14) retorna 0.14. Lança uma exceção caso x não seja um número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37614,7 +37689,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- avalia x como um modelo. A avaliação é feita em seu próprio contexto, o que significa que as variáveis não são compartilhadas entre o modelo de chamada e avaliação. Como os caracteres { and } são especiais, você deve usar o caractere [[ for the { character and ]] for the }; então eles serão convertidos automaticamente. Por exemplo, template('[[title_sort]]') irá avaliar o modelo {title_sort} e retornar o seu valor. Note também que prefixos e sufixos (the `|prefix|suffix` syntax) não podem ser usados no argumento para esta função ao usar o modo de programação do modelo."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37625,13 +37700,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- avalia o modelo, passando as variáveis ​​locais (those 'assign'ed to) em vez dos metadados do livro. Isto permite usar o processador de modelo para a construção de resultados complexos de variáveis ​​locais. Como os caracteres { and } são especiais, você deve usar o caractere [[ for the { character and ]] for the }; então eles serão convertidos automaticamente. Note também que prefixos e sufixos (the `|prefix|suffix` syntax) não podem ser usados no argumento para esta função ao usar o modo de programação do modelo."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id,val) -- atribui val para id e então retorna val. id deve ser um identificador, não uma expressão."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37641,30 +37716,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr "split(list_val, sep, id_prefix) -- separa list_val em valores separados usando 'sep', e então atribui os valores a variáveis nomeadas 'id_prefix_N', onde N é a posição do valor na lista. O primeiro item tem uma posição 0 (zero). A função retorna o último elemento da lista. Exemplo: split('um, dois, blah', ',', 'var') é o equivalente a var_0 = 'um'; var_1 = 'dois'; var_3 = 'blah'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b,...) -- imprime os argumentos para a saída padrão. A menos que você inicie o calibre a partir da linha de comando (calibre-debug -g), a saída irá para um buraco negro."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(nome) --  retorna o campo de metadado nome por nome"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(nome) --  retorna o campo de metadado nomeado pelo nome sem aplicar nenhuma formatação."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) --  retorna a lista de metadados nomeado pelo nome sem aplicar nenhuma formatação ou ordenação, e com itens separados pelo separador."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37674,7 +37749,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- retorna start'th pelos caracteres end'th de str. O primeiro caractere str é o caractere zero'th. Se end é negativo, então isso indica que muitos caracteres são contados à direita. Se end é zero, então isso indica o último caractere. Por exemplo, substr('12345', 1, 0) retorna '2345', e substr('12345', 1, -1) retorna '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37684,24 +37759,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- como comando adicional, exceto os argumentos são campos (metadados) de nomes, e não texto. O valor do campo apropriado será obtido e usado. Observe que, como colunas mistas são campos, você pode usar esta função em um campo composto para usar o valor de algum outro campo composto. Isto é extremamente útil quando a variável construir caminhos salvos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "A pesquisa requer dois ou um número ímpar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, texto se não-vazio, texto se vazio) -- retorna \"texto se não-vazio\" se o campo não estiver vazio, caso contrário retorna \"texto se vazio\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) -- verifica se val contém correspondências para a expressão regular `pattern`. Retorna `text if match` se combinações forem encontradas, caso contrário retorna `text if no match`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37710,11 +37785,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- para cada par `pattern, value`, verifica se o campo corresponde à expressão regular `pattern` e se assim for, retorna `value`. Se nenhum padrão é correspondido, então else_value é retornado. Você pode ter quantos pares `pattern, value` você quiser"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "Alternar requer um número ímpar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37724,19 +37799,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Retorna uma string formada pela concatenação dos argumentos. O valor retornado é inicializado para string1. Pares `Prefix, string` são adicionados ao fim do valor enquanto o comprimento da string resultante é inferior a `max`. String1 é retornado se string1 for maior que max. Você pode passar quantos pares `prefix, string` você quiser."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max requer 2 ou mais argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max requer um número par de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "O primeiro argumento para strcat_max deve ser um inteiro"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37746,11 +37821,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separator, pattern, found_val, ..., not_found_val) -- trate val como uma lista de itens separados por separador, avaliando o padrão em relação a cada valor na lista. Se o padrão corresponder a um valor, retorne found_val, caso contrário, retorne not_found_val. O padrão e o found_value podem ser repetidos quantas vezes forem desejadas, permitindo retornar valores diferentes dependendo da pesquisa. Os padrões são verificados em ordem. A primeira correspondência é retornada."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list requer um número ímpar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37762,11 +37837,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(val, separator, string, found_val, ..., not_found_val) -- trate val como uma lista de itens separados por separador, comparando a cadeia com cada valor na lista. Se a string corresponder a um valor (ignorando maiúsculas e minúsculas), retorne found_val, caso contrário retorne not_found_val. Se a cadeia contiver separadores, ela também será tratada como uma lista e cada valor será verificado. A string e found_value podem ser repetidos quantas vezes forem desejadas, permitindo retornar diferentes valores dependendo da pesquisa. As strings são verificadas em ordem. A primeira correspondência é retornada."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list requer um número ímpar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37777,14 +37852,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- tratar val como uma lista de identificadores separados por vírgulas, comparando a string contra cada valor na lista. Um identificador tem o formato \"identifier:value\". O parâmetro id deve ser \"id\" ou \"id:regexp\". O primeiro caso corresponde, se houver qualquer identificador com esse id. O segundo caso corresponde se a expressão regular corresponde ao valor do identificador. Se houver uma correspondência, retorna found_val, caso contrário retorna not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, pattern, replacement) -- retorna val depois de aplicar a expressão regular. Todas as instâncias de `pattern` são substituídas por` replacement`. Como em todo o calibre, estas são expressões regulares compatíveis com Python"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37797,20 +37872,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- retorna uma string feita aplicando o padrão de expressão regular ao val e substituir cada instância correspondente com a string calculada substituindo cada grupo acompanhado pelo valor retornado pelo modelo correspondente. O valor combinado original para o grupo está disponível como $. No modo de programa modelo, como para o modelo e as funções eval, você usa [[para {e]] para}. O exemplo a seguir no modo de programação modelo olha para a série com mais de uma palavra e a primeira palavra em maiúsculas: {série:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- determinar um valor de forma \"B, A\", retorna \"A B\". Isto é muito útil para a conversão de nomes em formatos LN, FN para FN LN. Se não houver nenhuma vírgula, a função val retorna sem alteração"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val,texto se vazio) -- retorna val se val não for vazio, do contrário retorna \"texto se vazio\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37824,7 +37899,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- retorna uma versão abreviada de val, consistindo de caracteres `left chars` do início de val, seguidos por` middle text`, seguidos pelos caracteres `right chars` do final da string. 'Caracteres à esquerda' e 'caracteres da direita' devem ser inteiros. Por exemplo, suponha que o título do livro seja \"Ancient English Laws in the Times of Ivanhoe\", e você quer que ele se encaixe em um espaço de no máximo 15 caracteres. Se você usar {title: encurtar (9, -, 5)}, o resultado será \"Ancient E-nhoe\". Se o tamanho do campo for menor do que o esquerdo chars + right chars + o comprimento de `middle text`, o campo será usado intacto. Por exemplo, o título `The Dome` não seria alterado."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37832,7 +37907,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- interpreta o valor como uma lista de itens separados por `separator`, retornando o número de itens na lista. A maioria das listas usam uma vírgula como separador, mas autores usam um E comercial. Exemplos: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37841,14 +37916,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- interpretar o valor como uma lista de itens separados por `separator`, retornando o item `index`th. O primeiro item é o número zero. O último item pode ser retornado usando `list_item(-1,separator)`. Se o item não estiver na lista, então o valor vazio é retornado. O separador tem o mesmo significado como na função de contagem."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- interpreta o valor como uma lista de itens separados por vírgula, com os itens sendo \"id:value\". Encontra o emparelhamento do id igual a key, e retorna o valor correspondente."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37861,19 +37936,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- retornar uma lista de formatos que em um ponto foram associados com o livro, separados por vírgulas. Não há garantia de que esta lista esteja correta, embora provavelmente deva estar. Esta função pode ser chamada no modo de programação de modelo usando o modelo \"{:'approximate_formats()'}\". Observe que os nomes de formato são sempre maiúsculas, como em EPUB. Esta função só funciona na GUI. Se você quiser usar esses valores nos modelos save-to-disk ou send-to-device, então você deve fazer um personalizado \"Coluna construída de outras colunas\", use a função de modelo que da coluna, e usar o valor dessa coluna em seus modelos salvar/enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Esta função pode ser usada somente na interface do usuário (GUI)"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37883,7 +37958,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "ch\nformats_modtimes(date_format) -- retornar uma lista de itens separados por vírgula colon_separated que representam horas de modificação para os formatos de um livro. O parâmetro date_format especifica como a data deve para ser formatada. Veja a função date_format para mais detalhes. Você pode usar a função de seleção para obter a hora de modificação para um formato específico. Observe que o formato dos nomes são sempre maiúsculas, como em EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37891,7 +37966,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- retornar uma lista de itens separados por vírgula colon_separated que representam tamanhos em bytes dos formatos de um livro. Você pode usar a função de seleção para obter o tamanho de um formato específico. Observe que o formato dos nomes são sempre maiúsculas, como em EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37899,13 +37974,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- retornar uma lista de itens separados por vírgula colon_separated que representam caminhos completos para os formatos de um livro. Você pode usar a função de seleção para obter o caminho para um formato específico. Observe que o formato dos nomes são sempre maiúsculas, como em EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- retorna uma string representando o número v em KB, MB, CB, etc."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37916,7 +37991,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, template) -- formatar o número v usando um modelo de formatação, como python \"{0:5.2f}\" ou \"{0:,d}\" ou \"${0:5,.2f}\". A parte field_name do modelo deve ser um 0 (zero) (o \"{0:\" nos exemplos acima). Consulte a documentação do modelo de linguagem e python para mais exemplos. Retorna a string vazia se a formatação falhar."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37929,7 +38004,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, start_index, end_index, separator) -- interpreta o valor como uma lista de itens separados por `separator`,  retornando uma nova lista criada a partir de `start_index` até o item `end_index` . O primeiro item é o número zero. Se um índice for negativo, então será contado a partir do final da lista. Como um caso especial, um `end_index` igual a zero será considerado como igual ao comprimento da lista. Exemplos usando o modo de modelo básico e considerando  que a coluna de etiquetas (a qual é separada por vírgulas) contém \"A, B, C\": {tags:sublist(0,1,\\\\,)} retorna \"A\". {tags:sublist(-1,0,\\\\,)} retorna \"C\". {tags:sublist(0,-1,\\\\,)} retorna \"A, B\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37946,7 +38021,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- Esta função é usada para quebrar as listas de itens, tais como gêneros. Ela interpreta o valor como uma lista de itens, onde cada item é uma lista separada por período separados por vírgula. Retorna uma nova lista feita pela primeira encontrando todos os itens separados por pontos, em seguida, para cada um desses itens extrair os componentes `start_index` para `end_index`, em seguida, combinando os resultados de volta juntos. O primeiro componente em uma lista separada por período tem um índice de zero. Se o índice é negativo, então conta do fim da lista. Conforme um caso especial, um end_index de zero é considerado como o comprimento da lista. Exemplo usando o modo de modelo básico e assumindo um valor de #genre \"A.B.C\": {#genre:subitems(0,1)} retorna \"A\". {#genre:subitems(0,2)} retorna \"A.B\". {#genre:subitems(1,0)} retorna \"B.C\". Assumindo um valor de #genre \"A.B.C, D.E.F\", {#genre:subitems(0,1)} retorna \"A, D\". {#genre:subitems(0,2)} retorna \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37969,23 +38044,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- formato do valor, o qual deve ser uma data, usando a_string do formato, retornando uma string. Os formatos dos códigos são: d    : dia sem o número zero à esquerda (1 à 31) dd   : dia como número com um zero à esquerda (01 à 31) ddd  : nome do dia traduzido abreviado (por exemplo, \"Seg\" à \"Dom\"). dddd : nome longo do dia traduzido abreviado (por exemplo, \"Segunda\" à \"Domingo\"). M    : mês como um número sem o zero à esquerda (1 à 12). MM   : mês como número com um zero à esquerda (01 à 12) MMM  : nome do mês traduzido abreviado (por exemplo, \"Jan\" à \"Dez\"). MMMM : nome longo do mês traduzido (por exemplo, \"Janeiro\" à \"Dezembro\"). yy   : ano como dois dígitos numerais (00 à 99). yyyy : ano como quatro dígitos numerais. h    : horas sem 0 à esquerda (0 à 11 ou 0 à 23, dependendo de am/pm) hh   : horas com 0 à esquerda (00 à 11 ou 00 à 23, dependendo de am/pm) m    : minutos sem 0 à esquerda (0 à 59) mm   : minutos com 0 à esquerda (00 à 59) s    : segundos sem 0 à esquerda (0 à 59) ss   : segundos com 0 à esquerda (00 à 59) ap   : usa um relógio de 12-horas em vez de um relógio de 24-horas, com \"ap\" substituído pela string traduzida por am ou pm AP   : usa um relógio de 12-horas em vez de um relógio de 24-horas, com \"AP\" substituído pela string traduzida por AM ou PM iso  : data com hora e fuso-horário. Deve ser apenas o formato presente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- retorna o valor do campo em caixa-alta"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- retorna o valor do campo em caixa-baixa"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- retorna o valor do campo em formato de título"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- retorna o valor do campo capitalizado"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37994,7 +38069,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- valor do campo de tamanho retornar. Esta função funciona apenas na GUI. Se você quiser usar este valor nos modelos save-to-disk ou send-to-device, então você deve fazer uma \"Coluna construída de outras colunas\" personalizada, use a função no modelo da coluna, e use o valor dessa coluna em seus modelos salvos/enviados"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38003,55 +38078,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- retorna Yes se no dispositivo está definido, caso contrário retorna uma string vazia. Esta função funciona apenas na GUI. Se você quiser usar este valor nos modelos save-to-disk ou send-to-device, então você deve fazer uma \"Coluna construída de outras colunas\" personalizada, use a função no modelo da coluna, e use o valor dessa coluna em seus modelos salvos/enviados"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr "annotation_count() -- retorna o número total de anotações de todos os tipos anexadas ao livros atual. Esta função funciona somente na GUI."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr "Falha ao obter contagem de anotações"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() --  retorna o valor de ordenação do conjunto"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- retorna Sim se o livro tem uma capa, do contrário retorna uma string vazia"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- retorna o primeiro valor que não está vazio. Se todos os valores estiverem vazios, então o valor vazio é retornado. Você pode ter quantos valores você quiser."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, ...) -- retorna a string \"1\" se nem todos os valores estiverem vazios, caso contrário, retorna a sequência vazia. Esta função funciona bem com o teste ou first_non_empty. Você pode ter quantos valores você quiser."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) -- retorna a string \"1\" se nem todos os valores estiverem vazios, caso contrário, retorna a sequência vazia. Esta função funciona bem com o teste ou first_non_empty. Você pode ter quantos valores você quiser."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- retorna a string \"1\" se o valor estiver vazio, caso contrário, retorna a sequência vazia. Esta função funciona bem com o teste ou first_non_empty. "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38060,7 +38135,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- retorna uma lista feita pela fusão dos itens na list1 e list2, removendo itens duplicados usando uma comparação de maiúsculas e minúsculas. Se os itens forem diferentes no caso, o primeiro na list1 é usado. Os itens em list1 e list2 são separados pelo separador, como são os itens da lista resultante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38068,7 +38143,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- retorna uma lista feita removendo de list1 qualquer item encontrado em list2, usando uma comparação de maiúsculas e minúsculas. Os itens em list1 e list2 são separados pelo separador, como são os itens da lista resultante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38076,7 +38151,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- retorna uma lista feita removendo de list1 qualquer item não encontrado em list2, usando uma comparação de maiúsculas e minúsculas. Os itens em list1 e list2 são separados pelo separador, como são os itens da lista resultante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38084,7 +38159,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- retornar lista ordenada usando uma ordenação de maiúsculas e minúsculas. Se a direção é zero, a lista é ordenada ascendente, caso contrário descendente. Os itens da lista são separados por separador, como são os itens da lista retornada."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38093,7 +38168,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- retornar yes_val se list1 e list2 contêm os mesmos itens, caso contrário retornar no_val. Os itens são determinados dividindo cada lista usando o caractere separador apropriado (sep1 ou sep2). A ordem dos itens das listas não é relevante. A comparação é diferenciada de maiúsculas de minúsculas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38102,7 +38177,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- Construir uma lista, primeiro pela separação src_list em itens usando o caractere separador. Para cada item da lista, verifique se ele corresponde a include_re. Se isso acontecer, então adicione-o à lista para retornar. Se opt_replace não é a string vazia, então aplique a substituição antes de adicionar o item à lista retornada."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38110,14 +38185,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Como list_re exceto substituições não são opcionais. Ele usa re_group(list_item, search_re, group_1_template, ...) ao fazer as substituições na lista resultante."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- retorna uma string de data para o dia de hoje. Esse valor é projetado para uso no formato_data ou dias_entre, mas pode ser manipulado como qualquer outra string. A data está no formato ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38125,7 +38200,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- retornar o número de dias entre date1 e date2. O número é positivo se date1 é maior do que date2, caso contrário, negativo. Se ambos date1 ou date2 não são datas, a função retorna a string vazia."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38133,28 +38208,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- retornar as strings para os códigos de idioma passados em lang_codes. Se localize é zero, retornar as strings em Inglês. Se localize não é zero, retornar as strings no idioma da localidade atual. Lang_codes é uma lista separada por vírgula."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- retorna os códigos de idiomas para as strings passadas no lang_strings. As strings devem ser no idioma do local atual. Lang_strings é uma lista separada por vírgulas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- retorna o último nome do caminho para a biblioteca atual do calibre. Esta função pode ser chamada no modo de programa modelo usando o modelo \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- retorna o caminho para a biblioteca atual do calibre. Esta função pode ser chamada no modo de programa modelo usando o modelo \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38163,7 +38238,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- aplicar o formato, de prefixo, sufixo e para um valor da mesma forma como foi feito em um modelo como `{series_index:05.2f| - |- }`. Por exemplo, o seguinte programa produz a mesma saída que o modelo acima: programa: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38172,7 +38247,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- retornar uma lista de Bibliotecas virtuais que contêm este livro, separados por vírgulas. Esta função funciona apenas na GUI. Se você quiser usar esses valores nos modelos save-to-disk ou send-to-device então você deve fazer uma \"Coluna construída de outras colunas\" personalizada, use a função no modelo da coluna, e use o valor dessa coluna em seus modelos salvos/enviados"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38181,7 +38256,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- retorna uma lista de categorias do usuário que contêm este livro, separadas por vírgulas. Esta função funciona apenas na Interface do Usuário. Se você quiser usar esses valores nos modelos save-to-disk ou send-to-device então você deve criar uma \"Coluna construída de outras colunas\" personalizada e usar os valores da coluna em salvar/enviar modelos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38189,7 +38264,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Retorna uma string no alfabeto latino formado pelo som aproximado das palavras na sequência de origem. Por exemplo, se a origem for \"{0}\" a função retorna \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38201,7 +38276,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- retorna uma sequência contendo uma lista de autores e valores de link que do autor na forma author1 val_separator author1link pair_separator author2 val_separator author2link etc. Um autor é separado de seu valor de ligação pela sequência val_separator sem espaços adicionais. autor: pares linkvalue são separados pelo argumento string pair_separator sem espaços adicionais. Cabe a você escolher sequências de separação que não ocorrem em nomes de autores ou links. Um autor é incluído, mesmo se o link autor estiver em branco."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38212,7 +38287,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- retorna uma sequência contendo uma lista de valores de ordenação do autor para os autores do livro. A ordem é a única nos metadados autor (diferente do author_sort em livros). A lista retornada tem o autor do formulário ordem 1 val_separator autor ordem 2, etc. Os valores de ordenação do autor nesta lista estão na mesma ordem que os autores do livro. Se você quiser espaços em torno de val_separator então inclua-os na sequência separador"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38220,13 +38295,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_name(storage_location) -- se um dispositivo estiver conectado, então retorna o nome do dispositivo; do contrário, retorna uma string vazia. Cada local de armazenamento em um dispositivo pode ter um nome diferente. Os nomes dos locais são 'main', 'carda' e 'cardb'. Esta função funciona somente na interface gráfica."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr "connected_device_name: local de armazenamento inválido \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38234,7 +38309,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_uuid(storage_location) -- se um dispositivo estiver conectado, então retorna o uuid (id único) do dispositivo; do contrário, retorna uma string vazia. Cada local de armazenamento em um dispositivo tem um uuid diferente. Os nomes dos locais são 'main', 'carda' e 'cardb'. Esta função funciona somente na interface gráfica."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38247,11 +38322,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr "check_yes_no(nome_do_campo, é_indefinido, é_falso, é_verdadeiro) -- verifica o valor do campo sim/não definido pela chave de busca nome_do_campo de acordo com os valores especificados pelos parâmetros, retornando \"sim\" se uma correspondência for encontrada, ou retornando vazio caso contrário. Defina os parâmetros é_indefinido, é_falso, ou é_verdadeiro como 1 (o número) para verificar aquela condição; caso contrário, definida como 0. Exemplo: check_yes_no(\"#bool\", 1, 0, 1) retorna \"sim\" se o campo sim/não \"#bool\" for não definido (nem Verdadeiro, nem Falso) ou Verdadeiro. Mais de um parâmetro (é_indefinido, é_falso ou é_verdadeiro) podem ser definidos como 1. Esta função geralmente é utilizada pelas funções test() ou is_empty()."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no requer que o campo seja uma coluna personalizada do tipo Sim/Não (Yes/No)"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38259,11 +38334,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "rating_to_stars(valor, use_half_stars) -- Retorna a avaliação como uma cadeia de caracteres de estrela. O valor é um número entre 0 e 5. Defina use_half_stars como 1 se você deseja caracteres de meia estrela para avaliações personalizadas que suportam não-inteiros, por exemplo 2.5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "A avaliação deve ser um número entre 0 e 5"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38272,7 +38347,7 @@ msgid ""
 "single value, not a list."
 msgstr "swap_around_articles(valor, separador) -- retorna o valor com os artigos movidos para o final. O valor pode ser uma lista, a qual terá cada membro processado. Se o valor é uma lista, então você deve informar o separador de valores. Se nenhum separador for fornecido, então o valor será tratado como sendo um único valor, e não uma lista."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38283,7 +38358,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "arguments(id[=expressão] [, id[=expressão]]*) -- Usada em um modelo salvo para recuperar os argumentos passados na chamada. Ela tanto declara como inicializa variáveis locais, parâmetros efetivos. As variáveis são posicionais; elas recebem o valor do valor dado na chamada na mesma posição. Se o parâmetro correspondente não for fornecido na chamada, então a função arguments atribui àquela variável o valor padrão fornecido. Caso não haja valor padrão, então a variável será definida como uma string vazia."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38293,6 +38368,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "globals(id[=expressão] [, id[=expressão]]*) -- Recupera \"variáveis globais\" que podem ser passadas para o formatador. Ela tanto declara como inicializa variáveis locais com os nomes das variáveis globais passadas. Se a variável correspondente não for fornecida nas variáveis globais passadas, então será atribuída à variável o valor padrão fornecido. Caso não haja valor padrão, então a variável será definida como uma string vazia."
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr "field_exists(nome_campo) -- verifica se um campo (coluna) com o nome 'nome_campo' existe, retornando '1' se sim e '' se não."
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Imagem não nomeada"
@@ -38581,29 +38662,29 @@ msgstr "Fechar sem salvar"
 msgid "Close Tab"
 msgstr "Fechar aba"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Caracteres extras no fim da busca"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "ausente )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Falha ao analisar consulta, limite de recursão atingido: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Busca recursiva salva: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Busca salva desconhecida: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Erro desconhecido na busca salva: {0}"
@@ -38966,185 +39047,185 @@ msgstr "Qualquer link que corresponda a
 msgid "Do not download CSS stylesheets."
 msgstr "Não baixar folhas de estilo CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Salvar todos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Abrir"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Sim"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Sim para &todos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Não"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Nã&o para todos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Abortar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Tentar novamente"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Fechar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Aplicar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Restaurar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Restaurar padrão"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Tonalidad&e:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sat:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Val:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "Ve&rmelho:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "Ver&de:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Az&ul:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Canal al&fa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Cursor em %1, %2\nPressione ESC para cancelar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Selecionar Cor"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Cores &básicas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Cores personalizadas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Adicionar para cores personalizadas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Escolher Cores da tela"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Selecionar Fonte"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Fonte"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Estilo da fon&te: "
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "Taman&ho"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efeitos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Tacha&do"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Amostra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "&Gravação do Sistema"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Borda esquerda"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Borda Direita"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Página à esquerda"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Página acima"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Página abaixo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Página à direita"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Rolar para a esquerda"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Rolar para cima"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Rolar para baixo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Rolar para a direita"
 
@@ -39424,8 +39505,8 @@ msgstr "Especifica regras de renomeaçã
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39473,7 +39554,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Especificar regras para renomear coleções sony. Este ajuste é aplicável somente se\no gerenciamento de metadados é definido como automático. Coleções da Sony são nomeadas\ndependendo se o campo é personalizado ou padrão. Uma coleção derivada\nde um campo padrão é nomeada para o valor nesse campo. Por exemplo, se a\ncoluna padrão 'série' contém o valor 'Darkover', então o\nnome da coleção é 'Darkover'. Uma coleção derivada de um campo personalizado\ntêm o nome do campo adicionado para o valor. Por exemplo, se uma coluna série\npersonalizada chamada 'My Series' contém o nome de 'Darkover', a coleção\npor padrão será chamada 'Darkover (My Series)'. Para fins desta\ndocumentação, 'Darkover' é chamado de valor e 'My Series' é chamado de\ncategoria. Se dois livros têm campos que geram o mesmo nome da coleção,\nentão ambos os livros estarão nessa coleção.\nEste conjunto de ajustes permite que você especifique um padrão ou campo personalizado como\nas coleções que serão nomeadas. Você pode usá-lo para adicionar uma descrição para um\ncampo padrão, por exemplo, 'Foo (Tag)' em vez de 'Foo'. Você também pode usá-los\npara forçar vários campos terminarem na mesma coleção. Por exemplo, você\npoderia forçar os valores 'series', '#my_series_1' e '#my_series_2'\naparecerem em coleções chamadas 'some_value (Series)', mesclando assim todos os\ncampos em um conjunto de coleções.\nExistem dois ajustes relacionados. O primeiro determina o nome da categoria que será\nusada para um campo de metadados. A segunda é um modelo, usado para determinar a forma\ncomo o valor e categoria são combinados para criar o nome da coleção.\nA sintaxe do primeiro ajuste, sony_collection_renaming_rules, é:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nO segundo ajuste, sony_collection_name_template, é um modelo. Ele usa o\nmesmo idioma modelo que os quadros de conexões e modelos de salvamento. Este ajuste controla\ncomo o valor e a categoria são combinados para criar o nome da coleção.\nOs únicos dois campos disponíveis são {category} e {value}. O campo {value}\nnunca deve estar vazio. O campo {category} pode estar vazio. O padrão é colocar o\nvalor em primeiro lugar, então a categoria entre parênteses, não vazia:\n'{value} {category:|(|)'}'\nExemplos: Os três primeiros exemplos assumem que o segundo ajuste\nnão foi alterado.\n1: Eu quero que três colunas de series sejam mescladas em um conjunto de coleções. Os\nnomes de pesquisa nas colunas são 'series', '#series_1' e '#series_2'. Eu não quero nada\nentre parênteses. O valor para ser usado no valor de ajuste seria:\nsony_collection_renaming_rules={'series':'','#series_1':'', '#series_2':''}\n2: Eu quero que a palavra '(Series)' apareça em coleções feitas de série, e\na palavra '(Tag)' para aparecer em coleções criadas de tags. Use:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: Eu quero que 'Series' e '#myseries' sejam mesclados, e para o nome da coleção\nter '(Series)' anexado. A regra para renomear é:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: O mesmo que o exemplo 2, mas em vez de ter o nome da categoria em parênteses\ne anexado ao valor, eu quero prefixado e separados por dois pontos, como\nem Series: Darkover. Devo alterar o modelo usado para formatar o nome da categoria\nOs dois ajustes resultantes são:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{categoria:||:}{value}'"
+msgstr "Especificar regras para renomear coleções SONY. Este ajuste é aplicável somente se\no gerenciamento de metadados é definido como automático. Coleções da SONY são nomeadas\ndependendo se o campo é personalizado ou padrão. Uma coleção derivada\nde um campo padrão é nomeada para o valor nesse campo. Por exemplo, se a\ncoluna padrão 'série' contém o valor 'Darkover', então o\nnome da coleção é 'Darkover'. Uma coleção derivada de um campo personalizado\ntêm o nome do campo adicionado para o valor. Por exemplo, se uma coluna série\npersonalizada chamada 'My Series' contém o nome de 'Darkover', a coleção\npor padrão será chamada 'Darkover (My Series)'. Para fins desta\ndocumentação, 'Darkover' é chamado de valor e 'My Series' é chamado de\ncategoria. Se dois livros têm campos que geram o mesmo nome da coleção,\nentão ambos os livros estarão nessa coleção.\nEste conjunto de ajustes permite que você especifique um padrão ou campo personalizado como\nas coleções que serão nomeadas. Você pode usá-lo para adicionar uma descrição para um\ncampo padrão, por exemplo, 'Foo (Tag)' em vez de 'Foo'. Você também pode usá-los\npara forçar vários campos terminarem na mesma coleção. Por exemplo, você\npoderia forçar os valores 'series', '#my_series_1' e '#my_series_2'\naparecerem em coleções chamadas 'some_value (Series)', mesclando assim todos os\ncampos em um conjunto de coleções.\nExistem dois ajustes relacionados. O primeiro determina o nome da categoria que será\nusada para um campo de metadados. A segunda é um modelo, usado para determinar a forma\ncomo o valor e categoria são combinados para criar o nome da coleção.\nA sintaxe do primeiro ajuste, sony_collection_renaming_rules, é:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nO segundo ajuste, sony_collection_name_template, é um modelo. Ele usa o\nmesmo idioma modelo que os quadros de conexões e modelos de salvamento. Este ajuste controla\ncomo o valor e a categoria são combinados para criar o nome da coleção.\nOs únicos dois campos disponíveis são {category} e {value}. O campo {value}\nnunca deve estar vazio. O campo {category} pode estar vazio. O padrão é colocar o\nvalor em primeiro lugar, então a categoria entre parênteses, não vazia:\n'{value} {category:|(|)'}'\nExemplos: Os três primeiros exemplos assumem que o segundo ajuste\nnão foi alterado.\n1: Eu quero que três colunas de series sejam mescladas em um conjunto de coleções. Os\nnomes de pesquisa nas colunas são 'series', '#series_1' e '#series_2'. Eu não quero nada\nentre parênteses. O valor para ser usado no valor de ajuste seria:\nsony_collection_renaming_rules={'series':'','#series_1':'', '#series_2':''}\n2: Eu quero que a palavra '(Series)' apareça em coleções feitas de série, e\na palavra '(Tag)' para aparecer em coleções criadas de tags. Use:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: Eu quero que 'Series' e '#myseries' sejam mesclados, e para o nome da coleção\nter '(Series)' anexado. A regra para renomear é:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: O mesmo que o exemplo 2, mas em vez de ter o nome da categoria em parênteses\ne anexado ao valor, eu quero prefixado e separados por dois pontos, como\nem Series: Darkover. Devo alterar o modelo usado para formatar o nome da categoria\nOs dois ajustes resultantes são:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{categoria:||:}{value}'"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39481,7 +39562,7 @@ msgstr "Especifica como Coleções da SO
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39496,7 +39577,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Especificar como coleções sony são ordenadas. Este ajuste é aplicável somente se\no gerenciamento de metadados é definido como automático. Você pode indicar quais os metadados é a\nser usado para ordenar em uma base de coleção por coleção. O formato do ajuste\né uma lista de campos de metadados da qual são criadas as coleções, seguido pelo\nnome do campo de metadados contendo o valor de ordenação.\nExemplo: A seguir indica que as coleções construídas de pubdate e tags\ndevem ser ordenadas pelo valor na coluna personalizada '#mydate', que coleções\nconstruídas de 'series' devem ser ordenadas por 'series_index', e que todas as outras\ncoleções deverão ser ordenadas pelo título. Se um campo de metadados da coleção não for\nnomeado, então se é uma coleção baseada em séries, ela é ordenada pea ordem de série,\ncaso contrário, é ordenada por ordem de título.\n[(['pub date', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nNote que o colchetes e parênteses são necessários. A sintaxe é\n[ ( [lista dos campos], ordem do campo ) , ( [ lista de campos ] , ordem do campo ) ]\nPadrão: vazio (nenhuma regra), assim nenhum atributo de coleção são nomeados."
+msgstr "Especificar como coleções SONY são ordenadas. Este ajuste é aplicável somente se\no gerenciamento de metadados é definido como automático. Você pode indicar quais os metadados é a\nser usado para ordenar em uma base de coleção por coleção. O formato do ajuste\né uma lista de campos de metadados da qual são criadas as coleções, seguido pelo\nnome do campo de metadados contendo o valor de ordenação.\nExemplo: A seguir indica que as coleções construídas de pubdate e tags\ndevem ser ordenadas pelo valor na coluna personalizada '#mydate', que coleções\nconstruídas de 'series' devem ser ordenadas por 'series_index', e que todas as outras\ncoleções deverão ser ordenadas pelo título. Se um campo de metadados da coleção não for\nnomeado, então se é uma coleção baseada em séries, ela é ordenada pea ordem de série,\ncaso contrário, é ordenada por ordem de título.\n[(['pub date', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nNote que o colchetes e parênteses são necessários. A sintaxe é\n[ ( [lista dos campos], ordem do campo ) , ( [ lista de campos ] , ordem do campo ) ]\nPadrão: vazio (nenhuma regra), assim nenhum atributo de coleção são nomeados."
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/pt.po 5.10.0+dfsg-1/translations/calibre/pt.po
--- 5.9.0+dfsg-3/translations/calibre/pt.po	2021-01-06 15:31:52.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/pt.po	2021-01-20 15:26:29.000000000 +0000
@@ -27,9 +27,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 18:03+0000\n"
-"Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -107,15 +107,15 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -136,7 +136,7 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -236,16 +236,16 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -271,7 +271,7 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -303,7 +303,7 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -322,7 +322,7 @@ msgstr "Não faz absolutamente nada"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -346,27 +346,27 @@ msgstr "Personalizar"
 msgid "Cannot configure"
 msgstr "Não foi possível configurar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tipo de ficheiro"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Leitor de metadados"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Editor de metadados"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Gerador de catálogos"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Ações da interface de utilizador"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -378,20 +378,20 @@ msgstr "Ações da interface de utilizad
 msgid "Preferences"
 msgstr "Preferências"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Loja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Uma loja de livros digitais."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Ferramenta de edição de livro"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Biblioteca fechada"
 
@@ -413,372 +413,372 @@ msgstr "Criar um arquivo TXTZ quando um
 msgid "Extract cover from comic files"
 msgstr "Extrair capa dos ficheiros de banda desenhada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Ler metadados dos ficheiros %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Ler metadados de livros digitais em ficheiros RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Ler metadados de livros digitais em ficheiros ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Definir metadados em ficheiros %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Inserir {0} abaixo, para que o plugin de escrita de metadados EPUB não adicione imagens de capas a ficheiros EPUB que não tenham capas."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Definir metadados a partir dos ficheiros %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Adicionar livros ao Calibre ou ao dispositivo ligado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Obter anotações de um Kindle ligado (experimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Gerar um catálogo dos livros na biblioteca do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Converter livros para diversos formatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Refinar os seus livros digitais"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Navegar pelos realces e marcadores de todos os livros da biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Editar o índice nos seus livros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Eliminar livros da biblioteca Calibre ou do dispositivo ligado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Incorporar metadados atualizados nos ficheiros do próprio livro na sua biblioteca Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editar detalhes dos livros na biblioteca Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Ler livros na sua biblioteca Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Descarregar notícias da Internet em formato de livro digital"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Mostrar rapidamente uma lista de livros relacionados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtrar/transformar etiquetas dos livros na biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Transforma os autores dos livros da biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Mostrar um editor para testar os modelos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Mostra um diálogo para criar e gerir funções de modelos e modelos armazenados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportar livros da biblioteca Calibre para o disco rígido"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Mostrar detalhes do livro numa nova janela"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Reiniciar Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Abrir pasta que contém os ficheiros dos livros na biblioteca Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Enviar livros para o dispositivo ligado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Envia livros por email ou pela Web. Também liga a pastas no seu computador como se fossem dispositivos."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Consultar o Manual de utilizador do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Personalizar o Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Encontre facilmente livros semelhantes ao atualmente selecionado"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Alternar entre bibliotecas Calibre e executar a sua manutenção"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copiar livros do dispositivo para a sua biblioteca Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Editar as coleções em que os livros estão no seu dispositivo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Corresponder livros no dispositivo aos livros na biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Mostrar o livro da biblioteca Calibre que corresponde a este livro"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copiar um livro de uma biblioteca Calibre para outra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Editar livros digitais no formato EPUB ou AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Efetuar pequenas alterações nos ficheiros Epub ou Htmlz da sua biblioteca Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Encontrar e realçar a correspondência seguinte e a anterior ao pesquisar na sua biblioteca Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Escolher aleatoriamente um livro da sua biblioteca Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Ordenar a lista de livros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marcar livros temporariamente"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Mudar a biblioteca virtual atual"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Procurar por livros em vendedores diferentes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Obter novos plugins Calibre ou atualizar os existentes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Aparência"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interface"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Ajustar o visual e funcionamento da interface do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportamento"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Alterar o comportamento do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Colunas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Adicionar/remover ou reordenar colunas da lista de livros do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Barras e menus"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Personalizar barras de ferramentas e menus de contexto alterando as ações disponíveis em cada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Pesquisar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personalize o tipo de pesquisa de livros no Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Opções de entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversão"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Definir opções de conversão específicas a cada formato de entrada"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Opções comuns"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Definir opções de conversão comuns a todos os formatos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Opções de saída"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Definir opções específicas para cada formato de saída"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Adicionar livros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importar/exportar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Configurar a forma como o Calibre lê os detalhes dos ficheiros ao adicionar livros"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Exportar para disco"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Controlar a forma como o Calibre exporta ficheiros da sua base de dados ao exportar para disco"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Enviar livros para dispositivos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Controlar a forma como o Calibre envia os livros para o seu leitor de livros digitais"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Conectores de metadados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Alterar campos de metadados antes de guardar/enviar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -788,92 +788,92 @@ msgstr "Alterar campos de metadados ante
 msgid "Template functions"
 msgstr "Funções de modelos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avançadas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Criar as suas funções de modelos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Partilhar livros por email"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Partilha"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Configurar partilha de livros por correio eletrónico. Pode ser utilizado para enviar automaticamente, para os seus dispositivos, as notícias descarregadas"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Partilhar na rede"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Configurar o servidor de conteúdos do Calibre para permitir o acesso à biblioteca Calibre através da web, independentemente do dispositivo ou local"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Obter metadados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Controlar o modo de receção dos metadados de um livro digital via Internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Dispositivos ignorados"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Controlar que dispositivos a ignorar pelo Calibre quando estejam ligados ao seu computador."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Plugins"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Adicionar/remover/personalizar as funcionalidades do Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Ajustes"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Ajustar o comportamento do Calibre em vários contextos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Atalhos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Personalizar os atalhos de teclado utilizados pelo Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -881,7 +881,7 @@ msgstr "Personalizar os atalhos de tecla
 msgid "Miscellaneous"
 msgstr "Diversos"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Configurações avançadas diversas"
 
@@ -1271,9 +1271,9 @@ msgstr "Exportar base de dados para SQL"
 msgid "Restoring database from SQL"
 msgstr "Restaurar bases de dados a partir do SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1299,17 +1299,17 @@ msgstr "Pesquisas guardadas"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Sim"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Capa para %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "formato {0} de {1}"
@@ -1695,14 +1695,14 @@ msgstr "Especificar este parâmetro irá
 msgid "You must specify some ids or the %s option"
 msgstr "Deve especificar alguns ID ou a opção %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nLista de livros disponíveis na base de dados do Calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1710,7 +1710,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Os campos a apresentar ao listar os livros na base dados. Deve ser uma lista de campos separados por virgulas.\nCampos disponíveis: %s\nA predefinição é: %%default. O campo especial \"all\" pode ser utilizado para seleccionar todos os campos. Para além dos campos internos acima, os campos personalizados também estão disponíveis como *field_name, por exemplo, para o campo personalizado #rating, use o nome: *rating"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1718,39 +1718,39 @@ msgid ""
 "Default: {1}"
 msgstr "O campo pelo qual ordenar os resultados.\nCampos disponíveis:{0}\nA predefinição é: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Ordenar os resultados por ordem crescente"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrar resultados pela expressão de pesquisa. Sobre o formato da expressão de pesquisa, veja a documentação relacionada com as pesquisas no Manual do utilizador. A predefinição é não filtrar."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "A largura máxima de uma linha no ficheiro de destino. A predefinição será detetar o tamanho do ecrã."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "A expressão utilizada para separar os campos. A predefinição é um espaço."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "O prefixo para todos os caminhos para os ficheiros. A predefinição é usar o caminho absoluto para a pasta da biblioteca."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "O número máximo de resultados a mostrar. Predefinição: todos"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2297,21 +2297,21 @@ msgstr "em branco"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Consulta de valor booleano \"{0}\" inválida"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "A biblioteca virtual não existe: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "A pesquisa na biblioteca virtual é recursiva: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Pesquisa recursiva de grupo detetada: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "modelo de pesquisa: separador ausente ou inválido. Separadores válidos são: {}"
@@ -3487,11 +3487,11 @@ msgstr "%s removido"
 msgid "All books removed"
 msgstr "Todos os livros removidos"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Dispositivos sem nome "
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3500,12 +3500,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Dispositivo MTP desconhecido"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6060,7 +6060,7 @@ msgstr "Notas"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6353,7 +6353,7 @@ msgid "Producer"
 msgstr "Produtor"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6361,7 +6361,7 @@ msgid "Comments"
 msgstr "Comentários"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6401,7 +6401,7 @@ msgid "Tags"
 msgstr "Etiquetas"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6431,7 +6431,7 @@ msgid "Timestamp"
 msgstr "Data e Hora"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8161,13 +8161,13 @@ msgstr "EPUB atualizado da versão 2 par
 msgid "HTML TOC generation options."
 msgstr "Opções de geração do Índice em HTML."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} de <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8200,31 +8200,31 @@ msgstr "Gerar um ficheiro Adobe \"page-m
 msgid "Sidebar"
 msgstr "Barra lateral"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "A adicionar cabeçalhos e rodapés"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Cabeçalhos e rodapés adicionados"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Todo o conteúdo analisado sintaticamente para transformação de marcação"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Transformação de marcação concluída"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Todos os HTML processados como PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Hiperligações adicionadas ao conteúdo PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Metadados atualizados no PDF"
 
@@ -9193,7 +9193,7 @@ msgstr "Não foram encontrados erros na
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10202,7 +10202,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Ajuda"
 
@@ -11461,7 +11461,7 @@ msgid "Errors while adding"
 msgstr "Erro ao adicionar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorar"
 
@@ -11591,8 +11591,8 @@ msgstr "Alterar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11726,11 +11726,11 @@ msgid "Search the internet for this book
 msgstr "Pesquisar na Internet por este livro"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Gerir %s"
@@ -11873,7 +11873,7 @@ msgstr "Texto selecionado"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12200,7 +12200,7 @@ msgid "Preset name:"
 msgstr "Nome do perfil:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Tem de indicar um nome."
 
@@ -12277,7 +12277,7 @@ msgid "Save current catalog settings as
 msgstr "Guardar as definições do catálogo atual como perfil"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Guardar"
 
@@ -12286,10 +12286,10 @@ msgid "Delete current preset"
 msgstr "Apagar perfil atual"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Apagar"
@@ -12402,8 +12402,8 @@ msgstr "Repor as predefinições"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13589,7 +13589,7 @@ msgid "Ta&gs:"
 msgstr "Eti&quetas:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13604,8 +13604,8 @@ msgstr "&Séries:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Lista de séries conhecidas. Pode adicionar uma nova série."
@@ -14472,7 +14472,7 @@ msgid "Choose color"
 msgstr "Escolher cor"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14813,19 +14813,19 @@ msgid "Edit style transform rules"
 msgstr "Editar regras de transformação do estilo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xportar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Exportar estas regras para um ficheiro"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14899,8 +14899,8 @@ msgstr "Limpar {}"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14981,7 +14981,7 @@ msgid ""
 msgstr "As séries são normalmente renumeradas a partir do número mais alto dessa série já existente na base de dados. Ao assinalar esta caixa irá dizer ao Calibre para iniciar a numeração a partir do valor indicado na caixa"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16561,7 +16561,7 @@ msgid "Change case"
 msgstr "Alterar maiusculização"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16569,7 +16569,7 @@ msgid "Upper case"
 msgstr "Em maiúsculas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16577,7 +16577,7 @@ msgid "Lower case"
 msgstr "Em minúsculas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16585,7 +16585,7 @@ msgid "Swap case"
 msgstr "Inverter maiusculização"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16619,7 +16619,7 @@ msgid "Manage authors"
 msgstr "Gerir autores"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Pesquisar por:"
@@ -17040,78 +17040,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Esconder a mensagem de erro que falta"
 msgstr[1] "Esconder as {} restantes mensagens de erro"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "A trabalhar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "A processar %d livros. Aguarde..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Passos - execução atual: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Passo %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Em minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Em maiúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Maiusculização de título"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Corresponder caracteres"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Expressão regular"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Substituir campo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Adicionar campo ao início"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Adicionar campo ao fim"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Editar metadados de um livro"
 msgstr[1] "Editar metadados de {} livros"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Aplicar todas as alterações imediatamente sem fechar essa caixa de diálogo. Esta operação não pode ser cancelada ou desfeita."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Livro %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Inserir um tipo de identificador"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17119,7 +17119,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Atenção que pode destruir a sua Biblioteca ao usar esta funcionalidade.</b> As alterações efetuadas são permanentes. NÃO existe função DESFAZER. É altamente recomendável que crie uma cópia de segurança da sua Biblioteca antes de proceder às alterações.<p>Procurar e substituir dados em capos de texto usando correspondências de caracteres ou expressões regulares. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17129,7 +17129,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "No modo de caracteres, o campo será pesquisado pelo texto de pesquisa inserido. O texto será alterado pelo texto de substituição especificado onde quer que seja encontrado no campo especificado. Após a substituição ser concluída, o texto pode ser alterado para tudo em maiúsculas, tudo em minúsculas, ou maiusculização de título. Se a caixa de seleção sensível a maiúsculas estiver marcada, o texto de pesquisa terá de corresponder exatamente à expressão. Se estiver desmarcada, o texto de pesquisa irá listar termos com maiúsculas ou minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17144,80 +17144,89 @@ msgid ""
 "function."
 msgstr "No modo de expressão regular, o texto de pesquisa é uma expressão regular arbitrária compatível com Python. O texto de substituição pode conter referências anteriores para expressões em parêntesis no padrão. A pesquisa não está ancorada, e pode combinar e substituir várias vezes na mesma string. As funções de modificação (para letras minúsculas, etc) são aplicadas ao texto correspondente, não ao campo como um todo. A caixa de destino especifica o campo onde o resultado, depois da combinação e substituição, deve ser atribuído. Pode substituir o texto no campo, preceder ou anexar o texto correspondente. Veja <a href=\"https://docs.python.org/library/re.html\"> esta referência</a> para mais informações sobre expressões regulares do Python, e, em particular, a função 'sub'."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ERRO S/R NO MODELO"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Tem de especificar um destino quando a fonte é um campo composto ou um modelo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "O valor de substituição para uma coluna de classificação deve estar vazio ou ser um número inteiro entre 0 e 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Tem de especificar um tipo de identificador de destino"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Deve especificar uma expressão no campo \"Pesquisar por\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Identificador inválido. Tem de ser uma lista separada por vírgulas de pares de valores separados por dois pontos."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Pesquisar/Substituir inválido"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Pesquisar/Substituir é inválido: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Eliminar pesquisas/substituições guardadas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "A pesquisa/substituição guardada selecionada será eliminada. Tem a certeza que quer continuar?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Guardar pesquisa/substituição"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nome da pesquisa/substituição:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "A pesquisa/substituição guardada, já existe e será sobrescrita. Tem certeza que quer continuar?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Editar informações de metadados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "A&plicar data"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autores: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17225,90 +17234,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Definir a&utomaticamente o campo Autor alfabetado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "&Trocar título e autor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Atualizar alfabetação de título baseada no título atual. Isto será aplicado só depois de outras alterações ao título."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Autor alfabetad&o: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Atualizar alfabetação do &título"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Especificar como é que o(s) autor(es) deste livro deve(m) ser ordenado(s). Por exemplo: Charles Dickens deve ser ordenado como Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Mudar a &capa"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "A&valiação:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Gerar capa predefinida"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Aplicar avaliação"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Remover capa"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Editora: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Detetar e remover automaticamente as bordas e os espaços extra dos cantos das imagens de capa. Use com cuidado pois isto pode remover demasiado espaço."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Se assinalado, a editora será apagada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "A&justar capa (PERIGOSO)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Apa&gar editora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Obter de fich&eiros do livro"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Adicionar eti&quetas: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Definir as capas de todos os livros selecionados para serem idênticas à do primeiro livro selecionado."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Abrir editor de etiquetas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Clonar capas"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Remover etiquetas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Forçar o título a ter maiusculização do tipo título. Se isto e a troca de autores estiverem assinalados, o título e os autores serão trocados antes da maiusculização do título ser definida."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Lista de etiquetas separadas por vírgulas a remover dos livros. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Alterar &maiusculização do título para:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Marque esta caixa para remover todas as etiquetas dos livros."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "A&dicionado:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Remover &tudo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Se assinalado, a editora será apagada"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Ser&ies:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Apa&gar editora"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Se assinalado, as séries serão limpas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "P&ublicação: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Limpar série"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17316,126 +17320,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Se não assinalado, o número de série para os livros será definido como 1.\nSe assinalado, os livros selecionados serão numerados automaticamente, pela ordem\nem que os selecionou. Assim, se selecionou Livro A e, em seguida, Livro B, o Livro A terá o número de série 1 e Livro B o número de série 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Numerar &automaticamente livros nestas series"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "As séries são normalmente renumeradas a partir do número mais alto dessa série já existente na base de dados. Ao assinalar esta caixa irá dizer ao Calibre para iniciar a numeração a partir do valor indicado na caixa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Forçar números a iniciar com:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Se assinalado, as séries serão limpas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Limpar série"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Controlar a forma como são criadas as capas predefinidas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Configurar geração de &capa"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Definir co&mentários para todos os livros selecionados"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Remover etiquetas:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Remover &tudo"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Adicionar eti&quetas: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "A&dicionado:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Especificar como é que o(s) autor(es) deste livro deve(m) ser ordenado(s). Por exemplo: Charles Dickens deve ser ordenado como Dickens, Charles."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "A&plicar data"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Aplicar avaliação"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "P&ublicação: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Limpar a data de publicação"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autores: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Idiomas:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Editora: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Lista de etiquetas separadas por vírgulas a remover dos livros. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Abrir editor de etiquetas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Autor alfabetad&o: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Criar &metadados (exceto capa) dos ficheiros do ebook"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Ser&ies:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Remover configurações de conversão armazenadas para os livros selecionados.\nFuturas conversões desses livros irão usar as configurações predefinidas."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Remover configurações de conversão armazenada&s para os livros selecionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17444,153 +17383,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Ao fazer uma conversão para o mesmo formato,\npor exemplo, EPUB para EPUB, o Calibre guarda o EPUB original\n como ORIGINAL_EPUB. Esta opção indica ao Calibre para restaurar\n o EPUB do ficheiro ORIGINAL_EPUB. É útil se tiver feito uma conversão\nem lote de muitos livros e alguma coisa tiver falhado."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Restaurar &originais pré-conversão, se disponíveis"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Marque esta caixa para remover todas as etiquetas dos livros."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "A&valiação:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Forçar o título a ter maiusculização do tipo título. Se isto e a troca de autores estiverem assinalados, o título e os autores serão trocados antes da maiusculização do título ser definida."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Alterar &maiusculização do título para:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Atualizar alfabetação de título baseada no título atual. Isto será aplicado só depois de outras alterações ao título."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Atualizar alfabetação do &título"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Criar &metadados (exceto capa) dos ficheiros do ebook"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Mudar a &capa"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Gerar capa predefinida"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Remover capa"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Detetar e remover automaticamente as bordas e os espaços extra dos cantos das imagens de capa. Use com cuidado pois isto pode remover demasiado espaço."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "A&justar capa (PERIGOSO)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Obter de fich&eiros do livro"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Definir as capas de todos os livros selecionados para serem idênticas à do primeiro livro selecionado."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Clonar capas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Controlar a forma como são criadas as capas predefinidas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Configurar geração de &capa"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Definir co&mentários para todos os livros selecionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Metadados básicos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Metadados &personalizados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Carregar pesquisa/substituição:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Escolha a pesquisa guardada/substituição a carregar."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Guardar a pesquisa/substituição atual"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Gravar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "&Campo a pesquisar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "O nome do campo que quer procurar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Modo de pesquisa:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Escolha utilizar correspondência simples de texto ou pesquisa por expressões regulares"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Tipo de &identificador:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Escolha em que tipos de identificadores irá operar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Modelo:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Indique um modelo a ser usado como origem para a pesquisa/substituição."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Insira o que pretende encontrar, seja um texto simples ou uma expressão regular, dependendo do modo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Marque esta caixa se a expressão de pesquisa deva corresponder exatamente às maiúsculas/minúsculas. Desmarque para a pesquisa ignorar a maiusculização."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Sensív&el a maiusculização"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Substituir por:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "O texto de substituição. Os textos identificados pelas pesquisas serão substituídos por esta expressão."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Aplicar função após substituir:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Especificar como o texto deverá ser processado depois da correspondência  e substituição. \nNo modo de caracteres, todo o campo é processado. \nNo modo de expressão regular, só o texto correspondente é processado."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Campo de &destino:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "O campo onde o texto será colocado depois de todas as subsituições.\nSe em branco, o campo fonte é utilizado se o campo for modificável."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&odo:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Especificar como o texto deve ser copiado para o destino."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Especifica se os itens de resultados devem ser separados em valores múltiplos ou deixados como valores únicos. \nEsta opção tem maior efeito quando o campo de origem não é múltiplo e o campo de destino é múltiplo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Dividir &resultado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Tipo de identificador:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17598,48 +17624,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Escolha qual o tipo de identificador em que irá operar. \nQuando o campo de origem for diferente de \"identificadores\" pode introduzir um asterisco * se quiser \nsubstituir todo o tipo de identificadores com o resultado do pesquisar/substituir.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Para campos com valores múltiplos, &mostrar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "valores a &começar em"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "com valores &separados por"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Utilizado quando mostrar resultados de teste para separar valores em campos com valores múltiplos."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Texto de teste"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Resultado do teste"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "O seu &teste:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Pesquisar e substituir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Se ativado, a lista de livros vai ser reordenada e qualquer pesquisa\nou biblioteca virtual existente será refrescada após a conclusão da edição.\n Isto pode ser lento em bibliotecas grandes."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "Atualiza&r a lista de livros após edição"
 
@@ -18095,42 +18121,42 @@ msgstr "Abrir livro no visualizador de l
 msgid "&Item: {0} ({1})"
 msgstr "&Item: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Clicar para mostrar apenas livros com este item. Duplo clique para pesquisar por este item no navegador de etiquetas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Nenhum item encontrado**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Carregue numa coluna na vista de biblioteca para ver informações sobre esse livro"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Livros com o item selecionado \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr "Faça duplo clique num livro para mudar a seleção na vista de biblioteca ou mudar a coluna exibida no painel esquerdo. Shift- ou Ctrl- com duplo clique para editar os metadados de um livro, o que também irá alterar o livro selecionado."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Ocorreu um erro ao preencher a tabela"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Visualização rápida: Livro não disponível na vista por biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18236,87 +18262,87 @@ msgstr "O restauro da base de dados falh
 msgid "Failed to repair library"
 msgstr "Falha ao reparar a biblioteca "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Adicionar uma nova pesquisa guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Pode criar aqui uma <i>pesquisa guardada</i> para pesquisas usadas com frequência. A pesquisa estará visível em <i>Pesquisas guardadas</i> no navegador de conteúdos, e terá o nome que especificar aqui."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Nome da pesquisa guardada."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Pesquisar:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "A expressão de pesquisa "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Sem nome de pesquisa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Deve especificar um nome para a pesquisa guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Sem expressões de pesquisa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Deve especificar uma expressão de pesquisa para a pesquisa guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Pesquisa guardada inválida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Gerir as pesquisas guardadas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Adicionar pesquisa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Remover pesquisa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Editar pesquisa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "A pesquisa atualmente guardada será <b>apagada para sempre</b>. Tem a certeza ?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Editar o nome e/ou a expressão abaixo."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Editar pesquisa guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Já existe uma pesquisa guardada com o nome {}. Por favor, indique um nome diferente"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Expressão de pesquisa"
 
@@ -19214,48 +19240,64 @@ msgstr "Etiqueta 1"
 msgid "Tag 2"
 msgstr "Etiqueta 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Tutorial da linguagem de modelos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Referência para funções de modelos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Selecionar ícone"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "EXCEÇÃO: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Função de modelo em Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Modelos guardados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nenhuma coluna escolhida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Deve especificar uma coluna a ser colorida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Nenhum modelo indicado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "A caixa do modelo não pode estar vazia"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "Um modelo do Modo de programa geral"
 
@@ -20319,7 +20361,7 @@ msgstr "Pesquisar atalho por nome"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Sem correspondências"
 
@@ -20478,8 +20520,8 @@ msgid "Show in calibre"
 msgstr "Abrir no Calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Editar notas"
 
@@ -20496,14 +20538,14 @@ msgstr[0] "Eliminar o item selecionado"
 msgstr[1] "Eliminar {} items selecionados"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Expandir tudo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Contrair todos"
 
@@ -22723,60 +22765,60 @@ msgstr "<li>Se a <b>%(col)s</b> coluna <
 msgid "value: "
 msgstr "valor:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Adicionar regra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Remover regra(s)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Mover a regra selecionada para cima"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Mover a regra selecionada para baixo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Adicionar regra &avançada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr "Du&plicar regra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr "Converter para re&gra avançada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr "Abrir diretórios de ícones"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importar regras de ficheiro"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Pode alterar a cor das colunas na lista de livros criando \"regras\" que digam ao Calibre a cor a utilizar. Carregue abaixo no botão \"Adicionar regra\" para iniciar. <p>Pode <b>alterar uma regra existente</b> com duplo clique nessa regra."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Pode adicionar ícones para colunas, na lista de livros, através da criação de \"regras\" que digam ao Calibre o ícone que será utilizado. Clique abaixo no botão \"Adicionar regra\" para começar. <p>Pode <b>alterar uma regra existente </b> carregando duas vezes sobre ela."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22784,57 +22826,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Pode adicionar insígnias (pequenos ícones) que serão mostrados junto às capas, na grelha de capas, através da criação de \"regras\" que indiquem ao Calibre a imagem a utilizar. Clique no botão \"Adicionar regra\" para começar. <p>Pode <b>alterar uma regra existente </b> com duplo clique nessa regra."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Mostrar insí&gnias junto das capas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Se marcado, pode indicar ao Calibre para exibir ícones, da sua escolha, ao lado das capas mostradas na grelha de capas, controlados pelos metadados do livro."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr "Selecionar uma regra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr "Deve selecionar apenas uma regra."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Sem regra escolhida"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Nenhuma regra selecionada para %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "remoção"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Escolher ficheiro para exportação"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Regras"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Escolher um ficheiro do qual importar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Não foram encontradas regras válidas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Não foram encontrados regras válidas em {}:"
 
@@ -23676,13 +23718,13 @@ msgstr "Sem subtítulo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Fundo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Topo"
 
@@ -23716,7 +23758,7 @@ msgid "If there is enough room"
 msgstr "Se houver espaço suficiente"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Pela primeira letra"
 
@@ -23997,7 +24039,7 @@ msgid ""
 msgstr "Existem dois tipos de caches que o Calibre usa para melhorar o desempenho na sintetização de capas na visualização em grelha. Uma cache de disco que é mantida no seu disco rígido e armazena as miniaturas e uma cache de memória utilizada para evitar a tremulação na sintetização de capas. Para melhores resultados, mantenha a cache de memória pequena e uma cache de disco grande, a menos que tenha memória RAM extra no seu computador e não se importa de que seja usada pela cache de memória."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Desativar"
 
@@ -24689,8 +24731,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Aqui pode alterar os metadados que o Calibre utiliza para atualizar um livro quando o exportar para disco ou enviar para um dispositivo.\nUtilize este diálogo para definir um conector para um para de formato (ou todos os formatos) e dispositivo (ou todos os dispositivos). O conector especifica que modelo está associado a cada campo. O modelo é usado para calcular um valor e esse valor é atribuído ao campo associado.\nFrequentemente os modelos contém referências simples para colunas compostas, mas isso não é necessário. Pode utilizar qualquer modelo numa caixa fonte que pode usar noutras partes do Calibre.\nUma das possíveis utilizações para um conector seria alterar o título para conter informações sobre a série. Outra possibilidade é alterar a ordenação de autores, algo que os utilizadores do Mobi podem querer fazer para forçar o uso do ';' que o Kindle exige. Uma terceira utilização pode ser especificar o idioma."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25258,7 +25300,7 @@ msgid ""
 msgstr "A exigência de um nome de utilizador/senha impede que pessoas não autorizadas acedam à sua biblioteca Calibre. Também é necessário para se poder utilizar algumas funcionalidades, como fazer alterações na biblioteca e sincronizar a última posição de leitura/anotação."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Alterar senha para {}"
 
@@ -25393,7 +25435,7 @@ msgid "Change &password"
 msgstr "Alterar &senha"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{}  está autorizado a aceder apenas à biblioteca denominada: {} "
@@ -25404,7 +25446,7 @@ msgid "Change the allowed libraries"
 msgstr "Alterar bibliotecas permitidas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} não está autorizado a aceder à biblioteca com o nome: {}"
@@ -25689,7 +25731,7 @@ msgid ""
 "        are copied to the named variables. See the template language tutorial\n"
 "        for more information.\n"
 "        "
-msgstr ""
+msgstr "\nAqui pode adicionar e remover modelos armazenados utilizados em processamento de modelos. Você pode usar um modelo armazenado num outro modelo com '{0}' modelo, como em '{0}(algum_nome, argumentos ...)'. Os modelos armazenados devem usar o Modo de programa geral - e devem começar com o texto  '{1}'. No modelo armazenado, pode recuperar argumentos usando a função de modelo '{2}()', como em {2}(var1, var2, ...)'. Os argumentos chamados são copiados para as variáveis nomeadas. Consulte o tutorial de linguagem de modelo para obter mais informações."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:170
 msgid "You cannot delete a built-in function"
@@ -26917,7 +26959,7 @@ msgid "Books in this category are unrate
 msgstr "Os livros nesta categoria não foram avaliados"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Expressão de pesquisa:"
 
@@ -27208,7 +27250,7 @@ msgstr "Renomear %s na biblioteca virtua
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Renomear %s"
@@ -27268,95 +27310,95 @@ msgstr "Apagar a pesquisa guardada %s"
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Remover %(item)s da categoria %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr "Pesquisar por %s e seus dependentes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Pesquisar por tudo, menos %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr "Pesquisar por tudo, menos %s e seus dependentes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Pesquisar usando uma expressão de pesquisa guardada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Adicionar subcategoria para %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Eliminar categoria de utilizador %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Procurar livros incluídos na categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Procurar livros não incluídos na categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr "Edite valores permitidos para %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Ocultar categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Alterar ícone da categoria"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Repor ícone predefinido"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Gerir categorias do utilizador"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Alterar esquema de subcategorização"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partição"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "A primeira letra é utilizável apenas quando ordenar pelo nome"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Expandir ou contrair"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Expandir {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Expandir {0} e seus dependentes"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "Contrair {0} "
@@ -28013,7 +28055,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Os livros seguintes já foram convertidos para o formato %s. Quer converter novamente?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr "Não foi possível encontrar o processador de voz no seu sistema. Por favor, instale-o."
 
@@ -28544,7 +28587,7 @@ msgid ""
 msgstr "Quando terminar de editar {0} clique em \"Importar\" para atualizar o ficheiro no livro ou em \"Descartar\" para perder as alterações."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Cancelar"
 
@@ -30782,7 +30825,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Itálico</h3>Tornar o texto selecionado em itálico"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "S&ublinhado"
 
@@ -32109,7 +32152,7 @@ msgid "Disabled confirmations restored"
 msgstr "Diálogos inativos de confirmação repostos"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "Falha no processo de sintetização"
 
@@ -32736,7 +32779,7 @@ msgid "Export saved searches"
 msgstr "Exportar pesquisas guardadas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exportar"
 
@@ -34610,71 +34653,71 @@ msgstr "Realces Calibre"
 msgid "highlights"
 msgstr "realces"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "Modificar este realce"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr "Editar notas deste realce"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] "Apagar este realce"
 msgstr[1] "Apagar estes realces"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] "Secção do índice:"
 msgstr[1] "Secções do índice:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Duplo clique para ir para uma entrada"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Modificar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "Modificar o realce selecionado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "Apagar realces selecionados"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "Exportar todos os realces"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "Nenhum realce corresponde à pesquisa: {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "Nenhum realce selecionado"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "Não está selecionado qualquer realce"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] "Tem a certeza que deseja apagar de forma permanente este realce?"
 msgstr[1] "Tem a certeza que deseja apagar de forma permanente todos os {} realces?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "Sem realces"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "Este livro não tem realces para exportação"
 
@@ -35128,7 +35171,7 @@ msgid "E-book viewer"
 msgstr "Visualizador de livros"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Rolar até aqui"
 
@@ -35204,13 +35247,13 @@ msgstr "Falha a carregar o livro"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Não foi possível abrir o livro em {0}. Carregue em \"Mostrar detalhes\" para mais informações."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Falha grave no processo de renderização do Qt WebEngine. Deve tentar reiniciar o editor."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Escolher imagem de fundo"
 
@@ -35375,10 +35418,10 @@ msgid "< &Back"
 msgstr "< A&nterior"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Cancelar"
 
@@ -36019,8 +36062,8 @@ msgid "No genres to catalog.\n"
 msgstr "Não há géneros para catalogar.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Verifique o regex 'Excluir géneros' nas opções de ebook\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36068,8 +36111,8 @@ msgstr "A ordenar títulos"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Nenhum livro no catálogo.\nVerifique as regras de 'Livros excluídos' nas opções de ebook.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36545,177 +36588,208 @@ msgstr "A interface completa oferece-lhe
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} não é uma rede/endereço IP, com o erro: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "O que você deseja fazer?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "padrão"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Nenhuma escolha selecionada. A sair..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s não é uma escolha valida, tente de novo"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Nomes de utilizador existentes: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Não existem utilizadores, voce tem de adicionar primeiro um utilizador"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "O nome do utilizador %s  não existe"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Introduza o nome do utilizador"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Introduza a nova senha para %s: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Não são permitidas senhas vazias"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Reintroduzir a nova senha de %s, para verificação: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "As senhas não coincidem"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Utilizador %s  adicionado com sucesso!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Tem a certeza que quer remover o utilizador %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Utilizador %s removido com sucesso!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Senha de %s alterada com sucesso!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Senha atual de {0} é: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Permitir a {} efetuar alterações (i.e. dar privilégios de escrita)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Impedir {} de efetuar alterações (i.e. remover privilégios de escrita)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} tem as seguintes restrições adicionais por biblioteca:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} não tem restrições adicionais por biblioteca:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Permitir o acesso a todas as bibliotecas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Permitir o acesso apenas às bibliotecas especificadas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Permitir o acesso a todas, exceto às bibliotecas especificadas"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Alterar restrições por biblioteca"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Introduza um nome da biblioteca:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Outra restrição?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Uma lista, separada por vírgulas, de nomes de bibliotecas:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Permitir o acesso apenas às bibliotecas: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Permitir o acesso a todas as bibliotecas, exceto: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Mostrar senha para {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Alterar permissões de leitura/escrita em {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Alterar bibliotecas a que é permitido o acesso ao utilizador {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} tem {1} acesso"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "leitura-escrita"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "apenas leitura"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Adicionar um novo utilizador"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Editar um utilizador existente"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Remover um utilizador"
 
@@ -37123,13 +37197,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37137,23 +37212,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
-msgstr ""
+msgstr "Outro programa Calibre como outra instância de {} ou o executável principal já está em execução. Ter múltiplos programas a correr ao mesmo tempo, e que possam fazer alterações numa biblioteca Calibre aberta, não é suportado."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Cancelado pelo utilizador"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Não existe qualquer biblioteca Calibre em: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Deve especificar pelo menos uma biblioteca Calibre"
 
@@ -37166,7 +37241,7 @@ msgid "Enum"
 msgstr "Enum"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Sintaxe inválida. É esperado um limitador de pesquisa ou uma palavra"
 
@@ -37174,7 +37249,7 @@ msgstr "Sintaxe inválida. É esperado u
 msgid ""
 "For maximum compatibility you should use only the letters A-Z, the numbers "
 "0-9, spaces, underscores and hyphens in the username"
-msgstr ""
+msgstr "Para compatibilidade máxima, no nome de utilizador deve usar apenas letras de A-Z, números de 0-9, espaços, sublinhados e hífens"
 
 #: /__w/calibre/calibre/src/calibre/srv/users.py:63
 msgid "The password must contain only ASCII (English) characters and symbols"
@@ -37325,128 +37400,128 @@ msgstr "Configurações e plugins"
 msgid "File is open in another process"
 msgstr "Ficheiro está aberto noutro processo"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr "o fim do programa"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr "{0}: {1} perto de {2}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "Falha ao analisar o programa. Entrada inválida {0}."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Erro de sintaxe - o programa termina antes de EOF"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "Na declaração 'if' está em falta o 'then' "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "Na declaração 'if' está em falta o 'if'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr "Na declaração 'for' está em falta o identificador"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr "Na declaração 'in' está em falta o 'in'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr "Na declaração 'for' estão em falta os dois pontos (':')"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr "Na declaração 'for' está em falta o 'for'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr "Um modelo guardado deve começar por {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Função desconhecida {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Parêntese de fecho em falta"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr "Os parâmetros para '{}' têm de ser variáveis ou expressões de atribuição"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr "Número incorreto de argumentos para a função {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "A expressão não é uma função ou constante"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Erro ao comparar expressão de código. Operador {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "Valor usado na comparação não é um número. Operador {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Identificador desconhecido {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Campo desconhecido {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr "O campo {0} não é uma lista"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr "Exceção não tratada {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Erro interno ao analisar uma expressão"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "formato: tipo {0} requer um valor inteiro, mas tem {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "formato: tipo {0} requer um valor decimal (ponto flutuante), mas tem {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: função desconhecida"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr "Não existe essa variável {0}"
@@ -37501,60 +37576,60 @@ msgstr "strlen(a) -- Devolve o comprimen
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- devolve x + y. Devolve uma exceção se x ou y não forem números."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- devolve x - y. Devolve uma exceção se x ou y não forem números."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) --  devolve x * y. Devolve uma exceção se x ou y não forem números."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) --  devolve x / y. Devolve uma exceção se x ou y não forem números."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling(x) -- devolve o menor inteiro maior que ou igual a x. Lança uma exceção se x não for um número. "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor(x) -- devolve o maior inteiro que seja menor que ou igual a x . Lança uma exceção se x não for um número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round(x) -- devolve o inteiro mais próximo de x. Lança uma exceção se x não for um número."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37566,7 +37641,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- analisa x como um modelo. A analise é feita em seu próprio contexto, o que significa que as variáveis não são compartilhadas entre a chamador e a análise do modelo. Como os caracteres { and } são especiais, deve usar o carácter [[ for the { character and ]] for the }. Eles serão convertidos automaticamente. Por exemplo, template('[[title_sort]]') irá analisar o tema {title_sort} e devolver o seu valor. Note também que prefixos e sufixos (the `|prefix|suffix` syntax) não podem ser usados no argumento para esta função ao usar o Modo de programa por modelos."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37577,13 +37652,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- avalia o tema, passando as variáveis ​​locais (those 'assign'ed to) em vez dos metadados do livro. Isto permite usar o processador de tema para a construção de resultados complexos de variáveis ​​locais. Como os caracteres { and } são especiais, deve usar o carácter [[ for the { character and ]] for the }; então eles serão convertidos automaticamente. Note também que prefixos e sufixos (the `|prefix|suffix` syntax) não podem ser usados no argumento para esta função ao usar o Modo de programa por modelos."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- atribui val a id, e devolve val. id tem de ser um identificador, não uma expressão."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37593,30 +37668,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b,...) -- imprime os argumentos para a saída predefinida. A menos que inicie o Calibre a partir da linha de comandos (Calibre-debug -g), a saída irá para um buraco negro."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- devolve o campo de metadados nomeado por nome."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- devolve o campo de metadados nomeado por nome mas sem aplicar formatações."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- devolve a lista de metadados por nomeado por nome mas sem aplicar formatações ou ordenação e com itens separados por `separator`."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37626,7 +37701,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- retorna start'th pelos caracteres end'th de str. O primeiro carácter str é o carácter zero'th. Se end é negativo, então isso indica que muitos caracteres são contados à direita. Se end é zero, então isso indica o último carácter . Por exemplo, substr('12345', 1, 0) retorna '2345', e substr('12345', 1, -1) retorna '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37636,24 +37711,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- como comando adicional, exceto que os argumentos são campos (metadados) de nomes e não texto. O valor do campo apropriado será obtido e usado. Note que, como as colunas compostas são campos, pode usar esta função num campo composto para usar o valor de algum outro campo composto. Isto é extremamente útil quando construir variáveis de caminhos onde guardar "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "pesquisa requer 2 ou então um número ímpar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, texto se não vazio, texto se vazio) -- devolve `texto se não vazio` se o val não estiver vazio, caso contrário devolve 'texto se vazio'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) -- verifica se o val contém correspondências para a expressão regular `pattern`. Devolve `text if match` se forem encontradas combinações, caso contrário devolve `text if no match`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37662,11 +37737,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- para cada par `pattern, value`, verifica se o val corresponde à expressão regular `pattern` e se assim for, devolve `value`. Se nenhum padrão for correspondido, então é devolvido else_value. Pode ter quantos pares `pattern, value` quiser"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "parâmetro requer um número ímpar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37676,19 +37751,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Retorna uma string formada pela concatenação dos argumentos. O valor retornado é inicializado para string1. Pares `Prefix, string` são adicionados ao fim do valor enquanto o comprimento da string resultante é inferior a `max`. String1 é retornado se string1 for maior que max. Pode passar quantos pares `prefix, string` quiser."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max requer 2 ou mais argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max requer um número par de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "o primeiro argumento de strcat_max deve ser um valor inteiro"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37698,11 +37773,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list requer um número ímpar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37714,11 +37789,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list requer um número ímpar de argumentos"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37729,14 +37804,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- tratar val como uma lista de identificadores separados por vírgulas, comparando a string contra cada valor na lista. Um identificador tem o formato \"identifier:value\". O parâmetro id deve ser \"id\" ou \"id:regexp\". O primeiro caso corresponde, se houver qualquer identificador com esse id. O segundo caso corresponde se a expressão regular corresponde ao valor do identificador. Se houver uma correspondência, retorna found_val, caso contrário retorna not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, pattern, replacement) -- devolve o val depois de aplicar a expressão regular. Todas as instâncias de `pattern` são substituídas por `replacement`. Como em tudo no Calibre, estas são expressões regulares compatíveis com Python"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37749,20 +37824,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- determinar um valor de forma \"B, A\", retorna \"A B\". Isto é muito útil para a conversão de nomes em formatos LN, FN para FN LN. Se não houver nenhuma vírgula, a função val retorna sem alteração"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, texto se vazio) -- devolve val se val não estiver vazio, caso contrário devolve o texto definido para \"texto se vazio\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37776,7 +37851,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- Devolve uma versão abreviada de val, que consiste em caracteres `left chars` do início de val, seguido por `middle text`, seguido pelos caracteres `right chars` do fim da string. `Left chars` e `right chars` devem ser inteiros. Por exemplo, suponha que o título do livro é `Antigas leis inglesas nos tempos de Ivanhoe`, e quer que ele se ajuste a uma dimensão de, no máximo, 15 caracteres. Se usar {title:shorten(9,-,5)}, o resultado será `Antigas I-nhoe`. Se o comprimento do campo for menor que os caracteres à esquerda + caracteres à direita + comprimento de `middle text`, então o campo será usado intacto. Por exemplo, o título `A Cúpula` não pode ser alterado."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37784,7 +37859,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- interpreta o valor como uma lista de itens separados por `separator`, retornando o número de itens na lista. A maioria das listas usam uma vírgula como separador, mas autores usam um E comercial. Exemplos: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37793,14 +37868,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- interpreta o valor como uma lista de itens separados por `separator`, devolvendo o item `index`. O primeiro item é o número zero. O último item pode ser obtido usando `list_item(-1,separator)`. Se o item não estiver na lista, então é devolvido o valor vazio. O separador tem o mesmo significado que na função de contagem."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- interpreta o valor como uma lista de itens separados por vírgula, com os itens sendo \"id:value\". Encontra o emparelhamento do id igual a key, e retorna o valor correspondente."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37813,19 +37888,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- devolve uma lista de valores, separados por vírgulas, de formatos que numa determinada altura foram associados ao livro. Não há garantia de que esta lista esteja correta, embora provavelmente o esteja. Esta função pode ser chamada no Modo de programa por modelos usando o modelo \"{:'approximate_formats()'}\". Note que os nomes de formato são sempre maiúsculas, como em EPUB. Esta função só funciona na IGU. Se quiser usar estes valores nos modelos exportar-para-disco ou enviar-para-dispositivo, então deve criar uma coluna personalizada \"Coluna obtida a partir de outras colunas\". Use a função no modelo dessa coluna e use o valor dessa coluna nos seus modelos de exportar/enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Esta função pode ser usada apenas na interface gráfica de utilizador (IGU)"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37835,7 +37910,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- cria uma lista, separada por vírgulas, de itens separados por dois pontos que representam horas de alteração para os formatos de um livro. O parâmetro date_format especifica como a data deve ser formatada. Ver a função date_format para mais detalhes. Pode usar a função de seleção para obter a hora de alteração para um formato específico. Note que os nomes dos formatos são sempre em maiúsculas, tal como em EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37843,7 +37918,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- cria uma lista de itens separados por dois pontos que representam tamanhos em bytes dos formatos de um livro. Pode usar a função de seleção para obter o tamanho de um formato específico. Note que os nomes dos formatos são sempre em maiúsculas, tal como em EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37851,13 +37926,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- cria uma lista de itens, separados por dois pontos, que representam o caminho completo para os formatos de um livro. Pode usar a função de seleção para obter o caminho para um formato específico. Note que os nomes dos formatos são sempre em maiúsculas, tal como em EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- devolve o string que representa o número v em KB, MB, GB, etc."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37868,7 +37943,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, template) -- formatar o número v usando um modelo de formatação Python como \"{0:5.2f}\" ou \"{0:,d}\" ou \"${0:5,.2f}\". A parte field_name do modelo deve ser um 0 (zero) (o \"{0:\" nos exemplos acima). Consulte a documentação do modelo de linguagem e do Python para mais exemplos. Você pode deixar de fora o \"{0:\" inicial e o \"}\" final se o modelo contiver apenas um formato. Devolve a string vazia se a formatação falhar."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37881,7 +37956,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, start_index, end_index, separator) -- interpretar o valor como uma lista de itens separados por `separator`, devolvendo uma nova lista criada a partir de `start_index` ao item `end_index`. O primeiro item é o número zero. Se o índice for negativo, então será contado a partir do fim da lista. Sendo um caso especial, um end_index de zero é considerado como o comprimento da lista. Exemplos, usando o modo de modelo básico, assumindo que a coluna de etiquetas (que é separada por vírgulas) contém \"A, B, C\": {tags:sublist(0,1,\\\\,)} devolve \"A\"; {tags:sublist(-1,0,\\\\,)} devolve\"C\"; {tags:sublist(0,-1,\\\\,)} retorna \"A, B\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37898,7 +37973,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- Esta função é usada para quebrar as listas de itens, tais como géneros. Ela interpreta o valor como uma lista de itens, onde cada item é uma lista separada por período separados por vírgula. Retorna uma nova lista feita pela primeira encontrando todos os itens separados por pontos, em seguida, para cada um desses itens extrair os componentes `start_index` para `end_index`, em seguida, combinando os resultados de volta juntos. O primeiro componente numa lista separada por período tem um índice de zero. Se o índice é negativo, então conta do fim da lista. Conforme um caso especial, um end_index de zero é considerado como o comprimento da lista. Exemplo usando o modo de tema básico e assumindo um valor de #genre \"A.B.C\": {#genre:subitems(0,1)} retorna \"A\". {#genre:subitems(0,2)} retorna \"A.B\". {#genre:subitems(1,0)} retorna \"B.C\". Assumindo um valor de #genre \"A.B.C, D.E.F\", {#genre:subitems(0,1)} retorna \"A, D\". {#genre:subitems(0,2)} retorna \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37921,23 +37996,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- formata o valor, que deve ser uma data, utilizando format_string para devolver uma sequência. Os códigos dos formatos são: d    : dia numérico sem um zero à esquerda (1 a 31). dd   : dia numérico com um zero à esquerda (01 a 31). ddd  : nome abreviado do dia traduzido (por exemplo, \"Seg\" a \"Dom\"). dddd : nome longo do dia traduzido abreviado (por exemplo, \"Segunda\" a \"Domingo\"). M    : mês numérico sem o zero à esquerda (1 à 12). MM   : mês numérico com um zero à esquerda (01 à 12). MMM  : nome abreviado do mês traduzido (por exemplo, \"Jan\" a \"Dez\"). MMMM : nome longo do mês traduzido (por exemplo, \"Janeiro\" a \"Dezembro\"). yy   : ano como dois dígitos numerais (00 a 99). yyyy : ano como quatro dígitos numerais. h    : horas sem um 0 à esquerda (0 a 11 ou 0 a 23, dependendo de am/pm). hh   : horas com um 0 à esquerda (00 a 11 ou 00 a 23, dependendo de am/pm). m    : minutos sem um 0 à esquerda (0 a 59). mm   : minutos com 0 à esquerda (00 a 59). s    : segundos sem um 0 à esquerda (0 a 59). ss   : segundos com um 0 à esquerda (00 a 59). ap   : usa um relógio de 12 horas em vez de um relógio de 24 horas, com \"ap\" substituído pela sequência traduzida para am ou pm. AP   : usa um relógio de 12 horas em vez de um relógio de 24 horas, com \"AP\" substituído pela sequência traduzida para AM ou PM. iso  : data com hora e fuso horário. Deve ser o único formato presente."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- devolve o val em maiúsculas"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- devolve o val em minúsculas"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- devolve o val em maiusculização de título"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- devolve o val maiusculizado"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37946,7 +38021,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- devolve o valor do campo de tamanho. Esta função funciona apenas na IGU. Se quiser usar este valor nos modelos exportar-para-disco ou enviar-para-dispositivo, então deve fazer uma coluna personalizada \"Coluna obtida a partir de outras colunas\", use a função no modelo da coluna e use o valor dessa coluna nos seus modelos de exportar/enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37955,55 +38030,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- devolve Yes se ondevice estiver definido, caso contrário devolve uma string vazia. Esta função aplica-se apenas à IGU. Se quiser usar este valor nos modelos exportar-para-disco ou enviar-para-dispositivo, então deve criar uma coluna personalizada \"Coluna obtida a partir de outras colunas\", usar a função no modelo dessa coluna, e usar o valor dessa coluna nos seus modelos de exportar/enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr "annotation_count () - devolve o número total de anotações de todos os tipos anexados ao livro atual. Esta função funciona apenas na IGU."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr "Falha ao obter contagem de anotações"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- devolve o valor de ordenação da série"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- devolve Sim se o livro tiver capa, caso contrário devolve um string vazio"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- retorna o primeiro valor que não está vazio. Se todos os valores estiverem vazios, então o valor vazio é retornado. Pode ter quantos valores quiser."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, ...) -- devolve a string \"1\" se nem todos os valores estiverem vazios, caso contrário, devolve a sequência vazia. Esta função funciona bem com o teste ou first_non_empty. Pode ter quantos valores quiser."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) -- retorna a string \"1\" se nem todos os valores estiverem vazios, caso contrário, retorna a sequência vazia. Esta função funciona bem com o teste ou first_non_empty. Pode ter quantos valores quiser."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- devolve a string \"1\" se o valor estiver vazio, caso contrário, devolve a string vazia. Esta função funciona bem com o teste ou first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38012,7 +38087,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- devolve uma lista feita pela fusão dos itens da list1 e list2, removendo itens duplicados sendo usada uma comparação não sensível a maiúsculas. Se os itens diferirem em maiúsculas é usado o primeiro da list1. Os itens em list1 e list2 são separados pelo separador, tal como estão os itens da lista devolvida."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38020,7 +38095,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- devolve uma lista feita ao remover da list1 qualquer item encontrado em list2, usando uma comparação não sensível a maiúsculas. Os itens em list1 e list2 são separados por separador, tal como estão os itens da lista devolvida."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38028,7 +38103,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- devolve uma lista feita ao remover da list1 qualquer item não encontrado em list2, usando uma comparação não sensível a maiúsculas. Os itens em list1 e list2 são separados por separador, tal como estão os itens da lista devolvida."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38036,7 +38111,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- devolve uma lista ordenada usando uma ordenação que não diferencia maiúsculas. Se a direção é zero, a lista é ordenada de forma crescente, caso contrário será por ordem decrescente. Os itens da lista são separados por separador, tal como o são os itens na lista devolvida."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38045,7 +38120,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- devolverá yes_val se list1 e list2 contiverem os mesmos itens, caso contrário devolverá no_val. Os itens são determinados dividindo cada lista usando o carácter separador apropriado (sep1 ou sep2). A ordem dos itens das listas não é relevante. A comparação não é sensível a maiúsculas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38054,7 +38129,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- Construir uma lista, primeiro pela separação de src_list em itens usando o carácter separador. Para cada item da lista, verificar se ele corresponde a include_re. Se isso acontecer, então adicioná-lo à lista a ser obtida. Se opt_replace não é a string vazia, então aplicar a substituição antes de adicionar o item à lista obtida."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38062,14 +38137,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- devolve um string com a data de hoje. Este valor é destinado ao uso em format_date e days_between, mas pode ser manipulado como cualquer outro string. A data está em formato ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38077,7 +38152,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- devolve o número de dias entre date1 e date2. O número é positivo se date1 for maior do que date2, caso contrário, é negativo. Se date1 ou date2 não forem datas, a função devolve a string vazia."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38085,28 +38160,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- retornar as strings para os códigos de idioma passados em lang_codes. Se localize é zero, retornar as strings em Inglês. Se localize não é zero, retornar as strings no idioma da localidade atual. Lang_codes é uma lista separada por vírgula."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- mostra os códigos de idioma para as \"strings\" enviados a lang_strings. Estas strings tem de ser no mesmo idioma do idioma atual. Lang_strings é uma lista separada por vírgulas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- retorna o último nome do caminho para a biblioteca atual do Calibre. Esta função pode ser chamada no Modo de programa por modelos usando o modelo \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- devolve o caminho para a biblioteca atual do Calibre. Esta função pode ser chamada no Modo de programa por modelos usando o modelo \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38115,7 +38190,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- aplicar o formato, de prefixo, sufixo e para um valor da mesma forma como foi feito num modelo como `{series_index:05.2f| - |- }`. Por exemplo, o seguinte programa produz a mesma saída que o modelo acima: programa: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38124,7 +38199,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- devolve uma lista de bibliotecas virtuais, separadas por vírgulas, que contenham este livro. Esta função aplica-se apenas à IGU. Se quiser usar estes valores nos modelos exportar-para-disco ou enviar-para-dispositivo então deve criar uma coluna personalizada  \"Coluna obtida a partir de outras colunas\", usar a função no modelo dessa coluna, e usar o valor dessa coluna nos seus modelos de exportar/enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38133,7 +38208,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- obter uma lista de categorias do utilizador que contenham este livro, separados por vírgulas. Esta função funciona apenas na GUI. Se quiser usar esses valores nos modelos exportar-para-disco ou enviar-para-dispositivo então deve criar uma \"Coluna obtida a partir de outras colunas\" personalizada: use a função no modelo da coluna e use o valor dessa coluna nos seus modelos de exportar/enviar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38141,7 +38216,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- Retorna uma string no alfabeto latino formado pelo som aproximado das palavras na sequência de origem. Por exemplo, se a origem for \"{0}\" a função retorna \"{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38153,7 +38228,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38164,7 +38239,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38172,13 +38247,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr "connected_device_name: local de armazenamento inválido \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38186,7 +38261,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38199,11 +38274,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no implica que o campo seja uma coluna personalizada do tipo  Sim/Não"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38211,11 +38286,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "rating_to_stars(value, use_half_stars) -- Devolve a classificação como sequência de caracteres de estrelas. O valor é um número entre 0 e 5. Defina use_half_stars como 1 se desejar caracteres de meia estrela para colunas de classificações personalizadas que suportem classificações não inteiras, por exemplo 2.5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "A avaliação tem de ser um algarismo entre  0 e 5"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38224,7 +38299,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38235,7 +38310,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38245,6 +38320,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Imagem sem nome"
@@ -38533,29 +38614,29 @@ msgstr "Fechar sem gravar"
 msgid "Close Tab"
 msgstr "Fechar aba"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Caracteres extra no final da pesquisa"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "em falta )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Falha na análise sintática da consulta, atingido o limite de recursividade: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Pesquisa guardada recursiva: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Pesquisa guardada desconhecida: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Erro desconhecido na pesquisa guardada: {0}"
@@ -38918,185 +38999,185 @@ msgstr "Qualquer ligação  que correspo
 msgid "Do not download CSS stylesheets."
 msgstr "Não descarregar folhas de estilos CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Confirmar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Guardar Tudo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Abrir"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Sim"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Sim &a Tudo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Não"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Não para &Todos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Cancelar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Tentar Novamente"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Fechar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Aplicar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Repor"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Repor predefinições"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "&Tom:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Saturação:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Valor:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "Ve&rmelho:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "Ver&de:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Az&ul:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr " &Canal alfa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Cursor em %1, %2\nCarregar ESC para cancelar"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Escolher cor"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "Cores &básicas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Cores personalizadas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Adicionar às Cores Personalizadas"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Escolher cores do ecrã"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Selecionar tipo de letra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Tipos de letra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "&Estilo de letra"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Tamanho"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efeitos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "&Rasurado"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Exemplo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "S&istema de escrita"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Canto esquerdo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Canto direito"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Página para a esquerda"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Página para cima"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Página para baixo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Página para a direita"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Rolar para a esquerda"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Rolar para cima"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Rolar para baixo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Rolar para a direita"
 
@@ -39376,8 +39457,8 @@ msgstr "SONY - Especificar regras para r
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39425,7 +39506,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Especificar regras para renomear coleções SONY. Este ajuste é aplicável apenas se a gestão de metadados estiver definida como automática.\nColeções da Sony são nomeadas dependendo se o campo é personalizado ou padrão. Uma coleção derivada de um campo padrão é nomeada para o valor nesse campo. Por exemplo, se a coluna padrão 'série' contém o valor 'Darkover', então o nome da coleção é 'Darkover'. \nUma coleção derivada de um campo personalizado tem o nome do campo adicionado para o valor. Por exemplo, se uma coluna de série\npersonalizada chamada 'My Series' contém o nome 'Darkover', a coleção\npor padrão será chamada 'Darkover (My Series)'. \nPara fins desta documentação, 'Darkover' é designado de valor e 'My Series' é designado de categoria. \nSe dois livros tiverem campos que geram o mesmo nome da coleção, então ambos os livros estarão na mesma coleção.\nEste conjunto de ajustes permite que especifique um campo padrão ou personalizado como as coleções que serão nomeadas. Pode usá-lo para adicionar uma descrição para um campo padrão, por exemplo, 'Foo (Tag)' em vez de 'Foo'. Também pode usá-los para forçar vários campos terminarem na mesma coleção. \nPor exemplo, poderia forçar os valores 'series', '#my_series_1' e '#my_series_2' aparecerem em coleções chamadas 'some_value (Series)', juntando assim todos os campos num conjunto de coleções.\nExistem dois ajustes relacionados. O primeiro determina o nome da categoria que será usada para um campo de metadados. A segunda é um tema, usado para determinar a forma como o valor e categoria são combinados para criar o nome da coleção.\nA sintaxe do primeiro ajuste, sony_collection_renaming_rules, é:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nO segundo ajuste, sony_collection_name_template, é um tema. Usa o\nmesmo idioma do tema como quadros de dispositivos e guardar temas. Este ajuste controla como o valor e a categoria são combinados para criar o nome da coleção.\nOs únicos dois campos disponíveis são {category} e {value}. O campo {value}\nnunca deve estar vazio. O campo {category} pode estar vazio. A predefinição é colocar o valor em primeiro lugar, e depois a categoria entre parênteses, não vazio: '{value} {category:|(|)'}'\nExemplos: Os três primeiros exemplos assumem que o segundo ajuste não foi alterado.\n1: Quero três colunas series fundidas num conjunto de coleções. O nome de pesquisa coluna são 'series', '#series_1' e '#series_2'. Não quero nada\nentre parênteses. O valor a ser usado no valor de ajuste poderia ser:\nsony_collection_renaming_rules={'series':'','#series_1':'', '#series_2':''}\n2: Quero que a palavra '(Séries)' apareça em coleções criadas de séries, e a palavra '(Etiqueta)' a aparecer em coleções criadas de etiquetas. \nUsar: sony_collection_renaming_rules={'séries':'Séries', 'tags':'Etiqueta'}\n3: Quero que 'series' e '#myseries' sejam fundidas, e que o nome da coleção\ntenha '(Series)' apensado. A regra para renomear é: sony_collection_renaming_rules={'series':'Séries', '#myseries':'Séries'}\n4: O mesmo que o exemplo 2, mas em vez de ter o nome da categoria em parênteses e apensado ao valor, quero prefixado e separado por dois pontos, como em Series: Darkover. Devo alterar o tema usado para formatar o nome da categoria. Os dois ajustes resultantes são:\nsony_collection_renaming_rules={'series':'Séries', 'tags':'Etiqueta'}\nsony_collection_name_template='{category:||:}{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39433,7 +39514,7 @@ msgstr "SONY - Especificar como ordenar
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39448,7 +39529,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Especificar como são ordenadas as coleções SONY. Este ajuste é aplicável apenas se a gestão de metadados estiver definida como automática. Pode indicar quais os metadados a ser usados para ordenar em modo coleção-a-coleção. \nO formato do ajuste é uma lista de campos de metadados da qual são criadas as coleções, seguido pelo nome do campo de metadados contendo o valor de ordenação.\nExemplo: o ajuste seguinte indica que as coleções construídas de pubdate e tags devem ser ordenadas pelo valor na coluna personalizada '#mydate', que coleções construídas de 'series' devem ser ordenadas por 'series_index', e que todas as outras coleções deverão ser ordenadas pelo título. Se um campo de metadados da coleção não for nomeado, então e se é uma coleção baseada em séries, ela será ordenada por alfabetação de série, caso contrário, será ordenada por alfabetação de título.\n[(['pub date', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nNote que os colchetes e parênteses são necessários. A sintaxe é\n[ ( [lista dos campos], ordem do campo ) , ( [ lista de campos ] , ordem do campo ) ]\nPredefinição: vazio (sem regras), pelo que nenhum atributo de coleção é nomeado."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ro.po 5.10.0+dfsg-1/translations/calibre/ro.po
--- 5.9.0+dfsg-3/translations/calibre/ro.po	2021-01-06 15:29:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ro.po	2021-01-20 15:27:26.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -95,15 +95,15 @@ msgstr "Nu face absolut nimic"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -124,7 +124,7 @@ msgstr "Nu face absolut nimic"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -224,16 +224,16 @@ msgstr "Nu face absolut nimic"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -259,7 +259,7 @@ msgstr "Nu face absolut nimic"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -291,7 +291,7 @@ msgstr "Nu face absolut nimic"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -310,7 +310,7 @@ msgstr "Nu face absolut nimic"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -334,27 +334,27 @@ msgstr "Personalizare"
 msgid "Cannot configure"
 msgstr "Nu se poate configura"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tip de fișier"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Cititor de metadate"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Scriitor de metadate"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generator de catalog"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Interfata utilizator"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -366,20 +366,20 @@ msgstr "Interfata utilizator"
 msgid "Preferences"
 msgstr "Preferințe"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Stochează"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -401,372 +401,372 @@ msgstr "Crează o arhivă TXTZ atunci c
 msgid "Extract cover from comic files"
 msgstr "Extrage coperta din fișierele album"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Citește metadate din fișierele %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Setează metadate în fișiere %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Setează metadate din fișiere %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Adăugă cărţi la calibre sau dispozitivul conectat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Adu adnotări de la un Kindle conectat (experimental)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Generează un catalog de cărţi în biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Converteste carti e-book in diverse formate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Editează Cuprinsul ebook-urilor"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Șterge cărţi din bibliotecă sau de pe dispozitivul conectat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Încorporează metadatele actualizate în fișierele propriu-zise ale cărților din bibliotecă"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Editează metadatele cărţilor din bibliotecă"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Citeşte cărţi în biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Afișează rapid o listă de cărți asociate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtrează/transformă etichetele cărților din bibliotecă"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Afișează un editor pentru testarea șabloanelor"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportă cărţi din biblioteca calibre pe hard disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Reporniți calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Deschide folderul care conţine fișierele cărţii din biblioteca calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Trimite cărţile la dispozitivul conectat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Răsfoiește Manualul Utilizatorului calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Particularizeză calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Găsește rapid cărţi similare cu cea selectată"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Schimbă între diferite biblioteci calibre și efectuează lucrări de întreținere asupra lor"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Copiază cărți din dispozitiv în bibliotecă"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Editează colecţiile în care cărţile sunt plasate pe dispozitivul dumneavoastră"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Sincronizează cărțile de pe dispozitive cu cele din bibliotecă"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Copiază o carte dintr-o bibliotecă calibre în alta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Găsește următorul sau precedentul rezultat când se caută prin bibliotecă în modul subliniere"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Alege o carte la întâmplare din biblioteca dumneavoastră calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sortează lista cărţilor"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Marchează temporar cărțile"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Caută cărţi la diferiţi vânzători"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Obține plugin-uri noi pentru calibre sau actualizează-le pe cele existente"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfață"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Ajustează aspectul și comportamentul interfeței Calibre după propriile tale gusturi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Comportament"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Schimbă modul în care se comportă Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Adaugă propriile tale coloane"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Adaugă/șterge propriile tale coloane în/din lista de cărți a programului Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Bare de instrumente & Meniuri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Ajustează bara de unelte și meniurile contextuale, schimbând acțiunile disponibile ale fiecăruia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Se caută"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Personalizează modul în care căutarea cărților funcționează în calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Conversie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Precizează opțiunile de conversie specifice fiecărui format de introducere"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Precizează opțiuni comune pentru toate formatele"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Precizează opțiunile specifice fiecărui format de ieșire"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Se adaugă cărţi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Import/Export"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Controlează modalitatea de citire a metadatelor din fișiere de către Calibre atunci cănd se adaugă cărți"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Salvează cărțile pe disc"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Controlează modalitatea de export a fișierelor din baza de date Calibre la utilizarea opțiunii Salvează pe disc"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Se trimit cărţi pe dispozitive"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Panouri de conectare pentru metadate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Schimbă câmpurile metadatelor înainte de salvare/trimitere"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -776,92 +776,92 @@ msgstr "Schimbă câmpurile metadatelor
 msgid "Template functions"
 msgstr "Funcţii Şablon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Configurări avansate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Crează propriile funcții șablon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Partajare cărți prin email"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Partajare"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Precizarea opțiunilor de partajare a cărților prin email. Poate fi folosită pentru trimiterea automată a știrilor descărcate spre dispozitivele tale"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Partajare via Internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Descărcare metadate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "dispozitive ignorate"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Verificați care dispozitive vor fi ignorate de către Calibre atunci când sunt conectate la PC."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Extensii"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Adaugă/şterge/configurează diferite funcţii ale Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Ajustări"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Reglare fină a modului în care se comportă Calibre în diferite contexte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Scurtături"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Personalizează scurtăturile de la tastatură folosite de calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -869,7 +869,7 @@ msgstr "Personalizează scurtăturile de
 msgid "Miscellaneous"
 msgstr "Diverse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Configurare avansată a altor elemente"
 
@@ -1259,9 +1259,9 @@ msgstr "Se descarcă baza de date în SQ
 msgid "Restoring database from SQL"
 msgstr "Se restaurează baza de date"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1287,17 +1287,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Da"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Copertă pentru %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format pentru {1}"
@@ -1683,14 +1683,14 @@ msgstr "Specificând comutatorul, acest
 msgid "You must specify some ids or the %s option"
 msgstr "Trebuie specificate nişte IDuri sau opţiunea %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nListează cărţile disponibile din baza de date calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1698,7 +1698,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1706,39 +1706,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Sortează rezultatele ascendent"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrează rezultatele după textul căutat. Pentru formatul căutării, verificaţi documentaţia aferentă căutărilor în Manualul de Utilizare. În mod implicit nu se fac filtrări."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Lăţimea maximă a unui rând la ieşire. În mod implicit se detectează automat mărimea ecranului."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Şirul folosit pentru separarea câmpurilor. Caracterul implicit este spaţiul."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Prefixul pentru toate căile. Calea absolută spre directorul bibliotecii este selectată în mod implicit."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2285,21 +2285,21 @@ msgstr "gol"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Interogare booleană invalidă \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "A fost detectat un grup de interogări recursive: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3475,11 +3475,11 @@ msgstr "%s șterse"
 msgid "All books removed"
 msgstr "Toate cărțile eliminate"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3488,12 +3488,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Dispozitiv MTP necunoscut"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6048,7 +6048,7 @@ msgstr "Observații"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6341,7 +6341,7 @@ msgid "Producer"
 msgstr "Producător"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6349,7 +6349,7 @@ msgid "Comments"
 msgstr "Comentarii"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6389,7 +6389,7 @@ msgid "Tags"
 msgstr "Etichete"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6420,7 +6420,7 @@ msgid "Timestamp"
 msgstr "Amprentă de timp"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8154,13 +8154,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "Generator de optiuni HTML TOC"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8193,31 +8193,31 @@ msgstr "Generează o mapă a paginii Ado
 msgid "Sidebar"
 msgstr "Bară laterală"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9193,7 +9193,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10209,7 +10209,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Ajutor"
 
@@ -11475,7 +11475,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignoră"
 
@@ -11605,8 +11605,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11740,11 +11740,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Gestionează %s"
@@ -11887,7 +11887,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12214,7 +12214,7 @@ msgid "Preset name:"
 msgstr "Nume curent:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Trebuie sa introduci un nume"
 
@@ -12291,7 +12291,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Salvează"
 
@@ -12300,10 +12300,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Șterge"
@@ -12416,8 +12416,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13603,7 +13603,7 @@ msgid "Ta&gs:"
 msgstr "Etichete:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13618,8 +13618,8 @@ msgstr "&Seria:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Lista de serii cunoscute. Puteţi adăuga serii noi."
@@ -14486,7 +14486,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14827,19 +14827,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14913,8 +14913,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14995,7 +14995,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16577,7 +16577,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16585,7 +16585,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16593,7 +16593,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16601,7 +16601,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16635,7 +16635,7 @@ msgid "Manage authors"
 msgstr "Gestionează autori"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Caută după:"
@@ -17057,79 +17057,79 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Se lucrează"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Litere mici"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Litere mari"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Doar prima literă cu majusculă"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Caracter potrivit"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Câmp înlocuire"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Adaugă la început în câmpul"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Adaugă la sfârşit în câmpul"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Aplică toate modificările fără a închide această căsuţă de dialog. Această operaţie nu poate fi întreruptă sau anulată."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Cartea %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Introduceţi un tip de identificator"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17137,7 +17137,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Puteţi să vă distrugeţi biblioteca folosind această opţiune.</b> Modificările sunt permanente. Nu există funcţia de anulare. Vă încurajăm să faceţie o copie de siguranţă.<p>Caută şi înlocuieşte în câmpurile text folosind caractere potrivite sau expresii regulate. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17147,7 +17147,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17162,80 +17162,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "EROARE ŞABLON S/R"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Trebuie specificată o destinaţie a tipului identificator"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Cautare/Înlocuire invalidă"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Şterge Caută/Înlocuieşte salvate"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Caută/Înlocuieşte selectat va fi şters. Sigur doriţi să continuaţi?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Salvează Caută/Înlocuieşte"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Nume Caută/Înlocuieşte:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Acest Caută/Înlocuieşte există deja şi va fi suprascris. Sigur doriţi să continuaţi?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autor(i): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17243,90 +17252,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Setează a&utomat sortare autor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Actualizează sortare titlu pe baza titlului curent. Se va aplica doar după alte modificări ce se fac asupra titlului."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "S&ortare autor: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Actualizează sortare &titlu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Specifică modul de sortare al autorilor acestei cărţi. De exemplu Charles Dickens ar trebui sortat ca şi Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Modifică &coperta"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Evaluare:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Generează coperta implicită"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "Şte&rge coperta"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "E&ditura: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Adaugă &etichete: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Şte&rge etichete:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Obligă titlul să înceapă cu literă mare. Dacă ambele, aceasta şi schimbă autorii sunt bifate,\ntitlul şi autorii sunt interschimbaţi înainte de stabilirea începerii titlului cu literă mare."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Lista de etichete, separată pin virgule, care va fi ştearsă de la cărţi. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Bifaţi această căsuţă pentru a şterge toate etichetele."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Data:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Șterge to&ate"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Dacă este bifată, seria va fi curăţată"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Curăţă seria"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17334,281 +17338,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Dacă nu este bifată, numărul cărţilor în serie va fi 1.\nDacă este bifată, cărţile selectate vor fi numerotate automat, în ordinea\nîn care au fost selectate. Astfel, dacă aţi selectat cartea A, iar pe urmă\ncartea B, cartea A va avea numărul 1 şi cartea B numărul 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Numerotează &automat cărţile din această serie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "În mod normal, seria va fi renumerotată de la cel mai mare număr din baza de date\npentru seria respectivă. Bifând această căsuţă, calibre va începe numerotarea\nde la valoarea din casetă"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "Obligă numerele să înceapă cu:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Dacă este bifată, seria va fi curăţată"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Curăţă seria"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Data:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Şte&rge etichete:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Șterge to&ate"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Adaugă &etichete: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Specifică modul de sortare al autorilor acestei cărţi. De exemplu Charles Dickens ar trebui sortat ca şi Dickens, Charles."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Şterge data publicării"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autor(i): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Limbi:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "E&ditura: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Şterge setările conversiilor stocate pentru cărţile selectate.\n\nConversiile viitoare ale acestor cărţi vor folosi setările implicite."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Lista de etichete, separată pin virgule, care va fi ştearsă de la cărţi. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Şterge setările conversiilor &stocate pentru cărţile selectate"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "S&ortare autor: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Obligă titlul să înceapă cu literă mare. Dacă ambele, aceasta şi schimbă autorii sunt bifate,\ntitlul şi autorii sunt interschimbaţi înainte de stabilirea începerii titlului cu literă mare."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Actualizează sortare titlu pe baza titlului curent. Se va aplica doar după alte modificări ce se fac asupra titlului."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Actualizează sortare &titlu"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Modifică &coperta"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Generează coperta implicită"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "Şte&rge coperta"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Şterge setările conversiilor stocate pentru cărţile selectate.\n\nConversiile viitoare ale acestor cărţi vor folosi setările implicite."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Şterge setările conversiilor &stocate pentru cărţile selectate"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Bifaţi această căsuţă pentru a şterge toate etichetele."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Evaluare:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Metadate de bază"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Metadate personalizate"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Selectează caută/înlocuieşte salvat pentru încărcare."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Salvează caută/înlocuieşte curent"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Sal&vează"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Caută câmpul:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Numele câmpului în care doriţi să căutaţi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Mod căutare:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Alegeţi dacă doriţi să folosiţi potrivirea cu text normal sau cu expresii regulate"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Alege asupra cărui tip de identificator se va opera"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Introduceţi un şablon care va fi folosit ca şi sursă pentru caută/înlocuieşte"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Bifaţi această căsuţă dacă textul căutat trebuie să se potrivească cu litere mari sau cu litere mici. Debifaţi dacă aceasta nu contează."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "În&locuiește cu:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Textul înlocuitor. Textul căutat va fi înlocuit cu acest şir de caractere."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Aplică funcţia după înlocuire:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Specifică modul în care textul va fi procesat după potrivire şi înlocuire. În modul caracter, întregul\ncâmp este procesat. În modul expresie regulată, numai textul potrivit este procesat."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Câmp &destinaţie:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Câmpul în care textul va fi pus după toate înlocuirile.\nDacă este gol, câmpul sursă este folosit doar în cazul în care se poate modifica."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "M&od:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Specifică modul în care textul va fi copiat la destinaţie."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Specifică dacă elementele rezultate vor fi divizate în valori multiple sau\nlăsate ca o singură valoare. Această opţiune are efect major atunci când\ncâmpul sursă nu este multiplu dar câmpul destinaţie este multiplu."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Divide &rezultatul"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Tip identificator:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17616,48 +17642,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Pentru câmpuri cu valori multiple, ara&tă"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "valori separate &de"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Folosit atunci când se afişează rezultatele testului pentru a separa valorile din câmpurile cu valori multiple."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Testează textul"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Testează rezultatul"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Caută şi înlocuieşte"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18113,42 +18139,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Nu s-a găsit nici un element**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Faceţi click pe o coloană în fereastra bibliotecii pentru a vedea informaţii referitoare la cartea respectivă"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18254,87 +18280,87 @@ msgstr "Restaurarea bazei de date a eşu
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Căutarea salvată curentă va fi <b>ştearsă permanent</b>. Sigur doriţi să continuaţi?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19232,48 +19258,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Tutorial şablon limbă"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Şablon funcţie referinţă"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "EXCEPŢIE: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nici o coloană selectată"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Trebuie să specificaţi coloana care va fi colorată"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Nici un şablon furnizat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Caseta şablon nu poate fi goală"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20342,7 +20384,7 @@ msgstr "Caută o scurtătură după nume
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Nici o potrivire"
 
@@ -20501,8 +20543,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20521,14 +20563,14 @@ msgstr[1] ""
 msgstr[2] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22755,60 +22797,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Mută regula selectată mai sus"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Mută regula selectată mai jos"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22816,57 +22858,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Nici o regulă selectată"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Nici o regulă selectată pentru %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "ştergere"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Reguli"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Alege fisier pentru import"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23708,13 +23750,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Partea de jos"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Partea de sus"
 
@@ -23748,7 +23790,7 @@ msgid "If there is enough room"
 msgstr "Dacă este spaţiu suficient"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "După prima literă"
 
@@ -24029,7 +24071,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Dezactivează"
 
@@ -24721,8 +24763,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Aici puteţi modifica metadatele pe care le foloseşte calibre pentru actualizarea unei cărţi la salvare pe disc sau la trimiterea pe dispozitiv.\n\nFolosiţi acest dialog pentru a defini un \"panou de conectare\" pentru un format (sau toate formatele) şi un dispozitiv (sau toate dispozitivele). Panoul de conectare specifică care şablon este conectat la care câmp. Şablonul este folosit pentru calcularea unei valori care va fi asignată câmpului conectat.\n\nDe multe ori şabloanele vor conţine referinţe simple la coloane compuse. Se poate folosi orice şablon în caseta sursă care va fi folosit altundeva în calibre.\n\nO utilizare posibilă pentru panoul de conectare este la modificarea titlului pentru a conţine informaţii despre serie. Alta ar fi la modificarea sortării autorului, ceea ce utilizatorii MOBI ar putea forţa să se folosească \";\" solicitat de Kindle. A treia utilizare ar fi la specificarea limbii."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25290,7 +25332,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25425,7 +25467,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25437,7 +25479,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26951,7 +26993,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27242,7 +27284,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Redenumeşte %s"
@@ -27302,95 +27344,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Şterge %(item)s din categoria %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Caută tot în afară de %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Adaugă subcategoria la %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Caută cărţi în categoria %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Caută cărţi în afara categoriei %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Ascunde categoria utilizator %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Modifică schema de sub-clasificare"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Partiție"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Prima literă este utilizabilă doar la sortarea după nume"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28047,7 +28089,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28579,7 +28622,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Ignoră"
 
@@ -30821,7 +30864,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32152,7 +32195,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32779,7 +32822,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exportă"
 
@@ -34656,23 +34699,23 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34680,50 +34723,50 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35177,7 +35220,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35253,13 +35296,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35424,10 +35467,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Anulează"
 
@@ -36068,7 +36111,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36117,7 +36160,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36594,177 +36637,208 @@ msgstr "Interfaţa completă oferă mult
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37173,13 +37247,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37187,23 +37262,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37216,7 +37291,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37375,128 +37450,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format: tipul {0} necesită o valoare întreagă, dar are {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: tipul {0} necesită o valoare reală (float), dar are {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: funcţie necunoscută"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37551,60 +37626,60 @@ msgstr "strlen(a) -- returnează lungime
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- returnează x + y. Afişează o excepţie dacă oricare x sau y nu sunt numere."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- returnează x - y. Afişează o excepţie dacă oricare x sau y nu sunt numere."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- returnează x * y. Afişează o excepţie dacă oricare x sau y nu sunt numere."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- returnează x / y. Afişează o excepţie dacă oricare x sau y nu sunt numere."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37616,7 +37691,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37627,13 +37702,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- asignează lui \"id\" valoarea lui \"val\", pe urmă returnează \"val\". \"id\" trebuie să fie un identificator, nu o expresie"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37643,30 +37718,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- tipăreşte argumentele la ieşirea standard. Dacă nu porniţi calibre din linia de comandă (calibre-debug -g), datele de ieşire nu vor fi tipărite nicăieri."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- returnează numele \"name\" al câmpului de metadate"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- returnează numele \"name\" al câmpului de metadate fără a aplica vreo formatare"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37676,7 +37751,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- returnează caracterele din \"str\" care încep de la \"start\" şi se termină la \"end\". Primul caracter din \"str\" este 0. Dacă \"end\" este negativ, atunci indică mai multe caractere numărate dinspre dreapta. Dacă \"end\" este 0, atunci indică ultimul caracter. De exemplu substr('12345', 1, 0) returnează \"2345\", iar substr('12345', 1, -1) returnează \"234\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37686,24 +37761,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- similar cu \"switch\", cu excepţia că argumentele sunt nume de câmpuri (metadate), nu text. Valoarea câmpului va fi căutată şi folosită. Notă: Deoarece coloanele compuse sunt câmpuri, această funcţie se poate folosi într-un câmp compus al valorii unui alt câmp compus. Aceasta este extrem de utilă la construirea căilor de salvare a variabilelor."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "\"lookup\" are nevoie de două sau un număr impar de argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37712,11 +37787,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "\"switch\" necesită un număr impar de argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37726,19 +37801,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Returnează un şir format prin concatenarea argumentelor. Valoarea returnată este iniţializată în \"string1\". Perechile \"prefix, string\" sunt adăugate la sfârşitul valorii atât timp cât lungimea şirului rezultat este mai mică decât \"max\". \"String1\" este returnat chiar dacă \"string1\" este mai mare decât \"max\". Se pot introduce oricâte perechi \"prefix, string\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "\"strcat_max\" necesită două sau mai multe argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "\"strcat_max\" necesită un număr par de argumente"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "primul argument al \"strcat_max\" trebuie să fie un număr întreg"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37748,11 +37823,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37764,11 +37839,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37779,14 +37854,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- tratează \"val\" ca şi o listă de identificatori separată prin virgule, comparând şirul cu fiecare valoare din listă. Un identificator are formatul \"identifier:value\". Parametrul \"id\" trebuie să fie \"id\" sau \"id:regexp\". În primul caz se potriveşte dacă există un identificator cu acelaşi \"id\". În al doilea caz se potriveşte dacă \"regexp\" are valoarea identificatorului. Dacă există o potrivire, se returnează \"found_val\", altfel se returnează \"not_found_val\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37799,20 +37874,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- fiind dată valoarea de forma \"B, A\", returnează \"A B\". Aceasta este foarte utilă la convertirea numelui din formatul Nume, Prenume în formatul Prenume Nume. Dacă virgula nu este prezentă, funcţia returnează valoarea \"val\" nemodificată"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- returnează \"val\" dacă variabila val nu este goală, altfel returnează \"text if empty\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37826,7 +37901,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37834,7 +37909,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- interpretează valoarea ca şi o listă de elemente separate prin \"separator\", returnând numărul de elemente din listă. Majoritatea listelor folosesc virgula ca şi separator, dar pentru autori se foloseşte \"&\". Exemple: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37843,14 +37918,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- interpretează valoarea ca şi o listă cu elemente separate prin \"separator\", returnând elementul cu numărul de ordine \"index\". Primul element are numărul de ordine zero. Ultimul element poate fi returnat folosind \"list_item(-1,separator)\". Dacă elementul nu este în listă, atunci se returnează o valoare vidă. Separatorul are acelaşi rol ca şi în funcţia \"count\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- interpretează valoarea ca şi o listă de elemente separate prin virgule, cu elementele fiind \"id:value\". Găseşte perechea cu \"id\" egal cu \"key\" şi returnează valoarea corespunzătoare."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37863,19 +37938,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37885,7 +37960,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37893,7 +37968,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37901,13 +37976,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- returnează un şir ce reprezintă numărul \"v\" în KB, MB, GB etc."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37918,7 +37993,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37931,7 +38006,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37948,7 +38023,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37971,23 +38046,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37996,7 +38071,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38005,55 +38080,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- returnează \"Da\" dacă cartea are copertă, altfel returnează un şir gol"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) -- returnează şirul \"1\" dacă oricare valoare nu este vidă, altfel returnează şirul gol. Această funcţie funcţionează bine împreună cu \"test\" sau \"first_non_empty\". Se pot folosi oricâte valori."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38062,7 +38137,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38070,7 +38145,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38078,7 +38153,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38086,7 +38161,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- returnează lista sortată folosind o sertare care nu ţine cont de literele mari sau mici. Dacă \"direction\" este zero, lista este sortată ascendent, altfel este sortată descendent. Elementele listei sunt separate prin \"separator\" ca şi cele din lista returnată."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38095,7 +38170,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38104,7 +38179,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38112,14 +38187,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- returnează un şir cu data de azi. Valoarea este făcută pentru a fi folosită în \"format_date\" sau \"days_between\", dar poate fi manipulată ca şi oricare alt şir. Data este în formatul ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38127,7 +38202,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- returnează numărul de zile dintre \"date1\" şi \"date2\". Numărul este pozitiv dacă \"date1\" este mai mare decât \"date2\", altfel este negativ. Dacă oricare \"date1\" sau \"date2\" nu sunt variabile de tip dată, funcţia returnează un şir gol."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38135,28 +38210,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- returnează codurile limbilor pentru şirurile din \"lang_strings\". Aceste şiruri trebuie să fie scrise în limba locală curentă. \"Lang_strings\" este o listă separată prin virgule."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38165,7 +38240,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38174,7 +38249,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38183,7 +38258,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38191,7 +38266,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38203,7 +38278,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38214,7 +38289,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38222,13 +38297,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38236,7 +38311,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38249,11 +38324,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38261,11 +38336,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38274,7 +38349,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38285,7 +38360,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38295,6 +38370,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38583,29 +38664,29 @@ msgstr "Închide fără a salva"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38969,185 +39050,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Nu descărca foile de stil CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Salvează tot"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Deschide"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Da"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Da pentru &toate"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&u la toate"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Anulează"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Reîncearcă"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Închide"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Aplică"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Resetează"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Restaurare valori implicite"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Deplasare la stânga"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Deplasare în sus"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Deplasare în jos"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Deplasare la dreapta"
 
@@ -39427,8 +39508,8 @@ msgstr "Specifică regulile de redenumir
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39484,7 +39565,7 @@ msgstr "Specifică modul în care colec
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ru.po 5.10.0+dfsg-1/translations/calibre/ru.po
--- 5.9.0+dfsg-3/translations/calibre/ru.po	2021-01-06 15:31:49.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ru.po	2021-01-20 15:27:16.000000000 +0000
@@ -17,7 +17,7 @@
 # Anna Shtykova <rsh02@mail.ru>, 2016
 # Anton Bershanskiy <bershan2@illinois.edu>, 2016-2017
 # Anton Shcherbina <crevice@mail.ru>, 2016
-# ashed <craysy@gmail.com>, 2017-2018,2020
+# ashed <craysy@gmail.com>, 2017-2018,2020-2021
 # ashed <craysy@gmail.com>, 2017
 # ashed <craysy@gmail.com>, 2017
 # Azriel Sviridyuk <azriel.svir@gmail.com>, 2019
@@ -58,8 +58,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
@@ -138,15 +138,15 @@ msgstr "Ничего не делает"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -167,7 +167,7 @@ msgstr "Ничего не делает"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -267,16 +267,16 @@ msgstr "Ничего не делает"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -302,7 +302,7 @@ msgstr "Ничего не делает"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -334,7 +334,7 @@ msgstr "Ничего не делает"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -353,7 +353,7 @@ msgstr "Ничего не делает"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -377,27 +377,27 @@ msgstr "Настроить"
 msgid "Cannot configure"
 msgstr "Невозможно настроить"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Тип файла"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Чтение метаданных"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Запись метаданных"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Генератор каталога"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Действие в пользовательском интерфейсе"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -409,20 +409,20 @@ msgstr "Действие в пользо
 msgid "Preferences"
 msgstr "Параметры"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Магазин"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Магазин электронных книг."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Редактор книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Библиотека закрыта"
 
@@ -444,372 +444,372 @@ msgstr "Создать TXTZ-архив,
 msgid "Extract cover from comic files"
 msgstr "Извлечь обложку из файлов комикса"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Читать метаданные из файлов %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Читать метаданные из книг в RAR архивах "
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Читать метаданные из книг в ZIP архивах"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Установить метаданные в файлах %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Введите ниже {0}, чтобы запретить плагину записи метаданных EPUB добавлять изображения обложек в те файлы EPUB, которые их не имеют."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Установить метаданные из файлов %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Добавить книги в calibre или на подключённое устройство"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Извлечь заметки из подключённого Kindle (экспериментально)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Создание каталога книг в библиотеке сalibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Преобразование в различные форматы электронных книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Точная настройка ваших книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Просмотреть выделенное и закладки из всех книг в библиотеке"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Редактирование оглавления в книгах"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Удалить книги из calibre или с подключённого устройства"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Встроить обновлённые метаданные в текущие файлы книг в библиотеке calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Изменить метаданные книг в библиотеке calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Читать книги из библиотеки calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Загрузить новости из Интернета в форме электронной книги"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Показать список связанных книг быстро"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Фильтровать/изменить теги для книг в библиотеке"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Преобразование авторов для книг в библиотеке"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Показать редактор для проверки шаблонов"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Показать диалог для создания и управления функциями шаблона и сохранёнными шаблонами"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Экспортировать книги из библиотеки calibre на жёсткий диск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Показать описание книги в отдельном всплывающем окне"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Перезапустить calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Открыть папку с книгами вашей библиотеки calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Отправить книги на подключённое устройство"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Отправить книги почтой или через интернет. Также соединяется с папками на компьютере как с устройствами"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Просмотреть руководство пользователя calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Настроить calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Найти книги, схожие по теме с выбранной книгой"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Переключение между библиотеками Calibre и их обслуживание"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Копировать книгу с устройства в вашу библиотеку Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Изменить коллекции, в которых размещены книги на устройстве"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Связать книгу на устройстве с книгой в библиотеке"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Показать книгу в библиотеке, соответствующую этой книге"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Скопировать книгу из текущей библиотеки в другую"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Редактировать электронные книги в форматах EPUB или AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Внести небольшие изменения в файлы EPUB или HTMLZ в библиотеку calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Найти следующее или предыдущее вхождение при поиске в вашей библиотеке Calibre в режиме подсветки"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Выбрать случайную книгу из библиотеки"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Сортировать список книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Временно пометить книги"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Изменить текущую Виртуальную библиотеку"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Поиск книг у разных продавцов"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Загрузить новые плагины или обновить существующие"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Оформление"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Интерфейс"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Настроить внешний вид сalibre на ваш вкус"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Поведение"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Настроить поведение calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Добавить свои столбцы"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Добавить/удалить собственные столбцы в списке книг calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Панели инструментов и меню"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Настроить и изменить действия в панелях инструментов и контекстных меню"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Поиск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Настроить способ поиска книг в calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Настройки ввода"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Конвертация"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Задать параметры конвертации, характерные для каждого формата ввода"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Общие настройки"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Установить общие для всех форматов параметры конвертации"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Настройки вывода"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Задать параметры конвертации, характерные для каждого формата вывода"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Добавление книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Импорт-экспорт"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Управление тем, как calibre считывает метаданные из файлов при добавлении книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Сохранение книг на диск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Управление тем, как calibre экспортирует файлы из базы данных при выполнении действия «Сохранить на диск»"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Передача книг на устройства"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Управление тем, как calibre передаёт файлы на вашу читалку электронных книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Коммутации метаданных"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Изменять поля метаданных до сохранения/отправки"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -819,92 +819,92 @@ msgstr "Изменять поля мет
 msgid "Template functions"
 msgstr "Шаблон функций"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Расширенные"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Создать собственную шаблонную функцию"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Пересылка книг по электронной почте"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Общий доступ к файлам"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Настройка рассылки книг по e-mail. Может быть использована для автоматической доставки загруженных новостных лент на устройство"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Сетевой доступ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Настройте сервер контента calibre, который предоставит вам доступ к вашей библиотеке с любого устройства через Интернет"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Загрузка метаданных"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Контролируйте, как calibre загружает метаданные электронной книги из сети"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Игнорируемые устройства"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Выбрать устройства, которые calibre будет игнорировать, если они подключены к компьютеру."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Плагины"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Добавить/удалить/изменить различные части функциональности calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Тонкая настройка"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Тонкая настройка поведения calibre в разных обстоятельствах"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Комбинации клавиш"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Настроить горячие клавиши, используемые в calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -912,7 +912,7 @@ msgstr "Настроить горячи
 msgid "Miscellaneous"
 msgstr "Разное"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Различная расширенная конфигурация"
 
@@ -1302,9 +1302,9 @@ msgstr "Выгрузка базы дан
 msgid "Restoring database from SQL"
 msgstr "Восстановление базы данных из SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1330,17 +1330,17 @@ msgstr "Сохранённые поис
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Да"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Обложка для %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} формат для {1}"
@@ -1726,14 +1726,14 @@ msgstr "Указание этого пе
 msgid "You must specify some ids or the %s option"
 msgstr "Вы должны указать id или опцию %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog список [options]\n\nСписок книг в базе данных Calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1741,7 +1741,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Поля, отображаемые при перечислении книг в базе данных. Должен быть разделенный запятыми список полей.\nДоступные поля: %s\nПо умолчанию: %%default. Специальное поле \"all\" можно использовать для выбора всех полей. В дополнение к встроенным полям, пользовательские поля также доступны как *field_name, например, для настраиваемого поля #rating, используйте имя: *rating"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1749,39 +1749,39 @@ msgid ""
 "Default: {1}"
 msgstr "Поле, по которому сортировать результат.\nДоступные поля: {0}\nПо умолчанию: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Сортировать по убыванию"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Фильтровать результаты запроса. С форматом запроса можно ознакомиться в соответствующей документации в руководстве пользователя. По умолчанию не фильтровать."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Максимальная ширина вывода. По умолчанию - размер экрана."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Разделитель полей. По умолчанию - пробел."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Префикс для всех путей. По умолчанию - абсолютный путь к директории библиотеки."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Максимальное число результатов для отображения. По умолчанию: все"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2328,21 +2328,21 @@ msgstr "новый"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Неверный логический запрос \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Нет такой виртуальной библиотеки: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Поиск в вирт. библиотеке - рекурсивный: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "В запросе обнаружена рекурсивная группа: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "шаблон поиска: разделитель отсутствует или недействителен. Допустимые разделители: {}"
@@ -3518,11 +3518,11 @@ msgstr "Удалено %s"
 msgid "All books removed"
 msgstr "Все книги удалены"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Безымянное устройство"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3531,12 +3531,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Устройство {0} не дает подключиться. Разблокируйте экран на {0}, нажмите \"Разрешить\" на любом всплывающем сообщении о подключении, которое вы видите, и либо подождите минуту либо перезапустите calibre. Кроме того, возможно, придется изменить режим USB подключения {0} на \"Media Transfer mode (MTP)\" или аналогичный."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Неизвестное MTP-устройство"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6091,7 +6091,7 @@ msgstr "Заметки"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6384,7 +6384,7 @@ msgid "Producer"
 msgstr "Производитель"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6392,7 +6392,7 @@ msgid "Comments"
 msgstr "Комментарии"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6432,7 +6432,7 @@ msgid "Tags"
 msgstr "Теги"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6464,7 +6464,7 @@ msgid "Timestamp"
 msgstr "Временная метка"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8202,13 +8202,13 @@ msgstr "Обновлён EPUB с вер
 msgid "HTML TOC generation options."
 msgstr "Варианты создания HTML оглавления"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} из <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8241,31 +8241,31 @@ msgstr "Создать Adobe \"page-map\
 msgid "Sidebar"
 msgstr "Врезка"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Добавление верхних и нижних колонтитулов"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Колонтитулы добавлены"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Содержимое проанализировано для преобразования разметки"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Преобразование разметки завершено"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Весь HTML отрисован как PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Добавлены ссылки в содержимое PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Метаданные PDF обновлены"
 
@@ -9248,7 +9248,7 @@ msgstr "Ошибок в базе Calibre
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10271,7 +10271,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Справка"
 
@@ -11544,7 +11544,7 @@ msgid "Errors while adding"
 msgstr "Ошибки при добавлении"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Игнорировать"
 
@@ -11674,8 +11674,8 @@ msgstr "Изменить"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11809,11 +11809,11 @@ msgid "Search the internet for this book
 msgstr "Найти эту книгу в интернете"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Управление: %s"
@@ -11956,7 +11956,7 @@ msgstr "Выделенный текст"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12283,7 +12283,7 @@ msgid "Preset name:"
 msgstr "Имя шаблона:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Вы должны ввести имя"
 
@@ -12360,7 +12360,7 @@ msgid "Save current catalog settings as
 msgstr "Сохранить текущие настройки каталога как шаблон"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Сохранить"
 
@@ -12369,10 +12369,10 @@ msgid "Delete current preset"
 msgstr "Удалить текущий шаблон"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Удалить"
@@ -12485,8 +12485,8 @@ msgstr "Сбросить к умолча
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13672,7 +13672,7 @@ msgid "Ta&gs:"
 msgstr "&Теги:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13687,8 +13687,8 @@ msgstr "&Серии:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Список известных серий. Вы можете добавлять новые серии."
@@ -14555,7 +14555,7 @@ msgid "Choose color"
 msgstr "Выберите цвет"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14896,19 +14896,19 @@ msgid "Edit style transform rules"
 msgstr "Редактировать правила трансформиования стиля"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "&Экспорт"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Экспортировать эти правила в файл"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14982,8 +14982,8 @@ msgstr "Очистить {}"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15064,7 +15064,7 @@ msgid ""
 msgstr "Серии обычно перенумеровываются с самого большого числа в базе данных для этой серии. Отметка в этом поле - начать нумерацию со значения в поле"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16648,7 +16648,7 @@ msgid "Change case"
 msgstr "Сменить регистр"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16656,7 +16656,7 @@ msgid "Upper case"
 msgstr "Верхний регистр"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16664,7 +16664,7 @@ msgid "Lower case"
 msgstr "Нижний регистр"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16672,7 +16672,7 @@ msgid "Swap case"
 msgstr "Сменить регистр"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16706,7 +16706,7 @@ msgid "Manage authors"
 msgstr "Управление авторами"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Искать:"
@@ -17129,57 +17129,57 @@ msgstr[1] "Скрыть {} остающ
 msgstr[2] "Скрыть {} остающихся сообщений об ошибках"
 msgstr[3] "Скрыть {} остающихся сообщений об ошибках"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Выполнение"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Обработка %d книг, пожалуйста подождите..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Текущий шаг прогресса: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Шаг %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Нижний регистр"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Верхний регистр"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Все первые буквы заглавные"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Замена текста"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Регулярное выражение"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Заменить поле"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Добавить в начале поля"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Добавить в конце поля"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Редактирование метаданных одной книги"
@@ -17187,22 +17187,22 @@ msgstr[1] "Редактирование
 msgstr[2] "Редактирование метаданных {} книг"
 msgstr[3] "Редактирование метаданных {} книги"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Сразу сделать все изменения без закрытия диалогового окна. Эта операция не может быть отменена"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Книга %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Введите тип идентификатора"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17210,7 +17210,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Вы можете испортить вашу библиотеку, используя эту функцию.</b> Изменения необратимы. Не существует функции отмены. Прежде чем продолжить, настоятельно рекомендуется создать резервную копию библиотеки.<p>Поиск и замена в текстовых полях с помощью простой замены текста или регулярных выражений. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17220,7 +17220,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "В текстовом режиме в поле ищется введённый текст для поиска. Текст заменяется указанным замещающим текстом везде, где он находится в указанном поле. После завершения замены текст может быть изменен на заглавные, строчные или Регистр Заголовков . Если установлен флажок чувствительность к регистру, текст поиска должен точно совпадать. Если этот флажок снят, текст поиска будет совпадать как с заглавными, так и с строчными буквами."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17235,80 +17235,89 @@ msgid ""
 "function."
 msgstr "В режиме регулярного выражения текст поиска представляет собой произвольное регулярное выражение, совместимое с Python. Текст замены может содержать обратные ссылки на обрамлённые в скобки выражения в шаблоне. Поиск не привязан и может совпадать и заменять несколько раз в одной строке. Функции модификации (нижний регистр и т.д.) Применяются к согласованному тексту, а не к полю в целом. В поле назначения указывается поле, в котором должен быть назначен результат после согласования и замены. Вы можете заменить текст в поле или добавить соответствующий текст. См. <a href=https://docs.python.org/library/re.html\"> эту ссылку </a> для получения дополнительной информации о регулярных выражениях Python и, в частности, функции «sub»."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ОШИБКА ШАБЛОНА ПОИСКА/ЗАМЕНЫ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Вы должны указать место назначения, когда источник составное поле или шаблон"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Новое значение для столбца оценок должно быть пустым или целым от 0 до 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Вы должны определить конечный тип идентификатора"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Необходимо задать выражение поиска в поле \"Искать\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Неверная строка идентификатора. Требуется разделённый запятыми список пар, разделённых двоеточиями"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Поиск/Замена недопустимы"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Шаблон поиска/замены недопустим: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Удалить сохранённые поиск/замена"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Выбранный сохранённый поиск/замена будет удалён. Вы уверены?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Сохранить поиск/замену"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Имя поиска/замены"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Этот сохранённый поиск/замена уже существует и будет перезаписан. Вы уверены?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Править мета информацию"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "Применит&ь дату"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Автор(ы) "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17316,90 +17325,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Это действие приведёт к автоматическому обновлению поля сортировки автора,\nоснованному на поле авторов для каждой выбранной книги. Заметьте, что если\nвы используете элемент интерфейса (флажок) выше для выбора всех авторов в группе, поле сортировки\nавторов обновляется в любом случае, в независимости от значения этого флага (checkbox)."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Автоматически выставить сортировку по автору"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "Поменять местами автора и заголовок"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Обновить сортировочное название, используя текущее название. \r\nЭто будет применено только после других изменений названия."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Сортировочное &имя автора: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Обновить со&ртировочное название"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Указать, как автор(ы) этой книги будут отсортированы. Например Чарльз Дикенс будет сортироваться, как Дикенс, Чарлз."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Изменить &обложку"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "Оценка:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "Со&здать обложку по умолчанию"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Применить оценку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "У&далить обложку"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Издательство: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Пытаться автоматически обнаруживать и удалять границы и лишнее \nпространство по краям изображения обложки. Иногда может \nудалять слишком много, поэтому используйте с осторожностью."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Если установлено, издатель будет очищен"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "О&брезать обложку (ОПАСНО)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Очистить изд."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Установить из &файлов электронных книг"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Добавить &теги: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Установить обложки всех выбранных книг такими же, \nкак и в первой выделенной книге."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Открыть редактор тегов"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Копировать обложки"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Удалить теги:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Приводит название к Титульному Регистру (Первые Буквы Заглавные).\nЕсли включена опция обменять автора и название, то она сработает перед этим."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Разделённый запятыми список тегов для удаления из книг."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Изменить &регистр заголовка:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Установите этот флажок, чтобы удалить все теги из книг."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Дата:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Удалить &все"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Если установлено, издатель будет очищен"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Сер&ии:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Очистить изд."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Если отмечено, серии будут очищены"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Опубликовано:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Очистить серии"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17407,126 +17411,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Если не включено, то номер серии для книг будет установлен в 1.\nЕсли включено, то выбранные книги будут автоматически пронумерованы \nв выбранном вами порядке. Тоесть если вы выбрали книгу А а затем \nкнигу Б, то книга А будет иметь номер серии 1 а книга Б - номер серии 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Автоматически нумеровать книги в серии"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Нумерация серий обычно начинается с самого большого числа,\nкоторое есть в базе данных для этой серии.\nУстановка данной опции укажет calibre начать нумерацию с указанной цифры."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Задать начало нумерации с:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Если отмечено, серии будут очищены"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Очистить серии"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Контролировать как создаются обложки по умолчанию"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Настроить соз&дание обложек"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Указать комментарии для всех выделенных книг"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Удалить теги:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Удалить &все"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Добавить &теги: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Дата:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Указать, как автор(ы) этой книги будут отсортированы. Например Чарльз Дикенс будет сортироваться, как Дикенс, Чарлз."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "Применит&ь дату"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Применить оценку"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Опубликовано:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Очистить дату публикации"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Автор(ы) "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Языки"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Издательство: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Разделённый запятыми список тегов для удаления из книг."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Открыть редактор тегов"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Сортировочное &имя автора: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Установить метаданные в calibre из метаданных в файлах электронных книг. Обратите внимание, что это не меняет обложку, для этого используйте отдельную опцию ниже."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Установить &метаданные (исключая обложку) из файлов электронных книг"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Сер&ии:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Удалить сохранённые настройки преобразования для этих книг.\n\nСледующее преобразование этих книг будет использовать настройки по умолчанию."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Удалить сохранённые настройки преобразования для выбраных книг"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17535,153 +17474,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Когда происходит преобразование из формата в тот же формат, \nнапример из EPUB в EPUB, calibre сохраняет исходный EPUB\n как ORIGINAL_EPUB. Эта настройка заставляет calibre\n восстанавливать EPUB из ORIGINAL_EPUB. Полезно когда вы\n проводите массовое преобразование множества книг\n и что то идёт не так."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Восстановить &оригиналы до конвертации, если возможно"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Установите этот флажок, чтобы удалить все теги из книг."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "Оценка:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Приводит название к Титульному Регистру (Первые Буквы Заглавные).\nЕсли включена опция обменять автора и название, то она сработает перед этим."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Изменить &регистр заголовка:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Обновить сортировочное название, используя текущее название. \r\nЭто будет применено только после других изменений названия."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Обновить со&ртировочное название"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Установить метаданные в calibre из метаданных в файлах электронных книг. Обратите внимание, что это не меняет обложку, для этого используйте отдельную опцию ниже."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Установить &метаданные (исключая обложку) из файлов электронных книг"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Изменить &обложку"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "Со&здать обложку по умолчанию"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "У&далить обложку"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Пытаться автоматически обнаруживать и удалять границы и лишнее \nпространство по краям изображения обложки. Иногда может \nудалять слишком много, поэтому используйте с осторожностью."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "О&брезать обложку (ОПАСНО)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Установить из &файлов электронных книг"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Установить обложки всех выбранных книг такими же, \nкак и в первой выделенной книге."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Копировать обложки"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Контролировать как создаются обложки по умолчанию"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Настроить соз&дание обложек"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Указать комментарии для всех выделенных книг"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "О&сновные метаданные"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Метаданные поль&зователя"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "Загрузить поис&к/замену:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Выбрать сохранённый поиск/замену для загрузки."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Сохранить текущий поиск/замену"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Сохранить"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Искать в &поле:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Имя поля, в котором будет выполняться поиск"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Режим поиска:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Выберите, какой режим использовать: обычное текстовое сравнение или регулярное выражение"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Тип &идентификатора:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Выберите, какой тип идентификатора использовать"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Шаблон:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Введите шаблон для использования в поиске/замене"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Введите то, что ищете: простой текст или регулярное выражение, в зависимости от режима"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Включите, если хотите, чтобы поиск вёлся с учётом регистра символов. Отключите, чтобы игнорировать регистр."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "С учё&том регистра"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Заменить на:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Текст замены. Найденный текст будет заменён на эту строку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "Обр&аботка после замены:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Укажите, как текст будет обработан после сравнения и замены. В текстовом режиме обрабатывается\nвсё поле. В режиме регулярного выражения обрабатывается только соответствующий текст."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "Поле на&значения:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Поле, в которое будет помещён текст после всех замен.\nЕсли пусто, будет использовано исходное поле, если его можно изменять"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "Р&ежим:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Укажите, как следует копировать в поле назначения."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Определяет, должны ли конечные элементы быть разделены на несколько\nчастей, или остаться по отдельности. Эта опция будет наиболее эффективна\nкогда начальное поле одно, а конечное поле составное."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Разделить &результат"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Тип идентификатора:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17689,48 +17715,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Выберите тип идентификатора для работы. Когда \n              исходное поле отличается от 'identifiers' вы можете ввести * если \n              хотите заменить существующее множество идентификаторов на \n              результат поиска/замены.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Для составных полей показывать"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "зна&чения начинающиеся с"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "со значениями &разделяемыми "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Используется при отображении результатов теста составных полей"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Текст для теста"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Результаты теста"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Ваш &тест"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "По&иск и замена"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Если включено, список книг будет пересортирован, и после завершения\n редактирования обновится существующий поиск или виртуальная библиотека.\n Это может быть медленно в больших библиотеках."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Обновить список книг после редактирования"
 
@@ -18186,42 +18212,42 @@ msgstr "Открыть книгу в ч
 msgid "&Item: {0} ({1})"
 msgstr "&Элемент: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Нажмите, чтобы показать только книги с этим элементом. Двойной щелчок для поиска этого элемента в браузере тегов"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Ничего не найдено**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Щелкните в столбце в библиотеке, чтобы увидеть информацию для этой книги"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Книги с выбранным элементом «{0}»: {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr "Дважды щелкните по книге, чтобы изменить выбор в представлении библиотеки или столбец, показанный в левой панели. Shift- или Control - двойной щелчок, для редактирования метаданных книги (также изменит выбранную книгу)."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "При заполнении таблицы что-то пошло не так"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Quickview: книга не в библиотечном представлении"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18327,87 +18353,87 @@ msgstr "Восстановление б
 msgid "Failed to repair library"
 msgstr "Не удалось восстановить библиотеку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Добавить новый сохранённыйй поиск"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Вы можете создать <i>Сохраненный поиск</i>, для часто используемых запросов. Поиск будет отображаться в <i>Поисках</i> в Браузере тегов, с этим именем."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Имя сохранённого поиска"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Поиск:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Поисковое выражение"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Нет имени поиска"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Укажите имя Сохранённого поиска"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Нет поискового выражения"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Укажите выражение поиска для Сохранённого поиска"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Неверный сохранённый поиск"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Управление сохранёнными поисками"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Добавить поиск"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Удалить поиск"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Редактировать поиск"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Текущий сохранённый поиск будет <b>удалён безвозвратно</b>. Вы уверены?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Изменить имя и/или выражение ниже."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Править сохранённый поиск"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Сохраненный поиск с именем {} уже существует. Выберите другое имя"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Выражение поиска"
 
@@ -19180,11 +19206,11 @@ msgstr "Фильтровать прим
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:294
 msgid "Search for {}"
-msgstr ""
+msgstr "Искать {}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:297
 msgid "Filter by {}"
-msgstr ""
+msgstr "Фильтровать по {}"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:300
 #, python-brace-format
@@ -19305,48 +19331,64 @@ msgstr "Тег 1"
 msgid "Tag 2"
 msgstr "Тег 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Инструкция по шаблонам языка"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Указание по шаблонам функций"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Выберите значок"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "ИСКЛЮЧЕНИЕ: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Шаблонная функция в Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Сохранённый шаблон"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Не выбран столбец"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Вы должны выбрать столбец"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Не предоставлено шаблона"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Поле шаблона не может быть пустым"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "Шаблон Основного Режима Программирования"
 
@@ -20420,7 +20462,7 @@ msgstr "Искать ярлык по и
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Нет совпадений"
 
@@ -20579,8 +20621,8 @@ msgid "Show in calibre"
 msgstr "Показать в calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Редактировать примечания"
 
@@ -20601,14 +20643,14 @@ msgstr[2] "Удалить {} выбра
 msgstr[3] "Удалить {} выбранный элемент"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Развернуть всё"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Свернуть всё"
 
@@ -22842,60 +22884,60 @@ msgstr "<li>Если столбец «<b
 msgid "value: "
 msgstr "значения: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Добавить правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Удалить правило(а)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Переместить выбранное правило вверх"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Переместить выбранное правило вниз"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Добавить &продвинутое правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr "По&вторить правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr "Преобразовать в расширенное п&равило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
-msgstr ""
+msgstr "Открыть папку значков"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Импортировать правила из файла"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Вы можете управлять цветом столбцов в списке книг, создав «правила», объясняющие calibre, какой цвет использовать. Нажмите ниже кнопку «Добавить правило», чтобы начать. <p>Вы можете <b>изменить существующее правило</b>, дважды щёлкнув по нему."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Вы можете добавить значки столбцов в списке книг, создав «правила», объясняющие calibre, какой значок использовать. Нажмите ниже кнопку «Добавить правило», чтобы начать. <p>Вы можете <b>изменить существующее правило</b>, дважды щёлкнув по нему."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22903,57 +22945,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Вы можете добавить эмблемы (небольшие значки), которые показываются сбоку обложек в сетке обложек, создав «правила», объясняющие calibre, какое изображение использовать. Нажмите ниже кнопку «Добавить правило», чтобы начать. <p>Вы можете <b>изменить существующее правило</b>, дважды щёлкнув по нему."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Показывать &эмблемы рядом с обложками"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Если отмечено, calibre может отображать значки по вашему выбору рядом с обложками, показанными в сетке обложек, контролируемой метаданными книги."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr "Выберите одно правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr "Можно выбрать только одно правило."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Правило не выбрано"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Не выбрано правило для %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "удаления"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Выберите файл для экспорта"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Правила"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Выберите файл для импорта"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Не найдено корректных правил"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Не найдено корректных правил в {}."
 
@@ -23795,13 +23837,13 @@ msgstr "без подзаголовка"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Низ"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Верх"
 
@@ -23835,7 +23877,7 @@ msgid "If there is enough room"
 msgstr "Если достаточно места"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "По первой букве"
 
@@ -24116,7 +24158,7 @@ msgid ""
 msgstr "Calibre использует два вида кэша для улучшения производительности во время отображения обложек в режиме просмотра сетки. Дисковый кэш хранит миниатюры  обложек, и кэш в памяти, обеспечивающий отображения обложек без мерцания. Оставьте кэш памяти небольшим, а дисковый кэш большим. Если у Вас в компьютере избыток оперативной памяти - увеличьте значение кэша в памяти."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Отключено"
 
@@ -24808,7 +24850,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr "Здесь вы можете изменить метаданные которые использует calibre для обновления книги при сохранении на диск или отправке на устройство.\n\nИспользуйте этот диалог для определения коммутации формата (всех форматов) и устройства (всех устройств). Коммутация определяет какой шаблон и с каким полем соединён. Шаблон используется для вычисления значения и это значение присваивается связанному полю.\n\nЧасто шаблоны будут содержать ссылки на составные колонки, но это необязательно. Вы можете использовать любой шаблон в исходном поле и везде в calibre.\n\nОдно из возможных применений коммутации - это создание альтернативного названия с информацией о серии. Ещё можно изменить сортировку по автору так, чтобы пользователи mobi могли использовать ';' как требует kindle. В-третьих, можно указать язык."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25377,7 +25419,7 @@ msgid ""
 msgstr "Требование имени пользователя/пароля предотвращает несанкционированный доступ к вашей библиотеке calibre. Ещё это необходимо для некоторых функций, таких как внесение любых изменений в библиотеку и синхронизация места чтения/заметок."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Изменить пароль для {}"
 
@@ -25512,7 +25554,7 @@ msgid "Change &password"
 msgstr "Изменить &пароль"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{} в настоящее время разрешен только доступ к библиотеке с именем: {}"
@@ -25525,7 +25567,7 @@ msgid "Change the allowed libraries"
 msgstr "Изменить разрешённые библиотеки"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} в настоящее время не разрешен доступ к библиотеке с именем: {}"
@@ -27040,7 +27082,7 @@ msgid "Books in this category are unrate
 msgstr "Книги в этой категории не оценены"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Поисковое выражение:"
 
@@ -27331,7 +27373,7 @@ msgstr "Переименовать %s в
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Переименовать %s"
@@ -27391,95 +27433,95 @@ msgstr "Удалить сохранён
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Удалить %(item)s из категории %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
-msgstr ""
+msgstr "Искать %s и его потомков"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Искать всё кроме %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
-msgstr ""
+msgstr "Искать всё кроме %s и его потомков"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Поиск с использованием сохраненного поискового выражения"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Добавить подкатегорию в %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Удалить пользовательскую категорию %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Искать книги в категории %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Искать книги НЕ в категории %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr "Изменить допустимые значения для %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Скрыть категорию %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Изменить значок категории"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Восстановить значок по умолчанию"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Управление пользовательскими категориями"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Сменить схему подкатегорий"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Раздел"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Первая буква может использоваться только при сортировке по именам"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Развернуть или свернуть"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Развернуть {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Развернуть {0} с дочерними элементами"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "Свернуть {0}"
@@ -28136,7 +28178,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Текущие книги уже были преобразованы в формат %s. Желаете переделать их?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr "В вашей системе не найден speech-dispatcher. Пожалуйста, установите его."
 
@@ -28669,7 +28712,7 @@ msgid ""
 msgstr "Когда закончите редактирование {0}, нажмите «Импорт», чтобы обновить файл в книге, или «Отменить», чтобы отклонить все изменения."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Отменить"
 
@@ -30915,7 +30958,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Курсив</h3>Сделать выбранный текст курсивным"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "По&дчёркнутый"
 
@@ -32250,7 +32293,7 @@ msgid "Disabled confirmations restored"
 msgstr "Отключить все восстановленные подтверждения"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "Сбой процесса отрисовки"
 
@@ -32877,7 +32920,7 @@ msgid "Export saved searches"
 msgstr "Экспортировать сохраненные результаты поиска"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Экспорт"
 
@@ -34757,16 +34800,16 @@ msgstr "выделения calibre"
 msgid "highlights"
 msgstr "выделения"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "Изменить это выделение"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr "Редактировать заметки к этому выделению"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] "Удалить это выделение"
@@ -34774,7 +34817,7 @@ msgstr[1] "Удалить выбранн
 msgstr[2] "Удалить выбранные выделения"
 msgstr[3] "Удалить выбранные выделения"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34783,39 +34826,39 @@ msgstr[1] "Секции оглавлен
 msgstr[2] "Секции оглавления:"
 msgstr[3] "Секции оглавления:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Дважды щёлкните по записи для изменения"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Изменить"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "Изменить выбранное выделение"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "Удалить выбранные выделения"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "Экспортировать всё выделенное"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "Нет выделений, соответствующих запросу: {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "Нет выбранных выделений"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "Нет текущего выбранного выделения"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] "Вы действительно хотите безвозвратно удалить это выделение?"
@@ -34823,11 +34866,11 @@ msgstr[1] "Вы действительн
 msgstr[2] "Вы действительно хотите безвозвратно удалить все {} выделений?"
 msgstr[3] "Вы действительно хотите безвозвратно удалить все {} выделение?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "Выделения отсутствуют"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "В этой книге отсутствуют выделения для экспорта"
 
@@ -35281,7 +35324,7 @@ msgid "E-book viewer"
 msgstr "Читалка электронных книг"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Прокрутить сюда"
 
@@ -35357,13 +35400,13 @@ msgstr "Не удалось загруз
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Не удалось открыть книгу в {0}. Нажмите «Показать подробности» для получения дополнительной информации."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Сбой процесса отрисовки Qt WebEngine. Попробуйте перезапустить читалку."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Выберите фоновое изображение"
 
@@ -35528,10 +35571,10 @@ msgid "< &Back"
 msgstr "< &Назад"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Отменить"
 
@@ -36172,7 +36215,7 @@ msgid "No genres to catalog.\n"
 msgstr "Нет жанров для каталога.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr "Проверьте регулярное выражение 'Исключаемые жанры' в настройках электронной книги.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36221,7 +36264,7 @@ msgstr "Сортировка назва
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr "Нет книг для каталога.\nПроверьте правила 'Исключаемые книги' в настройках электронной книги.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36698,177 +36741,208 @@ msgstr "Полный интерфейс
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} недействительный IP-адрес/сеть с ошибкой: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Что вы хотите сделать?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "по умолчанию"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Выбор не сделан, выход…"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s - недопустимый выбор, попробуйте снова"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Существующие имена пользователей:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Пользователи отсутствуют, сначала добавьте хотя бы одного."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Пользователь %s не существует"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Введите имя пользователя"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Введите новый пароль для %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Пустые пароли запрещены"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Введите повторно пароль для %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Пароли не совпадают"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Пользователь %s успешно добавлен!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Вы действительно хотите удалить пользователя %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Пользователь %s успешно удален!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Пароль для %s успешно изменен!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Текущий пароль для {0} это: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Разрешить {} вносить изменения (т. е. дать права на запись)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Запретить {} вносить изменения (т. е. удалить права на запись)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} имеет следующие дополнительные ограничения для каждой библиотеки:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} не имеет дополнительных ограничений для каждой библиотеки"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Разрешить доступ ко всем библиотекам"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Разрешить доступ только к определенным библиотекам"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Разрешить доступ ко всем, кроме указанных библиотек"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Изменение ограничений для каждой библиотеки"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Введите имя библиотеки:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Введите поисковое выражение, доступ будет предоставлен только для книг, соответствующих этому выражению. Пустое выражение предоставит доступ ко всем книгам."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Другое ограничение?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Введите список имен библиотек, разделяя запятыми:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Разрешить доступ только к библиотекам: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Разрешить доступ ко всем библиотекам, исключая: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Показать пароль для {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Сменить разрешение чтение_запись для {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Сменить доступные библиотеки {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "Доступ {0}: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "чтение_и_запись"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "только_чтение"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Добавить нового пользователя"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Изменить существующего пользователя"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Удалить пользователя"
 
@@ -37278,13 +37352,14 @@ msgid ""
 msgstr "Автоматическая перезагрузка сервера при изменении исходного кода. Полезно в разработке. Вам также следует указать малое значение таймаута выключения."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Управлять пользователями базы данных, которым разрешено подключаться к этому серверу. Смотрите так же параметр %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37292,23 +37367,23 @@ msgid ""
 "at: {1}"
 msgstr "Путь к пользовательской базе данных, используемой для аутентификации. База данных представляет собой SQLite-файл. Для его создания используйте {0}. Вы можете узнать больше об управлении пользователями по адресу: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Запущена другая программа calibre, другой экземпляр {} или основная программа. Не поддерживается несколько программ, одновременно могущих вносить изменения в библиотеку."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Прервано пользователем"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Не найдена библиотека calibre в: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Укажите хотя бы одну библиотеку Calibre"
 
@@ -37321,7 +37396,7 @@ msgid "Enum"
 msgstr "Перечисление"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Неверный синтаксис. Ожидалось поисковое имя или слово"
 
@@ -37480,128 +37555,128 @@ msgstr "Настройки и плаги
 msgid "File is open in another process"
 msgstr "Файл открыт другим процессом"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr "конец программы"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr "{0}: {1} рядом с {2}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "Не удалось проверить программу. Неверный ввод {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Синтаксическая ошибка — программа заканчивается до EOF"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "В операторе if пропущен «then»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "В операторе if пропущен «fi»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr "В заявлении отсутствует идентификатор"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr "В заявлении отсутствует 'in'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr "В заявлении отсутствует двоеточие (':') "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr "В заявлении отсутствует 'rof'"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr "Сохраняемый шаблон должен начитаться с {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Неизвестная функция {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Пропущена закрывающая скобка"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr "Параметры для '{}' должны быть переменными или присваиваниями"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr "Неверное количество аргументов для функции {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "Выражение не является функцией или константой"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Ошибка сравнения строк. Оператор {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "Значение, использующееся для сравнения, не является числом. Оператор {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Неизвестный идентификатор {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Неизвестное поле {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr "Поле {0} не является списком"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr "Необработанное исключение {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Внутренняя ошибка вычисления выражения"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format: type {0} требует целое значение, есть {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: type {0} требует десятичное (плавающее) значение, есть {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: неизвестная функция"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr "Нет такой переменной {0} "
@@ -37656,60 +37731,60 @@ msgstr "strlen(a) -- Возвращае
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- возвращает x + y. Выдает exception, если х или у не числа."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- возвращает x - y. Выдает exception, если х или у не числа."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- возвращает x * y. Выдает exception, если х или у не числа."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- возвращает x / y. Выдает exception, если х или у не числа."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling(x) - возвращает наименьшее целое число, большее или равное x. Выдает исключение, если x не является числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor (x) - возвращает наибольшее целое число, меньшее или равное x. Выдает исключение, если x не является числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round (x) - возвращает ближайшее к x целое число. Выдает исключение, если x не является числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr "mod (x) - возвращает остаток от x / y, где x, y и результат являются целыми числами. Выдает исключение, если x или y не является числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr "fractional_part (x) - возвращает значение после десятичной точки. Например, дробная_часть (3.14) возвращает 0.14. Выдает исключение, если x не является числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37721,7 +37796,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- обрабатывает x как шаблон. Сравнение выполняется в контексте, тоесть переменные не передаются между вызовом и обрабатываемым шаблоном. Так как символы { и } специальные, вы должны использовать [[ вместо { и ]] вместо }; они преобразуются автоматически. Например, шаблон ('[[title_sort]]') будет опознан как {title_sort} и будет возвращено его значение. Помните также, что префиксы и суффиксы (синтаксис `|prefix|suffix`) не могут быть использованы в аргументе этой функции в режиме создания шаблона."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37732,13 +37807,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(шаблон) -- обрабатывает шаблон, пропуская локальные переменные (которые 'assign'ed) вместо метаданных книги. Это позволяет использовать обработчик шаблонов для построения сооставных результатов из локальных переменных. Так как символы { и } специальные, вы должны использовать [[ вместо { и ]] вместо }; они преобразуются автоматически. Например, шаблон ('[[title_sort]]') будет опознан как {title_sort} и будет возвращено его значение. Помните также, что префиксы и суффиксы (синтаксис `|prefix|suffix`) не могут быть использованы в аргументе этой функции в режиме создания шаблона."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(идентификатор, значение) -- присваивает значение идентификатору и возвращает значение. Идентификатор должен быть идентификактором а не выражением."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37746,32 +37821,32 @@ msgid ""
 "(zero). The function returns the last element in the list. Example: "
 "split('one, two, foo', ',', 'var') is equivalent to var_0 = 'one'; var_1 = "
 "'two'; var_3 = 'foo'."
-msgstr ""
+msgstr "split(list_val, sep, id_prefix) - разделяет list_val на отдельные значения с помощью 'sep', затем присваивает значения переменным с именем id_prefix_N, где N - позиция значения в списке. Первый элемент имеет позицию 0 (ноль). Функция возвращает последний элемент в списке. Пример: split ('one, two, foo', ',', 'var') эквивалентен var_0 = 'one'; var_1 = 'two'; var_3 = 'foo'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- выводит аргументы в стандартный вывод. Если вы запускаете calibre из командной строки (calibre-debug -g), вывод будет происходить впустую."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(название) -- возвращает поле метаданных с указанным названием"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(название) -- возвращает поле метаданных с указанным названием без применения форматирования."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- возвращает список метаданных, названных по имени name без применения какого-либо форматирования или сортировки и с элементами, разделёнными разделителем separator."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37781,7 +37856,7 @@ msgid ""
 "'234'."
 msgstr "substr(строка, начало, конец) -- извлекает подстроку ограниченную заданными номерами символов. Первый символ строки имеет номер ноль. Если конец отриццательный, то символы будут отсчитываться с конца строки. Если конец равен нулю, то это означает последний символ строки. Например, substr('12345', 1, 0) вернёт '2345', и substr('12345', 1, -1) вернёт '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37791,24 +37866,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(значение, шаблон1, поле1, шаблон2, поле2, ..., иначе_поле) -- как switch, за тем исключением что аргументы - это названия полей метаданных а не текст. Значение соответствующего поля извлекается и используется. Помните, что из-за того, что составные столбцы тоже поля, вы можете использовать эту функцию в одном составном поле, чтобы использовать данные другого составного поля. Это очень полезно при создании различных путей сохранения"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "поиск требует 2 или нечетное число аргументов"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, текст_если_не_пусто, текст_если_пусто) -- возвращает `текст_если_не_пусто` если значение val не пустое, иначе возвращает `текст_если_пусто`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) -- проверяет, содержит ли значение val соответствия с регулярным выражением `pattern`. Возвращает `text if match` если найдены соответствия, иначе возвращает `text if no match`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37817,11 +37892,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- для каждой пары `pattern, value`, проверяет, соответствует ли значение `val` регулярному выражению `pattern`, и если так, то возвращает соответствующее значение `value`. Если val не соответствует ниодному шаблону, то возвращается `else_value` . Вы можете использовать столько пар `pattern, value`, сколько вы хотите."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch требует нечётное число аргументов"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37831,19 +37906,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(максимум, строка1, префикс2, строка2, ...) -- Возвращает строку сформированную из соединённых аргументов. Возвращаемое значение инициализируется строкой1. Пары \"префикс, строка\" добавляются в конец значения пока длина строки меньше \"максимума\". Строка1 возвращается даже если её длина больше максимума. Количество пар \"префикс, строка\" не ограничено."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max требует 2 или больше агрументов"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max требует четного числа аргументов"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "первый аргумент strcat_max должен быть целым числом"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37853,11 +37928,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separator, pattern, found_val, ..., not_found_val) -- val используется как список элементов разделённых separator с применением шаблона pattern для каждого значения в списке. Если шаблон соответствует значению, возвращается found_val, иначе возвращается not_found_val. Шаблон и found_value могут быть повторены столько раз, сколько требуется, при этом разрешается возвращать различные значения в зависимости от поиска. Шаблоны проверяются по порядку. Возвращается первое совпадение."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list требует нечётное число аргументов"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37869,11 +37944,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(val, separator, string, found_val, ..., not_found_val) - обрабатывют val как список элементов, разделенных разделителем, сравнивая строку с каждым значением в списке. Если строка соответствует значению (игнорируя регистр), тогда возвращается найденный_val, иначе возвращается not_found_val. Если строка содержит разделители, то она также рассматривается как список, и каждое значение проверяется. Строка и found_value могут повторяться столько раз, сколько требуется, что позволяет возвращать разные значения в зависимости от поиска. Строки проверяются по порядку. Возвращается первое совпадение."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list требует нечётное число аргументов"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37884,14 +37959,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(значение, идентификатор, значение если найдено, значение если не найдено) -- Обрабатывает значение как список идентификаторов разделённых запятой, сравнивая \"идентификатор\" с каждым элементом списка. Идентификатор имеет формат \"идентификатор:значение\". Параметр \"идентификатор\" должен иметь формат \"идентификатор\" или \"идентификатор:регулярное выражение\". В первом случае будет искаться совпадение с любым элементом списка содержащим соответствующий идентификационный ключ. Во втором случае будет искаться совпадение значения идентификатора с регулярным выражением. Если найдено совпадение, то возвращается \"начение если найдено\" а иначе \"значение если не найдено\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, pattern, replacement) -- возвращает значение после применения регулярного выражения. Все вхождения `pattern` заменятся на `replacement`. Как везде в calibre, это Python-совместимые регулярные выражения"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37904,20 +37979,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- возвращает строку, созданную при помощи применения шаблона регулярного выражения pattern к переменной val и замены каждого подходящего соответствия строкой, созданной заменой каждой подходящей группы на значение, возвращённое соответствующим шаблоном. Оригинальное подходящее значение для группы доступно как $. В режиме шаблонов, как для функции eval и template, вы используете  [[ для { и ]] для }.  Следующий пример в режиме шаблона ищет серии из более чем одного слова и переводит первое слово в верхний регистр: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma (значение) - получает значение \"B, A\", возвращает \"A B\". Это особенно полезно для преобразования имен из \"AB, AC\" в формат \"AC AB\". Если нет запятой, то функция возвращает значение без изменений"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(значение, текст_если_пусто) — возвращает значение, если оно не является пустым, иначе возвращает «text if empty»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37931,7 +38006,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- Возвращает сокращённую версию значения val, состоящую из `left chars` символов  из начала val, за которыми следует `middle text`, за которыми следует  `right chars` символов из конца строки. `Left chars` и `right chars` должны быть целыми числами. Например, предположим, что заголовок книги - `Ancient English Laws in the Times of Ivanhoe`, и вы хотите сократить его как минимум до 15 символов. Если вы используете  {title:shorten(9,-,5)}, В результате получится `Ancient E-nhoe`. Если длина поля меньше, чем left chars + right chars + длина `middle text`, то поле будет использоваться без изменений. Например заголовок `The Dome` не изменится."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37939,7 +38014,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(значение, разделитель) — интерпретирует значение как список элементов, разделенных «разделителем», возвращая количество элементов в списке. Большинство списков использует запятую в качестве разделителя, но для авторов используют амперсанд. Примеры: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37948,14 +38023,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(значение, индекс, разделитель) — обрабатывает значение как список элементов разделённых «разделителем», возвращая элемент с номером «индекс». Первый элемент имеет номер ноль. Последний элемент может быть получен выражением \"list_item(-1,разделитель)\". Если элемент не в списке, то возвращается пустое значение. Разделитель работает так же, как и в функции count."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(значение, ключ) — интерпретирует значение как список элементов разделённых запятой, элементы имеют формат идентификатор:значение». Ищет пару с идентификатором равным ключу и возвращает соответствующее значение."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37968,19 +38043,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() — возвращает разделённый запятыми список форматов которые в какой то момент были связаны с книгой. Нет гарантий что список будет правильным, хотя скорее всего будет. Эта функция может быть вызвана из режима выполнения программы через шаблон \"{:'approximate_formats()'}\". Помните, что названия форматов всегда в верхнем регистре, например как «EPUB». Эта функция работает только в графическом интерфейсе. Если вы желаете использовать эти значения в шаблоне для сохранения на диск или отправки на устройство, то вам следует создать пользовательский столбец типа «Столбец состоящий из других столбцов\" и использовать функцию в нём, а затем использовать значение этого столбца в ваших шаблонах сохранения/отправки."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Эта функция может быть использована только в графическом интерфейсе"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37990,7 +38065,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- возвращает разделённый запятыми список разделённых двоеточиями элементов, представляющих собой время изменения форматов книги. Параметр date_format задаёт формат даты. Смотрите функцию format_date для подробностей. Вы можете использовать функцию select для получения времени модификации для заданного формата. Заметьте, что названия форматов всегда в верхнем регистре, например EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37998,7 +38073,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- возвращает разделённый запятыми список элементов, разделённых двоеточиями, представляющих собой размеры в байтах форматов книги. Вы можете использовать функцию select для получения размера для заданного формата. Заметьте, что названия форматов всегда в верхнем регистре, например EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -38006,13 +38081,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- возвращает разделённый запятыми список элементов, разделённых двоеточиями, представляющих собой полный путь к форматам книги. Вы можете использовать функцию select для получения пути для заданного формата. Заметьте, что названия форматов всегда в верхнем регистре, например EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) — возвращает строку, представляющюю число v в виде KB, MB, GB, и т.д."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -38023,7 +38098,7 @@ msgid ""
 "fails."
 msgstr "Format_number (v, template) - форматирование числа v с использованием шаблона форматирования Python, подобного \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". Элемент field_name шаблона должен быть 0 (zero) (the \"{0:\" в примерах выше). См. Язык шаблонов и документацию Python для получения более подробной информации. Вы можете оставить ведущий \"{0:\" and trailing \"}\" если шаблон содержит только формат. Возвращает пустую строку, если форматирование не выполняется."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -38036,7 +38111,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, start_index, end_index, separator) -- интерпретировать это значение как список значений, разделённых `separator`, возвращающий новый список с началом в `start_index` до конца в `end_index`. Первый пункт - номер ноль. Если индекс - отрицательный, то его начало - от конца списка. В особых случаях, end_index нуля считается длиной списка. Примеры, использующие режим базового шаблона и предополагающие что столбец тегов (разделённый запятыми) содержит \"A, B, C\": {tags:sublist(0,1,\\\\,)} возвращает \"A\". {tags:sublist(-1,0,\\\\,)} возвращает \"C\". {tags:sublist(0,-1,\\\\,)} возвращает \"A, B\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38053,7 +38128,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(значение, начальный_номер, конечный_номер) — разбивает список элементов (например, жанры). Она принимает значение в виде списка элементов, разделённых запятой, где каждый элемент — это список элементов разделённых точкой. Возвращает новый список следующим образом: вначале находятся все элементы, разделённые точкой, затем для каждого такого элемента извлекаются компоненты с «начального_номера» по «конечный_номер», затем объединённый результат возвращается вместе. Первый компонент в периодичном списке имеет номер ноль. Если номер отрицательный, то счёт идёт с конца списка. Если «конечный_номер» равен нулю, то обработка идёт до конца списка. Например, используя основной режим шаблона и присвоив #genre (жанру) значение \"A.B.C\" используя: {#genre:subitems(0,1)} получим \"A\". {#genre:subitems(0,2)} получим \"A.B\". {#genre:subitems(1,0)} получим \"B.C\". Присвоив #genre (жанру) значение \"A.B.C, D.E.F\", {#genre:subitems(0,1)} получим \"A, D\". {#genre:subitems(0,2)} получим \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38076,23 +38151,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(значение, формат_строки) — форматирует значение, которое должно быть датой, используя «формат_строки». Возвращает строку. Коды форматирования следующие: d    : номер дня месяца без первого нуля (от 1 до 31) dd   : номер дня месяца с нулём (от 01 до 31) ddd  : сокращённое локализованное название дня недели (от \"Пн\" до \"Вс\"). dddd : полное локализованное название дня недели (от \"Понедельник\" до \"Воскресенье\"). M    : номер месяца в году без первого нуля (от 1 до 12). MM   : номер месяца в году с нулём (от 01 до 12) MMM  : сокращённое локализованное название месяца (от \"Янв\" до \"Дек\"). MMMM : полное локализованное название месяца (от \"Январь\" до \"Декабрь\"). yy   : две последние цифры года (от 00 до 99). yyyy : полный номер года из четырёх цифр. h    : часы без первого 0 (от 0 до 11 или от 0 до 23, в зависимости от am/pm (12/24) формата времени) hh   : часы с первым 0 (от 00 до 11 или от  00 до 23, в зависимости от am/pm) m    : минуты без первого 0 (от 0 до 59) mm   : минуты с 0 (от 00 до 59) s    : секунды без первого 0 (от 0 до 59) ss   : секунды с 0 (от 00 до 59) ap   :использовать 12-часовой формат вместо 24-часового, с \"ap\" заменённым на локализованную строку для am или pm AP   : использовать 12-часовой формат вместо 24-часового, с \"AP\"  заменённым на локализованную строку для AM или PM iso  : дата, время и временная зона (должен быть единственным форматом)"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- возвращает val в верхнем регистре"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- возвращает val в нижнем регистре"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- вернуть val в регистре заголовка"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- возврат  val заглавными буквами"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38101,7 +38176,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() — возвращает значение поля «размер». Эта функция работает только в графическом интерфейсе. Если вы желаете использовать её значение в шаблоне для сохранения на диск или отправки на устройство, то вам следует создать пользовательский столбец типа Столбец состоящий из других столбцов» и использовать функцию в нём, а затем использовать значение этого столбца в ваших шаблонах сохранения/отправки."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38110,55 +38185,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() — возвращает «Да» (Yes) если параметр ondevice установлен, иначе возвращает пустую строку. Эта функция работает только в графическом интерфейсе. Если вы желаете использовать её значение в шаблоне для сохранения на диск или отправки на устройство, то вам следует создать пользовательский столбец типа «Столбец состоящий из других столбцов\" и использовать функцию в нём, а затем использовать значение этого столбца в ваших шаблонах сохранения/отправки."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr "annotation_count () - вернуть общее количество аннотаций всех типов, прикрепленных к текущей книге. Эта функция работает только в графическом интерфейсе."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr "Не удалось получить количество аннотаций"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- возвращает сортировочное значение серии"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() — вовзращает «Да» (Yes), если у книги есть обложка, иначе возвращает пустую строку"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(значение, значение, ...) — возвращает первое значение, которое не пусто. Если все значения пусты, то возвращается пустое значение. Количество значений не ограничено."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(значение, значение, ...) -- возвращает строку \"1\", если все значения не пустые, иначе возвращает пустую строку. Эта функция хорошо работает с test или first_non_empty. Вы можете использовать столько значений, сколько хотите."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(значение, значение, ...) — возвращает строку «1» если есть хотя бы одно непустое значение, иначе возвращает пустую строку. Эту функцию удобно использовать с функциями test или first_non_empty. Количество значений не ограничено."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not([значение) -- возвращает строку \"1\", если значение пустое, иначе возвращает пустую строку. Эта функция хорошо работает с  test или first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38167,7 +38242,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- возвращает список, созданный объединением элементов списков list1 и list2 с удалением одинаковых элементов, используя регистронезависимое сравнение. Если регистр элементов различается, используется тот, что в списке list1. Элементы в списках list1 and list2 разделяются разделителем separator, так же как и элементы в возвращаемом списке."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38175,7 +38250,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- возвращает список, созданный при помощи удаления из списка list1 любого элемента, найденного в списке list2, используя регистронезависимое сравнение. Элементы в списках list1 и list2 разделяются разделителем separator, так же как и элементы в возвращаемом списке."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38183,7 +38258,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- возвращает список, созданный при помощи удаления из списка list1 любого элемента, не найденного в списке list2, используя регистрозависимое сравнение. Элементы в списках list1 и list2 разделяются разделителем separator, так же как и элементы в возвращаемом списке."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38191,7 +38266,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(список, направление, разделитель) — возвращает отсортированный список без учёта регистра. Если «направление» равно нулю, список сортируется по возрастанию, иначе по убыванию. Элементы в списке разделяются «разделителем», как и элементы в возвращаемом списке."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38200,7 +38275,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- возвращает yes_val если list1 и list2 содержат одинаковые элементы, иначе возвращает no_val. Элементы определяются разделением каждого списка с использованием соответствующего символа разделителя (sep1 или sep2). Порядок элементов в списке не важен. Сравнение регистронезависимое."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38209,7 +38284,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- Создаёт список, разделяя src_list на элементы, используя символ-разделитель separator. Для каждого элемента в списке проверяет, соответствует ли он include_re. Если соответствует, тогда добавляет его в возвращаемый список. Если opt_replace не пустая строка, то применяет замену до добавления элемента в возвращаемый список."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38217,14 +38292,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Работает как list_re за исключением того, что замены не необязательные. Использует re_group(list_item, search_re, group_1_template, ...) в процессе замены на результирующем списке."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() — возвращает текущий день в виде строки. Это значение предназначено для использования в format_date или days_between, но можно использовать как и любую другую строку. Дата в формате ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38232,7 +38307,7 @@ msgid ""
 "empty string."
 msgstr "days_between (дата1, дата2) — возвращает количество дней между «дата1» и «дата2». Число положительно, если «дата1» больше «дата2», в противном случае отрицательно. Если «дата1» или «дата2» не является датой, функция возвращает пустую строку."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38240,28 +38315,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(коды языка, локализация) — вовращает строку, состоящую из кодов языка, взятых из «коды языка». Если «локализация» не указана, то возвращается строка на английском. Если «локализация» имеет значение, то возвращается строка на языке текущей локализации. «Коды языка»  это список разделённый запятыми."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(строки языка) — возвращает коды языка для строк, взятых из «строки языка». Строки должны быть на языке текущей локализации. Строки языка» — это список разделённый запятыми."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() — возвращает последнее имя в пути к текущей библиотеке. Эта функция может быть вызвана в режиме программирования шаблона с помощью шаблона \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() — возвращает путь к текущей библиотеке Calibre. Эта функция может быть вызвана в режиме создания шаблона с помощью шаблона \"{:'current_library_path()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38270,7 +38345,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(значение, формат, префикс, суффикс) — применяет формат, префикс и суффикс к значению так же, как в шаблоне вроде `{series_index:05.2f| - |- }`. Например, следующая программа делает то же, что и указанный шаблон: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38279,7 +38354,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- возвращает разделённый запятыми список виртуальных библиотек, которые содержат эту книгу. Эта функция работает только в графическом интерфейсе. Если вы желаете использовать её значение в шаблоне для сохранения на диск или отправки на устройство, то нужно создать пользовательский столбец типа \"Столбец, состоящий из других столбцов\" и использовать функцию в нём, а затем использовать значение этого столбца в своих шаблонах сохранения/отправки"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38288,7 +38363,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- возвращает разделённый запятыми список категорий пользователя, которые содержат эту книгу. Эта функция работает только в Интерфейсе Пользователя. Если вы хотите использовать эти значения в шаблонах сохранить-на диск или сохранить-на-устройство, вы должны создать пользовательский \"Столбец, созданный из других столбцов\", использовать функцию в шаблоне этого столбца и использовать значение этого столбца в ваших шаблонах сохранения/посылки"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38296,7 +38371,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) — Возвращает строку в латинском алфавите, которая по звучанию похожа на слова исходной строки. Например, если изначально было \"{0}», то функция вернёт «{1}»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38308,7 +38383,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- возвращает строку, содержащую список авторов и значения ссылок авторов в формате  автор1 val_separator ссылка_автора1 pair_separator автор2 val_separator ссылка_автора2 и т.д.. Автор отделяется от значения его ссылки строкой-разделителем val_separator без пробелов. Пары автор:значение_ссылки разделяются строкой-разделителем пар pair_separator без пробелов. Вы должны выбрать строки-разделители, которые не встречаются в именах авторов и ссылках. Автор включается, даже если ссылка автора пуста."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38319,7 +38394,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- возвращает строку, содержащую список значений сортировок автора для авторов книги. Сортировка - метаданные автора (отличающиеся от author_sort в книгах). Возвращаемый список имет формат автор сортировка1 val_separator автор сортировка2 и так далее. Значения сортировок автора в этом списке в том же порядке, как и авторы в книге. Если вам нужны пробелы вокруг разделителя val_separator, включите их в строку val_separator"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38327,13 +38402,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_name (storage_location) - если устройство подключено, вернуть имя устройства, в противном случае вернуть пустую строку. Каждое место хранения на устройстве может иметь другое имя. Названия локаций - main, carda и cardb. Эта функция работает только в графическом интерфейсе."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr "connected_device_name: недопустимое место хранения \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38341,7 +38416,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_uuid (storage_location) - если устройство подключено, вернуть uuid устройства (уникальный идентификатор), в противном случае вернуть пустую строку. У каждого места хранения на устройстве свой uuid. Названия локаций - 'main', 'carda' и 'cardb'. Эта функция работает только в графическом интерфейсе."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38354,11 +38429,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr "check_yes_no(field_name, is_undefined, is_false, is_true) - проверяет значение поля yes/no, названного ключом поиска field_name, на значение, указанное в параметрах, возвращая «yes», если совпадение найдено, в противном случае возвращает пустую строку , Установите параметр is_undefined, is_false или is_true в 1 (число), чтобы проверить это условие, в противном случае установите его равным 0. Пример: check_yes_no(\"# bool\", 1, 0, 1) возвращает \"yes\", если yes/no поле \"#bool\" не определено (ни True, ни False), или True. Более одного из is_undefined, is_false или is_true может быть установлено в 1. Эта функция обычно используется функциями test() или is_empty()."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no требует, чтобы поле было пользовательским столбцом Yes/No"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38366,11 +38441,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "rating_to_stars (value, use_half_stars) - возвращает рейтинг в виде строки из символов \"звезда\". Значением может быть число от 0 до 5. Установите для use_half_stars значение 1, если вы хотите символы в виде \"половина звезды\" для столбцов пользовательских нецелых оценок, например 2.5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "Рейтинг должен быть числом от 0 до 5"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38379,7 +38454,7 @@ msgid ""
 "single value, not a list."
 msgstr "swap_around_articles (val, separator) - возвращает val со статьями, перемещенными в конец. Значением может быть список, в этом случае обрабатывается каждый элемент списка. Если значение является списком, то нужно указать разделитель значений списка. Если разделитель не указан, то указанное значение рассматривается как одно значение, а не как список."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38390,7 +38465,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "arguments (id [= выражение] [, id [= выражение]] *) - используется в сохраненном шаблоне для извлечения аргументов, переданных в вызове. Он объявляет и инициализирует локальные переменные, фактически параметры. Переменные позиционные; они получают значение, указанное в вызове, в той же позиции. Если соответствующий параметр не указан в вызове, то аргументы присваивают этой переменной заданное значение по умолчанию. Если значение по умолчанию отсутствует, переменная устанавливается в пустую строку."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38400,6 +38475,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "globals (id[=выражение] [, id[=выражение]]*) - извлекает «глобальные переменные», которые могут быть переданы в средство форматирования. Он как объявляет, так и инициализирует локальные переменные с именами переданных глобальных переменных. Если соответствующая переменная не указана в переданных глобальных переменных, то он присваивает этой переменной предоставленное значение по умолчанию. Если значение по умолчанию отсутствует, переменная устанавливается в пустую строку."
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Безымянное изображение"
@@ -38688,29 +38769,29 @@ msgstr "Закрыть без сохра
 msgid "Close Tab"
 msgstr "Закрыть вкладку"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Дополнительные символы в конце поиска"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "отсутствует )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Не удалось разобрать выражение, превышен лимит рекурсии: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Рекурсивный сохранённый поиск: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Неизвестный сохранённый поиск: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Неизвестная ошибка в сохранённом поиске: {0}"
@@ -39075,185 +39156,185 @@ msgstr "Любая ссылка, сов
 msgid "Do not download CSS stylesheets."
 msgstr "Не скачивать файлы стилей CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Сохранить все"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Открыть"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Да"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Да для &всех"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Нет"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Н&ет для всех"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Прервать"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Повторить"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Закрыть"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Применить"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Сбросить"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Восстановить по умолчанию"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "От&тенок:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "Насы&щенность:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "З&начение:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Красный:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Зелёный:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Синий:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "А&льфа-канал:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Курсор на %1, %2\nНажмите ESC, чтобы отменить"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Выбрать цвет"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Основные цвета"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Пользовательские цвета"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Добавить в пользовательские цвета"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Выбрать цвет экрана"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Выбрать шрифт"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Шрифт"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Ст&иль шрифта"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Размер"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Эффекты"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "За&чёркнутый"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Пример"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "С&истема письма"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Левый край"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Правый край"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Листать в лево"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Листать вверх"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Листать вниз"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Листать в право"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Прокрутка влево"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Прокрутка вверх"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Прокрутка вниз"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Прокрутка вправо"
 
@@ -39533,8 +39614,8 @@ msgstr "Указать правила п
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39582,7 +39663,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Укажите правила переименования для коллекций Sony. Эта настройка применима только тогда, \nкогда управление метаданными установлено в автоматический режим. Коллекции на Sony \nименуются в зависимости от того, какие поля выбраны: стандартные или пользовательские.\nКоллекция образованная из стандартного поля именуется по его значению. Например, если \nстандартный столбец 'серии' содержит значение 'Darkover', то название коллекции \nбудет 'Darkover'. Коллекция, образованная из пользовательского поля, будет иметь \nимя поля, добавленного к значению. Например, если столбец пользовательских серий \nназывается 'My Series' и содержит название 'Darkover', то коллекция будет по умолчанию \nназвана 'Darkover (My Series)'. Для этой справки, значение называется 'Darkover' и категория \nназывается 'My Series'. Если две книги имеют поля, которые дают одинаковые имена для \nколлекции, то обе книги будут в этой коллекции. \nУстановка этих настроек позволит вам указать для стандартной или пользовательской папки \nкак именовать коллекции. Вы можете использовать это для добавления описания к \nстандартному полю, например 'Foo (Tag)' вместо 'Foo'. Вы так же можете использовать это \nчто бы заставить несколько полей оказаться в одной коллекции. Например, вы можете заставить \nзначения в 'series', '#my_series_1' и '#my_series_2' оказаться в коллекциях \nназванных 'some_value (Series)', объединив этим все поля в один набор коллекций.\nИмеются две возможные настройки. Первая определяет имя категории для использования \nв поле метаданных. Вторая — это шаблон, используемый для определения того, \nкак значение и категория объединяются для создания имени коллекции. Синтаксис \nпервой настройки, sony_collection_renaming_rules, следующий:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nВторая настройка, sony_collection_name_template — шаблон. Он использует тот же \nязык шаблонов, что и в коммутациях метаданных и сохранении шаблонов. Доступно два \nполя: {category} и {value} (категория и значение). Поле {value} никогда не пусто. \nПоле {category} может быть пустым. По умолчанию, вначале идёт значение, затем \nкатегория в скобках, которые не должны быть пустыми: '{value} {category:|(|)}'\nПримеры: Первые три примера предпологают что вторая настройка не менялась.\n1: Я хочу чтобы три серии столбцов были объединены в одной группе коллекций. \nПоисковые имена столбцов 'series', '#series_1' и '#series_2'. Я хочу что бы в скобках \nбыло пусто. Значение для использования в настройке должно выглядеть так: \nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: Я хочу, что бы слово '(Series)' появлялось в коллекциях созданных из серий \nи слово '(Tag)' появлялось в коллекциях от тегов. Настройка будет такой: \nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: Я хочу, что бы 'series' и '#myseries' были объединены и в имени коллекции \nбыло '(Series)'. Правило переименования такое: \nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: То же что и в примере 2, но вместо имеющегося имени категории в скобках \nи добавления к значению, я хочу добавить и разделить через двоеточие, \nнапример Серии: Darkover. Я должен изменить шаблон используемый для \nформатирования имени категории\nВ результате две настройки будут следующими:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr "Укажите правила переименования для коллекций Sony. Эта настройка применима только тогда, \nкогда управление метаданными установлено в автоматический режим. Коллекции на Sony \nименуются в зависимости от того, какие поля выбраны: стандартные или пользовательские.\nКоллекция, образованная из стандартного поля, именуется по его значению. Например, если \nстандартный столбец 'серии' содержит значение 'Darkover', то название коллекции \nбудет 'Darkover'. Коллекция, образованная из пользовательского поля, будет иметь \nимя поля, добавленное к значению. Например, если столбец пользовательских серий \nназывается 'My Series' и содержит название 'Darkover', то коллекция будет по умолчанию \nназвана 'Darkover (My Series)'. Для этой справки, значение называется 'Darkover' и категория \nназывается 'My Series'. Если две книги имеют поля, которые дают одинаковые имена для \nколлекции, то обе книги будут в этой коллекции. \nУстановка этих настроек позволит вам указать для стандартной или пользовательской папки \nкак именовать коллекции. Это можно использовать для добавления описания к \nстандартному полю, например 'Foo (Tag)' вместо 'Foo'. Вы так же можете использовать это \nчтобы заставить несколько полей оказаться в одной коллекции. Например, вы можете заставить \nзначения в 'series', '#my_series_1' и '#my_series_2' оказаться в коллекциях \nназванных 'some_value (Series)', объединив этим все поля в один набор коллекций.\nИмеются две возможные настройки. Первая определяет имя категории для использования \nв поле метаданных. Вторая — это шаблон, используемый для определения того, \nкак значение и категория объединяются для создания имени коллекции. Синтаксис \nпервой настройки, sony_collection_renaming_rules, следующий:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nВторая настройка, sony_collection_name_template — шаблон. Он использует тот же \nязык шаблонов, что и в коммутациях метаданных и сохранении шаблонов. Доступно два \nполя: {category} и {value} (категория и значение). Поле {value} никогда не пусто. \nПоле {category} может быть пустым. По умолчанию, вначале идёт значение, затем \nкатегория в скобках, которые не должны быть пустыми: '{value} {category:|(|)}'\nПримеры: Первые три примера предполагают что вторая настройка не менялась.\n1: Я хочу чтобы три серии столбцов были объединены в одной группе коллекций. \nПоисковые имена столбцов 'series', '#series_1' и '#series_2'. Я хочу чтобы в скобках \nбыло пусто. Значение для использования в настройке должно выглядеть так: \nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: Я хочу, чтобы слово '(Series)' появлялось в коллекциях, созданных из серий, \nи слово '(Tag)' появлялось в коллекциях от тегов. Настройка будет такой: \nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: Я хочу, чтобы 'series' и '#myseries' были объединены и в имени коллекции \nбыло '(Series)'. Правило переименования такое: \nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: То же что и в примере 2, но вместо имеющегося имени категории в скобках \nи добавления к значению, я хочу добавить и разделить через двоеточие, \nнапример Серии: Darkover. Я должен изменить шаблон используемый для \nформатирования имени категории\nВ результате две настройки будут следующими:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39590,7 +39671,7 @@ msgstr "Указать тип сорти
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/rw.po 5.10.0+dfsg-1/translations/calibre/rw.po
--- 5.9.0+dfsg-3/translations/calibre/rw.po	2021-01-06 15:31:42.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/rw.po	2021-01-20 15:27:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Nta nakimwe bikora"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Nta nakimwe bikora"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Nta nakimwe bikora"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Nta nakimwe bikora"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Nta nakimwe bikora"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Nta nakimwe bikora"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Guhwanisha n'ibikenewe"
 msgid "Cannot configure"
 msgstr "Ntushobora kuringaniza"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Ubwoko bwa fishiye"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Agasoma indanganyandiko"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Inyandika ndanganyandiko"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Agakora kataloge"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Amahitamo wifuza"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Kubika"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr "Utumenyetso"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/sc.po 5.10.0+dfsg-1/translations/calibre/sc.po
--- 5.9.0+dfsg-3/translations/calibre/sc.po	2021-01-06 15:30:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/sc.po	2021-01-20 15:27:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "Does absolutely nothing"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/si.po 5.10.0+dfsg-1/translations/calibre/si.po
--- 5.9.0+dfsg-3/translations/calibre/si.po	2021-01-06 15:29:20.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/si.po	2021-01-20 15:26:43.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "කිසිම දෙයක්
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "කිසිම දෙයක්
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "කිසිම දෙයක්
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "කිසිම දෙයක්
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "කිසිම දෙයක්
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "කිසිම දෙයක්
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "රිසි කළ"
 msgid "Cannot configure"
 msgstr "හැඩගැසීමට නොහැකියි"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ගොනු ආකාරය"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "අභිරුචීන්"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "ගබඩා කරන්න"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "අතුරුමුහුණත"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "හැසිරීම"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "සොයමින්"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35185,13 +35228,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/sk.po 5.10.0+dfsg-1/translations/calibre/sk.po
--- 5.9.0+dfsg-3/translations/calibre/sk.po	2021-01-06 15:29:38.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/sk.po	2021-01-20 15:26:25.000000000 +0000
@@ -15,14 +15,14 @@
 # Patrik Špaňo <pa4k.xyon@gmail.com>, 2017
 # Patrik Špaňo <pa4k.xyon@gmail.com>, 2017,2019
 # vladimirjendrol <vlado@jendrol.sk>, 2020
-# vladimirjendrol <vlado@jendrol.sk>, 2020
+# vladimirjendrol <vlado@jendrol.sk>, 2020-2021
 # Vlado Jendroľ, 2017-2019
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -101,15 +101,15 @@ msgstr "Nerobí vôbec nič"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -130,7 +130,7 @@ msgstr "Nerobí vôbec nič"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -230,16 +230,16 @@ msgstr "Nerobí vôbec nič"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -265,7 +265,7 @@ msgstr "Nerobí vôbec nič"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -297,7 +297,7 @@ msgstr "Nerobí vôbec nič"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -316,7 +316,7 @@ msgstr "Nerobí vôbec nič"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -340,27 +340,27 @@ msgstr "Prispôsobiť"
 msgid "Cannot configure"
 msgstr "Nemožno nastaviť"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Typ súboru"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Čítanie metadát"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Zápis metadát"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generátor katalógu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Akcia používateľského rozhrania"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -372,20 +372,20 @@ msgstr "Akcia používateľského rozhra
 msgid "Preferences"
 msgstr "Nastavenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Obchod"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Obchod elektronických kníh"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Nástroj na úpravu knihy"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Knižnica bola zatvorená"
 
@@ -407,372 +407,372 @@ msgstr "Ak importovaný súbor obsahuje
 msgid "Extract cover from comic files"
 msgstr "Preberá obálky zo súborov s komiksami"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Číta metadáta zo súborov %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Čítať metadáta z e-kníh v RAR archívoch"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Čítať metadáta z e-kníh v ZIP archívoch"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Zapisuje metadáta do súborov %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Nižšie zadajte {0}, aby plugin zápisu metadát EPUB nepridával obrázky obalov do súboru EPUB, ktoré žiadne obrázky obalov nemajú."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Nastaviť metadáta zo súborov %s"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Pridať knihy do Calibre alebo pripojeného zariadenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Stiahnuť poznámky z pripojeného Kindle (experimentálne)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Vytvoriť katalóg kníh vo vašej Calibre knižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Konvertovať knihy do rôznych formátov e-kníh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Jemné doladenie vašich e-kníh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Upraviť obsah vo vašich knihách"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Vymazať knihy z vašej Calibre knižnice alebo pripojeného zariadenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Vložiť aktualizované metadáta do súborov súčasnej knihy vo vašej knižnici calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Upraviť metadata kníh vo vašej Calibre knižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Prečítané knihy vo vašej knižnici Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Stiahnuť noviny z internetu vo forme e-knihy"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Rýchle zobrazenie zoznamu príbuzných kníh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtrovať/zmeniť štítky kníh v knižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Transformovať autorov kníh v knižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Ukázať editor na testovanie vzorov"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportovať knihy z vašej Calibre knižnici na hard disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Zobraziť podrobnosti o knihe v samostatnom okne"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Reštart Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Otvoriť priečinok obsahujúci súbory knihy vo vašej Calibre knižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Odoslať knihy na pripojené zariadenie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Odoslať knihy prostredníctvom e-mailu alebo webu. Pripojiť sa tiež k priečinkom vo vašom počítači, akoby to boli zariadenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Prehliadať Užívateľskú príručku Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Prispôsobiť Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Jednoducho nájsť knihy podobné momentálne vybranej knihe"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Prepnúť sa medzi rôznymi knižnicami Calibre a vykonať na nich údržbu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopírovať knihy zo zariadenia do knižnice calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Upraviť zbierky, do ktorých sú knihy vo Vašej čítačke radené"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Prispôsobiť knihu na zariadení s knihami v knižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopírovať knihy z jednej knižnice Calibre do inej"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Upraviť e-knihy v EPUB alebo AZW3 formátoch"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Urobiť malé zmeny v súboroch EPUB alebo HTMLZ vo vašej calibre knižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Nájsť nasledujúci, alebo predchádzajúci výsledok pri vyhľadávaní v knižnici Calibre v zvýraznenom režime"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Náhodne vybrať knihu z vašej Calibre knižnice"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Triediť zoznam kníh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Dočasne označiť knihy"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Zmeniť aktuálnu virtuálnu knižnicu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Hľadať knihy od rozdielnych kníhkupcov"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Získať nové Calibre pluginy alebo aktualizovať exitujúce"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Vzhľad a správanie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Rozhranie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Upravte si vzhľad a nastavenia calibre rozhrania tak, aby vyhovovali vašim požiadavkám"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Správanie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Zmeniť spôsob chovania calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Pridať vlastné stĺpce"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Pridať / odstrániť svoje vlastné stĺpce v calibre zozname kníh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Panely nástrojov a menu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Prispôsobiť panely nástrojov a kontextové menu, meniace sa podľa dostupných akcií"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Vyhľadávanie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Prispôsobí spôsob vyhľadávania kníh v calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Nastavenia vstupu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konverzia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Nastavenie možností konverzie špecifické pre každý vstupný formát"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Bežné možnosti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Nastavenia možností konverzie spoločné pre všetky formáty"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Nastavenia výstupu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Nastavenie možností konverzie špecifických pre každý výstupný formát"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Pridanie kníh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Import/export"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Kontrolovať, ako calibre číta metaúdaje zo súborov pri pridávaní kníh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Uloženie kníh na disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Kontrolovať, ako calibre exportuje súbory zo svojej databázy na disk pri použití Uložiť na disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Poslanie kníh do zariadení"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Kontrolovať, ako Calibre odosiela súbory do vašej čítačky e-kníh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Prepojovacie panely metadát"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Zmeniť polia metadat pred uložením/odoslaním"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -782,92 +782,92 @@ msgstr "Zmeniť polia metadat pred ulož
 msgid "Template functions"
 msgstr "Funkcie šablóny"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Rozšírené"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Vytvorte vlastné funkcie šablóny"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Zdieľanie kníh emailom"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Zdieľanie"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Nastavenie zdieľania kníh prostredníctvom e-mailu. Môže byť použité pre automatickom zasielanie stiahnutých noviniek do vášho zariadenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Zdieľanie cez sieť"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Nastavenie Calibre Obsahového Servera, ktorý vám umožní prístup k vašej Calibre knižnici odkiaľkoľvek, na akomkoľvek zariadení, cez internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Sťahovanie metadát"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Nastavte, ako má calibre sťahovať metadáda k e-knihám z internetu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignorované zariadenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Nastavenie zariadení, ktoré bude Calibre po pripojení k počítaču ignorovať."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Moduly"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Pridať/odstrániť/upraviť rôzne časti calibre funkcií"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Vylepšenia"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Doladiť chovanie calibre v rôznych kontextoch"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Skratky"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Prispôsobiť klávesové skratky používané v Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -875,7 +875,7 @@ msgstr "Prispôsobiť klávesové skratk
 msgid "Miscellaneous"
 msgstr "Rôzne"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Rôzne pokročilé nastavenia"
 
@@ -1017,7 +1017,7 @@ msgstr "Určené pre iPad 3 a podobné z
 
 #: /__w/calibre/calibre/src/calibre/customize/profiles.py:455
 msgid "Tablet"
-msgstr ""
+msgstr "Tablet"
 
 #: /__w/calibre/calibre/src/calibre/customize/profiles.py:457
 msgid "Intended for generic tablet devices, does no resizing of images"
@@ -1265,9 +1265,9 @@ msgstr "Zapisujem databázu do SQL"
 msgid "Restoring database from SQL"
 msgstr "Obnova databázy z SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1293,17 +1293,17 @@ msgstr "Uložené hľadania"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Áno"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Obálka pre %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} formát pre {1}"
@@ -1689,14 +1689,14 @@ msgstr "Zadanie tohoto prepínača toto
 msgid "You must specify some ids or the %s option"
 msgstr "Musíte zadať identifikačné kódy alebo možnosť %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [možnosti]\n\nVypíše zoznam kníh, ktoré sa nachádzajú v databáze calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1704,7 +1704,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1712,39 +1712,39 @@ msgid ""
 "Default: {1}"
 msgstr "Pole, podľa ktorého triediť výsledky.\nDostupné polia: {0}\nPredvolené: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Triediť výsledky vo vzostupnom poradí"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrovať výsledky hľadacím dopytom. Formát dopytu je zdokumentovaný v príslušnej sekcii Používateľskej príručky. Štandardne výstup nebude filtrovaný."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Maximálna šírka riadka výstupu. Štandardne sa použije šírka obrazovky."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Reťazec, ktorým budú oddelené jednotlivé polia. Štandardne je to medzera."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Prefix všetkých ciest k súborom. Štandardne sa použije absolútna cesta k adresáru s knižnicou."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Maximálny počet výsledkov k zobrazeniu. Predvolená hodnota: všetky"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2291,21 +2291,21 @@ msgstr "prázdne"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Neplatný booleovský dotaz \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Hľadanie vo virtuálnej knižnici je rekurzívne: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Zistená rekurzívna skupina radu: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3481,11 +3481,11 @@ msgstr "%s bola odstránená"
 msgid "All books removed"
 msgstr "Všetky knihy boli odstránené"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Nepomenované zariadenie"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3494,12 +3494,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Neznáme zariadenie MTP"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6054,7 +6054,7 @@ msgstr "Poznámky"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6347,7 +6347,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6355,7 +6355,7 @@ msgid "Comments"
 msgstr "Poznámky"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6395,7 +6395,7 @@ msgid "Tags"
 msgstr "Značky"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6427,7 +6427,7 @@ msgid "Timestamp"
 msgstr "Časová známka"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8165,13 +8165,13 @@ msgstr "EPUB aktualizovaný z verzie 2 n
 msgid "HTML TOC generation options."
 msgstr "Voľby generovania HTML obsahu"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} z <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8204,31 +8204,31 @@ msgstr "Ak sú informácie o stránkovan
 msgid "Sidebar"
 msgstr "Bočný panel"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -8699,10 +8699,10 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:459
 msgid "Add as new book"
 msgid_plural "Add as new books"
-msgstr[0] ""
-msgstr[1] ""
-msgstr[2] ""
-msgstr[3] ""
+msgstr[0] "Pridať ako novú knihu"
+msgstr[1] "Pridať ako novú knihu"
+msgstr[2] "Pridať ako novú knihu"
+msgstr[3] "Pridať ako nové knihy"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/actions/add.py:538
@@ -9211,7 +9211,7 @@ msgstr "V databáze calibre knižnice sa
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10234,7 +10234,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Nápoveda"
 
@@ -11507,7 +11507,7 @@ msgid "Errors while adding"
 msgstr "Chyby počas pridávania"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorovať"
 
@@ -11637,8 +11637,8 @@ msgstr "Zmeniť"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11772,11 +11772,11 @@ msgid "Search the internet for this book
 msgstr "Hľadať túto knihu na internete"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Spravovať %s"
@@ -11794,7 +11794,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:152
 #, python-format
 msgid "in category %s"
-msgstr ""
+msgstr "v kategórii %s"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:158
 #, python-format
@@ -11861,7 +11861,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:296
 msgid "Path to file"
-msgstr ""
+msgstr "Cesta k súboru"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:307
 msgid "Copy {} to clipboard"
@@ -11908,7 +11908,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:410
 msgid "Selected text"
-msgstr ""
+msgstr "Vybraný text"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:414
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books_ui.py:74
@@ -11919,7 +11919,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -11991,7 +11991,7 @@ msgstr "JPEG obrázky"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:665
 msgid "Are you sure you want to delete the cover permanently?"
-msgstr ""
+msgstr "Ste si istý/á, že chcete obal navždy zmazať?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:681
 msgid "Double click to open the Book details window"
@@ -12246,7 +12246,7 @@ msgid "Preset name:"
 msgstr "Názov predvoľby:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Musíte poskytnúť meno"
 
@@ -12323,7 +12323,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Uložiť"
 
@@ -12332,10 +12332,10 @@ msgid "Delete current preset"
 msgstr "Odstrániť aktuálnu predvoľbu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Odstrániť"
@@ -12448,8 +12448,8 @@ msgstr "Obnoviť na východzie"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13635,7 +13635,7 @@ msgid "Ta&gs:"
 msgstr "&Značky:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13650,8 +13650,8 @@ msgstr "&Séria:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Zoznam známych sérií. Môžete zadať novú sériu."
@@ -14518,7 +14518,7 @@ msgid "Choose color"
 msgstr "Zvoľte farbu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14859,19 +14859,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xportovať"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14945,8 +14945,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15027,7 +15027,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16611,7 +16611,7 @@ msgid "Change case"
 msgstr "Zmeniť veľkosť písmen"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16619,7 +16619,7 @@ msgid "Upper case"
 msgstr "Veľké písmená"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16627,7 +16627,7 @@ msgid "Lower case"
 msgstr "Malé písmená"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16635,7 +16635,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16669,7 +16669,7 @@ msgid "Manage authors"
 msgstr "Spravovať autorov"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Hľadať:"
@@ -17092,57 +17092,57 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Pracuje"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Krok %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Malé písmená"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Veľké písmená"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Štýl nadpisu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Zhoda znakov"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Regulárny výraz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Nahradiť pole"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Predradiť k poľu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Pridať k poľu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17150,22 +17150,22 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Ihneď urobiť všetky zmeny bez zatvorenia dialógu. Táto operácia nemôže byť zrušená, ani vrátená"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Kniha %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Zadajte typ identifikátora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17173,7 +17173,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Touto funkciou môžete zničiť Vašu knižnicu..</b> Zmeny sú trvalé. Nie je možnosť vrátiť späť. Dôrazne Vás vyzývame, aby ste pred pokračovaním zálohovali Vašu knižnicu.<p>Vyhľadanie a náhrada v textových poliach pomocou zhody znakov, alebo regulárnych výrazov. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17183,7 +17183,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17198,80 +17198,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "CHYBA ŠABLÓNY H/N"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Musíte určiť typ cieľového identifikátora"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Hľadanie/náhrada je neplatné"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Odstrániť uložené hľadanie/náhradu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Vybrané uložené hľadanie/náhrada bude odstránené. Ste si istý?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Uložiť hľadanie/náhradu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Názov hľadania/náhrady:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Toto uložené hľadanie/náhrada už existuje a bude prepísané. Ste si istý?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Upraviť metainformácie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "&Použiť dátum"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Autor(i): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17279,90 +17288,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "A&utomaticky odvodiť autora v tvare pre triedenie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Aktualizovať názov pre triedenie podľa aktuálneho názvu. Toto sa prejaví až po ďalších zmenách názvu."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Triediaci aut&or: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Aktualizovať názov pre &triedenie"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Určite, ako sa má autor (autori) tejto knihy triediť. Napríklad Charles Dickens by sa mal triediť ako Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Zmeniť &obálku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Hodnotenie:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Generovať štandardnú obálku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Odstrániť obálku"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Vydavateľ: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Pridať &značky: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Klonovať obálky"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Odstrániť značky:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Nastaví veľkosť písma názvu na 'title case' (veľké prvé písmená podstatných mien). \nAk je zapnuté spolu s výmenou autora a názvu, výmena sa uskutoční pred nastavením\nveľkosti písma."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Čiarkami oddelený zoznam značiek, ktoré sa majú z kníh odstrániť. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Označte, ak chcete z kníh odstrániť všetky značky."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Dátum:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Odstrániť &všetky"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Pri zapnutí bude informácie o sérii odstránená"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "P&ublikované:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Odstrániť sériu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17370,281 +17374,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Pri vypnutí bude číslo knihy v rámci série nastavené na 1.\nPri zapnutí budú vybrané knihy automaticky očíslované v poradí,\nv akom ste ich vybrali. Tzn. ak vyberiete knihu A a potom knihu B,\nbude mať kniha A priradené číslo v rámci série 1 a kniha B číslo 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Automaticky očíslovať knihy v rámci tejto série"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Číslo knihy v sérii bude štandardne nastavené na číslo nasledujúce za\nnajvyšším číslom knihy tejto série v databáze. \nZapnutím tejto voľby nastavíte Calibre na číslovanie série od zadaného čísla."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "Vynútiť čís&lovanie od:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Pri zapnutí bude informácie o sérii odstránená"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Odstrániť sériu"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Odstrániť značky:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Odstrániť &všetky"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Pridať &značky: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Dátum:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Určite, ako sa má autor (autori) tejto knihy triediť. Napríklad Charles Dickens by sa mal triediť ako Dickens, Charles."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "&Použiť dátum"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "P&ublikované:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Vymazať dátum publikovania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Autor(i): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Jazyky:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Vydavateľ: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Odstrániť uložené nastavenia konverzie pre vybrané knihy.\n\nPri budúcich konverziách týchto kníh sa použijú štandardné nastavenia."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Čiarkami oddelený zoznam značiek, ktoré sa majú z kníh odstrániť. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Odstrániť uložené na&stavenia konverzie pre vybrané knihy"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Triediaci aut&or: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr "Obnoviť &originály pred konverziou, ak sa dá"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Nastaví veľkosť písma názvu na 'title case' (veľké prvé písmená podstatných mien). \nAk je zapnuté spolu s výmenou autora a názvu, výmena sa uskutoční pred nastavením\nveľkosti písma."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Aktualizovať názov pre triedenie podľa aktuálneho názvu. Toto sa prejaví až po ďalších zmenách názvu."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Aktualizovať názov pre &triedenie"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Zmeniť &obálku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Generovať štandardnú obálku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Odstrániť obálku"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Odstrániť uložené nastavenia konverzie pre vybrané knihy.\n\nPri budúcich konverziách týchto kníh sa použijú štandardné nastavenia."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Odstrániť uložené na&stavenia konverzie pre vybrané knihy"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Klonovať obálky"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
-msgstr "Obnoviť &originály pred konverziou, ak sa dá"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Označte, ak chcete z kníh odstrániť všetky značky."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Hodnotenie:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Základné metadáta"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Užívateľské metadáta"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Vyberte uložené hľadanie/náhradu, ktorú chcete načítať."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Uložiť aktuálne hľadanie/nahradenie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Uložiť"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Vyhľadávacie &pole:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Názov poľa, ktoré chcete prehľadať"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Režim hľadania:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Vyberte, či sa má použiť vyhľadávanie podľa jednoduchej zhody textu, alebo pomocou regulárnych výrazov"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "&Typ identifikátora:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Šablóna:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Zadajte šablónu, ktorá bude použitá ako zdroj pre hľadať/nahradiť"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Zadajte čo hľadáte, buď obyčajný text, alebo regulárny výraz - v závislosti od režimu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Označte túto voľbu, ak sa majú pri hľadaní dodržať veľké/malé písmená. Nechajte prázdne, ak na tom nezáleží"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "&Rozlišovať veľkosť písmen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Nahradiť za:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Nahradzovaný text. Týmto bude nahradený text vyhovujúci hľadanému"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "Použiť po n&ahradení funkciu:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Zvoľte ako sa bude po nájdení a náhrade text spracovávať. V znakovom režime sa spracuje celé pole.\nV režime regulárnych výrazov sa spracuje len vyhovujúca časť textu."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Cieľové pole:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Pole, do ktorého sa bude vkladať text po všetkých nahradeniach.\nAk nezadáte, použije sa zdrojové pole - ak je upravovateľné"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "&Režim:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Zvoľte spôsob kopírovania textu do cieľa."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Určuje, či môžu byť výsledné hodnoty rozdelené do niekoľkých hodnôt,\nalebo majú byť ponechané ako jedna hodnota. Táto voľba má najväčší význam\nak je zdrojové pole jednotlivé a cieľové viacnásobné"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "&Rozdeliť výsledok"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Typ identifikátora:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17652,48 +17678,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Pre polia s viac hodnotami, &zobraziť"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "s hodnotami &oddelenými"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Použité pri zobrazení výsledkov testu na oddelenie hodnôt vo viac hodnotových poliach"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Testovací text"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Výsledok testu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Hľadať a nahradiť"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18149,42 +18175,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Položka: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Žiadne položky nenájdené**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Na zobrazenie informácií o knihe kliknite na stĺpec v zobrazení knižnice"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18290,87 +18316,87 @@ msgstr "Obnova databázy zlyhala. Pre ď
 msgid "Failed to repair library"
 msgstr "Nepodarilo sa oprvaviť knižnicu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Pridať nové uložené hľadanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Názov uloženého hľadania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Hľadať:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Neplatné uložené hľadanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Spravovať uložené hľadania"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Pridať hľadanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Odstrániť hľadanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Upraviť hľadanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Aktuálne uložené hľadanie bude <b>natrvalo odstránené</b>. Ste si istý?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Upraviť uložené hľadanie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19268,48 +19294,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Výuka jazyka šablón"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Príručka funkcií šablóny"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "VÝNIMKA: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Nie je vybraný stĺpec"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Musíte vybrať stĺpec na ofarbenie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Žiadna šablóna nebola poskytnutá"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Pole šablóny nemôže byť prázdne"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20383,7 +20425,7 @@ msgstr "Hľadať skratku podľa názvu"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Žiadne zhody"
 
@@ -20542,8 +20584,8 @@ msgid "Show in calibre"
 msgstr "Zobraziť v Calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20564,14 +20606,14 @@ msgstr[2] ""
 msgstr[3] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Zbaliť všetko"
 
@@ -22805,60 +22847,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Pridať pravidlo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Posunúť vybrané pravidlo vyššie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Posunúť vybrané pravidlo nižšie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importovať pravidlá zo súboru"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22866,57 +22908,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Žiadne pravidlo nie je vybrané"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Na %s nie je vybrané žiadne pravidlo."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "odstránenie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Pravidlá"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23231,7 +23273,7 @@ msgstr "Zoznam povolených hodnôt oddel
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:368
 msgid "&Values:"
-msgstr ""
+msgstr "&Hodnoty:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:370
 msgid ""
@@ -23241,7 +23283,7 @@ msgstr "Zoznam názvov farieb, ktoré sa
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:372
 msgid "Colors:"
-msgstr ""
+msgstr "Farby:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:375
 msgid "Allow half stars"
@@ -23758,13 +23800,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23798,7 +23840,7 @@ msgid "If there is enough room"
 msgstr "Ak je na to dosť miesta"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Podľa prvého písmena"
 
@@ -24079,7 +24121,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Zakázať"
 
@@ -24771,8 +24813,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Tu môžete prispôsobiť metadáta, ktoré Calibre používa na úpravu knihy pri jej uložení na disk, alebo odoslaní do zariadenia.\n\nV tomto okne definujete 'prepojovací panel' pre formát (alebo všetky formáty) a zariadenia (alebo všetky zariadenia). Prepojovací panel určuje aká šablóna bude pripojená ku ktorému poľu. Pomocou šablóny sa vypočíta hodnota, ktorá je potom priradená pripojenému poľu.\n\nŠablóna často obsahuje len odkazy na zložené stĺpce, nie je to však pravidlom. V zdrojovom poli môžete použiť akúkoľvek šablónu, ktorá sa dá použiť kdekoľvek inde v Calibre.\n\nJedno z možných využití je zmena názvu tak, aby obsahoval sériu. Ďalším, ktoré ocenia najmä užívatelia mobi formátu, môže byť použitie ';' v poli autora pre triedenie tak, ako to vyžaduje Kindle. Tretie môže byť nastavenie jazyka."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25340,7 +25382,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Zmeniť heslo pre {}"
 
@@ -25475,7 +25517,7 @@ msgid "Change &password"
 msgstr "Zmeniť &heslo"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25488,7 +25530,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -27003,7 +27045,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27294,7 +27336,7 @@ msgstr "Premenovať %s vo virtuálnej kn
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Premenovať %s"
@@ -27354,95 +27396,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Odstrániť %(item)s z kategórie %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Hľadať okrem %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Pridať podkategóriu do %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Hľadať knihy z kategórie %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Hľadať knihy mimo kategórie %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Skryť kategóriu %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Zmeniť ikonu kategórie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Obnoviť predvolenú ikonu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Spravovať používateľské kategórie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Zmeniť schému pod-kategórií"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Oddiel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Prvé písmeno je použiteľné len pri triedení podľa názvu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28099,7 +28141,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28138,7 +28181,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tts/macos_config.py:31
 #: /__w/calibre/calibre/src/calibre/gui2/tts/windows_config.py:27
 msgid "Age"
-msgstr ""
+msgstr "Vek"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/macos_config.py:31
 #: /__w/calibre/calibre/src/calibre/gui2/tts/windows_config.py:27
@@ -28152,7 +28195,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tts/windows_config.py:108
 msgid "Sound output:"
-msgstr ""
+msgstr "Zvukový výstup:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/__init__.py:164
 msgid "&Unmark marked text"
@@ -28632,7 +28675,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Zahodiť"
 
@@ -30878,7 +30921,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32213,7 +32256,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32840,7 +32883,7 @@ msgid "Export saved searches"
 msgstr "Exportovať uložené hľadania"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Export"
 
@@ -34720,16 +34763,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34737,7 +34780,7 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34746,39 +34789,39 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34786,11 +34829,11 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35170,7 +35213,7 @@ msgstr "Zobraziť metadáta knihy"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:68
 msgid "Read aloud"
-msgstr ""
+msgstr "Čítať nahlas"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/toolbars.py:69
 msgid "Browse highlights in book"
@@ -35244,7 +35287,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35320,13 +35363,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Vybrať obrázok pozadia"
 
@@ -35491,10 +35534,10 @@ msgid "< &Back"
 msgstr "< &Späť"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Zrušiť"
 
@@ -36135,8 +36178,8 @@ msgid "No genres to catalog.\n"
 msgstr "Žiadne žánre pre katalóg.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Označte regulárny výraz 'Vynechať žánre' z volieb e-booku.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36184,8 +36227,8 @@ msgstr "Triedim názvy"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Žiadne knihy do katalógu.\nSkontrolujte  v nastaveniach e-knihy pravidlá 'Vynechané knihy'.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36661,177 +36704,208 @@ msgstr "Plné rozhranie má oveľa viac
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Používateľské meno %s neexistuje"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Zadajte používateľské meno"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Zadajte novén heslo pre %s: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Prázdne heslá nie sú dovolené"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Heslá sa nezhodujú"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Používateľ %s úspešne pridaný!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Požívateľ %s úspešne odstránený!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Heslo pre %s úspešne zmenené!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Povoliť prístup do všetkých knižníc"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Povoliť prístup iba do vybraných knižníc"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Zadajte názov knižnice:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Zobraziť heslo pre {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Pridať nového používateľa"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Upraviť existujúceho používateľa"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Odstrániť používateľa"
 
@@ -37241,13 +37315,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37255,23 +37330,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Prerušené používateľom"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37284,7 +37359,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37443,128 +37518,128 @@ msgstr "Nastavenia a moduly"
 msgid "File is open in another process"
 msgstr "Súbor je otvorený iným procesom"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format: typ {0} vyžaduje celočíselnú hodnotu, dostal {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: typ {0} vyžaduje desatinné číslo, dostal {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: neznáma funkcia"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37619,60 +37694,60 @@ msgstr "strlen(a) -- vráti dĺžku reť
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- vráti x + y. Vyvolá výnimku, ak x alebo y nie sú čísla."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- vráti x - y. Ak x alebo y nie sú čísla, vyvolá výnimku."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- vráti x * y. Ak x alebo y nie sú čísla, vyvolá výnimku."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- vráti x / y. Ak x alebo y nie sú čísla, vyvolá výnimku."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37684,7 +37759,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37695,13 +37770,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- priradí val do id a následne vráti val. id musí vyť identifikátor, nie výraz"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37711,30 +37786,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- vypíše argumenty na štandardný výstup. Pokiaľ nespustíte Calibre z príkazového riadka (calibre-debug -g), výstup pôjde do čiernej diery."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- vráti pole z metadát pomenované name"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- vráti pole metadát s názvom name bez použitia akéhokoľvek formátovania."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37744,7 +37819,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- vráti časť reťazca str od znaku na pozícii start po znak na pozícii end. Prvý znak reťazca je má pozíciu nula. Ak je end nula, alebo záporné, znamená počet znakov od konca reťazca. Napr. substr('12345', 1, 0) vráti '2345', a substr('12345', 1, -1) vráti '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37754,24 +37829,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- podobné ako switch, s výnimkou, že argumenty sú názvy polí (z metadát) a nie text. Hodnota príslušného poľa je načítaná a použitá. Uvedomte si, že vzhľadom na to, že zložené stĺpce sú tiež polia, môžete túto funkciu použiť v jednom zloženom poli a použiť do nej hodnotu iného zloženého poľa. Je to veľmi užitočné pri vytváraní variabilných ciest pre ukladanie."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup vyžaduje buď 2, alebo nepárny počet argumentov"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37780,11 +37855,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch vyžaduje nepárny počet parametrov"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37794,19 +37869,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- vráti reťazec vytvorený zlúčením argumentov. Vrátená hodnota sa inicializuje na string1. Páry `Prefix, string` sa pridávajú na koniec hodnoty až dokiaľ celková dĺžka nedosiahne `max`. String1 sa vráti aj v prípade, ak je dlhší, ako max. Môžete zadať ľubovoľný počet párov `prefix, string`."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max vyžaduje 2 a viac argumentov"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max vyžaduje párny počet argumentov"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "prvý argument strcat_max musí byť celé číslo"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37816,11 +37891,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37832,11 +37907,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37847,14 +37922,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- berie val ako zoznam identifikátorov oddelených čiarkami a porovnáva reťazec s každou hodnotou zoznamu. Identifikátor má formát \"identifier:value\". Parameter id by mal byť buď \"id\" alebo \"id:regexp\". V prvom prípade vyhovuje akýkoľvek identifikátor s takým id. V druhom prípade musí vyhovovať regexp hodnote identifikátora. Pri nájdení zhody sa vráti found_val, inak vráti not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37867,20 +37942,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- po zadaní hodnoty v tvare \"B, A\" vráti \"A B\". Najčastejšie sa používa pre konverziu mien v tvare \"Priezvisko, Meno\" do \"Meno Priezvisko\". Ak hodnota neobsahuje čiarku, funkcia ju vráti bez zmeny"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- ak val nie je prázdna, vráti val, inak `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37894,7 +37969,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37902,7 +37977,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- interpretuje hodnotu ako zoznam položiek oddelených `separator` a vráti ich počet. Väčšina polí používa ako oddeľovač čiarku, ale autori používajú znak &. Príklady: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37911,14 +37986,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- interpretuje hodnotu ako zoznam položiek oddelených `separator` a vráti položku číslo `index`. Prvá položka má číslo nula. Posledná položka môže byť vrátená použitím `list_item(-1,separator)`. Ak zoznam takú položku neobsahuje, vráti sa prázdna hodnota. Oddeľovač má rovnaký význam ako vo funkcii count."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37931,19 +38006,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37953,7 +38028,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37961,7 +38036,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37969,13 +38044,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37986,7 +38061,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37999,7 +38074,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38016,7 +38091,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38039,23 +38114,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- vráti hodnotu dátumu ako reťazec, vo formáte format_string. Formátovacie kódy sú:\r\nd    : deň v mesiaci ako číslo bez úvodnej nuly (1 až 31)\r\ndd   : deň v mesiaci s úvodnou nulou (01 až 31)\r\nddd  : skrátený lokálny názov dňa v týždni (napr. \"Pon\" až \"Ned\").\r\ndddd : dlhý lokálny názov dňa (napr. \"Pondelok\" až \"Nedeľa\").\r\nM    : číslo mesiaca bez úvodnej nuly (1 až 12).\r\nMM   : číslo mesiaca s úvodnou nulou (01 až 12)\r\nMMM  : skrátený lokálny názov mesiaca (napr. \"Jan\" až \"Dec\").\r\nMMMM : dlhý lokálny názov mesiaca (napr. \"Január\" až \"December\").\r\nyy   : dvojznakový formát roku (00 až 99).\r\nyyyy : štvorznakový formát roku.\r\nh    : hodiny bez úvodnej nuly (0 až 11 alebo 0 až 23, podľa am/pm)\r\nhh   : hodiny s úvodnou nulou (00 až 11 alebo 00 až 23, podľa am/pm)\r\nm    : minúty bez úvodnej nuly (0 až 59)\r\nmm   : minúty s úvodnou nulou (00 až 59)\r\ns    : sekundy bez úvodnej nuly (0 až 59)\r\nss   : sekundy s úvodnou nulou (00 až 59)\r\nap   : použiť 12-hodinový formát, namiesto 24-hodinového a nahradiť \"ap\" lokálnym reťazcom pre am alebo pm\r\nAP   : použiť 12-hodinový formát, namiesto 24-hodinového a nahradiť \"AP\" lokálnym reťazcom pre AM alebo PM\r\niso  : dátum s časom a časovou zónou. Musí byť uvedený ako samostatný formát."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38064,7 +38139,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38073,55 +38148,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- vráti Yes  ak má kniha obálku, inak vráti prázdny reťazec"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- vráti prvú neprázdnu hodnotu. Ak sú všetky hodnoty prázdne, vráti prázdnu hodnotu. Môžete zadať ľubovoľné množstvo parametrov."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) -- vráti reťazec \"1\" ak je aspoň jedna hodnota neprázdna, inak vráti prázdny reťazec. Táto funkcia je podobná funkcii test alebo first_non_empty. Môžete zadať ľubovoľné množstvo parametrov."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38130,7 +38205,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38138,7 +38213,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38146,7 +38221,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38154,7 +38229,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- vráti zoznam zotriedený s ignorovaním veľkosti písma. Ak je direction nula, zoznam je triedený vzostupne, inak zostupne. Položky vo vstupnom zozname sú rovnako ako položky vo vrátenom zozname oddelené znakom separator."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38163,7 +38238,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38172,7 +38247,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38180,14 +38255,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- vráti reťazec dátumu pre dnes. Táto hodnota je navrhnutá pre použitie vo funkciách format_date alebo days_between, ale môže s ňou byť manipulované, ako s každým iným reťazcom. Dátum je vo formáte ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38195,7 +38270,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- vráti počet dní medzi date1 a date2. Ak je date1 väčší, ako date2, je číslo je kladné, inak záporné. Ak niektorá z hodnôt date1 alebo date2 nie je dátum, vráti funkcia prázdny reťazec."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38203,28 +38278,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38233,7 +38308,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38242,7 +38317,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38251,7 +38326,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38259,7 +38334,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38271,7 +38346,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38282,7 +38357,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38290,13 +38365,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38304,7 +38379,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38317,11 +38392,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38329,11 +38404,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38342,7 +38417,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38353,7 +38428,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38363,6 +38438,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38651,29 +38732,29 @@ msgstr "Zatvoriť bez uloženia"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -39038,185 +39119,185 @@ msgstr "Všetky odkazy vyhovujúce tomut
 msgid "Do not download CSS stylesheets."
 msgstr "Nepreberať kaskádové štýly."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Ok"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Uložiť všetko"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Otvoriť"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Áno"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Áno pre &všetko"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nie"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Nie pre vš&etko"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Prerušiť"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Opakovať"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Zatvoriť"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Použiť"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Obnoviť"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Obnoviť štandardné"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "&Odtieň:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Sýtosť:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Jas:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "Če&rvená:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Zelená:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Modrá:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Kanál &alfa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Vybrať farbu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Základné farby"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Vlastné farby"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Veľkosť"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efekty"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Ukážka"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Rolovať doľava"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Rolovať hore"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Listovať dole"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Rolovať doprava"
 
@@ -39496,8 +39577,8 @@ msgstr "Určite pravidlá premenovania p
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39553,7 +39634,7 @@ msgstr "Určiť spôsob triedenia zbiero
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39568,7 +39649,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Zvoľte spôsob triedenia zbierok sony. Toto vylepšenie je použiteľné len v prípade,\nak je správa metadát nastavená na automatickú. Pre každú zbierku môžete určiť, \npodľa ktorých metadát sa má triediť. Formát tohoto vylepšenia je zoznam polí\nmetadát, z ktorých je zbierka vytvorená nasledovaným názvom poľa metadát\nobsahujúcom triediacu hodnotu.\nPríklad: Zbierky vytvorené z pubdate a tags sa majú triediť podľa hodnoty vlastného\npoľa '#mydate', zbierky vytvorené z 'series' sa majú triediť podľa 'series_index'\na všetky ostatné podľa title. Ak pole metadát zbierky nie je pomenované, v takom\nprípade ak sa jedná o zbierku podľa sérií je triedená podľa série, inak podľa názvu.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nVšimnite si, že sú nutné zátvorky. Syntax je\n[ ( [ zoznam polí ], triediace pole ) , ( [ zoznam polí ] , triediace pole ) ]\nVýchodzie: prázdne (žiadne pravidlá), takže žiadne atribúty zbierky nie sú pomenované."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/sl.po 5.10.0+dfsg-1/translations/calibre/sl.po
--- 5.9.0+dfsg-3/translations/calibre/sl.po	2021-01-06 15:29:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/sl.po	2021-01-20 15:26:58.000000000 +0000
@@ -16,8 +16,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -96,15 +96,15 @@ msgstr "Ne stori ničesar"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -125,7 +125,7 @@ msgstr "Ne stori ničesar"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -225,16 +225,16 @@ msgstr "Ne stori ničesar"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -260,7 +260,7 @@ msgstr "Ne stori ničesar"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -292,7 +292,7 @@ msgstr "Ne stori ničesar"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -311,7 +311,7 @@ msgstr "Ne stori ničesar"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -335,27 +335,27 @@ msgstr "Prilagodi"
 msgid "Cannot configure"
 msgstr "Ni mogoče prilagoditi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Vrsta datoteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Bralnik metapodatkov"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Pisalnik metapodatkov"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generator katalogov"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Dejanje uporabniškega vmesnika"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -367,20 +367,20 @@ msgstr "Dejanje uporabniškega vmesnika"
 msgid "Preferences"
 msgstr "Nastavitve"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Trgovina"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Trgovina z e-knjigami."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Urejevalnik knjig"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Knjižnica zaprta"
 
@@ -402,372 +402,372 @@ msgstr "Če uvožena datoteka TXT vsebuj
 msgid "Extract cover from comic files"
 msgstr "Izlušči naslovnico iz komičnih datotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Preberi metapodatke iz %s datotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Preberi metapodatke iz e-knjig in arhivov RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Preberi metapodatke iz e-knjig in arhivov ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Nastavi metapodatke v %s datotekah"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Spodaj vnesite {0}, če želite, da vtičnik zapisovalnika metapodatkov EPUB ne dodaja naslovnic v datoteke EPUB, ki nimajo obstoječe naslovne slike."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Nastavi metapodatke iz %s datotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Dodajte knjige v calibre ali priklopljeno napravo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Prenosi komentarje iz povezane naprave Kindle (eksperimentalno)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Ustvarite katalog knjig v knjižnici calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Pretvorite knjige v različne zapise e-knjig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Podrobneje nastavite e-knjige"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Brskajte po poudarkih in zaznamkih iz vseh knjig v knjižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Uredite kazalo vsebine v svojih knjigah"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Izbrišite knjige iz knjižnice calibre ali povezane naprave"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Vključite posodobljene metapodatke v datoteke knjig v svoji knjižnici calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Uredite metapodatke knjig v svoji knjižnici calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Preberite knjige iz svoje knjižnice calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Novice z interneta prenesite v zapisu e-knjige"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Prikaži seznam sorodnih knjig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtriraj/spremeni oznake za knjige v knjižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Preoblikuj avtorje za knjige v knjižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Pokaži urejevalnik za preizkušanje predlog"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Prikaži pogovorno okno za ustvarjanje in upravljanje funkcij predloge in shranjenih predlog"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Izvozite knjige iz svoje knjižnice calibre na trdi disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Prikaži podrobnosti knjige v ločenem oknu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Ponovno zaženi Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Odpri mapo, ki vsebuje datoteke knjig iz knjižnice calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Pošlji knjige na povezano napravo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Pošlji knjige po e-pošti ali na spletu. Poveži se tudi z mapami v računalniku, kot da gre za naprave"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Prebrskajte Uporabniški priročnik za calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Prilagodi calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Poiščite podobne knjige"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Preklopi med različnimi knjižnicami Calibre in opravi vzdrževanje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopiraj knjige iz naprave v svojo knjižnico Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Uredite zbirke, v katerih so knjige na vaši napravi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Poveži knjige na napravah s istimi knjigami v knjižnici"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Prikaži knjigo v knjižnici Calibre, ki ustreza tej knjigi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopiraj knjigo iz ene knjižnice Calibre v drugo"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Uredite e-knjige v zapisih epub in azw3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Opravite majhne spremembe datotek EPUB in HTMLZ v svoji knjižnici calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Najdi naslednji ali prejšnji zadetek iskanja po svoji knjižnici calibre v poudarjenem načinu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Izberi naključno knjigo iz knjižnice Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Razvrsti seznam knjig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Začasno označi knjige"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Spremenite trenutno navidezno knjižnico"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Poiščite knjige v različnih prodajalnah knjig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Poišči nove vstavke calibre ali posodobi obstoječe"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Videz in občutek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Vmesnik"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Izgled in občutek vmesnika programa calibre prilagodite svojemu okusu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Vedenje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Spremenite odzivanje programa calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Dodajte lastne stolpce"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Dodajte/odstranite lastne stolpce v seznamu knjig calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Orodne vrstice in meniji"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Prilagodite orodne vrstice in kontekstne menije, spreminjajte dostopna dejanja v obeh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Iskanje v teku ..."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Prilagodite iskanje po knjigah v calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Vhodne možnosti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Pretvorba"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Nastavite možnosti pretvorbe za posamezne vrste vhodnega zapisa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Splošne možnosti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Nastavite enake možnosti pretvorbe za vse zapise"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Izhodne možnosti"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Nastavite možnosti pretvorbe za posamezne vrste izhodnega zapisa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Dodajanje knjig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Uvozi/izvozi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Ob dodajanju knjig nadzirajte branje metapodatkov iz datotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Shranjevanje knjig na disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Ob izbiri funkcije Shrani na disk, nadzirajte, kako calibre izvaža datoteke iz lastne zbirke podatkov na disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Pošiljanje knjig na naprave"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Nadzirajte, kako calibre prenaša datoteke v vaš bralnik e-knjig"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Vtičniki metapodatkov"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Spreminjanje polj metapodatkov pred shranjevanjem/pošiljanjem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -777,92 +777,92 @@ msgstr "Spreminjanje polj metapodatkov p
 msgid "Template functions"
 msgstr "Funkcije predlog"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Napredno"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Ustvarite lastne funkcije predlog"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Souporaba knjig prek e-pošte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Souporaba"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Nastavitev souporabe knjig po e-pošti. Lahko uporabite za samodejno pošiljanje prenesenih novic na svoje naprave"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Souporaba prek spleta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Nastavite strežnik calibre Content Server, omogočil vam bo dostop do lastne knjižnice calibre prek interneta, s katerekoli naprave"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Prenos metapodatkov"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Nadzirajte, kako calibre prenaša metapodatke o e-knjigi z interneta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Prezrte naprave"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Nadzirajte, katere naprave so v programu calibre prezrte, ko se povežejo z računalnikom."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Vtičniki"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Dodajanje/odstranjevanje/spreminjanje različnih funkcionalnosti programa calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Prilagoditve"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Podrobna nastavitev obnašanja calibre v različnih kontekstih"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Tipke za bližnjico"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Prilagodite tipke za bližnjice, ki jih uporablja calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -870,7 +870,7 @@ msgstr "Prilagodite tipke za bližnjice,
 msgid "Miscellaneous"
 msgstr "Razno"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Razne naprednejše nastavitve"
 
@@ -1260,9 +1260,9 @@ msgstr "Posnetek stanja zbirke podatkov
 msgid "Restoring database from SQL"
 msgstr "Obnavljanje zbirke podatkov iz SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1288,17 +1288,17 @@ msgstr "Shranjena iskanja"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Da"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Naslovnica za %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} format za {1}"
@@ -1684,14 +1684,14 @@ msgstr "Določanje tega stikala bo izklj
 msgid "You must specify some ids or the %s option"
 msgstr "Določiti morate nekaj id-jev ali možnost %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [možnosti]\n\nIzpiše knjige, ki so na voljo v zbirki podatkov programa calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1699,7 +1699,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1707,39 +1707,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Zadetke razvrsti naraščujoče"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtriraj rezultate iskanja. Za obliko iskalnega niza si oglejte dokumentacijo, povezano z iskanjem v uporabniškem priročniku. Privzeto je iskanje brez filtriranja."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2286,21 +2286,21 @@ msgstr "prazno"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Neveljavna logična poizvedba \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Zaznana ponavljajoča se skupina poizvedb: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3476,11 +3476,11 @@ msgstr "Odstranjeno: %s"
 msgid "All books removed"
 msgstr "Vse knjige odstranjene"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Neimenovana naprava"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3489,12 +3489,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Nezanana naprava MTP"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6049,7 +6049,7 @@ msgstr "Opombe"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6342,7 +6342,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6350,7 +6350,7 @@ msgid "Comments"
 msgstr "Opombe"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6390,7 +6390,7 @@ msgid "Tags"
 msgstr "Značke"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6422,7 +6422,7 @@ msgid "Timestamp"
 msgstr "Časovni žig"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8160,13 +8160,13 @@ msgstr "Posodobljen EPUB iz različice 2
 msgid "HTML TOC generation options."
 msgstr "Možnosti tvorbe kazala vsebine za HTML"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} od <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8199,31 +8199,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "Stranska vrstica"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Dodajanje glav in nog"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Dodane so glave in noge"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Razčlenjena je vsa vsebina za preoblikovanje oznak"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Dokončano preoblikovanje označevanja"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Vse HTML so upodobljene kot PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Dodane povezave do vsebine PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Posodobljeni metapodatki v PDF-ju"
 
@@ -9206,7 +9206,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10229,7 +10229,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Pomoč"
 
@@ -11502,7 +11502,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Prezri"
 
@@ -11632,8 +11632,8 @@ msgstr "Spremeni"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11767,11 +11767,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Upravljaj z %s"
@@ -11914,7 +11914,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12241,7 +12241,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12318,7 +12318,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Shrani"
 
@@ -12327,10 +12327,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Izbriši"
@@ -12443,8 +12443,8 @@ msgstr "Ponastavi na privzeto"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13630,7 +13630,7 @@ msgid "Ta&gs:"
 msgstr "Zna&čke:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13645,8 +13645,8 @@ msgstr "&Zbirka:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Seznam znanih zbirk. Lahko dodate nove zbirke."
@@ -14513,7 +14513,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14854,19 +14854,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "&Izvozi"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14940,8 +14940,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15022,7 +15022,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16606,7 +16606,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16614,7 +16614,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16622,7 +16622,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16630,7 +16630,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16664,7 +16664,7 @@ msgid "Manage authors"
 msgstr "Upravljaj z avtorji"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17087,57 +17087,57 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "V delu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Zamenjaj polje"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Pripni na začetek polja"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Pripni polju"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
@@ -17145,22 +17145,22 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Knjiga %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17168,7 +17168,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17178,7 +17178,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17193,80 +17193,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Določiti morate vrsto identifikatorja cilja"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Izbriši shranjeno iskanje/zamenjavo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Shrani iskanje/zamenjavo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Avtor(ji): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17274,90 +17283,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Razvrščanje avtor&jev: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Posodobi razvrščanje po &naslovu"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Določite, kako se razvrščajo avtor(ji) te knjige. Npr. Charles Dickens se razvršča kot Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Zamenjaj &naslovnico"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "O&cena:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Izdelaj privzeto naslovnico"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Odstrani ovitek"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "Zalo&žnik: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Odst&rani značke:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Z vejico ločen seznam značk, ki bodo odstranjene iz knjig. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datum:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Odstrani &vse"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "&Objavljeno:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17365,281 +17369,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datum:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "&Objavljeno:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
+msgstr "Počisti datum objave"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "Jezi&ki:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Odst&rani značke:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Odstrani &vse"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Določite, kako se razvrščajo avtor(ji) te knjige. Npr. Charles Dickens se razvršča kot Dickens, Charles."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
-msgstr "Počisti datum objave"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Avtor(ji): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "Jezi&ki:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "Zalo&žnik: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Z vejico ločen seznam značk, ki bodo odstranjene iz knjig. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Razvrščanje avtor&jev: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Posodobi razvrščanje po &naslovu"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Zamenjaj &naslovnico"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Izdelaj privzeto naslovnico"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Odstrani ovitek"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "O&cena:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Osnovni metapodatki"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Metapodatki po meri"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "S&hrani"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "I&skalni način:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Zamenjaj z:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17647,48 +17673,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Preizkusno besedilo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Rezultati preizkusa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Najdi in zamenjaj"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18144,42 +18170,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18285,87 +18311,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Dodaj iskanje"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Uredi iskanje"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Uredi shranjeno iskanje"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19263,48 +19289,64 @@ msgstr "Oznaka 1"
 msgid "Tag 2"
 msgstr "Oznaka 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "IZJEMA:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Izbran ni noben stolpec"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Določiti morate stolpec, ki bo obarvan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20378,7 +20420,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Ni zadetkov"
 
@@ -20537,8 +20579,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20559,14 +20601,14 @@ msgstr[2] ""
 msgstr[3] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22800,60 +22842,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Dodaj pravilo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Odstrani pravilo/a"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Pomakni izbrano pravilo navzgor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Pomakni izbrano pravilo navzdol"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "&Dodaj napredno pravilo"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Uvozi pravila iz datoteke"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Barvo stolpcev na seznamu knjig lahko nadzirate z ustvarjanjem »pravil«, ki povedo programu, katero barvo naj uporabi. Kliknite spodnji gumb Dodaj pravilo, da pričnete. <p>Lahko tudi <b>spremenite obstoječe pravilo</b>, tako da ga dvokliknete."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Ikone lahko stolpcem na seznamu knjig dodate z ustvarjanjem »pravil«, ki povedo programu, katero ikono naj uporabi. Kliknite spodnji gumb Dodaj pravilo, da pričnete. <p>Lahko tudi <b>spremenite obstoječe pravilo</b>, tako da ga dvokliknete."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22861,57 +22903,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Dodate lahko embleme (majhne ikone), ki so prikazane na robu platnic v mreži naslovnic z ustvarjanjem »pravil«, ki povedo programu, katero sliko naj uporabi. Kliknite spodnji gumb Dodaj pravilo, da pričnete. <p>Lahko tudi <b>spremenite obstoječe pravilo</b>, tako da ga dvokliknete."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Pokaži &embleme ob naslovnicah"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Nobeno pravilo ni izbrano"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Pravila"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23753,13 +23795,13 @@ msgstr "Brez podnaslova"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Spodaj"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Zgoraj"
 
@@ -23793,7 +23835,7 @@ msgid "If there is enough room"
 msgstr "Če je dovolj prostora"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Po začetnicah"
 
@@ -24074,7 +24116,7 @@ msgid ""
 msgstr "Program uporablja dve vrsti predpomnilnika, da izboljša svoje delovanje pri upodabljanju naslovnic v mrežnem pogledu. Diskovni predpomnilnik, ki se nahaja na vašem trdem disku in hrani ogledne sličice naslovnic, ter pomnilniški predpomnilnik, ki zagotavlja upodabljanje naslovnic brez utripanja. Za najboljše rezultate ohranjajte pomnilniški predpomnilnik majhen, diskovnega pa velikega, razen če imate dovolj dodatnega RAM in vas ne moti, da se uporablja za ta namen."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Onemogoči"
 
@@ -24766,7 +24808,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25335,7 +25377,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25470,7 +25512,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25483,7 +25525,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26998,7 +27040,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27289,7 +27331,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Preimenuj %s"
@@ -27349,95 +27391,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Išči vse drugo kot %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Dodaj podkategorijo v %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Išči knjige v kategoriji %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Išči knjige zunaj kategorije %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Skrij kategorijo %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Spremeni ikono kategorije"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Obnovi privzeto ikono"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Upravljaj z upor. kategorijami"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Spremeni shemo podkategorij"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Particija"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28094,7 +28136,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28627,7 +28670,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Opusti"
 
@@ -30873,7 +30916,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "Po&dčrtano"
 
@@ -32208,7 +32251,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32835,7 +32878,7 @@ msgid "Export saved searches"
 msgstr "Izvozi shranjena iskanja"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Izvozi"
 
@@ -34715,16 +34758,16 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
@@ -34732,7 +34775,7 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34741,39 +34784,39 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
@@ -34781,11 +34824,11 @@ msgstr[1] ""
 msgstr[2] ""
 msgstr[3] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35239,7 +35282,7 @@ msgid "E-book viewer"
 msgstr "Bralnik e-knjig"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Pomakni sem"
 
@@ -35315,13 +35358,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35486,10 +35529,10 @@ msgid "< &Back"
 msgstr "< Na&zaj"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Prekliči"
 
@@ -36130,7 +36173,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36179,7 +36222,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36656,177 +36699,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Kaj želite storiti?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "privzeto"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Obstoječa uporabniška imena:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Ni uporabnikov, najprej morate dodati uporabnika"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Uporabniško ime %s ne obstaja"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Vnesite uporabniško ime"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Vnesite novo geslo za %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Prazno geslo ni dovoljeno"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Ponovno vnesite novo geslo za %s, da ga preverite:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Gesli se ne ujemata"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Uporabnik %s uspešno dodan!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Ste prepričani, da želite odstraniti uporabnika %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Uporabnik %s uspešno odstranjen!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Geslo za uporabnika %s uspešno spremenjeno!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Dodaj novega uporabnika"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Uredi obstoječega uporabnika"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Odstrani uporabnika"
 
@@ -37236,13 +37310,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37250,23 +37325,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37279,7 +37354,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37438,128 +37513,128 @@ msgstr "Nastavitve in vstavki"
 msgid "File is open in another process"
 msgstr "Datoteka je odprta v drugem postopku"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: neznana funkcija"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37614,60 +37689,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37679,7 +37754,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37690,13 +37765,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37706,30 +37781,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37739,7 +37814,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37749,24 +37824,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37775,11 +37850,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "preklop zahteva neparno število argumentov"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37789,19 +37864,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37811,11 +37886,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37827,11 +37902,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37842,14 +37917,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37862,20 +37937,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37889,7 +37964,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37897,7 +37972,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37906,14 +37981,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37926,19 +38001,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37948,7 +38023,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37956,7 +38031,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37964,13 +38039,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37981,7 +38056,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37994,7 +38069,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38011,7 +38086,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38034,23 +38109,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38059,7 +38134,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38068,55 +38143,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38125,7 +38200,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38133,7 +38208,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38141,7 +38216,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38149,7 +38224,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38158,7 +38233,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38167,7 +38242,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38175,14 +38250,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38190,7 +38265,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38198,28 +38273,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38228,7 +38303,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38237,7 +38312,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38246,7 +38321,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38254,7 +38329,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38266,7 +38341,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38277,7 +38352,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38285,13 +38360,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38299,7 +38374,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38312,11 +38387,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38324,11 +38399,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38337,7 +38412,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38348,7 +38423,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38358,6 +38433,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38646,29 +38727,29 @@ msgstr "Zapri brez shranjevanja"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -39033,185 +39114,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Ne prenesi slogovnih predlog CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Vredu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Shrani vse"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Odpri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Da"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Da za &vse"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Ne"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&e za vse"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Prekini"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Ponovi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Zapri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Uporabi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Ponastavi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Obnovi privzeto"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "O&dtenek:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Nasič.:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Vredn.:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Rdeča:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "%Zelena:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "%Modra:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "Kanal a&lfa:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Kazalec na %1, %2\nZa preklic pritisnite ESC"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Izberite barvo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Osnovne barve"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Barve po meri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Dodaj barvam po meri"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Izberite barvo zaslona"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Izberite pisavo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Pisava"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Slo&g pisave"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Velikost"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Učinki"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Pre&črtano"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Vzorec"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "S&istem pisanja"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Levi rob"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Desni rob"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Stran levo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Stran gor"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Stran dol"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Stran desno"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Pomakni levo"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Pomakni gor"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Pomakni dol"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Pomakni desno"
 
@@ -39491,8 +39572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39548,7 +39629,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/sq.po 5.10.0+dfsg-1/translations/calibre/sq.po
--- 5.9.0+dfsg-3/translations/calibre/sq.po	2021-01-06 15:30:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/sq.po	2021-01-20 15:26:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr "nuk bën absolutisht asgjë"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr "nuk bën absolutisht asgjë"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr "nuk bën absolutisht asgjë"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr "nuk bën absolutisht asgjë"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr "nuk bën absolutisht asgjë"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr "nuk bën absolutisht asgjë"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr "Personalizo"
 msgid "Cannot configure"
 msgstr "Nuk mund të konfigurohet"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Lloji i skedarit"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Lexues meta-të dhënash"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Shkrues meta-të dhënash"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Gjenerator katalogu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Preferencat"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Dyqan"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr "Krijo nje TXTZ arkiv kur nje dok
 msgid "Extract cover from comic files"
 msgstr "Ekstrakto koverin nga dokumentet te tipit comic"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Lexo metadata nga %s dokumenteve"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Vendose meadatan ne %s dokumenteve"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Vendose meadatan ne %s dokumenteve"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Shto libra në calibre ose në pajisje te lidhur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Edito Tabelën e Përmbajtjes në libra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Fshijë librat prej librarisë tuaj në calibre apo në nga pajisjet e konektuara"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Lexo libra në librarinë tuaj në calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Shfaq shpejt listën e librave të ndërlidhura"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Rinis calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Hap folderin i cili përmban skedarët e librave në caliber librari"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Dërgo librat në pajisjen e konektuar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopjo librat nga pajisja në calibre librari"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopjo librin nga një calibre librari tek tjetra librari"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Kërko për libra nga shitës të ndryshëm të librave"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Ndërfaqe"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Sjellje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Ndrysho mënyren se si calibre punon"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Ndërfut kolumnen tuaj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Shto/fshijë kolumnën tuaj tek calibre lista e librave"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Duke kërkuar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Shndërrim"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Duke futur libra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Duke ruajtur librat në disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Duke i dërguar librat në paisje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Krijo funksionet e shabllonit tuaj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Shpërndaj librat përmes email-it"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Duke shpërndarë"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Duke shpërndarë përmes rrjetit"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Shkariko meta-të dhëna"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Shtojca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr "Shënime"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr "Komente"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr "Etiketa"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr "Vulë kohore"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "Anështyllë"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Botues: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datë:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datë:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Botues: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Meta-të dhëna bazë"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Meta-të dhëna shtesë"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/sr@latin.po 5.10.0+dfsg-1/translations/calibre/sr@latin.po
--- 5.9.0+dfsg-3/translations/calibre/sr@latin.po	2021-01-06 15:29:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/sr@latin.po	2021-01-20 15:27:19.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -89,15 +89,15 @@ msgstr "ne funkcionise"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -118,7 +118,7 @@ msgstr "ne funkcionise"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -218,16 +218,16 @@ msgstr "ne funkcionise"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -253,7 +253,7 @@ msgstr "ne funkcionise"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -285,7 +285,7 @@ msgstr "ne funkcionise"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -304,7 +304,7 @@ msgstr "ne funkcionise"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -328,27 +328,27 @@ msgstr "Prilagođavanje"
 msgid "Cannot configure"
 msgstr "Nemoguće podesiti"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Tip datoteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadata čitač"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadata pisač"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Generator kataloga"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -360,20 +360,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Postavke"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Radnja"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -395,372 +395,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Dodaj knjige u calibre ili u spojene uređaje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Generiši katalog knjiga ih vaše calibre biblioteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Uredi Sadržaj u vašim knjigama"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Izbriši knjige iz vaše calibre biblioteke ili spojenih uređaja"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Čitaj knjige u vašoj calibre biblioteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Brzo prikaži listu srodnih knjiga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Ponovo pokreni calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Otvori direktorijum koji sadrži knjige iz vaše calibre biblioteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Pošalji knjige na spojeni uređaj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Prilagodi calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Lako pronađi knjige slične izabranoj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopirajte knjige sa uređaja u vašu calibre biblioteku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopirajte knjigu iz jedne calibre biblioteke u drugu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Izaberi nasumičnu knjigu iz svoje calibre biblioteke"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sortiraj listu knjigu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Privremeno obeleži knjige"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Pretrži knjige od različitih prodavaca"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Interfejs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Podesi izgled i osecaj interfejsa calibrija prema svom ukusu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "ponasanje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Promeni nacin funkcionisanja Calibrija"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -770,92 +770,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Napredno"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Deljenje knjiga putem e-pošte"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Deljenje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Podesi deljenje knjiga putem e-pošte. Može se koristiti za automatsko slanje preuzetih vesti na vaš uredjaj"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Deli preko interneta"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Metadata preuzimanje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -863,7 +863,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1253,9 +1253,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1281,17 +1281,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Da"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1677,14 +1677,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1692,7 +1692,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1700,39 +1700,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2279,21 +2279,21 @@ msgstr "prazno"
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3469,11 +3469,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3482,12 +3482,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6042,7 +6042,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6335,7 +6335,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6343,7 +6343,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6383,7 +6383,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6414,7 +6414,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8148,13 +8148,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8187,31 +8187,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9187,7 +9187,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10203,7 +10203,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11469,7 +11469,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11599,8 +11599,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11734,11 +11734,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11881,7 +11881,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12208,7 +12208,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12285,7 +12285,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12294,10 +12294,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12410,8 +12410,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13597,7 +13597,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13612,8 +13612,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14480,7 +14480,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14821,19 +14821,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14907,8 +14907,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14989,7 +14989,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16571,7 +16571,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16579,7 +16579,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16587,7 +16587,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16595,7 +16595,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16629,7 +16629,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17051,79 +17051,79 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17131,7 +17131,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17141,7 +17141,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17156,80 +17156,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17237,90 +17246,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17328,281 +17332,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17610,48 +17636,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18107,42 +18133,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18248,87 +18274,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19226,48 +19252,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20336,7 +20378,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20495,8 +20537,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20515,14 +20557,14 @@ msgstr[1] ""
 msgstr[2] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22749,60 +22791,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22810,57 +22852,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23702,13 +23744,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23742,7 +23784,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -24023,7 +24065,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Onemogući"
 
@@ -24715,7 +24757,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25284,7 +25326,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25419,7 +25461,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25431,7 +25473,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26945,7 +26987,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27236,7 +27278,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27296,95 +27338,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Podela"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28041,7 +28083,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28573,7 +28616,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30815,7 +30858,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32146,7 +32189,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32773,7 +32816,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34650,23 +34693,23 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34674,50 +34717,50 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35171,7 +35214,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35247,13 +35290,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35418,10 +35461,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Odustani"
 
@@ -36062,7 +36105,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36111,7 +36154,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36588,177 +36631,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37167,13 +37241,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37181,23 +37256,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37210,7 +37285,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37369,128 +37444,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37545,60 +37620,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37610,7 +37685,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37621,13 +37696,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37637,30 +37712,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37670,7 +37745,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37680,24 +37755,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37706,11 +37781,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37720,19 +37795,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37742,11 +37817,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37758,11 +37833,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37773,14 +37848,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37793,20 +37868,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37820,7 +37895,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37828,7 +37903,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37837,14 +37912,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37857,19 +37932,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37879,7 +37954,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37887,7 +37962,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37895,13 +37970,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37912,7 +37987,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37925,7 +38000,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37942,7 +38017,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37965,23 +38040,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37990,7 +38065,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37999,55 +38074,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38056,7 +38131,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38064,7 +38139,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38072,7 +38147,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38080,7 +38155,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38089,7 +38164,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38098,7 +38173,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38106,14 +38181,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38121,7 +38196,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38129,28 +38204,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38159,7 +38234,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38168,7 +38243,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38177,7 +38252,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38185,7 +38260,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38197,7 +38272,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38208,7 +38283,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38216,13 +38291,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38230,7 +38305,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38243,11 +38318,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38255,11 +38330,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38268,7 +38343,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38279,7 +38354,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38289,6 +38364,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38577,29 +38658,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38963,185 +39044,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Zatvori"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39421,8 +39502,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39478,7 +39559,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/sr.po 5.10.0+dfsg-1/translations/calibre/sr.po
--- 5.9.0+dfsg-3/translations/calibre/sr.po	2021-01-06 15:29:49.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/sr.po	2021-01-20 15:26:52.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -91,15 +91,15 @@ msgstr "Не ради баш ништа"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -120,7 +120,7 @@ msgstr "Не ради баш ништа"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -220,16 +220,16 @@ msgstr "Не ради баш ништа"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -255,7 +255,7 @@ msgstr "Не ради баш ништа"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -287,7 +287,7 @@ msgstr "Не ради баш ништа"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -306,7 +306,7 @@ msgstr "Не ради баш ништа"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -330,27 +330,27 @@ msgstr "Прилагоди"
 msgid "Cannot configure"
 msgstr "Није могуће подесити"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Врста датотеке"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Читач мета података"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Писар мета података"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Генератор каталога"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -362,20 +362,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "Поставке"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Складиштe"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -397,372 +397,372 @@ msgstr "Направи архиву TXTZ
 msgid "Extract cover from comic files"
 msgstr "Издвоји корице из стрипа"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Прочитај метаподатке из %s датотека"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Упиши метаподатке у %s датотеке"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Учитај метаподатке из %s датотеке"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Додај књиге у calibre или повезани уређај"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Узми напомене од повезаног Kindle (експериментално)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Направите каталог књига у библиотеци calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Уредите садржај у вашим књигама"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Избриши  књиге из ваше calibre библиотеке или повезаног уређаја"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Уреди метаподатке књига у библиотеци calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Прочитај књиге у библиотеци calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Прикажи брзо списак сродних књига"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Извоз књига из библиотеке calibre на чврсти диск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Поново покрени calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Отворите фасциклу која садржи датотеке књига у библиотеци calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Пошаљи књиге у повезани уређај"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Отвори calibre корисничко упутство"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Прилагоди calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Пронађи књиге сличне као тренутно одабрану"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Пребацивање између различитих calibre библиотека и вршимо одржавање истих"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Уредите колекције у којој се књига налазе на уређају"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Упоредите књиге са уређаја са књигама у библиотеци"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Копирање књиге из једне calibre библиотеке у другу"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Пронађи следећу или претходну одговарајућу при претраживању у calibre библиотеци у истакнутом режиму"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Изаберите насумичну књигу из  библиотеке calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Разврстајте списак књига"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Трагање за књигама од различитих продаваца књига"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Преузмите нове додатке calibre или ажурирате постојеће"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Сучеље"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Прилагодите изглед и понашање calibre-а да одговара вашем укусу"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Понашање"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Промените начин понашања calibre-а"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Додај своје колоне"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Додајте/уклоните сопствене колоне за calibre списак књига"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Прилагодите алатну траку и контекстни меније мењајући акције које су на располагању у сваком од њих"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Претраживање"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Подесите свој начин проналажења књиге у calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Претварање"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Подесите могућности претварања које су специфичне за сваки улазни формат"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Поставите могућности за претварање за све формате"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Поставите могућности за претварање специфичне за сваки излазни формат"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Додавање књига"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Регулишите како calibre чита метаподатке из датотека приликом додавања књига"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Чување књига на диску"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Регулишете како calibre извози датотеке из  базе података на диск приликом коришћења Сачувај на диску"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Слање књига на уређаје"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Прикључци за метаподатке"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Измени поља метаподатака пре чувања/слања"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -772,92 +772,92 @@ msgstr "Измени поља метап
 msgid "Template functions"
 msgstr "Шаблон функција"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Напредно"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Направите сопствене функције шаблона"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Дељење књига  е-поштом"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Дељење"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Подесите дељење књига путем е-поште. Може се користити за аутоматско слање преузетих вести на ваш уређај"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Размена преко мреже"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Преузми метаподатке"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Занемарени уређаји"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Контролише који уређаји ће бити игнорисани када се привежу на рачунар."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Додаци"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Додавај /уклони/ прилагоди разне елементе понашања calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Фино подешавање"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Фино подесите како да се calibre понаша у различитим ситуацијама"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Пречице"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Подесите пречице на тастатури које користи calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -865,7 +865,7 @@ msgstr "Подесите пречице
 msgid "Miscellaneous"
 msgstr "Разно"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Разна напредна подешавања"
 
@@ -1255,9 +1255,9 @@ msgstr "Увоз базе податак
 msgid "Restoring database from SQL"
 msgstr "Враћам базу података из СКуеЛ-а"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1283,17 +1283,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Да"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1679,14 +1679,14 @@ msgstr "Навођење ове могу
 msgid "You must specify some ids or the %s option"
 msgstr "Морате навести неке идентификаторе за могућност %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog списак [могућности]\n\nСписак књига из calibre библиотеке.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1694,7 +1694,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1702,39 +1702,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Разврстај резултате у растућем редоследу."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Филтрирај резултате користећи упит за претрагу. За формат упита молим вас да погледате одговарајући део Корисничког упутства. Подразумева се да неће бити филтрирања."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Највећа ширина реда у излазу. Подразумева се ширина екрана."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Знаци који служе за раздвајање поља. Подразумева се размак."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Префикс за све путање. Подразумева се апсолутна путања до фасцикле која садржи библиотеку."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2281,21 +2281,21 @@ msgstr "празно"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Неисправан булов упит \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3471,11 +3471,11 @@ msgstr "Уклоњено %s"
 msgid "All books removed"
 msgstr "Све књиге су уклоњене"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3484,12 +3484,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Непознат MTP уређај"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6044,7 +6044,7 @@ msgstr "Белешке"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6337,7 +6337,7 @@ msgid "Producer"
 msgstr "Произвођач"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6345,7 +6345,7 @@ msgid "Comments"
 msgstr "Коментари"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6385,7 +6385,7 @@ msgid "Tags"
 msgstr "Ознаке"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6416,7 +6416,7 @@ msgid "Timestamp"
 msgstr "Временска ознака"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8150,13 +8150,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "Могућности за стварање HTML садржаја"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8189,31 +8189,31 @@ msgstr "Направи  Adobe \"page-map
 msgid "Sidebar"
 msgstr "Бочна трака"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9189,7 +9189,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10205,7 +10205,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Помоћ"
 
@@ -11471,7 +11471,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Занемари"
 
@@ -11601,8 +11601,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11736,11 +11736,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Уреди '%s'"
@@ -11883,7 +11883,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12210,7 +12210,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12287,7 +12287,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Сачувај"
 
@@ -12296,10 +12296,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Избриши"
@@ -12412,8 +12412,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13599,7 +13599,7 @@ msgid "Ta&gs:"
 msgstr "Е&тикете:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13614,8 +13614,8 @@ msgstr "&Серија:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Списак познатих серија. Можете додати и нове серије."
@@ -14482,7 +14482,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14823,19 +14823,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14909,8 +14909,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14991,7 +14991,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16573,7 +16573,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16581,7 +16581,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16589,7 +16589,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16597,7 +16597,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16631,7 +16631,7 @@ msgid "Manage authors"
 msgstr "Организуј ауторе"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Тражи:"
@@ -17053,79 +17053,79 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Радим"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Мала слова"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Велика слова"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Величина наслова"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Одговарајући знаци."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Поље за измену."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Додај на почетак поља."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Додај на крај поља."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Изврши промене одмах, без затварања дијалога. Ова операција се не може прекинути нити поништити."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Књига %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Унесите тип идентификатора"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17133,7 +17133,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Коришћењем ове функције можете уништити вашу библиотеку.</b> Измене су трајне. Не постоји начин да се пониште. Најтоплије вам препоручујемо да направите резервну копију своје блиотеке пре него што наставите.<p>Претрага и замена у текстуалним пољима коришћењем регуларних израза, или простог поређења. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17143,7 +17143,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17158,80 +17158,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ГРЕШКА У S/R ШАБЛОНУ."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Морате навести тип одредишта идентификатора"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Неисправна претрага/замена."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Обриши сачувану претрагу / замену"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Изабрана сачувана Претражи/ Замени ће бити обрисана. Јесте ли сигурни ?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Сачувај претражи/замени"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Претражи/замени назив:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Тa сачуванa претрагa/ аменa већ постоји и биће замењена. Да ли сте сигурни?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Аутор: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17239,90 +17248,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "А&утоматски изабери поље за разврставање по имену аутора."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Р&зврставање по имену аутора: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Ажурирај &разврставање наслова"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Одреди како ће имена аутора ове књиге бити коришћена за разврставање. На пример, Вук Караџић ће бити разврстан као Караџић, Вук."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Промени к&орице"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Оцена:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Направи подразумеване корице"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Уклони корице"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Издавач: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Додај &етикете: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Избриши етикете."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Наслов мора бити са свим великим почетним словима. Ако је изабрана и ова могућност\nда се измене места аутору и наслову, величина слова ће бити промењена после измене."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Lista etiketa razdvojenih zarezima koja će biti uklonjena sa knjiga. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Изаберите ову могућност да уклоните све етикете с књига"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Датум:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Уклони &све."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Ако је означено, серија ће бити избрисана."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Очисти серију"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17330,281 +17334,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Ако ова могућност није изабрана, број серије за књиге ће бити постављен на 1.\nАко јесте, изабране књиге ће бити аутоматски нумерисане, у редоследу\nкојим сте их изабрали. Тако, ако изаберете Књигу А, а затим Књигу Б,\nКњига А ће имати број 1 у серији, а Књига Б број 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Аутоматски број књига из ове серије"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Серије ће обично бити пренумерисане од највишег броја за ту серију\nу бази података. Ако изаберете ову могућност calibre  ће нумерисање\nпочети од броја наведеног у овом пољу"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Принудно бројање да почне са:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Ако је означено, серија ће бити избрисана."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Очисти серију"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Датум:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
+msgstr "Очисти јавни датум"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Избриши етикете."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "&Језици:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Уклони &све."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
+msgstr "Уклони сачувана подешавања за претварање изабраних књига.\n\nНаредно претварање ових књига ће користити подразумеване вредности."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Додај &етикете: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr "Уклони &сачувана подешавања за претварање изабраних књига"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Одреди како ће имена аутора ове књиге бити коришћена за разврставање. На пример, Вук Караџић ће бити разврстан као Караџић, Вук."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
-msgstr "Очисти јавни датум"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Аутор: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "&Језици:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr "Враћање на оригинал &ако је могуће"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Издавач: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Наслов мора бити са свим великим почетним словима. Ако је изабрана и ова могућност\nда се измене места аутору и наслову, величина слова ће бити промењена после измене."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Lista etiketa razdvojenih zarezima koja će biti uklonjena sa knjiga. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Р&зврставање по имену аутора: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Ажурирај &разврставање наслова"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
 msgid ""
 "Set the metadata in calibre from the metadata in the e-book files associated"
 " with each book. Note that this does not change the cover, for that, use the"
 " separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
 msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Промени к&орице"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Направи подразумеване корице"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Уклони корице"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
-msgstr "Уклони сачувана подешавања за претварање изабраних књига.\n\nНаредно претварање ових књига ће користити подразумеване вредности."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
-msgstr "Уклони &сачувана подешавања за претварање изабраних књига"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
-msgstr "Враћање на оригинал &ако је могуће"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Изаберите ову могућност да уклоните све етикете с књига"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Оцена:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Основни метаподаци."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Кориснички метаподаци."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Изаберите сачувану претрагу / замени за учитавање"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Сачувај тренутну претрагу / замени"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Сач&увај"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Претражи по&ље:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Назив поља које желите да претражујете."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Начин претраживања:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Изаберите да ли ћете користити једноставно тражење текста, или регуларне изразе."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Унесите шаблон који ће бити коришћен за претраживање и замену."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Изаберите ову могућност ако текст за претраживање мора одговарати и по величини слова. Ако ова могућнос није изабрана величина слова неће бити битна."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Разликуј в&елика и мала слова."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Замени са:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Текст за замену. Пронађени текст ће бити замењен овим."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "Примени &функицију после замене:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Одредите како ће текст бити обрађен после проналажења и замене. У начину рада с обичним текстом\nбиће обрађено цело поље. У начину рада с регуларним изразима биће обрађен само пронађени текст."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Циљно поље:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Поље у које ће бити убачен текст после свих замена.\nАко је остављено празно, текст ће бити убачен у изворно поље ако је то могуће."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "Н&ачин:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Одреди како ће текст бити копиран у циљно поље."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Одређује да ли ће резултат бити подељен у више вредности, или\nће остати као целина. Ова могућност има највише ефекта када изворно\nпоље није вишеструко, а када циљно јесте."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Раздвој &резултате."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Врста идентификатора:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17612,48 +17638,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "За поља с више вредности при&кажи."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "вредности раздвојене &са"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Користи када приказујеш резултате да би раздвојио елементе у пољима с више вредности."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Пробни текст"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Резултат теста"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "&Тражи и замени"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18109,42 +18135,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Нема пронађених ставки**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18250,87 +18276,87 @@ msgstr "Враћање базе пода
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Изабана сачувана претрага ће бити <b>избрисана заувек</b>. Да ли сте сигурни?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19228,48 +19254,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Није изабран стубац"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Морате навести колону да буде у боји"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Омогући без шаблона"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20338,7 +20380,7 @@ msgstr "Трагање за пречиц
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Нема резултата"
 
@@ -20497,8 +20539,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20517,14 +20559,14 @@ msgstr[1] ""
 msgstr[2] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22751,60 +22793,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Премести изабрано правило горе"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Премести изабрано правило испод"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22812,57 +22854,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Није изабрано правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Није правило изабран за %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "уклањање"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23704,13 +23746,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23744,7 +23786,7 @@ msgid "If there is enough room"
 msgstr "Ако постоји довољно простора"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "По првом слову."
 
@@ -24025,7 +24067,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Искључи"
 
@@ -24717,8 +24759,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Овде можете изменити метаподатке које calibre користи како би ажурирао књиге када их снима на диск, или шаље на уређај.\n\nКористите овај дијалог да дефинишете 'прикључак' за формат (или све формате), или уређај (или све уређаје). Прикључак одређује који шаблон ће бити повезан с којим пољем. Шаблон се користи да одреди вредност која ће бити додељена прикљученом пољу.\n\nШаблони ће често садржати једноставне везе ка сложеним колонама, али то није неопходно. У изворном пољу можете користити било који шаблон који може да се користи другде у calibre-у.\n\nЈедна могућа употреба прикључака је да у наслов додате информацију о серији. Друга могућа употреба је да се измени начин разврставања по аутору, нешто што би корисници формата MOBI могли да ураде како би додали ';' који Kindlе захтева. Трећа употреба би могла да буде дефинисање језика."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25286,7 +25328,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25421,7 +25463,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25433,7 +25475,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26947,7 +26989,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27238,7 +27280,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Преименуј %s"
@@ -27298,95 +27340,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Трагање за свим, али %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Додај под- категорију %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Претрага за књигама у категорији %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Претрага за књигама које нису у категорији %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Сакриј категорију %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Промени шему подкатегорије"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Партиција"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Прво слово је употребљива само када је разврставање по називу"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28043,7 +28085,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28575,7 +28618,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Одбаци"
 
@@ -30817,7 +30860,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32148,7 +32191,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32775,7 +32818,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Извези"
 
@@ -34652,23 +34695,23 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34676,50 +34719,50 @@ msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 msgstr[2] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35173,7 +35216,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35249,13 +35292,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35420,10 +35463,10 @@ msgid "< &Back"
 msgstr "< &Назад"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Откажи"
 
@@ -36064,7 +36107,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36113,7 +36156,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36590,177 +36633,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Празне лозинке нису дозвољене"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37169,13 +37243,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37183,23 +37258,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37212,7 +37287,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37371,128 +37446,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "формат: тип {0} захтева целобројну вредност, а наведено је {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "формат: тип {0} захтева децималну (реалну) вредност, а наведено је {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: непозната функција"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37547,60 +37622,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37612,7 +37687,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37623,13 +37698,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37639,30 +37714,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37672,7 +37747,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37682,24 +37757,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "претрага захтева или 2, или непаран број аргумената"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37708,11 +37783,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "промена затева непаран број аргумената"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37722,19 +37797,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37744,11 +37819,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37760,11 +37835,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37775,14 +37850,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37795,20 +37870,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37822,7 +37897,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37830,7 +37905,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37839,14 +37914,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37859,19 +37934,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37881,7 +37956,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37889,7 +37964,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37897,13 +37972,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37914,7 +37989,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37927,7 +38002,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37944,7 +38019,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37967,23 +38042,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37992,7 +38067,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38001,55 +38076,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38058,7 +38133,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38066,7 +38141,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38074,7 +38149,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38082,7 +38157,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38091,7 +38166,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38100,7 +38175,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38108,14 +38183,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38123,7 +38198,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38131,28 +38206,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38161,7 +38236,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38170,7 +38245,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38179,7 +38254,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38187,7 +38262,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38199,7 +38274,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38210,7 +38285,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38218,13 +38293,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38232,7 +38307,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38245,11 +38320,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38257,11 +38332,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38270,7 +38345,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38281,7 +38356,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38291,6 +38366,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38579,29 +38660,29 @@ msgstr "Затвори без чувањ
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38965,185 +39046,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Не преузимај CSS стилове."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "У реду"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Сачувај све"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Отвори"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Да"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Д&а за све"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Не"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Н&е за све"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Прекини"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Покушај поново"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Затвори"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Примени"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Поново постави"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Врати подразумевано"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Клизај улево"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Помери навише"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Помери наниже"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Клизај удесно"
 
@@ -39423,8 +39504,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39480,7 +39561,7 @@ msgstr "Наведите како су S
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/sv.po 5.10.0+dfsg-1/translations/calibre/sv.po
--- 5.9.0+dfsg-3/translations/calibre/sv.po	2021-01-06 15:29:49.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/sv.po	2021-01-20 15:27:04.000000000 +0000
@@ -6,12 +6,13 @@
 # Ein Andersson <einand@3gdev.com>, 2015
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2008
 # Henrik Mattsson-Mårn <h@reglage.net>, 2015
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
 # Jonatan Nyberg, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
 # Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2021
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Josef Andersson <josef.andersson@fripost.org>, 2017
 # Josef Andersson <l10nl18nsweja@gmail.com>, 2017
 # Merarom <merarom@yahoo.es>, 2014-2017,2019
@@ -21,8 +22,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-05 06:33+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 11:14+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -101,15 +102,15 @@ msgstr "Gör absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -130,7 +131,7 @@ msgstr "Gör absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -230,16 +231,16 @@ msgstr "Gör absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -265,7 +266,7 @@ msgstr "Gör absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -297,7 +298,7 @@ msgstr "Gör absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -316,7 +317,7 @@ msgstr "Gör absolut ingenting"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -340,27 +341,27 @@ msgstr "Anpassa"
 msgid "Cannot configure"
 msgstr "Det går inte att anpassa"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Filtyp"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadataläsare"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadataskrivare"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Kataloggenerator"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Användargränssnittsåtgärd"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -372,20 +373,20 @@ msgstr "Användargränssnittsåtgärd"
 msgid "Preferences"
 msgstr "Inställningar"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Butik"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "En e-bokbutik."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Bokredigeringsverktyg"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Bibliotek stängt"
 
@@ -407,372 +408,372 @@ msgstr "Skapa ett TXTZ-arkiv när en TXT
 msgid "Extract cover from comic files"
 msgstr "Extrahera omslag från serietidningsfiler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Läs metadata från %s filer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Läs metadata från e-böcker i RAR-arkiv"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Läs metadata från e-böcker i ZIP-arkiv"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Ställ in metadata i %s filer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Ange {0} nedan för att inte EPUB-metadataskrivarinsticksmodulen ska lägga till omslagsbilder i EPUB-filer som inte har någon befintlig omslagsbild."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Ställ in metadata från %s filer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Lägg till böcker i calibre eller den anslutna enheten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Hämta anteckningar från en ansluten Kindle (experimentell)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Generera en katalog med de böcker som finns i ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Konvertera böcker till olika e-bokformat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Finjustera dina e-böcker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Bläddra bland markeringar och bokmärken från alla böcker i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Redigera innehållsförteckningen i dina böcker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Ta bort böcker från ditt calibre-bibliotek eller ansluten enhet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Bädda in uppdaterat metadata i de aktuella bokfilerna i ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Redigera metadata för böcker i ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Läs böcker i ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Hämta nyheter från internet i e-bokformat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Visa snabbt en lista över relaterade böcker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Filtrera/omvandla taggarna från böcker i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Omvandla författarna för böcker i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Visa en redigerare för att testa mallar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Visa en dialogruta för att skapa och hantera mallfunktioner och lagrade mallar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Exportera böcker från ditt calibre-bibliotek till hårddisken"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Visa bokdetaljer i ett separat fönster"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Starta om calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Öppna mappen med de bokfiler som finns i ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Överför böcker till den anslutna enheten"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Skicka böcker via e-post eller webben. Anslut också till mappar på din dator som om de är enheter"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Bläddra i användarhandboken för calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Anpassa calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Hitta enkelt böcker som liknar den för närvarande valda"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Växla mellan olika calibre-bibliotek och utför underhåll på dem"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Kopiera böcker från enheten till ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Redigera samlingarna där böcker placeras på din enhet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Jämför böcker på enheterna till böcker i biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Visa boken i calibre-biblioteket som matchar den här boken"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Kopiera en bok från ett calibre-bibliotek till ett annat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Redigera e-böcker med EPUB- eller AZW3-format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Gör små ändringar till EPUB- eller HTMLZ-filer i ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Hitta nästa eller tidigare träff när du söker i ditt calibre-bibliotek och är i markeraläget"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Välj en slumpmässig bok från ditt calibre-bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sortera listan över böcker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Markera böcker tillfälligt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Ändra det aktuella virtuella biblioteket"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Sök efter böcker från olika bokförsäljare"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Skaffa nya calibre-insticksmoduler eller uppdatera dina befintliga"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Utseende & känsla"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Gränssnitt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Justera utseendet och känslan för calibre-gränssnittet efter din smak"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Beteende"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Ändra sättet calibre beter sig på"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Lägg till dina egna kolumner"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Lägg till/ta bort dina egna kolumner i calibre-boklistan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Verktygsfält & menyer"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Anpassa verktygsfälten och menyerna, ändra vilka åtgärder som finns tillgängliga i varje"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Sökning"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Anpassa på vilket sätt sökningen efter böcker fungerar i calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Alternativ för inmatning"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Konvertera"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Ange konverteringsalternativ specifika för varje inmatningsformat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Gemensamma alternativ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Ange gemensamma konverteringsalternativ för alla format"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Alternativ för utmatning"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Ange specifika konverteringsalternativ för varje utmatningsformat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Lägg till böcker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Importera/exportera"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Anpassa hur calibre läser metadata från filer när du lägger till böcker"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Sparar böcker till disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Anpassa hur calibre exporterar filer från databasen till hårddisken när du sparar till disk"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Överför böcker till enheter"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Anpassa hur calibre överför filer till din läsenhet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metadatapluggbrädor"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Ändra metadatafält innan de sparas/överförs"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -782,92 +783,92 @@ msgstr "Ändra metadatafält innan de sp
 msgid "Template functions"
 msgstr "Mallfunktioner"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Avancerat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Skapa dina egna mallfunktioner"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Dela böcker per e-post"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Delning"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Anpassa delning av böcker per e-post. Kan användas för automatisk sändning av hämtade nyheter till dina enheter"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Dela via nätet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Ställ in calibre Innehållsservern som ger dig tillgång till ditt calibre-bibliotek var som helst, på vilken enhet som helst, över internet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Hämta metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Anpassa hur calibre hämtar e-bokmetadata från nätet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ignorerade enheter"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Anpassa vilka enheter calibre ignorerar när de ansluts till datorn."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Insticksmoduler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Lägg till/ta bort/anpassa olika bitar av calibre funktionalitet"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Justeringar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Finjustera hur calibre beter sig i olika sammanhang"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Genvägar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Anpassa tangentbordsgenvägar som används av calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -875,7 +876,7 @@ msgstr "Anpassa tangentbordsgenvägar so
 msgid "Miscellaneous"
 msgstr "Diverse"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Diverse avancerad konfiguration"
 
@@ -1265,9 +1266,9 @@ msgstr "Dumpar databas till SQL"
 msgid "Restoring database from SQL"
 msgstr "Återställer databas från SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1293,17 +1294,17 @@ msgstr "Sparade sökningar"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Ja"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Omslag för %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0}-format för {1}"
@@ -1689,14 +1690,14 @@ msgstr "Om denna växel aktiveras, komme
 msgid "You must specify some ids or the %s option"
 msgstr "Du måste ange några id:n eller %s-alternativet"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\nLista de böcker som finns i calibre-databasen.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1704,7 +1705,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Fälten som ska visas när du listar böcker i databasen. Bör vara en kommaseparerad lista över fält.\nTillgängliga fält: %s\nStandard: %%default. Det särskilda fältet \"alla\" kan användas för att markera alla fält. Förutom de inbyggda fälten ovan är anpassade fält också tillgängliga som *field_name, till exempel för ett anpassat fält #rating, använd namnet: *rating"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1712,39 +1713,39 @@ msgid ""
 "Default: {1}"
 msgstr "Fältet av för att sortera resultat.\nTillgängliga fält: {0}\nStandard: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Sortera resultaten i stigande ordning"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Filtrera sökningens resultat. För information om sökformatet, se sökrelaterade dokumentation i användarhandboken. Som standard filtreras inte sökningen."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
-msgstr "Största bredd på en enskild rad i utmatning. Som standard används den detekterade skärmstorleken."
+msgstr "Den största bredden på en enskild rad i utmatning. Standardinställningen är att upptäcka skärmstorlek."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Sträng som används för att separera fält. Standard är mellanslag."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Prefixet för alla sökvägar. Standard är den absoluta sökvägen till biblioteksmappen."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Högsta antalet resultat att visa. Standard: alla"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2291,21 +2292,21 @@ msgstr "tom"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Ogiltig boolesk förfråga \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Inget sådant virtuellt bibliotek: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Virtuella bibliotekssökningen är rekursiv: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Rekursiv frågegrupp upptäckt: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "sökmall: saknar eller ogiltig avskiljare. Giltiga avskiljare är: {}"
@@ -3481,11 +3482,11 @@ msgstr "Tog bort %s"
 msgid "All books removed"
 msgstr "Alla böcker har tagits bort"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Namnlös enhet"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3494,12 +3495,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Enheten {0} tillåter inte anslutningar. Lås upp skärmen på {0}, klicka på \"Tillåt\" om något anslutning popup-meddelande visas, sedan antingen vänta en minut eller starta om calibre. Du kanske också måste ändra läget för USB-anslutningen på {0} till \"Media Transfer läge (MTP)\" eller liknande."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Okänd MTP-enhet"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -3931,7 +3932,7 @@ msgstr "Kommunicera med läsenheten Wexl
 #: /__w/calibre/calibre/src/calibre/devices/usbms/device.py:271
 #, python-format
 msgid "Unable to detect any disk drives for the device: %s. Try rebooting"
-msgstr "Det går inte att detektera någon diskenhet för enheten: %s. Försök att starta om"
+msgstr "Det går inte att upptäcka några hårddiskar för enheten: %s. Försök att starta om"
 
 #: /__w/calibre/calibre/src/calibre/devices/usbms/device.py:407
 #, python-format
@@ -4173,7 +4174,7 @@ msgstr "UTSEENDE OCH KÄNSLA"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/cli.py:191
 msgid "Options to control the look and feel of the output"
-msgstr "Alternativ för utseende på utmatning"
+msgstr "Alternativ för att anpassa utmatningens utseende och känsla"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/cli.py:209
 msgid "HEURISTIC PROCESSING"
@@ -4202,7 +4203,7 @@ msgstr "STRUKTURDETEKTERING"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/cli.py:228
 msgid "Control auto-detection of document structure."
-msgstr "Kontrollera automatisk identifiering av dokumentets struktur."
+msgstr "Anpassa automatisk identifiering av dokumentets struktur."
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/cli.py:237
 msgid "TABLE OF CONTENTS"
@@ -4914,7 +4915,7 @@ msgid ""
 "This will cause the margins specified in the conversion settings to be "
 "ignored. If the document does not specify page margins, the conversion "
 "settings will be used as a fallback."
-msgstr "Använd sidmarginaler angivna i inmatningsdokumentet via @page-CSS-regler. Detta kommer att innebära att maginaler angivna i konverteringsinställningarna hoppas över. Om dokumentet inte anger sidmarginaler kommer konverteringen att falla tillbaka på konverteringsinställningarna."
+msgstr "Använd sidmarginalerna som anges i inmatningsdokumentet via @page-CSS-regler. Detta gör att marginalerna som anges i konverteringsinställningarna ignoreras. Om dokumentet inte anger sidmarginaler kommer konverteringsinställningarna att användas som reserv."
 
 #: /__w/calibre/calibre/src/calibre/ebooks/conversion/plugins/pdf_output.py:126
 msgid ""
@@ -6054,7 +6055,7 @@ msgstr "Anteckningar"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6347,7 +6348,7 @@ msgid "Producer"
 msgstr "Producent"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6355,7 +6356,7 @@ msgid "Comments"
 msgstr "Kommentarer"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6395,7 +6396,7 @@ msgid "Tags"
 msgstr "Taggar"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6425,7 +6426,7 @@ msgid "Timestamp"
 msgstr "Tidsstämpel"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -7857,7 +7858,7 @@ msgid ""
 "<p>You should use this tool as the last step in your e-book creation process.</p>\n"
 "{0}\n"
 "<p>Note that polishing only works on files in the %s formats.</p>"
-msgstr "<p><i>Polera böcker</i> handlar om att sätta glans av perfektion på\ndina noggrant utformade e-böcker.</p>\n\n<p>Polering försöker minimera ändringarna i den interna koden av din e-bok.\nTill skillnad från konvertering, plattar <i>det inte</i> ut CSS, byter namn på filer, ändrar teckenstorlekar, justerar marginaler o.s.v. Varje åtgärd utför endast minsta uppsättning av ändringar som krävs för önskad effekt.</p>\n\n<p>Du bör använda det här verktyget som det sista steget i din e-bokskaparprocess.</p>\n{0}\n<p>Observera att polering endast fungerar på filer av formaten %s.</p>"
+msgstr "<p><i>Polera böcker</i> handlar om att sätta glans av perfektion på\ndina noggrant utformade e-böcker.</p>\n\n<p>Polering försöker minimera ändringarna i den interna koden av din e-bok.\nTill skillnad från konvertering, plattar <i>den inte</i> ut CSS, byter namn på filer, ändrar teckenstorlekar, justerar marginaler o.s.v. Varje åtgärd utför endast minsta uppsättning av ändringar som krävs för önskad effekt.</p>\n\n<p>Du bör använda det här verktyget som det sista steget i din e-bokskaparprocess.</p>\n{0}\n<p>Observera att polering endast fungerar på filer av formaten %s.</p>"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/main.py:66
 #: /__w/calibre/calibre/src/calibre/gui2/actions/polish.py:493
@@ -8155,13 +8156,13 @@ msgstr "Uppdaterade EPUB från version 2
 msgid "HTML TOC generation options."
 msgstr "Alternativ för innehållsförteckning från HTML."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} av <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8194,31 +8195,31 @@ msgstr "Generera en Adobe \"sidkarta\" f
 msgid "Sidebar"
 msgstr "Sidofält"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Lägger till sidhuvuden och sidfötter"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Sidhuvuden och sidfötter lades till"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Analyserade allt innehåll för markup omvandling"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Avslutade markup omvandling"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Återgav alla HTML som PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "Lade till länkar till PDF-innehåll"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Metadata har uppdaterats i PDF"
 
@@ -9187,7 +9188,7 @@ msgstr "Hittade inga fel i din bibliotek
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10196,7 +10197,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Hjälp"
 
@@ -10602,7 +10603,7 @@ msgstr "Polera böcker"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/polish.py:409
 msgid "Apply the shine of perfection to your books"
-msgstr "'Tillämpa extra perfektion på dina böcker"
+msgstr "Tillämpa extra perfektion på dina böcker"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/polish.py:409
 msgid "P"
@@ -10652,7 +10653,7 @@ msgstr "Ändra beteende för calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:31
 msgid "Run Welcome wizard"
-msgstr "Kör Välkomstguiden"
+msgstr "Kör välkomstguiden"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:33
 msgid "Get plugins to enhance calibre"
@@ -11455,7 +11456,7 @@ msgid "Errors while adding"
 msgstr "Fel vid tilläggning"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ignorera"
 
@@ -11585,8 +11586,8 @@ msgstr "Förändring"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11720,11 +11721,11 @@ msgid "Search the internet for this book
 msgstr "Sök på nätet efter denna bok"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Hantera %s"
@@ -11867,7 +11868,7 @@ msgstr "Markerad text"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12194,7 +12195,7 @@ msgid "Preset name:"
 msgstr "Förinställt namn:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Du måste ange ett namn."
 
@@ -12206,7 +12207,7 @@ msgstr "Den sparade förinställningen f
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1006
 #, python-format
 msgid "Are you sure you want to delete '%s'?"
-msgstr "Är du säker att du vill ta bort '%s'?"
+msgstr "Är du säker att du vill ta bort \"%s\"?"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:1008
 #, python-format
@@ -12271,7 +12272,7 @@ msgid "Save current catalog settings as
 msgstr "Spara aktuella kataloginställningar som förinställd"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Spara"
 
@@ -12280,10 +12281,10 @@ msgid "Delete current preset"
 msgstr "Radera aktuell förinställning"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Ta bort"
@@ -12396,8 +12397,8 @@ msgstr "Återställ till förinställda
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -12951,7 +12952,7 @@ msgstr "DOCX-inmatning"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/docx_input_ui.py:38
 msgid "Do not try to autodetect a &cover from images in the document"
-msgstr "Försök inte att automatiskt detektera ett &omslag från bilderna i dokumentet"
+msgstr "Försök inte att automatiskt upptäcka ett &omslag från bilderna i dokumentet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/docx_input_ui.py:39
 msgid "Do not add a page after every &endnote"
@@ -13583,7 +13584,7 @@ msgid "Ta&gs:"
 msgstr "&Taggar:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13598,8 +13599,8 @@ msgstr "&Serier:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Lista över kända serier. Du kan lägga till nya serier."
@@ -14193,7 +14194,7 @@ msgid ""
 "replace options. Click the Search & replace category in the bar to the left "
 "to use these options. Leave the replace field blank and enter your "
 "header/footer removal regexps into the search field."
-msgstr "Rubrik- och sidfotborttagningsalternativ har ersatts med alternativet Sök & ersätt.Klicka på kategorin Sök och ersätt i fältet till vänster för att använda dessa alternativ. Lämna fältet ersätt tomt och ange din rubrik/sidfotborttagning-regexp i sökfältet."
+msgstr "Rubrik- och sidfotborttagningsalternativ har ersatts med alternativet Sök & ersätt. Klicka på kategorin Sök och ersätt i fältet till vänster för att använda dessa alternativ. Lämna fältet ersätt tomt och ange din rubrik-/sidfotborttagningsregexp i sökfältet."
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/structure_detection_ui.py:63
 msgid "Insert &metadata as page at start of book"
@@ -14466,7 +14467,7 @@ msgid "Choose color"
 msgstr "Välj färg"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14807,19 +14808,19 @@ msgid "Edit style transform rules"
 msgstr "Redigera formatomvandlingsregler"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "E&xportera"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Exportera dessa regler till en fil"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14893,8 +14894,8 @@ msgstr "Rensa {}"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14975,7 +14976,7 @@ msgid ""
 msgstr "Serien kommer normalt att omnumreras från det högsta numret i databasen för den serien. Om du markerar den här rutan kommer du att berätta för calibre att börja numrera från värdet i rutan"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16555,7 +16556,7 @@ msgid "Change case"
 msgstr "Ändra skiftläge"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16563,7 +16564,7 @@ msgid "Upper case"
 msgstr "Versaler"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16571,7 +16572,7 @@ msgid "Lower case"
 msgstr "Gemener"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16579,7 +16580,7 @@ msgid "Swap case"
 msgstr "Omvänt skiftläge"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16613,7 +16614,7 @@ msgid "Manage authors"
 msgstr "Hantera författare"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Sök &efter:"
@@ -17034,78 +17035,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] "Dölj det återstående felmeddelandet"
 msgstr[1] "Dölj de {} återstående felmeddelandena"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Jobbar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Bearbetar %d böcker, vänligen vänta..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Aktuellt stegförlopp: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Framsteg %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Gemener"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Versaler"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Varje ord med stor begynnelsebokstav"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Teckenmatchning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Reguljärt uttryck"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Ersätt fält"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Mer utrymme för fält"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Lägg till fält"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Redigerar metadata för en bok"
 msgstr[1] "Redigerar metadata för {} böcker"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Omedelbart gör alla ändringar utan att stänga dialogrutan. Denna operation kan inte annulleras eller ångras"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Bok %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Ange en identifierartyp"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17113,7 +17114,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Du kan förstöra ditt bibliotek med den här funktionen.</b> Ändringar är permanenta. Det finns ingen ångringsfunktion. Du uppmanas starkt att säkerhetskopiera ditt bibliotek innan du fortsätter.<p>Sök och ersätt i textfält med teckenmatchning eller reguljära uttryck. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17123,7 +17124,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "I teckenläge söks fältet efter den angivna söktexten. Texten ska ersättas med den angivna ersättningstexten överallt den finns i det angivna fältet. Efter att ersättningen är klar kan texten ändras till versaler, gemener eller rubrikformat. Om kryssrutan Skiftlägeskänslig är markerad, måste den sökta texten matcha exakt. Om den är avmarkerad kommer söktexten att matcha både versaler och gemener"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17138,80 +17139,89 @@ msgid ""
 "function."
 msgstr "I reguljära uttrycksläget är söktexten ett godtyckligt Python-kompatibelt reguljärt uttryck. Ersättningstexten kan innehålla bakåtreferenser till parentesuttryck i mönstret. Sökningen är inte förankrad och kan matcha och ersättas flera gånger på samma sträng. Ändringsfunktionerna (gemener o.s.v.) tillämpas på den matchade texten, inte på fältet som helhet. Destinationsrutan anger det fält där resultatet efter matchning och ersättning ska ske. Du kan ersätta texten i fältet eller infoga före eller lägga till den matchade texten. Se <a href=\"https://docs.python.org/library/re.html\">den här referensen</a> för mer information om Pythons reguljära uttryck, särskilt funktionen \"sub\"."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R MALLFEL"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Du måste ange en destination när källan är ett sammansatt fält eller en mall"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Ersättningsvärdet för en betygkolumn måste vara tom eller ett heltal mellan 0 och 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Du måste ange en identifierartyp för destination"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Du måste ange ett sökuttryck i fältet \"Sök efter\""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Ogiltig identifieringssträng. Det måste vara en kommaseparerad lista över par av strängar åtskilda av ett kolon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Sök/ersätt ogiltig"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Sök/ersätt är ogiltig: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr "Omslag komprimerade"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr "Omslagen komprimerades med {percent:.1%} från en total storlek på {old} till {new}."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Ta bort sparade sök/ersätt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Den valda sparade sök/ersätt kommer att tas bort. Är du säker?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Spara sök/ersätt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Sök/ersätt namn:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Den sparade sök/ersätt finns redan och kommer att skrivas över. Är du säker?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Redigera metainformation"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "T&illämpa datum"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Författare: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17219,90 +17229,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Detta kommer att få författarsorteringsfältet att automatiskt uppdateras\nbaserat på författarfältet för varje vald bok. Observera att om\ndu använder kontrollen ovan för att ställa författarna i grupp, uppdateras författarsorteringsfältet\nändå, oavsett värdet på den här kryssrutan."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Hantera a&utomatisk författarsortering"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "&Växla titel och författare"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Uppdatera titelsortering baserat på den aktuella titeln. Detta kommer att tillämpas först efter andra ändringar av titel."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Författars&ortering: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Uppdatera &titelsortering"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Ange hur författarna till den här boken ska sorteras. Till exempel sorteras Charles Dickens som Dickens, Charles."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Ändra &omslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Betyg:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Generera standardomslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "&Tillämpa betyg"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Ta bort omslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "F&örlag: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Försök att automatiskt upptäcka och ta bort kanter och extra utrymme\nfrån kanterna på omslagsbilder. Detta kan ibland ta bort alltför \nmycket, så använd med försiktighet."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Om markerad, kommer förlaget att rensas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Beskär omslag (RISKABELT)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Rensa förlag"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Ställ in från &e-bokfiler"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Lägg till &taggar: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Ställ in omslagen hos alla valda böcker så att de är samma \nsom den för den första valda boken."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Öppna Taggredigeraren"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Klona omslag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Ta bort taggar:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Tvinga titel att vara i titelformat. Om både denna och växla författare är markerade,\nväxlas titel och författare före titelformat ställs in"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Kommaseparerad lista med taggar att ta bort från böckerna. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Ändra titel&skiftläge till:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Markera den här rutan för att ta bort alla taggar från böckerna."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Datum:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Ta bort &alla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Om markerad, kommer förlaget att rensas"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Ser&ier:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Rensa förlag"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Om markerad, kommer serierna att rensas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "&Publicerad:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Rensa serier"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17310,126 +17315,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Om inte markerad, kommer serienummer för böcker sättas till 1.\nOm markerad, kommer utvalda böcker automatiskt att numreras i den ordning\ndu valde dem. Så om du valde Bok A och sedan Bok B,\nkommer Bok A ha serie nummer 1 och Bok B serie nummer 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Automatiskt numrera böcker i denna serie"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Serie kommer normalt räknas från det högsta antalet i databasen\nför den serien. Bockning av denna ruta kommer att tala om för calibre att börja numrering\nfrån värdet i rutan"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Tvinga nummer att börja med:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Om markerad, kommer serierna att rensas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Rensa serier"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Anpassa hur det standardgenererade omslaget skapas"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Anpassa o&mslagsgenerering"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Ange ko&mmentarer för alla valda böcker"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Ta bort taggar:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Ta bort &alla"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Lägg till &taggar: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Datum:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Ange hur författarna till den här boken ska sorteras. Till exempel sorteras Charles Dickens som Dickens, Charles."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "T&illämpa datum"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "&Tillämpa betyg"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "&Publicerad:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Rensa utgivningsdatum"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Författare: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Språk:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "F&örlag: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Kommaseparerad lista med taggar att ta bort från böckerna. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Öppna Taggredigeraren"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Författars&ortering: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Ställ in metadata i calibre från metadata i de e-bokfiler som är associerade med varje bok. Observera att detta ändrar inte omslaget, använd separat alternativ nedan för det."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Ställ in &metadata (förutom omslag) från e-bokfilerna"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Ser&ier:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Ta bort lagrade konverteringsinställningar för de valda böckerna.\n\nFramtida konverteringar av dessa böcker kommer att använda standardinställningarna."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Ta bort &lagrade konverteringsinställningar för de valda böckerna"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17438,153 +17378,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "När du gör samma format till samma format konvertering,\nför t.ex. EPUB till EPUB, sparar calibre den ursprungliga EPUB-filen\nsom ORIGINAL_EPUB. Det här alternativet gör att calibre återställer\nEPUB från ORIGINAL_EPUB. Användbart om du gjorde en\nkonvertering av ett stort antal böcker och något gick fel."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "&Återställ till original före konvertering, om tillgängliga"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Markera den här rutan för att ta bort alla taggar från böckerna."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Betyg:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Tvinga titel att vara i titelformat. Om både denna och växla författare är markerade,\nväxlas titel och författare före titelformat ställs in"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Ändra titel&skiftläge till:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Uppdatera titelsortering baserat på den aktuella titeln. Detta kommer att tillämpas först efter andra ändringar av titel."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Uppdatera &titelsortering"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Ställ in metadata i calibre från metadata i de e-bokfiler som är associerade med varje bok. Observera att detta ändrar inte omslaget, använd separat alternativ nedan för det."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Ställ in &metadata (förutom omslag) från e-bokfilerna"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Ändra &omslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Generera standardomslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Ta bort omslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Försök att automatiskt upptäcka och ta bort kanter och extra utrymme\nfrån kanterna på omslagsbilder. Detta kan ibland ta bort alltför \nmycket, så använd med försiktighet."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Beskär omslag (RISKABELT)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Ställ in från &e-bokfiler"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Ställ in omslagen hos alla valda böcker så att de är samma \nsom den för den första valda boken."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Klona omslag"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr "<p>Komprimera omslagsbilder, om kvaliteten är inställd på 100 är komprimeringen förlustfri, annars är den med förlust"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr "Ko&mprimera omslagsbilder:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr "<p>Komprimeringskvalitet för omslagsbilder. Om kvaliteten är inställd på 100 är komprimeringen förlustfri, annars är den med förlust"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Anpassa hur det standardgenererade omslaget skapas"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Anpassa o&mslagsgenerering"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Ange ko&mmentarer för alla valda böcker"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Grundläggande metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Anpassade metadata"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "&Öppna sök/ersätt:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Välj sparad sök/ersätt att öppna."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Spara aktuell sök/ersätt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Spara"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Sök&fält:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Namnet på fältet som du vill söka"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Sök&läge:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Välj om du vill använda grundläggande textmatchning eller matchning av avancerat reguljärt uttryck"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "&Identifierartyp:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Välj vilken identifierartyp att tillämpa på"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Mall:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Ange en mall som ska användas som källa för sök/ersätt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Skriv vad du letar efter, antingen oformaterad text eller ett reguljärt uttryck, beroende på läget"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Markera denna ruta om söksträngen måste matcha exakt versaler och gemener. Avmarkera den om skiftläget inte ska beaktas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Skiftläg&eskänslig"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "E&rsätt med:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Ersättningstexten. Den matchande söktexten kommer att ersättas med den här strängen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Tillämpa funktion efter ersättning:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Ange hur texten ska bearbetas efter matchning och ersättning. I teckenläge behandlas hela\nfältet. I reguljärt uttrycksläge bearbetas endast den matchade texten"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Destinationsfält:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Det fält som texten kommer att hamna i efter alla ersättningar.\nOm tomt, används källfältet om fältet kan modifieras"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "&Läge:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Ange hur texten ska kopieras till destinationen."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Anger om resultatposter bör vara uppdelade i flera värden eller\nkvar som enskilda värden. Det här alternativet har mest effekt när källfältet\ninte är en flera och målfältet är flera"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Dela upp &resultat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Identifierartyp:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17592,48 +17619,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Väl identifierartyp att arbeta på. När\nkällfältet är något annat än \"identifierare\" kan du ange\nett * om du vill ersätta hela uppsättningen av identifierare med\nresultatet av sök/ersätt.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "För flervärderade fält, &visa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "värden som börjar &med"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "med värden avgränsade &med"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Används vid visning av testresultat för att separera värden i flervärderade fält"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Provtext"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Provresultat"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Ditt &prov:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "S&ök och ersätt"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Om aktiverad, kommer boklistan sorteras om och alla befintliga \nsökningar eller virtuella bibliotek kommer att uppdateras efter redigeringen \när klar. Detta kan vara långsamt på stora bibliotek."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Uppdatera boklistan efter redigering"
 
@@ -18089,42 +18116,42 @@ msgstr "Öppna bok i E-bokvisaren"
 msgid "&Item: {0} ({1})"
 msgstr "&Post: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Klicka för att endast visa böcker med den här posten. Dubbelklicka för att söka efter den här posten i Taggbläddraren"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Inga poster hittades**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Klicka i en kolumn i biblioteksvyn för att se information om boken"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Böcker med vald post \"{0}\": {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr "Dubbelklicka på en bok för att ändra valet i biblioteksvyn eller ändra kolumnen som visas i den vänstra panelen. Skift- eller Ctrl-dubbelklick för att redigera metadata för en bok, vilket också ändrar den valda boken."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Något gick fel när du fyllde i tabellen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Quickview: Bok inte i biblioteksvyn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18230,87 +18257,87 @@ msgstr "Återställning av databasen mis
 msgid "Failed to repair library"
 msgstr "Det gick inte att reparera bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Lägg till en ny sparad sökning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Du kan skapa en <i>sparad sökning</i> för flitigt använda sökningar här. Sökningen kommer att visas under <i>sparade sökningar</i> i Taggbläddraren med det namn du anger här."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Namn på sparad sökning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Sök:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Sökuttrycket"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Inget söknamn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Du måste ange ett namn för sparade sökningen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Inget sökuttryck"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Du måste ange ett sökuttryck för den sparade sökningen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Ogiltig sparad sökning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Hantera sparade sökningar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Lägg till sökning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "&Ta bort sökning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Redigera sökning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Den aktuella sparade sökningen kommer att <b>tas bort permanent</b>. Vill du fortsätta?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Redigera namnet och/eller uttrycket nedan."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Redigera sparad sökning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "En sparad sökning med namnet {} finns redan. Välj ett annat namn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Sökuttryck"
 
@@ -19208,48 +19235,64 @@ msgstr "Tagg 1"
 msgid "Tag 2"
 msgstr "Tagg 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Mallspråkshandledning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Mallfunktionsreferens"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Välj ikon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "UNDANTAG: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Mallfunktion i Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr "Inbyggd mallfunktion"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr "Inbyggd funktion"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr "Användardefinierad Python-mallfunktion"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr "Användarfunktion"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Lagrad mall"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr "Lagrad användardefinierad mall"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Ingen kolumn vald"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Du måste ange en kolumn som ska färgas"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Ingen mall tillhandahålls"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Mallrutan får inte vara tom"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "En mall för allmänt programläge"
 
@@ -20313,7 +20356,7 @@ msgstr "Sök efter en genväg vid namn"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Inga träffar"
 
@@ -20472,8 +20515,8 @@ msgid "Show in calibre"
 msgstr "Visa i calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Redigera anteckningar"
 
@@ -20490,14 +20533,14 @@ msgstr[0] "Ta bort vald post"
 msgstr[1] "Ta bort {} valda poster"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Fäll ut all"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Fäll in alla"
 
@@ -20551,7 +20594,7 @@ msgstr "Hitta tidigare träff"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:686
 msgid "Edit the notes of this highlight"
-msgstr "Redigera anteckningarna för den här markeringen"
+msgstr "Redigera anteckningarna för denna markering"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:690
 msgid "Add notes"
@@ -22151,7 +22194,7 @@ msgstr "En kommaseparerad lista över ta
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:240
 msgid "Contro&l how tags are processed:"
-msgstr "Ko&ntrollera hur taggar behandlas:"
+msgstr "An&passa hur taggar behandlas:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:241
 msgid ""
@@ -22165,7 +22208,7 @@ msgstr "&Filtrerregler för tillagda fil
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:243
 msgid "Control which files are added during bul&k imports:"
-msgstr "Kontrollera vilka filer som läggs till under mas&simportering:"
+msgstr "Anpassa vilka filer som läggs till under mas&simportering:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:244
 msgid ""
@@ -22179,7 +22222,7 @@ msgstr "&Filtrerregler för tillagda fil
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:246
 msgid "Control how auth&ors are processed:"
-msgstr "Kontrollera hur &författare behandlas:"
+msgstr "Anpassa hur &författare behandlas:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/adding_ui.py:247
 msgid "Rules to manipulate a&uthor names"
@@ -22717,60 +22760,60 @@ msgstr "<li>Om kolumnen <b>%(col)s</b> <
 msgid "value: "
 msgstr "värde: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Lägg till regel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Ta bort regel/regler"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Flytta upp vald regel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Flytta ner vald regel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Lägg till a&vancerad regel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr "Du&plicera regel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr "Konvertera till avancerad r&egel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr "Öppna ikonmapp"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Importera regler från en fil"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Du kan anpassa färgerna på kolumnerna i boklistan genom att skapa \"regler\" som talar om för calibre vilken färg som ska användas. Klicka på knappen \"Lägg till regel\" nedan för att komma igång.<p>Du kan <b>ändra en befintlig regel</b> genom att dubbelklicka på den."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Du kan lägga till ikoner till kolumnerna i boklistan genom att skapa \"regler\" som talar om för calibre vilken ikon som ska användas. Klicka på knappen \"Lägg till regel\" nedan för att komma igång.<p>Du kan <b>ändra en befintlig regel</b> genom att dubbelklicka på den."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22778,57 +22821,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Du kan lägga till emblem (små ikoner) som visas vid sidan av omslagen i Omslagsrutnätet genom att skapa \"regler\" som instruerar calibre vilken bild som ska användas. Klicka på knappen \"Lägg till regler\" nedan för att börja.<p>Du kan <b>ändra en befintlig regel</b> genom att dubbelklicka på den."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Visa &emblem bredvid omslag"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Om det är markerat kan du berätta att calibre ska visa ikoner du väljer bredvid omslagen som visas i Omslagsrutnätet, styrda av bokens metadata."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr "Välj en regel"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr "Du kan bara välja en regel."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Ingen regel vald"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Ingen regel vald för %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "borttagning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Välj fil att exportera till"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Regler"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Välj fil att importera från"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Inga giltiga regler hittades"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "Inga giltiga regler hittades i {}."
 
@@ -23670,13 +23713,13 @@ msgstr "Ingen textning"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Nederkant"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Överkant"
 
@@ -23710,7 +23753,7 @@ msgid "If there is enough room"
 msgstr "Om det finns tillräckligt med utrymme"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "Efter första bokstav"
 
@@ -23866,7 +23909,7 @@ msgid ""
 "\n"
 "<li><b>Off</b>: Do not adjust the user interface, regardless of Qt environment variables.</li>\n"
 "</ul>"
-msgstr "<p>Om du vill justera calibre-gränssnittet automatiskt för högupplösta (hög DPI)-monitorer. Det finns tre möjliga värden:</p>\n\n<ul>\n<li> <b>Automatisk</b>: Justera användargränssnittet om en högupplösningsskärm detekteras. Kommer att respektera Qt-miljövariabler som styr hög DPI-beteende. Så om du använder miljövariabeln QT_AUTO_SCREEN_SCALE_FACTOR kommer den att användas istället för den här inställningen.</li>\n\n<li><b>På</b>: Samma som \"Automatisk\", men ignorerar Qt-miljövariabler som styr högt DPI-beteende. </li>\n\n<li> <b>Av</b>: Justera inte användargränssnittet, oberoende av Qt-miljövariablerna.</li>\n</ul>"
+msgstr "<p>Om du vill justera calibre-gränssnittet automatiskt för högupplösta (hög DPI)-monitorer. Det finns tre möjliga värden:</p>\n\n<ul>\n<li> <b>Automatisk</b>: Justera användargränssnittet om en högupplösningsskärm upptäcks. Kommer att respektera Qt-miljövariabler som styr hög DPI-beteende. Så om du använder miljövariabeln QT_AUTO_SCREEN_SCALE_FACTOR kommer den att användas istället för den här inställningen.</li>\n\n<li><b>På</b>: Samma som \"Automatisk\", men ignorerar Qt-miljövariabler som styr högt DPI-beteende. </li>\n\n<li> <b>Av</b>: Justera inte användargränssnittet, oberoende av Qt-miljövariablerna.</li>\n</ul>"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:611
 msgid "Allow using &drag and drop to merge books"
@@ -23991,7 +24034,7 @@ msgid ""
 msgstr "Det finns två typer av cache som calibre använder för att förbättra prestanda vid omslagsåtergivning i rutnätsvyn. En diskcache som hålls på hårddisken och lagrar omslagsminiatyrbilderna och en cachelagring som används för att säkerställa flimmerfri återgivning av omslag. För bästa resultat, behåll minnescachen liten och diskcachen stor, såvida du inte har en massa extra RAM-minne i din dator och inte har något emot att det används av minnescachen."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Inaktivera"
 
@@ -24337,7 +24380,7 @@ msgstr "skapad av Kovid Goyal"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:247
 msgid "Run Welcome &wizard"
-msgstr "Kör &Välkomstguiden"
+msgstr "Kör &välkomstguiden"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:261
 msgid "Save changes"
@@ -24452,7 +24495,7 @@ msgstr "Välj &standard"
 msgid ""
 "Store the currently checked fields as the default, you can quickly apply the"
 " default using the 'Select default' button"
-msgstr "Lagra de för närvarande markerade fälten som standard, du kan snabbt tillämpa standard med hjälp av knappen 'Välj standard'"
+msgstr "Lagra de för närvarande markerade fälten som standard, du kan snabbt tillämpa standard med hjälp av knappen \"Välj standard\""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources_ui.py:164
 msgid "&Set as default"
@@ -24683,8 +24726,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Här kan du ändra metadata calibre använder för att uppdatera en bok när den sparas till disk eller skickas till en enhet.\n\nAnvänd den här dialogrutan för att definiera en 'pluggbräda' för ett format (eller alla format) och en enhet (eller alla enheter). Pluggbrädan anger vilken mall som är kopplad till vilket fältet. Mallen används för att beräkna ett värde och det värdet tilldelas det anslutna fältet.\n\nOfta kommer mallar att innehålla enkla hänvisningar till sammansatta kolumner, men det är inte nödvändigt. Du kan använda någon av mallarna i en källruta som du kan använda på andra håll i calibre.\n\nEn möjlig användning för en pluggbräda är att ändra titeln att innehålla serieinformation. En annan skulle vara att ändra författarsorteringen, något som mobi användare kan göra för att tvinga den att använda ';' som Kindle kräver. Ett tredje skulle vara att ange språket."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr "Här kan du ändra metadata calibre använder för att uppdatera en bok när den sparas till disk eller skickas till en enhet.\n\nAnvänd den här dialogrutan för att definiera en \"pluggbräda\" för ett format (eller alla format) och en enhet (eller alla enheter). Pluggbrädan anger vilken mall som är kopplad till vilket fältet. Mallen används för att beräkna ett värde och det värdet tilldelas det anslutna fältet.\n\nOfta kommer mallar att innehålla enkla hänvisningar till sammansatta kolumner, men det är inte nödvändigt. Du kan använda någon av mallarna i en källruta som du kan använda på andra håll i calibre.\n\nEn möjlig användning för en pluggbräda är att ändra titeln att innehålla serieinformation. En annan skulle vara att ändra författarsorteringen, något som MOBI-användare kan göra för att tvinga den att använda \";\" som Kindle kräver. Ett tredje skulle vara att ange språket."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -24859,7 +24902,7 @@ msgid ""
 "indicate sub-folders. Available metadata variables are described below. If a"
 " particular book does not have some metadata, the variable will be replaced "
 "by the empty string."
-msgstr "Genom att redigera mallen nedan kan du kontrollera vilka mappar filerna sparas i och vilka filnamn de får. Du kan använda /-tecknet för att ange undermappar. Tillgängliga metadatavariabler beskrivs nedan. Om en viss bok saknar metadata kommer variabeln att ersättas med en tom sträng."
+msgstr "Genom att redigera mallen nedan kan du anpassa vilka mappar filerna sparas i och vilka filnamn de får. Du kan använda /-tecknet för att ange undermappar. Tillgängliga metadatavariabler beskrivs nedan. Om en viss bok saknar metadata kommer variabeln att ersättas med en tom sträng."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/save_template_ui.py:57
 msgid "Available variables:"
@@ -24931,7 +24974,7 @@ msgid ""
 "<code>#myseries</code>, and <code>#myseries2</code>. This can be useful to "
 "check for duplicates, to find which column contains a particular item, or to"
 " have hierarchical categories (categories that contain categories)."
-msgstr "<b>Grupperade söktermer</b> är söknamn som tillåter en förfrågan att automatiskt söka i mer än en kolumn. Till exempel om du skapar en grupperad sökterm <code>allaserier</code> med värdet <code>serier, #minaserier, #minaserier2</code>, så kommer förfrågan <code>allseries:adhoc</code> att hitta 'adhoc' i någon av <code>serier</code>-kolumnerna, <code>#minaserier</code> och <code>#minaserier2</code>. <p>Ange namnet på den grupperade söktermen i rullgardinsrutan, ange listan med kolumner som ska sökas i värdefältet och tryck sedan på knappen Spara. <p>Observera: Söktermer tvingas till gemener; <code>MinSökning</code> och <code>minsökning</code> är samma term.<p>Du kan få din grupperade sökterm att visas som en användarkategori i Taggbläddraren. Lägg bara till de grupperade söktermerna i fältet Skapa användarkategorier från. Du kan lägga till flera termer åtskilda av kommatecken. Den nya användarkategorin kommer automatiskt fyllas med alla poster i kategorierna som ingår i den grupperade söktermen. <p>Automatiska användarkategorier tillåter dig att enkelt se alla kategoriposter som finns kolumnerna som ingår i den grupperade söktermen. Med hjälp av ovanstående exemplet <code>allaserier</code> kommer den automatiskt genererade användarkategorin att innehålla alla serier som nämns i <code>serier</code>, <code>#minaserier</code> och <code>#minaserier2</code>. Detta kan vara användbart för att finna dubbletter, hitta vilken kolumn innehåller en särskild post eller för att ha hierarkiska kategorier (kategorier som innehåller kategorier)."
+msgstr "<b>Grupperade söktermer</b> är söknamn som tillåter en förfrågan att automatiskt söka i mer än en kolumn. Till exempel om du skapar en grupperad sökterm <code>allaserier</code> med värdet <code>serier, #minaserier, #minaserier2</code>, så kommer förfrågan <code>allseries:adhoc</code> att hitta \"adhoc\" i någon av <code>serier</code>-kolumnerna, <code>#minaserier</code> och <code>#minaserier2</code>. <p>Ange namnet på den grupperade söktermen i rullgardinsrutan, ange listan med kolumner som ska sökas i värdefältet och tryck sedan på knappen Spara. <p>Observera: Söktermer tvingas till gemener; <code>MinSökning</code> och <code>minsökning</code> är samma term.<p>Du kan få din grupperade sökterm att visas som en användarkategori i Taggbläddraren. Lägg bara till de grupperade söktermerna i fältet Skapa användarkategorier från. Du kan lägga till flera termer åtskilda av kommatecken. Den nya användarkategorin kommer automatiskt fyllas med alla poster i kategorierna som ingår i den grupperade söktermen. <p>Automatiska användarkategorier tillåter dig att enkelt se alla kategoriposter som finns kolumnerna som ingår i den grupperade söktermen. Med hjälp av ovanstående exemplet <code>allaserier</code> kommer den automatiskt genererade användarkategorin att innehålla alla serier som nämns i <code>serier</code>, <code>#minaserier</code> och <code>#minaserier2</code>. Detta kan vara användbart för att finna dubbletter, hitta vilken kolumn innehåller en särskild post eller för att ha hierarkiska kategorier (kategorier som innehåller kategorier)."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/search.py:83
 msgid "Enter new or select existing name"
@@ -25252,7 +25295,7 @@ msgid ""
 msgstr "Genom att kräva ett användarnamn/lösenord förhindras obehöriga från att få åtkomst till ditt calibre-bibliotek. Det behövs också för vissa funktioner som att göra ändringar i biblioteket samt synkronisering av senaste läsposition/anteckningar."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Byt lösenord för {}"
 
@@ -25387,7 +25430,7 @@ msgid "Change &password"
 msgstr "Ändra &lösenord"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{} har för närvarande endast åtkomst till biblioteket med namnet: {}"
@@ -25398,7 +25441,7 @@ msgid "Change the allowed libraries"
 msgstr "Ändra de tillåtna biblioteken"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} har för närvarande inte åtkomst till biblioteket med namnet: {}"
@@ -26911,7 +26954,7 @@ msgid "Books in this category are unrate
 msgstr "Böcker i denna kategori är inte betygsatta"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Sökuttryck:"
 
@@ -27202,7 +27245,7 @@ msgstr "Byt namn på %s i virtuellt bibl
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Byt namn på %s"
@@ -27262,95 +27305,95 @@ msgstr "Ta bort sparad sökning %s"
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Ta bort %(item)s från kategori %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr "Sök efter %s och alla dess underordnade"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Sök efter alla utom %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr "Sök efter allt utom %s och dess underordnade"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Sök med sparade sökuttryck"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Lägg till underkategori för %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Ta bort användarkategorin %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Sök efter böcker som ingår i kategorin %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Sök efter böcker som inte ingår i kategorin %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr "Redigera tillåtna värden för %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Dölj kategorin %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Byt kategoriikon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Återställ standardikon"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Hantera användarkategorier"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Ändra underkategoriseringsschema"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Delning"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Första bokstaven är användbart endast när man sorterar efter namn"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Fäll ut eller fäll in"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Fäll ut {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Fäll ut {0} och dess underkategorier"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "Fäll in {0}"
@@ -28007,7 +28050,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Följande böcker har redan konverterats till %s format. Vill du konvertera om dem?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr "Det gick inte att hitta speech-dispatcher på ditt system. Vänligen installera det."
 
@@ -28538,7 +28582,7 @@ msgid ""
 msgstr "När du är klar med redigeringen av {0}, klicka på \"Importera\" för att uppdatera filen i boken eller \"Kassera \" för att förlora eventuella ändringar."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Kassera"
 
@@ -30776,7 +30820,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Kursiv</h3>Gör den valda texten kursiv"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Understryk"
 
@@ -32103,7 +32147,7 @@ msgid "Disabled confirmations restored"
 msgstr "Inaktiverade bekräftelser återställda"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "Återgivningsprocessen kraschade"
 
@@ -32593,7 +32637,7 @@ msgstr "&Punkta alla"
 msgid ""
 "Make the '.' special character match any character at all, including a "
 "newline"
-msgstr "Gör att specialtecknet '.' matchar alla tecken, inklusive en ny rad"
+msgstr "Gör att specialtecknet \".\" matchar alla tecken, inklusive en ny rad"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:481
 msgid "Close search panel"
@@ -32730,7 +32774,7 @@ msgid "Export saved searches"
 msgstr "Exportera sparade sökningar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Exportera"
 
@@ -34604,71 +34648,71 @@ msgstr "calibre-markeringar"
 msgid "highlights"
 msgstr "markeringar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "Ändra denna markering"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
-msgstr "Redigera anteckningar för den här markeringen"
+msgstr "Redigera anteckningar för denna markering"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] "Ta bort vald markering"
 msgstr[1] "Ta bort valda markeringar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] "Innehållsförteckningsavsnitt:"
 msgstr[1] "Innehållsförteckningsavsnitt:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Dubbelklicka för att hoppa till en post"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Ändra"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "Ändra den markerade markeringen"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "Ta bort de valda markeringarna"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "Exportera alla markeringar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "Inga markeringar matchar sökningen: {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "Ingen markering vald"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "Ingen markering är för närvarande vald"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] "Är du säker på att du vill ta bort denna markering permanent?"
 msgstr[1] "Är du säker på att du vill ta bort alla {} markeringar permanent?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "Inga markeringar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "Denna bok har inga markeringar att exportera"
 
@@ -35122,7 +35166,7 @@ msgid "E-book viewer"
 msgstr "E-bokvisare"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Bläddra hit"
 
@@ -35198,13 +35242,13 @@ msgstr "Uppslagning av boken misslyckade
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Det gick inte att öppna boken på {0}. Klicka på \"Visa detaljer\" för mer info."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Qt WebEngine Render processen har kraschat. Du bör försöka starta om visaren."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Välj bakgrundsbild"
 
@@ -35369,10 +35413,10 @@ msgid "< &Back"
 msgstr "< Till&baka"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Avbryt"
 
@@ -35735,7 +35779,7 @@ msgid ""
 "Available fields: author_sort, id, rating, size, timestamp, title.\n"
 "Default: '%default'\n"
 "Applies to: BIBTEX output format"
-msgstr "Utmatningsfält att sortera efter.\nTillgängliga fält: author_sort, id, rating, size, timestamp, title.\nStandard: \"%default\"\nGäller: BIBTEX-utmatningsformat"
+msgstr "Utmatningsfält att sortera efter.\nTillgängliga fält: author_sort, id, rating, size, timestamp, title.\nStandard: '%default'\nGäller: BIBTEX-utmatningsformat"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/bibtex.py:59
 #, python-format
@@ -35810,7 +35854,7 @@ msgid ""
 "Available fields: author_sort, id, rating, size, timestamp, title_sort\n"
 "Default: '%default'\n"
 "Applies to: CSV, XML output formats"
-msgstr "Utgångsfält att sortera efter.\nTillgängliga fält: author_sort, id, betyg, storlek, tidsstämpel, title_sort\nStandard: \"%default\"\nTillämpas på: CSV-, XML-utmatningsformat"
+msgstr "Utgångsfält att sortera efter.\nTillgängliga fält: author_sort, id, betyg, storlek, tidsstämpel, title_sort\nStandard: '%default'\nTillämpas på: CSV-, XML-utmatningsformat"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi.py:43
 #, python-format
@@ -35858,7 +35902,7 @@ msgid ""
 "Default: \n"
 "\"%default\"\n"
 "Applies to: AZW3, EPUB, MOBI output formats"
-msgstr "Anger de regler som används för att utesluta böcker från den genererade katalogen.\nModellen för en undantagsregel är antingen\n('<regel namn>','Taggar\",'<komma-separerad lista med taggar>') eller\n('<regel namn>','<anpassad column>','<mönster>').\nTill exempel:\n((\"Arkiverade böcker\", \"# status\", \"Arkiverade\"),)\nkommer att utesluta en bok med ett värde på \"status\" \"Arkiverat\" i den anpassade kolumnen.\nNär flera regler är definierade, kommer alla regler tillämpas.\nStandard:\n\"%default\"\nGäller: AZW3-, EPUB-, MOBI-utmatningsformat"
+msgstr "Anger de regler som används för att utesluta böcker från den genererade katalogen.\nModellen för en undantagsregel är antingen\n('<regel namn>','Taggar','<komma-separerad lista med taggar>') eller\n('<regel namn>','<anpassad column>','<mönster>').\nTill exempel:\n((\"Arkiverade böcker\", \"# status\", \"Arkiverade\"),)\nkommer att utesluta en bok med ett värde på \"status\" \"Arkiverat\" i den anpassade kolumnen.\nNär flera regler är definierade, kommer alla regler tillämpas.\nStandard:\n\"%default\"\nGäller: AZW3-, EPUB-, MOBI-utmatningsformat"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi.py:87
 #, python-format
@@ -35922,7 +35966,7 @@ msgid ""
 "Custom field containing note text to insert in Description header.\n"
 "Default: '%default'\n"
 "Applies to: AZW3, EPUB, MOBI output formats"
-msgstr "Anpassat fält innehåller anmärkningstext att infoga i beskrivningsrubrik.\nStandard: \"%default\" \nGäller: AZW3-, EPUB-, MOBI-utmatningsformat"
+msgstr "Anpassat fält innehåller anmärkningstext att infoga i beskrivningsrubrik.\nStandard: '%default'\nGäller: AZW3-, EPUB-, MOBI-utmatningsformat"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi.py:143
 #, python-format
@@ -36013,8 +36057,8 @@ msgid "No genres to catalog.\n"
 msgstr "Inga genrer till katalogen.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "Kontrollera 'Uteslutna genrer' regex i e-bokalternativ.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr "Kontrollera \"Uteslutna genrer\"-regex i e-bokalternativen.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36049,7 +36093,7 @@ msgstr "<p>Inkonsekventa författarsorte
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:583
 msgid "Warning: Inconsistent Author Sort values for Author '{!s}':\n"
-msgstr "Varning: Inkonsekvent författarsorteringsvärden för författare '{!s}':\n"
+msgstr "Varning: Inkonsekvent författarsorteringsvärden för författare \"{!s}\":\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:773
 msgid "Sorting database"
@@ -36062,8 +36106,8 @@ msgstr "Sorterar titlar"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Inga böcker till katalog.\nKontrollera 'Uteslutna böcker'-regler i e-bokalternativen.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr "Inga böcker till katalog.\nKontrollera \"Uteslutna böcker\"-regler i e-bokalternativen.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36125,7 +36169,7 @@ msgstr "Serier som börjar med %s"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:3200
 #, python-format
 msgid "Series beginning with '%s'"
-msgstr "Serier som börjar med '%s'"
+msgstr "Serier som börjar med \"%s\""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:3225
 msgid "NCX for Titles"
@@ -36139,7 +36183,7 @@ msgstr "Titlar som börjar med %s"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:3284
 #, python-format
 msgid "Titles beginning with '%s'"
-msgstr "Titlar som börjar med '%s'"
+msgstr "Titlar som börjar med \"%s\""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:3309
 msgid "NCX for Authors"
@@ -36153,7 +36197,7 @@ msgstr "Författare som börjar med %s"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:3361
 #, python-format
 msgid "Authors beginning with '%s'"
-msgstr "Författare som börjar med '%s'"
+msgstr "Författare som börjar med \"%s\""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:3386
 msgid "NCX for Recently Added"
@@ -36311,7 +36355,7 @@ msgstr "calibre interna-ID"
 
 #: /__w/calibre/calibre/src/calibre/library/save_to_disk.py:79
 msgid "Options to control saving to disk"
-msgstr "Alternativ för att kontrollera sparande på disk"
+msgstr "Alternativ för att anpassa sparande på disk"
 
 #: /__w/calibre/calibre/src/calibre/library/save_to_disk.py:85
 msgid ""
@@ -36344,7 +36388,7 @@ msgid ""
 "files. Default is \"%(templ)s\" which will save books into a per-author "
 "subdirectory with filenames containing title and author. Available controls "
 "are: {%(controls)s}"
-msgstr "Mallen för att styra filnamn och mappstruktur för de sparade filerna. Standard är \"%(templ)s\" vilket sparar böcker i en undermapp per författare med filnamn bestående av titel och författare. Tillgängliga kontroller är: {%(controls)s}"
+msgstr "Mallen för att anpassa filnamn och mappstruktur för de sparade filerna. Standard är \"%(templ)s\" vilket sparar böcker i en undermapp per författare med filnamn bestående av titel och författare. Tillgängliga kontroller är: {%(controls)s}"
 
 #: /__w/calibre/calibre/src/calibre/library/save_to_disk.py:103
 #, python-format
@@ -36353,7 +36397,7 @@ msgid ""
 "to the device. Default is \"%(templ)s\" which will save books into a per-"
 "author directory with filenames containing title and author. Available "
 "controls are: {%(controls)s}"
-msgstr "Mallen för att kontrollera filnamnet och katalogstruktur med filer som skickas till enheten. Standard är \"%(templ)s\" om kommer att spara böcker i en per-författare katalog med filnamn som innehåller titel och författare. Tillgängliga kontroller är: {%(controls)s}"
+msgstr "Mallen för att anpassa filnamnet och katalogstruktur för filer som skickas till enheten. Standard är \"%(templ)s\" vilket kommer att spara böcker i en katalog per författare med filnamn som innehåller titel och författare. Tillgängliga kontroller är: {%(controls)s}"
 
 #: /__w/calibre/calibre/src/calibre/library/save_to_disk.py:110
 msgid ""
@@ -36539,177 +36583,208 @@ msgstr "Hela gränssnittet ger dig mång
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} är inte en giltig IP-adress/nätverk, med fel: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr "användarnamn [password]"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr "Ge denna användare endast läsbehörighet"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr "användarnamn krävs"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr "användarnamn"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr "Okänt kommando: {}"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr "Hantera användarkonton för calibre-servern. Tillgängliga kommandon är:"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr "Använd {} för hjälp med enskilda kommandon"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Vad vill du göra?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "standard"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Inget val gjort, avslutar..."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s är inte ett giltigt val, försök igen"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Befintliga användarnamn:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Det finns inga användare, du måste först lägga till en användare"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Användarnamnet %s finns inte"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Ange användarnamnet"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Ange nya lösenordet för %s: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Tomma lösenord är inte tillåtna"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Ange pånytt det nya lösenordet för %s, för att verifiera: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Lösenorden stämmer inte"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Användare %s tillagd!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Är du säker att du vill ta bort användare %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Användare %s borttagen!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Lösenord för %s ändrat!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Nuvarande lösenord för  {0} är: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Tillåt {} att göra &ändringar (d.v.s. bevilja skrivåtkomst)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Förhindra {} att göra ändringar (d.v.s. avslå skrivåtkomst)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} har följande fler per biblioteksbegränsningar:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} har inga ytterligare per-bibliotek begränsningar"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Tillåt åtkomst till alla bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Tillåt åtkomst endast till angivna bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Tillåt åtkomst till alla utom angivna bibliotek"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Ändra per biblioteksbegränsningar"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Ange biblioteksnamnet:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Ange ett sökuttryck, endast åkomst till böcker som passar mot detta uttryck. Ett tomt uttryck ger åkomst till alla böcker."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Ytterligare begränsning?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Ange en kommaseparerad lista av biblioteksnamn:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Tillåter åtkomst bara till bibliotek: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Tillåter åtkomst till alla bibliotek: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Visa lösenord för {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Ändra läs/skriv behörighet för {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Ändra biblioteken {} för tillåten åtkomst"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} har {1} åtkomst"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "läs-skriv"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "skrivskyddad"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Lägg till en ny användare"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Redigera en befintlig användare"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Ta bort en användare"
 
@@ -36894,7 +36969,7 @@ msgstr "Standard är att lyssna på alla
 
 #: /__w/calibre/calibre/src/calibre/srv/opts.py:116
 msgid "Fallback to auto-detected interface"
-msgstr "Återgång till automatiskt detekterat gränssnitt"
+msgstr "Återfall till automatiskt upptäckt gränssnitt"
 
 #: /__w/calibre/calibre/src/calibre/srv/opts.py:118
 msgid ""
@@ -36928,7 +37003,7 @@ msgstr "Största storlek på loggfiler s
 
 #: /__w/calibre/calibre/src/calibre/srv/opts.py:133
 msgid "Log HTTP 404 (Not Found) requests"
-msgstr "Logga HTTP 404 (Inte hittad) förfrågningar"
+msgstr "Logga HTTP 404 (inte hittad)-förfrågningar"
 
 #: /__w/calibre/calibre/src/calibre/srv/opts.py:135
 msgid ""
@@ -37117,13 +37192,14 @@ msgid ""
 msgstr "Starta automatiskt om servern när källkoden ändras. Användbar för utveckling. Du bör också ange ett lågt värde för stänga av tidsbegränsning."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Hantera databasen av användare tillåtna att ansluta till denna server. Se också alternativet %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr "Hantera databasen över användare som får ansluta till denna server. Du kan använda den i automatiserat läge genom att lägga till en --. Se {0} för mer information. Se även alternativet {1}."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37131,23 +37207,23 @@ msgid ""
 "at: {1}"
 msgstr "Sökväg till användardatabasen att använda för autentisering. Databasen är en SQLite-fil. För att skapa den använder du {0}. Du kan läsa mer om hantering av användare på: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Ett annat calibre-program som en annan instans av {} eller calibre-huvudprogrammet körs. Att ha flera program som kan göra ändringar i ett calibre-bibliotek körs samtidigt, stöds inte."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Avbruten av användare"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Det finns inget calibre-bibliotek i: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Du måste ange åtminstone ett calibre-bibliotek"
 
@@ -37160,7 +37236,7 @@ msgid "Enum"
 msgstr "Uppräkningstyp"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Ogiltig syntax. Förväntas ett uppslagsnamn eller ett ord"
 
@@ -37319,128 +37395,128 @@ msgstr "Inställningar och insticksmodul
 msgid "File is open in another process"
 msgstr "Filen är öppen av en annan process"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr "i slutet av programmet"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr "{0}: {1} nära {2}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "Det gick inte att skanna programmet. Ogiltig inmatning {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Syntaxfel - programmet avslutas före EOF"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "'then' i if-uttalandet saknas"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "'fi' i if-uttalandet saknas"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr "Identifierare saknas för uttalande"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr "Saknas 'in' för uttalande"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr "Saknad kolon (':') i för uttalande"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr "Saknar \"rof\" för uttalande"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr "En lagrad mall måste börja med {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Okänd funktion {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Avslutande parentes saknas"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr "Parametrar till \"{}\" måste vara variabler eller tilldelningar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr "Felaktigt antal argument för funktionen {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "Uttryck är inte funktion eller konstant"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Fel under strängjämförelse. Operatör {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "Värde som används i jämförelse är inte ett tal. Operatör {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Okänd identifierare {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Okänt fält {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr "Fältet {0} är inte en lista"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr "Ohanterat undantag {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Internt fel vid utvärdering av ett uttryck"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "format: typ {0} kräver ett heltalsvärde, fick {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "format: typ {0} kräver ett decimaltal (flyt) värde, fick {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: okänd funktion"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr "Ingen sådan variabel {0}"
@@ -37495,60 +37571,60 @@ msgstr "strlen(a) - Återger längden av
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) - återger x + y. Gör ett undantag om x eller y inte är siffror."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr "add(x, y, ...) -- återger summan av sina argument. Ger ett undantag om ett argument inte är ett tal."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
-msgstr "subtract(x, y) - återger x - y. Gör ett undantag om x eller y inte är siffror."
+msgstr "subtract(x, y) -- återger x - y. Ger ett undantag om x eller y inte är tal."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) - återger x * y. Gör ett undantag om x eller y inte är siffror."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr "multiply(x, y, ...) -- återger produkten av sina argument. Ger ett undantag om något argument inte är ett tal."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
-msgstr "divide(x, y) -- återger x / y. Gör ett undantag om x eller y inte är siffror."
+msgstr "divide(x, y) -- återger x / y. Ger ett undantag om x eller y inte är tal."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
-msgstr "ceiling(x) -- återger det minsta heltalet större än eller lika med x. Gör ett undantag om x inte är ett nummer."
+msgstr "ceiling(x) -- återger det minsta heltalet större än eller lika med x. Ger ett undantag om x inte är ett tal."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
-msgstr "floor(x) -- återger det största heltalet mindre än eller lika med x. Gör ett undantag om x inte är ett nummer."
+msgstr "floor(x) -- återger det största heltalet mindre än eller lika med x. Ger ett undantag om x inte är ett tal."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
-msgstr "round(x) -- återger närmaste heltal till x. Gör ett undantag om x inte är ett nummer."
+msgstr "round(x) -- återger närmaste heltal till x. Ger ett undantag om x inte är ett tal."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
-msgstr "mod(x) -- återger resten av x / y, där x, y, och resultatet är heltal. Gör ett undantag om antingen x eller y inte är ett nummer."
+msgstr "mod(x) -- återger resten av x / y, där x, y, och resultatet är heltal. Ger ett undantag om antingen x eller y inte är ett tal."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
-msgstr "fractional_part(x) -- återger värdet efter decimalpunkten. Till exempel fractional_part(3.14) återger 0.14. Gör ett undantag om x inte är ett nummer."
+msgstr "fractional_part(x) -- återger värdet efter decimalpunkten. Till exempel fractional_part(3.14) återger 0.14. Ger ett undantag om x inte är ett tal."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37560,7 +37636,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- utvärderar x som en mall. Utvärderingen görs i sitt eget sammanhang, vilket innebär att variabler inte delas mellan den som anropande och mallutvärderingen. Eftersom tecknen { och } är speciella, måste du använda [[ för {-tecknet och ]] för }-tecknet, och de konverteras automatiskt. Till exempel template('[[title_sort]]') kommer att utvärdera mallen {title_sort} och återge dess värde. Observera också att prefix och suffix (`|prefix|suffix` syntax) inte kan användas i argumentet för denna funktion när du använder mallprogramläget."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37571,13 +37647,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- utvärderar mallen, sänder de lokala variablerna (de 'assign'ed till) istället för bokens metadata. Detta möjliggör användning av mallprocessorn för att konstruera komplexa resultat från lokala variabler. Eftersom {- and }-tecken är speciella, måste du använda [[ för {-tecknet och ]] för }-tecknet; de konverteras automatiskt. Observera också att prefix och suffix (`|prefix|suffix` syntax) inte kan användas i argumentet för denna funktion när du använder mallprogramläget."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) - tilldelar val till id, återger sedan val. id måste vara en identifierare, inte ett uttryck"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37587,30 +37663,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr "split(list_val, sep, id_prefix) -- delar list_val i separata värden med hjälp av \"sep\" och tilldelar sedan värdena till variabler med namnen \"id_prefix_N\" där N är positionen för värdet i listan. Den första posten har position 0 (noll). Funktionen returnerar det sista elementet i listan. Exempel: split('one, two, foo', ',', 'var') motsvarar var_0 = 'one'; var_1 = 'two'; var_3 = 'foo'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
-msgstr "print(a, b, ...) -- skriver ut argument till standard ut. Såvida du startar calibre från kommandoraden (calibre-debug-g), kommer utmatning att gå till ett svart hål."
+msgstr "print(a, b, ...) -- skriver ut argument till standard utmatning. Såvida du startar calibre från kommandoraden (calibre-debug-g), kommer utmatning att gå till ett svart hål."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- återger metadatafält nämnt efter name"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field (namn) - återger metadatafältet nämnt efter name utan att tillämpa någon formatering."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- återger metadatalistan namngiven av namn utan att använda någon formatering eller sortering och med poster avskiljda med avskiljare."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37620,7 +37696,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, slut) - återger starttecknet till och med sluttecknet i str. Det första tecknet i STR är nollkaraktär. Om slutet är negativt, då det tyder på att för många tecken räknas från höger. Om slutet är noll, indikeras det sista tecknet. Till exempel substr ('12345 ', 1, 0) återger '2345', och substr ('12345 ', 1, -1) återger '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37630,24 +37706,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, mönster, fält, mönster, fält, ..., else_field) - som switch, förutom argumenten fält (metadata) namn, inte text. Värdet på lämpligt fält kommer att hämtas och användas. Observera att eftersom sammansatta kolumner är fält, kan du använda denna funktion i ett sammansatt fält och använda värdet av vissa andra sammansatta fältet. Detta är mycket användbart vid konstruerandet av variabla sparvägar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "sökning kräver antingen 2 eller ett udda antal argument"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, text if not empty, text if empty) -- återger `text if empty` om val inte är tomt, annars återges `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) -- kontrollerar om val innehåller träffar för det reguljära uttrycket pattern \"mönster\". Återger `text if match` (\"text om matchen\") om träffar hittas annars återges `text if no match` (\"text om ingen träff\")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37656,11 +37732,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- för varje `pattern, value` par, kontrollerar om fältet överensstämmer med det reguljära uttrycket `pattern` och i så fall återger det som`value`. Om inget mönster passar, då återges `else_value`. Du kan ha så många `pattern, value` par som du vill"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "växel kräver ett udda antal argument"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37670,19 +37746,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Återger en sträng som bildas genom att sammanfoga argumenten. Det återgivna värdet initieras till sträng1. `Prefix, string` par till i slutet av värde så länge den återgivna strängens längd är mindre än `max`. Sträng1 återges även om sträng1 är längre än max. Du kan skicka så många `prefix, string`-par som du vill."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max kräver 2 eller flera argument"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max kräver ett jämnt antal argument"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "första argumentet till strcat_max måste vara ett heltal"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37692,11 +37768,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separator, pattern, found_val, ..., not_found_val) -- behandla val som en lista med post åtskilda av separator, utvärdera mönstret mot varje värde i listan. Om mönstret matchar ett värde, återges found_val, annars återges not_found_val. Mönstret och found_value kan upprepas så många gånger som önskat, vilket möjliggör att olika värden återkommer beroende på sökningen. Mönstren kontrolleras i ordning. Den första matchen återges."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list kräver ett udda antal argument"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37708,11 +37784,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(val, separator, string, found_val, ...,not_found_val) -- behandla val som en lista med post åtskilda av separator, jämför strängen mot varje värde i listan. Om strängen matchar ett värde (ignorerar stor bokstav) återges found_val, annars återges not_found_val. Om strängen innehåller avskiljare, då behandlas det också som en lista och varje värde kontrolleras. Strängen och found_value kan upprepas så många gånger som önskat, vilket möjliggör att olika värden återkommer beroende på sökningen. Strängarna kontrolleras i ordning. Den första träffen återges."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list kräver ett udda antal argument"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37723,14 +37799,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- behandla val som en lista med identifierare separerade med kommatecken och jämför strängen mot varje värde i listan. En identifierare har formatet \"identifier:value\". ID-parametern ska vara antingen \"id\" eller \"id:regexp\". Det första fallet ger träff om det finns någon identifierare med detta ID. Det andra fallet ger träff om regexp matchar identifierarens värde. Om det är en träff, återges found_val, annars återges not_found_val."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, mönster, ersättning) - Returvärdet på området efter tillämpning av reguljära uttryck. Alla förekomster av \"mönster\" ersättas med \"ersättning\". Som allid i calibre, dessa är Python-kompatibla reguljära uttryck"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37743,20 +37819,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(value, pattern, template_for_group_1, for_group_2, ...) -- återger en sträng med användande av reguljära uttrycksmönstret för värdet och ersätter varje matchande instans med strängen beräknas genom att ersätta varje matchande grupp med det värde som återges av motsvarande mall. Det ursprungliga matchade värdet för gruppen finns som $. I mallprogramläge, som till mallen och de eval funktioner använder du [[ för { och ]] för }. Följande exempel på mall programläget ser ut för serier med flera ord och versaler det första ordet: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- ges ett värde av formen \"B, A\" återger \"A B\". Detta är mest användbar för att konvertera namn i EN, FN format till FN EN. Om det inte finns något komma, återger funktionen val oförändrad"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) -- återger val om val inte är tom, annars återge `text if empty`"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37770,7 +37846,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- Återger en förkortad version av fältet, som består av `left chars`, tecken från början av fältet, följt av `middle text`, följt av `right chars` tecken från slutet av strängen. `Left chars` och `right chars`, måste vara heltal. Antag exempelvis titeln på boken är `Ancient English Laws in the Times of Ivanhoe`, och du vill att den ska passa i ett utrymme på högst 15 tecken. Om du använder {title:shorten(9,-,5)}, kommer resultatet att bli `Ancient E-nhoe`. Om fältets längd är mindre än left chars + right chars + längden på `middle text`, då kommer fältet att användas intakt. Till exempel titeln `The Dome` skulle inte ändras."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37778,7 +37854,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) -- tolkar värdet som en lista med element åtskilda av \"separator\", återger antalet poster i listan. De flesta listor använder kommatecken som skiljetecken, men författarna använder ett et-tecken. Exempel: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37787,14 +37863,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) - tolka värdet som en lista med element åtskilda av `separator`, återger posten `index`th. Den första punkten är siffran noll. Den sista komponenten kan återges med hjälp av `list_item(-1,separator)`. Om posten inte finns i listan, kommer det tomma värdet återges. Avskiljaren har samma betydelse som i antal-funktionen."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) --  tolka värdet som en kommaseparerad lista, med den post som \"id:value\". Hitta paret med ID:et lika med nyckel och återger motsvarande värde."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37807,19 +37883,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- återger en kommaseparerad lista över format som vid ett tillfälle var i samband med boken. Det finns ingen garanti för att denna lista är korrekt, även om den antagligen är det. Denna funktion kan anropas i mallprogramläge med mallen \"{:'approximate_formats()'}\". Observera att formatnamnen alltid är versaler, som i EPUB. Den här funktionen fungerar bara i grafiska gränssnittet. Om du vill använda dessa värden på spara-till-disk eller skicka-till-enhet-mallar måste du göra en egen \"kolumn byggd från andra kolumner\", använder du funktionen i kolumnmallen och använda den kolumnens värde i din spar/skicka mallar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Den här funktionen kan användas endast i grafiska gränssnittet"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37829,7 +37905,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- återger en kommaseparerad lista över kolonseparerade post som representerar modifieringstider för formaten i en bok. Den date_format parametern anger hur datumet ska formateras. Se date_format funktionen för detaljer. Du kan använda funktionen för val för att få modifieringstider för ett visst format. Observera att formatnamn är alltid versaler, som i EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37837,7 +37913,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- återger en kommaseparerad lista över kolonseparerade poster som representerar storlekar i oktetter av formaten i en bok. Du kan använda select-funktionen för att få storleken för ett visst format. Observera att formatnamn är alltid versaler, som i EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37845,13 +37921,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- återger en kommaseparerad lista över kolonseparerade poster som representerar fullständig sökväg till formaten i en bok. Du kan använda markeringsfunktionen för att få sökvägen för ett visst format. Observera att formatnamnen alltid är i versaler, som i EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable (v) - återger en sträng som representerar antalet v i KB, MB, GB, o.s.v."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37862,7 +37938,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, template) -- format numret v med hjälp av en Python-formateringsmall som \"{0:5.2f}\" eller \"{0:,d}\" eller \"${0:5,.2f}\".  field_name del av mallen ska vara en 0 (noll) ( \"{0:\"  i exemplen ovan). Se språkmallen och Python-dokumentationen för fler exempel. Du kan lämna den ledande \"{0:\" och efterföljande \"}\" om mallen innehåller ett format. Återger tom sträng om formatering misslyckas."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37875,7 +37951,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, start_index, end_index, separator) -- tolka värdet som en lista av element separerade av `separator`, återger en ny lista med post från `start_index` till `end_index`. Det första postnumret är noll. Om ett index är negativt räknas det från slutet på listan. Som ett specialfall, om end_index är noll antas det motsvara längden på listan. Exempel på användning av grundläggande mallläge och antagandet att (de kommaseparerade) taggkolumnerna innehåller \"A, B, C\": {tags:sublist(0,1,\\\\,)} återger \"A\". {tags:sublist(-1,0,\\\\,)} återger \"C\". {tags:sublist(0,-1,\\\\,)} återger \"A, B\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37892,7 +37968,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- Den här funktionen används för att bryta isär listor över poster som genrer. Det tolkar värdet som en kommaseparerad lista över poster, där varje post är en period-separerad lista. Återger en ny lista genom att först hitta alla period-separerade poster, då för varje sådan post utvinna `start_index` till `end_index` komponenter och sedan kombinera resultaten tillbaka tillsammans. Den första komponenten i en periodseparerad lista har ett index på noll. Om ett index är negativ, så det räknas från slutet av listan. Som ett specialfall, är en end_index på noll antas vara längden på listan. Exempel med grundläggande malläge och antar ett #genre värde av \"A.B.C\": {#genre:subitems(0,1)} återger \"A\". {#genre:subitems(0,2)} återger \"A.B\". {#genre:subitems(1,0)} återger \"B.C\". Förutsatt ett #genre värde av \"A.B.C, D.E.F\", {#genre:subitems(0,1)} återger \"A, D\". {#genre:subitems(0,2)} återger \"A.B, D.E\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37915,23 +37991,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- formaterar värdet, som måste vara ett datum, genom att använda format_string återges en sträng. Formateringskoderna är: d: dagen som tal utan en inledande nolla (1 till 31) dd: dagen som tal med en inledande nolla (01 till 31) ddd: det förkortade lokaliserade dagnamnet (t.ex. \"mån\" till \"sön\"). dddd: det långa lokaliserade dagnamnet (t.ex. \"måndag\" till \"söndag\"). M: månaden som tal utan en inledande nolla (1 till 12). MM: månaden som tal med en inledande nolla (01 till 12) MMM: den förkortade lokaliserade månadens namn (t.ex. \"jan\" till \"dec\"). MMMM: den långa lokaliserade månadens namn (t.ex. \"januari\" till \"december\"). yy: året som två siffror (00 till 99). yyyy: året som fyrsiffrigt nummer. h: timmarna utan en inledande 0 (0 till 11 eller 0 till 23, beroende på am/pm) hh: timmarna med en inledande 0 (00 till 11 eller 00 till 23, beroende på am/pm) m: protokollet en utan inledande 0 (0 till 59) mm: minuterna med en inledande 0 (00 till 59) s: sekunderna utan en inledande 0 (0 till 59) ss: sekunderna med en inledande 0 (00 till 59) ap: använd en 12-timmars klocka istället för en 24-timmars klocka, med \"ap\" ersatt med den lokaliserade strängen för am eller pm ap: använd en 12-timmars klocka istället för en 24-timmars klocka, med \"ap\" ersatt av den lokaliserade strängen för AM eller PM iso: datumet med tid och tidszon. Måste vara det enda närvarande formatet"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- återger värdet i fältet med versaler"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- återger värdet i fältet med gemener"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- återger värdet i fältet i titelformat"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- återger värdet av fältet med versaler"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37940,7 +38016,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- återger värdet av storleken fältet. Den här funktionen fungerar bara i grafiska gränssnittet. Om du vill använda detta värde i Save-to-disk eller skicka-till-enhet-mallar måste du göra en egen \"kolumn byggd från andra kolumner\", använder du funktionen i kolumnmallen och använda den kolumnens värde i din spara/skicka mallar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37949,55 +38025,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- återge Ja om ondevice är inställt, annars återges den tomma strängen. Den här funktionen fungerar bara i grafiska gränssnittet. Om du vill använda detta värde i Save-to-disk eller skicka-till-enhet-mallar måste du göra en egen \"kolumn byggd från andra kolumner\", använder du funktionen i kolumnmallen och använder den kolumnen värde i din spara/skicka mallar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr "annotation_count() -- återge det totala antalet anteckningar av alla typer som bifogas den aktuella boken. Den här funktionen fungerar bara i det grafiska gränssnittet."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr "Det gick inte att hämta anteckningsantalet"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- återger seriesorteringsvärde"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover () - återger Ja om boken har ett omslag, annars återge den tomma strängen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty (värde, värde, ...) - återger det första värdet som inte är tomt. Om alla värden är tomma återges det tomma värdet. Du kan ha så många värden som du vill."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, ...) -- återger strängen \"1\" om alla värden inte är tomma, annars återges tomma strängen. Denna funktion fungerar bra med test eller first_non_empty. Du kan ha så många värden som du vill. "
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or (värde, värde, ...) - återger strängen \"1\" om något värde inte är tomt, annars återges en tom sträng. Den här funktionen fungerar bra med test eller first_non_empty. Du kan ha så många värden som du vill."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- återger strängen \"1\" om värde är tomt, annars återges tomma strängen. Denna funktion fungerar bra med test eller first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38006,7 +38082,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- återger en lista som görs av en sammanslagning av poster i list1 och list2, ta bort dubbletter med en skiftlägeskänslig jämförelse. Om post skiljer sig i fallet är den i list1 används. Posterna i list1 och list2 skiljs åt av avskiljare, liksom posterna i den återgivna listan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38014,7 +38090,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- återger en lista genom att ta bort list1 alla post som finns i list2 med en skiftlägeskänslig jämförelse. Posterna i list1 och list2 skiljs åt av avskiljare, liksom posterna i den återgivna listan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38022,7 +38098,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- återger en lista genom att ta bort list1 alla post som finns i list2 med en skiftlägeskänslig jämförelse. Posterna i list1 och list2 skiljs åt av avskiljare, liksom posterna i den återgivna listan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38030,7 +38106,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- återge en lista sorterad med en skiftlägesokänslig sortering. Om riktningen är noll sorteras listan stigande, annars fallande. Listposterna skiljs åt med avskiljare, liksom posterna i den återgivna listan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38039,7 +38115,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- återger yes_val om list1 och list2 innehåller samma poster, annars återge no_val. Föremålen bestäms genom att dela upp varje lista med lämpliga avskiljare (sep1 eller sep2). Ordningen på posterna i listorna är inte relevant. Jämförelsen är inte skiftlägeskänslig."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38048,7 +38124,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- Konstruera en lista genom att först separera src_list till poster med hjälp av avskiljartecknet. För varje post i listan, kontrollera om det matchar include_re. Om den gör det, sedan lägga till den i listan som ska återges. Om opt_replace inte är den tomma strängen, tillämpa sedan bytet innan du lägger till posten i den återgivna listan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38056,14 +38132,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- Som list_re utom ersättare är inte valfritt. Den använder re_group(list_item, search_re, group_1_template, ...) när du gör ersättare på den resulterande listan."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- återger en datumsträng för idag. Detta värde är avsedd för användning i format_date eller days_between, men kan manipuleras som alla andra strängen. Datumet är i ISO format."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38071,7 +38147,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- återger antalet dagar mellan date1 och date2. Numret är positivt om date1 är större än date2, annars negativ. Om någon date1 eller date2 inte är datum, återger funktionen tomma strängen."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38079,28 +38155,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- återger strängarna för språkkoder som finns i lang_codes. Om lokalisera är noll, återges strängarna på engelska. Om lokalisera inte är noll, återges strängarna tillbaka på språket på den aktuella platsen. Lang_codes är en kommaseparerad lista."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- återger språkkoderna för strängarna som finns i lang_strings. Strängarna ska vara på samma språk som den aktuella platsen. Lang_strings är en kommaseparerad lista."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- återger efternamnet på sökvägen till den nuvarande calibre-biblioteket. Denna funktion kan anropas i mallprogrammeringsläget genom att använda mallen \"{:'current_library_name()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path () -- återger sökvägen till det aktuella calibre-biblioteket. Denna funktion kan anropas i mallens programmeringsläge genom att använda mallen \"{:'current_library_path ()'}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38109,7 +38185,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- tillämpa formatet, prefix och suffix till ett värde på samma sätt som görs i en mall som `{series_index: 05.2f | - | -}`. Till exempel ger följande program samma resultat som ovanstående mall: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38118,7 +38194,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- återger en kommaseparerad lista över virtuella bibliotek som innehåller den här boken. Den här funktionen fungerar bara i det grafiska gränssnittet. Om du vill använda dessa värden i mallarna spara-till-disk eller skicka-till-enhet måste du göra en anpassad \"Kolumn byggd från andra kolumner\", använda funktionen i kolumnens mall och använda den kolumnens värde i dina spara/skicka mallar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38127,7 +38203,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- återger en kommaseparerad lista över de användarkategorier som den här boken innehåller. Den här funktionen fungerar endast i det grafiska gränssnittet. Om du vill använda dessa värden i mallarna save-to-disk eller send-to-device måste du skapa en anpassad \"kolumn byggd från andra kolumner\", använd funktionen i den kolumnens mall och använda kolumnens värde i dina spara/skicka mallar"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38135,7 +38211,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- återger en sträng i ett latinskt alfabet som bildas genom en tillnärmning av ljudet av orden i källsträngen. Till exempel om källan är \"{0}\" återger funktionen \"{1}\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38147,7 +38223,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- återger en sträng som innehåller en lista med författare och denna författares länkvärde i formen author1 val_separator author1link pair_separator author2 val_separator author2link o.s.v. En författare är separerad från dess länkvärde med val_separator sträng utan tillagda mellanslag. author:linkvalue par är separerade med  pair_separator strängargument utan tillagda mellanslag. \nDet är upp till dig att välja avskiljarsträngar som inte uppträder i författarnamn eller länkar. En författare är inkluderad även om författarlänken är tom."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38158,7 +38234,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- återger en sträng med en lista med författarens sorteringsvärden för författarna till boken. Sorteringen är ett i författarens metadata (som skiljer sig från den author_sort i böcker). Den återgivna listan har formen författaren sorterings 1 val_separator författare sort 2 o.s.v. Författaren sortera värdena i denna lista är i samma ordning som författarna till boken. Om du vill ha utrymmen runt val_separator sedan inkludera dem i avskiljarsträngen"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38166,13 +38242,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_name(storage_location) -- om en enhet är ansluten, återge enhetsnamnet, annars återge den tomma strängen. Varje lagringsplats på en enhet kan ha olika namn. Platsnamnen är \"main\", \"carda\" och \"cardb\". Den här funktionen fungerar bara i det grafiska gränssnittet."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr "connected_device_name: ogiltig lagringsplats \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38180,7 +38256,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_uuid(storage_location) -- om en enhet är ansluten, återge enhetens uuid (unikt id), annars återge den tomma strängen. Varje lagringsplats på en enhet har olika hjälpmedel. Platsnamnen är \"main\", \"carda\" och \"cardb\". Denna funktion fungerar endast i det grafiska gränssnittet."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38193,11 +38269,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr "check_yes_no(field_name, is_undefined, is_false, is_true) -- kontrollerar värdet på fältet ja/nej som heter genom sökningsnyckelens field_name för ett värde som anges av parametrarna, återger \"ja\" om en matchning hittas, annars återges en tom sträng. Ställ in parametern is_undefined, is_false eller is_true till 1 (numret) för att kontrollera det villkoret, annars ställ in på 0. Exempel: check_yes_no(\"# bool\", 1, 0, 1) återger \"ja\" om fältet ja/nej \"#bool\" är antingen odefinierad (varken sant eller falskt) eller sant. Mer än en av is_undefined, is_false eller is_true kan ställas in på 1. Den här funktionen används vanligtvis av funktionerna test() eller is_empty()."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no kräver att fältet är en Ja/Nej anpassad kolumn"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38205,11 +38281,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "rating_to_stars(value, use_half_stars) -- Återger betygsättningen som sträng av stjärntecken. Värdet är ett tal mellan 0 och 5. Ställ in use_half_stars till 1 om du vill ha halvstjärntecken för anpassade betygskolumner som stöder icke-heltalsklassificering, till exempel 2.5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "Betyget måste vara ett nummer mellan 0 och 5"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38218,7 +38294,7 @@ msgid ""
 "single value, not a list."
 msgstr "swap_around_articles(val, separator) -- återger valet med artiklar flyttade till slutet. Värdet kan vara en lista, i vilket fall varje medlem av listan behandlas. Om värdet är en lista måste du ange listvärdesseparatorn. Om ingen separator tillhandahålls behandlas värdet som ett enda värde, inte en lista."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38229,7 +38305,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "arguments(id[=expression] [, id[=expression]]*) -- Används i en lagrad mall för att hämta argumenten som skickats i samtalet. Det både deklarerar och initialiserar lokala variabler, effektivt parametrar. Variablerna är positionella; de får värdet av det värde som ges i samtalet i samma position. Om motsvarande parameter inte tillhandahålls i samtalet tilldelar argumenten variabeln det angivna standardvärdet. Om det inte finns något standardvärde ställs variabeln in på den tomma strängen."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38239,6 +38315,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "globals(id[=expression] [, id[=expression]]*) -- Hämtar \"globala variabler\" som kan skickas till formateraren. Den både deklarerar och initialiserar lokala variabler med namnen på de globala variablerna som skickats in. Om motsvarande variabel inte tillhandahålls i de skickade globalerna tilldelas den variabeln det angivna standardvärdet. Om det inte finns något standardvärde ställs variabeln in som den tomma strängen."
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr "field_exists(field_name) -- kontrollerar om ett fält (kolumn) med namnet field_name finns, återger \"1\" om så är fallet och \"\" om inte."
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Namnlös bild"
@@ -38527,29 +38609,29 @@ msgstr "Stäng utan att spara"
 msgid "Close Tab"
 msgstr "Stäng flik"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Extra tecken i slutet av sökningen"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "saknar )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Det gick inte att tolka förfråga, rekursionsgräns nådd: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Sparad rekursiv sökning: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Okänd sparad sökning: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Okänt fel i sparad sökning: {0}"
@@ -38912,185 +38994,185 @@ msgstr "Varje länk som matchar detta re
 msgid "Do not download CSS stylesheets."
 msgstr "Hämta inte CSS-formatmallar."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "&OK"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Spara alla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Öppna"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Ja"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Ja till &alla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Nej"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "N&ej till alla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Avbryt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Försök igen"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Stäng"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Tillämpa"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Återställ"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Återställ standardvärden"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Färg&ton:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "Färg&mättnad:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Värde:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Röd:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Grön:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "&Blå:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lfakanal:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Markör vid %1, %2\nTryck ESC för avbryta"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Välj färg"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Grundfärger"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Anpassade färger"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Lägg till anpassade färger"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Välj skärmfärg"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Välj teckensnitt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Teckensnitt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Teckens&nittsformat"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Storlek"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Effekter"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Stry&köver"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Exempel"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Skr&ivsystem"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Vänsterkant"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Högerkant"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Sida vänster"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Sida upp"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Sida ner"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Sida höger"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Rulla vänster"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Bläddra uppåt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Bläddra neråt"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Rulla höger"
 
@@ -39255,7 +39337,7 @@ msgstr "En uppsättning kolumner som kan
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:138
 msgid "Control how dates are displayed"
-msgstr "Ställ in hur datum visas"
+msgstr "Anpassa hur datum visas"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:139
 msgid ""
@@ -39328,7 +39410,7 @@ msgid ""
 "strictly_alphabetic, it would remain \"The Lord of the Rings\". Note that the\n"
 "formatter function raw_field will return the base value for title and\n"
 "series regardless of the setting of this tweak."
-msgstr "Anpassa hur titel- och serienamn formateras när du sparar till disk/sändning\ntill enheten. Beteendet beror på det fält som behandlas. \nVid bearbetning av titel, sedan om justering är satt till 'library_order', \nkommer titeln vara ersatt med title_sort. \nOm det är inställt på 'strictly_alphabetic ', då\nkommer titeln inte att ändras. Vid bearbetning av serien, om den sedan står i\n'library_order', kommer artiklar såsom 'The' och 'An' att flyttas till slutet. Om\ninställd på 'strictly_alphabetic', kommer serien att sändas utan förändring.\nTill exempel om justering satt till library_order, \"The Lord of the Rings\"\nblir \"Lord of the Rings, The\". Om justering är inställd på\nstrictly_alphabetic, skulle det vara \"The Lord of the Rings\". Observera att\nformaterarfunktionen raw_field återger basvärde för titel och\nserier oavsett inställningen av detta justering."
+msgstr "Anpassa hur titel- och serienamn formateras när du sparar till disk/sändning\ntill enheten. Beteendet beror på det fält som behandlas. \nVid bearbetning av titel, sedan om justering är satt till \"library_order\", \nkommer titeln vara ersatt med title_sort. \nOm det är inställt på \"strictly_alphabetic\", då\nkommer titeln inte att ändras. Vid bearbetning av serien, om den sedan står i\n\"library_order\", kommer artiklar såsom \"The\" och \"An\" att flyttas till slutet. Om\ninställd på \"strictly_alphabetic\", kommer serien att sändas utan förändring.\nTill exempel om justering satt till library_order, \"The Lord of the Rings\"\nblir \"Lord of the Rings, The\". Om justering är inställd på\nstrictly_alphabetic, skulle det vara \"The Lord of the Rings\". Observera att\nformaterarfunktionen raw_field återger basvärde för titel och\nserier oavsett inställningen av detta justering."
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:202
 msgid "Set the list of words considered to be \"articles\" for sort strings"
@@ -39347,7 +39429,7 @@ msgid ""
 "example, to use German, set it to 'deu'. A value of None means the user\n"
 "interface language is used. The setting title_sort_articles is ignored\n"
 "(present only for legacy reasons)."
-msgstr "Ställ in listan med ord som ska betraktas som 'articles' vid beräkning av\nsorteringsträngar för titel. Artiklarna skiljer sig med språket. Som standard använder calibre\nen kombination av artiklar från engelska och språk calibre användar-\ngränssnittet är satt till. Dessutom, i vissa sammanhang där bokspråket är\ntillgängligt, används språket i boken. Du kan ändra förteckningen över\nartiklar för ett visst språk eller lägga till ett nytt språk genom att redigera\nper_language_title_sort_articles. För att få calibre att använda ett annat språk\nän språket i användargränssnittet, ställ in, default_language_for_title_sort. För att till exempel\natt använda tyska, ställa den till 'deu'. Ett värde på None betyder att användaren\ngränssnitt språket används. Inställningen title_sort_articles ignoreras\n(närvarande endast för äldre skäl)."
+msgstr "Ställ in listan med ord som ska betraktas som \"articles\" vid beräkning av\nsorteringsträngar för titel. Artiklarna skiljer sig med språket. Som standard använder calibre\nen kombination av artiklar från engelska och språk calibre användar-\ngränssnittet är satt till. Dessutom, i vissa sammanhang där bokspråket är\ntillgängligt, används språket i boken. Du kan ändra förteckningen över\nartiklar för ett visst språk eller lägga till ett nytt språk genom att redigera\nper_language_title_sort_articles. För att få calibre att använda ett annat språk\nän språket i användargränssnittet, ställ in, default_language_for_title_sort. För att till exempel\natt använda tyska, ställa den till \"deu\". Ett värde på None betyder att användaren\ngränssnitt språket används. Inställningen title_sort_articles ignoreras\n(närvarande endast för äldre skäl)."
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:258
 msgid "Specify a folder calibre should connect to at startup"
@@ -39370,8 +39452,8 @@ msgstr "Ange namnbytarregler för SONY-s
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39419,7 +39501,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Ange ändring av namngivningsregler för sony-samling. Denna justering är bara tillämplig om\nmetadatahanteringen är satt till automatisk. Sony-samlingar är namngivna\nberoende på om fältet är standard eller anpassat. En samling från\nstandardfält är namngivna enligt värdet i det fältet. Till exempel om\nstandard  'serie'-kolumn innehåller värdet \"Darkover\", så är samlingsnamnet\n\"Darkover\". En samling från anpassat fält kommer att ha namnet på fältet  tillagt till värdet.\nTill exempel om en anpassad seriekolumn är \"Mina Serier\" så kommer samlingen namnges\ntill \"Darkover (Mina Serier)\". Syftet av denna dokumentation, \"Darkover\" kallas \nvärdet och 'Mina Serier' kallas för kategori.\nOm två böcker har fält som genererar samma samlingsnamn så kommer\nbåda böckerna finnas i den samlingen.\nDenna uppsättning justeringar låter dig ange normal eller anpassad fält som\nstyr hur samlingar namnges. Du kan använda detta för att lägga till en beskrivning\ntill ett normalt fält, till exempel 'Foo (markering)' i stället för \"Foo\". Du\nkan också använda detta för att tvinga multipla fält att hamna i samma samling.\nTill exempel, du kan tvinga värden i 'serier', '#mina_serier_1' och '#mina_serier_2'\natt hamna i samma samling namngiven 'några_värden (serier)', därefter sammanfoga\nalla fält till en uppsättning samlingar.\nDet finns två relaterade justeringar. Den första bestämmer kategorinamnet \nsom används för ett metadatafält. Den andra är en mall, som används för att\nbestämma hur värdet och kategorin kombineras för att skapa samlingsnamnet.\nSyntaxen för den första justeringen, sony_collection_renaming_rules, är:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nDen andra justeringen, sony_collection_name_template, är en mall. Den använder\nsamma mallspråk som pluggbrädor och sparar mallar.\nDenna justering styr hur värdet och kategorin kombineras ihop för att\nskapa samlingsnamnet.\nDe två tillgängliga fälten är {category} och {value}. {value} fältet är\naldrig tomt. {category} fältet kan vara tomt. Standard är att sätta värdet\nförst, sedan kategorin omsluten av parentes, det är aldrig tomt:\n'{value} {category:|(|)}'\nExempel: Första tre exempel antar att den andra justeringen inte har ändrats.\n1. Jag vill att tre seriekolumner slås samman till en uppsättning samlingar.\nKolumnuppslagsnamnen är 'series', '#series_1' and '#series_2'. Jag vill inte\nha något i parenteser. Värdet att användas i justeringen blir då: \nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2. Jag vill att ordet '(Serier)' förekommer i samlingar gjorda från serier, och\nordet '(markering)' förekommer i samlingar gjorda från markeringar. Använd:\nsony_collection_renaming_rules={'series':'Series', 'markeringar':'Markering'}\n3. Jag vill att 'serier' och '#minaserier' sammanfogas och att samlingsnamnet\nhar ändelsen '(Serier)' tillagd. Namngivnings regeln är:\nsony_collection_renaming_rules={'series':'Series', '#minaserier':'Series'}\n4. Samma som exempel 2, men i stället för att ha kategorinamn i parentes och\nlägga till anpassavärde, vill jag infoga före och separera med ett kolon så som\nSerier: Darkover. Jag måste ändra mallen för att formatera kategorinamnet.\nJustering blir då:\nsony_collection_renaming_rules={'series':'Series', 'markeringar':'Markering'}\nsony_collection_name_template='{kategori:||: }{värde}'"
+msgstr "Ange ändring av namngivningsregler för SONY-samling. Denna justering är bara tillämplig om\nmetadatahanteringen är satt till automatisk. SONY-samlingar är namngivna\nberoende på om fältet är standard eller anpassat. En samling från\nstandardfält är namngivna enligt värdet i det fältet. Till exempel om\nstandard 'serie'-kolumn innehåller värdet \"Darkover\", så är samlingsnamnet\n\"Darkover\". En samling från anpassat fält kommer att ha namnet på fältet  tillagt till värdet.\nTill exempel om en anpassad seriekolumn är \"Mina Serier\" så kommer samlingen namnges\ntill \"Darkover (Mina Serier)\". Syftet av denna dokumentation, \"Darkover\" kallas \nvärdet och 'Mina Serier' kallas för kategori.\nOm två böcker har fält som genererar samma samlingsnamn så kommer\nbåda böckerna finnas i den samlingen.\nDenna uppsättning justeringar låter dig ange normal eller anpassad fält som\nstyr hur samlingar namnges. Du kan använda detta för att lägga till en beskrivning\ntill ett normalt fält, till exempel 'Foo (markering)' i stället för \"Foo\". Du\nkan också använda detta för att tvinga multipla fält att hamna i samma samling.\nTill exempel, du kan tvinga värden i 'serier', '#mina_serier_1' och '#mina_serier_2'\natt hamna i samma samling namngiven 'några_värden (serier)', därefter sammanfoga\nalla fält till en uppsättning samlingar.\nDet finns två relaterade justeringar. Den första bestämmer kategorinamnet \nsom används för ett metadatafält. Den andra är en mall, som används för att\nbestämma hur värdet och kategorin kombineras för att skapa samlingsnamnet.\nSyntaxen för den första justeringen, sony_collection_renaming_rules, är:\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\nDen andra justeringen, sony_collection_name_template, är en mall. Den använder\nsamma mallspråk som pluggbrädor och sparar mallar.\nDenna justering styr hur värdet och kategorin kombineras ihop för att\nskapa samlingsnamnet.\nDe två tillgängliga fälten är {category} och {value}. {value} fältet är\naldrig tomt. {category} fältet kan vara tomt. Standard är att sätta värdet\nförst, sedan kategorin omsluten av parentes, det är aldrig tomt:\n'{value} {category:|(|)}'\nExempel: Första tre exempel antar att den andra justeringen inte har ändrats.\n1. Jag vill att tre seriekolumner slås samman till en uppsättning samlingar.\nKolumnuppslagsnamnen är 'series', '#series_1' and '#series_2'. Jag vill inte\nha något i parenteser. Värdet att användas i justeringen blir då: \nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2. Jag vill att ordet '(Serier)' förekommer i samlingar gjorda från serier, och\nordet '(markering)' förekommer i samlingar gjorda från markeringar. Använd:\nsony_collection_renaming_rules={'series':'Series', 'markeringar':'Markering'}\n3. Jag vill att 'serier' och '#minaserier' sammanfogas och att samlingsnamnet\nhar ändelsen '(Serier)' tillagd. Namngivnings regeln är:\nsony_collection_renaming_rules={'series':'Series', '#minaserier':'Series'}\n4. Samma som exempel 2, men i stället för att ha kategorinamn i parentes och\nlägga till anpassavärde, vill jag infoga före och separera med ett kolon så som\nSerier: Darkover. Jag måste ändra mallen för att formatera kategorinamnet.\nJustering blir då:\nsony_collection_renaming_rules={'series':'Series', 'markeringar':'Markering'}\nsony_collection_name_template='{kategori:||: }{värde}'"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39427,7 +39509,7 @@ msgstr "Ange hur SONY-samlingar är sort
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39442,7 +39524,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Ange hur Sony-samlingar ska sorteras. Denna inställning gäller bara om\nmetadatahanteringen är inställd på automatisk. Du kan ange vilka metadata ska\nanvändas för att sortera på en samling-för-samling basis. Formatet på inställningen\när en lista med metadatafält från vilka samlingar görs, följt av\nnamn på metadatafält som innehåller detta typvärde.\nExempel: Följande visar att samlingar byggs från pubDate och taggar\nska sorteras efter värdet i den anpassade kolumnen '#mydate', att samlingar\nbyggd från 'serie' ska sorteras med 'series_index', och att alla andra\nsamlingar ska sorteras efter titel. Om en samling metadatafält är inte\nnamngivna, så om det är en seriebaserad uppsamling är det en sorterad serieordning,\nannars är det sorterade efter rubrik ordning.\n(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nObservera att klamrar och parenteser krävs. Syntaxen är\n( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\nStandard: tomt (inga regler) så ingen insamling av attribut är namngivna."
+msgstr "Ange hur SONY-samlingar ska sorteras. Denna inställning gäller bara om\nmetadatahanteringen är inställd på automatisk. Du kan ange vilka metadata ska\nanvändas för att sortera på en samling-för-samling basis. Formatet på inställningen\när en lista med metadatafält från vilka samlingar görs, följt av\nnamn på metadatafält som innehåller detta typvärde.\nExempel: Följande visar att samlingar byggs från pubDate och taggar\nska sorteras efter värdet i den anpassade kolumnen '#mydate', att samlingar\nbyggd från 'serie' ska sorteras med 'series_index', och att alla andra\nsamlingar ska sorteras efter titel. Om en samling metadatafält är inte\nnamngivna, så om det är en seriebaserad uppsamling är det en sorterad serieordning,\nannars är det sorterade efter rubrik ordning.\n(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nObservera att klamrar och parenteser krävs. Syntaxen är\n( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\nStandard: tomt (inga regler) så ingen insamling av attribut är namngivna."
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ta.po 5.10.0+dfsg-1/translations/calibre/ta.po
--- 5.9.0+dfsg-3/translations/calibre/ta.po	2021-01-06 15:30:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ta.po	2021-01-20 15:27:04.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -90,15 +90,15 @@ msgstr "நிச்சயமாக எ
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -119,7 +119,7 @@ msgstr "நிச்சயமாக எ
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -219,16 +219,16 @@ msgstr "நிச்சயமாக எ
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -254,7 +254,7 @@ msgstr "நிச்சயமாக எ
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -286,7 +286,7 @@ msgstr "நிச்சயமாக எ
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -305,7 +305,7 @@ msgstr "நிச்சயமாக எ
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -329,27 +329,27 @@ msgstr "தனிப்பயனாக
 msgid "Cannot configure"
 msgstr "கட்டமைக்க முடியாது"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "கோப்பு வகை"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "தரவுகள் சுருக்கப் படிப்பி"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "தரவுகள் சுருக்க எழுதி"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "பட்டியல் உருவாக்கி"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "பயனாளி இடைமுகத்தின் செயல்பாடு"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -361,20 +361,20 @@ msgstr "பயனாளி இடைம
 msgid "Preferences"
 msgstr "விருப்பங்கள்"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "சேமி"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "மின்னணு புத்தகக்கடை."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "புத்தக திருத்த கருவி"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "நூலகம் மூடப்பட்டது"
 
@@ -396,372 +396,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "காமிக் கோப்புகளிலிருந்து அட்டையை எடுக்கவும்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s கோப்புகளில் இருந்து மெட்டாடேட்டாவை படிக்கவும்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Metadata va indha files'la %s set pannu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%s கோப்புகளில் இருந்து மெட்டாடேட்டாவை அமைக்கவும்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "காலிபர் அல்லது இணைக்கப்பட்ட சாதனத்தில் புத்தகங்களை சேர்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "புத்தகத்தை பல்வேறு வடிவங்களில் மாற்றவும்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "மின்னணு புத்தகத்தை மெருகேற்று"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "உங்கள் புத்தகங்களில் உள்ளடக்க அட்டவணையை திருத்தவும்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "உங்கள் காலிபர் நூலகத்தின் அல்லது இணைக்கப்பட்ட சாதனத்தில் உள்ள புத்தகங்களை நீக்கு"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "உங்கள் காலிபர் நூலகத்தில் புத்தகங்கள் படிக்கவும்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "தொடர்புடைய நூல்களின் பட்டியலை விரைவில் காட்டு"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "முகப்பு"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "நடத்தை"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "தேடுகிறது"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "நிலைமாற்றம்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -771,92 +771,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "உயர்நிலை"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "புத்தகத்தை மினஞ்சல் மூலமாக பகிர்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "பகிர்வு"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "இணையம் மூலமாக பகிர்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "செருகல்கள்"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "தேவைபடி மாற்று"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -864,7 +864,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr "இதர வகை"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1254,9 +1254,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1282,17 +1282,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1678,14 +1678,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1693,7 +1693,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1701,39 +1701,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2280,21 +2280,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3470,11 +3470,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3483,12 +3483,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6043,7 +6043,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6336,7 +6336,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6344,7 +6344,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6384,7 +6384,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6414,7 +6414,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8144,13 +8144,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8183,31 +8183,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9176,7 +9176,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10185,7 +10185,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "உத"
 
@@ -11444,7 +11444,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11574,8 +11574,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11709,11 +11709,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11856,7 +11856,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12183,7 +12183,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12260,7 +12260,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12269,10 +12269,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12385,8 +12385,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13572,7 +13572,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13587,8 +13587,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14455,7 +14455,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14796,19 +14796,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14882,8 +14882,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14964,7 +14964,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16544,7 +16544,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16552,7 +16552,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16560,7 +16560,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16568,7 +16568,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16602,7 +16602,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17023,78 +17023,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17102,7 +17102,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17112,7 +17112,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17127,80 +17127,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17208,90 +17217,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17299,281 +17303,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17581,48 +17607,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18078,42 +18104,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18219,87 +18245,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19197,48 +19223,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20302,7 +20344,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20461,8 +20503,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20479,14 +20521,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22706,60 +22748,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22767,57 +22809,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23659,13 +23701,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23699,7 +23741,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23980,7 +24022,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "முடக்கு"
 
@@ -24672,7 +24714,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25241,7 +25283,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25376,7 +25418,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25387,7 +25429,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26900,7 +26942,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27191,7 +27233,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27251,95 +27293,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "பகிர்வு"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27996,7 +28038,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28527,7 +28570,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30765,7 +30808,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32092,7 +32135,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32719,7 +32762,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34593,71 +34636,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35111,7 +35154,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35187,13 +35230,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35358,10 +35401,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36002,7 +36045,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36051,7 +36094,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36528,177 +36571,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37106,13 +37180,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37120,23 +37195,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37149,7 +37224,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37308,128 +37383,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37484,60 +37559,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37549,7 +37624,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37560,13 +37635,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37576,30 +37651,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37609,7 +37684,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37619,24 +37694,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37645,11 +37720,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37659,19 +37734,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37681,11 +37756,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37697,11 +37772,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37712,14 +37787,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37732,20 +37807,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37759,7 +37834,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37767,7 +37842,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37776,14 +37851,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37796,19 +37871,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37818,7 +37893,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37826,7 +37901,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37834,13 +37909,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37851,7 +37926,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37864,7 +37939,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37881,7 +37956,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37904,23 +37979,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37929,7 +38004,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37938,55 +38013,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37995,7 +38070,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38003,7 +38078,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38011,7 +38086,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38019,7 +38094,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38028,7 +38103,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38037,7 +38112,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38045,14 +38120,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38060,7 +38135,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38068,28 +38143,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38098,7 +38173,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38107,7 +38182,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38116,7 +38191,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38124,7 +38199,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38136,7 +38211,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38147,7 +38222,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38155,13 +38230,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38169,7 +38244,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38182,11 +38257,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38194,11 +38269,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38207,7 +38282,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38218,7 +38293,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38228,6 +38303,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38516,29 +38597,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38901,185 +38982,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "சரி"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "மூடு"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39359,8 +39440,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39416,7 +39497,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/te.po 5.10.0+dfsg-1/translations/calibre/te.po
--- 5.9.0+dfsg-3/translations/calibre/te.po	2021-01-06 15:30:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/te.po	2021-01-20 15:27:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "ఉన్నత"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr "నిర్మాత"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr "వ్యాఖ్యలు"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr "కాలముద్ర"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "ప్రక్కపట్టీ"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/th.po 5.10.0+dfsg-1/translations/calibre/th.po
--- 5.9.0+dfsg-3/translations/calibre/th.po	2021-01-06 15:30:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/th.po	2021-01-20 15:27:14.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "ไม่ทำอะไร"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "ไม่ทำอะไร"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "ไม่ทำอะไร"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "ไม่ทำอะไร"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "ไม่ทำอะไร"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "ไม่ทำอะไร"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "กำหนดค่า"
 msgid "Cannot configure"
 msgstr "ไม่สามารถตั้งค่า"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ชนิด"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "ตััวอ่่านชุดข้อมูล"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "ตัวเขียนชุดข้อมูล"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "ตัวสร้างแคทตาล็อก"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "ปรับแต่ง"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "จัดเก็บ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr "สร้างการจั
 msgid "Extract cover from comic files"
 msgstr "แยกปกออกจากหนังสือ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "อ่านข้อมูลจาก %s ไฟล์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "ตั้งค่าข้อมูลใน %s ไฟล์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "ตั้งค่าข้อมูลจาก %s ไฟล์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "เพิ่มหนังสือไปยัง Calibre หรืออุปกรณ์ที่เชื่อมต่ออยู่"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "รับหมายเหตุประกอบจาก Kindle ที่เชื่อมต่อ (มืออาชีพ)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "สร้างหมวดหมู่หนังสือในห้องสมุด Calibre ของคุณ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "แก้ไขสารบัญในหนังสือของคุณ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "ลบหนังสือจากห้องสมุด Calibre ของคุณหรืออุปกรณ์ที่เชื่อมต่ออยู่"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "แก้ไข Metadata ของหนังสือในห้องสมุด Calibre ของคุณ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "อ่านหนังสือในห้องสมุด Calibre ของคุณ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "แสดงรายการของหนังสือที่เกี่ยวข้อง"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "ส่งออกหนังสือจากห้องสมุด Calibre ของคุณไปยังฮาร์ดดิสก์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "เริ่มต้น Calibre ใหม่"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "เปิดโฟลเดอร์ที่บรรจุแฟ้มหนังสือในห้องสมุด Calibre ของคุณ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "ส่งหนังสือไปยังอุปกรณ์ที่เชื่อมต่ออยู่"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "เปิดคู่มือการใช้งาน Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "ปรับแต่ง Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "ค้นหาหนังสือที่คล้ายกับที่เลือกอยู่นี้อย่างง่ายดาย"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "สลับระหว่างห้องสมุด Calibre ต่างๆ และดำเนินการบำรุงรักษา"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "แก้ไขชุดสะสมที่หนังสือถูกวางไว้ในอุปกรณ์ของคุณ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "คัดลอกหนังสือจากห้องสมุด Calibre ไปยังอีกที่หนึ่ง"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "ค้นหารายการถัดไปหรือรายการก่อนหน้าที่ตรงกันเมื่อค้นหาในห้องสมุด Calibre ในโหมดไฮไลท์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "เลือกสุ่มหนังสือจากห้องสมุด Calibre ของคุณ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "ค้นหาหนังสือจากผู้ขายหนังสืออื่นๆ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "รับปลั๊กอินหรือการปรับปรุงใหม่ของ Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "ส่วนติดต่อ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "ปรับเปลี่ยนรูปลักษณ์ให้เหมาะกับรสนิยมในการใช้งานของคุณเอง"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "พฤติกรรม"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "เปลี่ยนแปลงพฤติกรรมในการทำงานของ calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "เพิ่มคอลัมน์ของคุณเอง"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "เพิ่ม/ลดคอลัมน์ของคุณเองในรายการหนังสือของ calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "ปรับเปลี่ยนทูลบาร์และเมนูเนื้อหา โดยกำหนดการเรียกใช้โปรแกรมในแต่ละเมนูและทูลบาร์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "กำลังค้นหา"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "ปรับแต่งวิธีค้นหาสำหรับหนังสือที่ทำงานใน Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "แปลงไฟล์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "กำหนดตัวเลือกในการแปลงไฟล์ให้เฉพาะเจาะจงกับรูปแบบอินพุท"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "กำหนดตัวเลือกในการแปลงไฟล์ให้ใช้กับทุกรูปแบบ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "กำหนดตัวเลือกในการแปลงไฟล์ให้เฉพาะเจาะจงกับรูปแบบเอาท์พุท"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "เพิ่มหนังสือ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "ควบคุมให้ calibre อ่านชุดข้อมูลจากไฟล์ในเวลาที่เพิ่มหนังสือ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "บันทึกหนังสือลงดิสก์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "ควบคุมให้ calibre ส่งออกไฟล์จากฐานข้อมูลลงดิสก์เวลาสั่งบันทึก"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "ส่งหนังสือไปยังอุปกรณ์ปลายทาง"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "เปลี่ยนช่อง Metadata ก่อนทำการ บันทึก/ส่ง"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr "เปลี่ยนช่อ
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "เชี่ยวชาญ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "สร้างแม่แบบการทำงานของคุณเอง"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "แบ่งปันทางอีเมลล์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "แบ่งปัน"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "การตั้งค่าแบ่งปันทางอีเมลล์สามารถใช้เป็นช่องทางในการส่งข้่าวสารการเดาน์โหลดโดยอัตโนมัติไปยังอุปกรณ์ปลายทางของท่านได้"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "แบ่งปันผ่านเน็ท"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "ดาวน์โหลด Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "อุปกรณ์ที่ถูกเพิกเฉย"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "ควบคุมว่าอุปกรณ์ใดที่ Calibre จะเพิกเฉยเมื่อเชื่อมต่อเข้ากับคอมพิวเตอร์"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "ปลั๊กอิน"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "เพิ่ม/ลด/ปรับแต่ง ฟังก์ชั่นต่างๆของ calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "ปรับแต่ง"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "ปรับพฤติกรรมของ calibre ที่จะตอบสนองกับส่วนต่างๆอย่างละเอียด"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "ปรับแต่งแป้นพิมพ์ทางลัดที่ใช้โดย Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr "ปรับแต่งแป
 msgid "Miscellaneous"
 msgstr "อื่นๆ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "การปรับแต่งค่าตั้งต้นอื่นๆ"
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8137,13 +8137,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8176,31 +8176,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9162,7 +9162,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10164,7 +10164,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11416,7 +11416,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11546,8 +11546,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11681,11 +11681,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11828,7 +11828,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12155,7 +12155,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12232,7 +12232,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12241,10 +12241,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12357,8 +12357,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13544,7 +13544,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13559,8 +13559,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14427,7 +14427,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14768,19 +14768,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14854,8 +14854,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14936,7 +14936,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16514,7 +16514,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16522,7 +16522,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16530,7 +16530,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16538,7 +16538,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16572,7 +16572,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -16992,77 +16992,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17070,7 +17070,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17080,7 +17080,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17095,80 +17095,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17176,90 +17185,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17267,281 +17271,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17549,48 +17575,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18046,42 +18072,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18187,87 +18213,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19165,48 +19191,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20265,7 +20307,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20424,8 +20466,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20440,14 +20482,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22660,60 +22702,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22721,57 +22763,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23613,13 +23655,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23653,7 +23695,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23934,7 +23976,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24626,7 +24668,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25195,7 +25237,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25330,7 +25372,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25340,7 +25382,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26852,7 +26894,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27143,7 +27185,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27203,95 +27245,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27948,7 +27990,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28478,7 +28521,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30712,7 +30755,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32035,7 +32078,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32662,7 +32705,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34533,68 +34576,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35048,7 +35091,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35124,13 +35167,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35295,10 +35338,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35939,7 +35982,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -35988,7 +36031,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36465,177 +36508,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37042,13 +37116,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37056,23 +37131,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37085,7 +37160,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37244,128 +37319,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37420,60 +37495,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37485,7 +37560,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37496,13 +37571,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37512,30 +37587,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37545,7 +37620,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37555,24 +37630,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37581,11 +37656,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37595,19 +37670,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37617,11 +37692,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37633,11 +37708,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37648,14 +37723,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37668,20 +37743,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37695,7 +37770,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37703,7 +37778,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37712,14 +37787,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37732,19 +37807,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37754,7 +37829,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37762,7 +37837,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37770,13 +37845,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37787,7 +37862,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37800,7 +37875,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37817,7 +37892,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37840,23 +37915,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37865,7 +37940,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37874,55 +37949,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37931,7 +38006,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37939,7 +38014,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37947,7 +38022,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37955,7 +38030,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37964,7 +38039,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37973,7 +38048,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37981,14 +38056,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -37996,7 +38071,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38004,28 +38079,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38034,7 +38109,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38043,7 +38118,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38052,7 +38127,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38060,7 +38135,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38072,7 +38147,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38083,7 +38158,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38091,13 +38166,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38105,7 +38180,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38118,11 +38193,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38130,11 +38205,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38143,7 +38218,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38154,7 +38229,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38164,6 +38239,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38452,29 +38533,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38836,185 +38917,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39294,8 +39375,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39351,7 +39432,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ti.po 5.10.0+dfsg-1/translations/calibre/ti.po
--- 5.9.0+dfsg-3/translations/calibre/ti.po	2021-01-06 15:31:38.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ti.po	2021-01-20 15:26:53.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/tr.po 5.10.0+dfsg-1/translations/calibre/tr.po
--- 5.9.0+dfsg-3/translations/calibre/tr.po	2021-01-06 15:30:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/tr.po	2021-01-20 15:26:52.000000000 +0000
@@ -34,8 +34,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -114,15 +114,15 @@ msgstr "Kesinlikle hiçbir şey yapmaz"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -143,7 +143,7 @@ msgstr "Kesinlikle hiçbir şey yapmaz"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -243,16 +243,16 @@ msgstr "Kesinlikle hiçbir şey yapmaz"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -278,7 +278,7 @@ msgstr "Kesinlikle hiçbir şey yapmaz"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -310,7 +310,7 @@ msgstr "Kesinlikle hiçbir şey yapmaz"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -329,7 +329,7 @@ msgstr "Kesinlikle hiçbir şey yapmaz"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -353,27 +353,27 @@ msgstr "Özelleştir"
 msgid "Cannot configure"
 msgstr "Ayarlanamıyor"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Dosya türü"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metaveri okuyucu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metaveri yazıcı"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalog üreteci"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Kullanıcı arayüzü eylemi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -385,20 +385,20 @@ msgstr "Kullanıcı arayüzü eylemi"
 msgid "Preferences"
 msgstr "Tercihler"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Mağaza"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Bir e-kitap mağazası."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Kitap düzenleme aracı"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Kitaplık kapalı"
 
@@ -420,372 +420,372 @@ msgstr "Resimlere Textile veya Markdown
 msgid "Extract cover from comic files"
 msgstr "Kitap kapağını çizgi roman dosyalarından al"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "%s dosyalarından metaveri oku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "RAR arşivi içindeki eKitaplardan metaveri oku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "ZIP arşivi içindeki eKitaplardan metaveri oku"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "%s dosyalarındaki metaveriyi ayarla"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "ePUB metaverisi yazma eklentisinin kapak resmi olmayan ePUB dosyalarına kapak resmi eklememesi için aşağıya {0} girin."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "%s dosyalarından metaveriyi ayarla"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Kitapları Calibre'ye ya da bağlı cihaza ekle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Bağlı bir Kindle'dan notları al (deneysel)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Calibre kitaplığındaki kitaplardan bir katalog oluştur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Kitapları çeşitli e-kitap biçimlerine dönüştür"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "E-kitaplarında ince ayarlar yap"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Kitaplarınızdaki İçindekiler Tablosunu düzenleyin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Calibre kitaplığından ya da bağlı bir cihazdan kitap silin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Güncellenmiş metaverileri calibre kitaplığınızdaki asıl kitap dosyalarına gömün"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Calibre kitaplığınızdaki kitapların metaverilerini değiştirin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Calibre kitaplığınızdaki kitapları okuyun"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "İnternetten haberleri e-kitap şeklinde indirin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Benzer kitapların hızlı listesini göster"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Kitaplıktaki kitaplar etiketlerini süz/dönüştürür"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Kitaplıktaki kitapların yazarlarını dönüştürün"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Şablonları denemek için bir düzenleyici göster"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Calibre kitaplığınızdaki kitapları sabit diske kaydedin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Kitap detaylarını ayrı bir açılır pencerede göster"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Calibre'yi Yeniden Başlat"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Calibre kitaplığınızdaki dosyaları içeren klasörü açın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Kitapları bağlanmış cihaza gönder"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Kitapları e-posta veya web yoluyla gönderin. Ayrıca bilgisayarınızdaki klasörlere aygıtlarmış gibi bağlanın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Calibre Kullanıcı Klavuzuna göz at"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Calibre'yi özelleştir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Şu an seçilmiş olana benzer kitapları bul"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Farklı Calibre kitaplıkları arasında geçiş yapın ve onları düzenleyin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Cihazdan Calibre kitaplığınıza kitap kopyalayın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Cihazında bulunan kitapları içeren koleksiyonlarda değişiklik yapın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Cihazdaki kitapları kitaplıktaki kitaplar ile eşleştir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Bir kitaplıktan diğerine kitap kopyalayın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "ePUB veya AZW3 biçimindeki e-kitapları düzenle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Calibre kitaplığınızdaki ePUB veya HTMLZ dosyalarında ufak değişiklikler yapın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Calibre kitaplığında vurgulama modunda arama yaparken önceki veya sonraki eşleşeni bulun"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Kitaplığınızdan rastgele bir kitap seçin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Kitap listesini sıraya sok"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Kitapları geçici olarak işaretle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Mevcut sanal kitaplığı değiştir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Farklı kitap satıcılarından kitap araştırın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Yeni Calibre eklentisi edinin veya mevcut olanları güncelleyin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Görünüm"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Arayüz"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Calibre'nin arayüzünün görünümünü zevkinize göre ayarlayın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Davranış"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Calibre'nin işleyiş şeklini değiştirin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Kendi Sütunlarınızı Ekleyin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Calibre kitap listesine kendi sütunlarınızı ekleyin/çıkarın"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Araç Çubukları & Menüler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Hangisinin içinde neler olacağını belirleyerek Araç Çubukları'nı ve İçerik Menüleri'ni özelleştir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Arama"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Calibre'nin kitap arama yöntemini özelleştir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Girdi Seçenekleri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Dönüştürme"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Her bir format için dönüştürme seçeneklerini düzenleyin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Ortak Seçenekler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Tüm biçimler için ortak olan dönüştürme seçeneklerini belirle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Çıktı Seçenekleri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Her çıktı biçimine özel dönüştürme seçeneklerini belirle"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Kitap Ekleme"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "İçe/Dışa Aktar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Kitaplar eklenirken Calibre'nin dosyalardan nasıl metadata okuyacağını kontrol et"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Kitapları Diske Kaydetme"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Diske Kaydet işleminde Calibre'nin veritabanından diske nasıl aktaracağını kontrol edin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Kitapları Cihazlara Gönderme"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Calibre'nin e-kitap okuyucunuza dosyaları nasıl aktardığını denetleyin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Metaveri Dağıtım Tablosu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Kaydetme/göndermeden önce metaveri alanlarını değiştir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -795,92 +795,92 @@ msgstr "Kaydetme/göndermeden önce meta
 msgid "Template functions"
 msgstr "Şablon İşlevleri"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "İleri Düzey"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Kendi şablon işlevlerini oluştur"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Kitapları e-Posta ile Paylaşma"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Paylaşım"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Kitapları e-Posta ile paylaşmayı ayarlayın. İndirilen haberlerin cihazlarınıza otomatik olarak gönderilmesi için kullanılabilir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Ağ Üzerinden Paylaşma"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Calibre kitaplığınıza internet üzerinden, herhangi bir yerden, herhangi bir aygıttan erişim sağlayacak olan İçerik Sunucusu'nu kurun"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Üstbilgi İndir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Calibre'nin ağ üzerinden e-kitap meta verisini nasıl indireceğini denetleyin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Yoksayılan Cihazlar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Calibre'nin bilgisayara bağlandığında hangi cihazları yoksayacağını kontrol edin."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Eklentiler"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Calibre işlevlerinin farklı noktalarını ekle/kaldır/özelleştir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "İnce Ayarlar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Farklı içeriklerde Calibre'nin nasıl davranacağını ince ayar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Kısayollar"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Calibre tarafından kullanılan klavye kısayolları özelleştir"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -888,7 +888,7 @@ msgstr "Calibre tarafından kullanılan
 msgid "Miscellaneous"
 msgstr "Çeşitli"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Çeşitli ileri düzey ayarlar"
 
@@ -1278,9 +1278,9 @@ msgstr "Veritabanı SQL içine atılıyo
 msgid "Restoring database from SQL"
 msgstr "Veritabanı SQL üzerinden geri yükleniyor"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1306,17 +1306,17 @@ msgstr "Kayıtlı Aramalar"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Evet"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "%s için kapak"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{1} için {0} biçimi"
@@ -1702,14 +1702,14 @@ msgstr "Bu anahtar bu davranışı kapat
 msgid "You must specify some ids or the %s option"
 msgstr "Bazı kimlikleri veya %s seçeneğini belirlemelisiniz"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [seçenekler]\n\nCalibre veritabanındaki kullanılabilir kitapları listele.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1717,7 +1717,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Veritabanındaki kitaplar listelenirken görüntülenecek alanlar. Alanların virgülle ayrılmış bir listesi olmalıdır.\nErişilebilir alanlar: %s\nÖntanımlı: %%default. \"Tümü\" özel alanı tüm alanları seçmek için kullanılabilir. Yukarıdaki tümleşik alanlara ek olarak, *alan_adı şeklinde kişisel alanlara da erişilebilir. Mesela, #onaylama kişisel alanı için şu ismi kullanın: *onaylama"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1725,39 +1725,39 @@ msgid ""
 "Default: {1}"
 msgstr "Sonuçların sıralanacağı alan.\nKullanılabilir alanlar: {0}\nVarsayılan: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Sonuçları artan şekilde sırala"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Sonuçları arama sorgusuna göre süzün. Arama sorgusunun biçimi için lütfen Kullanıcı Kılavuzundaki ilgili belgelendirmeye bakın. Varsayılan olarak süzme işlemi yapılmaz."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Girdideki bir satırın en fazla genişliği. Varsayılanı ekranın boyutunu algılamaktır."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Alanları ayırmak için kullanılan karakter dizisi. Varsayılan olarak boşluk karakteridir."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Tüm dosya yolları için önek. Varsayılan kitaplık dizininin mutlak yoludur."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Gösterilecek en fazla sonuç sayısı. Varsayılan: tümü"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2304,21 +2304,21 @@ msgstr "boş"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Geçersiz mantıksal ifade \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Sanal kitaplık araması tekrarlıdır: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Yinelemeli arama grubu algılandı: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3494,11 +3494,11 @@ msgstr "%s kaldırıldı"
 msgid "All books removed"
 msgstr "Tüm kitapların kaldırılma işlemi bitti"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Adsız cihaz"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3507,12 +3507,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Bilinmeyen MTP aygıtı"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6067,7 +6067,7 @@ msgstr "Notlar"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6360,7 +6360,7 @@ msgid "Producer"
 msgstr "Yapımcı"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6368,7 +6368,7 @@ msgid "Comments"
 msgstr "Açıklamalar"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6408,7 +6408,7 @@ msgid "Tags"
 msgstr "Etiketler"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6438,7 +6438,7 @@ msgid "Timestamp"
 msgstr "Zaman damgası"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8168,13 +8168,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr "HTML TOC yaratma seçenekleri"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8207,31 +8207,31 @@ msgstr "Sayfalandırma bilgisi kullanıl
 msgid "Sidebar"
 msgstr "Yan Çubuk"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9200,7 +9200,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10209,7 +10209,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Yardım"
 
@@ -11468,7 +11468,7 @@ msgid "Errors while adding"
 msgstr "Ekleme sırasında hatalar oluştu"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Yoksay"
 
@@ -11598,8 +11598,8 @@ msgstr "Değiştir"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11733,11 +11733,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "%s yönet"
@@ -11880,7 +11880,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12207,7 +12207,7 @@ msgid "Preset name:"
 msgstr "Hazır ayar adı:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Bir isim vermelisiniz."
 
@@ -12284,7 +12284,7 @@ msgid "Save current catalog settings as
 msgstr "Mevcut katalog ayarlarını hazır ayar olarak kaydet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Kaydet"
 
@@ -12293,10 +12293,10 @@ msgid "Delete current preset"
 msgstr "Geçerli hazır ayarı sil"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Sil"
@@ -12409,8 +12409,8 @@ msgstr "Varsayılanlara döndür"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13596,7 +13596,7 @@ msgid "Ta&gs:"
 msgstr "Et&iket(ler):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13611,8 +13611,8 @@ msgstr "&Seri:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Serilerin listesi. Yeni seri ekleyebilirsiniz."
@@ -14479,7 +14479,7 @@ msgid "Choose color"
 msgstr "Renk seçin"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14820,19 +14820,19 @@ msgid "Edit style transform rules"
 msgstr "Stil dönüştürme kurallarını düzenle"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "&Dışa aktar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Bu kuralları bir dosyaya çıkart"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14906,8 +14906,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14988,7 +14988,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16568,7 +16568,7 @@ msgid "Change case"
 msgstr "Büyük/Küçük Harf Değiştir"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16576,7 +16576,7 @@ msgid "Upper case"
 msgstr "Tamamı Büyük Harf"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16584,7 +16584,7 @@ msgid "Lower case"
 msgstr "Tamamı Küçük Harf"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16592,7 +16592,7 @@ msgid "Swap case"
 msgstr "Büyüklerle Küçükleri Değiştir"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16626,7 +16626,7 @@ msgid "Manage authors"
 msgstr "Yazarları yönet"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Ara:"
@@ -17047,78 +17047,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Çalışıyor"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "%d kitap işleniyor, lütfen bekleyin..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Küçük Harf"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Büyük Harf"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Başlık Alanı"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Karakter eşleşmesi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Düzenli ifade"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Alanı değiştir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Alanın başına ekle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Alana ekle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Pencereyi kapatmadan tüm değişiklikleri hemen uygula. Bu işlem iptal edilemez ve geri alınamaz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Kitap %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Bir tanımlayıcı türü girin"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17126,7 +17126,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>Bu özellikle kitaplığınızı silebilirsiniz.</b> Değişiklikler kalıcıdır. Geri alma fonksiyonu yoktur. Bunu yapmadan önce yedek almanız şiddetle önerilir.<p>Metin alanlarındaki arama ve değiştirme karakter eşleştirme veya düzenli ifadeler kullanır. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17136,7 +17136,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17151,80 +17151,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R ŞABLON HATASI"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Kaynak bileşik bir alan veya bir şablon olduğunda bir hedef belirtmeniz gerekir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Bir hedef tanımlayıcı türü belirlemelisiniz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "\"Arama\" alanına bir arama ifadesi girmelisiniz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Geçersiz tanımlama dizisi. Virgülle ayrılmış bir liste olmalıdır"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Arama/değiştirme geçersiz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Kayıtlı Arama/Değiştirme'yi Sil"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Seçili Kayıtlı Arama/Değiştirme Silinecek. Emin Misiniz?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Aramayı/değiştirmeyi kaydet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Arama/değiştirme adı:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Bu Kayıtlı Arama/Değiştirme zaten mevcut ve üzerine yazılacak. Emin Misiniz?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Üstbilgileri Düzenle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Yazar(lar): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17232,90 +17241,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "Bu her bir seçili kitap için yazarlar alanına dayalı olarak yazar sıralama \nalanının otomatik olarak güncellenmesini sağlar. Eğer yazarları topluca ayarlamak için\nyukarıdaki kontrolü kullanırsanız, bu işaret kutusunun değeri ne olursa olsun\nyazar sıralama alanının güncelleneceğini göz önünde bulundurun."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Yazar Sıralamasını &Otomatik Ayarla"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "B&aşlık ve Kitap Adını Yer Değiştir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Sıralama başlığını mevcut başlığa göre değiştir. Bu başlığa diğer değişiklikler uygulandıktan sonra etkili olacaktır."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Yazar S&ıralaması: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Kitap Adı &Sıralamasını Güncelle"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Bu kitabın yazarlarının nasıl sıralanacağını belirtin. Örneğin Yaşar Kemal ismi Kemal, Yaşar olarak sıralanabilir."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Kapağı &Değiştir"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&Değerlendirme:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "&Öntanımlı Kapak Oluştur"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "Değerlendirmeyi Uygula"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Kapağı Sil"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "&Yayıncı: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Kapak resimlerindeki kenarlıkları ve ek boşlukları otomatik olarak\n algılamayı ve kaldırmayı dene. Bu işlem bezen çok fazla\n şey silebilir, dikkatli kullanın."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Seçildiğinde yayıncı alanı silinir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "Kapağı Kırp (TEHLİKELİ)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "&Yayıncıyı Temizle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "e-Kitap Dosyalarından Getir"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Eti&ket Ekle: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Seçili kitapların tümünün kapağını ilk seçilen\nkitabın kapağıyla aynı yap."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Etiket Düzenleyici'yi Aç"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&İlk Kitabın Kapağını Kullan"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Etiket Kaldır:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Başlığı başlık şeklinde olmaya zorla. Hem bu hem yazarları değiştir işaretliyse,\nbaşlık ve yazar, başlık şekli ayarlanmadan önce değiştirilir"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Kitaplardan kaldırılacak etiketlerin virgülle ayrılmış listesi. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Kitap Adında Büyük/Küçük Harf Değiştir"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Kitaplardan tüm etiketleri kaldırmak için bu kutuyu işaretleyin."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Tarih:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "&Hepsini kaldır"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Seçildiğinde yayıncı alanı silinir"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "Seri:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "&Yayıncıyı Temizle"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "İşaretlendiğinde seri silinecektir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Y&ayın Tarihi:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "&Seriyi Sil"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17323,126 +17327,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "İşaretlenmemişse, kitaplar için seri numarası 1 olarak ayarlanır.\nİşaretliyse, seçili kitaplar otomatik olarak seçtiğiniz sırada\nnumaralandırılır. Yani Kitap A'yı seçtiyseniz ve ardından Kitap B'yi\nKitap A seri numarası 1'e, Kitap B seri numarası 2'ye sahip olur."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "Bu Serideki Kitapları &Otomatik Olarak Numaralandır"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Seriler normalde seri için veri tabanındaki en yüksek numaradan başlayarak\nyeniden numaralandırılır. Bu kutuyu işaretlemek Calibre'ye kutudaki değerden\nbaşlayarak işaretlemesini söyler"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "&Numaralandırmayı Şu Sayı ile Başlat:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "İşaretlendiğinde seri silinecektir"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "&Seriyi Sil"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Varsayılan Kitap Kapağının Nasıl Oluşturulacağını Kontrol Et"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Kapak Oluşturma Ayarları"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Seçilen Tü&m Kitaplar İçin Açıklamaları Ayarla"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Etiket Kaldır:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "&Hepsini kaldır"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Eti&ket Ekle: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Tarih:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Bu kitabın yazarlarının nasıl sıralanacağını belirtin. Örneğin Yaşar Kemal ismi Kemal, Yaşar olarak sıralanabilir."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "Değerlendirmeyi Uygula"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Y&ayın Tarihi:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Yayınlanma Tarihini Sil"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Yazar(lar): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Dil(ler):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "&Yayıncı: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Kitaplardan kaldırılacak etiketlerin virgülle ayrılmış listesi. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Etiket Düzenleyici'yi Aç"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Yazar S&ıralaması: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Calibre'deki üstbilgileri, her bir kitapla ilişkilendirilmiş e-kitap dosyalarındaki üstbilgileri kullanarak ayarlayın. Bunun kapağı değiştirmediğini unutmayın, bunun için aşağıdaki diğer seçeneği kullanın."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "Üstbilgiyi e-Kitap Dosyalarından Getir (Kapaklar Hariç)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "Seri:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Seçilen kitaplar için kaydedilmiş dönüşüm ayarlarını sil.\n\nBu kitapların gelecekteki dönüşümlerinde varsayılan ayarlar kullanılacaktır."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Seçilen kitaplar için kaydedilmiş dönüşüm ayarlarını sil"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17451,153 +17390,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Aynı biçimden aynı biçime dönüştürme yaparken, örn.,\nEPUB'dan EPUB'a, Calibre asıl EPUB'ı ORIGINAL_EPUB\n olarak kaydeder. Bu seçenek Calibre'ye EPUB'ı \n ORIGINAL_EPUB'dan geri yüklemesini söyler. Bir çok\n kitabı toplu dönüştürdüyseniz ve bir şeyler ters gittiyse faydalıdır."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Dönüştürme öncesi ve &asılları geri yükle, eğer kullanılabilirlerse"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Kitaplardan tüm etiketleri kaldırmak için bu kutuyu işaretleyin."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&Değerlendirme:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Başlığı başlık şeklinde olmaya zorla. Hem bu hem yazarları değiştir işaretliyse,\nbaşlık ve yazar, başlık şekli ayarlanmadan önce değiştirilir"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Kitap Adında Büyük/Küçük Harf Değiştir"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Sıralama başlığını mevcut başlığa göre değiştir. Bu başlığa diğer değişiklikler uygulandıktan sonra etkili olacaktır."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Kitap Adı &Sıralamasını Güncelle"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Calibre'deki üstbilgileri, her bir kitapla ilişkilendirilmiş e-kitap dosyalarındaki üstbilgileri kullanarak ayarlayın. Bunun kapağı değiştirmediğini unutmayın, bunun için aşağıdaki diğer seçeneği kullanın."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "Üstbilgiyi e-Kitap Dosyalarından Getir (Kapaklar Hariç)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Kapağı &Değiştir"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "&Öntanımlı Kapak Oluştur"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Kapağı Sil"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Kapak resimlerindeki kenarlıkları ve ek boşlukları otomatik olarak\n algılamayı ve kaldırmayı dene. Bu işlem bezen çok fazla\n şey silebilir, dikkatli kullanın."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "Kapağı Kırp (TEHLİKELİ)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "e-Kitap Dosyalarından Getir"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Seçili kitapların tümünün kapağını ilk seçilen\nkitabın kapağıyla aynı yap."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&İlk Kitabın Kapağını Kullan"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Varsayılan Kitap Kapağının Nasıl Oluşturulacağını Kontrol Et"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Kapak Oluşturma Ayarları"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Seçilen Tü&m Kitaplar İçin Açıklamaları Ayarla"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Temel Üstbilgi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Özel Üstbilgi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "Bul ve Değiştir Yükle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Yüklenecek Kayıtlı Arama/Değiştirme'yi Seçin."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Mevcut Arama/Değiştirmeyi Kaydet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "&Kaydet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "Arama A&lanı:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Aramak istediğiniz alanın adı"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "Arama &Şekli:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Temel metin eşleşmesinin mi gelişmiş düzenli ifade eşleşmesinin mi kullanılacağını seçin"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Tanımlayıc&ı Türü"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "İşletilecek tanımlayıcı türünü seçin"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Şablon:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Arama/değiştirme kaynağı için kullanılacak şablonu girin"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Ne aradığınızı hangi kipi kullandığınıza bağlı olarak düz metin veya düzenli ifade olarak girin"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Aradığınız karakter dizisinin büyük küçük harfe duyarlı olmasını istiyorsanız bu kutuyu işaretleyin. Bu önemli değilse işareti kaldırın"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "Büyük/Küçük Harf Duyarlı"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "İle Değişti&r:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Değiştirme metni. Eşleşen arama metni bu karakter dizisiyle değiştirilecektir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Değiştirmeden Sonra Uygulanacak Fonksiyon:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Eşleşme ve değiştirmenin ardından metnin nasıl işleneceğini belirtin. Karakter kipinde tüm alan işlenir.\nDüzenli ifade kipinde sadece eşleşen metin işlenir."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "&Hedef Alan:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Tüm değiştirmelerin ardından konulacak metnin alanı.\nBoş bırakılırsa kaynak alanı düzenlenebilirse o kullanılır"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "K&ip:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Metnin hedefe nasıl kopyalanması gerektiğini belirtin."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Sonuç öğelerinin tekli değerler halinda bırakılması veya birden çok değere\nayrılması durumunu belirtir. Bu seçenek sonuç alanın birden çok, kaynak alanın\ntek olduğu durumlarda en etkilidir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Sonucu &Böl"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Tanımlayıcı Türü:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17605,48 +17631,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Hangi tanımlayıcı türü üzerinde işlem yapılacağını seçin. Kaynak\n              alanı 'tanımlayıcılar'dan başka bir şey olduğunda tüm tanımlayıcılar\n              kümesini arama/değiştirme sonucuyla değiştirmek istiyorsanız\n              bir * girebilisiniz.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Birden çok değerli alanlar için, göste&r"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "ile Baş&layan Değerler"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "Şununla A&yrılmış Değerlerle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Test sonuçlarını birden çok değerli alanlara gösterirken kullanılır"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Deneme Metni:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Deneme Sonucu:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Deneme Yapın:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "Bul ve Değiştir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Etkinleştirildiğinde, kitap listesi yeniden sıralanır ve düzenleme bittiğinde mevcut arama veya sanal kitaplık yenilenir. Bu işlem büyük kitaplıklarda yavaş olabilir."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Düzenlemeden Sonra Kitap Listesini Yenile"
 
@@ -18102,42 +18128,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "&Öğe: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**Hiç bir şey bulunamadı**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Bir kitap hakkında bilgi almak için kitaplıktaki sütununa tıklayın"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "\"{0}\" &seçilmiş kitaplar: {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18243,87 +18269,87 @@ msgstr "Veritabanının yeniden oluştur
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Yeni bir Kayıtlı Arama Ekle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Kayıtlı Arama Adı"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Ara:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Kayıtlı Arama için bir İsim belirlemelisiniz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Kayıtlı Arama için bir Arama İfadesi belirlemelisiniz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Kayıtlı Aramaları Yönet"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Arama ekle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "&Aramayı düzenle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Geçerli Kayıtlı Arama <b>Kalıcı Olarak Silinecek</b>. Emin misiniz?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19221,48 +19247,64 @@ msgstr "Etiket 1"
 msgid "Tag 2"
 msgstr "Etiket 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Şablon dil rehberi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Şablon fonksiyon rehberi"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "İSTİSNA: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Seçili sütun yok"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Renklendirilecek sütunu belirlemelisiniz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Şablon yok"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Şablon kutusu boş olamaz"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20326,7 +20368,7 @@ msgstr "Bir kısayolu adıyla ara"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Eşleşme yok"
 
@@ -20485,8 +20527,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Notları düzenle"
 
@@ -20503,14 +20545,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22730,60 +22772,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Seçili kuralı yukarı taşı"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Seçili kuralı aşağıya taşı"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22791,57 +22833,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Kapakların yanında &amblemleri göster"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Seçili kural yok"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "%s için kural seçilmedi."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "silme"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Kurallar"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23683,13 +23725,13 @@ msgstr "Altyazı yok"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Alt"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Üst"
 
@@ -23723,7 +23765,7 @@ msgid "If there is enough room"
 msgstr "Yeteri kadar yer varsa"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "İlk harf ile"
 
@@ -24004,7 +24046,7 @@ msgid ""
 msgstr "Izgara görünümünde kapakları gerçeklerken performansı arttırmak için Calibre'nin kullandığı iki farklı bellek vardır. Bunlardan biri sabit diskinizde saklanan ve kapakların küçük resimlerini içeren diskteki bellektir, diğeri ise kapakların işlenmesini sağlayan hafıza belleğidir. Eğer bilgisayarınızda ne kadar kullanıldığını önemsemeyeceğiniz kadar RAM yoksa en iyi sonuç için hafıza belleğini küçük, disk belleğini büyük tutun."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Kapat"
 
@@ -24696,8 +24738,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Burada Calibre'nin diske kaydetme veya aygıta gönderme sırasında kullandığı metadata'yı değiştirebilirsiniz.\n\nBu iletişim penceresini kullanarak bir biçim (veya tüm biçimler) ve bir aygıt (veya tüm aygıtlar) için bir 'santral' tanımlayın. Santral hangi şablonun hangi alana bağlı olduğunu belirtir. Şablon bir değer hesaplamak için kullanılır, ve bu değer bağlı alana atanır.\n\nÇoğunlukla şablonlar bileşik sütunlara basit referanslar içerir, ama bu gerekli değildir. Herhangi bir şablonu kaynak kutusunda kullanarak Calibre'nin her yerinde kullanabilirsiniz.\n\nSantral kullanmanın faydalı yönlerinden biri seri bilgisini içermesi için başlığı değiştirmek olabilir. Başka bir faydası yazar sıralamasını değiştirmek olabilir, mobi kullanıcılarının kindle'nin ihtiyacı olan ';' kullanmaya zorlaması için. Üçüncü de bir dil belirtmek olabilir"
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25265,7 +25307,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25400,7 +25442,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25411,7 +25453,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26924,7 +26966,7 @@ msgid "Books in this category are unrate
 msgstr "Bu bölümdeki kitaplar derecelendirilmemiş"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Arama ifadesi"
 
@@ -27215,7 +27257,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "%s ögesini yeniden adlandır"
@@ -27275,95 +27317,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "%(cat)s kategoriden %(item)s sil"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "%s hariç her şey için ara"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "%s kategorisine alt kategori ekle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "%s kategorisinde kitap ara"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "%s kategorisi haricinde kitap ara"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "%s kategorisini gizle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Kategori ikonunu değiştir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Varsayılanları simgeyi geri yükle"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Alt sınıflandırmaları değiştir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Bölüm"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "İsme göre sıralarken ilk harf kullanılabilir"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28020,7 +28062,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Aşağıdaki kitaplar %s biçimine dönüştürüldü. Tekrar dönüştürmek istiyor musunuz?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28551,7 +28594,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Gözardı Et"
 
@@ -30789,7 +30832,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Yatık</h3> Seçili yazıyı yatık yazı yap"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Altı çizili"
 
@@ -32116,7 +32159,7 @@ msgid "Disabled confirmations restored"
 msgstr "Kapatılmış onaylamalar geri yüklendi"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32743,7 +32786,7 @@ msgid "Export saved searches"
 msgstr "Kayıtlı Aramaları Dışa Aktar"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Dışa aktar"
 
@@ -34617,71 +34660,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35135,7 +35178,7 @@ msgid "E-book viewer"
 msgstr "E-book görüntüleyici"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35211,13 +35254,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35382,10 +35425,10 @@ msgid "< &Back"
 msgstr "< &Geri"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "İptal"
 
@@ -36026,8 +36069,8 @@ msgid "No genres to catalog.\n"
 msgstr "Kataloglanacak tür yok.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "E-kitap seçeneklerinde 'Hariç tutulacak türler' düzenli ifadesini kontrol edin.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36075,8 +36118,8 @@ msgstr "Başlıklar sıralanıyor"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "Kataloglanacak kitap yok.\nE-kitap seçeneklerindeki 'Hariç tutulacak kitaplar' kurallarını kontrol edin.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36552,177 +36595,208 @@ msgstr "Tam arayüz size birçok özelli
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Ne yapmak istiyorsun?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "varsayılan"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Var olan kullanıcı adları:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Kullanıcı adını girin"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "%s için yeni parola girin: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Mutlaka bir şifre girmelisiniz"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Doğrulamak amacıyla %s için yeni parolayı tekrar girin: "
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Parolalar uyuşmuyor"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "%s kullanıcısı başarıyla eklendi!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Yeni bir kullanıcı ekle"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Var olan kullanıcıları düzenle"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Bir kullanıcıyı kaldır"
 
@@ -37130,13 +37204,14 @@ msgid ""
 msgstr "Kaynak kod değiştiğinde sunucuyu otomatik olarak tekrar yükle. Geliştirme için faydalıdır. Kapatma sırasındaki zaman aşımı için küçük bir değer de belirlemelisiniz."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37144,23 +37219,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Kullanıcı tarafından durduruldu"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "Bu konumda bir Calibre kitaplığı yok: %s"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "En az bir Calibre kitaplığı belirlemelisiniz"
 
@@ -37173,7 +37248,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Geçersiz söz dizimi. Aranacak bir isim veya kelime bekleniyor"
 
@@ -37332,128 +37407,128 @@ msgstr "Seçenekler ve eklentiler"
 msgid "File is open in another process"
 msgstr "Dosya başka bir uygulama tarafından kullanılıyor"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "biçim: {0} türü bir tam sayı beklerken {1} aldı"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "biçim: {0} türü bir ondalık beklerken {1} aldı"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: bilinmeyen fonksiyon"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37508,60 +37583,60 @@ msgstr "strlen(a) -- Değişken olarak a
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- x + y'yi döndürür. x veya y sayı olmadığında bir istisna döndürür."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- x - y'yi döndürür. x veya y sayı olmadığında bir istisna döndürür."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- x * y'yi döndürür. x veya y sayı olmadığında bir istisna döndürür."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- x / y'yi döndürür. x veya y sayı olmadığında bir istisna döndürür."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37573,7 +37648,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- x'i şablon olarak değerlendirir. Değerlendirme kendi bağlamında yapılır, yani değişkenler çağıran ve şablon değerlendirme tarafından paylaşılmaz. Çünkü { ve } karakterleri özeldir, { karakteri için [[ ve } karakteri için }} kullanmanız gerekir; otomatik olarak dönüştürülürler. Örneğin, template('[[title_sort]]') {title_sort} şablonunu değerlendirir ve değerini döndürür. Ön ek ve son eklerin (`|önek|sonek` söz dizimi) şablon program kipinde bu fonksiyona bağımsız değişken olarak verilemeyeceğini unutmayın."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37584,13 +37659,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(şablon) -- şablonu, kitap metadata'sı yerine yerel değişkenleri ('atama' yapılanlar) vererek değerlendirir.  Bu, şablon işlemciyi kullanarak yerel değişkenlerle karmaşık sonuçlar oluşturmaya yarar. { ve } karakterleri özel olduğundan } karakteri yerine ]] ve { karakteri yerine [[ kullanmalısınız; otomatik olarak dönüştürülürler. Ön ek ve son eklerin (`|önek|sonek` söz dizimi) şablon program kipinde bu fonksiyona bağımsız değişken olarak verileemeyeceğini unutmayın."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- val değerini id'ye atar, ve val döndürür. id bir tanımlayıcı olmalıdır, ifade değil"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37600,30 +37675,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- değişkenleri standart çıktıya yazdırır. Calibre'yi komut satırından (Calibre-debug -g) başlatmamışsanız çıktı bir kara deliğe gönderilir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(isim) -- isim olarak adlandırılmış metadata alanını döndürür"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(isim) -- isim ile adlandırılmış metadata alanını herhangi bir biçimleme yapmadan döndürür."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(isim, ayraç) -- isim ile adlandırılmış metadata listesini herhangi bir biçimleme veya sıralama uygulamadan ve öğeleri ayraç ile ayırarak döndürür."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37633,7 +37708,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- str'nin start'dan end karakterine kadar aralığını döndürür. str'deki İlk karakter sıfırıncı karakterdir. end eksi bir değerse, sağdak bu kadar karakter anlamına gelir. end sıfırsa, son karakter anlamına gelir. Örneğin, substr('12345', 1, 0) '2345' döndürür, substr('12345', 1, -1) '234' döndürür."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37643,24 +37718,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, örüntü, alan, örüntü, alan, ..., diger_alan) -- switch gibidir, yalnızca bağımsız değişkenler alan (metadata) isimleridir, metin değil. Uygun alanın değeri çekilir ve kullanılır. Bileşik sütunlar alan olduklarından, bu fonksiyonu bir bileşik alanda başka bir bileşik alanın değerini kullanarak kullanabilirsiniz. Bu, değişken kayıt yolları oluştururken oldukça faydalıdır."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "lookup 2 veya tek sayıda bağımsız değişken bekler"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37669,11 +37744,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch tek sayıda bağımsız değişken alır"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37683,19 +37758,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- Bağımsız değişkenlerin uç uca eklenmesiyle oluşan karakter dizisini döndürür. Dönen değer string1'e atanır. `Prefix, string` çiftleri nihai karater dizisi uzunluğu `max` değerini geçmediği sürece değerin sonuna eklenir. string1 max'dan uzun olsa bile String1 döndürülür. İstediğiniz kadar `prefix, string` çifti verebilirsiniz."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max 2 bağımsız değişken daha bekliyor"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max çift sayıda bağımsız değişken bekliyor"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "strcat_max'ın ilk bağımsız değişkeni tamsayı olmalı"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37705,11 +37780,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37721,11 +37796,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37736,14 +37811,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, bulundu_değer, bulunamadı_değer) -- val virgülle ayrılmış tanımlayıcılar listesi olmak üzere, karakter dizisini listedeki tüm değerlerle karşılaştırır. Tanımlayıcı \"tanımlayıcı:değer\" şeklindedir. id parametresi ya \"id\" ya da \"id:regexp\" olmalıdır. Bu id'ye sahip herhangi bir tanımlayıcı varsa ilk durum eşleşir. Düzenli ifade tanımlayıcının değeriyle eşleşirse de ikinci durum eşleşir. Bir eşleşme varsa, bulundu_değer, aksi halde bulunamadı_değer döndür."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37756,20 +37831,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- \"B, A\" biçiminde bir değer verildiğinde, \"A B\" döndür. Bu en çok Soyad Ad şeklindeki isimleri Ad Soyada çevirmede kullanılır. Virgül yoksa, fonksiyon val değerini değiştirmeden döndürür"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, boşsa metin) -- val boş değilse val, aksi halde `boşsa metin` döndürür"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37783,7 +37858,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37791,7 +37866,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, ayraç) -- değeri `ayraç` ile ayrılmış öğeler listesi olarak yorumlar, listedeki öğe sayısını döndürür. Çoğu liste ayraç olarak virgül kullanır, ama yazarlar ampersand kullanır. Örnekler: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37800,14 +37875,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, indis, ayraç) -- değeri `ayraç` ile ayrılmış öğeler listesi olarak yorumla, `indis`inci öğeyi döndür. İlk öğe sıfır numaradır. Son öğe `list_item(-1,ayraç)` ile döndürülebilir. Öğe listede değilse, boş değer döndürülür. Ayraç count fonksiyonundakiyle aynı anlama sahiptir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) -- değeri, öğeler \"id:değer\" olacak şekilde virgülle ayrılmış öğeler olarak değerlendirir. id'nin key'e eşit olduğu çifti bulur, ve karşılık gelen değeri döndürür."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37820,19 +37895,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- Bir noktada kitaplarla bağlantılı olan virgülle ayrılmış biçimler listesi döndürür. Bu listenin doğru olacağının garantisi yoktur, ama muhtemelen doğrudur. Bu fonksiyon şablon program kipinde \"{:'approximate_formats()'}\" ile çağrılabilir. Biçim isimlerinin EPUB gibi hep büyük harfli olduğunu unutmayın. Bu fonksiyon yalnızca grafik arayüzde çalışır. Bu değerleri diske-kaydet veya aygıta-gönder şablonlarında kullanmak istiyorsanız özel bir \"Diğer sütunlardan oluşturulmuş sütun\" yapmalı, fonksiyonu bu sütunun şablonunda, ve bu sütunun değerini kaydet/gönder şablonlarınızda kullanmalısınız"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Bu fonksiyon sadece Grafik Kullanıcı Arabiriminde  kullanılabilir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37842,7 +37917,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37850,7 +37925,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37858,13 +37933,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) -- v sayısını KB, MB, GB, vs. olarak temsil eden karakter dizisi döndür"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37875,7 +37950,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37888,7 +37963,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37905,7 +37980,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, başlangıç_indisi, bitiş_indisi) --Bu fonksiyon tarzlar gibi öğe listelerini ayırmak için kullanılır. Değeri virgülle ayrılmış öğeler listesi olarak yorumlar, her öğe noktayla ayrılmış listedir. Önce noktayla ayrılmış öğeleri bulur, sonra her öğe için `başlangıç_indisi`nden `bitiş_indisi`ne bileşenler çıkarılır, sonra sonuçlar bir araya getirilir ve döndürülür. Noktayla ayrılmış listedeki ilk bileşenin indisi sıfırdır. Bir indis eksi değerdeyse, listenin sonundan saymaya başlar. Özel bir durum olarak, bitiş_indisi sıfır olursa listenin boyutu anlamına gelir. Örnek olarak basit şablon kipinde #genre değeri \"A.B.C\": {#genre:subitems(0,1)} olursa \"A\" döner. {#genre:subitems(0,2)} \"A.B\" döndürür. {#genre:subitems(1,0)} \"B.C\" döndürür. #genre değerinin \"A.B.C, D.E.F\" olduğu varsayılırsa, {#genre:subitems(0,1)} \"A, D\" döndürür. {#genre:subitems(0,2)} \"A.B, D.E\" döndürür"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37928,23 +38003,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, biçim_karakter_dizisi) -- tarih olması gereken val değerini biçim_karakter_dizisi ile biçimler ve karakter dizisi döndürür. Biçimleme kodları şunlardır: d    :sonunda sıfır olmadan gün (1'den 31'e) dd    :sonunda sıfır olan gün (01'den 31'e) ddd  : yerelleştirilmiş gün adı (örn. \"Pazartesi\"den \"Pazar\"a). M    : sonunda sıfır olmadan ay numarası (1'den 12'ye). MM   : sıfırlı ay numarası (01'den 12'ye) MMM  : Yerelleştirilmiş ay ismi (örn. \"Oca\"'dan \"Ara\"ya). MMMM : Yerelleştirilmiş uzun ay ismi (örn \"Ocak\"dan \"Aralık\"a). yy   :yılın iki basamaklı gösterimi (00'dan 99'a). yyyy : dört basamakla yıl gösterimi. h    : sıfırsız saat numarası (0'dan 11'e veya 0'dan 23'e, am/pm durumuna göre) m    : sıfırsız dakika gösterimi (0'dan 59'a) mm   : sıfırlı dakika gösterimi (00'dan 59'a) s    : saniyelerin sıfırsız gösterimi (0'dan 59'a) ss   : saniyelerin sıfırlı gösterimi (00'dan 59'a) ap  : 24 saat yerine 12'lik saat kullan, \"ap\" am veya pm'nin yerelleştirilmiş metnini içerir AO   : 24 saat yerine 12'lik saat kullan, \"AP\" AM veya PM yerine yerelleştirilmiş metni kullanır iso  : zaman ve zaman dilimini içeren tarih. Mevcut olan tek biçim olmalıdır"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37953,7 +38028,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- boyut alanının değerini döndürür. Bu fonksiyon yalnızca grafik arayüzde çalışır. Bu değeri diske-kaydet veya aygıta-gönder şablonlarında kullanmak istiyorsanız, özel bir \"Diğer sütunlardan oluşturulmuş sütun\" yapmalı, fonksiyonu bu sütunun şablonunda kullanmalısınız, ve bu sütunun değerini kaydet/gönder şablonlarınızda kullanmalısınız"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37962,55 +38037,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- ondevice ayarlanmışsa Yes döndürür. Bu fonksiyon yalnızca grafik arayüzde çalışır. Bu değeri diske-kaydet veya aygıta-gönder şablonlarında kullanmak istiyorsanız, özel bir \"Diğer sütunlardan oluşturulmuş sütun\" yapmalı, fonksiyonu bu sütunun şablonunda kullanmalısınız, ve bu sütunun değerini kaydet/gönder şablonlarınızda kullanmalısınız"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- seri sıralama değerini döndürür"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() -- kitabın kapağı varsa Yes döndürür, aksi halde boş karakter dizisi döndürür"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(değer, değer, ...) -- boş olmayan ilk değeri döndürür. Tüm değerler boşsa, boş değer döndürülür. İstediğiniz kadar değer verebilirsiniz."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(değer, değer, ...) -- Herhangi bir değer boş değilse \"1\" karakter dizisini döndürür, aksi halde boş karakter dizisini. Bu fonksiyon test veya first_non_empty ile iyi çalışır. İstediğiniz kadar değer verebilirsiniz."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38019,7 +38094,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38027,7 +38102,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38035,7 +38110,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38043,7 +38118,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, yön, ayraç) -- büyük küçük harf duyarsız sıralamayla sıralanmış listeyi döndürür. Yön sıfırsa, liste artan sırada, aksi halde azalan sırada sıralanır. list öğeleri ve döndürülen listedeki öğeler ayraç ile ayrılır."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38052,7 +38127,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38061,7 +38136,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, ayraç, include_re, opt_replace) -- Ayraç karakteriyle src_list'in öğelere ayrılmasıyla bir liste oluşturulur. Listedeki her öğe için, include_re kuralına uyup uymadığı kontrol edilir. Eşleşiyorsa, döndürülecek listeye eklenir. opt_replace boş karakter dizisi değilse, öğe döndürülecek listeye eklenmeden önce değiştirme yapılır."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38069,14 +38144,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, ayraç, include_re, search_re, grup_1_şablon, ...) -- list_re gibidir, farkı yer değiştirmenin isteğe bağlı olmamasıdır. Döndürülecek listede yer değiştirme yaparken re_group(list_item, search_re, grup_1_şablon, ...) kullanır."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- bugün için bir tarih karakter dizisi döndür. Bu değer format_date veya days_between ile kullanılmak üzere tasarlanmıştır, ama herhangi bir karakter dizisi gibi oynanabilir. Tarih ISO biçimindedir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38084,7 +38159,7 @@ msgid ""
 "empty string."
 msgstr "days_between(tarih1, tarih2) -- tarih1 ve tarih2 arasındaki gün sayısını döndürür. Tarih1 tarih2'den büyükse değer pozitiftir, aksi halde negatif. tarih1 veya tarih2 tarih değillerse, fonksiyon boş karakter dizisi döndürür."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38092,28 +38167,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- lang_codes ile verilen dil kodları için karakter dizisi döndür. localize sıfır ise, karakter dizilerini İngilizce döndürür. Sıfır değilse, karakter dizilerini mevcut yerelin dilinde döndür. Lang_codes virgülle ayrılmış listedir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- lang_strings içinde gönderilen karakter dizileri için dil kodlarını döndür. Karakter dizileri mevcut yerelin dilinde olmalıdır. Lang_strings virgülle ayrılmış listedir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- Mevcut Calibre kitaplığına yoldaki son ismi döndürür. Bu fonksiyon şablon program kipinde \"{:'current_library_name()'}\" ile kullanılabilir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- Mevcut Calibre kitaplığı yolunu döndür. Bu fonksiyon şablon program kipinde \"{:'current_library_path()'}\" ile kullanılabilir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38122,7 +38197,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, önek, sonek) -- Değere biçim, önek ve soneki `{series_index:05.2f| - |- }` gibi bir şablonda olduğu gibi uygular. Örneğin, şu program aşağıdaki şablonla aynı çıktıyı üretir: program: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38131,7 +38206,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38140,7 +38215,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- Bu kitabı içeren kullanıcı kategorilerinin virgülle ayrılmış listesini döndürür. Bu fonksiyon yalnızca grafik arayüzde kullanılabilir. Bu değerleri diske-kaydet veya aygıta-gönder şablonlarında kullanmak istiyorsanız önce \"Diğer sütunlarda özel oluşturulmuş sütun\" yapmalı, fonksiyonu bu sütunun şablonunda kullanmalı, ve bu sütunun değerini kaydet/gönder şablonunuzda kullanmalısınız."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38148,7 +38223,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- kaynak karakter dizisindeki seslerin yaklaşık halleriyle oluşturulmuş latin alfabesinde bir karakter dizisi döndürür. Örneğin, kaynak \"{0}\" ise fonksiyon \"{1}\" döndürür."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38160,7 +38235,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- yazarlar listesi ve yazarların bağlantı değerlerini içeren şu biçimde bir karakter dizisi döndürür yazar1 val_separator yazar1link pair_separator yazar2 val_separator yazar2link vs. Yazar, bağlantı değerinden val_separator karakter dizisi ile ek boşluk olmadan ayrılır. yazar:linkvalue çiftleri pair_separator karakter dizisiyle ek boşluk olmadan ayrılır. Yazar isimleri veya bağlantılarında olmayan ayraç karakter dizileri bulmak size kalmıştır. Bir yazar, yazar bağlantısı boş olsa bile dahil edilir."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38171,7 +38246,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- kitabın yazarları için yazar sıralama değerleri listesi içeren karakter dizisi döndürür. Sıralama yazar metadata'sında olandır (kitaplardaki author_sort'dan farklı). Döndürülen liste yazar sıra 1 val_separator yazar sıra 2 vs. biçimindedir. Bu listedeki yazar sıralama alanları kitabın yazarlarıyla aynı sıradadır. val_separator arasında boşluk isterseniz ayraç karakter dizisine ekleyebilirsiniz."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38179,13 +38254,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38193,7 +38268,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38206,11 +38281,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38218,11 +38293,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38231,7 +38306,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38242,7 +38317,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38252,6 +38327,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38540,29 +38621,29 @@ msgstr "Kaydetmeden Kapat"
 msgid "Close Tab"
 msgstr "Sekmeyi Kapat"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Aramanın sonunda ilave karakter"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ") eksik"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Sorgu ayrıştırılamadı, yineleme sınırına ulaşıldı: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Yinelemeli Kayıtlı Aramalar: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Bilinmeyen Kayıtlı Arama: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Kayıtlı Aramada Bilinmeyen Hata: {0}"
@@ -38925,185 +39006,185 @@ msgstr "Bu düzenli ifadeyle eşleşen b
 msgid "Do not download CSS stylesheets."
 msgstr "CSS stil yüklemeyin"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "TAMAM"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Tümünü Kaydet"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Aç"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Evet"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "&Tümüne Evet"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Hayır"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "&Tümüne Hayır"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Bitirmeden durdur"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Tekrar dene"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Kapat"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Uygula"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Sıfırla"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Öntanımlıları Yeniden Yükle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "R&enk:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Doygunluk:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "Değe&r:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "Kı&rmızı:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "&Yeşil:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "Ma&vi:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "A&lfa kanalı:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "İmleç konumu %1, %2\nİptal etmek için ESC tuşuna basın"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Renk Seç"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Temel renkler"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Özel renkler"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "Özel &Renklere Ekle"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "&Ekran Rengini Seçin"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Yazı Tipi Seç"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Yazı Tipi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "Ya&zı tipi biçemi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Boyut"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Efekler"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "Üstü &çizili"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Örnek"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "Yazma S&istemi"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Sola kaydır"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Yukarıya kaydır"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Aşağıya kaydır"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Sağa kaydır"
 
@@ -39383,8 +39464,8 @@ msgstr "SONY koleksiyonları için yenid
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39432,7 +39513,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Sony koleksiyonları için yeniden adlandırma kurallarını belirtin. Bu ayar yalnızca metadata\nyönetimi otomatik olarak ayarlandığında uygulanabilir. Sony'lerdeki koleksiyonlar\nalanının standart veya özel olmasına göre isimlendirilir. Standart alandan türetilen bir\nkoleksiyon bu alandaki değere göre isimlendirilir. Örneğin, standart 'seriler' sütunu\n'Darkover' değerini içeriyorsa, koleksiyon adı 'Darkover' olur. Özel bir alandan türeyen bir\nkoleksiyon alanın değere eklenmiş haliyle isimlendirilir. Örneğin, 'Benim Serilerim' isimli\nbir özel seri sütunu 'Darkover' ismini içerirse, koleksiyon varsayılan olarak 'Darkover (Benim\nSerilerim)' olarak isimlendirilir. Bu belge özelinde, 'Darkover' değer ve 'Benim Serilerim'\nkategori olarak geçecek. Eğer iki alanın aynı koleksiyon ismini üreten alanları varsa, iki\nkitap da bu koleksiyonda olur.\nBu ayarlar standart ya da özel bir alan için koleksiyonların nasıl isimlendirileceğini belirtmenizi\nsağlar. Standart bir alana tanım eklemek için kullanabilirsiniz, örneğin 'Foo' yerine 'Foo (Etiket)'.\nAyrıca birden çok alanın aynı koleksiyonda çıkması için de kullanabilirsiniz. Örneğin 'seriler', \n'#benim_serilerim_1', ve '#benim_serilerim_2'nin 'bir_deger (Seriler)' isimli koleksiyonda\ngörünmesini sağlayabilir, böylece tüm alanları bir koleksiyon kümesinde birleştirebilirsiniz.\nİlişkili iki ayar vardır. İlki bir metadata alanı için kullanılacak kategori ismini belirler. İkincisi bir\nşablondur, ve değer ve kategorinin koleksiyon ismini oluşturmak için nasıl birleşeceğini\nbelirler. İlk ayarın söz dizimi, sony_collection_renaming_rules, şu şekildedir:\n{'alan_arama_ismi':'kullanılacak_kategori_ismi', 'arama_ismi':'isim', ...}\nİkinci ayar, sony_collection_name_template, bir şablondur. Santraller ve kaydetme şablonlarıyla\naynı şablon dilini kullanır. Bu ayar kategori ve değerin koleksiyon ismini oluşturmak için nasıl\nbirleşeceğini kontrol eder. Kullanılabilir iki alan {category} ve {value} alanlarıdır. {value} alanı asla\nboş olmaz. {category} alanı boş olabilir. Varsayılan önce değerin konulması, ardından parantez\niçinde kategori konmasıdır:\n'{value} {category:|(|)}'\nÖrnekler: İlk üç örnek ikinci ayarın değiştirilmediğini varsayar.\n1: Üç seri sütununun bir koleksiyon kümesi halinde birleştirilmesini istiyorum. Sütun arama isimleri\n'seriler', '#seriler_1' ve '#seriler_2'. Parantez içinde hiçbir şey istemiyorum. Ayar değerinde\nkullanılmasını istediğim değer şu olurdu:\nsony_collection_renaming_rules={'series':'', '#seriler_1':'', '#seriler_2':''}\n2: '(Seriler)' kelimesinin serilerden oluşturulan koleksiyonlarda çıkmasını,ve '(Etiket)' kelimesinin\netiketlerden oluşturulan koleksiyonlarda çıkmasını istiyorum. Kullanılması gereken:\nsony_collection_renaming_rules={'series':'Seriler', 'tags':'Etiket'}\n3: 'series' ve '#benim_serilerim'in birleştirilmesini ve koleksiyon adının sonuna '(Seriler)' eklenmesini\nistiyorum. Yeniden adlandırma kuralı şu olurdu:\nsony_collection_renaming_rules={'series':'Seriler', '#benim_serilerim':'Seriler'}\n4: Örnek 2 ile aynı şekilde, ama kategori ismi parantez içinde değil de değere eklenmiş şekilde, öne\neklenmesini ve kolonla ayrılmasını istiyorum, şunun gibi Series: Darkover. Kategori ismini biçimlendirmek\niçin kullanılan şablonu değiştirmeliyim. Sonuçta şu iki ayar ortaya çıkar:\nsony_collection_renaming_rules={'series':'Seriler', 'tags':'Etiket'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39440,7 +39521,7 @@ msgstr "SONY koleksiyonlarının nasıl
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39455,7 +39536,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Sony koleksiyonlarının nasıl sıralanacağını belirtin. Bu ayar yalnızca metadata\nyönetimi otomatik olarak ayarlandığında uygulanabilir. Hangi metadata'nın\nsıralama için kullanılacağını kategori temelli belirtebilirsiniz. Ayarın biçimi\nkoleksiyonların yapıldığı metadata alanları listesi şeklindedir, sonunda sıralama\ndeğerini içeren alan bulunur.\nÖrnek: Aşağıdaki, pubdate ve etiketlerden inşa edilen koleksiyonların '#mydate'\nözel sütunundanki değere göre sıralanacağını, 'series'den oluşturulan\nkoleksiyonların 'series_index'e göre sıralanacağını, ve tüm diğer koleksiyonların\nbaşlığa göre sıralanacağını belirtir. Eğer bir koleksiyon metadata alanı\nisimlendirilmemişse, seri tabanlı bir koleksiyonsa seri sıralamasına göre, aksi\nhalde başlık sıralamasına göre sıralanır.\n [(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nKöşeli ve normal parantezlerin gerekli olduğuna dikkat edin. Söz dizimi şu\nşekildedir  [ ( [alan listesi], sıralama alanı ) , ( [ alan listesi ] , sıralama alanı ) ]\nVarsayılan: boş (kural yok), yani hiçbir koleksiyon özniteliği isimlendirilmez."
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/tt.po 5.10.0+dfsg-1/translations/calibre/tt.po
--- 5.9.0+dfsg-3/translations/calibre/tt.po	2021-01-06 15:30:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/tt.po	2021-01-20 15:26:25.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6409,7 +6409,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8135,13 +8135,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8174,31 +8174,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9160,7 +9160,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10162,7 +10162,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11414,7 +11414,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11544,8 +11544,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11679,11 +11679,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11826,7 +11826,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12153,7 +12153,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12230,7 +12230,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12239,10 +12239,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12355,8 +12355,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13542,7 +13542,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13557,8 +13557,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14425,7 +14425,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14766,19 +14766,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14852,8 +14852,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14934,7 +14934,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16512,7 +16512,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16520,7 +16520,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16528,7 +16528,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16536,7 +16536,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16570,7 +16570,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -16990,77 +16990,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17068,7 +17068,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17078,7 +17078,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17093,80 +17093,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17174,90 +17183,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17265,281 +17269,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17547,48 +17573,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18044,42 +18070,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18185,87 +18211,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19163,48 +19189,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20263,7 +20305,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20422,8 +20464,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20438,14 +20480,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22658,60 +22700,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22719,57 +22761,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23611,13 +23653,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23651,7 +23693,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23932,7 +23974,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24624,7 +24666,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25193,7 +25235,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25328,7 +25370,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25338,7 +25380,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26850,7 +26892,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27141,7 +27183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27201,95 +27243,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27946,7 +27988,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28476,7 +28519,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30710,7 +30753,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32033,7 +32076,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32660,7 +32703,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34531,68 +34574,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35046,7 +35089,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35122,13 +35165,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35293,10 +35336,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35937,7 +35980,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -35986,7 +36029,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36463,177 +36506,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37040,13 +37114,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37054,23 +37129,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37083,7 +37158,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37242,128 +37317,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37418,60 +37493,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37483,7 +37558,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37494,13 +37569,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37510,30 +37585,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37543,7 +37618,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37553,24 +37628,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37579,11 +37654,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37593,19 +37668,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37615,11 +37690,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37631,11 +37706,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37646,14 +37721,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37666,20 +37741,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37693,7 +37768,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37701,7 +37776,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37710,14 +37785,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37730,19 +37805,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37752,7 +37827,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37760,7 +37835,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37768,13 +37843,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37785,7 +37860,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37798,7 +37873,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37815,7 +37890,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37838,23 +37913,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37863,7 +37938,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37872,55 +37947,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37929,7 +38004,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37937,7 +38012,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37945,7 +38020,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37953,7 +38028,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37962,7 +38037,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37971,7 +38046,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37979,14 +38054,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -37994,7 +38069,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38002,28 +38077,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38032,7 +38107,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38041,7 +38116,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38050,7 +38125,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38058,7 +38133,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38070,7 +38145,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38081,7 +38156,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38089,13 +38164,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38103,7 +38178,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38116,11 +38191,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38128,11 +38203,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38141,7 +38216,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38152,7 +38227,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38162,6 +38237,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38450,29 +38531,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38834,185 +38915,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39292,8 +39373,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39349,7 +39430,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ug.po 5.10.0+dfsg-1/translations/calibre/ug.po
--- 5.9.0+dfsg-3/translations/calibre/ug.po	2021-01-06 15:30:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ug.po	2021-01-20 15:26:58.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "ئەسلى ھالىتى بۇيى
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "ئەسلى ھالىتى بۇيى
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "ئەسلى ھالىتى بۇيى
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "ئەسلى ھالىتى بۇيى
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "ئەسلى ھالىتى بۇيى
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "ئەسلى ھالىتى بۇيى
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "ئىختىيارى"
 msgid "Cannot configure"
 msgstr "ماس كەلمىدى"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "ھۆججەت تىپى"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "مېتا سانلىق مەلۇمات ئوقۇغۇچ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "مېتا سانلىق مەلۇمات يازغۇچ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "كىتاپخانا كاتالوگ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "مايىللىقلار"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "ساقلا"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "ھەجۋىي رەسىم ھۆججىتىدىن مۇقاۋى سۈرئىتىنى ئېلىش"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "كىتاپ مۇندەرىجىسىنى تەھىرىرلەش"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Calibre كىتاپ ئامبىرىدىكى كىتاپلاردىن ئۇقۇش"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "مۇناسىۋەتلىك كىتاپلارنى تېز كۆرسىتىش"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Calibre قايتا قوزغىتىش"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6412,7 +6412,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8142,13 +8142,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8181,31 +8181,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9174,7 +9174,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10183,7 +10183,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11572,8 +11572,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12383,8 +12383,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16542,7 +16542,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16550,7 +16550,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16558,7 +16558,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16566,7 +16566,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16600,7 +16600,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17021,78 +17021,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17100,7 +17100,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17110,7 +17110,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17125,80 +17125,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17206,90 +17215,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17297,281 +17301,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17579,48 +17605,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18076,42 +18102,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18217,87 +18243,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19195,48 +19221,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20300,7 +20342,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20459,8 +20501,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20477,14 +20519,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22704,60 +22746,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22765,57 +22807,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23657,13 +23699,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23697,7 +23739,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23978,7 +24020,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24670,7 +24712,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25239,7 +25281,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25374,7 +25416,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25385,7 +25427,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26898,7 +26940,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27189,7 +27231,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27249,95 +27291,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27994,7 +28036,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28525,7 +28568,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30763,7 +30806,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32090,7 +32133,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32717,7 +32760,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34591,71 +34634,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35109,7 +35152,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35185,13 +35228,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35356,10 +35399,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -36000,7 +36043,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36049,7 +36092,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36526,177 +36569,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37104,13 +37178,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37118,23 +37193,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37147,7 +37222,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37306,128 +37381,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37482,60 +37557,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37547,7 +37622,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37558,13 +37633,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37574,30 +37649,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37607,7 +37682,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37617,24 +37692,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37643,11 +37718,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37657,19 +37732,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37679,11 +37754,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37695,11 +37770,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37710,14 +37785,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37730,20 +37805,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37757,7 +37832,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37765,7 +37840,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37774,14 +37849,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37794,19 +37869,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37816,7 +37891,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37824,7 +37899,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37832,13 +37907,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37849,7 +37924,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37862,7 +37937,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37879,7 +37954,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37902,23 +37977,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37927,7 +38002,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37936,55 +38011,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37993,7 +38068,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38001,7 +38076,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38009,7 +38084,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38017,7 +38092,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38026,7 +38101,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38035,7 +38110,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38043,14 +38118,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38058,7 +38133,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38066,28 +38141,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38096,7 +38171,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38105,7 +38180,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38114,7 +38189,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38122,7 +38197,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38134,7 +38209,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38145,7 +38220,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38153,13 +38228,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38167,7 +38242,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38180,11 +38255,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38192,11 +38267,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38205,7 +38280,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38216,7 +38291,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38226,6 +38301,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38514,29 +38595,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38899,185 +38980,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39357,8 +39438,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39414,7 +39495,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/uk.po 5.10.0+dfsg-1/translations/calibre/uk.po
--- 5.9.0+dfsg-3/translations/calibre/uk.po	2021-01-06 15:29:30.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/uk.po	2021-01-20 15:27:12.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 19:03+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 08:22+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -92,15 +92,15 @@ msgstr "Не робить абсолют
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -121,7 +121,7 @@ msgstr "Не робить абсолют
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -221,16 +221,16 @@ msgstr "Не робить абсолют
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -256,7 +256,7 @@ msgstr "Не робить абсолют
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -288,7 +288,7 @@ msgstr "Не робить абсолют
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -307,7 +307,7 @@ msgstr "Не робить абсолют
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -331,27 +331,27 @@ msgstr "Вигляд"
 msgid "Cannot configure"
 msgstr "Не вдається налаштувати"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Тип файла"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Читання метаданих"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Запис метаданих"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Генератор каталогу"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Поведінка інтерфейсу користувача"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -363,20 +363,20 @@ msgstr "Поведінка інтерф
 msgid "Preferences"
 msgstr "Налаштування"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Сховище"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "Крамниця електронних книг."
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Засіб редагування книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Бібліотеку закрито"
 
@@ -398,372 +398,372 @@ msgstr "Створити архів TXTZ
 msgid "Extract cover from comic files"
 msgstr "Видобути обкладинки з файлів коміксу"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Прочитати метадані з %s файлів"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Прочитати метадані з електронних книг в RAR-архіві"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Прочитати метадані з електронних книг в ZIP-архіві"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Налаштувати метадані в %s файлах"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Вкажіть {0} нижче, щоб додаток записування метаданих EPUB не додавав зображенення обкладинок до файлів EPUB, у яких ще немає наявних зображень обкладинок."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Взяти метадані з %s файлів"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Додати книги до збірки calibre або на під’єднаний пристрій"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Отримати анотації з під’єднаного пристрою Kindle (експериментальне)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Створити каталог книг у вашій бібліотеці calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Перетворити книги у один з різноманітних форматів ел. книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Додати блиску вашим книгам"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "Навігація підсвічуваннями та закладками з усіх книг у бібліотеці"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Редагувати записи змісту ваших книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Вилучити книги з Calibre або під'єднаного пристрою"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Вбудовувати оновлені метадані безпосередньо до файлів електронної книги у вашій бібліотеці calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Редагувати метадані книжок у бібліотеці Сalibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Читати книги з вашої бібліотеки calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Отримати новини з інтернету у форматі електронної книги"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Показати список пов’язаних книжок"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Фільтрувати або перетворити мітки книг у бібліотеці"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Перетворити записи авторів для книг у бібліотеці"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Показати вікно редактора для тестових шаблонів"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "Показати вікно створення та керування шаблонними функціями та збереженими шаблонами"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Експортувати книги з бібліотеки Сalibre на жорсткий диск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Показувати параметри книги на окремій панелі підказки"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Перезапустити Сalibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Відкрити теку, яка містить файли книг, у вашій бібліотеці calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Надіслати книги на під'єднаний пристрій"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Надіслати книжки електронною поштою або інтернетом. Також встановити з’єднання з теками на вашому комп’ютері, неначе вони є пристроями"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Переглянути посібник користувача Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Налаштувати calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Знайти книги, подібні до поточної позначеної"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Перемкнутися між різними бібліотеками calibre і виконати супровід цих бібліотек"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Копіювати книги з пристрою до бібліотеки calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Змінити збірки, у яких зберігатимуться книги на вашому пристрої"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Пошук відповідника книги на пристрої у бібліотеці"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "Показати у бібліотеці calibre книгу, яка відповідає цій книзі"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Скопіювати книги з поточної бібліотеки в іншу"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Редагувати книгу у форматі EPUB або AZW"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "Внести невеличкі зміни до файлів EPUB або HTMLZ у вашій бібліотеці calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Знайти наступний або попередній відповідник під час пошуку у вашій бібліотеці calibre у режимі підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Вибрати випадковим чином книгу із бібліотеки Сalibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Упорядкувати список книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Тимчасове позначення книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Змінити поточну віртуальну бібліотеку"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Шукати книги у різних продавців"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Отримати нові додатки для calibre або оновити наявні"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Вигляд та поведінка"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Зовнішній вигляд"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Налаштуйте зовнішній вигляд Calibre за своїм смаком"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Поведінка"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Змінити спосіб поведінки Calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Додати нетиповий стовпчик"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Додати/Вилучити власні стовпчики у списку книг calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Панелі інструментів і меню"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Налаштувати панель і контекстне меню"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Пошук"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Налаштувати спосіб пошуку книг в calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Вхідні параметри"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Перетворення"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Встановити параметри перетворення окремо для кожного вхідного формату"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Загальні параметри"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Встановити загальні параметри перетворення для всіх форматів"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Вихідні параметри"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Встановити параметри перетворення окремо для кожного вихідного формату"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Додавання книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "Імпортування/Експортування"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Контроль читання метаданих з файлів при додаванні книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Запис книг на диск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Контроль експорту файлів зі своєї бази даних на диску при використанні Зберегти на диск"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Надсилання книг на пристрої"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Керування передаванням файлів на ваш пристрій для читання ел. книг"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Засоби обробки метаданих"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Змініть поля метаданих перед збереженням/надсиланням"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -773,92 +773,92 @@ msgstr "Змініть поля мета
 msgid "Template functions"
 msgstr "Шаблонні функції"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Додатково"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Створити власні шаблонні функції"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Обмін ел. поштою"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Спільний доступ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Налаштування обміну книг електронною поштою. Може використовуватися для автоматичного надсилання новин, завантажених на ваші пристрої"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Обмін мережею"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "Налаштування сервера вмісту, який дасть вам доступ до бібліотеки calibre в будь-якому місці та на будь-якому пристрої, через Інтернет"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Отримання метаданих"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "Керувати способом отримання Calibre метаданих електронних книжок у інтернеті"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Ігноровані пристрої"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Керувати списком з’єднуваних з комп’ютером пристроїв, які calibre має ігнорувати."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Додатки"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Додати/Вилучити/Налаштувати різні частини інтерфейсу calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Коригування"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Досконале налаштування поводження calibre в різних ситуаціях"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Клавіатурні скорочення"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Налаштувати клавіатурні скорочення, використані у calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -866,7 +866,7 @@ msgstr "Налаштувати клав
 msgid "Miscellaneous"
 msgstr "Різне"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Різні додаткові налаштування"
 
@@ -1256,9 +1256,9 @@ msgstr "Створення дампу б
 msgid "Restoring database from SQL"
 msgstr "Відновлюємо базу даних з SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1284,17 +1284,17 @@ msgstr "Збережені резуль
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Так"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Обкладинка %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "Формат {0} {1}"
@@ -1680,14 +1680,14 @@ msgstr "Визначення цього
 msgid "You must specify some ids or the %s option"
 msgstr "Вам слід вказати якісь ідентифікатори або параметр %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [параметри]\n\nПоказати список книг у базі даних calibre.\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1695,7 +1695,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "Поля, які слід показувати у списку книг бази даних. Поля у списку слід відокремлювати комами.\nМожливі поля: %s\nТиповий список: %%default. Особливим значенням «all» можна скористатися для вибору всіх полів. Крім вбудованих полів, назви яких наведено вище, можна скористатися нетиповими полями, доступ до яких здійснюється у форматі *назва_поля, наприклад, для нетипового поля #rating, слід скористатися назвою *rating"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1703,39 +1703,39 @@ msgid ""
 "Default: {1}"
 msgstr "Поле, за яким буде виконано впорядковування результатів.\nМожливі поля: {0}\nТипове значення: {1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "Впорядкувати дані за зростанням"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "Фільтрувати результати за запитом щодо пошуку. Настанови щодо форматування запитів для пошуку наведено у підручнику користувача. Типово не виконується жодного фільтрування."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "Максимальна ширина окремого рядка виведених даних. Типове значення визначається на основі розмірів екрана."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "Рядок, який відокремлюватиме поля. Типовим є пробіл."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "Префікс всіх шляхів до файлів. Типовим є абсолютний шлях до теки бібліотеки."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "Максимальна кількість показаних результатів. Типове значення: всі результати."
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2282,21 +2282,21 @@ msgstr "порожньо"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Некоректний булевий запит «{0}»"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "Цієї віртуальної бібліотеки не існує: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "Пошук віртуальної бібліотеки є рекурсивним: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Виявлено рекурсивну групу запиту щодо пошуку: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr "шаблон пошуку: не вказано роздільник або вказано некоректний роздільник. Коректні роздільники: {}"
@@ -3472,11 +3472,11 @@ msgstr "Вилучено %s"
 msgid "All books removed"
 msgstr "Всі книги вилучено"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "Пристрій без назви"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3485,12 +3485,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "Пристрій {0} не дозволяє встановлювати з’єднання. Розблокуйте екран на {0}, натисніть кнопку «Дозволити» у будь-якому контекстному вікні щодо з’єднання, потім або трохи зачекайте, або перезапустіть calibre. Також можете змінити режим роботи з’єднання USB на {0} на «Media Transfer mode (MTP)» або щось подібне."
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "Невідомий пристрій MTP"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6045,7 +6045,7 @@ msgstr "Нотатки"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6338,7 +6338,7 @@ msgid "Producer"
 msgstr "Виробник (продюсер)"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6346,7 +6346,7 @@ msgid "Comments"
 msgstr "Коментарі"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6386,7 +6386,7 @@ msgid "Tags"
 msgstr "Теґи"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6418,7 +6418,7 @@ msgid "Timestamp"
 msgstr "Мітка часу"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8156,13 +8156,13 @@ msgstr "Оновлено EPUB з вер
 msgid "HTML TOC generation options."
 msgstr "HTML TOC параметри створення."
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "{1} з <em>{0}</em>"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8195,31 +8195,31 @@ msgstr "Створити Adobe \"page-ma
 msgid "Sidebar"
 msgstr "Бічна панель"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "Додавання нижніх і верхніх колонтитулів"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "Додано верхні і нижні колонтитули"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "Оброблено увесь вміст перетворення розмітки"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "Завершено перетворення розмітки"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "Усі HTML перетворено на PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "До списку змісту PDF додано посилання"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "Оновлено метадані у PDF"
 
@@ -9202,7 +9202,7 @@ msgstr "У вашій базі дани
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10225,7 +10225,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Довідка"
 
@@ -11498,7 +11498,7 @@ msgid "Errors while adding"
 msgstr "Помилки під час додавання"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Ігнорувати"
 
@@ -11628,8 +11628,8 @@ msgstr "Змінити"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11763,11 +11763,11 @@ msgid "Search the internet for this book
 msgstr "Шукати цю книгу у інтернеті"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "Керування записом «%s»"
@@ -11910,7 +11910,7 @@ msgstr "Позначений текст"
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12237,7 +12237,7 @@ msgid "Preset name:"
 msgstr "Назва шаблона:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "Вам слід вказати назву."
 
@@ -12314,7 +12314,7 @@ msgid "Save current catalog settings as
 msgstr "Зберегти поточні параметри каталогу як шаблон"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "Зберегти"
 
@@ -12323,10 +12323,10 @@ msgid "Delete current preset"
 msgstr "Вилучити поточний шаблон"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Вилучити"
@@ -12439,8 +12439,8 @@ msgstr "Повернутися до ти
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13626,7 +13626,7 @@ msgid "Ta&gs:"
 msgstr "Мі&тки:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13641,8 +13641,8 @@ msgstr "&Цикл:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Список відомих циклів. Ви можете додати нові цикли."
@@ -14509,7 +14509,7 @@ msgid "Choose color"
 msgstr "Виберіть колір"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14850,19 +14850,19 @@ msgid "Edit style transform rules"
 msgstr "Змінити правила перетворення стилю"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "&Експортувати"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "Експортувати ці правила до файла"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14936,8 +14936,8 @@ msgstr "Спорожнити {}"
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15018,7 +15018,7 @@ msgid ""
 msgstr "Типово нумерування циклу здійснюватиметься від найбільшого номера у базі даних. Позначення цього пункту призведе до використання у calibre початкового номера, вказаного у полі."
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16602,7 +16602,7 @@ msgid "Change case"
 msgstr "Змінити регістр"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16610,7 +16610,7 @@ msgid "Upper case"
 msgstr "Верхній регістр"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16618,7 +16618,7 @@ msgid "Lower case"
 msgstr "Нижній регістр"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16626,7 +16626,7 @@ msgid "Swap case"
 msgstr "Поміняти місцями регістр"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16660,7 +16660,7 @@ msgid "Manage authors"
 msgstr "Керування списком авторів"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "&Шукати:"
@@ -17083,57 +17083,57 @@ msgstr[1] "Приховати ще {} п
 msgstr[2] "Приховати ще {} повідомлень про помилки"
 msgstr[3] "Приховати ще {} повідомлень про помилки"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Працюю"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "Обробляємо декілька книг (%d), будь ласка, зачекайте…"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "Поступ поточного кроку: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "Крок %v з %m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Нижній регістр"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Верхній регістр"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Як в заголовках"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "Символьний збіг"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "Формальний вираз"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "Замінити поле"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "Зробити префіксом поля"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "Зробити суфіксом поля"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "Редагуємо метадані для {} книги"
@@ -17141,22 +17141,22 @@ msgstr[1] "Редагуємо метад
 msgstr[2] "Редагуємо метадані для {} книг"
 msgstr[3] "Редагуємо метадані для {} книги"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "Негайно застосувати всі внесені зміни без закриття діалогового вікна. Таку дію не можна перервати або скасувати."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "Книга %d:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "Вкажіть тип ідентифікатора"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17164,7 +17164,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>У разі використання цієї можливості ви можете завдати непоправної шкоди вашій бібліотеці.</b> Внесені зміни не можна буде скасувати. Можливості скасування просто не передбачено. До виконання будь-яких дій вам варто створити резервну копію вашої бібліотеки.<p>Пошук і заміну у текстових полях буде виконано з використанням відповідності символів або формальних виразів. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17174,7 +17174,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "У режимі звичайних символів програма виконуватиме у полі пошук звичайного набору символів, введених користувачем у поле пошуку. Всюди, де цей набір буде знайдено у вказаному полі, його буде замінено на вказаний текстовий фрагмент заміни. Після завершення заміни регістр символів зміненого фрагмента тексту може бути виправлено на великі або малі, програма може зробити великими лише перші літери кожного слова. Якщо буде позначено пункт врахування регістру, регістр символів для пошуку має точно збігатися з регістром символів знайденого тексту. Якщо пункт не буде позначено, пошук відбуватиметься без врахування регістру."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17189,80 +17189,89 @@ msgid ""
 "function."
 msgstr "У режимі формальних виразів програма виконуватиме пошук за довільним визначеним користувачем формальним виразом, сумісним з синтаксисом python. У фрагменті тексту для заміни можна використовувати зворотні посилання на вирази у дужках, визначені у фрагменті тексту для пошуку. Фрагменти тексту не фіксуватимуться, тому у одному рядку може бути встановлено відповідність і виконано заміну декілька разів. Функції зміни тексту (наприклад lower-case) застосовуватимуться лише до фрагментів тексту, для яких буде встановлено відповідність, а не до цілого вмісту поля. Вміст поля призначення визначає поле, з яким має бути пов’язано результат після встановлення відповідності і виконання заміни. Текст у полі можна замінити або дописати до нього на початку або наприкінці фрагмент тексту, для якого буде встановлено відповідність. Докладніше про формальні вирази python та функцію «sub» можна дізнатися з <a href=\"https://docs.python.org/library/re.html\">цієї довідкової сторінки</a>."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "ПОМИЛКА У ШАБЛОНІ ПОШУКУ/ЗАМІНИ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "Вам слід вказати призначення, якщо джерелом є складене поле або шаблон"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "Значення замінника для стовпчика оцінки має бути порожнім або цілим числом від 0 до 10"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "Вам слід вказати тип ідентифікатора призначення"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "Вам слід вказати вираз для пошуку у полі «Шукати»"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "Некоректний рядок ідентифікатора. Ідентифікатором має бути список відокремлених комами записів пар рядків, відокремлених двокрапками."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "Пошук/Заміна є некоректним"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "Пошук/Заміна є некоректним: %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr "Стискання обкладинок"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr "Обкладинки стиснуто на {percent:.1%} із загального розміру {old} до розміру {new}."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "Вилучити збережений пошук/заміну"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "Позначений пошук/заміну буде вилучено. Ви впевнені у вилученні?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "Зберегти пошук/заміну"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "Назва пошуку/заміни:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "Запис пошуку або заміни з такою назвою вже існує, його буде перезаписано. Ви справді цього бажаєте?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "Редагувати мета інформацію"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "З&астосувати дату"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "&Автори: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17270,90 +17279,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "За допомогою цього пункту можна наказати програмі\n автоматично оновлювати вміст поля упорядковування\n за автором на основі вмісту поля авторів для кожної\n позначеної книги. Зауважте, що якщо ви скористаєтеся\n засобом керування, розташованим вище, для пакетного\n встановлення авторів, вміст поля упорядковування за автором\n буде оновлено без врахування того, чи було позначено\n цей пункт."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "Ав&томатично встановлювати впорядкування авторів"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "По&міняти місцями автора і заголовок"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "Оновити впорядкування заголовка на основі поточного заголовка. Цю дію буде виконано лише після внесення інших змін до заголовка."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Впо&рядкування авторів: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "Оновити в&порядковування за заголовками"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "Вкажіть спосіб впорядковування запису авторів цієї книги. Приклад: запис «Чарлз Діккенс» буде впорядковано так: «Діккенс, Чарлз»."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Змінити &обкладинку"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "Оцінка:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "С&творити типову обкладинку"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "З&астосувати оцінку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "&Вилучити обкладинку"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "Видавець: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "Спробувати автоматично визначити і вилучити поля та зайві області\n на краях зображень обкладинок. Іноді може бути обрізано надто\n багато, тому з цією можливістю слід бути обережними."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Якщо позначено, поле видавця буде спорожнено"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "&Обрізати обкладинку (НЕБЕЗПЕЧНО)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Ви&лучити дані щодо видавця"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "Встановити з файлів &електронних книг"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "&Додати мітки: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "Зробити зображення обкладинок для усіх позначених книг тими самими,\nщо і зображення обкладинки першої з позначених книг."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "Відкрити редактор міток"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "&Клонувати обкладинки"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "&Вилучити мітки:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "Примусово визначити для заголовка використання великих літер. Якщо позначено цей пункт і пункт зміни порядку у з записах авторів,\nпорядок у записах заголовків та авторів буде змінено до зміни регістру символів у заголовку."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "Список міток, відокремлених комами, які слід вилучити з книг. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "Змінити &регістр літер заголовка на:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "Позначте цей пункт, щоб вилучити всі мітки з книг."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "&Дата:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "Вилучити &всі"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Якщо позначено, поле видавця буде спорожнено"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "&Цикл:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Ви&лучити дані щодо видавця"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "Якщо позначено, цикли буде спорожнено"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "&Опубліковано:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "С&порожнити цикли"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17361,126 +17365,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "Якщо не позначено, номер у циклі для всіх книг буде встановлено у значення 1.\nЯкщо позначено, програма автоматично виконає нумерацію позначених книг за\nпорядком їхнього позначення. Отже, якщо ви позначили книгу A, а потім книгу B,\nкнига A матиме номер у циклії 1, а книга B — номер 2."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "&Автоматично нумерувати книги у цьому циклі"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "Типово нумерування циклу здійснюватиметься від найбільшого номера у\nбазі даних. Позначення цього пункту призведе до використання у calibre\nпочаткового номера, вказаного у полі."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "Зробити, щоб &числа починалися з:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "Якщо позначено, цикли буде спорожнено"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "С&порожнити цикли"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "Керування створенням типових зображень обкладинок"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "Налаштувати с&творення обкладинок"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "Визначити &коментарі для усіх позначених книг"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "&Вилучити мітки:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "Вилучити &всі"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "&Додати мітки: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "&Дата:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "Вкажіть спосіб впорядковування запису авторів цієї книги. Приклад: запис «Чарлз Діккенс» буде впорядковано так: «Діккенс, Чарлз»."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "З&астосувати дату"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "З&астосувати оцінку"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "&Опубліковано:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "Вилучити дату видання"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "&Автори: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "&Мови:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "Видавець: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "Список міток, відокремлених комами, які слід вилучити з книг. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "Відкрити редактор міток"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Впо&рядкування авторів: "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "Отримати метадані calibre з метаданих файлів електронних книг, пов'язаних із кожною книгою. Зауважте, що таким чином не можна змінити зображення обкладинки, для якого передбачено окремий пункт нижче."
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "&Метадані (окрім обкладинки) з файлів електронної книги"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "&Цикл:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "Вилучити збережені параметри перетворення для позначених книг.\n\nДля наступних перетворень цих книг буде використано типові параметри."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "Вилучити з&бережені параметри перетворення для позначених книг"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17489,153 +17428,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "Під час виконання перетворення зі збереженням формату,\nнаприклад з EPUB у EPUB, calibre зберігає початковий файл EPUB\n як ORIGINAL_EPUB. За допомогою цього параметра можна наказати\n calibre відновити EPUB з ORIGINAL_EPUB. Може знадобитися у\n разі невдалого пакетного перетворення багатьох книг одразу."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "Відновити &оригінали до перетворення, якщо можна"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "Позначте цей пункт, щоб вилучити всі мітки з книг."
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "Оцінка:"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "Примусово визначити для заголовка використання великих літер. Якщо позначено цей пункт і пункт зміни порядку у з записах авторів,\nпорядок у записах заголовків та авторів буде змінено до зміни регістру символів у заголовку."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "Змінити &регістр літер заголовка на:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "Оновити впорядкування заголовка на основі поточного заголовка. Цю дію буде виконано лише після внесення інших змін до заголовка."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "Оновити в&порядковування за заголовками"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "Отримати метадані calibre з метаданих файлів електронних книг, пов'язаних із кожною книгою. Зауважте, що таким чином не можна змінити зображення обкладинки, для якого передбачено окремий пункт нижче."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "&Метадані (окрім обкладинки) з файлів електронної книги"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Змінити &обкладинку"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "С&творити типову обкладинку"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "&Вилучити обкладинку"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "Спробувати автоматично визначити і вилучити поля та зайві області\n на краях зображень обкладинок. Іноді може бути обрізано надто\n багато, тому з цією можливістю слід бути обережними."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "&Обрізати обкладинку (НЕБЕЗПЕЧНО)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "Встановити з файлів &електронних книг"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "Зробити зображення обкладинок для усіх позначених книг тими самими,\nщо і зображення обкладинки першої з позначених книг."
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "&Клонувати обкладинки"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr "<p>Стиснути зображення обкладинок. Якщо встановлено якість 100 — стискання без втрат; інакше — стискання із втратою якості"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr "Ст&инути зображення обкладинок:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr "<p>Якість стискання зображень обкладинок. Якщо встановлено якість 100 — стискання без втрат; інакше — стискання із втратою якості"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "Керування створенням типових зображень обкладинок"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "Налаштувати с&творення обкладинок"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "Визначити &коментарі для усіх позначених книг"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "&Базові метадані"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "&Нетипові метадані"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "Завантажити по&шук/заміну:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "Виберіть збережені параметри пошуку або заміни."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "Зберегти поточні параметри пошуку або заміни"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "Збе&регти"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "П&оле пошуку:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "Назва поля, пошук у якому слід виконати"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "&Режим пошуку:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "Виберіть, використовувати встановлення базової відповідності за текстом чи відповідності за формальним виразом."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "Тип &ідентифікатора:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "Виберіть, який тип ідентифікаторів слід обробити"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "&Шаблон:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "Вкажіть шаблон, який слід використовувати як джерело для пошуку і заміни"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "Вкажіть ключові слова пошуку у форматі звичайного тексту або у форматі формального виразу, залежно від режиму"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "Позначте цей пункт, якщо рядок пошуку має відповідати тексту повністю, з врахуванням регістру літер. Зніміть позначку, якщо регістр символів не має значення."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "З ура&хуванням регістру"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "&Замінити на:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "Текст заміни. Знайдені фрагменти тексту буде замінено цим фрагментом тексту."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "&Застосувати функцію після заміни:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "Визначити спосіб обробки фрагментів тексту після встановлення відповідності і заміни. У режимі символів, буде оброблено все поле.\nУ режимі формального виразу оброблятиметься лише фрагмент тексту зі встановленою відповідністю."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "По&ле призначення:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "Поле, до якого буде вставлено текст після виконання всіх замін.\nЯкщо поля не вказано, буде використано початкове поле, якщо воно придатне до редагування."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "Ре&жим:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "Вкажіть, у який спосіб текст буде скопійовано до призначення."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "Визначає, слід розділяти пункти результатів на декілька значень чи\nзализати результати єдиними значеннями. Найкращого ефекту можна досягти, якщо поле\nджерела містить одне значення, а поле призначення містить декілька значень."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "Роз&ділити результат"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "Тип ідентифікатора:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17643,48 +17669,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>Виберіть тип ідентифікатор для роботи. Якщо у полі джерела міститься\n              запис, відмінний від «identifiers», ви можете вказати\n              «*», якщо хочете замінити весь набір ідентифікаторів на результат\n              виконання дії з пошуку/заміни.</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "Для полів з декількома значеннями, по&казати"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "зна&чення, які починаються з"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "зі значеннями, відо&кремленими"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "Використовується під час показу результатів тестування для відокремлення значень полів з декількома значеннями"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "Текст для тестування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "Результат тестування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "Ваш &тест:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "П&ошук з заміною"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "Якщо позначено, після завершення редагування список книг\nбуде перевпорядковано, а всі наявні пошуки або віртуальні\nбібліотеки буде оновлено. У великих бібліотеках виконання\nцієї дії може бути доволі тривалим."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "&Оновлювати список книг після редагування"
 
@@ -18140,42 +18166,42 @@ msgstr "Відкрити книгу у 
 msgid "&Item: {0} ({1})"
 msgstr "&Запис: {0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "Натисніть, щоб було показано лише книги із цим записом. Двічі клацніть для пошуку цього запису на панелі навігатора мітками"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "** Не знайдено жодного об’єкта **"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "Натисніть стовпчик на панелі бібліотеки, щоб переглянути інформацію для цієї книги."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "&Книги з вибраним записом «{0}»: {1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr "Двічі клацніть на пункті книги, щоб змінити позначення на панелі перегляду бібліотеки або змінити стовпчик, показаний на лівій панелі. Комбінаціями Shift-клацання та Ctrl-клацання можна скористатися для редагування метаданих книги. Це також змінити позначену книгу."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "Під час заповнення таблиці сталися якісь помилки"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "Швидкий перегляд: книги немає на панелі перегляду бібліотеки"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18281,87 +18307,87 @@ msgstr "Не вдалося віднов
 msgid "Failed to repair library"
 msgstr "Не вдалося виправити бібліотеку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "Додати новий запис збереженого пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "Тут ви можете створити для часто використовуваних критеріїв пошуку <i>Збережений пошук</i>. Збережений запис можна буде бачити у списку <i>Збережені пошуки</i> на панелі перегляду міток. Назва запису збігатиметься із вказаною вами у цьому вікні."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "Назва збереженого пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "&Шукати:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "Вираз для пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "Немає назви пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "Вам слід вказати назву збереженого пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "Немає виразу для пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "Вам слід вказати вираз для пошуку збереженого пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "Некоректний збережений пошук"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "Керування збереженими пошуками"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "&Додати критерії пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "Ви&лучити пошук"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "З&мінити критерії пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "Поточний збережений пошук буде <b>остаточно вилучено</b>. Ви впевнені?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "Змініть назву і/або вираз нижче."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "Редагувати збережений пошук"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "Запис збереженого пошуку із назвою {} вже існує. Виберіть іншу назву."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "Вираз для пошуку"
 
@@ -19259,48 +19285,64 @@ msgstr "Мітка 1"
 msgid "Tag 2"
 msgstr "Мітка 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "Настанови з мови шаблонів"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "Посилання на функцію шаблону"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "Вибір піктограми"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "ВИКЛЮЧЕННЯ: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
-msgstr "Шаблонна функція мовою Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr "Вбудована шаблонна функція"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr "Вбудована функція"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr "Визначена користувачем шаблонна функція Python"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr "Функція користувача"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr "Збережений шаблон"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr "Збережений визначений користувачем шаблон"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "Не вибрано стовпчика"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "Вам слід вказати стовпчик для розфарбовування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "Шаблон не задано"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "Поле шаблону не може бути порожнім"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr "Шаблон загального режиму програми"
 
@@ -20374,7 +20416,7 @@ msgstr "Шукати клавіатур
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "Немає відповідників"
 
@@ -20533,8 +20575,8 @@ msgid "Show in calibre"
 msgstr "Показати у calibre"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "Редагувати нотатки"
 
@@ -20555,14 +20597,14 @@ msgstr[2] "Вилучити {} позн
 msgstr[3] "Вилучити {} позначений запис"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "Розгорнути все"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "Згорнути все"
 
@@ -22796,60 +22838,60 @@ msgstr "<li>Якщо значення с
 msgid "value: "
 msgstr "значення:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "&Додати правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "&Вилучити правила"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "Пересунути вибране правило вище"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "Пересунути вибране правило нижче"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "Додати роз&ширене правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr "Д&ублювати правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr "Перетворити на &розширене правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr "Відкрити каталог піктограм"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "Імпортувати правила з файла"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Ви можете керувати кольором стовпчиків у списку книг за допомогою створення «правил», які повідомлятимуть calibre про те, яким кольором слід користуватися. Натисніть кнопку «Додати правило», розташовану нижче, щоб розпочати створення правила.<p>Ви можете <b>змінити вже створене правило</b> подвійним клацанням на його пункті."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "Ви можете додати піктограми до стовпчиків у списку книг, якщо створите «правила», за якими calibre використовуватиме ці піктограми. Розпочати створення правила можна натисканням кнопки «Додати правило», розташованої нижче.<p><b>Змінити вже створене правило</b> можна подвійним клацанням лівою кнопкою миші на відповідному пункті у списку."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22857,57 +22899,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "Ви можете додати емблеми (невеличкі піктограми), які буде показано збоку на зображенні обкладинки у таблиці обкладинок, якщо створите «правила», за якими calibre використовуватиме ці піктограми. Розпочати створення правила можна натисканням кнопки «Додати правило», розташованої нижче.<p><b>Змінити вже створене правило</b> можна подвійним клацанням лівою кнопкою миші на відповідному пункті у списку."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "Показувати &емблеми поряд з обкладинками"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "Якщо позначено, ви можете наказати calibre показувати вибрані вами піктограми поряд із зображеннями обкладинок у таблиці обкладинок, відповідно до метаданих книги."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr "Виберіть одне правило"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr "Вам слід позначити лише одне правило."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "Не вибрано жодного правила"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "Не вибрано жодного правила для %s."
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "вилучення"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "Виберіть файл для експортування даних"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "Правила"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "Виберіть файл для імпортування даних"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "Не знайдено чинних правил"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "У {} не знайдено чинних правил."
 
@@ -23749,13 +23791,13 @@ msgstr "Немає підзаголов
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Внизу"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Вгорі"
 
@@ -23789,7 +23831,7 @@ msgid "If there is enough room"
 msgstr "Якщо достатньо місця"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "За першою літерою"
 
@@ -24070,7 +24112,7 @@ msgid ""
 msgstr "Передбачено два типи кешу, які використовуються calibre для покращення швидкодії під час обробки обкладинок у таблиці книг. Дисковий кеш зберігається на жорсткому диску вашого комп’ютера, у ньому містяться мініатюри зображень обкладинок. Кеш у оперативній пам’яті використовується програмою для запобігання блиманню під час гортання таблиці книг. Найкращих результатів можна досягти, використовуючи малий кеш у пам’яті і великий кеш на диску. Втім, якщо на вашому комп’ютері багато оперативної пам’яті, ви можете використати її збільшивши розміри кешу у пам’яті (це дещо пришвидшить гортання таблиць)."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "Вимкнути"
 
@@ -24762,8 +24804,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "Тут ви можете вказати метадані, які calibre використовуватиме для оновлення даних книги під час збереження її на диску або надсилання на пристрій.\n\nСкористайтеся цим діалоговим вікно для визначення «засобу обробки» окремого формату (або всіх форматів) та пристрою (або всіх пристроїв). Засіб обробки визначає взаємозв’язок між шаблонами і полями. Шаблон використовується для обчислення значення, а значення пов’язується з відповідним полем.\n\nЧасто шаблони будуть містити прості посилання на складені стовпчики, але не обов’язково. У полі джерела ви можете скористатися будь-яким шаблоном, яким ви можете скористатися у інших частинах calibre.\n\nОдним з можливих використань засобів обробки є зміна назви таким чином, щоб ця назва містила дані щодо циклу. Іншим може бути зміна впорядкування записів авторів тобто те, що потрібно користувачам формату mobi для примусового використання у записах «;», потрібного для kindle. Третім можливим застосуванням є визначення мови."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr "Тут ви можете вказати метадані, які calibre використовуватиме для оновлення даних книги під час збереження її на диску або надсилання на пристрій.\n\nСкористайтеся цим діалоговим вікно для визначення «засобу обробки» окремого формату (або всіх форматів) та пристрою (або всіх пристроїв). Засіб обробки визначає взаємозв’язок між шаблонами і полями. Шаблон використовується для обчислення значення, а значення пов’язується з відповідним полем.\n\nЧасто шаблони будуть містити прості посилання на складені стовпчики, але не обов’язково. У полі джерела ви можете скористатися будь-яким шаблоном, яким ви можете скористатися у інших частинах calibre.\n\nОдним з можливих використань засобів обробки є зміна назви таким чином, щоб ця назва містила дані щодо циклу. Іншим може бути зміна впорядкування записів авторів тобто те, що потрібно користувачам формату MOBI для примусового використання у записах «;», потрібного для kindle. Третім можливим застосуванням є визначення мови."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25331,7 +25373,7 @@ msgid ""
 msgstr "Вимога надання імені користувача і пароля запобігає доступу до вашої бібліотеки calibre з боку сторонніх осіб. Також ім’я користувача і пароль потрібні для внесення змін до бібліотеки та синхронізації даних щодо позиції читання та анотацій."
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "Змінити пароль до {}"
 
@@ -25466,7 +25508,7 @@ msgid "Change &password"
 msgstr "Змінити &пароль"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{} зараз має доступ до бібліотек із назвами: {}"
@@ -25479,7 +25521,7 @@ msgid "Change the allowed libraries"
 msgstr "Змінити дозволені бібліотеки"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} зараз не має доступу до бібліотек із назвами: {}"
@@ -26994,7 +27036,7 @@ msgid "Books in this category are unrate
 msgstr "Книги у цій категорії не мають оцінок"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "Вираз для пошуку:"
 
@@ -27285,7 +27327,7 @@ msgstr "Перейменувати %s у
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "Перейменувати %s"
@@ -27345,95 +27387,95 @@ msgstr "Вилучити збереже
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "Вилучити %(item)s з категорії %(cat)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr "Шукати %s і його дочірні записи"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "Шукати все, окрім %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr "Знайти будь-що, окрім %s і його дочірніх записів"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "Шукати за збереженим виразом для пошуку"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "Додати підкатегорію до %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "Вилучити категорію користувача %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "Шукати книги у категорії %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "Шукати книги поза категоріями %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr "Редагувати дозволені значення для %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "Сховати категорію %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "Змінити піктограму категорії"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "Відновити типову піктограму"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "Керування категоріями користувача"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "Змінити схему підкатегорій"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "Поділ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "Першу літеру можна використовувати лише під час впорядкування за іменами"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr "Розгорнути або згорнути"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr "Розгорнути {0}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr "Розгорнути запис {0} і його дочірні записи"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr "Згорнути {0}"
@@ -28090,7 +28132,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "Книги з наведеного нижче списку вже було перетворено у формат %s. Хочете виконати повторне перетворення?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr "Не вдалося знайти у вашій системі speech-dispatcher. Будь ласка, встановіть відповідний пакунок."
 
@@ -28623,7 +28666,7 @@ msgid ""
 msgstr "Коли завершите редагування {0}, натисніть кнопку «Імпортувати», щоб оновити файл у книзі, або кнопку «Відкинути», щоб відкинути усі внесені зміни."
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Відхилити"
 
@@ -30869,7 +30912,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>Курсив</h3>Зробити стиль позначеного тексту курсивним"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "&Підкреслення"
 
@@ -32204,7 +32247,7 @@ msgid "Disabled confirmations restored"
 msgstr "Вимкнені підтвердження відновлено"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "Процес обробки завершив роботу аварійно"
 
@@ -32831,7 +32874,7 @@ msgid "Export saved searches"
 msgstr "Експортувати збережені пошуки"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "Експортувати"
 
@@ -34711,16 +34754,16 @@ msgstr "Підсвічування calib
 msgid "highlights"
 msgstr "підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "Змінити це підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr "Редагувати нотатки для цього підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] "Вилучити позначене підсвічування"
@@ -34728,7 +34771,7 @@ msgstr[1] "Вилучити познач
 msgstr[2] "Вилучити позначені підсвічування"
 msgstr[3] "Вилучити позначені підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
@@ -34737,39 +34780,39 @@ msgstr[1] "Розділи змісту:"
 msgstr[2] "Розділи змісту:"
 msgstr[3] "Розділ змісту:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "Двічі клацніть для переходу до запису"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "Змінити"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "Змінити позначене підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "Вилучити позначені підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "Експортувати усі підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "Немає підсвічувань, які відповідають критерію пошуку: {}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "Немає позначеного підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "Зараз не позначено жодного підсвічування"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] "Ви справді хочете вилучити це підсвічування остаточно?"
@@ -34777,11 +34820,11 @@ msgstr[1] "Ви справді хоче
 msgstr[2] "Ви справді хочете вилучити усі {} підсвічування остаточно?"
 msgstr[3] "Ви справді хочете вилучити {} підсвічування остаточно?"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "Немає підсвічувань"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "У цій книзі немає підсвічувань для експортування"
 
@@ -35235,7 +35278,7 @@ msgid "E-book viewer"
 msgstr "Переглядач книг"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "Гортати сюди"
 
@@ -35311,13 +35354,13 @@ msgstr "Не вдалося завант
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "Не вдалося відкрити книгу {0}. Натисніть кнопку «Показати подробиці», щоб дізнатися більше."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Процес обробки у WebEngine Qt завершив роботу в аварійному режимі. Вам слід перезапустити засіб перегляду книг."
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "Виберіть зображення тла"
 
@@ -35482,10 +35525,10 @@ msgid "< &Back"
 msgstr "< &Назад"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Скасувати"
 
@@ -36126,7 +36169,7 @@ msgid "No genres to catalog.\n"
 msgstr "У каталозі не виявлено жанрів.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr "Спробуйте змінити формальний вираз «Виключені книги» у параметрах книг.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36175,7 +36218,7 @@ msgstr "Впорядковуємо на
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr "У каталозі не виявлено книг.\nСпробуйте змінити правила «Виключені книги» у параметрах книг.\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36652,177 +36695,208 @@ msgstr "Повноцінний інте
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0} не є коректною IP-адресою або мережею. Помилка: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr "користувач [пароль]"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr "Надати цьому користувачу доступ лише до читання"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr "слід вказати користувача"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr "користувач"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr "Невідома команда: {}"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr "Керування обліковими записами користувачів на сервері calibre. Доступні команди:"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr "Скористайтеся командою {} для отримання довідки щодо окремих команд"
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "Що слід зробити?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "типовий"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "Нічого не вибрано, виходимо…"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s не є коректним варіантом, повторіть спробу"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "Наявні записи користувачів:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "Немає записів користувачів. Вам слід спочатку додати такий запис."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "Запису користувача %s не існує"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "Введіть ім’я користувача"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "Введіть новий пароль %s:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Не можна використовувати порожні паролі"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "Ще раз введіть новий пароль %s для перевірки:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "Паролі не збігаються"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "Запис користувача %s додано!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "Ви справді хочете вилучити запис користувача %s?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "Запис користувача %s вилучено!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "Пароль %s змінено!"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "Поточним паролем для {0} є такий: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "Дозволити {} вносити зміни (тобто надати права запису)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "Заборонити {} вносити зміни (тобто відкликати доступ до запису)"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} має такі додаткові обмеження на рівні окремих бібліотек:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} має додаткові обмеження на рівні бібліотеки"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "Дозволити доступ до усіх бібліотек"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "Дозволити доступ лише до вказаних бібліотек"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "Дозволити доступ до усіх бібліотек, окрім вказаних"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "Змінити права доступу до окремих бібліотек"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "Вкажіть назву бібліотеки:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "Вкажіть вираз для пошуку. Доступ буде надано лише до книг, параметри яких відповідатимуть вказаному виразу. Порожнє значення виразу надасть доступ до усіх книг."
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "Інші обмеження?"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "Вкажіть список назв бібліотек, відокремлених комами:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "Дозволено доступ лише до таких бібліотек: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "Дозволено доступ до усіх бібліотек, окрім таких: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "Показати пароль для {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "Змінити права читання або запису для {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "Змінити бібліотеки, доступ до яких має {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} має доступ {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "читання-запис"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "лише читання"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "Додати нового користувача"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "Змінити запис наявного користувача"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "Вилучити запис користувача"
 
@@ -37232,13 +37306,14 @@ msgid ""
 msgstr "Автоматично перезавантажувати сервер, якщо змінюється початковий код. Корисно для розробників. Вам також слід вказати невеличке значення для часу очікування на завершення роботи перед перезавантаженням."
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "Керувати базою даних користувачів, які можуть встановлювати з’єднання із цим сервером. Див. також параметр %s."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr "Керування базою даних користувачів, які можуть встановлювати з'єднання із цим сервером. Можете користуватися автоматичним режимом, додавши до команди --. Див. {0}, щоб дізнатися більше. Див. також параметр {1}."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37246,23 +37321,23 @@ msgid ""
 "at: {1}"
 msgstr "Шлях до бази даних користувачів, якою слід скористатися для розпізнавання. Дані у базі зберігаються у файлі SQLite. Для його створення скористайтеся {0}. Докладніше про керування користувачами: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "Запущено іншу програму calibre, зокрема інший екземпляр {} або основну програму calibre. Підтримки одночасного внесення змін до бібліотеки calibre за допомогою різних екземплярів програм не передбачено."
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "Перервано користувачем"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "У %s немає бібліотеки calibre"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "Вам слід вказати принаймні одну бібліотеку calibre"
 
@@ -37275,7 +37350,7 @@ msgid "Enum"
 msgstr "Перелік"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "Некоректна синтаксична конструкція. Мало бути вказано назву фільтра або слово."
 
@@ -37434,128 +37509,128 @@ msgstr "Параметри і додат
 msgid "File is open in another process"
 msgstr "Файл відкрито іншим процесом"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr "завершення програми"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr "{0}: {1} поблизу {2}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "Не вдалося сканувати програму. Некоректні вхідні дані {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "Синтаксична помилка — програму було завершено до EOF"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "Пропущено «then» у інструкції if"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "Пропущено «fi» у інструкції if"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr "Пропущено ідентифікатор в інструкції for"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr "Пропущено «in» в інструкції for"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr "У інструкції for пропущено двокрапку («:»)"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr "У інструкції for пропущено «rof»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr "Збережений шаблон має починатися з {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "Невідома функція {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "Пропущено завершальну дужку"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr "Параметрами «{}» мають бути змінні або інструкції надання змінним значення"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr "Помилкова кількість аргументів у функції {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "Вираз не є функцією або сталою"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "Помилка під час порівняння. Оператор {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "У порівнянні використано нечислове значення. Оператор {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "Невідомий ідентифікатор {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "Невідоме поле {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr "Поле {0} не є списком"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr "Непридатне до обробки виключення {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "Внутрішня помилка під час обробки виразу"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "формат: для типу {0} потрібне ціле значення, отримано {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "формат: для типу {0} потрібне десяткове (дробове) значення, отримано {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s: невідома функція"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr "Змінної із назвою {0} не існує"
@@ -37610,60 +37685,60 @@ msgstr "strlen(a) — повертає 
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) — повертає суму x + y. Повідомляє про виключення, якщо x або y не є числом."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr "add(x, y, ...) — повертає суму аргументів. Надсилає повідомлення про виключення, якщо аргумент не є числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) — повертає різницю x - y. Повідомляє про виключення, якщо x або y не є числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) — повертає добуток x * y. Повідомляє про виключення, якщо x або y не є числом."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr "multiply(x, y, ...) — повертає добуток аргументів. Надсилає повідомлення про виключення, якщо аргумент не є числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) — повертає частку x / y. Повідомляє про виключення, якщо x або y не є числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling(x) — повертає найменше ціле число, яке є більшим або рівним x. Надсилає виключення, якщо x не є числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor(x) — повертає найбільше ціле число, яке є меншим або рівним x. Надсилає виключення, якщо x не є числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round(x) — повертає найближче до x ціле число. Надсилає виключення, якщо x не є числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr "mod(x) -— повертає лишок від ділення x на y, де x, y та результат є цілими числами. Надсилає виключення, якщо x або y не є числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr "fractional_part(x) — повертає дробову частину десяткового числа. Наприклад, fractional_part(3.14) дорівнює 0.14. Надсилає виключення, якщо x не є числом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37675,7 +37750,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) — обробляє x як шаблон. Обробку буде виконано у власному контексті, тобто змінні не використовуватимуться як спільні для функції виклику і обробки шаблону. Оскільки символи «{» і «}» є особливими, вам слід використовувати «[[» для позначення символу «{» і «]]» для позначення символу «}». Перетворення буде виконано автоматично. Наприклад, template('[[title_sort]]') буде оброблено як шаблон {title_sort} і повернуто відповідне значення. Також слід зауважити, що у аргументі цієї функції не можна використовувати префікси і суфікси (тобто синтаксичні конструкції, подібні до «|префікс|суфікс»), якщо використовується режим програмного шаблона."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37686,13 +37761,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(шаблон) — обробляє шаблон з передаванням локальних змінних (змінних, які було визначено за допомогою «assign») замість метаданих книги. Це надає змогу скористатися обробником шаблонів для побудови складних результатів на основі локальних змінних.  Оскільки символи «{» і «}» є особливими, вам слід використовувати «[[» для позначення символу «{» і «]]» для позначення символу «}». Перетворення буде виконано автоматично. Також слід зауважити, що у аргументі цієї функції не можна використовувати префікси і суфікси (тобто синтаксичні конструкції, подібні до «|префікс|суфікс»), якщо використовується режим програмного шаблона."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(ідентифікатор, значення) — надає ідентифікатору значення, потім повертає значення. «ідентифікатор» має бути ідентифікатором, а не виразом."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37702,30 +37777,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr "split(значення_список, роздільник, префікс_ідентифікатора) — ділить значення_список на окремі значення з використанням роздільника «роздільник», а потім надає значення змінним із назвами «префікс_ідентифікатора_N», де N — позиція значення у списку. Перший запис має позицію 0 (нуль). Функція повертає останній елемент у списку. Приклад: split('one, two, foo', ',', 'var') дає результат var_0 = 'one'; var_1 = 'two'; var_3 = 'foo'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) — виводить аргументи до стандартного виведення. Якщо ви не запускали calibre з командного рядка (calibre-debug -g), дані нікуди не буде виведено."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(назва) — повертає значення поля метаданих, вказаного параметром «назва»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(назва) — повертає поле метаданих, вказане за допомогою параметра «назва», без застосування форматування."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(назва, роздільник) — повертає список метаданих з назвою «назва» без застосування будь-якого форматування або упорядковування. Записи у списку буде відокремлено значенням «роздільник»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37735,7 +37810,7 @@ msgid ""
 "'234'."
 msgstr "substr(рядок, початок, кінець) — повертає символи від символу з номером «початок» до символу з номером «кінець» у рядку «рядок». Вважається, що у рядок починається з нульового символу. Якщо значення «кінець» є від’ємним, символи буде відраховано у напрямку до початку рядка. Якщо значенням «кінець» є нуль, кінцем вважатиметься останній символ. Приклади: substr('12345', 1, 0) повертає '2345', а substr('12345', 1, -1) повертає '234'."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37745,24 +37820,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(значення, взірець, поле, взірець, поле, ..., інше_поле) — подібна до switch, але аргументами є назви полів (метадані), а не текст. Значення відповідного поля буде отримано і використано. Зауважте, що оскільки складені стовпчики є полями, ви можете скористатися цією функцією у одному зі складених полів, щоб скористатися значенням одного з інших складених полів. Дуже корисно для побудови змінних адрес для збереження даних."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "Функції lookup слід передавати 2 або непарну кількість аргументів."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(значення, текст для непорожнього, текст для порожнього) — повертає «текст для непорожнього», якщо значення не є порожнім. Якщо це не так, повертає «текст для порожнього»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(значення, взірець, текст для відповідності, текст для невідповідності) — перевіряє, чи міститься у значенні відповідник формального виразу «взірець». Повертає «текст для відповідності», якщо буде знайдено відповідник, інакше повертає «текст для невідповідності»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37771,11 +37846,11 @@ msgid ""
 " want"
 msgstr "switch(значення, взірець, значення, взірець, значення, ..., інше_значення) — для кожної пари «взірець, значення» перевіряє, чи відповідає поле формальному виразу «взірець». Якщо це так, повертає «значення». Якщо відповідності з взірцем не буде знайдено, буде повернено «інше_значення». Можна визначати довільну кількість пар «взірець, значення»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch потребує непарної кількості аргументів"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37785,19 +37860,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(максимум, рядок1, префікс2, рядок2, ...) — повертає рядок, утворений об’єднанням аргументів функції. Початковим значенням результату буде рядок1. Пари «префікс, рядок» додаватимуться в кінець результату, якщо довжина рядка-результату не перевищуватиме значення «максимум». Значення рядок1 буде повернуто, навіть якщо довжина рядка рядок1 перевищує максимум. Функції можна передавати довільну кількість пар «префікс, рядок»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max потребує 2 або більшої кількості аргументів"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max потребує парної кількості аргументів"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "першим аргументом strcat_max має бути ціле число"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37807,11 +37882,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(значення, роздільник, взірець, значення_якщо_знайдено, значення_якщо_не_знайдено) — обробляє значення як список пунктів, відокремлених роздільником, порівнює взірець з кожним зі значень у списку. Якщо рядок збігається зі значенням, повертає «значення_якщо_знайдено», інакше повертає «значення_якщо_не_знайдено». Значення «взірець» і «значення_якщо_знайдено» можна повторювати довільну кількість разів, залежно від пошуку. Перевірка взірців виконується послідовно. Функція повертає перший знайдений відповідник."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list слід передавати непарну кількість параметрів"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37823,11 +37898,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(значення, роздільник, рядок, значення_якщо_знайдено, значення_якщо_не_знайдено) — обробляє значення як список пунктів, відокремлених роздільником, порівнює рядок з кожним зі значень у списку. Якщо рядок збігається зі значенням (без врахування регістру), повертає «значення_якщо_знайдено», інакше повертає «значення_якщо_не_знайдено». Якщо рядок містить роздільники, його також буде оброблено як список, перевірятиметься кожне зі значень у цьому списку. Значення «рядок» і «значення_якщо_знайдено» можна повторювати довільну кількість разів, залежно від пошуку. Перевірка рядків виконується послідовно. Функція повертає перший знайдений відповідник."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list слід передавати непарну кількість параметрів"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37838,14 +37913,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(значення, ідентифікатор, значення_якщо_знайдено, значення_якщо_не_знайдено) — обробляє значення як список ідентифікаторів, відокремлених комами, порівнює рядок з кожним зі значень у списку. Ідентифікатор має бути записано у форматі «ідентифікатор:значення». Параметр «ідентифікатор» має бути записано  або як «ідентифікатор» або «ідентифікатор:формальний_вираз». У першому випадку відповідність буде встановлено, якщо буде знайдено будь-який ідентифікатор рівний «ідентифікатор». У другому випадку відповідність буде встановлено, якщо формальний вираз відповідає значенню ідентифікатора. Якщо буде встановлено відповідність, функція поверне «значення_якщо_знайдено», інакше буде повернуто «значення_якщо_не_знайдено»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(значення, взірець, замінник) — повертає вміст поля після застосування заміни за формальним виразом. Всі екземпляри рядка «взірець» буде замінено рядком «замінник». Як і всюди у calibre, має бути використано формальні вирази, сумісні з синтаксисом python."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37858,20 +37933,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(значення, зразок, шаблон_для_групи_1, шаблон_для_групи_2, ...) — повертає рядок, створений за допомогою застосування формального виразу заданого зразком до значення та заміною кожної з відповідних груп значенням, повернутим відповідним шаблоном. Початкове відповідне значення для групи позначається $. У режимі шаблонного програмування, як і у функціях template та eval, замість { слід використовувати [[, замість } — ]]. Приклад: у режимі шаблонного програмування знайти послідовності з понад одного слова і замінити першу літеру першого слова на велику: {series:'re_group($, \"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(значення) — за заданими значеннями у форматі «B, A» повертає значення «A B». Найкорисніше для перетворення імен у форматі «Прізвище, Ім’я» на імена у форматі «Ім’я Прізвище». Якщо коми у значенні не буде виявлено, функція поверне значення без змін."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(значення, текст для порожнього) — повертає «значення», якщо «значення» не є порожнім, інакше повертає «текст для порожнього»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37885,7 +37960,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(значення, ліві символи, текст посередині, праві символи) — повертає скорочену версію поля, що складається з «ліві символи» символів з початку поля, потім символів «текст посередині», а потім «праві символи» символів наприкінці рядка. Значення «ліві символи» та «праві символи» мають бути цілі числа. Розгляньмо приклад з назвою книги «Давні англійські закони часів Айвенго» і вам потрібно вмістити цю назву у 15 символів. Якщо ви скористаєтеся шаблоном {title:shorten(9,-,5)}, результатом буде «Давні анг-венго». Якщо кількість символів у полі менша за суму «ліві символи» + «праві символи» + кількість символів у «текст посередині», вміст поля не змінюватиметься. У нашому прикладі назву «Під мінаретами» не буде змінено."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37893,7 +37968,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(значення, роздільник) — за заданим значенням списком пунктів, відокремлених роздільником «роздільник», повертає кількість пунктів у списку. У більшості списків як роздільник використовується кома, для авторів може використовуватися амперсанд. Приклади: {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37902,14 +37977,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(значення, номер, роздільник) — обробляє значення як список пунктів, відокремлених роздільником «роздільник», повертає пункт з номером «номер». Перший пункт має номер нуль. Останній з пунктів можна отримати за допомогою «list_item(-1, роздільник)». Якщо пункту немає у списку, буде повернуто порожнє значення. Роздільник має те саме значення, що і у функції count."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(значення, ключ) — обробляє значення у форматі списку пунктів, відокремлених комами. Список має складатися з пунктів у форматі «ідентифікатор:значення». Знаходить пару з ідентифікатором рівним ключу і повертає відповідне значення."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37922,19 +37997,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() — повернути розділений комами список форматів, які на певному етапі було пов’язано з книгою. Гарантувати чинність такого списку не можна, хоча, ймовірно, він залишається чинним. Цю функцію можна викликати у режимі шаблонної програми за допомогою шаблона «{:'approximate_formats()'}». Зауважте, що назви форматів завжди слід вказувати великими літерами, ось так: EPUB. Скористатися цією функцією можна лише за використання графічного інтерфейсу. Якщо ви хочете скористатися отриманими значенням у шаблонах збереження на диск або надсилання на пристрій, вам слід створити нетиповий стовпчик «Стовпчик, створений на основі інших стовпчиків», скористатися у шаблоні створеного стовпчика цією функцією, а потім скористатися значенням у стовпчику у вашому шаблоні збереження або надсилання."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "Цією функцією можна скористатися лише у графічному інтерфейсі"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37944,7 +38019,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(формат_дати) — повертає відокремлений комами список відокремлених двокрапками пунктів, які відповідають часу внесення змін до файлів форматів книги. Параметр «формат_дати» визначає спосіб форматування дати. Докладніше про цей формат можна дізнатися з опису функції format_date. Для отримання даних щодо внесення змін до одного з форматів ви можете скористатися функцією select. Зауважте, що назви форматів буде вказано великими літерами, наприклад EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37952,7 +38027,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() — повертає відокремлений комами список відокремлених двокрапками пунктів, які відповідають об’єму у байтах файлів форматів книги. Для отримання даних щодо об’єму файла у одному з форматів ви можете скористатися функцією select. Зауважте, що назви форматів буде вказано великими літерами, наприклад EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37960,13 +38035,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() — повернути розділений комами список розділених двокрапками записів, щоб відповідають шляхам до файлів книги у різних форматах. Для отримання шляху до файла певного формату ви можете скористатися функцією select. Зауважте, що назви форматів слід вказувати великими літерами, ось так: EPUB."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) — повертає рядок, що відповідає числу v у кБ, МБ, ГБ тощо."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37977,7 +38052,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, шаблон) — форматує число v на основі шаблону форматування python, наприклад \"{0:5.2f}\", \"{0:,d}\" або \"${0:5,.2f}\". Частина назви поля у шаблоні має дорівнювати 0 (нулеві) (\"{0:\" у наведених вище прикладах). Ви можете не вказувати початкового «{0:» та завершального «}», якщо у шаблоні міститься лише один формат. З докладнішими прикладами можна ознайомитися за допомогою документації до мови шаблонів та документації з python. Повертає порожній рядок, якщо виконати форматування не вдасться."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37990,7 +38065,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(значення, початковий_номер, кінцевий_номер, роздільник) — обробляє значення як список пунктів, відокремлених роздільником «роздільник», повертає новий список, створений з пунктів з номера «початковий_номер» до номера «кінцевий_номер». Перший пункт має нульовий номер. Якщо вказано від’ємний номер, його буде відраховано від кінця списку. Якщо буде вказано «кінцевий_номер» рівний нулеві, номер вважатиметься кінцевим у списку. Приклади у основному режимі шаблонів зі стовпчиком міток (значення у якому відокремлено комами), що містить значення \"A, B, C\": {tags:sublist(0,1,\\\\,)} повертає \"A\". {tags:sublist(-1,0,\\\\,)} повертає \"C\". {tags:sublist(0,-1,\\\\,)} повертає \"A, B\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -38007,7 +38082,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(значення, початковий_номер, кінцевий_номер) — цією функцією користуються для розбиття списків пунктів, зокрема списків жанрів. Функція обробляє значення як відокремлений комами список записів, у якому кожен з записів є відокремленим крапками списком. Повертає новий список, створений таким чином: спочатку буде знайдено всі відокремлені крапками запис, потім для кожного такого запису буде видобуто компоненти від номера «початковий_номер» до «кінцевий_номер», а потім всі видобуті записи знову буде поєднано для отримання результату. Перший компонент у відокремленому крапками списку матиме номер нуль. Якщо номер буде від’ємним, його буде відраховано від кінця списку. Якщо буде вказано «кінцевий_номер» рівний нулеві, номер вважатиметься кінцевим у списку. Приклад з основним режимом шаблонів та значенням у стовпчику #genre рівним \"A.B.C\": {#genre:subitems(0,1)} повертає \"A\". {#genre:subitems(0,2)} повертає \"A.B\". {#genre:subitems(1,0)} повертає \"B.C\". Якщо значенням #genre є \"A.B.C, D.E.F\", {#genre:subitems(0,1)} повертає\"A, D\". {#genre:subitems(0,2)} повертає \"A.B, D.E\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -38030,23 +38105,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(значення, рядок_формату) — виконує форматування значення, яким має бути запис дати, на основі рядка рядок_формату, повертає рядок. Коди форматування: d    : номер дня без початкового нуля (від 1 до 31) dd   : номер дня з початковим нулем (від 01 до 31) ddd  : скорочена локалізована назва дня (тобто від «пн» до «нд»). dddd : повна локалізована назва дня (тобто від «понеділок» до «неділя»). M    : номер місяця без початкового нуля (від 1 до 12). MM   : номер місяця з початковим нулем (від 01 до 12). MMM  : скорочена локалізована назва місяця (тобто від «січ» до «гру»). MMMM : повна локалізована назва місяця (тобто від «січень» до «грудень»). yy   : двоцифровий номер року (від 00 до 99). yyyy : чотирицифровий номер року. h    : кількість годин без початкового 0 (від 0 до 11 або від 0 до 23, залежно від значення am/pm). hh   : кількість годин з початковим 0 (від 00 до 11 або від 00 до 23, залежно від значення am/pm) m    : кількість хвилин без початкового 0 (від 0 до 59). mm   : кількість хвилин з початковим 0 (від 00 до 59). s    : кількість секунд без початкового 0 (від 0 до 59). ss   : кількість секунд з початковим 0 (від 00 до 59). ap   : використовувати 12-годинні періоди відліку замість 24-годинних, «ap» буде замінено на локалізований рядок для значень «ранку» і «вечора». AP   : використовувати 12-годинні періоди відліку замість 24-годинних, «ap» буде замінено на локалізований рядок для значень «ранку» і «вечора». iso  : дата з часом і часовим поясом. Вказувати можна лише одне значення формату."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(значення) — повернути значення великими літерами"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(значення) — повернути значення малими літерами"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(значення) — повернути значення великими літерами"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(значення) — замінити перші літери значення великими"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -38055,7 +38130,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() — повертає значення поля розміру (size). Скористатися цією функцією можна лише за використання графічного інтерфейсу. Якщо ви хочете скористатися отриманими значенням у шаблонах збереження на диск або надсилання на пристрій, вам слід створити нетиповий стовпчик «Стовпчик, створений на основі інших стовпчиків», скористатися у шаблоні створеного стовпчика цією функцією, а потім скористатися значенням у стовпчику у вашому шаблоні збереження або надсилання."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -38064,55 +38139,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() — повертає «Yes», якщо встановлено «ondevice», інакше повертає порожній рядок. Скористатися цією функцією можна лише за використання графічного інтерфейсу. Якщо ви хочете скористатися отриманими значенням у шаблонах збереження на диск або надсилання на пристрій, вам слід створити нетиповий стовпчик «Стовпчик, створений на основі інших стовпчиків», скористатися у шаблоні створеного стовпчика цією функцією, а потім скористатися значенням у стовпчику у вашому шаблоні збереження або надсилання."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr "annotation_count() — повертає загальну кількість анотацій усіх типів, які пов'язано із поточною книгою. Ця функція працює лише із графічним інтерфейсом користувача."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr "Не вдалося отримати кількість анотацій"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() — повертає значення впорядкування циклів"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "hascover() — повертає «Yes», якщо у книги є зображення обкладинки, інакше повертає порожній рядок"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(значення, значення, ...) — повертає перше значення, яке не є порожнім. Якщо всі значення є порожніми, повертає порожнє значення. Ви можете вказати довільну кількість значень."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(значення, значення, ...) — повертає рядок «1», якщо всі значення не є порожніми. Якщо одне зі значень є порожнім, повертає порожній рядок. Ця функція добре поєднується з test або first_non_empty. Ви можете вказати довільну кількість значень."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(значення, значення, ...) — повертає рядок «1», якщо хоч одне значення не є порожнім. Якщо всі значення є порожніми, повертає порожній рядок. Ця функція добре поєднується з test або first_non_empty. Ви можете вказати довільну кількість значень."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(значення) — повертає рядок «1», якщо значення не є порожнім. Якщо значення є порожнім, повертає порожній рядок. Ця функція добре поєднується з test або first_non_empty."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38121,7 +38196,7 @@ msgid ""
 " list."
 msgstr "list_union(список1, список2, роздільник) — повертає список, створений за допомогою об’єднання пунктів у списках список1 і список2 з вилученням дублікатів, виявлених шляхом порівняння без врахування регістру символів. Якщо записи пунктів відрізнятимуться лише регістром символів, використовуватиметься пункт зі списку список1. Пункти у списках список1 і список2 має бути відокремлено роздільником, який також буде використано під час формування списку-результату."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38129,7 +38204,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(список1, список2, роздільник) — повертає список, створений вилученням зі списку список1 всіх пунктів, які містяться у списку список2, на основі порівняння без врахування регістру. Пункти у списках список1 і список2 відокремлюються роздільником «роздільник», як і пункти у повернутому функцією списку."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38137,7 +38212,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(список1, список2, роздільник) — повертає список, створений вилученням зі списку список1 всіх пунктів, яких немає у списку список2, на основі порівняння без врахування регістру. Пункти у списках список1 і список2 відокремлюються роздільником «роздільник», як і пункти у повернутому функцією списку."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38145,7 +38220,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(список, напрямок, роздільник) — повертає список, впорядкований без врахування регістру. Якщо значенням параметра «напрямок» є нуль, список буде впорядковано за зростанням. Якщо значення буде іншим, список впорядковуватиметься за спаданням. Записи у початковому списку має бути відокремлено роздільником, як і записи у списку-результаті."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38154,7 +38229,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(список1, роздільник1, список2, роздільник2, значення_якщо_так, значення_якщо_ні) — повертає «значення_якщо_так», якщо список1 і список2 містять однакові записи. Якщо це не так, повертає «значення_якщо_ні». Записи визначаються поділом кожного зі списків на основі вказаного символу роздільника (роздільник1 або роздільник2). Порядок записів у списках не береться до уваги. Порівняння виконуватиметься без врахування регістру символів."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38163,7 +38238,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(початковий_список, роздільник, фв_пошуку, пар_заміни) — будує список таким чином: спочатку поділяє початковий_список на запис на основі вказаного символу роздільника. Для кожного з записів у списку перевіряє відповідність формальному виразу «фв_пошуку». Якщо відповідність буде встановлено, запис буде додано до повернутого списку. Якщо параметр «пар_заміни» не буде порожнім, заміну буде виконано до додавання запису до повернутого списку."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38171,14 +38246,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(список_джерел, роздільник, фв_включення, фв_пошуку, шаблон_групи_1, ...) — Подібне до list_re, але замінники є обов’язковими. Використовує re_group(пункт_списку, фв_пошуку, шаблон_групи_1, ...) під час виконання замін у остаточному списку."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() — повертає сьогоднішню дату. Це значення створено для використання у format_date або days_between, але з ним можна працювати як зі звичайним рядком. Дату буде повернуто у форматі ISO."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38186,7 +38261,7 @@ msgid ""
 "empty string."
 msgstr "days_between(дата1, дата2) — повертає кількість днів між датою дата1 і датою дата2. Кількість днів є додатною, якщо дата1 перевищує дата2, інакше значення буде від’ємним. Якщо значення дата1 або значення дата2 не вдасться обробити як дату, функція поверне порожній рядок."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38194,28 +38269,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(коди_мов, локалізація) — повертає рядки кодів мов, передані як коди_мов. Якщо значенням параметра «локалізація» є нуль, рядки буде повернуто англійською. Якщо значенням параметра «локалізація» є ненульове значення, рядки буде повернуто у поточній локалі. Параметр «коди_мов» слід вказувати у форматі списку, розділеного комами."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(рядки_мов) — повертає коди мов для рядків, переданих як рядки_мов. Рядками мають бути записи у поточній локалі. Окремі записи у параметрі рядки_мов слід відокремлювати комами."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() — повертає останню адресу поточної бібліотеки calibre. Цю функцію можна викликати у режимі програмування шаблону за допомогою шаблону «{:'current_library_name()'}»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() — повернути шлях до поточної бібліотеки calibre. Цю функцію можна викликати у режимі шаблонної програми за допомогою шаблона «{:'current_library_path()'}»."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38224,7 +38299,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(значення, формат, префікс, суфікс) — застосувати формат, префікс і суфікс до значення у спосіб, у який це виконується шаблоном, зокрема «{series_index:05.2f| - |- }». Наприклад, наведена нижче програма виводить ті самі дані, що і вказаний вище програма-шаблон: finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38233,7 +38308,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() — повертає список віртуальних бібліотек, до яких включено вказану книгу, відокремлених комами. Скористатися цією функцією можна лише за використання графічного інтерфейсу. Якщо ви хочете скористатися отриманими значенням у шаблонах збереження на диск або надсилання на пристрій, вам слід створити нетиповий стовпчик «Стовпчик, створений на основі інших стовпчиків», скористатися у шаблоні створеного стовпчика цією функцією, а потім скористатися значенням у стовпчику у вашому шаблоні збереження або надсилання."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38242,7 +38317,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() — повертає список категорій користувача, що містять цю книгу, відокремлених комами. Скористатися цією функцією можна лише за використання графічного інтерфейсу. Якщо ви хочете скористатися отриманими значенням у шаблонах збереження на диск або надсилання на пристрій, вам слід створити нетиповий стовпчик «Стовпчик, створений на основі інших стовпчиків», скористатися у шаблоні створеного стовпчика цією функцією, а потім скористатися значенням у стовпчику у вашому шаблоні збереження або надсилання."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38250,7 +38325,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) — повертає такий рядок латинською абеткою, який при читанні за звуком літер звучить приблизно так само, як і початковий рядок. Наприклад, якщо початковим рядком є «{0}», функцією буде \r\nповернуто «{1}\"."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38262,7 +38337,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(роздільник_значень, роздільник_пар) — повертає рядок, що містить список авторів з відповідними пов’язаними значеннями у форматі автор1 роздільник_значень посилання_автора1 роздільник_пар автор2 роздільник_значень посилання_автора2 тощо. Запис автора буде відділено від пов’язаного із ним значення рядком роздільник_значень без додаткових пробілів. Пари автор-пов’язане значення буде відокремлено рядком роздільник_пар без додаткових пробілів. Ви можете вибирати рядки роздільників довільним чином, так, щоб вони не збігалися з іменами авторів або посиланнями. Запис автора буде включено, навіть якщо пов’язане з ним значення посилання є порожнім."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38273,7 +38348,7 @@ msgid ""
 "string"
 msgstr "author_sorts(роздільник_значень) — повертає рядок, що містить список значень упорядкування записів авторів книги. Критерієм упорядковування є один із записів метаданих автора (відмінний від author_sort у книгах). Повернутий список має такий формат: упорядкування автора 1 роздільник_значень упорядкування автора 2 тощо. Значення упорядковування авторів у цьому списку перебувають у тому самому порядку, що і автори у книзі. Якщо вам потрібні пробіли навколо роздільника_значень, додайте їх до рядка роздільника."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38281,13 +38356,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_name(розташування_сховища) — якщо пристрій з'єднано, повертає назву пристрою, якщо ні — порожній рядок. Кожне розташування сховища даних на пристрої може мати власну назву. Назви розташувань: «'main», «carda» і «cardb». Ця функція працює лише у графічному інтерфейсі користувача."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr "connected_device_name: некоректне розташування сховища — «{0}»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38295,7 +38370,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_uuid(розташування_сховища) — якщо пристрій з'єднано, повертає UUID (унікальний ідентифікатор) пристрою, якщо ні — порожній рядок. Кожне розташування сховища даних на пристрої має власний UUID. Назви розташувань: «main», «carda» і «cardb». Ця функція працює лише у графічному інтерфейсі користувача."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38308,11 +38383,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr "check_yes_no(назва_поля, is_undefined, is_false, is_true) — перевіряє, чи дорівнює значення поля «так/ні», вказаного ключем пошуку назва_поля, значенню, вказаному параметрами, повертає «yes», якщо знайдено відповідник, інакше, повертає порожній рядок. Встановіть для параметрів is_undefined, is_false або is_true значення 1 (число), щоб перевірити відповідну умову, інакше, встановіть 0. Приклад: check_yes_no(\"#bool\", 1, 0, 1) повертає «yes», якщо у полі «так/ні» «#bool» значення або не визначено (ні True, ні False) або дорівнює True. Можна встановлювати рівне 1 значення для декількох параметрів з набору is_undefined, is_false та is_true. Зазвичай, цю функцію використовують у функціях test() або is_empty()."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no вимагає, щоб поле бути нетиповим стовпчиком «Так/Ні»"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38320,11 +38395,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "rating_to_stars(use_half_stars) — повертає оцінку як рядок символів-зірочок. Початковим значенням має бути число від 0 до 5. Встановіть для use_half_stars значення 1, якщо вам потрібні половинні символи зірочок для нетипових стовпчиків оцінок, значення у яких не є цілими, наприклад, рівними 2.5."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "Оцінка має бути числом від 0 до 5"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38333,7 +38408,7 @@ msgid ""
 "single value, not a list."
 msgstr "swap_around_articles(значення, роздільник) — повертає значення із артиклями, які пересунуто в кінець. Значенням може бути список, елементи якого буде оброблено окремо. Якщо значенням є список, вам слід вказати роздільник значень у списку. Якщо значення роздільника вказано не буде, значення вважатиметься одним рядком, а не списком."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38344,7 +38419,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "arguments(ідентифікатор[=вираз] [, ідентифікатор[=вираз]]*) — використовується у збереженому шаблоні для отримання аргументів за допомогою виклику. Ця функція одразу оголошує і ініціалізує локальні змінні, які виконують роль параметрів. Ці змінні є позиційними — їм надається значення, яке стоїть у виклику на відповідній позиції. Якщо відповідне значення змінної не було надано у виклику, ``arguments`` надає параметру типового значення. Якщо типове значення не вказано, змінній буде надано значення порожнього рядка."
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38354,6 +38429,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr "globals(ідентифікатор[=вираз] [, ідентифікатор[=вираз]]*) — отримує «загальні змінні», які можна передати засобу форматування. Ця функція одразу оголошує і ініціалізує локальні змінні назвами переданих загальних змінних. Якщо відповідне значення змінної не було надано у у переданих загальних змінних, надає змінній типового значення. Якщо типове значення не вказано, змінній буде надано значення порожнього рядка."
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr "field_exists(назва_поля) — перевіряє, чи існує поле (стовпчик) із назвою назва_поля. Повертає «1», якщо поле існує, і «», якщо не існує."
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "Зображення без назви"
@@ -38642,29 +38723,29 @@ msgstr "Закрити без збере
 msgid "Close Tab"
 msgstr "Закрити вкладку"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "Зайві символи наприкінці критерію пошуку"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "не вистачає «)»"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "Не вдалося обробити запит. Перевищено обмеження щодо рекурсії: %s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "Збережені результати рекурсивного пошуку: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "Невідомий збережений пошук: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "Невідома помилка у збережених результатах пошуку: {0}"
@@ -39029,185 +39110,185 @@ msgstr "Всі посилання, як
 msgid "Do not download CSS stylesheets."
 msgstr "Не завантажено CSS стилі."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "Гаразд"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Зберегти всі"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Відкрити"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "&Так"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Так для всі&х"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "&Ні"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Н&і для всіх"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Перервати"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Спробувати ще раз"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Закрити"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Застосувати"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Скинути"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Відновити типові параметри"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "Ві&дт.:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "&Нас.:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "&Знач.:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "&Червоний:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "З&елений:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "С&иній:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "&Канал прозорості:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "Курсор у %1, %2\nНатисніть Esc, щоб скасувати"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "Вибір кольору"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "&Базові кольори:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "&Нетипові кольори"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "&Додати до нетипових кольорів"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "В&зяти колір з екрана"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "Виберіть шрифт"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "&Шрифт"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "С&тиль шрифту"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "&Розмір"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "Ефекти"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "П&ерекреслений"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Зразок"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "С&истема писемності"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "Лівий край"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "Правий край"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "Сторінка ліворуч"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "Сторінка згори"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "Сторінка знизу"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "Сторінка праворуч"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "Гортати ліворуч"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "Гортати вгору"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "Гортати вниз"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "Гортати праворуч"
 
@@ -39487,8 +39568,8 @@ msgstr "Вкажіть правила п
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39536,7 +39617,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "Визначає правила перейменування для збірок sony. Це коригування можна\nзастосовувати, лише якщо виконується автоматична обробка метаданих.\nНазви збірок на пристроях Sony залежать від того, типовим чи нетиповим\nє поле. Збірки, створені на основі типового поля, мають назви, рівні\nзначенню цього поля. Наприклад, якщо типовий стовпчик «series» містить\nзначення «Darkover», назвою збірки буде «Darkover». Збірки, створені на\nоснові нетипового поля, мають назви, мають назви, у яких до значення\nполя додається його назва. Наприклад, якщо у нетиповому стовпчику з\nназвою «My Series» міститься назва «Darkover», типовою назвою збірки буде\n«Darkover (My Series)». У нашому прикладі «Darkover» називається\nзначенням, а «My Series» — категорією. Якщо у двох книг будуть поля,\nна основі яких за правилами має бути створено збірки з однаковими назвами,\nобидві книги буде розміщено у одній спільній збірці.\nЗа допомогою цього набору коригувань ви можете вказати для типового або\nнетипового поля спосіб іменування збірок. Ви можете скористатися ними для\nдодавання опису до типового поля, наприклад «Щось (Мітка)» замість просто\n«Щось». Ви також можете скористатися ними для примусового збирання декількох\nполів у одній збірці. Наприклад, ви можете наказати програмі зібрати значення\nу полях «series», «#my_series_1» і «#my_series_2» у збірках з назвами\n«якесь_значення (Цикли)», таким чином зібравши всі поля у одному наборі\nзбірок.\nПередбачено два пов’язаних коригування. Перше визначає назву категорії для\nполя метаданих. Друге є шаблоном, що використовується для визначення способу\nпоєднання значення і категорії з метою створення назви збірки.\nСинтаксис першого коригування, sony_collection_renaming_rules, такий:\n{'назва_фільтра_поля':'назва_категорії', 'назва_фільтра':'назва', ...}\nДруге коригування, sony_collection_name_template, є шаблоном. Для його побудови\nвикористовується та сама мова шаблонів, що і для засобів обробки і шаблонів\nзбереження. Це коригування керує способом, у який значення і категорія\nпоєднуються з метою визначення назви збірки.\nПередбачено два поля: {category} і {value}. Поле {value} не повинно бути\nпорожнім. Поле {category} може бути порожнім. Типово, значення додається\nна початку, потім додається назва категорії у дужках, якщо вона не порожня:\n'{value} {category:|(|)}'\nПриклади: у перших трьох прикладах значення другого коригування вважається\nтиповим.\n1: об’єднати три стовпчики циклів у один набір збірок. Назви фільтрів стовпчиків\nтакі: «series», «#series_1» і «#series_2». У дужках нічого не повинно бути.\nТоді значенням коригування має бути:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: використати слово «(Series)» для збірок на основі поля «series» і слово\n«(Tag)» для збірок на основі поля «tags». Відповідне коригування:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: об’єднати збірки «series» і «#myseries» і додати до назви збірки слово\n«(Series)». Правило перейменування:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: те саме, що і у прикладі 2, але замість додавання назви категорії у\nдужках до значення, використати її як префікс і відокремити від значення\nдвокрапкою, ось так: «Series: Darkover». Слід змінити шаблон форматування\nназви категорії. Остаточні коригування мають бути такими:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr "Визначає правила перейменування для збірок SONY. Це коригування можна\nзастосовувати, лише якщо виконується автоматична обробка метаданих.\nНазви збірок на пристроях SONY залежать від того, типовим чи нетиповим\nє поле. Збірки, створені на основі типового поля, мають назви, рівні\nзначенню цього поля. Наприклад, якщо типовий стовпчик «series» містить\nзначення «Darkover», назвою збірки буде «Darkover». Збірки, створені на\nоснові нетипового поля, мають назви, мають назви, у яких до значення\nполя додається його назва. Наприклад, якщо у нетиповому стовпчику з\nназвою «My Series» міститься назва «Darkover», типовою назвою збірки буде\n«Darkover (My Series)». У нашому прикладі «Darkover» називається\nзначенням, а «My Series» — категорією. Якщо у двох книг будуть поля,\nна основі яких за правилами має бути створено збірки з однаковими назвами,\nобидві книги буде розміщено у одній спільній збірці.\nЗа допомогою цього набору коригувань ви можете вказати для типового або\nнетипового поля спосіб іменування збірок. Ви можете скористатися ними для\nдодавання опису до типового поля, наприклад «Щось (Мітка)» замість просто\n«Щось». Ви також можете скористатися ними для примусового збирання декількох\nполів у одній збірці. Наприклад, ви можете наказати програмі зібрати значення\nу полях «series», «#my_series_1» і «#my_series_2» у збірках з назвами\n«якесь_значення (Цикли)», таким чином зібравши всі поля у одному наборі\nзбірок.\nПередбачено два пов’язаних коригування. Перше визначає назву категорії для\nполя метаданих. Друге є шаблоном, що використовується для визначення способу\nпоєднання значення і категорії з метою створення назви збірки.\nСинтаксис першого коригування, sony_collection_renaming_rules, такий:\n{'назва_фільтра_поля':'назва_категорії', 'назва_фільтра':'назва', ...}\nДруге коригування, sony_collection_name_template, є шаблоном. Для його побудови\nвикористовується та сама мова шаблонів, що і для засобів обробки і шаблонів\nзбереження. Це коригування керує способом, у який значення і категорія\nпоєднуються з метою визначення назви збірки.\nПередбачено два поля: {category} і {value}. Поле {value} не повинно бути\nпорожнім. Поле {category} може бути порожнім. Типово, значення додається\nна початку, потім додається назва категорії у дужках, якщо вона не порожня:\n'{value} {category:|(|)}'\nПриклади: у перших трьох прикладах значення другого коригування вважається\nтиповим.\n1: об’єднати три стовпчики циклів у один набір збірок. Назви фільтрів стовпчиків\nтакі: «series», «#series_1» і «#series_2». У дужках нічого не повинно бути.\nТоді значенням коригування має бути:\nsony_collection_renaming_rules={'series':'', '#series_1':'', '#series_2':''}\n2: використати слово «(Series)» для збірок на основі поля «series» і слово\n«(Tag)» для збірок на основі поля «tags». Відповідне коригування:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3: об’єднати збірки «series» і «#myseries» і додати до назви збірки слово\n«(Series)». Правило перейменування:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4: те саме, що і у прикладі 2, але замість додавання назви категорії у\nдужках до значення, використати її як префікс і відокремити від значення\nдвокрапкою, ось так: «Series: Darkover». Слід змінити шаблон форматування\nназви категорії. Остаточні коригування мають бути такими:\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39544,7 +39625,7 @@ msgstr "Вкажіть спосіб вп
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39559,7 +39640,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "Визначає спосіб впорядкування збірок sony. Це коригування використовується,\nлише якщо керування метаданими є автоматичним. Ви можете визначити, які\nметадані буде використано для впорядкування збірок. Формат коригування\nтакий: список полів метаданих, на основі яких створюються збірки, потім\nназва поля метаданих, що містить значення, за яким буде виконано\nвпорядковування.\nПриклад: вказаний нижче запис означає, що збірки, побудовані на основі\nдати публікації та міток, буде впорядковано за значенням у нетиповому\nстовпчику «#mydate»; збірки, побудовані на основі поля циклів, буде\nвпорядковано за значенням «series_index», а всі інші збірки буде\nвпорядковано за назвою книги. Якщо поле метаданих збірки не має назви,\nу разі збірки, заснованої на циклі, її буде впорядковано за порядком\nкниг у циклі, всі інші збірки буде впорядковано за назвами книг.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nЗауважте, що квадратні і круглі дужки має бути використано за правилами\nпобудови значення параметра. Синтаксична конструкція має бути такою:\n[ ( [список полів], поле впорядкування ) , ( [ список полів ] , поле впорядкування ) ]\nТипове значення: порожнє (без правил), отже без згадування атрибутів збірки."
+msgstr "Визначає спосіб впорядкування збірок SONY. Це коригування використовується,\nлише якщо керування метаданими є автоматичним. Ви можете визначити, які\nметадані буде використано для впорядкування збірок. Формат коригування\nтакий: список полів метаданих, на основі яких створюються збірки, потім\nназва поля метаданих, що містить значення, за яким буде виконано\nвпорядковування.\nПриклад: вказаний нижче запис означає, що збірки, побудовані на основі\nдати публікації та міток, буде впорядковано за значенням у нетиповому\nстовпчику «#mydate»; збірки, побудовані на основі поля циклів, буде\nвпорядковано за значенням «series_index», а всі інші збірки буде\nвпорядковано за назвою книги. Якщо поле метаданих збірки не має назви,\nу разі збірки, заснованої на циклі, її буде впорядковано за порядком\nкниг у циклі, всі інші збірки буде впорядковано за назвами книг.\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\nЗауважте, що квадратні і круглі дужки має бути використано за правилами\nпобудови значення параметра. Синтаксична конструкція має бути такою:\n[ ( [список полів], поле впорядкування ) , ( [ список полів ] , поле впорядкування ) ]\nТипове значення: порожнє (без правил), отже без згадування атрибутів збірки."
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ur.po 5.10.0+dfsg-1/translations/calibre/ur.po
--- 5.9.0+dfsg-3/translations/calibre/ur.po	2021-01-06 15:31:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ur.po	2021-01-20 15:26:53.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -91,15 +91,15 @@ msgstr " یہ کچھ بھی نہیں ک
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -120,7 +120,7 @@ msgstr " یہ کچھ بھی نہیں ک
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -220,16 +220,16 @@ msgstr " یہ کچھ بھی نہیں ک
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -255,7 +255,7 @@ msgstr " یہ کچھ بھی نہیں ک
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -287,7 +287,7 @@ msgstr " یہ کچھ بھی نہیں ک
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -306,7 +306,7 @@ msgstr " یہ کچھ بھی نہیں ک
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -330,27 +330,27 @@ msgstr "ردو بدل کریں"
 msgid "Cannot configure"
 msgstr "وضع نہیں کرسکتے"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "فائل کی قسم"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "میٹا ڈیٹا ریڈر"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "میٹا ڈیٹا رائٹر"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "کیٹلاگ جنریٹر"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -362,20 +362,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "ترجیحات"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "ذخیرہ"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -397,372 +397,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -772,92 +772,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -865,7 +865,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1255,9 +1255,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1283,17 +1283,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "ہاں"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1679,14 +1679,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1694,7 +1694,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1702,39 +1702,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2281,21 +2281,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3471,11 +3471,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3484,12 +3484,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6044,7 +6044,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6337,7 +6337,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6345,7 +6345,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6385,7 +6385,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6415,7 +6415,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8145,13 +8145,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8184,31 +8184,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9177,7 +9177,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10186,7 +10186,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11445,7 +11445,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11575,8 +11575,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11710,11 +11710,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11857,7 +11857,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12184,7 +12184,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12261,7 +12261,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12270,10 +12270,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "ڈیلیٹ"
@@ -12386,8 +12386,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13573,7 +13573,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13588,8 +13588,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14456,7 +14456,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14797,19 +14797,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14883,8 +14883,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14965,7 +14965,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16545,7 +16545,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16553,7 +16553,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16561,7 +16561,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16569,7 +16569,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16603,7 +16603,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17024,78 +17024,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17103,7 +17103,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17113,7 +17113,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17128,80 +17128,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17209,90 +17218,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17300,281 +17304,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17582,48 +17608,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18079,42 +18105,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18220,87 +18246,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19198,48 +19224,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20303,7 +20345,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20462,8 +20504,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20480,14 +20522,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22707,60 +22749,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22768,57 +22810,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23660,13 +23702,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23700,7 +23742,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23981,7 +24023,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24673,7 +24715,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25242,7 +25284,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25377,7 +25419,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25388,7 +25430,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26901,7 +26943,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27192,7 +27234,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27252,95 +27294,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "تقسیم"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27997,7 +28039,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28528,7 +28571,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30766,7 +30809,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32093,7 +32136,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32720,7 +32763,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34594,71 +34637,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35112,7 +35155,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35188,13 +35231,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35359,10 +35402,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "منسوخ کریں"
 
@@ -36003,7 +36046,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36052,7 +36095,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36529,177 +36572,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "خالی پاسورڈ کی اجازت نہیں"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37107,13 +37181,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37121,23 +37196,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37150,7 +37225,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37309,128 +37384,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37485,60 +37560,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37550,7 +37625,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37561,13 +37636,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37577,30 +37652,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37610,7 +37685,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37620,24 +37695,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37646,11 +37721,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37660,19 +37735,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37682,11 +37757,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37698,11 +37773,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37713,14 +37788,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37733,20 +37808,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37760,7 +37835,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37768,7 +37843,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37777,14 +37852,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37797,19 +37872,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37819,7 +37894,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37827,7 +37902,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37835,13 +37910,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37852,7 +37927,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37865,7 +37940,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37882,7 +37957,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37905,23 +37980,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37930,7 +38005,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37939,55 +38014,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37996,7 +38071,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38004,7 +38079,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38012,7 +38087,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38020,7 +38095,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38029,7 +38104,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38038,7 +38113,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38046,14 +38121,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38061,7 +38136,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38069,28 +38144,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38099,7 +38174,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38108,7 +38183,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38117,7 +38192,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38125,7 +38200,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38137,7 +38212,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38148,7 +38223,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38156,13 +38231,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38170,7 +38245,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38183,11 +38258,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38195,11 +38270,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38208,7 +38283,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38219,7 +38294,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38229,6 +38304,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38517,29 +38598,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38902,185 +38983,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "ٹھیک ہے"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "بند"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39360,8 +39441,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39417,7 +39498,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/uz@Latn.po 5.10.0+dfsg-1/translations/calibre/uz@Latn.po
--- 5.9.0+dfsg-3/translations/calibre/uz@Latn.po	2021-01-06 15:29:20.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/uz@Latn.po	2021-01-20 15:27:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Fayl tipi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Metadata o'quvchi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Metadata yozuvchi"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Katalog generatori"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Kutubxona yopiq"
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8136,13 +8136,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8175,31 +8175,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9161,7 +9161,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10163,7 +10163,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11415,7 +11415,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11545,8 +11545,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11680,11 +11680,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11827,7 +11827,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12154,7 +12154,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12231,7 +12231,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12240,10 +12240,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12356,8 +12356,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13543,7 +13543,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13558,8 +13558,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14426,7 +14426,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14767,19 +14767,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14853,8 +14853,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14935,7 +14935,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16513,7 +16513,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16521,7 +16521,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16529,7 +16529,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16537,7 +16537,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16571,7 +16571,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -16991,77 +16991,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17069,7 +17069,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17079,7 +17079,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17094,80 +17094,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17175,90 +17184,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17266,281 +17270,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17548,48 +17574,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18045,42 +18071,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18186,87 +18212,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19164,48 +19190,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20264,7 +20306,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20423,8 +20465,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20439,14 +20481,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22659,60 +22701,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22720,57 +22762,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23612,13 +23654,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23652,7 +23694,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23933,7 +23975,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24625,7 +24667,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25194,7 +25236,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25329,7 +25371,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25339,7 +25381,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26851,7 +26893,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27142,7 +27184,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27202,95 +27244,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27947,7 +27989,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28477,7 +28520,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30711,7 +30754,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32034,7 +32077,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32661,7 +32704,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34532,68 +34575,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35047,7 +35090,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35123,13 +35166,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35294,10 +35337,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35938,7 +35981,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -35987,7 +36030,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36464,177 +36507,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37041,13 +37115,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37055,23 +37130,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37084,7 +37159,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37243,128 +37318,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37419,60 +37494,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37484,7 +37559,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37495,13 +37570,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37511,30 +37586,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37544,7 +37619,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37554,24 +37629,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37580,11 +37655,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37594,19 +37669,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37616,11 +37691,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37632,11 +37707,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37647,14 +37722,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37667,20 +37742,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37694,7 +37769,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37702,7 +37777,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37711,14 +37786,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37731,19 +37806,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37753,7 +37828,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37761,7 +37836,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37769,13 +37844,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37786,7 +37861,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37799,7 +37874,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37816,7 +37891,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37839,23 +37914,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37864,7 +37939,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37873,55 +37948,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37930,7 +38005,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37938,7 +38013,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37946,7 +38021,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37954,7 +38029,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37963,7 +38038,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37972,7 +38047,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37980,14 +38055,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -37995,7 +38070,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38003,28 +38078,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38033,7 +38108,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38042,7 +38117,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38051,7 +38126,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38059,7 +38134,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38071,7 +38146,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38082,7 +38157,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38090,13 +38165,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38104,7 +38179,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38117,11 +38192,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38129,11 +38204,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38142,7 +38217,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38153,7 +38228,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38163,6 +38238,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38451,29 +38532,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38835,185 +38916,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39293,8 +39374,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39350,7 +39431,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/ve.po 5.10.0+dfsg-1/translations/calibre/ve.po
--- 5.9.0+dfsg-3/translations/calibre/ve.po	2021-01-06 15:29:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/ve.po	2021-01-20 15:27:20.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/vi.po 5.10.0+dfsg-1/translations/calibre/vi.po
--- 5.9.0+dfsg-3/translations/calibre/vi.po	2021-01-06 15:29:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/vi.po	2021-01-20 15:26:53.000000000 +0000
@@ -19,8 +19,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -99,15 +99,15 @@ msgstr "không thực hiện thao tác n
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -128,7 +128,7 @@ msgstr "không thực hiện thao tác n
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -228,16 +228,16 @@ msgstr "không thực hiện thao tác n
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -263,7 +263,7 @@ msgstr "không thực hiện thao tác n
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -295,7 +295,7 @@ msgstr "không thực hiện thao tác n
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -314,7 +314,7 @@ msgstr "không thực hiện thao tác n
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -338,27 +338,27 @@ msgstr "Chỉnh sửa cá nhân"
 msgid "Cannot configure"
 msgstr "Không thể cấu hình"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "Kiểu tập tin"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "Đọc thông tin chi tiết"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "Bộ ghi siêu dữ liệu"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "Khởi tạo danh mục"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "Thao tác giao diện người dùng"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -370,20 +370,20 @@ msgstr "Thao tác giao diện người d
 msgid "Preferences"
 msgstr "Tùy chỉnh"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "Cửa hàng"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "kho e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "Công cụ sửa sách"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "Thư viện đã đóng"
 
@@ -405,372 +405,372 @@ msgstr "Tạo tập tin nén TXTZ khi nh
 msgid "Extract cover from comic files"
 msgstr "Trích bìa từ các tập tin truyện tranh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "Đọc thông tin mô tả từ %s tập tin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "Đọc metadata từ các e-book trong bộ lưu trữ RAR"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "Đọc metadata từ các e-book trong bộ lưu trữ ZIP"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "Thiết lập thông tin mô tả trong %s tập tin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "Đánh {0} để khiến plugin viết metadata của sách EPUB không thêm ảnh bìa vào các file EPUB không có sẵn ảnh bìa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "Thiết lập thông tin mô tả từ %s tập tin"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "Thêm sách vào chương trình chính hoặc thiết bị đang kết nối"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "Nạp chú giải từ một Kindle đang kết nối"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "Tạo danh mục tất cả các sách trong thư viện"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "Chuyển sách sang định dạng e-book khác"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "Tinh chỉnh e-book của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "Chỉnh sửa phần Danh Mục trong sách của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "Xóa sách từ thư viện của bạn hoặc các thiết bị kết nối"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "Lưu thông tin chi tiết vào tập tin sách điện tử trong thư viện của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "Biên tập dữ liệu meta của các cuốn sách trong thư viện calibre của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "Đọc sách trong thư viện calibre của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "Tải tin tức từ mạng trong dạng e-book"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "Hiển thị nhanh danh sách các sách liên quan"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "Lọc/chuyển đổi các từ khóa cho những cuốn sách trong thư viện"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "Biến đổi các tác giả trong thư viện"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "Hiện trình soạn thảo để kiểm tra biểu mẫu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "Xuất sách từ thư viện Calibre qua ổ cứng"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "Cho xem chi tiết sách trong một popup riêng"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "Khởi động lại calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "Mở thư mục chứa các tệp tin tạo sách trong thư viện calibre."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "Gửi sách đến thiết bị đang kết nối"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "Gửi sách qua email hoặc mạng. Cùng với kết nối các thư mục trên máy tính như kết nối thiết bị"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "Xem Hướng Dẫn Sử Dụng calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "Tuỳ chỉnh calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "Tìm sách tương tự với sách đang được chọn dễ hơn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "Chuyển đổi giữa các thư viện calibre khác nhau và thực hiện công tác bảo trì."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "Chép sách từ thiết bị vào thư viện calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "Chỉnh sửa các sách đã được sưu tập trong thiết bị của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "Khớp với sách trên thiết bị trong thư viện của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "Chép sách từ thư viện calibre này sang thư viện khác"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "Chỉnh sửa nội dung sách ở định dạng EPUB hoặc AZW3"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "Tìm và đánh dấu màu các kết quả trùng tiếp theo hoặc trước đó khi tìm kiếm trong thư viện calibre."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "Chọn sách bất kỳ trong thư viện calibre của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "Sắp xếp danh sách các quyển sách"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "Tạm thời đánh dấu sách"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "Chuyển sang Virtual library khác"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "Tìm sách từ các nhà bán sách khác nhau"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "Lấy plugin mới cho calibre hoặc cập nhật plugin đã có"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "Ngoại hình"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "Giao diện"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "Tùy chỉnh giao diện calibre theo ý thích của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "Hành động"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "Thay đổi cách calibre hành động"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "Thêm cột"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "Thêm/bớt cột cho danh mục sách trong calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "Thanh công cụ và menu"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "Tùy chỉnh thanh công cụ và menu ngữ cảnh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "Tìm kiếm"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "Tùy chỉnh cách tìm sách trong calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "Các thiết lập về đầu vào"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "Chuyển dạng file"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "Thiết lập các tùy chọn về chuyển đổi cho từng định dạng đầu vào"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "Các thiết lập chung"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "Thiết lập các tùy chọn chung về chuyển đổi cho tất cả các định dạng"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "Các thiết lập cho đầu ra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "Thiết lập các tùy chọn về chuyển đổi cho từng định dạng đầu ra"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "Thêm sách"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "Thiết lập cách calibre đọc thông tin mô tả khi thêm sách"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "Lưu sách vào đĩa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "Thiết lập cách calibre xuất tập tin từ cơ sở dữ liệu của nó vào đĩa khi sử dụng Lưu vào đĩa"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "Gửi sách đến thiết bị"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "Thiết lập cách calibre chuyển các tập tin đến thiết bị đọc sách"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "Quy tắc sửa thông tin miêu tả"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "Thay đổi thông tin mô tả trước khi lưu/gửi"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -780,92 +780,92 @@ msgstr "Thay đổi thông tin mô tả
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "Nâng cao"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "Tạo chức năng biểu mẫu riêng của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "Gửi qua email"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "Chia sẻ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "Thiết lập chia sẻ sách qua email. Có thể được sử dụng để tự động gửi tin được tải đến thiết bị của bạn"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "Thư viện trực tuyến"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "Tải thông tin sách"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "Thiết bị bị lược bỏ"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "Quản lý những thiết bị mà Calibre sẽ bỏ qua khi chúng kết nối với máy tính."
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "Trình cắm"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "Thêm/bớt/tùy chỉnh các chức năng nâng cao trong calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "Tinh chỉnh"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "Điều chỉnh cách calibre ứng xử trong những trường hợp khác nhau"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "Phím tắt"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "Tuỳ biến phím tắt bàn phím được calibre sử dụng"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -873,7 +873,7 @@ msgstr "Tuỳ biến phím tắt bàn ph
 msgid "Miscellaneous"
 msgstr "Khác"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "Thiết lập nâng cao khác"
 
@@ -1263,9 +1263,9 @@ msgstr "Bỏ cơ sở dữ liệu đến
 msgid "Restoring database from SQL"
 msgstr "Khôi phục lại cơ sở dữ liệu từ SQL"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1291,17 +1291,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "Đúng"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "Bìa cho %s"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "Định dạng {0} cho {1}"
@@ -1687,14 +1687,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1702,7 +1702,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1710,39 +1710,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2289,21 +2289,21 @@ msgstr "khoảng trắng"
 msgid "Invalid boolean query \"{0}\""
 msgstr "Truy vấn lôgic không hợp lệ \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "Đã nhận diện nhóm khi thực hiện truy vấn đệ quy: {0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3479,11 +3479,11 @@ msgstr "Đã gỡ bỏ %s"
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3492,12 +3492,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6052,7 +6052,7 @@ msgstr "Chú thích"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6345,7 +6345,7 @@ msgid "Producer"
 msgstr "Chủ nhiệm"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6353,7 +6353,7 @@ msgid "Comments"
 msgstr "Nội dung"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6393,7 +6393,7 @@ msgid "Tags"
 msgstr "Từ khóa"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6422,7 +6422,7 @@ msgid "Timestamp"
 msgstr "Mốc thời gian"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8148,13 +8148,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8187,31 +8187,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr "Thanh bên"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10175,7 +10175,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "Trợ giúp"
 
@@ -11427,7 +11427,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "Bỏ qua"
 
@@ -11557,8 +11557,8 @@ msgstr "Đổi"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11692,11 +11692,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11839,7 +11839,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12166,7 +12166,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12243,7 +12243,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12252,10 +12252,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "Xóa"
@@ -12368,8 +12368,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13555,7 +13555,7 @@ msgid "Ta&gs:"
 msgstr "Từ khóa:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13570,8 +13570,8 @@ msgstr "Bộ sách:"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "Danh mục các bộ sách. Bạn có thể thêm bộ sách."
@@ -14438,7 +14438,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14779,19 +14779,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14865,8 +14865,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14947,7 +14947,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16525,7 +16525,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16533,7 +16533,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16541,7 +16541,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16549,7 +16549,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16583,7 +16583,7 @@ msgid "Manage authors"
 msgstr "Quản lý tên tác giả"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "Tìm kiếm:"
@@ -17003,77 +17003,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "Đang làm việc"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "Chữ thường toàn bộ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "Chữ hoa toàn bộ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "Chữ hoa đầu mỗi từ"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17081,7 +17081,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17091,7 +17091,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17106,80 +17106,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "Tác giả: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17187,90 +17196,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "Tác giả xếp: "
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
 msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "Điểm số:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "Đổi ảnh bìa"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "Nhà x&uất bản: "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "Tạo ảnh bìa mặc định"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "Nếu chọn, thông tin nhà xuất bản sẽ bị xóa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "Xóa ảnh bìa"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "Xóa NXB"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "Thêm từ khóa:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "Xén ảnh bìa (NGUY HIỂM)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "Bớt từ khóa:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "Ngày nhập:"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "Nếu chọn, thông tin nhà xuất bản sẽ bị xóa"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "Xóa NXB"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "Ngày xuất bản:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17278,281 +17282,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "Ngày nhập:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "Ngày xuất bản:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
+msgstr "Ngôn ngữ:"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "Bớt từ khóa:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+msgid "Restore pre conversion &originals, if available"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "Thêm từ khóa:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "Tác giả: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
-msgstr "Ngôn ngữ:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "Đổi ảnh bìa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "Nhà x&uất bản: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "Tạo ảnh bìa mặc định"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "Xóa ảnh bìa"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "Tác giả xếp: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "Xén ảnh bìa (NGUY HIỂM)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "Điểm số:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "Thông tin cơ &bản"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "Thông tin bổ &sung"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "Thay bằng"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17560,48 +17586,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "Tìm kiếm và Thay thế"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18057,42 +18083,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18198,87 +18224,87 @@ msgstr "Không khôi phục được CSD
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19176,48 +19202,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20276,7 +20318,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20435,8 +20477,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20451,14 +20493,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22671,60 +22713,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22732,57 +22774,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23624,13 +23666,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "Dưới cùng"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "Trên cùng"
 
@@ -23664,7 +23706,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23945,7 +23987,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24637,7 +24679,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25206,7 +25248,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25341,7 +25383,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25351,7 +25393,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26863,7 +26905,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27154,7 +27196,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27214,95 +27256,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27959,7 +28001,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28489,7 +28532,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "Thôi"
 
@@ -30723,7 +30766,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32046,7 +32089,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32673,7 +32716,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34544,68 +34587,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35059,7 +35102,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35135,13 +35178,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35306,10 +35349,10 @@ msgid "< &Back"
 msgstr "< Trước"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "Thôi"
 
@@ -35950,7 +35993,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -35999,7 +36042,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36476,177 +36519,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "Không được phép dùng mật mã trống"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37053,13 +37127,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37067,23 +37142,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37096,7 +37171,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37255,128 +37330,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37431,60 +37506,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37496,7 +37571,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37507,13 +37582,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37523,30 +37598,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37556,7 +37631,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37566,24 +37641,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37592,11 +37667,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37606,19 +37681,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37628,11 +37703,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37644,11 +37719,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37659,14 +37734,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37679,20 +37754,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37706,7 +37781,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37714,7 +37789,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37723,14 +37798,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37743,19 +37818,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37765,7 +37840,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37773,7 +37848,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37781,13 +37856,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37798,7 +37873,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37811,7 +37886,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37828,7 +37903,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37851,23 +37926,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37876,7 +37951,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37885,55 +37960,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37942,7 +38017,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37950,7 +38025,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37958,7 +38033,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37966,7 +38041,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37975,7 +38050,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37984,7 +38059,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37992,14 +38067,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38007,7 +38082,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38015,28 +38090,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38045,7 +38120,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38054,7 +38129,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38063,7 +38138,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38071,7 +38146,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38083,7 +38158,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38094,7 +38169,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38102,13 +38177,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38116,7 +38191,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38129,11 +38204,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38141,11 +38216,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38154,7 +38229,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38165,7 +38240,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38175,6 +38250,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38463,29 +38544,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38847,185 +38928,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr "Không tải file CSS."
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "Lưu toàn bộ"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "Mở"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "Có"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "Có cho tất cả"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "Không"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "Không cho tất cả"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "Hủy lệnh"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "Thử lại"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "Đóng"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "Áp dụng"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "Đặt lại"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "Trở Lại Mặc Định"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "Mẫu"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39305,8 +39386,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39362,7 +39443,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/wa.po 5.10.0+dfsg-1/translations/calibre/wa.po
--- 5.9.0+dfsg-3/translations/calibre/wa.po	2021-01-06 15:29:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/wa.po	2021-01-20 15:27:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/xh.po 5.10.0+dfsg-1/translations/calibre/xh.po
--- 5.9.0+dfsg-3/translations/calibre/xh.po	2021-01-06 15:30:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/xh.po	2021-01-20 15:26:48.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/yi.po 5.10.0+dfsg-1/translations/calibre/yi.po
--- 5.9.0+dfsg-3/translations/calibre/yi.po	2021-01-06 15:30:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/yi.po	2021-01-20 15:27:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -87,15 +87,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -116,7 +116,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -216,16 +216,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -251,7 +251,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -283,7 +283,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -302,7 +302,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -326,27 +326,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "פֿײַל(File) גרופּע"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -358,20 +358,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -393,372 +393,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -768,92 +768,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -861,7 +861,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1251,9 +1251,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1279,17 +1279,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1675,14 +1675,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1690,7 +1690,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1698,39 +1698,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2277,21 +2277,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3467,11 +3467,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3480,12 +3480,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6040,7 +6040,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6333,7 +6333,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6341,7 +6341,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6381,7 +6381,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8141,13 +8141,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8180,31 +8180,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9173,7 +9173,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10182,7 +10182,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11441,7 +11441,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11571,8 +11571,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11706,11 +11706,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11853,7 +11853,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12180,7 +12180,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12257,7 +12257,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12266,10 +12266,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12382,8 +12382,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13569,7 +13569,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13584,8 +13584,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14452,7 +14452,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14793,19 +14793,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14879,8 +14879,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14961,7 +14961,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16541,7 +16541,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16549,7 +16549,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16557,7 +16557,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16565,7 +16565,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16599,7 +16599,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17020,78 +17020,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17099,7 +17099,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17109,7 +17109,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17124,80 +17124,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17205,90 +17214,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17296,281 +17300,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17578,48 +17604,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18075,42 +18101,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18216,87 +18242,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19194,48 +19220,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20299,7 +20341,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20458,8 +20500,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20476,14 +20518,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22703,60 +22745,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22764,57 +22806,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23656,13 +23698,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23696,7 +23738,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23977,7 +24019,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24669,7 +24711,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25238,7 +25280,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25373,7 +25415,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25384,7 +25426,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26897,7 +26939,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27188,7 +27230,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27248,95 +27290,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27993,7 +28035,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28524,7 +28567,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30762,7 +30805,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32089,7 +32132,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32716,7 +32759,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34590,71 +34633,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35108,7 +35151,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35184,13 +35227,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35355,10 +35398,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35999,7 +36042,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36048,7 +36091,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36525,177 +36568,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37103,13 +37177,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37117,23 +37192,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37146,7 +37221,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37305,128 +37380,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37481,60 +37556,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37546,7 +37621,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37557,13 +37632,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37573,30 +37648,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37606,7 +37681,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37616,24 +37691,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37642,11 +37717,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37656,19 +37731,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37678,11 +37753,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37694,11 +37769,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37709,14 +37784,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37729,20 +37804,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37756,7 +37831,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37764,7 +37839,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37773,14 +37848,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37793,19 +37868,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37815,7 +37890,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37823,7 +37898,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37831,13 +37906,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37848,7 +37923,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37861,7 +37936,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37878,7 +37953,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37901,23 +37976,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37926,7 +38001,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37935,55 +38010,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37992,7 +38067,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38000,7 +38075,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38008,7 +38083,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38016,7 +38091,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38025,7 +38100,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38034,7 +38109,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38042,14 +38117,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38057,7 +38132,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38065,28 +38140,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38095,7 +38170,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38104,7 +38179,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38113,7 +38188,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38121,7 +38196,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38133,7 +38208,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38144,7 +38219,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38152,13 +38227,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38166,7 +38241,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38179,11 +38254,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38191,11 +38266,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38204,7 +38279,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38215,7 +38290,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38225,6 +38300,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38513,29 +38594,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38898,185 +38979,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39356,8 +39437,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39413,7 +39494,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/zh_CN.po 5.10.0+dfsg-1/translations/calibre/zh_CN.po
--- 5.9.0+dfsg-3/translations/calibre/zh_CN.po	2021-01-06 15:29:20.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/zh_CN.po	2021-01-20 15:27:14.000000000 +0000
@@ -91,9 +91,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-05 07:23+0000\n"
-"Last-Translator: 小恐龙 <lhgtop@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -171,15 +171,15 @@ msgstr "不做修改"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -200,7 +200,7 @@ msgstr "不做修改"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -300,16 +300,16 @@ msgstr "不做修改"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -335,7 +335,7 @@ msgstr "不做修改"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -367,7 +367,7 @@ msgstr "不做修改"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -386,7 +386,7 @@ msgstr "不做修改"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -410,27 +410,27 @@ msgstr "自定义"
 msgid "Cannot configure"
 msgstr "无法配置"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "文件类型"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "读取元数据"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "生成元数据"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "编写目录"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "用户界面操作"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -442,20 +442,20 @@ msgstr "用户界面操作"
 msgid "Preferences"
 msgstr "首选项"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "存储"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "电子书商店"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "书籍编辑工具"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "书库已关闭"
 
@@ -477,372 +477,372 @@ msgstr "当导入的文本文档包含
 msgid "Extract cover from comic files"
 msgstr "从漫画文件中提取封面"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "从 %s 文件中读取元数据"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "读取 RAR 压缩文档中电子书的元数据"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "读取 ZIP 压缩文档中电子书的元数据"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "设置 %s 文件的元数据"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "输入一下的 {0} 让EPUB元数据写入插件不会为没有封面图片的EPUB文件添加封面。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "从 %s 文件设置元数据"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "添加书籍到 calibre 或者已连接的设备上"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "读取已连接 Kindle 中的注释 ( 测试功能 )"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "为 calibre 书库的书籍编制书目"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "将书籍转换成多种电子书格式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "对电子书进行精细调整"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr "浏览书库中所有图书的突出显示和书签"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "编辑目录"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "删除 calibre 书库或设备中的书籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "将新的元数据写入 calibre 书库中书籍的原文件"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "编辑 calibre 书库中书籍的元数据"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "阅读 calibre 书库中的书籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "从网上下载电子表格格式新闻"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "显示相关书籍列表"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "为 calibre 书库中的书籍匹配标签"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "将书籍作者转化到书库"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "打开测试模板编辑器"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr "显示用于创建和管理模板功能和存储模板的对话框"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "导出 calibre 书库中的书籍至硬盘"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "以独立弹窗显示书籍详细信息"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "重启 calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "打开书籍所在目录"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "将电子书发送到已连接设备"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "通过电子邮件或网络发送书籍。还可以连接到计算机上好像它们是设备一样的文件夹。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "浏览 calibre 用户手册"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "自定义 calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "查找同类书籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "切换 calibre 书库并进行维护"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "复制设备中的书籍到 calibre 书库"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "编辑本地书集"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "将设备中的书籍同步至书库"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr "显示calibre 书库中与该书匹配 的书籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "复制书籍到另一书库"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "编辑 EPUB 或 AZW3 格式的电子书籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "少量修改 calibre 书库中的 EPUB 或 HTMLZ 文件"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "搜索 calibre 书库时，高亮前后匹配项"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "从书库中随机抽选一本书"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "以列表方式排列书籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "临时标记书籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "更改当前的虚拟库"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "从不同的书商寻找书籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "获取新的 calibre 插件或更新当前的插件"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "界面外观"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "界面"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "自定义 calibre 外观"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "操作方式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "自定义 calibre 的工作方式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "添加栏目"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "向 calibre 书籍列表中添加或删除你自定义的栏目"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "工具栏&菜单"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "自定义工具栏和弹出菜单的功能"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "搜索"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "自定义 calibre 中书籍的搜索方式。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "输入格式选项"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "转换"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "设定特定输入格式的转换选项"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "通用选项"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "应用通用转换选项到所有格式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "输出格式选项"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "设定特定输出格式的转换选项"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "添加书籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "导入/导出"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "设定添加书籍时读取文件元数据的方式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "保存书籍至磁盘"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "设置使用“保存到磁盘”功能时 calibre 从数据库导出文件的方式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "发送书籍到设备"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "控制 calibre 如何传输文件到你的电子书阅读器"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "元数据控制面板"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "保存或发送前更改元数据字段"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -852,92 +852,92 @@ msgstr "保存或发送前更改元数
 msgid "Template functions"
 msgstr "模板函数"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "高级选项"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "建立你自己的模板函数。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "通过邮件分享"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "分享"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "设置通过电子邮件分享书籍。可用于向阅读器下载新内容时自动发送通知。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "通过网络分享"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "设置 calibre 内容服务器以便通过网络在任何设备和地点访问 calibre 书库。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "元数据下载"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "设置 calibre 从网络上下载元数据的方式。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "忽略的设备"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "设置将被 calibre 忽略的连接到计算机的设备。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "插件"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "添加/删除/自定义各种 calibre 功能"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "优化调整"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "微调 calibre 在各种情况下的操作"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "快捷键"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "自定义 calibre 键盘快捷键"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -945,7 +945,7 @@ msgstr "自定义 calibre 键盘快捷
 msgid "Miscellaneous"
 msgstr "杂项"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "其它高级选项"
 
@@ -1335,9 +1335,9 @@ msgstr "保存 SQL 数据库文件"
 msgid "Restoring database from SQL"
 msgstr "加载 SQL 数据库文件"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1363,17 +1363,17 @@ msgstr "保存搜索结果"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "是"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "%s 的封面"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} 转格式为 {1}"
@@ -1759,14 +1759,14 @@ msgstr "选定此项将关闭此操作
 msgid "You must specify some ids or the %s option"
 msgstr "你必须指定一个 id 或 %s 选项"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [选项]\n\n列出 calibre 数据库中可用书籍。\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1774,7 +1774,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr "在列出数据库中书籍时要显示的字段。应该是逗号分隔的字段列表。\n可用字段： %s\n默认值：%%default。特殊字段“all”可用于选择所有字段。除了上述内置字段之外，自定义字段还等价于*field_name，例如，对于自定义字段#rating，使用名称：*rating"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1782,39 +1782,39 @@ msgid ""
 "Default: {1}"
 msgstr "排序结果的字段。\n可用字段：{0}\n默认值：{1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "升序排列结果"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "通过搜索请求过滤结果。对于每个搜索请求的格式，请参见用户手册中搜索相关的文档。默认为不做过滤。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "输出中单行宽度最大值。默认检测屏幕大小。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "分隔各个字段的字符串。默认是空格。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "所有文件路径前缀。默认为书库目录绝对路径。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "结果显示的最大数目。默认：全部"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2361,21 +2361,21 @@ msgstr "空白"
 msgid "Invalid boolean query \"{0}\""
 msgstr "无效的布尔查询 \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr "没有这样的虚拟书库：{}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "虚拟书库是递归搜索: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "递归查询组检测：{0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3551,11 +3551,11 @@ msgstr "已移除 %s"
 msgid "All books removed"
 msgstr "已移除所有书籍"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "未命名设备"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3564,12 +3564,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "设备{0}不允许连接。解锁在{0}上的屏幕,  在任何你看到的连接弹出消息请点击\"允许\", 然后等待一分钟或重新启动 calibre。您可能还必须将{0}上的 USB 连接模式更改为 \"媒体传输模式(MTP)\" 或类似的方式。"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "未知的 MTP 设备"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6124,7 +6124,7 @@ msgstr "描述"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6417,7 +6417,7 @@ msgid "Producer"
 msgstr "出品人"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6425,7 +6425,7 @@ msgid "Comments"
 msgstr "注释"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6465,7 +6465,7 @@ msgid "Tags"
 msgstr "标签"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6494,7 +6494,7 @@ msgid "Timestamp"
 msgstr "时间戳"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8220,13 +8220,13 @@ msgstr "将EPUB版本从2更新到3"
 msgid "HTML TOC generation options."
 msgstr "HTML 目录生成选项。"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr "<em>{0}</em> 中的第 {1} 项"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8259,31 +8259,31 @@ msgstr "如果分页信息存在则生
 msgid "Sidebar"
 msgstr "侧边栏"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "添加页眉和页脚"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "已添加页眉和页脚"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr "解析所有内容以进行标记转换"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr "已完成的标记转换"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr "将所有HTML渲染为PDF"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr "已添加链接至PDF中"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr "已更新PDF中的元数据"
 
@@ -9245,7 +9245,7 @@ msgstr "你的 calibre 书库数据库
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10247,7 +10247,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "帮助"
 
@@ -11499,7 +11499,7 @@ msgid "Errors while adding"
 msgstr "加入文件时出错"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "忽略"
 
@@ -11629,8 +11629,8 @@ msgstr "更改"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11764,11 +11764,11 @@ msgid "Search the internet for this book
 msgstr "在网上搜索这本书"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "管理 %s"
@@ -11911,7 +11911,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12238,7 +12238,7 @@ msgid "Preset name:"
 msgstr "预设名称："
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "你必须提供一个名称。"
 
@@ -12315,7 +12315,7 @@ msgid "Save current catalog settings as
 msgstr "保存当前书目设置为预设"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "保存"
 
@@ -12324,10 +12324,10 @@ msgid "Delete current preset"
 msgstr "删除当前预设"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "删除"
@@ -12440,8 +12440,8 @@ msgstr "重设为默认值"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13627,7 +13627,7 @@ msgid "Ta&gs:"
 msgstr "标签(&G)："
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13642,8 +13642,8 @@ msgstr "丛书(&S)："
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "现有丛书列表。你可以添加新的丛书。"
@@ -14510,7 +14510,7 @@ msgid "Choose color"
 msgstr "选择颜色"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14851,19 +14851,19 @@ msgid "Edit style transform rules"
 msgstr "编辑样式转换规则"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "导出(&X)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "导出规则到文件"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14937,8 +14937,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -15019,7 +15019,7 @@ msgid ""
 msgstr "丛书系列通常会从该系列数据库中最高的数字重新编号。选中此选项将告诉 calibre 从选框中的值开始编号。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16597,7 +16597,7 @@ msgid "Change case"
 msgstr "大小写转换"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16605,7 +16605,7 @@ msgid "Upper case"
 msgstr "大写字母"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16613,7 +16613,7 @@ msgid "Lower case"
 msgstr "小写"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16621,7 +16621,7 @@ msgid "Swap case"
 msgstr "转换大小写"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16655,7 +16655,7 @@ msgid "Manage authors"
 msgstr "管理作者"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "搜索(&S)："
@@ -17075,77 +17075,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] "隐藏其余 {} 个错误信息"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "执行中"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "正在处理 %d 本图书，请稍候..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "当前步骤进度: %p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "步骤 %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "小写"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "大写"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "标题大写"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "字符匹配"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "正则表达式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "替换字段"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "前置到字段"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "追加到字段"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] "编辑 {} 本书籍的元数据"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "不关闭对话框立即应用更改。此操作无法撤销。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "书籍 %d："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "输入书号类型"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17153,7 +17153,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>可用此功能删除书库。</b> 此操作无法撤销。在继续前强烈建议你备份书库。<p>使用文字匹配或正则表达式进行搜索替换。 "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17163,7 +17163,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr "在字符模式下，将在字段中搜索输入的搜索文本。在指定字段中任何位置找到的该文本，都会用指定文本替换该文本。替换完成后，可以将文本更改为大写、小写或标题大写。如果勾选区分大小写复选框，则搜索文本必须完全匹配。如果未勾选，则搜索文本将同时匹配大写和小写字母"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17178,80 +17178,89 @@ msgid ""
 "function."
 msgstr "在正则表达式模式下，搜索文本是一个任意的兼容Python的正则表达式。替换文本可以包含对模式中括号表达式的后置引用。搜索不是锚定的，可以在同一个字符串上匹配和替换多次。修改函数（小写等）应用于匹配的文本，而不是整个字段。目标框指定要在匹配和替换之后分配结果的字段。您可以替换字段中的文本，或准备或追加匹配的文本。参见<a href=\"https://docs.python.org/library/re.html\">此引用</a>，了解更多关于Python正则表达式的信息，尤其是“sub”函数。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R 模板错误"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr "当源是构造字段或模板时，你必须指定一个目标"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr "评分栏的替换值必须为空或为 0 到 10 的整数"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "你必须为目标指定一个书号类型"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr "你必须在“搜索”字段中指定搜索表达式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "无效的标识字串。必须为使用冒号分隔的字串，以逗号分隔的列表。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "查找/替换无效"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "查找/替换无效：%s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "删除已保存搜索/替换条件"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "选中的已保存搜索/替换条件将被删除。确定吗？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "保存搜索／替换条件"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "搜索/替换名称："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "指定的已保存搜索/替换条件已经存在并将被覆盖。确定吗？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "编辑元数据信息"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr "申请日期(&p)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "作者(&A): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17259,90 +17268,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr "这将使得每个选中书籍的排序作者字段自动更新为作者字段。注意，如果你在上面的文本框中批量设置了作者，那么不管你是否选中，排序作者字段会随之更新。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "自动设置排序作者字段值(&U)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "交换标题和作者(&W)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "根据当前的标题更新排序标题字段的值。这个操作会在其它针对标题的操作完成后进行。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "排序作者(&O)： "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "更新排序标题(&T)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "指定如何按书籍作者姓名排序。如 Charles Dickens 会被作为 Dickens, Charles 进行排序。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "更换封面(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "星级(&R)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "生成默认封面(&G)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr "应用评分(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "移除封面(&R)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "出版商(&P)： "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "尝试自动检测并裁切封面图片的边框。此操作有可能会误裁切，因此请\n谨慎使用。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "如果选中，出版商会被清除。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "裁切封面 (危险操作)(&T)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr "清除出版商(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "从电子书文件设置(&E)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "添加标签(&G)： "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr "把选中的第一本书籍的封面设为选中的所有书籍的封面。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "打开标签编辑器"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "克隆封面(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "移除标签(&R)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "把标题设置为各单词首字母大写。如果本选项与“对调作者和书名”被同时选中，\n会先对调作者和书名，然后再设置首字母大写。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "删除多个标签, 标签列表由逗号分割. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "更改标题大写到(&T):"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "勾选此框将从书籍中移除所有标签。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "日期(&D)："
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "全部删除(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "如果选中，出版商会被清除。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "系列(&I):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr "清除出版商(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "如果勾选了，丛书将被清除"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "出版日期(U):"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "清除丛书(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17350,126 +17354,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "如未勾选，则书籍的丛书编号会被设为 1。\n如勾选了，则同丛书中的书籍将会自动以它们被选定时的顺序编号。\n例如你先选中了 A，然后选中 B，则 A 的丛书编号将是 1，而 B 的编号是 2。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "自动为同一丛书中的书藉编号(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "通常情况下丛书编号会接续当前书库中同系列书籍的最大编号继续编号。选中这个选项后 calibre 将从你指定的编号开始继续编号。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "强制起始编号值(&F)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "如果勾选了，丛书将被清除"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "清除丛书(&C)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr "设置默认封面的生成方式"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr "封面生成设置(V)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
-msgstr "为所选书籍编辑注释"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "移除标签(&R)："
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "全部删除(&A)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "添加标签(&G)： "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "日期(&D)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "指定如何按书籍作者姓名排序。如 Charles Dickens 会被作为 Dickens, Charles 进行排序。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
+msgstr "申请日期(&p)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr "应用评分(&A)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "出版日期(U):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "清除出版日期"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "作者(&A): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "语言(&L)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "出版商(&P)： "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "删除多个标签, 标签列表由逗号分割. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "打开标签编辑器"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "排序作者(&O)： "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr "在与每本书相关联的电子书文件中的元数据中设置 calibre 中的元数据。请注意，这不会改变封面，因此，使用下面的独立选项。"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr "从电子书文件中设置元数据(除了封面)(&M)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "系列(&I):"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "删除针对已选择书籍的格式转换设置。\n\n以后再对这些书籍进行格式转换时将采用默认设置。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "删除已选择书籍的格式转换设置(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17478,153 +17417,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "当进行同格式转换操作时，例如 EPUB 转 EPUB，calibre 将\n生成一个原来的 EPUB 备份文件 ORIGINAL_EPUB。\n as ORIGINAL_EPUB. This option tells calibre to restore\n the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n conversion of a large number of books and something went wrong."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "可能的话还原转换前的文件(&O)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "勾选此框将从书籍中移除所有标签。"
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "星级(&R)："
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "把标题设置为各单词首字母大写。如果本选项与“对调作者和书名”被同时选中，\n会先对调作者和书名，然后再设置首字母大写。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "更改标题大写到(&T):"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "根据当前的标题更新排序标题字段的值。这个操作会在其它针对标题的操作完成后进行。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "更新排序标题(&T)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr "在与每本书相关联的电子书文件中的元数据中设置 calibre 中的元数据。请注意，这不会改变封面，因此，使用下面的独立选项。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr "从电子书文件中设置元数据(除了封面)(&M)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "更换封面(&C)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "生成默认封面(&G)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "移除封面(&R)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "尝试自动检测并裁切封面图片的边框。此操作有可能会误裁切，因此请\n谨慎使用。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "裁切封面 (危险操作)(&T)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "从电子书文件设置(&E)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr "把选中的第一本书籍的封面设为选中的所有书籍的封面。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "克隆封面(&C)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr "设置默认封面的生成方式"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr "封面生成设置(V)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr "为所选书籍编辑注释"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "基本元数据(&B)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "自定义元数据(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr "载入搜索/替换(&L):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "选择要加载的已保存搜索/替换设置。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "保存当前的搜索/替换设置"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "保存(&V)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "搜索范围(&F):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "输入你希望查找的字段名称"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "搜索模式(&M):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "选择是使用基本文本匹配还是使用高级正则表达式匹配"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr "标识符类型(&I):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "选择你要进行操作的书号类型"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "模板(&T)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "输入作为搜索/替换原文的模板"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "在此输入你要查找的内容，根据模式可以是纯文本或者正则表达式。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "如果你查找的字串需要精确区分大小写的话，请勾选此框。不勾选则表示忽略大小写。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "区分大小写(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "替换为(&R)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "要替换成的文本。匹配搜索/替换条件的文本会被替换成这个字符串。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "替换后应用函数处理(&A)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "指定在匹配与替换后对文本的处理方式。在字符模式下，处理对像是整个字段的值。在正则表达式模式下，处理对象是匹配到的文本。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "目标字段(&D)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "指定保存替换后的文本的字段。\n如果留空，源字段如果可修改的话，值会保存到源字段中。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "模式(&O):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "指定文本要如何复制到目标。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "指定处理完成后的结果应当拆分成多个值还是\n保留为一个值。本选项适用于源字段是单个值，\n而目的字段是多个值的情况。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "拆分结果(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "书号类型："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17632,48 +17658,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr "<p>选择上面要运行的标识符类型。当源字段不是“标识符”时，如果你希望用搜索/替换的结果替换整个标识符集，可以输入*。</p>"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "对于多值字段，显示(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr "个值(&U)起始于"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "个值，值与值之间的分隔符为(&Y)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "用于显示结果被拆分成多值字段的情况"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "测试文本"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "测试结果"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr "你的测试(&T):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "搜索替换(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr "如果启用，图书列表将被重新排序，并且在编辑完成后将刷新\n任何现有的搜索或虚拟库。这在大型书库上可能会很慢。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "编辑后刷新书籍列表(&R)"
 
@@ -18129,42 +18155,42 @@ msgstr "在电子书阅读器中打开
 msgid "&Item: {0} ({1})"
 msgstr "项目(&I)：{0} ({1})"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr "单击可仅显示包含此条目的书籍。双击以在标签浏览器中搜索此条目"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**未找到匹配项**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "点击书籍列表中的某个列查看相关书籍的信息"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr "与选定项目 \"{0}\" 的书籍: {1}(&B)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr "填充表格时出了点问题。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr "快速查看：书籍不在库预览中"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18270,87 +18296,87 @@ msgstr "还原数据库失败，点击
 msgid "Failed to repair library"
 msgstr "修复书库失败"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "添加一个新的保存搜索"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr "您可以在此处为常用搜索创建<i>保存的搜索</i>。使用您在此指定的名称，搜索将显示在标签浏览器中的<i>保存的搜索</i>下。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "保存搜索的名称"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "搜索(&S):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "搜索表达式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr "无搜索名称"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr "你必须为保存搜索指定名称"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "无搜索表达式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "你必须为保存搜索指定搜索表达式。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "无效的保存搜索"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "管理已存搜索数据"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "新增搜索(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "移除搜索(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "编辑搜索(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "当前保存的查找会被<b>永久的删除</b>。你确定要这样做吗？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr "编辑下面的名称和/或表达式。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr "编辑保存搜索"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr "已存在名称为 {} 的已保存搜索。选择其他名称"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr "搜索表达式"
 
@@ -19248,48 +19274,64 @@ msgstr "标签 1"
 msgid "Tag 2"
 msgstr "标签 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "模板语言教程"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "模板函数参考"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr "选择图标"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "异常： "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "未选择列"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "你必须指定一个需要被配色的列"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "未提供模板"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "模板框不能为空"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20348,7 +20390,7 @@ msgstr "按名称查找键盘快捷键"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "无匹配项"
 
@@ -20507,8 +20549,8 @@ msgid "Show in calibre"
 msgstr "在 calibre中显示"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "编辑注释"
 
@@ -20523,14 +20565,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr "全部展开"
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "收缩全部"
 
@@ -22743,60 +22785,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "添加规则(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "删除规则(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "上移选中的规则"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "上移选中的规则"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr "添加高级选项规则(&V)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "从文件导入规则"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "你可以通过创建“规则”来调整书籍列表中列的颜色。告诉 calibre 要使用什么颜色。点击“添加规则”按钮开始设置规则。<p>你可以双击这它<b>更改现有规则</b>。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr "你可以在书籍列表中增加栏目图标，通过创建“规则”告诉 calibre 使用什么样的图标。单击下面的添加规则按钮开始创建。<p>你可以通过双击它来<b>修改现有的规则</b>。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22804,57 +22846,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr "你可以通过创建规则在封面窗格视图中显示的封面旁边添加徽标（小图标），这些规则可告诉 calibre 使用什么图像。点击下面的“添加规则”按钮开始操作。<p>你可以双击<b>更改现有规则</b>。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr "封面旁边显示徽标(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr "如果选中，你可以告诉 calibre 在封面旁边的网格中显示你选择的图标，该封面由书籍的元数据控制。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "没有选择规则"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "没有为 %s 选择规则"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "删除"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr "选择导出文件"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "规则"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr "选择导入文件"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr "未找到有效的规则"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr "在 {} 中未找到有效的规则。"
 
@@ -23696,13 +23738,13 @@ msgstr "无字幕"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "底部"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "顶部"
 
@@ -23736,7 +23778,7 @@ msgid "If there is enough room"
 msgstr "仅当空间足够时"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "首字母"
 
@@ -24017,7 +24059,7 @@ msgid ""
 msgstr "calibre 使用两种缓存来提高在窗格视图中渲染封面的性能：硬盘上存储缩略图的缓存以及内存中的缓存，用来确保平滑的渲染。为获得最佳效果，确保内存缓存较小而磁盘缓存较大，除非你的计算机上有很多空闲内存，而不介意作为内存缓存使用。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "禁用"
 
@@ -24709,8 +24751,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "设置当 calibre 把书籍保存到磁盘或发送到设备时更新书籍元数据的规则。\n\n通过本对话框中的设置，可以为某种文件格式（或所有格式）与某种设备（或所有设备）定义元数据映射规则。这个规则定义了某个元数据字段值的模板。这个模板的值将被保存到指定的元数据字段中。\n\n通常情况下，这里使用的模板会是多个字段值的组合，但这也不是必须的。你可以使用任何在 calibre 中所通用的模板。\n\n元数据映射规则可以用于改变书籍标题，使它包含丛书信息。对于 Kindle 用户来说，MOBI 文件要求在“排序作者”字段中用 ';' 分隔符，也可以用元数据映射规则来实现这样的转换。它还可以用于指定书籍的语言。"
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25278,7 +25320,7 @@ msgid ""
 msgstr "要求用户名/密码可防止未经授权的人访问你的 calibre 库。对于某些功能 (如对库进行任何更改以及最后读取位置/注释同步) 也需要这样做。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr "更改 {} 的密码"
 
@@ -25413,7 +25455,7 @@ msgid "Change &password"
 msgstr "更改密码(&P)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] "{} 目前只允许访问书库名称为 ： {}"
@@ -25423,7 +25465,7 @@ msgid "Change the allowed libraries"
 msgstr "更改允许的库"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] "{} 目前不允许访问书库名称为： {} "
@@ -26935,7 +26977,7 @@ msgid "Books in this category are unrate
 msgstr "在此分类的书籍未评分"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "搜索表达式:"
 
@@ -27226,7 +27268,7 @@ msgstr "虚拟书库中重命名%s"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "重命名 %s"
@@ -27286,95 +27328,95 @@ msgstr "删除已保存的搜索 %s"
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "移除%(cat)s分类的%(item)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "查找除%s外的所有信息"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "使用保存的搜索表达式搜索"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "添加子分类到%s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "删除用户分类 %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "在%s分类中搜索书籍"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "在%s分类以外搜索书籍"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "隐藏%s分类"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "更改分类图标"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "恢复默认图标"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "管理用户分类数据"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "编辑子分类模式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "分区"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "首字母只在按名称排序时可用"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -28031,7 +28073,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "下列书籍已经被转换到 %s 格式。你要重新转换它们吗？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28561,7 +28604,7 @@ msgid ""
 msgstr "当您完成编辑 {0} 后请点击 \"导入\" 来更新该书籍的文件，或点击 \"放弃\" 以回到修改前的状态。"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "放弃"
 
@@ -30795,7 +30838,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>斜体</h3>将选择的文字设为斜体"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "下划线(&U)"
 
@@ -32118,7 +32161,7 @@ msgid "Disabled confirmations restored"
 msgstr "禁用确认恢复"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "渲染程序未响应"
 
@@ -32745,7 +32788,7 @@ msgid "Export saved searches"
 msgstr "导出保存搜索"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "导出"
 
@@ -34616,68 +34659,68 @@ msgstr "calibre突出显示"
 msgid "highlights"
 msgstr "突出显示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr "编辑该突出显示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr "为此突出显示编辑注释"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] "删除选定的高亮显示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] "目录章节："
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr "双击可跳转到一个条目"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr "修改"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr "编辑该选定的高亮显示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr "删除选定的高亮显示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr "导出所有突出显示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr "没有与搜索匹配的高亮显示：{}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr "没有选定的高亮显示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr "当前未选择任何高亮显示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] "你确认要永久删除所有 {} 突出显示区域么？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr "没有高亮显示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr "此书没有要导出的突出显示"
 
@@ -35111,7 +35154,7 @@ msgstr "选择您要对工具栏进行
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/tts.py:18
 msgid "Configure Read aloud"
-msgstr ""
+msgstr "配置朗读功能"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/tts.py:83
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/tts.py:90
@@ -35131,7 +35174,7 @@ msgid "E-book viewer"
 msgstr "电子书查看器"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr "滚动到此处"
 
@@ -35207,13 +35250,13 @@ msgstr "无法加载书籍"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "无法打开位于 {0} 的书籍，点击“查看详情”获取更多信息。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Qt WebEngine渲染进程已崩溃。您应该尝试重新启动查看器。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "选择背景图片"
 
@@ -35378,10 +35421,10 @@ msgid "< &Back"
 msgstr "< 上一步(&B)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "取消"
 
@@ -36022,8 +36065,8 @@ msgid "No genres to catalog.\n"
 msgstr "无类别到书目。\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "请选中电子书选项中的“排除的类别”正则表达式。\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36071,8 +36114,8 @@ msgstr "排序标题"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "书目中无书籍。\n请检查电子书选项中的“排除书籍”规则。\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36548,177 +36591,208 @@ msgstr "完整界面可以提供给你
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr "{0}不是有效的IP地址/网络，错误为：{1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "你想做什么？"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "默认"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr "没有选择，退出…"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr "%s 是无效的选择，请重试"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "已存在用户姓名："
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "还没有用户，请先添加用户"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "用户 %s 不存在"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "输入用户名："
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "输入 %s 的新密码："
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "密码不能为空"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "再次输入 %s 的新密码："
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "密码不匹配"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "用户 %s 添加成功！"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "你真的要删除用户 %s 吗？"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "用户 %s 删除成功！"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "用户 %s  的密码修改成功！"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "{0}的当前密码是: {1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr "允许 {} 进行更改（即授予写入权限）"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr "要防止 {} 进行更改（即移除写入权限）"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr "{} 有以下额外的每库限制:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr "{} 没有额外的每库限制"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr "允许访问所有库"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr "仅允许访问指定的库"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr "除了指定的库允许访问所有"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr "更改每个库的限制"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr "输入库的名称:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr "输入搜索表达式，将只授予访问与此表达式匹配的书籍。空表达式将授予对所有图书的访问权限。"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr "另一个限制？"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr "输入一个以逗号分隔的库名称列表:"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr "仅允许访问库: {}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr "允许访问所有库,除去{}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr "显示{}的密码"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr "更改 {} 的读/写权限"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr "更改允许访问的库{}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr "{0} 有 {1} 访问"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "读-写"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "只读"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "新增用户"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "编辑已有用户"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "移除用户"
 
@@ -37125,13 +37199,14 @@ msgid ""
 msgstr "当源代码更改时自动重新加载服务器。有利于开发。还应该为关闭超时指定一个小值。"
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
-msgstr "管理允许连接到该服务器的用户的数据库。也请参阅%s选项。"
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37139,23 +37214,23 @@ msgid ""
 "at: {1}"
 msgstr "用于身份验证的用户数据库路径。数据库是SQLite文件。使用{0}创建它。您可以阅读以下更多关于管理用户的信息：{1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr "另一个诸如{}实例的 calibre 程序或主 calibre 程序正在运行。不支持同一时间运行对 calibre 库进行更改的多个程序。"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr "用户终止"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr "%s 中找不到 calibre 书库"
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr "你必须指定至少一个 calibre 书库"
 
@@ -37168,7 +37243,7 @@ msgid "Enum"
 msgstr "枚举"
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "无效的语法。期待出现查找名称或一个单词"
 
@@ -37327,128 +37402,128 @@ msgstr "设置和插件"
 msgid "File is open in another process"
 msgstr "文件已经被其它程序调用"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr "未能扫描程序。无效输入 {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr "语法错误 - 程序在 EOF 之前结束"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr "if语句中缺少“then”"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr "if语句中缺少“fi”"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr "未知函数 {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr "缺少右括号"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr "表达式不是函数或者常量"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr "字符串比较时出错。运算符 {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr "比较中使用的值不是数字。运算符 {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr "未知标识符 {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr "未知字段 {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr "计算表达式时出现内部错误"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "格式：类型 {0} 需要整数值，得到 {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "格式：类型 {0} 需要十进制 (浮点) 值，得 {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s：未知函数"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37503,60 +37578,60 @@ msgstr "strlen(a) -- 返回作为参数
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
-msgstr "add(x, y) -- 返回 x + y. 如果x或y不是数字, 则弹出异常."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr "subtract(x, y) -- 返回x - y。如果x或y不是数字，则抛出异常。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
-msgstr "multiply(x, y) -- 返回x的y次方。如果x或y不是数字，返回异常。"
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr "divide(x, y) -- 返回 x / y. 如果x或y不是数字，则抛出异常。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr "ceiling(x) -- 返回大于或等于x的最小整数。如果x不是数字，则引发异常。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr "floor(x) -- 返回小于或等于x的最大整数。如果x不是数字，则引发异常。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr "round(x) -- 返回最接近x的整数即x圆整。如果x不是数字，则引发异常。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr "mod(x) -- 返回x/y的余数，其中x、y和结果都是整数。如果x或y不是数字，则引发异常。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr "fractional_part(x) -- 返回小数点后的值。例如，fractional_part（3.14）返回0.14。如果x不是数字，则引发异常。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37568,7 +37643,7 @@ msgid ""
 "this function when using template program mode."
 msgstr "template(x) -- x作为模板进行评估。评估是在其自己的上下文中完成的，这意味着变量不会在调用方和模板评估之间共享。因为{ and }字符是特殊的，所以必须使用[[表示{字符，使用]]表示}字符； 它们会自动转换。例如，template ('[[title_sort]]')将评估模板{title_sort} 并返回其值。 还要注意，在使用模板程序模式时，不能在此函数的参数中使用前缀和后缀（`|prefix|suffix` 语法）。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37579,13 +37654,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr "eval(template) -- 评估模板，传递局部变量（那些“赋值”给的变量）而不是书籍元数据。这允许使用模板处理器从局部变量构造复杂的结果。由于{ and }字符是特殊字符，因此必须使用[[表示{字符，and]]表示}字符；它们会自动转换。还要注意，在使用模板程序模式时，不能在此函数的参数中使用前缀和后缀（`| prefix | suffix`语法）。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- 将val分配给id，然后返回的val. id必须是标识符，而不是表达式。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37595,30 +37670,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- 将参数打印到标准输出。除非从命令行（calibre debug-g）启动calibre，否则输出将进入黑洞。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- 通过名称来返回元数据字段命名"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr "raw_field(name) -- 通过名称来返回元数据字段命名而不使用任何格式。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr "raw_list(name, separator) -- 返回按名称命名的元数据列表，不应用任何格式或排序，并用分隔符分隔项。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37628,7 +37703,7 @@ msgid ""
 "'234'."
 msgstr "substr(str, start, end) -- 返回str的开始字符到结束字符。str中的第一个字符是第零个字符。如果end为负数，则表示许多字符从右边开始计数。如果end为零，则表示最后一个字符。例如，substr（'12345'，1，0）返回'2345'，substr（'12345'，1，-1）返回'234'。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37638,24 +37713,24 @@ msgid ""
 "constructing variable save paths"
 msgstr "lookup(val, pattern, field, pattern, field, ..., else_field) -- 与switch类似，只不过参数是字段(元数据)名称，而不是文本。将获取并使用相应字段的值。请注意，因为复合列是字段，所以您可以在一个复合字段中使用此函数来使用其他一些复合字段的值。这在构建可变保存路径时非常有用"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr "查找需要2个或奇数个参数。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr "test(val, text if not empty, text if empty) -- 如果值不为空则返回“文本不为空”，否则返回“空文本”"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr "contains(val, pattern, text if match, text if not match) -- 检查val是否包含正则表达式“ pattern”的匹配项。如果找到匹配项则返回\"文本，如果匹配\"，否则，返回\"文本，如果不匹配\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37664,11 +37739,11 @@ msgid ""
 " want"
 msgstr "switch(val, pattern, value, pattern, value, ..., else_value) -- 对于每个“pattern，value”配对，检查“val”是否与正则表达式“pattern”匹配，如果匹配，则返回该“value”。如果没有匹配的模式，则返回“else_value”。如果需要，可以有任意多个“pattern，value”配对"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr "switch 需要论证是奇数"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37678,19 +37753,19 @@ msgid ""
 "you wish."
 msgstr "strcat_max(max, string1, prefix2, string2, ...) -- 返回通过连接参数形成的字符串。返回的值初始化为string1。只要得到的字符串长度小于'max'，`Prefix，string`字符串对就会添加到值的末尾。即使String1比max长，也会返回String1。可以根据需要传递任意多个“prefix，string”对。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr "strcat_max 需要两个或以上的参数"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr "strcat_max 需要论证是偶数"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr "strcat_max的第一个参数必须是整数"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37700,11 +37775,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr "in_list(val, separator, pattern, found_val, ..., not_found_val) -- 将val视为由分隔符分隔的项目列表，根据列表中的每个值评估模式。如果模式与某个值匹配，则返回FOUND_VAL，否则返回NOT_FOUND_VAL。模式和FOUND_VALUE可以根据需要重复多次，允许根据搜索返回不同的值。图案是按顺序检查的。返回第一个匹配项。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr "in_list参数个数需要是奇数"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37716,11 +37791,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr "str_in_list(val, separator, string, found_val, ..., not_found_val) -- 将val视为由分隔符分隔的项目列表，将字符串与列表中的每个值进行比较。如果字符串与某个值匹配(忽略大小写)，则返回FOUND_VAL，否则返回NOT_FOUND_VAL。如果字符串包含分隔符，则还会将其视为列表，并检查每个值。字符串和FOUND_VALUE可以根据需要重复多次，允许根据搜索返回不同的值。按顺序检查字符串。返回第一个匹配项。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr "str_in_list参数个数需要是奇数"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37731,14 +37806,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr "identifier_in_list(val, id, found_val, not_found_val) -- 将val视为逗号分隔的标识符列表，将字符串与列表中的每个值进行比较。标识符的格式为“identifier:value”。如果存在具有该id的任何标识符，则第一种情况匹配。 如果正则表达式regexp匹配标识符的值value，则第二种情况匹配。如果存在匹配项，则返回“已找到值（found_val）”，否则返回“未找到值（not_found_val）”。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr "re(val, pattern, replacement) --应用正则表达式后返回val。所有`pattern`实例都将以`replacement`替换。与所有calibre中的使用相同，这些是与Python兼容的正则表达式。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37751,20 +37826,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- 返回一个字符串，该字符串是通过将正则表达式模式应用于val，并将每个匹配的实例替换为通过将每个匹配的组替换为相应模板返回的值计算的字符串而生成的字符串。 该组的原始匹配值可用$表示。 在模板程序模式下，与模板和eval函数一样，您可以使用[[for{and]]for}。下面的示例表示在模板程序模式下查找具有多个单词的序列，并将第一个单词大写：{序列:'re_group($, \"(\\S* )(.*)\", \"[[$:大写()]]\", \"[[$]]\")'}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr "swap_around_comma(val) -- 如果给定值的形式为“B，A”，则返回“A、B”。这对于将LN、FN格式的名称转换为FN LN非常有用。如果没有逗号，则函数返回未更改的val"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr "ifempty(val, text if empty) --如果val非空值则返回val，否则返回文本。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37778,7 +37853,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr "shorten(val, left chars, middle text, right chars) -- 返回val的缩写版本，由val开头的“左字符”字符组成，后跟“中间文本”，然后是字符串末尾的“右字符”字符。`左字符`和`右字符`必须是整数。例如，假设书名为《艾芬豪时代的古代英国法律》（Ancient English Laws in the Times of Ivanhoe）”，您希望它最多只能容纳15个字符。如果使用{title：Shorten(9，-，5)}，则结果为`Ancient E-nhoe`。如果该字段的长度小于左字符+右字符+`中间文本`的长度，则该字段将被原封不动地使用。例如，标题‘The Dome`不会改变。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37786,7 +37861,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr "count(val, separator) --将该值解释为由`分隔符`分隔的项列表，返回列表中的项数。大多数列表使用逗号作为分隔符，但作者使用与号。示例： {tags:count(,)}, {authors:count(&)}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37795,14 +37870,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr "list_item(val, index, separator) -- 将该值解释为由`分隔符`分隔的项目列表，返回第`index`项。第一个项目是零号。最后一项可以使用`List_Item(-1，分隔符)`返回。如果该项不在列表中，则返回空值。分隔符的含义与COUNT函数中的相同。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr "select(val, key) --将值解释为以逗号分隔的项目列表，其中项目为\"id:value\"。找到id等于 key的配对,并返回相应的值。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37815,19 +37890,19 @@ msgid ""
 " value in your save/send templates"
 msgstr "approximate_formats() -- 返回一个逗号分隔的格式列表，其中一个点与书本关联。不能保证这个列表是正确的，尽管它可能是正确的。这个函数可以在模板程序模式下调用，使用模板 \"{:'approximate_formats()'}\"。请注意，如在EPUB中格式名称总是大写的。这个函数只在图形界面中工作。如果要在保存到磁盘或发送到设备模板中使用这些值，则必须定制“从其它栏目生成的新栏”，使用该列的模板中的函数，并在保存/发送模板中使用该列的值"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr "此函数只能在图形界面中使用"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37837,7 +37912,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr "formats_modtimes(date_format) -- 返回逗号分隔的项目列表，这些项目以冒号分隔，表示书本格式的修改时间。date_format参数指定如何将日期格式化。有关详细信息，请参阅format_date函数。您可以使用select函数获取特定格式的修改时间。请注意，格式名称始终为大写，就像在EPUB中一样。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37845,7 +37920,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_sizes() -- 返回以逗号分隔的项目列表，这些项目以冒号分隔，表示图书格式的大小(以字节为单位)。您可以使用SELECT函数获取特定格式的大小。请注意，格式名称始终为大写，就像在EPUB中一样。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37853,13 +37928,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr "formats_paths() -- 返回逗号分隔的项目列表，这些项目以冒号分隔，表示书本格式的完整路径。您可以使用SELECT函数获取特定格式的路径。请注意，格式名称始终为大写，就像在EPUB中一样。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr "human_readable(v) --返回代表数字v的字符串，以KB、MB、GB等为单位。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37870,7 +37945,7 @@ msgid ""
 "fails."
 msgstr "format_number(v, template) --使用Python格式模板（例如“ {0：5.2f}”或“ {0：，d}”或“ $ {0：5，.2f}”）格式化数字v。 模板的field_name部分必须为0（zero）（即以上示例中的“ {0：”）。 有关更多示例，请参见模板语言和Python文档。 如果模板只包含一个格式，则可以省略开头的“ {0：”和结尾的“}”。 如果无法格式化，则返回空字符串。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37883,7 +37958,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr "sublist(val, start_index, end_index, separator) --将该值解释为以`分隔符`分隔的项目列表，将从`start_index`生成的新列表返回给`end_index`项目。第一个项目是零号。如果索引为负数，则从列表末尾开始计数。作为一种特殊情况，假定end_index为零是列表的长度。示例：使用基本模板模式，并假定标签列（用逗号分隔）包含“ A，B，C”，{tags：sublist（0,1，\\\\，）}返回“ A”。{tags:sublist(0,1,\\\\,)}返回“ C”。 {tags:sublist(-1,0,\\\\,)} 返回“ A，B”。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37900,7 +37975,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr "subitems(val, start_index, end_index) -- 此函数用于拆分诸如题材等类型的项目列表。它将该值解释为逗号分隔的项列表，其中每个项都是句点分隔的列表。返回一个新列表，该列表首先找到所有用句点分隔的项目，然后将每个这样的项目从start_index提取到end_index组件，然后将结果一起返回。句点分隔列表中的第一个组件的索引为零。如果索引为负数，则从列表末尾开始计数。作为一种特殊情况，假定end_index为零是列表的长度。使用基本模板模式并假定#genre值为“ A.B.C”的示例：\n{#genre:subitems(0,1)} 返回结果 \"A\"。 {#genre:subitems(0,2)} 返回结果 \"A.B\"。{#genre:subitems(1,0)} 返回结果 \"B.C\"。假设#genre值为\"A.B.C, D.E.F\"，{#genre:subitems(0,1)}返回“A，D”。{#genre:subitems(0,2)}返回“A.B，D.E”"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37923,23 +37998,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr "format_date(val, format_string) -- 使用format_string格式化该值（必须为日期），并返回一个字符串。格式代码为：\nd：以带前导零（1到31）的数字表示的天dd：以带前导零（01到31）的数字表示的天ddd：本地化的缩写日名（例如，“ Mon”到“ Sun” ”）。 dddd：本地化的长名称（例如，“星期一”至“星期日”）。 M：月份，不带前导零（1到12）的数字。 MM：月份的数字，前导零（01到12）MMM：本地化月份的缩写名称（例如，“ Jan”到“ Dec”）。 MMMM：本地化的长月份名称（例如，“ January”到“ December”）。 yy：年份为两位数字（00至99）。 yyyy：年份为四位数。 h：无前导0的小时（0至11或0至23，取决于am / pm）hh：无前导0的小时（00至11或00至23，取决于am / pm）m：分钟无前导0（0到59）mm：无前导0（00到59）的分钟s：无前导0（0到59）的秒ss：有前导0（00到59）的秒ap：使用12个小时的时钟代替24个小时的时钟，用“ ap”替换为am或pm AP的本地化字符串：使用12个小时的时钟而不是24小时时钟，用“ AP”替换为AM或PM iso的本地化字符串iso：带时间和时区的日期。必须是唯一的格式"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr "uppercase(val) -- 返回大写的 val"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr "lowercase(val) -- 返回小写的 val"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr "titlecase(val) -- 返回词首大写的 val"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr "capitalize(val) -- 返回句首大写的 val"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37948,7 +38023,7 @@ msgid ""
 "your save/send templates"
 msgstr "booksize() -- 返回字段的大小。这个函数只在图形界面中工作。如果要在保存到磁盘或发送到设备模板中使用这些值，则必须定制“从其它栏目生成的新栏”，使用该列的模板中的函数，并在保存/发送模板中使用该列的值"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37957,55 +38032,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr "ondevice() -- 如果设置了设备则返回“是”，否则返回空字符串。这个函数只在图形界面中工作。如果要在保存到磁盘或发送到设备模板中使用这些值，则必须定制“从其它栏目生成的新栏”，使用该列的模板中的函数，并在保存/发送模板中使用该列的值"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr "series_sort() -- 返回丛书排序值"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr "has_cover() --如果书有封面，则返回“是”，否则返回空字符串"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr "first_non_empty(value, value, ...) -- 返回第一个非空的值。如果所有值都为空，则返回空值。如果需要，您可以拥有任意多个值。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr "and(value, value, ...) -- 如果所有的值不为空则返回字符串, 否则返回空字符串. 这个函数和test或first_non_empty一起运行. 你可以拥有你想要多少就有多少的值。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr "or(value, value, ...) --如果任意值不为空，则返回字符串“1”，否则返回空字符串。此函数与test 或first_non_empty配合使用效果很好。如果需要，您可以拥有任意多个值。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "not(value) -- 如果值为空，则返回字符串“1”，否则返回空字符串。此函数与test或first_non_empty配合使用效果很好。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -38014,7 +38089,7 @@ msgid ""
 " list."
 msgstr "list_union(list1, list2, separator) -- 通过合并list1和list2中的项，在不区分大小写的比较后，删除其中重复项，返回一个列表。如果项的大小写不同，则使用list1中的项。list1和list2中的项用分隔符分隔，返回的列表中的项也是如此。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -38022,7 +38097,7 @@ msgid ""
 "the returned list."
 msgstr "list_difference(list1, list2, separator) -- 使用不区分大小写的比较从list1中删除在list2中找到的任何项，从而返回一个列表。list1和list2中的项用分隔符分隔，返回的列表中的项也是如此。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38030,7 +38105,7 @@ msgid ""
 "the items in the returned list."
 msgstr "list_intersection(list1, list2, separator) -- 使用不区分大小写的比较从list1中删除在list2中找不到的任何项，从而返回一个列表。list1和list2中的项用分隔符分隔，返回的列表中的项也是如此。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38038,7 +38113,7 @@ msgid ""
 "items in the returned list."
 msgstr "list_sort(list, direction, separator) -- 返回使用不区分大小写的排序的列表。如果排序方向为零，则列表按升序排序，否则按降序排序。列表项与返回列表中的项一样，用分隔符分隔。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38047,7 +38122,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- 如果list1和list2包含相同的项，则返回yes_val，否则返回no_val。这些项目是通过使用适当的分隔符(Sep1或Sep2)拆分每个列表来确定的。列表中项目的顺序无关紧要。该比较不区分大小写。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38056,7 +38131,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr "list_re(src_list, separator, include_re, opt_replace) -- 通过首先使用分隔符将src_list分成多个项来构造列表。对于列表中的每一项，检查它是否与include_re匹配。如果是，则将其添加到要返回的列表中。如果opt_place不是空字符串，在将项目添加到返回列表之前先应用替换。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38064,14 +38139,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr "list_re_group(src_list, separator, include_re, search_re, group_1_template, ...) -- 除替换项之外的类似列表list_re不是可选的。当对结果列表进行替换时，它使用re_group（list_item，search_re，group_1_template，…）。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr "today() -- 返回日期字符串。该值被设计用于format_date或days_between，但可以像任何其他字符串一样操作。日期为ISO格式。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38079,7 +38154,7 @@ msgid ""
 "empty string."
 msgstr "days_between(date1, date2) -- 返回Date1和Date2之间的天数。如果Date1大于Date2，则该数字为正数，否则为负数。如果Date1或Date2不是日期，则函数返回空字符串。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38087,28 +38162,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr "language_strings(lang_codes, localize) -- 返回lang_codes中传递的语言代码的字符串。如果localize为零，则返回英文字符串。如果localize不为零，则以当前区域设置的语言返回字符串。Lang_codes是逗号分隔的列表。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr "language_codes(lang_strings) -- 返回lang_strings中传递的字符串的语言代码。字符串必须使用当前区域设置的语言。Lang_strings是逗号分隔的列表。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr "current_library_name() -- 返回当前 calibre 库路径上的最后一个名称。这个函数可以在模板程序模式下被调用，使用模板\"{:'current_library_name()'}\"。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr "current_library_path() -- 返回当前 calibre 库的路径。这个函数可以在模板程序模式下被调用，使用模板\"{:'current_library_path()'}\"。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38117,7 +38192,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr "finish_formatting(val, fmt, prefix, suffix) -- 将格式、前缀和后缀应用于一个值，就像在模板中使用`{Series_index：05.2f-x-}‘作用一样。例如，以下程序产生与上述模板相同的输出：程序：finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38126,7 +38201,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "virtual_libraries() -- 返回包含这本书的以逗号分隔的虚拟书库列表。此功能仅在GUI中有效。如果要在保存到磁盘或发送到设备模板中使用这些值，则必须自定义“从其它栏目生成的新栏”，使用该列模板中的函数，并在保存/发送模板中使用该列的值"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38135,7 +38210,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr "user_categories() -- 返回由逗号分隔的包含这本书用户类别的列表。这个函数只在图形界面中工作。如果要在保存到磁盘或发送到设备模板中使用这些值，则必须定制“从其它栏目生成的新栏”，使用该列的模板中的函数，并在保存/发送模板中使用该列的值"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38143,7 +38218,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr "transliterate(a) -- 返回一个拉丁字母表中的字符串，该字符串是通过近似源字符串中的单词的声音而形成的。例如，如果源是\"{0}\" ，则函数返回 \"{1}\"。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38155,7 +38230,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr "author_links(val_separator, pair_separator) -- 返回一个字符串，该字符串包含作者列表以及该作者的链接值，格式为author1 val_separator auth1link pair_separator auth2 val_separator auth2link等。作者与其链接值之间由val_separator字符串分隔，不添加空格。作者：链接值对由Pair_Separator字符串参数分隔，不添加空格。您可以选择作者名称或链接中不出现的分隔符字符串。即使作者链接为空，也会包含作者。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38166,7 +38241,7 @@ msgid ""
 "string"
 msgstr "author_sorts(val_separator) -- 返回一个字符串，其中包含图书作者的作者排序值列表。排序是author元数据中的排序(不同于书籍中的author_sort)。返回的列表的格式为author、sort 1、val_separator、author sort 2等。此列表中的author排序值与图书作者的顺序相同。如果您希望val_paricator周围有空格，则将它们包括在分隔符字符串中"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38174,13 +38249,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr "connected_device_name(storage_location) -- 如果设备已连接，则返回设备名称，否则返回空字符串。设备上的每个存储位置可以有不同的名称。位置名称为'main'、'carda'和'cardb'。此函数仅在GUI中工作。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr "已连接设备名称: 无效的存储位置 \"{0}\""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38188,7 +38263,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38201,11 +38276,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr "check_yes_no（field_name，is_undefined，is_false，is_true）--检查由查找关键字field_name命名的yes/no字段的值是否为参数指定的值，如果找到匹配项，则返回“yes”，否则返回空字符串。设置参数is_undefined，is_false，or is_true to 1（数字）检查该条件，否则设置为0。示例：如果“是/否”字段“#bool”未定义（既不为真也不为假）或为真，则check#yesúno（“#bool”，1，0，1）返回“是”。多个is_未定义、is_false或is_true可以设置为1。此函数通常由test（）或isu empty（）函数使用。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr "check_yes_no要求该字段为是/否自定义列"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38213,11 +38288,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr "rating_to_stars(value, use_half_stars) -- 以星形字符字符串形式返回评级。该值是一个介于0和5之间的数字。如果希望支持非整数评级的自定义评级列使用半星字符，请将use_half_stars设置为1，例如2.5。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr "评级必须是介于0和5之间的数字"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38226,7 +38301,7 @@ msgid ""
 "single value, not a list."
 msgstr "swap_around_articles(val, separator) --返回的val与文章一起移到末尾。该值可以是一个列表，在这种情况下，将处理列表的每个成员。如果值是列表，则必须提供列表值分隔符。如果没有提供分隔符，则将该值视为单个值，而不是列表。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38237,7 +38312,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38247,6 +38322,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr "未命名的图片"
@@ -38535,29 +38616,29 @@ msgstr "放弃保存并关闭"
 msgid "Close Tab"
 msgstr "关闭标签"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "在搜索结尾的附加字符"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "丢失 )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "分析查询失败，达到递归限制：%s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "保存的递归搜索: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr "未知保存搜索: {}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "保存搜索 {0} 时出现未知的错误"
@@ -38919,185 +39000,185 @@ msgstr "将忽略任何匹配此正则
 msgid "Do not download CSS stylesheets."
 msgstr "不下载 CSS 样式表。"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "确定"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "全部保存"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "打开"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "是(&Y)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "全选是(&Y)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "否(&N)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "全选否(&O)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "中止"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "重试"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "关闭"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "应用"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "重置"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "恢复默认值"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "色调(&U):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr "饱和度(&S)："
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr "明度(&V):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "红(&R):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "绿(&G):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "蓝(&B):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr "透明(&L):"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr "光标位置 %1, %2\n按ESC键取消"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "选择颜色"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "基本颜色(&B)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "自定义颜色(&C)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "添加到自定义颜色(&A)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "从屏幕中选取颜色(&B)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "选择字体"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "字体(&F)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "字体样式(&Y)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "大小(&S)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "效果"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "删除线(&K)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "示例"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "写作系统(&I)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr "左边缘"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr "右边缘"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr "向左翻页"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr "上页"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr "下页"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr "向右翻页"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "左翻"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "上翻"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "下翻"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "右翻"
 
@@ -39377,8 +39458,8 @@ msgstr "设置 SONY 书集的重命名
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39426,7 +39507,7 @@ msgid ""
 "The resulting two tweaks are:\n"
 "sony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n"
 "sony_collection_name_template='{category:||: }{value}'"
-msgstr "指定sony作品集的重命名规则。\n仅当将元数据管理设置为自动时，此调整才适用。\nSonys上的作品集的命名取决于字段是标准字段还是自定义字段。\n从标准字段派生的一个作品集将根据该字段中的值命名。\n例如，如果标准的‘Series’列包含‘Darkover’值，则集合名为‘Darkover’。\n从自定义字段派生的作品集将具有添加到该值的字段的名称。\n例如，如果名为\n“我的系列”的自定义系列列包含名称“ Darkover”，则默认情况下，该作品集将命名为“ Darkover（我的系列）”。\n就本文档而言，\n“Darkover”称为“值”，“My Series”称为“类别”。\n如果两本书的字段生成相同的作品集名称，\n那么两本书都将在该作品集中。\n这组调整允许您为标准或自定义字段指定如何命名作品集。\n您可以使用它向标准字段添加描述，例如‘Foo(标签)’而不是‘Foo’。\n您还可以使用它来强制多个字段最终出现在同一作品集中。\n例如，您可以强制“系列”、“#my_series_1”和“#my_series_2”中的值\n出现在名为“some_value（系列）”的集合中，从而将所有字段合并为一组作品集。\n有两个相关的调整。第一个确定用于元数据字段的类别名称。\n第二个是模板，用于确定如何\n将值和类别组合以创建作品集名称。\n第一个调整的语法为sony_collection_renaming_rules，例如：\n{'field_lookup_name':'category_name_to_use', 'lookup_name':'name', ...}\n第二个调整，Sony_Collection_name_Template，是一个模板。\n它使用与插件相同的模板语言并保存模板。\n此调整控制如何将值和类别组合在一起以创建作品集名称。\n唯一可用的两个字段是{类别}和{值}。 {value}字段永远不为空。{类别}字段可为空。\n默认情况下，将值放在前面，然后类别放在括号中，它不是空的，例如：\n'{值} {类别：(|)}'\n几个例子: 前三个例子假设第二个调整没有改变。\n1：我希望将三个系列列合并到一组作品集中。\n该列搜索的名称是 '系列'， '#系列_1' 和 '#系列_2'。\n我不想要括号里的任何东西。要在调整值中使用的值为：\nsony_作品集_重命名_规则={'系列':''，'#系列_1':'', '#系列_2':''}\n2：我希望单词“（series）”出现在由系列组成的集合中，而单词“（Tag）”出现在由标签组成的集合中。\n使用：\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\n3：我希望“series”和“#MySeries”合并，并为集合名称添加“(series)”。\n重命名规则是:\nsony_collection_renaming_rules={'series':'Series', '#myseries':'Series'}\n4：与示例2相同，但不是将类别名称放在括号中并附加到值上\n而是将其放在前面并用冒号分隔，例如在Series:Darkover中。\n我必须更改用于设置类别名称格式的模板。由此产生的两个调整是：\nsony_collection_renaming_rules={'series':'Series', 'tags':'Tag'}\nsony_collection_name_template='{category:||: }{value}'"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:321
 msgid "Specify how SONY collections are sorted"
@@ -39434,7 +39515,7 @@ msgstr "设置如何排序 SONY 书集"
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
@@ -39449,7 +39530,7 @@ msgid ""
 "Note that the bracketing and parentheses are required. The syntax is\n"
 "[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n"
 "Default: empty (no rules), so no collection attributes are named."
-msgstr "指定sony作品集的排序方式。仅当元数据管理设置为自动时\n此调整才适用。您可以指示要使用哪些元数\n逐个作品集进行排序。调整的格式\n是进行集合的元数据字段的列表，后面是\n包含排序值的元数据字段的名称。\n例子：下面指示从pubdate和标记\n生成的集合将按自定义列‘#mydate’中的值\n排序，从‘Series’生成的集合\n将按‘Series_index’排序，所有其他集合将按标题排序。\n如果集合元数据字段未命名，则如果它是基于系列的\n集合，则按系列顺序排序，否则按标题顺序排序。\n[(['pubdate', 'tags'],'#mydate'), (['series'],'series_index'), (['*'], 'title')]\n请注意，方括号和圆括号是必需的。语法为\n[ ( [list of fields], sort field ) , ( [ list of fields ] , sort field ) ]\n默认值：空(无规则)，因此不命名集合属性。"
+msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:339
 msgid "Control how tags are applied when copying books to another library"
diff -pruN 5.9.0+dfsg-3/translations/calibre/zh_HK.po 5.10.0+dfsg-1/translations/calibre/zh_HK.po
--- 5.9.0+dfsg-3/translations/calibre/zh_HK.po	2021-01-06 15:29:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/zh_HK.po	2021-01-20 15:26:59.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -88,15 +88,15 @@ msgstr "什麼都沒有做"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -117,7 +117,7 @@ msgstr "什麼都沒有做"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -217,16 +217,16 @@ msgstr "什麼都沒有做"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -252,7 +252,7 @@ msgstr "什麼都沒有做"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -284,7 +284,7 @@ msgstr "什麼都沒有做"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -303,7 +303,7 @@ msgstr "什麼都沒有做"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -327,27 +327,27 @@ msgstr "特製"
 msgid "Cannot configure"
 msgstr "不能設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "文件類型"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "讀取Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "編寫Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -359,20 +359,20 @@ msgstr ""
 msgid "Preferences"
 msgstr "選項"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "電子書店"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "書本修改工具"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -394,372 +394,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr "讀取漫畫文件的封面"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "讀取%s文件的Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "設定%s文件的Metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "利用%s文件設定metadata"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "將書籍加入calibre或已連接的裝置"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "從已連接的Kindle提取注釋(試驗中)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "列出您的calibre 書櫃中的所有書籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "將書籍轉變成不同格式的電子書"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "微調您的電子書"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "修改您的書本目錄"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "移除calibre或已連接的裝置中書籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "快速列出相關書籍"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "重開calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "介面"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -769,92 +769,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -862,7 +862,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1252,9 +1252,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1280,17 +1280,17 @@ msgstr "已儲存的搜尋"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1676,14 +1676,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1691,7 +1691,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1699,39 +1699,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2278,21 +2278,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3468,11 +3468,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3481,12 +3481,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6041,7 +6041,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6334,7 +6334,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6342,7 +6342,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6382,7 +6382,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6411,7 +6411,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8137,13 +8137,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8176,31 +8176,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9162,7 +9162,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10164,7 +10164,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11416,7 +11416,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11546,8 +11546,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11681,11 +11681,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11828,7 +11828,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12155,7 +12155,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12232,7 +12232,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12241,10 +12241,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "刪除"
@@ -12357,8 +12357,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13544,7 +13544,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13559,8 +13559,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14427,7 +14427,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14768,19 +14768,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14854,8 +14854,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14936,7 +14936,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16514,7 +16514,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16522,7 +16522,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16530,7 +16530,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16538,7 +16538,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16572,7 +16572,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -16992,77 +16992,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17070,7 +17070,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17080,7 +17080,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17095,80 +17095,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17176,90 +17185,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "&評分:"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "移除 &all"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17267,281 +17271,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "移除 &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "&評分:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17549,48 +17575,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18046,42 +18072,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18187,87 +18213,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19165,48 +19191,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20265,7 +20307,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20424,8 +20466,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20440,14 +20482,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22660,60 +22702,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22721,57 +22763,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23613,13 +23655,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23653,7 +23695,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23934,7 +23976,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24626,7 +24668,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25195,7 +25237,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25330,7 +25372,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25340,7 +25382,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26852,7 +26894,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27143,7 +27185,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27203,95 +27245,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27948,7 +27990,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28478,7 +28521,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30712,7 +30755,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32035,7 +32078,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32662,7 +32705,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34533,68 +34576,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35048,7 +35091,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35124,13 +35167,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35295,10 +35338,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "取消"
 
@@ -35939,7 +35982,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -35988,7 +36031,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36465,177 +36508,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37042,13 +37116,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37056,23 +37131,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37085,7 +37160,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37244,128 +37319,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37420,60 +37495,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37485,7 +37560,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37496,13 +37571,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37512,30 +37587,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37545,7 +37620,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37555,24 +37630,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37581,11 +37656,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37595,19 +37670,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37617,11 +37692,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37633,11 +37708,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37648,14 +37723,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37668,20 +37743,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37695,7 +37770,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37703,7 +37778,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37712,14 +37787,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37732,19 +37807,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37754,7 +37829,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37762,7 +37837,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37770,13 +37845,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37787,7 +37862,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37800,7 +37875,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37817,7 +37892,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37840,23 +37915,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37865,7 +37940,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37874,55 +37949,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37931,7 +38006,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37939,7 +38014,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37947,7 +38022,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37955,7 +38030,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37964,7 +38039,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37973,7 +38048,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -37981,14 +38056,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -37996,7 +38071,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38004,28 +38079,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38034,7 +38109,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38043,7 +38118,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38052,7 +38127,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38060,7 +38135,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38072,7 +38147,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38083,7 +38158,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38091,13 +38166,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38105,7 +38180,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38118,11 +38193,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38130,11 +38205,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38143,7 +38218,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38154,7 +38229,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38164,6 +38239,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38452,29 +38533,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38836,185 +38917,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "確定"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "關閉"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39294,8 +39375,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39351,7 +39432,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/zh_TW.po 5.10.0+dfsg-1/translations/calibre/zh_TW.po
--- 5.9.0+dfsg-3/translations/calibre/zh_TW.po	2021-01-06 15:30:17.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/zh_TW.po	2021-01-20 15:27:20.000000000 +0000
@@ -34,8 +34,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -114,15 +114,15 @@ msgstr "完全不做任何事"
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -143,7 +143,7 @@ msgstr "完全不做任何事"
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -243,16 +243,16 @@ msgstr "完全不做任何事"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -278,7 +278,7 @@ msgstr "完全不做任何事"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -310,7 +310,7 @@ msgstr "完全不做任何事"
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -329,7 +329,7 @@ msgstr "完全不做任何事"
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -353,27 +353,27 @@ msgstr "自訂"
 msgid "Cannot configure"
 msgstr "無法設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr "檔案類型"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr "詮釋資料"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr "詮釋資料寫入器"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr "分類產生器"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr "使用者介面操作"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -385,20 +385,20 @@ msgstr "使用者介面操作"
 msgid "Preferences"
 msgstr "偏好設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr "儲存"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr "電子書商店。"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr "書本編輯工具"
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr "已關閉書庫"
 
@@ -420,372 +420,372 @@ msgstr "當匯入的文字檔案包含
 msgid "Extract cover from comic files"
 msgstr "從漫畫檔案中抽取封面"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr "從 %s 檔案中讀取詮釋資料"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr "從rar檔案中讀取詮釋資料"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr "從zip文件中讀取詮釋資料"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr "設定 %s 檔案的詮釋資料"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr "在下方輸入{0}將使EPUB詮釋資料寫入器外掛不會在沒找到封面圖片時加入封面到EPUB檔案裡。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr "從 %s 檔案設定詮釋資料"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr "加入書本到 calibre 或者已連接的裝置上"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr "從已連接的 Kindle 上取出註解(實驗性功能)"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr "為您的 calibre 書庫中的書本生成目錄"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr "將書本轉換為各種電子書格式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr "好好調校您的電子書"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr "編輯您的目錄"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr "從您的 calibre 書庫或連接的裝置刪除書本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr "將更新後的詮釋資料寫入至 calibre 書庫中的書本原始檔案中"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr "編輯 calibre 書庫中書本的詮釋資料"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr "閱讀放在 calibre 書庫裡的書本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr "將線上新聞轉換成電子書格式下載"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr "快速顯示相關書本清單"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr "搜尋或取代在書庫中的標籤"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr "取代圖庫中的書本的作者"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr "開啟編輯器來測試範本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr "將calibre 書庫中的書本匯出到硬碟"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr "在彈出式視窗中顯示書本詳細資料"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr "重新啟動 calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr "開啟書庫所在的資料夾"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr "發送電子書到已連線的裝置"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr "經由電子郵件或是網站傳送書本，也可以透過你的閱讀裝置連線到位於你電腦上的資料夾。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr "瀏覽 calibre 使用者手冊"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr "自訂 calibre"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr "輕鬆找到與目前選取的書本相似的書本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr "在不同的 calibre 書庫中切換並對它們進行維護"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr "從裝置中複製書本到calibre書庫"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr "編輯您裝置中的藏書集"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr "比對裝置上的書本與書庫中的書本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr "從一個calibre書庫複製到另外一個calibre書庫"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr "編輯EPUB或AZW3格式的電子書"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr "對您的 calibre 書庫中的 epub 或 htmlz 檔案進行小幅變更"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr "在搜尋 calibre 書庫時，突顯出下一個或上一個符合的項目"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr "從您的 calibre 書庫隨機選擇書本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr "排序書本清單"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr "暫時標記的書本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr "更改目前的虛擬書庫"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr "從不同的書本零售商搜尋書本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr "取得新的 calibre 外掛或更新目前的外掛"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr "介面外觀"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr "介面"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr "調整 calibre 介面外觀以符合您的喜好"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr "行為"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr "調整 clibre 執行時的運作"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr "自訂欄位"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr "在 calibre 書本清單中加入/移除您自己的欄位"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr "工具列和選單"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr "自訂工具列和選單，改變每次可用的動作"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr "搜尋"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr "自訂在 calibre 中搜尋書本的方式。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr "匯入選項"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr "格式轉換"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr "設定每個輸入格式的個別轉換選項"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr "轉檔設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr "設定所有格式轉換的通用設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr "匯出選項"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr "設定每個輸出格式的個別轉換選項"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr "加入書本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr "匯入/匯出"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr "設定向 calibre 加入書本時讀取檔案詮釋資料的方式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr "將書本儲存至磁碟"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr "設定使用「儲存至硬碟」功能時 calibre 如何從資料庫匯出檔案"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr "將書本傳送至裝置"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr "控制Calibre如何將書本傳送到您的電子書閱讀器"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr "詮釋資料控制台"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr "在儲存、傳送前修改詮釋資料的欄位"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -795,92 +795,92 @@ msgstr "在儲存、傳送前修改詮
 msgid "Template functions"
 msgstr "範本函式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr "進階"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr "建立您自己的範本函式"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr "以電子郵件分享書本"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr "分享"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr "設定以電子郵件分享書本。可以用於自動將下載的新聞傳送至您的裝置"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr "在網路上分享"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr "啟動Calibre網路伺服器以讓您透過網路瀏覽您的書庫，無論您身在何處、用何種裝置"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr "下載詮釋資料"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr "控制 calibre 自網際網路下載電子書詮釋資料的設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr "忽略的裝置"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr "控制哪些裝置連接到電腦時 calibre 將忽略它們。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr "外掛"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr "加入、刪除以及自訂各種calibre 的功能。"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr "調校設定"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr "微調 calibre 在各種情況下的行為"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr "快捷鍵"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr "自訂 calibre 鍵盤快速鍵"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -888,7 +888,7 @@ msgstr "自訂 calibre 鍵盤快速鍵"
 msgid "Miscellaneous"
 msgstr "雜項"
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr "設定進階選項的雜項"
 
@@ -1278,9 +1278,9 @@ msgstr "將資料庫傾印至 SQL"
 msgid "Restoring database from SQL"
 msgstr "從 SQL 復原資料庫"
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1306,17 +1306,17 @@ msgstr "已儲存搜尋"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr "是"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr "%s的封面"
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr "{0} 格式給 {1}"
@@ -1702,14 +1702,14 @@ msgstr "指定這個開關會關閉這
 msgid "You must specify some ids or the %s option"
 msgstr "您必須指定一些 id 或 %s 選項"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr "%prog list [options]\n\n列出 calibre 資料庫中可用書本。\n"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1717,7 +1717,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1725,39 +1725,39 @@ msgid ""
 "Default: {1}"
 msgstr "用來排序結果的欄位。\n可用的欄位：{0}\n預設值：{1}"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr "以遞增次序排列結果"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr "以搜尋的查詢來過濾結果。要了解搜尋的查詢格式，請參閱使用者手冊中的搜尋相關文件。預設值為不做任何過濾。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr "輸出中單一行的最大寬度。預設值為偵測螢幕大小。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr "用來分離欄位的字串。預設為空白。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr "所有檔案路徑的前綴。預設值為書庫資料夾的絕對路徑。"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr "結果顯示的最大數目。預設：全部"
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2304,21 +2304,21 @@ msgstr "空白"
 msgid "Invalid boolean query \"{0}\""
 msgstr "無效的布林查詢「{0}」"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr "虛擬書庫是遞迴查詢: {}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr "已發現遞迴查詢群組：{0}"
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3494,11 +3494,11 @@ msgstr "已移除 %s"
 msgid "All books removed"
 msgstr "已移除所有書本"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr "未命名的裝置"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3507,12 +3507,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr "裝置 {0} 不充許連接，請先將裝置 {0} 解鎖，並在螢幕上點選 \"允許(Allow)\" ，然後等待一段時間或是將calibre重啟。另外，您可能還必需要將 {0} 上的USB連接模式更改為 \"媒體傳輸協議MTP\" 或是類似的模式。"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr "未知的 MTP 裝置"
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6067,7 +6067,7 @@ msgstr "備註"
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6360,7 +6360,7 @@ msgid "Producer"
 msgstr "發行人"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6368,7 +6368,7 @@ msgid "Comments"
 msgstr "評論"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6408,7 +6408,7 @@ msgid "Tags"
 msgstr "標籤"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6437,7 +6437,7 @@ msgid "Timestamp"
 msgstr "時間戳記"
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8163,13 +8163,13 @@ msgstr "將 EPUB 版本從 2 升級至 3
 msgid "HTML TOC generation options."
 msgstr "HTML 目錄頁產生選項。"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8202,31 +8202,31 @@ msgstr "如果分頁資訊可用，產
 msgid "Sidebar"
 msgstr "側欄"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr "新增頁首以及頁尾"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr "頁首以及頁尾已新增"
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9188,7 +9188,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10190,7 +10190,7 @@ msgstr "F1"
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr "說明"
 
@@ -11442,7 +11442,7 @@ msgid "Errors while adding"
 msgstr "加入時發生錯誤"
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr "忽略"
 
@@ -11572,8 +11572,8 @@ msgstr "變更"
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11707,11 +11707,11 @@ msgid "Search the internet for this book
 msgstr "在網路上搜尋這本書"
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr "管理 %s"
@@ -11854,7 +11854,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12181,7 +12181,7 @@ msgid "Preset name:"
 msgstr "預設名稱："
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr "您必須提供名稱。"
 
@@ -12258,7 +12258,7 @@ msgid "Save current catalog settings as
 msgstr "將目前的分類設定值儲存為預先設定"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr "儲存"
 
@@ -12267,10 +12267,10 @@ msgid "Delete current preset"
 msgstr "刪除當前預設"
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr "刪除"
@@ -12383,8 +12383,8 @@ msgstr "重設為預設值"
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13570,7 +13570,7 @@ msgid "Ta&gs:"
 msgstr "標籤(&G)："
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13585,8 +13585,8 @@ msgstr "系列(&S):"
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr "已知系列的清單。您可以加入新的系列。"
@@ -14453,7 +14453,7 @@ msgid "Choose color"
 msgstr "選擇顏色"
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14794,19 +14794,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr "匯出(&X)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr "匯出這些規則到檔案"
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14880,8 +14880,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14962,7 +14962,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr "變更大小寫"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr "大寫"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr "小寫"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr "大小寫互換"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr "管理作者"
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr "搜尋(&S):"
@@ -17018,77 +17018,77 @@ msgid "Hide the remaining error message"
 msgid_plural "Hide the {} remaining error messages"
 msgstr[0] "隱藏剩餘的 {} 條錯誤訊息"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr "工作中"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr "正在處理 %d 本圖書，請稍候..."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr "目前的步驟進度：%p %"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr "步驟 %v/%m"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr "全小寫"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr "全大寫"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr "書名大小寫"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr "字元符合"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr "正規表達式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr "取代欄位"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr "前置到字段"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr "加入到欄位"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr "不關閉對話盒就立刻進行所有的變更。這個操作不能取消或復原"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr "書本 %d："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr "輸入識別的類型"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17096,7 +17096,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr "<b>您可以使用這個功能破壞您的書庫。</b>這個改變是永久的。完全沒有復原的辦法。強烈建議您在繼續前先備份書庫。<p>使用字元比對或規則運算式在文字欄位中進行搜尋與取代。 "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17106,7 +17106,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17121,80 +17121,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr "S/R 範本錯誤"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr "您必須指定目的識別的類型"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr "無效的標識字串。必須為使用冒號分隔的字串，以逗號分隔的列表。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr "無效的搜尋/取代"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr "尋找/取代無效：%s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr "刪除已儲存的搜尋/取代"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr "選取的已儲存搜尋/取代會被刪除。您確定嗎？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr "儲存搜尋/取代"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr "搜尋/取代名稱："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr "儲存搜尋/取代已存在，將會被覆蓋。您確定嗎？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr "編輯詮釋資料資訊"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
+msgstr "作者(&A): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17202,90 +17211,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr "自動設定作者排序(&U)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr "交換書名和作者(&W)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
-msgstr "以目前的書名為依據更新書名排序。這只有在對書名做了其他變更時才會套用。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
+msgstr "作者排序(&O): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
-msgstr "更新書名排序(&T)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
+msgstr "指定這本書本的作者要如何排序。例如 Charles Dickens 要排成 Dickens, Charles。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
-msgstr "改變封面(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
+msgstr "評等(&R):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
-msgstr "產生預設封面(&G)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
-msgstr "移除封面(&R)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
+msgstr "出版者(&P): "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
-msgstr "嘗試自動檢測並裁切封面圖片的邊框。此操作有可能會誤裁切，因此請\n謹慎使用。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
+msgstr "如果勾選，會清除出版商"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
-msgstr "裁切封面 (危險操作)(&T)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
+msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
-msgstr "從電子書檔案設定(&E)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
+msgstr "加入標籤(&G)： "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
+msgstr "開啟標籤編輯器"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
-msgstr "克隆封面(&C)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
+msgstr "移除標籤(&R)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
-msgstr "把標題設定為各單詞首字母大寫。如果本選項與「對調作者和書名」被同時選中，\n會先對調作者和書名，然後再設定首字母大寫。"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
+msgstr "刪除多個標籤, 標籤列表由逗號分割. "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
-msgstr "將書名大小寫變更為(&C)："
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
+msgstr "勾選此框將從書本中移除所有標籤。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
-msgstr "日期(&D):"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
+msgstr "全部移除(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
-msgstr "如果勾選，會清除出版商"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
+msgstr "系列(&I)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
+msgstr "如果核取，會清除這個系列"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
-msgstr "出版日期(&U)："
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
+msgstr "清除系列(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17293,126 +17297,61 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr "如未核取，則書本的系列編號將會被設為 1。\n如核取，則同系列中的書本將會自動以它們被選擇時的順序編號。\n如果先選擇了 A，然後選擇 B，則 A 的系列編號將是 1，而 B 的編號是 2。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr "自動為這個系列的書本編號(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr "通常系列編號會接在目前書庫中\n同系列書本的最大編號之後。\n核取這個選項後 calibre 將從您指定的編號開始編號。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr "強制編號開始於 (&F):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr "+ "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
-msgstr "如果核取，會清除這個系列"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
-msgstr "清除系列(&C)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
+msgstr "日期(&D):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
-msgstr "移除標籤(&R)："
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
-msgstr "全部移除(&A)"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
-msgstr "加入標籤(&G)： "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
-msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
-msgstr "指定這本書本的作者要如何排序。例如 Charles Dickens 要排成 Dickens, Charles。"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
-msgstr ""
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
+msgstr "出版日期(&U)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
 msgid "Clear published date"
 msgstr "清除出版日期"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
-msgstr "作者(&A): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
 msgid "&Languages:"
 msgstr "語言(&L):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
-msgstr "出版者(&P): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
-msgstr "刪除多個標籤, 標籤列表由逗號分割. "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
-msgstr "開啟標籤編輯器"
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
-msgstr "作者排序(&O): "
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
-msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
-msgstr ""
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
-msgstr "系列(&I)："
-
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
 msgid ""
 "Remove stored conversion settings for the selected books.\n"
 "\n"
 "Future conversion of these books will use the default settings."
 msgstr "刪除針對已選擇書本的格式轉換設定。\n\n以後再對這些書本進行格式轉換時將采用預設設定。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
 msgid "Remove &stored conversion settings for the selected books"
 msgstr "移除選取書本所儲存的轉換設定值(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
 msgid ""
 "When doing a same format to same format conversion,\n"
 "for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
@@ -17421,153 +17360,240 @@ msgid ""
 " conversion of a large number of books and something went wrong."
 msgstr "當進行同格式轉換操作時，例如 EPUB 轉 EPUB，calibre 將\n生成一個原來的 EPUB 備份檔案 ORIGINAL_EPUB。\n as ORIGINAL_EPUB. This option tells calibre to restore\n the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n conversion of a large number of books and something went wrong."
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
 msgid "Restore pre conversion &originals, if available"
 msgstr "可能的話還原轉換前的檔案(&O)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
-msgstr "勾選此框將從書本中移除所有標籤。"
-
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
-msgstr "評等(&R):"
+msgid ""
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
+msgstr "把標題設定為各單詞首字母大寫。如果本選項與「對調作者和書名」被同時選中，\n會先對調作者和書名，然後再設定首字母大寫。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
+msgstr "將書名大小寫變更為(&C)："
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
+msgstr "以目前的書名為依據更新書名排序。這只有在對書名做了其他變更時才會套用。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
+msgstr "更新書名排序(&T)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
+msgstr "改變封面(&C)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
+msgstr "產生預設封面(&G)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
+msgstr "移除封面(&R)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+msgid ""
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
+msgstr "嘗試自動檢測並裁切封面圖片的邊框。此操作有可能會誤裁切，因此請\n謹慎使用。"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
+msgstr "裁切封面 (危險操作)(&T)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
+msgstr "從電子書檔案設定(&E)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+msgid ""
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
+msgstr "克隆封面(&C)"
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+msgid ""
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr "基本詮釋資料(&B)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr "自訂詮釋資料(&C)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr "選擇要載入的已儲存搜尋/取代。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr "儲存目前的搜尋/取代"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr "儲存(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr "搜尋欄位(&F):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr "您想要搜尋的欄位名稱"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr "搜尋模式(&M):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr "選擇要使用基本的文字比對或是進階的規則運算式比對"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr "選擇要建立哪種識別類型"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr "範本(&T)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr "輸入做為搜尋/取代來源的範本"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr "輸入您在尋找的東西，可以是純文字或規則運算式，視模式而定"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr "如果搜尋字串必須完全符合大小寫，請核取此方塊。若要忽略大小寫，請將它核消"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr "區分大小寫(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr "取代為(&R):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr "替代的文字。符合的搜尋文字會以這個字串取代"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr "取代後套用函數(&A):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr "指定在符合與取代後對文本的處理方式。在字元模式下，處理\n對象是整個字段的值。在規則運算式模式下，處理對象是符合的文本。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr "目的端欄位(&D):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr "指定保存取代後的文本的字段。\n如果留空，源字段如果可修改的話，值會保存到源字段中。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr "模式(&O):"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr "指定文字要如何複製到目的端。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr "指定處理完成後的結果應當拆分成多個值還是\n保留為一個值。本選項適用於源字段是單個值，\n而目的字段是多個值的情況。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr "分割結果(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr "識別類型："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17575,48 +17601,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr "對多重數值欄位，顯示(&W)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr "數值分離為(&Y)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr "用於顯示測試結果於多重數值欄位的分割數值"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr "測試文字"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr "測試結果"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr "搜尋及取代(&S)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr "編輯後重新整理書本列表(&R)"
 
@@ -18072,42 +18098,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr "項目(&I):{0}{1}"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr "**找不到項目**"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr "請在書庫檢視中點選欄位以查看書本的資訊"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18213,87 +18239,87 @@ msgstr "還原資料庫失敗，請點
 msgid "Failed to repair library"
 msgstr "無法修復書庫"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr "加入一個新的已儲存的搜尋"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr "已儲存的搜尋的名稱"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr "搜尋(&S)："
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr "搜尋運算式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr "沒有搜尋運算式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr "你必須指定一個用於已儲存搜尋的搜尋運算式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr "無效的已儲存的搜尋"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr "管理已儲存搜尋"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr "加入搜尋(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr "移除搜尋(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr "編輯搜尋(&E)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr "目前已儲存的搜尋將會被<b>永遠的刪除</b>。您確定嗎？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19191,48 +19217,64 @@ msgstr "標籤 1"
 msgid "Tag 2"
 msgstr "標籤 2"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr "範本語言教學"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr "範本函數參考"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr "例外： "
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr "沒有選取的欄位"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr "您必須指定要上色的欄"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr "沒有提供範本"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr "範本方塊不可以留空"
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20291,7 +20333,7 @@ msgstr "以名稱搜尋快捷鍵"
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr "找不到符合項"
 
@@ -20450,8 +20492,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr "編輯備註"
 
@@ -20466,14 +20508,14 @@ msgid_plural "Delete {} selected items"
 msgstr[0] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr "全部折疊"
 
@@ -22686,60 +22728,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr "加入規則(&A)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr "移除規則(&R)"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr "將選取的規則上移"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr "將選取的規則下移"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr "從檔案載入規則"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22747,57 +22789,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr "尚未選擇規則"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr "尚未選擇 %s 的規則。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr "移除"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr "規則"
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23639,13 +23681,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr "下"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr "上"
 
@@ -23679,7 +23721,7 @@ msgid "If there is enough room"
 msgstr "如果沒有足夠空間"
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr "依第一個字母"
 
@@ -23960,7 +24002,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr "停用"
 
@@ -24652,8 +24694,8 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
-msgstr "設定當 calibre 把書本儲存到磁碟或傳送到裝置時更新書本詮釋資料的規則。\n\n透過本對話框中的設定，可以為某種檔案格式(或所有格式)與某種裝置(或所有裝置)定義詮釋資料對應規則。這個規則定義了某個詮釋資料欄位值的範本。這個範本的值將被儲存到指定的詮釋資料欄位中。\n\n通常情況下，這裡使用的範本會是多個欄位值的組合，但這也不是必須的。您可以使用任何在 calibre 中所通用的範本。\n\n詮釋資料對應規則可以用於改變書本標題，使它包含書本系列資訊。對於 Kindle 使用者來說，MOBI 檔案要求在「排序作者」欄位中用 ';' 分隔字元，也可以用詮釋資料對應規則來實現這樣的轉換。它還可以用於指定書本的語言。"
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
 msgid "Format (choose first)"
@@ -25221,7 +25263,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25356,7 +25398,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25366,7 +25408,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26878,7 +26920,7 @@ msgid "Books in this category are unrate
 msgstr "此類別中的書本未評分"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr "搜尋運算式："
 
@@ -27169,7 +27211,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr "重新命名 %s"
@@ -27229,95 +27271,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr "從分類 %(cat)s 移除 %(item)s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr "搜尋 %s 以外的項目"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr "使用儲存的搜尋運算式搜尋"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr "加入子分類到 %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr "刪除使用者分類 %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr "搜尋分類 %s 的書本"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr "搜尋不在分類 %s 中的書本"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr "隱藏分類 %s"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr "變更分類圖示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr "還原預設圖示"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr "管理使用者分類"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr "編輯子分類模式"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr "分區"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr "第一個字母只用於依名稱排序時"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27974,7 +28016,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr "下列書本已經被轉換到 %s 格式。您要重新轉換它們嗎？"
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28504,7 +28547,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr "放棄"
 
@@ -30738,7 +30781,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr "<h3>斜體</h3>將選擇的文字設為斜體"
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr "下劃線(&U)"
 
@@ -32061,7 +32104,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr "繪製程序當掉了"
 
@@ -32688,7 +32731,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr "匯出"
 
@@ -34559,68 +34602,68 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35074,7 +35117,7 @@ msgid "E-book viewer"
 msgstr "電子書閱讀器"
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35150,13 +35193,13 @@ msgstr "載入書本失敗"
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr "無法開啟在 {0} 的書籍，請點選 「顯示詳細資料」查看更多資訊。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr "Qt WebEngine轉譯器程序當機了。請試著重新啟動閱讀器。"
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr "選擇背景圖片"
 
@@ -35321,10 +35364,10 @@ msgid "< &Back"
 msgstr "< 上一步(&B)"
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr "取消"
 
@@ -35965,8 +36008,8 @@ msgid "No genres to catalog.\n"
 msgstr "無類別到書目。\n"
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
-msgstr "請選中電子書選項中的「排除的類別」正則表達式。\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
 msgid "No books available to catalog"
@@ -36014,8 +36057,8 @@ msgstr "排序標題"
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
-msgstr "書目中無書本。\n請檢查電子書選項中的「排除書本」規則。\n"
+"Check 'Excluded books' rules in the E-book options.\n"
+msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
 msgid "No books available to include in catalog"
@@ -36491,177 +36534,208 @@ msgstr "完整介面可以給您更多
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr "你想要做什麼？"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr "預設值"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr "已存在的使用者名稱："
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr "沒有使用者，你必須先加入使用者"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr "使用者名稱 %s 不存在"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr "輸入使用者名稱"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr "輸入 %s 的新密碼："
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr "不允許空密碼"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr "重新輸入 %s 的新密碼，為了驗證："
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr "密碼不相符"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr "使用者 %s 成功加入！"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr "您確定要移除使用者 %s 嗎？"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr "使用者 %s 成功移除！"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr "%s 的密碼成功修改！"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr "{0} 目前的密碼是：{1}"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr "讀寫"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr "唯讀"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr "加入新使用者"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr "編輯已存在的使用者"
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr "移除使用者"
 
@@ -37068,13 +37142,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37082,23 +37157,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37111,7 +37186,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr "無效的語法。期待出現查找名稱或一個單詞"
 
@@ -37270,128 +37345,128 @@ msgstr "設定與外掛"
 msgid "File is open in another process"
 msgstr "檔案已經被其它程序調用"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr "格式：類型 {0} 需要整數值，得到 {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr "格式：類型 {0} 需要十進制 (浮點) 值，得 {1}"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr "%s：不明的函數"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37446,60 +37521,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37511,7 +37586,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37522,13 +37597,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr "assign(id, val) -- 將 val 指派 id，然後傳回 val。id 必須為識別，不是規則運算式"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37538,30 +37613,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr "print(a, b, ...) -- 顯示標準輸出參數。若以命令模式啟動(calibre-debug -g)，將無法顯示結果。"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr "field(name) -- 透過名稱來返回詮釋資料欄位命名"
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37571,7 +37646,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37581,24 +37656,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37607,11 +37682,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37621,19 +37696,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37643,11 +37718,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37659,11 +37734,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37674,14 +37749,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37694,20 +37769,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37721,7 +37796,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37729,7 +37804,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37738,14 +37813,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37758,19 +37833,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37780,7 +37855,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37788,7 +37863,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37796,13 +37871,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37813,7 +37888,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37826,7 +37901,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37843,7 +37918,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37866,23 +37941,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37891,7 +37966,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37900,55 +37975,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37957,7 +38032,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37965,7 +38040,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -37973,7 +38048,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -37981,7 +38056,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -37990,7 +38065,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -37999,7 +38074,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38007,14 +38082,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38022,7 +38097,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38030,28 +38105,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38060,7 +38135,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38069,7 +38144,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38078,7 +38153,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38086,7 +38161,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38098,7 +38173,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38109,7 +38184,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38117,13 +38192,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38131,7 +38206,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38144,11 +38219,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38156,11 +38231,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38169,7 +38244,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38180,7 +38255,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38190,6 +38265,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38478,29 +38559,29 @@ msgstr "關閉但不儲存"
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr "在搜尋結尾的附加字元"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr "丟失 )"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr "分析查詢失敗，達到遞歸限制：%s"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr "保存的遞歸搜尋: {0}"
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr "保存搜尋 {0} 時出現未知的錯誤"
@@ -38862,185 +38943,185 @@ msgstr "任何符合規則運算式的
 msgid "Do not download CSS stylesheets."
 msgstr "不要下載 CSS 樣式表。"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr "確定"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr "全部儲存"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr "開啟"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr "是(&Y)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr "全部皆是(&A)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr "否(&N)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr "全部皆否(&O)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr "中止"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr "重試"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr "關閉"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr "儲存"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr "重設"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr "還原預設值"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr "色調(&E)："
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr "紅(&R)："
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr "綠(&G)："
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr "藍(&U)："
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr "&HTML:"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr "選擇顏色"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr "基本顏色 (&B)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr "自訂顏色 (&C)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr "加入自訂顏色(&A)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr "選擇螢幕顏色(&P)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr "選擇字型"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr "字型(&F)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr "字體樣式(&Y)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr "大小(&S)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr "效果"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr "刪除線 (&K)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr "範例"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr "書寫系統 (&I)"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr "向左捲動"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr "向上捲動"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr "向下捲動"
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr "向右捲動"
 
@@ -39320,8 +39401,8 @@ msgstr "指定用於 SONY 藏書剩下
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39377,7 +39458,7 @@ msgstr "指定 SONY 藏書要如何排
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/calibre/zu.po 5.10.0+dfsg-1/translations/calibre/zu.po
--- 5.9.0+dfsg-3/translations/calibre/zu.po	2021-01-06 15:30:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/calibre/zu.po	2021-01-20 15:26:53.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2021-01-06 13:35+UTC\n"
-"PO-Revision-Date: 2021-01-04 16:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:42+UTC\n"
+"PO-Revision-Date: 2021-01-20 07:11+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -86,15 +86,15 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/db/cache.py:304
 #: /__w/calibre/calibre/src/calibre/db/cache.py:307
 #: /__w/calibre/calibre/src/calibre/db/cache.py:318
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1196
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1198
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1200
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1369
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1467
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1469
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1471
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1645
-#: /__w/calibre/calibre/src/calibre/db/cache.py:1647
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1215
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1217
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1219
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1388
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1486
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1488
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1490
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1664
+#: /__w/calibre/calibre/src/calibre/db/cache.py:1666
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_add.py:131
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:282
 #: /__w/calibre/calibre/src/calibre/db/lazy.py:283
@@ -115,7 +115,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/devices/kobo/driver.py:1708
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:46
 #: /__w/calibre/calibre/src/calibre/devices/mtp/books.py:70
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:313
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:312
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:264
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:67
 #: /__w/calibre/calibre/src/calibre/devices/nook/driver.py:68
@@ -215,16 +215,16 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/parse_utils.py:326
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:151
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/reader.py:158
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:116
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:121
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:233
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:244
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:275
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:126
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:262
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:273
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:304
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:172
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ereader/writer.py:173
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/palmdoc/writer.py:31
 #: /__w/calibre/calibre/src/calibre/ebooks/pdb/ztxt/writer.py:29
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:690
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:691
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:21
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/image_writer.py:22
 #: /__w/calibre/calibre/src/calibre/ebooks/pdf/render/links.py:145
@@ -250,7 +250,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/add_empty_book.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/authors_edit.py:181
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/custom_recipes.py:697
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1058
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1075
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/scheduler.py:520
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:388
 #: /__w/calibre/calibre/src/calibre/gui2/email.py:403
@@ -282,7 +282,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:486
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/insert_resource.py:487
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:243
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:224
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:211
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:454
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:458
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:470
@@ -301,7 +301,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/srv/content.py:161
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:97
 #: /__w/calibre/calibre/src/calibre/srv/tests/http.py:106
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:160
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:171
 #: /__w/calibre/calibre/src/calibre/utils/localization.py:347
 #: /__w/calibre/calibre/src/calibre/web/feeds/__init__.py:25
 #: /__w/calibre/calibre/src/calibre/web/feeds/recipes/collection.py:50
@@ -325,27 +325,27 @@ msgstr ""
 msgid "Cannot configure"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:346
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:348
 msgid "File type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:416
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:418
 msgid "Metadata reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:448
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:450
 msgid "Metadata writer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:480
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:482
 msgid "Catalog generator"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:598
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:600
 msgid "User interface action"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:633
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:635
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:22
 #: /__w/calibre/calibre/src/calibre/gui2/actions/preferences.py:30
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/main.py:97
@@ -357,20 +357,20 @@ msgstr ""
 msgid "Preferences"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:686
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/models.py:41
 msgid "Store"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:690
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:692
 msgid "An e-book store."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:734
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:736
 msgid "Edit book tool"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/__init__.py:746
+#: /__w/calibre/calibre/src/calibre/customize/__init__.py:748
 msgid "Library closed"
 msgstr ""
 
@@ -392,372 +392,372 @@ msgstr ""
 msgid "Extract cover from comic files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:178
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:189
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:202
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:213
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:224
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:236
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:248
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:259
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:270
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:281
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:303
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:314
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:325
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:337
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:350
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:373
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:385
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:396
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:408
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:419
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:431
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:182
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:193
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:206
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:228
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:252
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:263
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:274
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:285
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:307
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:318
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:341
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:354
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:377
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:389
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:400
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:412
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:423
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:435
 #, python-format
 msgid "Read metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:362
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:366
 msgid "Read metadata from e-books in RAR archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:443
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:447
 msgid "Read metadata from e-books in ZIP archives"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:462
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:481
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:504
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:515
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:539
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:551
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:562
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:466
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:485
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:508
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:519
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:543
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:555
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:566
 #, python-format
 msgid "Set metadata in %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:473
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:477
 #, python-brace-format
 msgid ""
 "Enter {0} below to have the EPUB metadata writer plugin not add cover images"
 " to EPUB files that have no existing cover image."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:492
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:527
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:574
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:586
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:597
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:496
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:531
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:578
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:590
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:601
 #, python-format
 msgid "Set metadata from %s files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:845
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:849
 msgid "Add books to calibre or the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:851
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:855
 msgid "Fetch annotations from a connected Kindle (experimental)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:857
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:861
 msgid "Generate a catalog of the books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:863
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:867
 msgid "Convert books to various e-book formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:869
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:873
 msgid "Fine tune your e-books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:875
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:879
 #: /__w/calibre/calibre/src/calibre/gui2/actions/browse_annots.py:17
 msgid "Browse highlights and bookmarks from all books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:881
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:885
 #: /__w/calibre/calibre/src/calibre/gui2/actions/toc_edit.py:74
 msgid "Edit the Table of Contents in your books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:887
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:891
 msgid "Delete books from your calibre library or connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:893
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:897
 msgid ""
 "Embed updated metadata into the actual book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:899
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:903
 msgid "Edit the metadata of books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:905
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:909
 msgid "Read books in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:911
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:915
 msgid "Download news from the internet in e-book form"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:917
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:921
 msgid "Show a list of related books quickly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:923
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:927
 #: /__w/calibre/calibre/src/calibre/gui2/actions/tag_mapper.py:16
 msgid "Filter/transform the tags for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:929
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:933
 #: /__w/calibre/calibre/src/calibre/gui2/actions/author_mapper.py:15
 msgid "Transform the authors for books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:935
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:939
 msgid "Show an editor for testing templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:941
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:945
 msgid ""
 "Show a dialog for creating and managing template functions and stored "
 "templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:947
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:951
 msgid "Export books from your calibre library to the hard disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:953
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:957
 msgid "Show Book details in a separate popup"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:959
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:963
 #: /__w/calibre/calibre/src/calibre/gui2/actions/restart.py:16
 msgid "Restart calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:965
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:969
 msgid "Open the folder that contains the book files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:972
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:976
 msgid "Send books to the connected device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:978
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:982
 msgid ""
 "Send books via email or the web. Also connect to folders on your computer as"
 " if they are devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:985
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:989
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 msgid "Browse the calibre User Manual"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:991
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:995
 msgid "Customize calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:997
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1001
 msgid "Easily find books similar to the currently selected one"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1003
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1007
 msgid ""
 "Switch between different calibre libraries and perform maintenance on them"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1010
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1014
 msgid "Copy books from the device to your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1016
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1020
 msgid "Edit the collections in which books are placed on your device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1022
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1026
 msgid "Match book on the devices to books in the library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1028
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1032
 #: /__w/calibre/calibre/src/calibre/gui2/actions/match_books.py:47
 msgid "Show the book in the calibre library that matches this book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1034
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1038
 msgid "Copy a book from one calibre library to another"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1040
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1044
 msgid "Edit e-books in the EPUB or AZW3 formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1046
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1050
 msgid "Make small changes to EPUB or HTMLZ files in your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1052
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1056
 msgid ""
 "Find the next or previous match when searching in your calibre library in "
 "highlight mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1059
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1063
 msgid "Choose a random book from your calibre library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1065
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1069
 #: /__w/calibre/calibre/src/calibre/gui2/actions/sort.py:31
 msgid "Sort the list of books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1071
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1075
 msgid "Temporarily mark books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1077
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1081
 #: /__w/calibre/calibre/src/calibre/gui2/actions/virtual_library.py:14
 msgid "Change the current Virtual library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1084
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1088
 msgid "Search for books from different book sellers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1101
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1105
 msgid "Get new calibre plugins or update your existing ones"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1124
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1128
 #: /__w/calibre/calibre/src/calibre/gui2/convert/look_and_feel.py:21
 msgid "Look & feel"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1126
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1139
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1151
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1163
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1176
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
 msgid "Interface"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1130
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1134
 msgid "Adjust the look and feel of the calibre interface to suit your tastes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1137
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1141
 msgid "Behavior"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1143
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1147
 msgid "Change the way calibre behaves"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1149
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1153
 #: /__w/calibre/calibre/src/calibre/gui2/library/views.py:494
 msgid "Add your own columns"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1155
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1159
 msgid "Add/remove your own columns to the calibre book list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1161
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1165
 msgid "Toolbars & menus"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1167
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1171
 msgid ""
 "Customize the toolbars and context menus, changing which actions are "
 "available in each"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1174
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1178
 msgid "Searching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1180
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1184
 msgid "Customize the way searching for books works in calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1186
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1190
 msgid "Input options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1188
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1205
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1217
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
 msgid "Conversion"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1192
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1196
 msgid "Set conversion options specific to each input format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1203
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1207
 msgid "Common options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1209
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1213
 msgid "Set conversion options common to all formats"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1215
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1219
 msgid "Output options"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1221
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1225
 msgid "Set conversion options specific to each output format"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1227
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1231
 msgid "Adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1229
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1242
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1255
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1268
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
 msgid "Import/export"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1233
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1237
 msgid "Control how calibre reads metadata from files when adding books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1240
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1244
 msgid "Saving books to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1246
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1250
 msgid ""
 "Control how calibre exports files from its database to disk when using Save "
 "to disk"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1253
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1257
 msgid "Sending books to devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1259
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1263
 msgid "Control how calibre transfers files to your e-book reader"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1266
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1270
 msgid "Metadata plugboards"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1272
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1276
 msgid "Change metadata fields before saving/sending"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1278
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1282
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:169
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:179
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions.py:186
@@ -767,92 +767,92 @@ msgstr ""
 msgid "Template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1280
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1344
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1357
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1369
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1381
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
 msgid "Advanced"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1284
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1288
 msgid "Create your own template functions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1290
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1294
 msgid "Sharing books by email"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1292
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1305
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1319
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1331
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
 msgid "Sharing"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1296
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1300
 msgid ""
 "Setup sharing of books via email. Can be used for automatic sending of "
 "downloaded news to your devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1303
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1307
 msgid "Sharing over the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1309
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1313
 msgid ""
 "Setup the calibre Content server which will give you access to your calibre "
 "library from anywhere, on any device, over the internet"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1317
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1321
 msgid "Metadata download"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1323
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1327
 msgid "Control how calibre downloads e-book metadata from the net"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1329
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1333
 #: /__w/calibre/calibre/src/calibre/gui2/device_drivers/mtp_config.py:407
 msgid "Ignored devices"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1335
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1339
 msgid ""
 "Control which devices calibre will ignore when they are connected to the "
 "computer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1342
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1346
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugins.py:300
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.py:86
 msgid "Plugins"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1348
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1352
 msgid "Add/remove/customize various bits of calibre functionality"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1355
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1359
 msgid "Tweaks"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1361
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1365
 msgid "Fine tune how calibre behaves in various contexts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1367
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1371
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:568
 msgid "Shortcuts"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1373
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1377
 msgid "Customize the keyboard shortcuts used by calibre"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1379
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1383
 #: /__w/calibre/calibre/src/calibre/gui2/keyboard.py:140
 #: /__w/calibre/calibre/src/calibre/gui2/search_restriction_mixin.py:326
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/file_list.py:64
@@ -860,7 +860,7 @@ msgstr ""
 msgid "Miscellaneous"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1385
+#: /__w/calibre/calibre/src/calibre/customize/builtins.py:1389
 msgid "Miscellaneous advanced configuration"
 msgstr ""
 
@@ -1250,9 +1250,9 @@ msgstr ""
 msgid "Restoring database from SQL"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/backend.py:2059
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2337
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2458
+#: /__w/calibre/calibre/src/calibre/db/backend.py:2074
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2356
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2477
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:206
 #: /__w/calibre/calibre/src/calibre/utils/exim.py:372
 msgid "Completed"
@@ -1278,17 +1278,17 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:183
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:635
 #: /__w/calibre/calibre/src/calibre/library/database2.py:1083
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1199
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1245
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1205
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1251
 msgid "Yes"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2448
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2467
 #, python-format
 msgid "Cover for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cache.py:2452
+#: /__w/calibre/calibre/src/calibre/db/cache.py:2471
 #, python-brace-format
 msgid "{0} format for {1}"
 msgstr ""
@@ -1674,14 +1674,14 @@ msgstr ""
 msgid "You must specify some ids or the %s option"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:228
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:227
 msgid ""
 "%prog list [options]\n"
 "\n"
 "List the books available in the calibre database.\n"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:240
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:239
 #, python-format
 msgid ""
 "The fields to display when listing books in the database. Should be a comma separated list of fields.\n"
@@ -1689,7 +1689,7 @@ msgid ""
 "Default: %%default. The special field \"all\" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:253
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:252
 #, python-brace-format
 msgid ""
 "The field by which to sort the results.\n"
@@ -1697,39 +1697,39 @@ msgid ""
 "Default: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:260
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:259
 msgid "Sort results in ascending order"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:267
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:266
 msgid ""
 "Filter the results by the search query. For the format of the search query, "
 "please see the search related documentation in the User Manual. Default is "
 "to do no filtering."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:277
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:276
 #: /__w/calibre/calibre/src/calibre/db/cli/cmd_list_categories.py:67
 msgid ""
 "The maximum width of a single line in the output. Defaults to detecting "
 "screen size."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:283
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:282
 msgid "The string used to separate fields. Default is a space."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:289
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:288
 msgid ""
 "The prefix for all file paths. Default is the absolute path to the library "
 "folder."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:296
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:295
 msgid "The maximum number of results to display. Default: all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:303
+#: /__w/calibre/calibre/src/calibre/db/cli/cmd_list.py:302
 msgid ""
 "Generate output in JSON format, which is more suitable for machine parsing. "
 "Causes the line width and separator options to be ignored."
@@ -2276,21 +2276,21 @@ msgstr ""
 msgid "Invalid boolean query \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:510
+#: /__w/calibre/calibre/src/calibre/db/search.py:514
 msgid "No such Virtual library: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:514
+#: /__w/calibre/calibre/src/calibre/db/search.py:518
 msgid "Virtual library search is recursive: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:545
+#: /__w/calibre/calibre/src/calibre/db/search.py:549
 #: /__w/calibre/calibre/src/calibre/library/caches.py:679
 #, python-brace-format
 msgid "Recursive query group detected: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/db/search.py:643
+#: /__w/calibre/calibre/src/calibre/db/search.py:647
 msgid ""
 "search template: missing or invalid separator. Valid separators are: {}"
 msgstr ""
@@ -3466,11 +3466,11 @@ msgstr ""
 msgid "All books removed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:238
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:237
 msgid "Unnamed device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:240
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:239
 #, python-brace-format
 msgid ""
 "The device {0} is not allowing connections. Unlock the screen on the {0}, "
@@ -3479,12 +3479,12 @@ msgid ""
 " connection on the {0} to \"Media Transfer mode (MTP)\" or similar."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:266
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:265
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:344
 msgid "Unknown MTP device"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:285
+#: /__w/calibre/calibre/src/calibre/devices/mtp/unix/driver.py:284
 #: /__w/calibre/calibre/src/calibre/devices/mtp/windows/driver.py:232
 #, python-format
 msgid "Found object: %s"
@@ -6039,7 +6039,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/base.py:1374
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.py:648
 #: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/htmltoc.py:16
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:686
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:386
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/reports.py:238
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:658
@@ -6332,7 +6332,7 @@ msgid "Producer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:792
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:575
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:592
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:1168
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:161
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:180
@@ -6340,7 +6340,7 @@ msgid "Comments"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:794
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:294
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:325
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:101
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:110
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:116
@@ -6380,7 +6380,7 @@ msgid "Tags"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:796
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:292
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:323
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/match_books.py:90
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories.py:80
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:293
@@ -6410,7 +6410,7 @@ msgid "Timestamp"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/ebooks/metadata/book/base.py:801
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:291
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:322
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:188
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single_download.py:121
 #: /__w/calibre/calibre/src/calibre/library/field_metadata.py:240
@@ -8140,13 +8140,13 @@ msgstr ""
 msgid "HTML TOC generation options."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:180
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:182
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:185
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:187
 #, python-brace-format
 msgid "{1} of <em>{0}</em>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:293
+#: /__w/calibre/calibre/src/calibre/ebooks/oeb/transforms/jacket.py:324
 #: /__w/calibre/calibre/src/calibre/gui2/library/models.py:189
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:254
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/metadata_sources.py:164
@@ -8179,31 +8179,31 @@ msgstr ""
 msgid "Sidebar"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:810
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:811
 msgid "Adding headers and footers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:974
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:975
 msgid "Headers and footers added"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1018
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1019
 msgid "Parsed all content for markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1031
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1032
 msgid "Completed markup transformation"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1074
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1075
 msgid "Rendered all HTML as PDF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1079
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1080
 msgid "Added links to PDF content"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1115
+#: /__w/calibre/calibre/src/calibre/ebooks/pdf/html_writer.py:1116
 msgid "Updated metadata in PDF"
 msgstr ""
 
@@ -9172,7 +9172,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/actions/copy_to_library.py:484
 #: /__w/calibre/calibre/src/calibre/gui2/device.py:1026
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/exim.py:134
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1235
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1254
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/restore_library.py:120
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:497
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:538
@@ -10181,7 +10181,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/actions/help.py:19
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:424
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:736
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:736
 msgid "Help"
 msgstr ""
 
@@ -11440,7 +11440,7 @@ msgid "Errors while adding"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/add_filters.py:24
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:728
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:728
 msgid "Ignore"
 msgstr ""
 
@@ -11570,8 +11570,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/author_mapper.py:26
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:300
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:463
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:480
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:311
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:47
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:691
@@ -11705,11 +11705,11 @@ msgid "Search the internet for this book
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/book_details.py:104
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:848
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:853
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:864
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:868
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:871
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:849
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:854
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:865
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:869
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:872
 #, python-format
 msgid "Manage %s"
 msgstr ""
@@ -11852,7 +11852,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/chooser_widget_ui.py:75
 #: /__w/calibre/calibre/src/calibre/gui2/store/stores/mobileread/store_dialog_ui.py:74
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:779
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:828
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:829
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/char_select.py:771
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/ui.py:542
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/widgets.py:447
@@ -12179,7 +12179,7 @@ msgid "Preset name:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi.py:734
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1284
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1311
 msgid "You must provide a name."
 msgstr ""
 
@@ -12256,7 +12256,7 @@ msgid "Save current catalog settings as
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:357
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:710
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:710
 msgid "Save"
 msgstr ""
 
@@ -12265,10 +12265,10 @@ msgid "Delete current preset"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/catalog/catalog_epub_mobi_ui.py:359
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:291
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/template_functions_ui.py:145
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 #: /__w/calibre/calibre/src/calibre/gui2/widgets2.py:143
 msgid "Delete"
 msgstr ""
@@ -12381,8 +12381,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/choose_library_ui.py:86
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:78
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/device_category_editor_ui.py:80
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:640
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:643
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:148
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:151
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_categories_ui.py:153
@@ -13568,7 +13568,7 @@ msgid "Ta&gs:"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:169
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:649
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1373
 msgid ""
 "Tags categorize the book. This is particularly useful while searching. "
@@ -13583,8 +13583,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:171
 #: /__w/calibre/calibre/src/calibre/gui2/convert/metadata_ui.py:172
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:594
 msgid "List of known series. You can add new series."
 msgstr ""
@@ -14451,7 +14451,7 @@ msgid "Choose color"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/covers.py:74
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:51
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:136
 #: /__w/calibre/calibre/src/calibre/gui2/store/config/chooser/adv_search_builder_ui.py:217
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:478
@@ -14792,19 +14792,19 @@ msgid "Edit style transform rules"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:273
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:971
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:972
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1014
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:143
 msgid "E&xport"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:274
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:973
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:974
 msgid "Export these rules to a file"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/css_transform_rules.py:277
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:975
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1010
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/bookmarks.py:147
 msgid "&Import"
@@ -14878,8 +14878,8 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:995
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1045
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1126
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:510
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:519
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:527
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:536
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:546
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:550
 #: /__w/calibre/calibre/src/calibre/gui2/library/delegates.py:702
@@ -14960,7 +14960,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/custom_column_widgets.py:1195
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
 msgid ""
 "The amount by which to increment the series number for successive books. "
 "Only applicable when using force series numbers."
@@ -16540,7 +16540,7 @@ msgid "Change case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:296
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:307
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:687
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:473
@@ -16548,7 +16548,7 @@ msgid "Upper case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:297
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:308
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:688
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:474
@@ -16556,7 +16556,7 @@ msgid "Lower case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:298
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:309
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:689
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:475
@@ -16564,7 +16564,7 @@ msgid "Swap case"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog.py:299
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:523
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:540
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor.py:310
 #: /__w/calibre/calibre/src/calibre/gui2/toc/main.py:690
 #: /__w/calibre/calibre/src/calibre/gui2/widgets.py:476
@@ -16598,7 +16598,7 @@ msgid "Manage authors"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/edit_authors_dialog_ui.py:96
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/tag_list_editor_ui.py:109
 msgid "&Search for:"
 msgstr ""
@@ -17019,78 +17019,78 @@ msgid_plural "Hide the {} remaining erro
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:66
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:68
 #: /__w/calibre/calibre/src/calibre/gui2/dialogs/progress.py:137
 msgid "Working"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:93
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:96
 #, python-format
 msgid "Processing %d books, please wait..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:98
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:101
 msgid "Current step progress: %p %"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:104
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:107
 msgid "Step %v/%m"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:460
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:477
 msgid "Lower Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:461
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:478
 msgid "Upper Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:462
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:479
 msgid "Title Case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:466
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:483
 msgid "Character match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:484
 msgid "Regular expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:470
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:487
 msgid "Replace field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:471
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:488
 msgid "Prepend to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:472
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:489
 msgid "Append to field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:503
 msgid "Editing metadata for one book"
 msgid_plural "Editing metadata for {} books"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:543
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:560
 msgid ""
 "Immediately make all changes without closing the dialog. This operation "
 "cannot be canceled or undone"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:640
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:657
 #, python-format
 msgid "Book %d:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:658
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:675
 msgid "Enter an identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:664
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:681
 msgid ""
 "<b>You can destroy your library using this feature.</b> Changes are "
 "permanent. There is no undo function. You are strongly encouraged to back up"
@@ -17098,7 +17098,7 @@ msgid ""
 "character matching or regular expressions. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:689
 msgid ""
 "In character mode, the field is searched for the entered search text. The "
 "text is replaced by the specified replacement text everywhere it is found in"
@@ -17108,7 +17108,7 @@ msgid ""
 "search text will match both upper- and lower-case letters"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:700
 msgid ""
 "In regular expression mode, the search text is an arbitrary Python-"
 "compatible regular expression. The replacement text can contain "
@@ -17123,80 +17123,89 @@ msgid ""
 "function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:762
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:779
 msgid "S/R TEMPLATE ERROR"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:931
 msgid ""
 "You must specify a destination when source is a composite field or a "
 "template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:927
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:944
 msgid ""
 "The replacement value for a rating column must be empty or an integer "
 "between 0 and 10"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:934
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:951
 msgid "You must specify a destination identifier type"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:984
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1001
 msgid "You must specify a search expression in the \"Search for\" field"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1052
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1069
 msgid ""
 "Invalid identifier string. It must be a comma-separated list of pairs of "
 "strings separated by a colon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1150
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1167
 msgid "Search/replace invalid"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1151
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1168
 #, python-format
 msgid "Search/replace is invalid: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1252
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1264
+msgid "Covers compressed"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1265
+#, python-brace-format
+msgid ""
+"Covers were compressed by {percent:.1%} from a total size of {old} to {new}."
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
 msgid "Delete saved search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1253
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1280
 msgid "The selected saved search/replace will be deleted. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1278
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1283
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1288
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1305
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1310
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1315
 msgid "Save search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1279
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1306
 msgid "Search/replace name:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1289
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk.py:1316
 msgid ""
 "That saved search/replace already exists and will be overwritten. Are you "
 "sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:589
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
 msgid "Edit meta information"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:590
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:653
-msgid "A&pply date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
+msgid "&Author(s): "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:611
 msgid ""
 "This will cause the author sort field to be automatically updated\n"
 " based on the authors field for each selected book. Note that if\n"
@@ -17204,90 +17213,85 @@ msgid ""
 " field is updated anyway, regardless of the value of this checkbox."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:595
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
 msgid "A&utomatically set author sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:596
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
 msgid "S&wap title and author"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:597
-msgid ""
-"Update title sort based on the current title. This will be applied only "
-"after other changes to title."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+msgid "Author s&ort: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:598
-msgid "Update &title sort"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:618
+msgid ""
+"Specify how the author(s) of this book should be sorted. For example Charles"
+" Dickens should be sorted as Dickens, Charles."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:599
-msgid "Change &cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:619
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
+msgid "&Rating:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:600
-msgid "&Generate default cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:620
+msgid "&Apply rating"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:601
-msgid "&Remove cover"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+msgid "&Publisher: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:602
-msgid ""
-"Try to automatically detect and remove borders and extra space\n"
-" from the edges of cover images. This can sometimes remove too\n"
-" much, so use with care."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+msgid "If checked, the publisher will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:605
-msgid "&Trim cover (DANGEROUS)"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:623
+msgid "&Clear pub"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:606
-msgid "Set from &e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:624
+msgid "Add ta&gs: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:607
-msgid ""
-"Set the covers of all selected books to be the same\n"
-"as that of the first selected book."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:626
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
+msgid "Open Tag editor"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:609
-msgid "&Clone covers"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
+msgid "&Remove tags:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:610
-msgid ""
-"Force the title to be in title case. If both this and swap authors are checked,\n"
-"title and author are swapped before the title case is set"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
+msgid "Comma separated list of tags to remove from the books. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:612
-msgid "Change title &case to:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
+msgid "Check this box to remove all tags from the books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
-msgid "&Date:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:658
+msgid "Remove &all"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:614
-msgid "If checked, the publisher will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
+msgid "Ser&ies:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:615
-msgid "&Clear pub"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
+msgid "If checked, the series will be cleared"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:616
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
-msgid "P&ublished:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+msgid "&Clear series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:617
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
 msgid ""
 "If not checked, the series number for the books will be set to 1.\n"
 "If checked, selected books will be automatically numbered, in the order\n"
@@ -17295,281 +17299,303 @@ msgid ""
 "Book A will have series number 1 and Book B series number 2."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:621
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
 msgid "&Automatically number books in this series"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:622
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:642
 msgid ""
 "Series will normally be renumbered from the highest number in the database\n"
 "for that series. Checking this box will tell calibre to start numbering\n"
 "from the value in the box"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:625
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
 msgid "&Force numbers to start with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:627
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
 msgid "+ "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:628
-msgid "If checked, the series will be cleared"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1810
+msgid "&Date:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:629
-msgid "&Clear series"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:651
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
+msgid "A&pply date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:630
-msgid "Control how the default generated covers are created"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:652
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1873
+msgid "P&ublished:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:631
-msgid "Configure co&ver generation"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+msgid "Clear published date"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:632
-msgid "Set the co&mments for all selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
+msgid "&Languages:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:633
-msgid "&Remove tags:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:659
+msgid ""
+"Remove stored conversion settings for the selected books.\n"
+"\n"
+"Future conversion of these books will use the default settings."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:634
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
-msgid "Remove &all"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:662
+msgid "Remove &stored conversion settings for the selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:635
-msgid "Add ta&gs: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:663
+msgid ""
+"When doing a same format to same format conversion,\n"
+"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
+" as ORIGINAL_EPUB. This option tells calibre to restore\n"
+" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
+" conversion of a large number of books and something went wrong."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:636
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:668
+msgid "Restore pre conversion &originals, if available"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
 msgid ""
-"Specify how the author(s) of this book should be sorted. For example Charles"
-" Dickens should be sorted as Dickens, Charles."
+"Force the title to be in title case. If both this and swap authors are checked,\n"
+"title and author are swapped before the title case is set"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:637
-msgid "&Apply rating"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+msgid "Change title &case to:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:639
-msgid "Clear published date"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+msgid ""
+"Update title sort based on the current title. This will be applied only "
+"after other changes to title."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:641
-msgid "&Author(s): "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+msgid "Update &title sort"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:644
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1448
-msgid "&Languages:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+msgid ""
+"Set the metadata in calibre from the metadata in the e-book files associated"
+" with each book. Note that this does not change the cover, for that, use the"
+" separate option below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:645
-msgid "&Publisher: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+msgid "Set &metadata (except cover) from the e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:646
-msgid "Comma separated list of tags to remove from the books. "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:676
+msgid "Change &cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:648
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:235
-msgid "Open Tag editor"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:677
+msgid "&Generate default cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:650
-msgid "Author s&ort: "
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+msgid "&Remove cover"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:654
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
 msgid ""
-"Set the metadata in calibre from the metadata in the e-book files associated"
-" with each book. Note that this does not change the cover, for that, use the"
-" separate option below."
+"Try to automatically detect and remove borders and extra space\n"
+" from the edges of cover images. This can sometimes remove too\n"
+" much, so use with care."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:655
-msgid "Set &metadata (except cover) from the e-book files"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+msgid "&Trim cover (DANGEROUS)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:656
-msgid "Ser&ies:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+msgid "Set from &e-book files"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:657
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
 msgid ""
-"Remove stored conversion settings for the selected books.\n"
-"\n"
-"Future conversion of these books will use the default settings."
+"Set the covers of all selected books to be the same\n"
+"as that of the first selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:660
-msgid "Remove &stored conversion settings for the selected books"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:686
+msgid "&Clone covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:661
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
 msgid ""
-"When doing a same format to same format conversion,\n"
-"for e.g., EPUB to EPUB, calibre saves the original EPUB\n"
-" as ORIGINAL_EPUB. This option tells calibre to restore\n"
-" the EPUB from ORIGINAL_EPUB. Useful if you did a bulk\n"
-" conversion of a large number of books and something went wrong."
+"<p>Compress cover images, if the quality is set to 100 compression is "
+"lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:666
-msgid "Restore pre conversion &originals, if available"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+msgid "Co&mpress cover images:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:667
-msgid "Check this box to remove all tags from the books."
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+msgid ""
+"<p>Cover image compression quality. If the quality is set to 100 compression"
+" is lossless, otherwise it is lossy"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:669
-#: /__w/calibre/calibre/src/calibre/gui2/metadata/basic_widgets.py:1337
-msgid "&Rating:"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+msgid "Control how the default generated covers are created"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+msgid "Configure co&ver generation"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+msgid "Set the co&mments for all selected books"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:670
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:772
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:950
 msgid "&Basic metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:671
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:694
 #: /__w/calibre/calibre/src/calibre/gui2/metadata/single.py:779
 msgid "&Custom metadata"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:672
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
 msgid "&Load search/replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:673
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
 msgid "Select saved search/replace to load."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:674
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:697
 msgid "Save current search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:675
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
 msgid "Sa&ve"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:678
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:701
 msgid "Search &field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:679
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:702
 msgid "The name of the field that you want to search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:680
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
 msgid "Search &mode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:681
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
 msgid ""
 "Choose whether to use basic text matching or advanced regular expression "
 "matching"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:682
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
 msgid "&Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:683
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:706
 msgid "Choose which identifier type to operate upon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:684
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:707
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/create_custom_column.py:335
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:142
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/snippets.py:486
 msgid "&Template:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:685
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:708
 msgid "Enter a template to be used as the source for the search/replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:687
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
 msgid ""
 "Enter what you are looking for, either plain text or a regular expression, "
 "depending on the mode"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
 msgid ""
 "Check this box if the search string must match exactly upper and lower case."
 " Uncheck it if case is to be ignored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:689
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
 msgid "Cas&e sensitive"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:690
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
 msgid "&Replace with:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:691
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
 msgid ""
 "The replacement text. The matched search text will be replaced with this "
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
 msgid "&Apply function after replace:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
 msgid ""
 "Specify how the text is to be processed after matching and replacement. In character mode, the entire\n"
 "field is processed. In regular expression mode, only the matched text is processed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:695
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:718
 msgid "&Destination field:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:696
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:719
 msgid ""
 "The field that the text will be put into after all replacements.\n"
 "If blank, the source field is used if the field is modifiable"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:698
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:721
 msgid "M&ode:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:699
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:722
 msgid "Specify how the text should be copied into the destination."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:700
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:723
 msgid ""
 "Specifies whether result items should be split into multiple values or\n"
 "left as single values. This option has the most effect when the source field is\n"
 "not multiple and the destination field is multiple"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:703
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:726
 msgid "Split &result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:704
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:727
 msgid "Identifier type:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:705
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:728
 msgid ""
 "<p>Choose which identifier type to operate upon. When the\n"
 "              source field is something other than 'identifiers' you can enter\n"
@@ -17577,48 +17603,48 @@ msgid ""
 "              the result of the search/replace.</p>"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:709
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:732
 msgid "For multiple-valued fields, sho&w"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:710
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:733
 msgid "val&ues starting at"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:711
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:734
 msgid "with values separated b&y"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:712
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:735
 msgid ""
 "Used when displaying test results to separate values in multiple-valued "
 "fields"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:713
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:736
 msgid "Test text"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:714
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:737
 msgid "Test result"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:715
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:738
 msgid "Your &test:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:716
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:739
 msgid "&Search and replace"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:717
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:740
 msgid ""
 "If enabled, the book list will be re-sorted and any existing\n"
 "search or Virtual library will be refreshed after the edit\n"
 "is completed. This can be slow on large libraries."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:720
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/metadata_bulk_ui.py:743
 msgid "&Refresh book list after edit"
 msgstr ""
 
@@ -18074,42 +18100,42 @@ msgstr ""
 msgid "&Item: {0} ({1})"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:552
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:554
 msgid ""
 "Click to show only books with this item. Double click to search for this "
 "item in the Tag browser"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:570
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:572
 msgid "**No items found**"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:571
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:573
 msgid ""
 "Click in a column  in the library view to see the information for that book"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:591
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:593
 #, python-brace-format
 msgid "&Books with selected item \"{0}\": {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:600
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:602
 msgid ""
 "Double click on a book to change the selection in the library view or change"
 " the column shown in the left-hand panel. Shift- or Ctrl- double click to "
 "edit the metadata of a book, which also changes the selected book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:646
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:648
 msgid "Something went wrong while filling in the table"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:692
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:694
 msgid "Quickview: Book not in library view"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:693
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/quickview.py:695
 msgid ""
 "The book you selected is not currently displayed in the library view, "
 "perhaps because of a search or a Virtual library, so Quickview cannot select"
@@ -18215,87 +18241,87 @@ msgstr ""
 msgid "Failed to repair library"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:31
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:32
 msgid "Add a new Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:44
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:45
 msgid ""
 "You can create a <i>Saved search</i>, for frequently used searches here. The"
 " search will be visible under <i>Saved searches</i> in the Tag browser, "
 "using the name that you specify here."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:52
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:53
 msgid "The Saved search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:56
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
 msgid "&Search:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:57
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:58
 msgid "The search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:68
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
 msgid "No search name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:69
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:70
 msgid "You must specify a name for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:75
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
 msgid "No search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:76
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:77
 msgid "You must specify a search expression for the Saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:82
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:83
 msgid "Invalid saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:96
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:97
 #: /__w/calibre/calibre/src/calibre/gui2/search_box.py:581
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:875
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:876
 msgid "Manage Saved searches"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:102
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:103
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:982
 msgid "&Add search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:106
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:107
 msgid "&Remove search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:110
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:111
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:974
 msgid "&Edit search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:169
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:170
 msgid ""
 "The current saved search will be <b>permanently deleted</b>. Are you sure?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:181
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:182
 msgid "Edit the name and/or expression below."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:183
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:184
 msgid "Edit saved search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:195
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:196
 msgid "A saved search with the name {} already exists. Choose another name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:217
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/saved_search_editor.py:218
 msgid "Search expression"
 msgstr ""
 
@@ -19193,48 +19219,64 @@ msgstr ""
 msgid "Tag 2"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:357
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:359
 msgid "Template language tutorial"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:361
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:363
 msgid "Template function reference"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:377
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:379
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:522
 msgid "Select icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:430
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:432
 msgid "EXCEPTION: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:455
-msgid "Template function in Python"
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:448
+msgid "Built-in template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:449
+msgid "Built-in function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:457
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:450
+msgid "User defined Python template function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:451
+msgid "User function"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
 msgid "Stored template"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:463
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:453
+msgid "Stored user defined template"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:472
 msgid "No column chosen"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:464
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:473
 msgid "You must specify a column to be colored"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:467
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:476
 msgid "No template provided"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:468
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:477
 msgid "The template box cannot be empty"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:501
+#: /__w/calibre/calibre/src/calibre/gui2/dialogs/template_dialog.py:510
 msgid "A General Program Mode Template"
 msgstr ""
 
@@ -20298,7 +20340,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/tweaks.py:574
 #: /__w/calibre/calibre/src/calibre/gui2/store/search/search.py:382
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:984
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:485
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:472
 msgid "No matches"
 msgstr ""
 
@@ -20457,8 +20499,8 @@ msgid "Show in calibre"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:256
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:372
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:404
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:359
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:391
 msgid "Edit notes"
 msgstr ""
 
@@ -20475,14 +20517,14 @@ msgstr[0] ""
 msgstr[1] ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:262
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:198
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:185
 msgid "Expand all"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/library/annotations.py:263
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/ui.py:613
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:199
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:972
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:186
 msgid "Collapse all"
 msgstr ""
 
@@ -22702,60 +22744,60 @@ msgstr ""
 msgid "value: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:917
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:180
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:288
 msgid "&Add rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:919
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:920
 #: /__w/calibre/calibre/src/calibre/gui2/tag_mapper.py:291
 msgid "&Remove rule(s)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:936
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:937
 msgid "Move the selected rule up"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:941
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:942
 msgid "Move the selected rule down"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:949
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:950
 msgid "Add ad&vanced rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:955
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:956
 msgid "Du&plicate rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:960
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:961
 msgid "Convert to advanced r&ule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:966
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:967
 msgid "Open icon directory"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:976
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:977
 msgid "Import rules from a file"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:988
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:989
 msgid ""
 "You can control the color of columns in the book list by creating \"rules\" "
 "that tell calibre what color to use. Click the \"Add rule\" button below to "
 "get started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:995
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:996
 msgid ""
 "You can add icons to columns in the book list by creating \"rules\" that "
 "tell calibre what icon to use. Click the \"Add rule\" button below to get "
 "started.<p>You can <b>change an existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1001
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1002
 msgid ""
 "You can add emblems (small icons) that are displayed on the side of covers "
 "in the Cover grid by creating \"rules\" that tell calibre what image to use."
@@ -22763,57 +22805,57 @@ msgid ""
 "existing rule</b> by double clicking it."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1008
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1009
 msgid "Show &emblems next to the covers"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1011
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1012
 msgid ""
 "If checked, you can tell calibre to display icons of your choosing next to "
 "the covers shown in the Cover grid, controlled by the metadata of the book."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1030
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1050
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
 msgid "Select one rule"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1031
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1051
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1032
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1052
 msgid "You must select only one rule."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1122
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
 msgid "No rule selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1123
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1124
 #, python-format
 msgid "No rule selected for %s."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1128
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1129
 msgid "removal"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1174
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
 msgid "Choose file to export to"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1175
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1176
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1191
 msgid "Rules"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1189
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1190
 msgid "Choose file to import from"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1202
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
 msgid "No valid rules found"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1203
+#: /__w/calibre/calibre/src/calibre/gui2/preferences/coloring.py:1204
 msgid "No valid rules were found in {}."
 msgstr ""
 
@@ -23655,13 +23697,13 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Bottom"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:443
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preferences.py:319
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Top"
 msgstr ""
 
@@ -23695,7 +23737,7 @@ msgid "If there is enough room"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel.py:487
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:914
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:915
 msgid "By first letter"
 msgstr ""
 
@@ -23976,7 +24018,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/look_feel_ui.py:647
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:913
 msgid "Disable"
 msgstr ""
 
@@ -24668,7 +24710,7 @@ msgid ""
 "\n"
 "Often templates will contain simple references to composite columns, but this is not necessary. You can use any template in a source box that you can use elsewhere in calibre.\n"
 "\n"
-"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that mobi users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
+"One possible use for a plugboard is to alter the title to contain series information. Another would be to change the author sort, something that MOBI users might do to force it to use the ';' that the kindle requires. A third would be to specify the language."
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/plugboard_ui.py:122
@@ -25237,7 +25279,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:447
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:280
 msgid "Change password for {}"
 msgstr ""
 
@@ -25372,7 +25414,7 @@ msgid "Change &password"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:762
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:220
 msgid "{} is currently only allowed to access the library named: {}"
 msgid_plural "{} is currently only allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -25383,7 +25425,7 @@ msgid "Change the allowed libraries"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/preferences/server.py:770
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:144
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:227
 msgid "{} is currently not allowed to access the library named: {}"
 msgid_plural "{} is currently not allowed to access the libraries named: {}"
 msgstr[0] ""
@@ -26896,7 +26938,7 @@ msgid "Books in this category are unrate
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/model.py:222
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:256
 msgid "Search expression:"
 msgstr ""
 
@@ -27187,7 +27229,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:699
 #: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:762
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:812
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:813
 #, python-format
 msgid "Rename %s"
 msgstr ""
@@ -27247,95 +27289,95 @@ msgstr ""
 msgid "Remove %(item)s from category %(cat)s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:788
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:789
 #, python-format
 msgid "Search for %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:793
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:794
 #, python-format
 msgid "Search for everything but %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:799
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:800
 #, python-format
 msgid "Search for everything but %s and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:805
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:806
 msgid "Search using saved search expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:816
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:817
 #, python-format
 msgid "Add sub-category to %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:820
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:821
 #, python-format
 msgid "Delete User category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:831
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:832
 #, python-format
 msgid "Search for books in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:837
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:838
 #, python-format
 msgid "Search for books not in category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:858
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:859
 #, python-format
 msgid "Edit permissible values for %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:881
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:882
 #, python-format
 msgid "Hide category %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:888
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:889
 msgid "Change category icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:890
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:891
 msgid "Restore default icon"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:898
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:903
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:899
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:904
 msgid "Manage User categories"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:911
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:912
 msgid "Change sub-categorization scheme"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:916
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:917
 msgid "Partition"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:931
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:932
 msgid "First letter is usable only when sorting by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:939
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:940
 msgid "Expand or collapse"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:947
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:948
 #, python-brace-format
 msgid "Expand {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:950
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:951
 #, python-brace-format
 msgid "Expand {0} and its children"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:970
+#: /__w/calibre/calibre/src/calibre/gui2/tag_browser/view.py:971
 #, python-brace-format
 msgid "Collapse {0}"
 msgstr ""
@@ -27992,7 +28034,8 @@ msgid ""
 "wish to reconvert them?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:48
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:50
+#: /__w/calibre/calibre/src/calibre/gui2/tts/linux.py:53
 msgid "Could not find speech-dispatcher on your system. Please install it."
 msgstr ""
 
@@ -28523,7 +28566,7 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.py:1391
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:734
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:734
 msgid "Discard"
 msgstr ""
 
@@ -30761,7 +30804,7 @@ msgid "<h3>Italic</h3>Make the selected
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/editor/widget.py:65
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:775
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:775
 msgid "&Underline"
 msgstr ""
 
@@ -32088,7 +32131,7 @@ msgid "Disabled confirmations restored"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/preview.py:394
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:573
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:578
 msgid "Render process crashed"
 msgstr ""
 
@@ -32715,7 +32758,7 @@ msgid "Export saved searches"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/tweak_book/search.py:1016
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export"
 msgstr ""
 
@@ -34589,71 +34632,71 @@ msgstr ""
 msgid "highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:190
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:177
 msgid "Modify this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:191
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:196
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:178
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:183
 msgid "Edit notes for this highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:193
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:180
 msgid "Delete this highlight"
 msgid_plural "Delete selected highlights"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:229
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:216
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/search.py:472
 msgid "Table of Contents section:"
 msgid_plural "Table of Contents sections:"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:431
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:418
 msgid "Double click to jump to an entry"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:454
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:441
 msgid "Modify the selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:455
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:442
 msgid "Delete the selected highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:456
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:443
 msgid "Export all highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:486
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:473
 msgid "No highlights match the search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:502
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:489
 msgid "No selected highlight"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:503
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:490
 msgid "No highlight is currently selected"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:520
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:507
 msgid "Are you sure you want to delete this highlight permanently?"
 msgid_plural "Are you sure you want to delete all {} highlights permanently?"
 msgstr[0] ""
 msgstr[1] ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "No highlights"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:531
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/highlights.py:518
 msgid "This book has no highlights to export"
 msgstr ""
 
@@ -35107,7 +35150,7 @@ msgid "E-book viewer"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/viewer/ui.py:224
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:403
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:403
 msgid "Scroll here"
 msgstr ""
 
@@ -35183,13 +35226,13 @@ msgstr ""
 msgid "Failed to open the book at {0}. Click \"Show details\" for more info."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:574
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:579
 msgid ""
 "The Qt WebEngine Render process has crashed. You should try restarting the "
 "viewer."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:688
+#: /__w/calibre/calibre/src/calibre/gui2/viewer/web_view.py:689
 msgid "Choose background image"
 msgstr ""
 
@@ -35354,10 +35397,10 @@ msgid "< &Back"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/gui2/wizard/__init__.py:880
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:161
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:200
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:225
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:732
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:244
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:283
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:308
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:732
 msgid "Cancel"
 msgstr ""
 
@@ -35998,7 +36041,7 @@ msgid "No genres to catalog.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:335
-msgid "Check 'Excluded genres' regex in E-book options.\n"
+msgid "Check 'Excluded genres' regex in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:337
@@ -36047,7 +36090,7 @@ msgstr ""
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:887
 msgid ""
 "No books to catalog.\n"
-"Check 'Excluded books' rules in E-book options.\n"
+"Check 'Excluded books' rules in the E-book options.\n"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/library/catalogs/epub_mobi_builder.py:889
@@ -36524,177 +36567,208 @@ msgstr ""
 msgid "{0} is not a valid IP address/network, with error: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:31
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:21
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:60
+msgid "username [password]"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:25
+msgid "Give this user only read access"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:29
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:67
+msgid "username is required"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:39
+msgid "username"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+msgid "Unknown command: {}"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:89
+msgid "Manage the user accounts for calibre-server. Available commands are:"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:91
+msgid "Use {} for help on individual commands"
+msgstr ""
+
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
 msgid "What do you want to do?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:40
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
 msgid "default"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:45
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:128
 msgid "No choice selected, exiting..."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:54
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:137
 #, python-format
 msgid "%s is not a valid choice, try again"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:65
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:148
 msgid "Existing user names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:68
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:151
 msgid "There are no users, you must first add an user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:73
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:156
 #, python-format
 msgid "The username %s does not exist"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:75
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:98
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:181
 msgid "Enter the username"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:82
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:165
 #, python-format
 msgid "Enter the new password for %s: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:84
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:167
 #: /__w/calibre/calibre/src/calibre/srv/users.py:59
 msgid "Empty passwords are not allowed"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:87
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:170
 #, python-format
 msgid "Re-enter the new password for %s, to verify: "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:90
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:173
 msgid "Passwords do not match"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:101
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
 #, python-format
 msgid "User %s added successfully!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:105
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
 #, python-format
 msgid "Are you sure you want to remove the user %s?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:109
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:192
 #, python-format
 msgid "User %s successfully removed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:114
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:197
 #, python-format
 msgid "Password for %s successfully changed!"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:118
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
 #, python-brace-format
 msgid "Current password for {0} is: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:123
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:206
 msgid "Allow {} to make changes (i.e. grant write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:125
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:208
 msgid "Prevent {} from making changes (i.e. remove write access)"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:149
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:232
 msgid "{} has the following additional per-library restrictions:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:154
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:237
 msgid "{} has no additional per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:157
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:240
 msgid "Allow access to all libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:158
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:241
 msgid "Allow access to only specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:159
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:242
 msgid "Allow access to all, except specified libraries"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:160
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:243
 msgid "Change per-library restrictions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:166
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:249
 msgid "Enter the name of the library:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:171
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:254
 msgid ""
 "Enter a search expression, access will be granted only to books matching "
 "this expression. An empty expression will grant access to all books."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:179
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:262
 msgid "Another restriction?"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:184
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:267
 msgid "Enter a comma separated list of library names:"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:187
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:270
 msgid "Allowing access only to libraries: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:188
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:271
 msgid "Allowing access to all libraries, except: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:196
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:279
 msgid "Show password for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:198
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:281
 msgid "Change read/write permission for {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:199
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:282
 msgid "Change the libraries {} is allowed to access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:201
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:284
 #, python-brace-format
 msgid "{0} has {1} access"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "read-write"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:203
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:286
 msgid "readonly"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:222
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:305
 msgid "Add a new user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:223
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:306
 msgid "Edit an existing user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:224
+#: /__w/calibre/calibre/src/calibre/srv/manage_users_cli.py:307
 msgid "Remove a user"
 msgstr ""
 
@@ -37102,13 +37176,14 @@ msgid ""
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/standalone.py:157
-#, python-format
+#, python-brace-format
 msgid ""
-"Manage the database of users allowed to connect to this server. See also the"
-" %s option."
+"Manage the database of users allowed to connect to this server. You can use "
+"it in automated mode by adding a --. See {0} for details. See also the {1} "
+"option."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:160
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:161
 #, python-brace-format
 msgid ""
 "Path to the user database to use for authentication. The database is a "
@@ -37116,23 +37191,23 @@ msgid ""
 "at: {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:180
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:181
 msgid ""
 "Another calibre program such as another instance of {} or the main calibre "
 "program is running. Having multiple programs that can make changes to a "
 "calibre library running at the same time is not supported."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:207
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:208
 msgid "Interrupted by user"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:213
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:214
 #, python-format
 msgid "There is no calibre library at: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/srv/standalone.py:217
+#: /__w/calibre/calibre/src/calibre/srv/standalone.py:218
 msgid "You must specify at least one calibre library"
 msgstr ""
 
@@ -37145,7 +37220,7 @@ msgid "Enum"
 msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/srv/tests/ajax.py:131
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:244
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:248
 msgid "Invalid syntax. Expected a lookup name or a word"
 msgstr ""
 
@@ -37304,128 +37379,128 @@ msgstr ""
 msgid "File is open in another process"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:166
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:177
 msgid "the end of the program"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:167
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:178
 #, python-brace-format
 msgid "{0}: {1} near {2}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:323
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:334
 #, python-brace-format
 msgid "Failed to scan program. Invalid input {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:326
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:337
 msgid "Syntax error - program ends before EOF"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:342
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
 msgid "Missing 'then' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:353
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:364
 msgid "Missing 'fi' in if statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
 msgid "Missing identifier in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:363
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:374
 msgid "Missing 'in' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:367
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:378
 msgid "Missing colon (':') in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:371
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:382
 msgid "Missing 'rof' in for statement"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:390
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:401
 #, python-brace-format
 msgid "A stored template must begin with {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:417
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
 #, python-brace-format
 msgid "Unknown function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:428
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:439
 msgid "Missing closing parenthesis"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:443
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:454
 msgid "Parameters to '{}' must be variables or assignments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:455
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:825
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:468
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:846
 #, python-brace-format
 msgid "Incorrect number of arguments for function {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:461
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:474
 msgid "Expression is not function or constant"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:514
 #, python-brace-format
 msgid "Error during string comparison. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:523
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:536
 #, python-brace-format
 msgid "Value used in comparison is not a number. Operator {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:537
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:550
 #, python-brace-format
 msgid "Unknown identifier {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:584
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:588
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:604
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:597
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:601
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:617
 #, python-brace-format
 msgid "Unknown field {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:630
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:643
 #, python-brace-format
 msgid "The field {0} is not a list"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:634
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:647
 #, python-brace-format
 msgid "Unhandled exception {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:661
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:682
 msgid "Internal error evaluating an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:698
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:719
 #, python-brace-format
 msgid "format: type {0} requires an integer value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:704
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:725
 #, python-brace-format
 msgid "format: type {0} requires a decimal (float) value, got {1}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:835
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:856
 #, python-format
 msgid "%s: unknown function"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter.py:918
+#: /__w/calibre/calibre/src/calibre/utils/formatter.py:939
 #, python-brace-format
 msgid "No such variable {0}"
 msgstr ""
@@ -37480,60 +37555,60 @@ msgstr ""
 
 #: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:246
 msgid ""
-"add(x, y) -- returns x + y. Throws an exception if either x or y are not "
-"numbers."
+"add(x, y, ...) -- returns the sum of its arguments. Throws an exception if "
+"an argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:258
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:261
 msgid ""
 "subtract(x, y) -- returns x - y. Throws an exception if either x or y are "
 "not numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:270
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:273
 msgid ""
-"multiply(x, y) -- returns x * y. Throws an exception if either x or y are "
-"not numbers."
+"multiply(x, y, ...) -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:282
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:288
 msgid ""
 "divide(x, y) -- returns x / y. Throws an exception if either x or y are not "
 "numbers."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:294
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:300
 msgid ""
 "ceiling(x) -- returns the smallest integer greater than or equal to x. "
 "Throws an exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:313
 msgid ""
 "floor(x) -- returns the largest integer less than or equal to x. Throws an "
 "exception if x is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:326
 msgid ""
 "round(x) -- returns the nearest integer to x. Throws an exception if x is "
 "not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:332
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:338
 msgid ""
 "mod(x) -- returns the remainder of x / y, where x, y, and the result are "
 "integers. Throws an exception if either x or y is not a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:346
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:352
 msgid ""
 "fractional_part(x) -- returns the value after the decimal point.  For "
 "example, fractional_part(3.14) returns 0.14. Throws an exception if x is not"
 " a number."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:366
 msgid ""
 "template(x) -- evaluates x as a template. The evaluation is done in its own "
 "context, meaning that variables are not shared between the caller and the "
@@ -37545,7 +37620,7 @@ msgid ""
 "this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:379
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:385
 msgid ""
 "eval(template) -- evaluates the template, passing the local variables (those"
 " 'assign'ed to) instead of the book metadata.  This permits using the "
@@ -37556,13 +37631,13 @@ msgid ""
 "used in the argument to this function when using template program mode."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:399
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:405
 msgid ""
 "assign(id, val) -- assigns val to id, then returns val. id must be an "
 "identifier, not an expression"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:411
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:417
 msgid ""
 "split(list_val, sep, id_prefix) -- splits the list_val into separate values "
 "using 'sep', then assigns the values to variables named 'id_prefix_N' where "
@@ -37572,30 +37647,30 @@ msgid ""
 "'two'; var_3 = 'foo'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:431
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:437
 msgid ""
 "print(a, b, ...) -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (calibre-debug -g), the output will go "
 "to a black hole."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:444
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:450
 msgid "field(name) -- returns the metadata field named by name"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:454
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:460
 msgid ""
 "raw_field(name) -- returns the metadata field named by name without applying"
 " any formatting."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:471
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:477
 msgid ""
 "raw_list(name, separator) -- returns the metadata list named by name without"
 " applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:486
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:492
 msgid ""
 "substr(str, start, end) -- returns the start'th through the end'th "
 "characters of str. The first character in str is the zero'th character. If "
@@ -37605,7 +37680,7 @@ msgid ""
 "'234'."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:501
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:507
 msgid ""
 "lookup(val, pattern, field, pattern, field, ..., else_field) -- like switch,"
 " except the arguments are field (metadata) names, not text. The value of the"
@@ -37615,24 +37690,24 @@ msgid ""
 "constructing variable save paths"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:516
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:522
 msgid "lookup requires either 2 or an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:530
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:536
 msgid ""
 "test(val, text if not empty, text if empty) -- return `text if not empty` if"
 " val is not empty, otherwise return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:544
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:550
 msgid ""
 "contains(val, pattern, text if match, text if not match) -- checks if val "
 "contains matches for the regular expression `pattern`. Returns `text if "
 "match` if matches are found, otherwise it returns `text if no match`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:561
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:567
 msgid ""
 "switch(val, pattern, value, pattern, value, ..., else_value) -- for each "
 "`pattern, value` pair, checks if `val` matches the regular expression "
@@ -37641,11 +37716,11 @@ msgid ""
 " want"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:569
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:575
 msgid "switch requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:583
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:589
 msgid ""
 "strcat_max(max, string1, prefix2, string2, ...) -- Returns a string formed "
 "by concatenating the arguments. The returned value is initialized to "
@@ -37655,19 +37730,19 @@ msgid ""
 "you wish."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:593
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
 msgid "strcat_max requires 2 or more arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:595
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:601
 msgid "strcat_max requires an even number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:599
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:605
 msgid "first argument to strcat_max must be an integer"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:618
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:624
 msgid ""
 "in_list(val, separator, pattern, found_val, ..., not_found_val) -- treat val"
 " as a list of items separated by separator, evaluating the pattern against "
@@ -37677,11 +37752,11 @@ msgid ""
 " the search. The patterns are checked in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:629
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:635
 msgid "in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:648
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:654
 msgid ""
 "str_in_list(val, separator, string, found_val, ..., not_found_val) -- treat "
 "val as a list of items separated by separator, comparing the string against "
@@ -37693,11 +37768,11 @@ msgid ""
 " in order. The first match is returned."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:660
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:666
 msgid "str_in_list requires an odd number of arguments"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:681
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:687
 msgid ""
 "identifier_in_list(val, id, found_val, not_found_val) -- treat val as a list"
 " of identifiers separated by commas, comparing the string against each value"
@@ -37708,14 +37783,14 @@ msgid ""
 "found_val, otherwise return not_found_val."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:708
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:714
 msgid ""
 "re(val, pattern, replacement) -- return val after applying the regular "
 "expression. All instances of `pattern` are replaced with `replacement`. As "
 "in all of calibre, these are Python-compatible regular expressions"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:721
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:727
 msgid ""
 "re_group(val, pattern, template_for_group_1, for_group_2, ...) -- return a "
 "string made by applying the regular expression pattern to the val and "
@@ -37728,20 +37803,20 @@ msgid ""
 "\"(\\S* )(.*)\", \"[[$:uppercase()]]\", \"[[$]]\")'}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:756
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:762
 msgid ""
 "swap_around_comma(val) -- given a value of the form \"B, A\", return \"A "
 "B\". This is most useful for converting names in LN, FN format to FN LN. If "
 "there is no comma, the function returns val unchanged"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:775
 msgid ""
 "ifempty(val, text if empty) -- return val if val is not empty, otherwise "
 "return `text if empty`"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:783
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:789
 msgid ""
 "shorten(val, left chars, middle text, right chars) -- Return a shortened "
 "version of val, consisting of `left chars` characters from the beginning of "
@@ -37755,7 +37830,7 @@ msgid ""
 "Dome` would not be changed."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:810
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:816
 msgid ""
 "count(val, separator) -- interprets the value as a list of items separated "
 "by `separator`, returning the number of items in the list. Most lists use a "
@@ -37763,7 +37838,7 @@ msgid ""
 "{tags:count(,)}, {authors:count(&)}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:823
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:829
 msgid ""
 "list_item(val, index, separator) -- interpret the value as a list of items "
 "separated by `separator`, returning the `index`th item. The first item is "
@@ -37772,14 +37847,14 @@ msgid ""
 "separator has the same meaning as in the count function."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:845
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:851
 msgid ""
 "select(val, key) -- interpret the value as a comma-separated list of items, "
 "with the items being \"id:value\". Find the pair with the id equal to key, "
 "and return the corresponding value."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:864
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:870
 msgid ""
 "approximate_formats() -- return a comma-separated list of formats that at "
 "one point were associated with the book. There is no guarantee that this "
@@ -37792,19 +37867,19 @@ msgid ""
 " value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:885
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1182
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1201
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1221
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1619
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1639
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1680
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1735
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1769
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:891
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1188
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1207
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1227
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1625
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1645
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1686
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1741
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1775
 msgid "This function can be used only in the GUI"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:892
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:898
 msgid ""
 "formats_modtimes(date_format) -- return a comma-separated list of colon-"
 "separated items representing modification times for the formats of a book. "
@@ -37814,7 +37889,7 @@ msgid ""
 "uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:916
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:922
 msgid ""
 "formats_sizes() -- return a comma-separated list of colon-separated items "
 "representing sizes in bytes of the formats of a book. You can use the select"
@@ -37822,7 +37897,7 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:936
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:942
 msgid ""
 "formats_paths() -- return a comma-separated list of colon-separated items "
 "representing full path to the formats of a book. You can use the select "
@@ -37830,13 +37905,13 @@ msgid ""
 "always uppercase, as in EPUB."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:955
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:961
 msgid ""
 "human_readable(v) -- return a string representing the number v in KB, MB, "
 "GB, etc."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:970
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:976
 msgid ""
 "format_number(v, template) -- format the number v using a Python formatting "
 "template such as \"{0:5.2f}\" or \"{0:,d}\" or \"${0:5,.2f}\". The "
@@ -37847,7 +37922,7 @@ msgid ""
 "fails."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1006
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1012
 msgid ""
 "sublist(val, start_index, end_index, separator) -- interpret the value as a "
 "list of items separated by `separator`, returning a new list made from the "
@@ -37860,7 +37935,7 @@ msgid ""
 "returns \"A, B\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1042
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1048
 msgid ""
 "subitems(val, start_index, end_index) -- This function is used to break "
 "apart lists of items such as genres. It interprets the value as a comma-"
@@ -37877,7 +37952,7 @@ msgid ""
 " returns \"A, D\". {#genre:subitems(0,2)} returns \"A.B, D.E\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1087
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1093
 msgid ""
 "format_date(val, format_string) -- format the value, which must be a date, "
 "using the format_string, returning a string. The formatting codes are: d    "
@@ -37900,23 +37975,23 @@ msgid ""
 " timezone. Must be the only format present"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1125
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1131
 msgid "uppercase(val) -- return val in upper case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1135
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1141
 msgid "lowercase(val) -- return val in lower case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1145
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1151
 msgid "titlecase(val) -- return val in title case"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1155
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1161
 msgid "capitalize(val) -- return val capitalized"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1165
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1171
 msgid ""
 "booksize() -- return value of the size field. This function works only in "
 "the GUI. If you want to use this value in save-to-disk or send-to-device "
@@ -37925,7 +38000,7 @@ msgid ""
 "your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1189
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1195
 msgid ""
 "ondevice() -- return Yes if ondevice is set, otherwise return the empty "
 "string. This function works only in the GUI. If you want to use this value "
@@ -37934,55 +38009,55 @@ msgid ""
 "template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1208
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1214
 msgid ""
 "annotation_count() -- return the total number of annotations of all types "
 "attached to the current book. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1219
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1225
 msgid "Failed to fetch annotation count"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1228
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1234
 msgid "series_sort() -- return the series sort value"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1240
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1246
 msgid ""
 "has_cover() -- return Yes if the book has a cover, otherwise return the "
 "empty string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1253
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1259
 msgid ""
 "first_non_empty(value, value, ...) -- returns the first value that is not "
 "empty. If all values are empty, then the empty value is returned. You can "
 "have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1271
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1277
 msgid ""
 "and(value, value, ...) -- returns the string \"1\" if all values are not "
 "empty, otherwise returns the empty string. This function works well with "
 "test or first_non_empty. You can have as many values as you want. "
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1289
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1295
 msgid ""
 "or(value, value, ...) -- returns the string \"1\" if any value is not empty,"
 " otherwise returns the empty string. This function works well with test or "
 "first_non_empty. You can have as many values as you want."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1307
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1313
 msgid ""
 "not(value) -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1320
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1326
 msgid ""
 "list_union(list1, list2, separator) -- return a list made by merging the "
 "items in list1 and list2, removing duplicate items using a case-insensitive "
@@ -37991,7 +38066,7 @@ msgid ""
 " list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1338
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1344
 msgid ""
 "list_difference(list1, list2, separator) -- return a list made by removing "
 "from list1 any item found in list2, using a case-insensitive comparison. The"
@@ -37999,7 +38074,7 @@ msgid ""
 "the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1360
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1366
 msgid ""
 "list_intersection(list1, list2, separator) -- return a list made by removing"
 " from list1 any item not found in list2, using a case-insensitive "
@@ -38007,7 +38082,7 @@ msgid ""
 "the items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1382
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1388
 msgid ""
 "list_sort(list, direction, separator) -- return list sorted using a case-"
 "insensitive sort. If direction is zero, the list is sorted ascending, "
@@ -38015,7 +38090,7 @@ msgid ""
 "items in the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1398
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1404
 msgid ""
 "list_equals(list1, sep1, list2, sep2, yes_val, no_val) -- return yes_val if "
 "list1 and list2 contain the same items, otherwise return no_val. The items "
@@ -38024,7 +38099,7 @@ msgid ""
 "The comparison is case insensitive."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1417
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1423
 msgid ""
 "list_re(src_list, separator, include_re, opt_replace) -- Construct a list by"
 " first separating src_list into items using the separator character. For "
@@ -38033,7 +38108,7 @@ msgid ""
 "apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1443
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1449
 msgid ""
 "list_re_group(src_list, separator, include_re, search_re, group_1_template, "
 "...) -- Like list_re except replacements are not optional. It uses "
@@ -38041,14 +38116,14 @@ msgid ""
 "replacements on the resulting list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1483
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1489
 msgid ""
 "today() -- return a date string for today. This value is designed for use in"
 " format_date or days_between, but can be manipulated like any other string. "
 "The date is in ISO format."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1496
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1502
 msgid ""
 "days_between(date1, date2) -- return the number of days between date1 and "
 "date2. The number is positive if date1 is greater than date2, otherwise "
@@ -38056,7 +38131,7 @@ msgid ""
 "empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1520
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1526
 msgid ""
 "language_strings(lang_codes, localize) -- return the strings for the "
 "language codes passed in lang_codes. If localize is zero, return the strings"
@@ -38064,28 +38139,28 @@ msgid ""
 "the current locale. Lang_codes is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1542
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1548
 msgid ""
 "language_codes(lang_strings) -- return the language codes for the strings "
 "passed in lang_strings. The strings must be in the language of the current "
 "locale. Lang_strings is a comma-separated list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1563
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1569
 msgid ""
 "current_library_name() -- return the last name on the path to the current "
 "calibre library. This function can be called in template program mode using "
 "the template \"{:'current_library_name()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1577
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1583
 msgid ""
 "current_library_path() -- return the path to the current calibre library. "
 "This function can be called in template program mode using the template "
 "\"{:'current_library_path()'}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1591
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1597
 msgid ""
 "finish_formatting(val, fmt, prefix, suffix) -- apply the format, prefix, and"
 " suffix to a value in the same way as done in a template like "
@@ -38094,7 +38169,7 @@ msgid ""
 "finish_formatting(field(\"series_index\"), \"05.2f\", \" - \", \" - \")"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1608
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1614
 msgid ""
 "virtual_libraries() -- return a comma-separated list of Virtual libraries "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38103,7 +38178,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1626
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1632
 msgid ""
 "user_categories() -- return a comma-separated list of the user categories "
 "that contain this book. This function works only in the GUI. If you want to "
@@ -38112,7 +38187,7 @@ msgid ""
 "column's template, and use that column's value in your save/send templates"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1646
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1652
 #, python-brace-format
 msgid ""
 "transliterate(a) -- Returns a string in a latin alphabet formed by "
@@ -38120,7 +38195,7 @@ msgid ""
 "the source is \"{0}\" the function returns \"{1}\"."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1661
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1667
 msgid ""
 "author_links(val_separator, pair_separator) -- returns a string containing a"
 " list of authors and that author's link values in the form author1 "
@@ -38132,7 +38207,7 @@ msgid ""
 "author is included even if the author link is empty."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1687
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1693
 msgid ""
 "author_sorts(val_separator) -- returns a string containing a list of "
 "author's sort values for the authors of the book. The sort is the one in the"
@@ -38143,7 +38218,7 @@ msgid ""
 "string"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1709
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1715
 msgid ""
 "connected_device_name(storage_location) -- if a device is connected then "
 "return the device name, otherwise return the empty string. Each storage "
@@ -38151,13 +38226,13 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1726
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1760
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1732
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1766
 #, python-brace-format
 msgid "connected_device_name: invalid storage location \"{0}\""
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1742
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1748
 msgid ""
 "connected_device_uuid(storage_location) -- if a device is connected then "
 "return the device uuid (unique id), otherwise return the empty string. Each "
@@ -38165,7 +38240,7 @@ msgid ""
 "'main', 'carda' and 'cardb'. This function works only in the GUI."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1776
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1782
 msgid ""
 "check_yes_no(field_name, is_undefined, is_false, is_true) -- checks the "
 "value of the yes/no field named by the lookup key field_name for a value "
@@ -38178,11 +38253,11 @@ msgid ""
 "This function is usually used by the test() or is_empty() functions."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1796
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1802
 msgid "check_yes_no requires the field be a Yes/No custom column"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1808
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1814
 msgid ""
 "rating_to_stars(value, use_half_stars) -- Returns the rating as string of "
 "star characters. The value is a number between 0 and 5. Set use_half_stars "
@@ -38190,11 +38265,11 @@ msgid ""
 "support non-integer ratings, for example 2.5."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1817
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1823
 msgid "The rating must be a number between 0 and 5"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1832
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1838
 msgid ""
 "swap_around_articles(val, separator) -- returns the val with articles moved "
 "to the end. The value can be a list, in which case each member of the list "
@@ -38203,7 +38278,7 @@ msgid ""
 "single value, not a list."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1858
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1864
 msgid ""
 "arguments(id[=expression] [, id[=expression]]*) -- Used in a stored template"
 " to retrieve the arguments passed in the call. It both declares and "
@@ -38214,7 +38289,7 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1878
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1884
 msgid ""
 "globals(id[=expression] [, id[=expression]]*) -- Retrieves \"global "
 "variables\" that can be passed into the formatter. It both declares and "
@@ -38224,6 +38299,12 @@ msgid ""
 "default value then the variable is set to the empty string."
 msgstr ""
 
+#: /__w/calibre/calibre/src/calibre/utils/formatter_functions.py:1901
+msgid ""
+"field_exists(field_name) -- checks if a field (column) named field_name "
+"exists, returning '1' if so and '' if not."
+msgstr ""
+
 #: /__w/calibre/calibre/src/calibre/utils/html2text.py:17
 msgid "Unnamed image"
 msgstr ""
@@ -38512,29 +38593,29 @@ msgstr ""
 msgid "Close Tab"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:209
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:213
 msgid "Extra characters at end of search"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:241
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:245
 msgid "missing )"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:374
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:378
 #, python-format
 msgid "Failed to parse query, recursion limit reached: %s"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:426
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:430
 #, python-brace-format
 msgid "Recursive saved search: {0}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:431
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:435
 msgid "Unknown saved search: {}"
 msgstr ""
 
-#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:438
+#: /__w/calibre/calibre/src/calibre/utils/search_query_parser.py:442
 #, python-brace-format
 msgid "Unknown error in saved search: {0}"
 msgstr ""
@@ -38897,185 +38978,185 @@ msgstr ""
 msgid "Do not download CSS stylesheets."
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:708
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:708
 msgid "OK"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:712
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:712
 msgid "Save All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:714
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:714
 msgid "Open"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:716
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:716
 msgid "&Yes"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:718
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:718
 msgid "Yes to &All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:720
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:720
 msgid "&No"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:722
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:722
 msgid "N&o to All"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:724
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:724
 msgid "Abort"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:726
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:726
 msgid "Retry"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:730
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:730
 msgid "Close"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:738
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:738
 msgid "Apply"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:740
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:740
 msgid "Reset"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/gui/kernel/qplatformtheme.cpp:742
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/gui/kernel/qplatformtheme.cpp:742
 msgid "Restore Defaults"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1480
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1480
 msgid "Hu&e:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1481
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1481
 msgid "&Sat:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1482
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1482
 msgid "&Val:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1483
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1483
 msgid "&Red:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1484
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1484
 msgid "&Green:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1485
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1485
 msgid "Bl&ue:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1486
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1486
 msgid "A&lpha channel:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1487
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1487
 msgid "&HTML:"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1651
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1651
 msgid ""
 "Cursor at %1, %2\n"
 "Press ESC to cancel"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1679
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1679
 msgid "Select Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1872
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1872
 msgid "&Basic colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1873
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1873
 msgid "&Custom colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1874
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1874
 msgid "&Add to Custom Colors"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qcolordialog.cpp:1875
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qcolordialog.cpp:1875
 msgid "&Pick Screen Color"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:179
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:179
 msgid "Select Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:770
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:770
 msgid "&Font"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:771
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:771
 msgid "Font st&yle"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:772
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:772
 msgid "&Size"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:773
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:773
 msgid "Effects"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:774
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:774
 msgid "Stri&keout"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:776
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:776
 msgid "Sample"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/dialogs/qfontdialog.cpp:777
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/dialogs/qfontdialog.cpp:777
 msgid "Wr&iting System"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:405
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:405
 msgid "Left edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:406
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:406
 msgid "Right edge"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:408
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:408
 msgid "Page up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:409
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:409
 msgid "Page right"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll left"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:411
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:411
 msgid "Scroll up"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll down"
 msgstr ""
 
-#: /home/ci/qt-base/qtbase-everywhere-src-5.15.0/src/widgets/widgets/qscrollbar.cpp:412
+#: /home/ci/qt-base/qtbase-everywhere-src-5.15.2/src/widgets/widgets/qscrollbar.cpp:412
 msgid "Scroll right"
 msgstr ""
 
@@ -39355,8 +39436,8 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:269
 msgid ""
-"Specify renaming rules for sony collections. This tweak is only applicable if\n"
-"metadata management is set to automatic. Collections on Sonys are named\n"
+"Specify renaming rules for SONY collections. This tweak is only applicable if\n"
+"metadata management is set to automatic. Collections on SONYs are named\n"
 "depending upon whether the field is standard or custom. A collection derived\n"
 "from a standard field is named for the value in that field. For example, if\n"
 "the standard 'series' column contains the value 'Darkover', then the\n"
@@ -39412,7 +39493,7 @@ msgstr ""
 
 #: /__w/calibre/calibre/resources/default_tweaks.py:322
 msgid ""
-"Specify how sony collections are sorted. This tweak is only applicable if\n"
+"Specify how SONY collections are sorted. This tweak is only applicable if\n"
 "metadata management is set to automatic. You can indicate which metadata is to\n"
 "be used to sort on a collection-by-collection basis. The format of the tweak\n"
 "is a list of metadata fields from which collections are made, followed by the\n"
diff -pruN 5.9.0+dfsg-3/translations/iso_639/iso_639_3.pot 5.10.0+dfsg-1/translations/iso_639/iso_639_3.pot
--- 5.9.0+dfsg-3/translations/iso_639/iso_639_3.pot	2021-01-08 03:52:19.000000000 +0000
+++ 5.10.0+dfsg-1/translations/iso_639/iso_639_3.pot	2021-01-22 02:27:50.000000000 +0000
@@ -4,9 +4,9 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
-"POT-Creation-Date: 2021-01-08 09:22+IST\n"
-"PO-Revision-Date: 2021-01-08 09:22+IST\n"
+"Project-Id-Version: calibre 5.10.0\n"
+"POT-Creation-Date: 2021-01-22 07:57+IST\n"
+"PO-Revision-Date: 2021-01-22 07:57+IST\n"
 "Last-Translator: Automatically generated\n"
 "Language-Team: LANGUAGE\n"
 "MIME-Version: 1.0\n"
diff -pruN 5.9.0+dfsg-3/translations/iso_639/ja.po 5.10.0+dfsg-1/translations/iso_639/ja.po
--- 5.9.0+dfsg-3/translations/iso_639/ja.po	2020-03-05 04:39:49.000000000 +0000
+++ 5.10.0+dfsg-1/translations/iso_639/ja.po	2021-01-20 15:28:41.000000000 +0000
@@ -1,5 +1,5 @@
 # Translation template file..
-# Copyright (C) 2020 Kovid Goyal
+# Copyright (C) 2021 Kovid Goyal
 # 
 # Translators:
 # Alastair McKinstry <mckinstry@computer.org>, 2001
@@ -8,14 +8,15 @@
 # IIDA Yosiaki <iida@gnu.org>, 2004-2005
 # Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>, 2001
 # Takuro Ashie <ashie@homa.ne.jp>, 2001
+# toshi oota <ppp15479@gmail.com>, 2021
 # Yukihiro Nakai <nakai@gnome.gr.jp>, 2000
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-02-26 22:16+IST\n"
-"PO-Revision-Date: 2020-02-26 16:46+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+UTC\n"
+"PO-Revision-Date: 2021-01-09 11:34+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -24,196 +25,196 @@ msgstr ""
 "Plural-Forms: nplurals=1; plural=0;\n"
 
 msgid "!Xóõ"
-msgstr ""
+msgstr "!Xóõ (コン語)"
 
 msgid "'Are'are"
-msgstr ""
+msgstr "'Are'are"
 
 msgid "'Auhelawa"
-msgstr ""
+msgstr "'Auhelawa"
 
 msgid "//Ani"
-msgstr ""
+msgstr "//Ani"
 
 msgid "//Gana"
 msgstr "ガンダ語"
 
 msgid "//Xegwi"
-msgstr ""
+msgstr "//Xegwi"
 
 msgid "/Gwi"
-msgstr ""
+msgstr "/Gwi"
 
 msgid "/Xam"
-msgstr ""
+msgstr "/Xam"
 
 msgid "=/Hua"
-msgstr ""
+msgstr "=/Hua"
 
 msgid "A'ou"
-msgstr ""
+msgstr "A'ou"
 
 msgid "A-Pucikwar"
-msgstr ""
+msgstr "A-Pucikwar"
 
 msgid "Aari"
-msgstr ""
+msgstr "Aari"
 
 msgid "Aasáx"
-msgstr ""
+msgstr "Aasáx"
 
 msgid "Abadi"
-msgstr ""
+msgstr "Abadi"
 
 msgid "Abaga"
-msgstr ""
+msgstr "Abaga"
 
 msgid "Abai Sungai"
-msgstr ""
+msgstr "Abai Sungai"
 
 msgid "Abanyom"
-msgstr ""
+msgstr "Abanyom"
 
 msgid "Abar"
-msgstr ""
+msgstr "Abar"
 
 msgid "Abau"
-msgstr ""
+msgstr "Abau"
 
 msgid "Abaza"
-msgstr ""
+msgstr "Abaza"
 
 msgid "Abidji"
-msgstr ""
+msgstr "Abidji"
 
 msgid "Abinomn"
-msgstr ""
+msgstr "Abinomn"
 
 msgid "Abipon"
-msgstr ""
+msgstr "Abipon"
 
 msgid "Abishira"
-msgstr ""
+msgstr "Abishira"
 
 msgid "Abkhazian"
 msgstr "アブハジア語"
 
 msgid "Abnaki, Eastern"
-msgstr ""
+msgstr "Abnaki, Eastern"
 
 msgid "Abnaki, Western"
-msgstr ""
+msgstr "Abnaki, Western"
 
 msgid "Abom"
-msgstr ""
+msgstr "Abom"
 
 msgid "Abon"
-msgstr ""
+msgstr "Abon"
 
 msgid "Abron"
-msgstr ""
+msgstr "Abron"
 
 msgid "Abu"
-msgstr ""
+msgstr "Abu"
 
 msgid "Abua"
-msgstr ""
+msgstr "Abua"
 
 msgid "Abui"
-msgstr ""
+msgstr "Abui"
 
 msgid "Abun"
-msgstr ""
+msgstr "Abun"
 
 msgid "Abure"
-msgstr ""
+msgstr "Abure"
 
 msgid "Abureni"
-msgstr ""
+msgstr "Abureni"
 
 msgid "Abé"
-msgstr ""
+msgstr "Abé"
 
 msgid "Achagua"
-msgstr ""
+msgstr "Achagua"
 
 msgid "Achang"
-msgstr ""
+msgstr "Achang"
 
 msgid "Ache"
-msgstr ""
+msgstr "Ache"
 
 msgid "Acheron"
-msgstr ""
+msgstr "Acheron"
 
 msgid "Achi"
-msgstr ""
+msgstr "Achi"
 
 msgid "Achinese"
 msgstr "アチェー語"
 
 msgid "Achterhoeks"
-msgstr ""
+msgstr "Achterhoeks"
 
 msgid "Achuar-Shiwiar"
-msgstr ""
+msgstr "Achuar-Shiwiar"
 
 msgid "Achumawi"
-msgstr ""
+msgstr "Achumawi"
 
 msgid "Aché"
-msgstr ""
+msgstr "Aché"
 
 msgid "Acipa, Eastern"
-msgstr ""
+msgstr "Acipa, Eastern"
 
 msgid "Acoli"
 msgstr "アチョリ語"
 
 msgid "Acroá"
-msgstr ""
+msgstr "Acroá"
 
 msgid "Adabe"
 msgstr "Adabe"
 
 msgid "Adai"
-msgstr ""
+msgstr "Adai"
 
 msgid "Adamorobe Sign Language"
-msgstr ""
+msgstr "Adamorobe Sign Language"
 
 msgid "Adang"
 msgstr "Adang"
 
 msgid "Adangbe"
-msgstr ""
+msgstr "Adangbe"
 
 msgid "Adangme"
 msgstr "アダングメ語"
 
 msgid "Adara"
-msgstr ""
+msgstr "Adara"
 
 msgid "Adasen"
-msgstr ""
+msgstr "Adasen"
 
 msgid "Adele"
-msgstr ""
+msgstr "Adele"
 
 msgid "Adhola"
-msgstr ""
+msgstr "Adhola"
 
 msgid "Adi"
-msgstr ""
+msgstr "Adi"
 
 msgid "Adioukrou"
-msgstr ""
+msgstr "Adioukrou"
 
 msgid "Adithinngithigh"
-msgstr ""
+msgstr "Adithinngithigh"
 
 msgid "Adnyamathanha"
-msgstr ""
+msgstr "Adnyamathanha"
 
 msgid "Adonara"
 msgstr "Adonara"
@@ -222,34 +223,34 @@ msgid "Aduge"
 msgstr "Aduge"
 
 msgid "Adyghe"
-msgstr ""
+msgstr "Adyghe"
 
 msgid "Adzera"
-msgstr ""
+msgstr "Adzera"
 
 msgid "Aeka"
-msgstr ""
+msgstr "Aeka"
 
 msgid "Aekyom"
-msgstr ""
+msgstr "Aekyom"
 
 msgid "Aequian"
-msgstr ""
+msgstr "Aequian"
 
 msgid "Aer"
-msgstr ""
+msgstr "Aer"
 
 msgid "Afade"
-msgstr ""
+msgstr "Afade"
 
 msgid "Afar"
 msgstr "アファル語"
 
 msgid "Afghan Sign Language"
-msgstr ""
+msgstr "Afghan Sign Language"
 
 msgid "Afitti"
-msgstr ""
+msgstr "Afitti"
 
 msgid "Afrihili"
 msgstr "アフリヒリ"
@@ -258,3859 +259,3859 @@ msgid "Afrikaans"
 msgstr "アフリカーンス語"
 
 msgid "Agarabi"
-msgstr ""
+msgstr "Agarabi"
 
 msgid "Agariya"
-msgstr ""
+msgstr "Agariya"
 
 msgid "Agatu"
-msgstr ""
+msgstr "Agatu"
 
 msgid "Agavotaguerra"
-msgstr ""
+msgstr "Agavotaguerra"
 
 msgid "Aghem"
-msgstr ""
+msgstr "Aghem"
 
 msgid "Aghu"
-msgstr ""
+msgstr "Aghu"
 
 msgid "Aghu-Tharnggala"
-msgstr ""
+msgstr "Aghu-Tharnggala"
 
 msgid "Aghul"
-msgstr ""
+msgstr "Aghul"
 
 msgid "Aghwan"
-msgstr ""
+msgstr "Aghwan"
 
 msgid "Agi"
-msgstr ""
+msgstr "Agi"
 
 msgid "Agob"
-msgstr ""
+msgstr "Agob"
 
 msgid "Agoi"
-msgstr ""
+msgstr "Agoi"
 
 msgid "Agta, Alabat Island"
-msgstr ""
+msgstr "Agta, Alabat Island"
 
 msgid "Agta, Casiguran Dumagat"
-msgstr ""
+msgstr "Agta, Casiguran Dumagat"
 
 msgid "Agta, Central Cagayan"
-msgstr ""
+msgstr "Agta, Central Cagayan"
 
 msgid "Agta, Dicamay"
-msgstr ""
+msgstr "Agta, Dicamay"
 
 msgid "Agta, Dupaninan"
-msgstr ""
+msgstr "Agta, Dupaninan"
 
 msgid "Agta, Isarog"
-msgstr ""
+msgstr "Agta, Isarog"
 
 msgid "Agta, Mt. Iraya"
-msgstr ""
+msgstr "Agta, Mt. Iraya"
 
 msgid "Agta, Mt. Iriga"
-msgstr ""
+msgstr "Agta, Mt. Iriga"
 
 msgid "Agta, Pahanan"
-msgstr ""
+msgstr "Agta, Pahanan"
 
 msgid "Agta, Umiray Dumaget"
-msgstr ""
+msgstr "Agta, Umiray Dumaget"
 
 msgid "Agta, Villa Viciosa"
-msgstr ""
+msgstr "Agta, Villa Viciosa"
 
 msgid "Aguacateco"
-msgstr ""
+msgstr "Aguacateco"
 
 msgid "Aguano"
-msgstr ""
+msgstr "Aguano"
 
 msgid "Aguaruna"
-msgstr ""
+msgstr "Aguaruna"
 
 msgid "Aguna"
-msgstr ""
+msgstr "Aguna"
 
 msgid "Agutaynen"
-msgstr ""
+msgstr "Agutaynen"
 
 msgid "Agwagwune"
-msgstr ""
+msgstr "Agwagwune"
 
 msgid "Ahanta"
-msgstr ""
+msgstr "Ahanta"
 
 msgid "Aheu"
-msgstr ""
+msgstr "Aheu"
 
 msgid "Ahirani"
-msgstr ""
+msgstr "Ahirani"
 
 msgid "Ahom"
-msgstr ""
+msgstr "Ahom"
 
 msgid "Ahtena"
-msgstr ""
+msgstr "Ahtena"
 
 msgid "Ahwai"
-msgstr ""
+msgstr "Ahwai"
 
 msgid "Ai-Cham"
-msgstr ""
+msgstr "Ai-Cham"
 
 msgid "Aighon"
-msgstr ""
+msgstr "Aighon"
 
 msgid "Aikanã"
-msgstr ""
+msgstr "Aikanã"
 
 msgid "Aiklep"
-msgstr ""
+msgstr "Aiklep"
 
 msgid "Aimaq"
-msgstr ""
+msgstr "Aimaq"
 
 msgid "Aimele"
-msgstr ""
+msgstr "Aimele"
 
 msgid "Aimol"
-msgstr ""
+msgstr "Aimol"
 
 msgid "Ainbai"
-msgstr ""
+msgstr "Ainbai"
 
 msgid "Ainu (China)"
-msgstr ""
+msgstr "Ainu (China) アイヌ語(中国)"
 
 msgid "Ainu (Japan)"
-msgstr ""
+msgstr "Ainu (Japan) アイヌ語(日本)"
 
 msgid "Aiome"
-msgstr ""
+msgstr "Aiome"
 
 msgid "Airoran"
-msgstr ""
+msgstr "Airoran"
 
 msgid "Aiton"
-msgstr ""
+msgstr "Aiton"
 
 msgid "Aizi, Aproumu"
-msgstr ""
+msgstr "Aizi, Aproumu"
 
 msgid "Aizi, Mobumrin"
-msgstr ""
+msgstr "Aizi, Mobumrin"
 
 msgid "Aizi, Tiagbamrin"
-msgstr ""
+msgstr "Aizi, Tiagbamrin"
 
 msgid "Aja (Benin)"
-msgstr ""
+msgstr "Aja (Benin)"
 
 msgid "Aja (Sudan)"
-msgstr ""
+msgstr "Aja (Sudan)"
 
 msgid "Ajawa"
-msgstr ""
+msgstr "Ajawa"
 
 msgid "Ajië"
-msgstr ""
+msgstr "Ajië"
 
 msgid "Ajumbu"
-msgstr ""
+msgstr "Ajumbu"
 
 msgid "Ajyíninka Apurucayali"
-msgstr ""
+msgstr "Ajyíninka Apurucayali"
 
 msgid "Ak"
-msgstr ""
+msgstr "Ak"
 
 msgid "Aka"
-msgstr ""
+msgstr "Aka"
 
 msgid "Aka-Bea"
-msgstr ""
+msgstr "Aka-Bea"
 
 msgid "Aka-Bo"
-msgstr ""
+msgstr "Aka-Bo"
 
 msgid "Aka-Cari"
-msgstr ""
+msgstr "Aka-Cari"
 
 msgid "Aka-Jeru"
-msgstr ""
+msgstr "Aka-Jeru"
 
 msgid "Aka-Kede"
-msgstr ""
+msgstr "Aka-Kede"
 
 msgid "Aka-Kol"
-msgstr ""
+msgstr "Aka-Kol"
 
 msgid "Aka-Kora"
-msgstr ""
+msgstr "Aka-Kora"
 
 msgid "Akan"
 msgstr "Akan"
 
 msgid "Akar-Bale"
-msgstr ""
+msgstr "Akar-Bale"
 
 msgid "Akaselem"
-msgstr ""
+msgstr "Akaselem"
 
 msgid "Akawaio"
-msgstr ""
+msgstr "Akawaio"
 
 msgid "Ake"
-msgstr ""
+msgstr "Ake"
 
 msgid "Akebu"
-msgstr ""
+msgstr "Akebu"
 
 msgid "Akei"
-msgstr ""
+msgstr "Akei"
 
 msgid "Akeu"
-msgstr ""
+msgstr "Akeu"
 
 msgid "Akha"
 msgstr "アカン語"
 
 msgid "Akhvakh"
-msgstr ""
+msgstr "Akhvakh"
 
 msgid "Akkadian"
 msgstr "アッカド語"
 
 msgid "Aklanon"
-msgstr ""
+msgstr "Aklanon"
 
 msgid "Akolet"
-msgstr ""
+msgstr "Akolet"
 
 msgid "Akoose"
-msgstr ""
+msgstr "Akoose"
 
 msgid "Akoye"
-msgstr ""
+msgstr "Akoye"
 
 msgid "Akpa"
-msgstr ""
+msgstr "Akpa"
 
 msgid "Akpes"
-msgstr ""
+msgstr "Akpes"
 
 msgid "Akrukay"
-msgstr ""
+msgstr "Akrukay"
 
 msgid "Akukem"
-msgstr ""
+msgstr "Akukem"
 
 msgid "Akuku"
-msgstr ""
+msgstr "Akuku"
 
 msgid "Akum"
-msgstr ""
+msgstr "Akum"
 
 msgid "Akuntsu"
-msgstr ""
+msgstr "Akuntsu"
 
 msgid "Akurio"
-msgstr ""
+msgstr "Akurio"
 
 msgid "Akwa"
-msgstr ""
+msgstr "Akwa"
 
 msgid "Al-Sayyid Bedouin Sign Language"
-msgstr ""
+msgstr "Al-Sayyid Bedouin Sign Language"
 
 msgid "Alaba-K’abeena"
-msgstr ""
+msgstr "Alaba-K’abeena"
 
 msgid "Alabama"
-msgstr ""
+msgstr "Alabama"
 
 msgid "Alago"
-msgstr ""
+msgstr "Alago"
 
 msgid "Alagwa"
-msgstr ""
+msgstr "Alagwa"
 
 msgid "Alak"
-msgstr ""
+msgstr "Alak"
 
 msgid "Alamblak"
-msgstr ""
+msgstr "Alamblak"
 
 msgid "Alangan"
-msgstr ""
+msgstr "Alangan"
 
 msgid "Alanic"
-msgstr ""
+msgstr "Alanic"
 
 msgid "Alapmunte"
-msgstr ""
+msgstr "Alapmunte"
 
 msgid "Alawa"
-msgstr ""
+msgstr "Alawa"
 
 msgid "Albanian"
 msgstr "アルバニア語"
 
 msgid "Albanian Sign Language"
-msgstr ""
+msgstr "Albanian Sign Language"
 
 msgid "Albanian, Arbëreshë"
-msgstr ""
+msgstr "Albanian, Arbëreshë"
 
 msgid "Albanian, Arvanitika"
-msgstr ""
+msgstr "Albanian, Arvanitika"
 
 msgid "Albanian, Gheg"
-msgstr ""
+msgstr "Albanian, Gheg"
 
 msgid "Albanian, Tosk"
-msgstr ""
+msgstr "Albanian, Tosk"
 
 msgid "Alege"
-msgstr ""
+msgstr "Alege"
 
 msgid "Alekano"
-msgstr ""
+msgstr "Alekano"
 
 msgid "Aleut"
 msgstr "アレウト語"
 
 msgid "Aleut, Mednyj"
-msgstr ""
+msgstr "Aleut, Mednyj"
 
 msgid "Algerian Sign Language"
-msgstr ""
+msgstr "Algerian Sign Language"
 
 msgid "Algonquian, Carolina"
-msgstr ""
+msgstr "Algonquian, Carolina"
 
 msgid "Algonquin"
-msgstr ""
+msgstr "Algonquin"
 
 msgid "Ali"
-msgstr ""
+msgstr "Ali"
 
 msgid "Alladian"
-msgstr ""
+msgstr "Alladian"
 
 msgid "Allar"
-msgstr ""
+msgstr "Allar"
 
 msgid "Alngith"
-msgstr ""
+msgstr "Alngith"
 
 msgid "Alor"
-msgstr ""
+msgstr "Alor"
 
 msgid "Alsea"
-msgstr ""
+msgstr "Alsea"
 
 msgid "Alta, Northern"
-msgstr ""
+msgstr "Alta, Northern"
 
 msgid "Alta, Southern"
-msgstr ""
+msgstr "Alta, Southern"
 
 msgid "Altai, Northern"
-msgstr ""
+msgstr "Altai, Northern"
 
 msgid "Altai, Southern"
-msgstr ""
+msgstr "Altai, Southern"
 
 msgid "Alugu"
-msgstr ""
+msgstr "Alugu"
 
 msgid "Alumu-Tesu"
-msgstr ""
+msgstr "Alumu-Tesu"
 
 msgid "Alune"
-msgstr ""
+msgstr "Alune"
 
 msgid "Aluo"
-msgstr ""
+msgstr "Aluo"
 
 msgid "Alur"
-msgstr ""
+msgstr "Alur"
 
 msgid "Alutor"
-msgstr ""
+msgstr "Alutor"
 
 msgid "Alviri-Vidari"
-msgstr ""
+msgstr "Alviri-Vidari"
 
 msgid "Alyawarr"
-msgstr ""
+msgstr "Alyawarr"
 
 msgid "Ama (Papua New Guinea)"
-msgstr ""
+msgstr "Ama (Papua New Guinea)"
 
 msgid "Ama (Sudan)"
-msgstr ""
+msgstr "Ama (Sudan)"
 
 msgid "Amahai"
-msgstr ""
+msgstr "Amahai"
 
 msgid "Amahuaca"
-msgstr ""
+msgstr "Amahuaca"
 
 msgid "Amaimon"
-msgstr ""
+msgstr "Amaimon"
 
 msgid "Amal"
-msgstr ""
+msgstr "Amal"
 
 msgid "Amami-Oshima, Northern"
-msgstr ""
+msgstr "Amami-Oshima, Northern(奄美大島北部)"
 
 msgid "Amami-Oshima, Southern"
-msgstr ""
+msgstr "Amami-Oshima, Southern(奄美大島南部)"
 
 msgid "Amanab"
-msgstr ""
+msgstr "Amanab"
 
 msgid "Amanayé"
-msgstr ""
+msgstr "Amanayé"
 
 msgid "Amara"
-msgstr ""
+msgstr "Amara"
 
 msgid "Amarakaeri"
-msgstr ""
+msgstr "Amarakaeri"
 
 msgid "Amarasi"
 msgstr "アイマラ語"
 
 msgid "Amba (Solomon Islands)"
-msgstr ""
+msgstr "Amba (Solomon Islands)"
 
 msgid "Amba (Uganda)"
-msgstr ""
+msgstr "Amba (Uganda)"
 
 msgid "Ambae, East"
-msgstr ""
+msgstr "Ambae, East"
 
 msgid "Ambae, West"
-msgstr ""
+msgstr "Ambae, West"
 
 msgid "Ambai"
-msgstr ""
+msgstr "Ambai"
 
 msgid "Ambakich"
-msgstr ""
+msgstr "Ambakich"
 
 msgid "Ambelau"
-msgstr ""
+msgstr "Ambelau"
 
 msgid "Ambele"
-msgstr ""
+msgstr "Ambele"
 
 msgid "Amblong"
-msgstr ""
+msgstr "Amblong"
 
 msgid "Ambo"
-msgstr ""
+msgstr "Ambo"
 
 msgid "Ambrak"
-msgstr ""
+msgstr "Ambrak"
 
 msgid "Ambrym, North"
-msgstr ""
+msgstr "Ambrym, North"
 
 msgid "Ambrym, Southeast"
-msgstr ""
+msgstr "Ambrym, Southeast"
 
 msgid "Ambul"
-msgstr ""
+msgstr "Ambul"
 
 msgid "Ambulas"
-msgstr ""
+msgstr "Ambulas"
 
 msgid "Amdang"
-msgstr ""
+msgstr "Amdang"
 
 msgid "Amele"
-msgstr ""
+msgstr "Amele"
 
 msgid "American Sign Language"
-msgstr ""
+msgstr "American Sign Language"
 
 msgid "Amharic"
 msgstr "アムハラ語"
 
 msgid "Ami"
-msgstr ""
+msgstr "Ami"
 
 msgid "Amis"
-msgstr ""
+msgstr "Amis"
 
 msgid "Amis, Nataoran"
-msgstr ""
+msgstr "Amis, Nataoran"
 
 msgid "Amo"
-msgstr ""
+msgstr "Amo"
 
 msgid "Amol"
-msgstr ""
+msgstr "Amol"
 
 msgid "Ampanang"
-msgstr ""
+msgstr "Ampanang"
 
 msgid "Amto"
-msgstr ""
+msgstr "Amto"
 
 msgid "Amundava"
-msgstr ""
+msgstr "Amundava"
 
 msgid "Amurdak"
-msgstr ""
+msgstr "Amurdak"
 
 msgid "Amuzgo, Guerrero"
-msgstr ""
+msgstr "Amuzgo, Guerrero"
 
 msgid "Amuzgo, Ipalapa"
-msgstr ""
+msgstr "Amuzgo, Ipalapa"
 
 msgid "Amuzgo, San Pedro Amuzgos"
-msgstr ""
+msgstr "Amuzgo, San Pedro Amuzgos"
 
 msgid "Anaang"
-msgstr ""
+msgstr "Anaang"
 
 msgid "Anakalangu"
-msgstr ""
+msgstr "Anakalangu"
 
 msgid "Anal"
-msgstr ""
+msgstr "Anal"
 
 msgid "Anam"
-msgstr ""
+msgstr "Anam"
 
 msgid "Anambé"
-msgstr ""
+msgstr "Anambé"
 
 msgid "Anamgura"
-msgstr ""
+msgstr "Anamgura"
 
 msgid "Anasi"
-msgstr ""
+msgstr "Anasi"
 
 msgid "Andaandi"
-msgstr ""
+msgstr "Andaandi"
 
 msgid "Andai"
-msgstr ""
+msgstr "Andai"
 
 msgid "Andajin"
-msgstr ""
+msgstr "Andajin"
 
 msgid "Andaqui"
-msgstr ""
+msgstr "Andaqui"
 
 msgid "Andarum"
-msgstr ""
+msgstr "Andarum"
 
 msgid "Andegerebinha"
-msgstr ""
+msgstr "Andegerebinha"
 
 msgid "Andh"
-msgstr ""
+msgstr "Andh"
 
 msgid "Andi"
-msgstr ""
+msgstr "Andi"
 
 msgid "Andio"
-msgstr ""
+msgstr "Andio"
 
 msgid "Andoa"
-msgstr ""
+msgstr "Andoa"
 
 msgid "Andoque"
-msgstr ""
+msgstr "Andoque"
 
 msgid "Andra-Hus"
-msgstr ""
+msgstr "Andra-Hus"
 
 msgid "Aneityum"
-msgstr ""
+msgstr "Aneityum"
 
 msgid "Anem"
-msgstr ""
+msgstr "Anem"
 
 msgid "Aneme Wake"
-msgstr ""
+msgstr "Aneme Wake"
 
 msgid "Anfillo"
-msgstr ""
+msgstr "Anfillo"
 
 msgid "Angaataha"
-msgstr ""
+msgstr "Angaataha"
 
 msgid "Angaité"
-msgstr ""
+msgstr "Angaité"
 
 msgid "Angal"
-msgstr ""
+msgstr "Angal"
 
 msgid "Angal Enen"
-msgstr ""
+msgstr "Angal Enen"
 
 msgid "Angal Heneng"
-msgstr ""
+msgstr "Angal Heneng"
 
 msgid "Angika"
 msgstr "アンギカ語"
 
 msgid "Angkamuthi"
-msgstr ""
+msgstr "Angkamuthi"
 
 msgid "Anglo-Norman"
-msgstr ""
+msgstr "Anglo-Norman"
 
 msgid "Angloromani"
-msgstr ""
+msgstr "Angloromani"
 
 msgid "Angolar"
-msgstr ""
+msgstr "Angolar"
 
 msgid "Angor"
-msgstr ""
+msgstr "Angor"
 
 msgid "Angoram"
-msgstr ""
+msgstr "Angoram"
 
 msgid "Anguthimri"
-msgstr ""
+msgstr "Anguthimri"
 
 msgid "Anii"
-msgstr ""
+msgstr "Anii"
 
 msgid "Animere"
-msgstr ""
+msgstr "Animere"
 
 msgid "Anindilyakwa"
-msgstr ""
+msgstr "Anindilyakwa"
 
 msgid "Anjam"
-msgstr ""
+msgstr "Anjam"
 
 msgid "Ankave"
-msgstr ""
+msgstr "Ankave"
 
 msgid "Anmatyerre"
-msgstr ""
+msgstr "Anmatyerre"
 
 msgid "Anong"
-msgstr ""
+msgstr "Anong"
 
 msgid "Anor"
-msgstr ""
+msgstr "Anor"
 
 msgid "Anserma"
-msgstr ""
+msgstr "Anserma"
 
 msgid "Ansus"
-msgstr ""
+msgstr "Ansus"
 
 msgid "Antakarinya"
-msgstr ""
+msgstr "Antakarinya"
 
 msgid "Anuak"
-msgstr ""
+msgstr "Anuak"
 
 msgid "Anufo"
-msgstr ""
+msgstr "Anufo"
 
 msgid "Anuki"
-msgstr ""
+msgstr "Anuki"
 
 msgid "Anus"
-msgstr ""
+msgstr "Anus"
 
 msgid "Anuta"
-msgstr ""
+msgstr "Anuta"
 
 msgid "Anyin"
-msgstr ""
+msgstr "Anyin"
 
 msgid "Anyin Morofo"
-msgstr ""
+msgstr "Anyin Morofo"
 
 msgid "Aoheng"
-msgstr ""
+msgstr "Aoheng"
 
 msgid "Aore"
-msgstr ""
+msgstr "Aore"
 
 msgid "Ap Ma"
-msgstr ""
+msgstr "Ap Ma"
 
 msgid "Apache, Jicarilla"
-msgstr ""
+msgstr "Apache, Jicarilla"
 
 msgid "Apache, Kiowa"
-msgstr ""
+msgstr "Apache, Kiowa"
 
 msgid "Apache, Lipan"
-msgstr ""
+msgstr "Apache, Lipan"
 
 msgid "Apache, Mescalero-Chiricahua"
-msgstr ""
+msgstr "Apache, Mescalero-Chiricahua"
 
 msgid "Apache, Western"
-msgstr ""
+msgstr "Apache, Western"
 
 msgid "Apalachee"
-msgstr ""
+msgstr "Apalachee"
 
 msgid "Apalaí"
-msgstr ""
+msgstr "Apalaí"
 
 msgid "Apali"
-msgstr ""
+msgstr "Apali"
 
 msgid "Apatani"
-msgstr ""
+msgstr "Apatani"
 
 msgid "Apiaká"
-msgstr ""
+msgstr "Apiaká"
 
 msgid "Apinayé"
-msgstr ""
+msgstr "Apinayé"
 
 msgid "Apma"
-msgstr ""
+msgstr "Apma"
 
 msgid "Apurinã"
-msgstr ""
+msgstr "Apurinã"
 
 msgid "Aputai"
-msgstr ""
+msgstr "Aputai"
 
 msgid "Aquitanian"
-msgstr ""
+msgstr "Aquitanian"
 
 msgid "Arabana"
-msgstr ""
+msgstr "Arabana"
 
 msgid "Arabela"
-msgstr ""
+msgstr "Arabela"
 
 msgid "Arabic"
 msgstr "アラビア語"
 
 msgid "Arabic, Algerian"
-msgstr ""
+msgstr "Arabic, Algerian"
 
 msgid "Arabic, Algerian Saharan"
-msgstr ""
+msgstr "Arabic, Algerian Saharan"
 
 msgid "Arabic, Andalusian"
-msgstr ""
+msgstr "Arabic, Andalusian"
 
 msgid "Arabic, Baharna"
-msgstr ""
+msgstr "Arabic, Baharna"
 
 msgid "Arabic, Chadian"
-msgstr ""
+msgstr "Arabic, Chadian"
 
 msgid "Arabic, Cypriot"
-msgstr ""
+msgstr "Arabic, Cypriot"
 
 msgid "Arabic, Dhofari"
-msgstr ""
+msgstr "Arabic, Dhofari"
 
 msgid "Arabic, Eastern Egyptian Bedawi"
-msgstr ""
+msgstr "Arabic, Eastern Egyptian Bedawi"
 
 msgid "Arabic, Egyptian"
-msgstr ""
+msgstr "Arabic, Egyptian"
 
 msgid "Arabic, Gulf"
-msgstr ""
+msgstr "Arabic, Gulf"
 
 msgid "Arabic, Hadrami"
-msgstr ""
+msgstr "Arabic, Hadrami"
 
 msgid "Arabic, Hijazi"
-msgstr ""
+msgstr "Arabic, Hijazi"
 
 msgid "Arabic, Judeo-Iraqi"
-msgstr ""
+msgstr "Arabic, Judeo-Iraqi"
 
 msgid "Arabic, Judeo-Moroccan"
-msgstr ""
+msgstr "Arabic, Judeo-Moroccan"
 
 msgid "Arabic, Judeo-Tripolitanian"
-msgstr ""
+msgstr "Arabic, Judeo-Tripolitanian"
 
 msgid "Arabic, Judeo-Tunisian"
-msgstr ""
+msgstr "Arabic, Judeo-Tunisian"
 
 msgid "Arabic, Judeo-Yemeni"
-msgstr ""
+msgstr "Arabic, Judeo-Yemeni"
 
 msgid "Arabic, Libyan"
-msgstr ""
+msgstr "Arabic, Libyan"
 
 msgid "Arabic, Mesopotamian"
-msgstr ""
+msgstr "Arabic, Mesopotamian"
 
 msgid "Arabic, Moroccan"
-msgstr ""
+msgstr "Arabic, Moroccan"
 
 msgid "Arabic, Najdi"
-msgstr ""
+msgstr "Arabic, Najdi"
 
 msgid "Arabic, North Levantine"
-msgstr ""
+msgstr "Arabic, North Levantine"
 
 msgid "Arabic, North Mesopotamian"
-msgstr ""
+msgstr "Arabic, North Mesopotamian"
 
 msgid "Arabic, Omani"
-msgstr ""
+msgstr "Arabic, Omani"
 
 msgid "Arabic, Saidi"
-msgstr ""
+msgstr "Arabic, Saidi"
 
 msgid "Arabic, Sanaani"
-msgstr ""
+msgstr "Arabic, Sanaani"
 
 msgid "Arabic, Shihhi"
-msgstr ""
+msgstr "Arabic, Shihhi"
 
 msgid "Arabic, Siculo"
-msgstr ""
+msgstr "Arabic, Siculo"
 
 msgid "Arabic, South Levantine"
-msgstr ""
+msgstr "Arabic, South Levantine"
 
 msgid "Arabic, Standard"
-msgstr ""
+msgstr "Arabic, Standard"
 
 msgid "Arabic, Sudanese"
-msgstr ""
+msgstr "Arabic, Sudanese"
 
 msgid "Arabic, Ta'izzi-Adeni"
-msgstr ""
+msgstr "Arabic, Ta'izzi-Adeni"
 
 msgid "Arabic, Tajiki"
-msgstr ""
+msgstr "Arabic, Tajiki"
 
 msgid "Arabic, Tunisian"
-msgstr ""
+msgstr "Arabic, Tunisian"
 
 msgid "Arabic, Uzbeki"
-msgstr ""
+msgstr "Arabic, Uzbeki"
 
 msgid "Aragonese"
 msgstr "アラゴン語"
 
 msgid "Araki"
-msgstr ""
+msgstr "Araki"
 
 msgid "Arakwal"
-msgstr ""
+msgstr "Arakwal"
 
 msgid "Aralle-Tabulahan"
-msgstr ""
+msgstr "Aralle-Tabulahan"
 
 msgid "Aramaic, Jewish Babylonian (ca. 200-1200 CE)"
-msgstr ""
+msgstr "Aramaic, Jewish Babylonian (ca. 200-1200 CE)"
 
 msgid "Aramaic, Jewish Palestinian"
-msgstr ""
+msgstr "Aramaic, Jewish Palestinian"
 
 msgid "Aramaic, Official (700-300 BCE)"
-msgstr ""
+msgstr "Aramaic, Official (700-300 BCE)"
 
 msgid "Aramaic, Old (up to 700 BCE)"
-msgstr ""
+msgstr "Aramaic, Old (up to 700 BCE)"
 
 msgid "Aramaic, Samaritan"
-msgstr ""
+msgstr "Aramaic, Samaritan"
 
 msgid "Arammba"
-msgstr ""
+msgstr "Arammba"
 
 msgid "Aranadan"
-msgstr ""
+msgstr "Aranadan"
 
 msgid "Aranama-Tamique"
-msgstr ""
+msgstr "Aranama-Tamique"
 
 msgid "Aranda, Lower Southern"
-msgstr ""
+msgstr "Aranda, Lower Southern"
 
 msgid "Arandai"
-msgstr ""
+msgstr "Arandai"
 
 msgid "Araona"
-msgstr ""
+msgstr "Araona"
 
 msgid "Arapaho"
 msgstr "アラパホー語"
 
 msgid "Arapaso"
-msgstr ""
+msgstr "Arapaso"
 
 msgid "Arapesh, Abu'"
-msgstr ""
+msgstr "Arapesh, Abu'"
 
 msgid "Arapesh, Bumbita"
-msgstr ""
+msgstr "Arapesh, Bumbita"
 
 msgid "Ararandewára"
-msgstr ""
+msgstr "Ararandewára"
 
 msgid "Arawak"
 msgstr "アラワク語"
 
 msgid "Araweté"
-msgstr ""
+msgstr "Araweté"
 
 msgid "Arawum"
-msgstr ""
+msgstr "Arawum"
 
 msgid "Arbore"
-msgstr ""
+msgstr "Arbore"
 
 msgid "Archi"
-msgstr ""
+msgstr "Archi"
 
 msgid "Are"
-msgstr ""
+msgstr "Are"
 
 msgid "Areba"
-msgstr ""
+msgstr "Areba"
 
 msgid "Arem"
-msgstr ""
+msgstr "Arem"
 
 msgid "Argentine Sign Language"
-msgstr ""
+msgstr "Argentine Sign Language"
 
 msgid "Argobba"
-msgstr ""
+msgstr "Argobba"
 
 msgid "Arguni"
-msgstr ""
+msgstr "Arguni"
 
 msgid "Arhuaco"
-msgstr ""
+msgstr "Arhuaco"
 
 msgid "Arhâ"
-msgstr ""
+msgstr "Arhâ"
 
 msgid "Arhö"
-msgstr ""
+msgstr "Arhö"
 
 msgid "Ari"
-msgstr ""
+msgstr "Ari"
 
 msgid "Aribwatsa"
-msgstr ""
+msgstr "Aribwatsa"
 
 msgid "Aribwaung"
-msgstr ""
+msgstr "Aribwaung"
 
 msgid "Arifama-Miniafia"
-msgstr ""
+msgstr "Arifama-Miniafia"
 
 msgid "Arigidi"
-msgstr ""
+msgstr "Arigidi"
 
 msgid "Arikapú"
-msgstr ""
+msgstr "Arikapú"
 
 msgid "Arikara"
-msgstr ""
+msgstr "Arikara"
 
 msgid "Arikem"
-msgstr ""
+msgstr "Arikem"
 
 msgid "Arin"
-msgstr ""
+msgstr "Arin"
 
 msgid "Aringa"
-msgstr ""
+msgstr "Aringa"
 
 msgid "Arma"
-msgstr ""
+msgstr "Arma"
 
 msgid "Armazic"
-msgstr ""
+msgstr "Armazic"
 
 msgid "Armenian"
 msgstr "アルメニア語"
 
 msgid "Armenian Sign Language"
-msgstr ""
+msgstr "Armenian Sign Language"
 
 msgid "Armenian, Classical"
-msgstr ""
+msgstr "Armenian, Classical"
 
 msgid "Armenian, Middle"
-msgstr ""
+msgstr "Armenian, Middle"
 
 msgid "Arop-Lokep"
-msgstr ""
+msgstr "Arop-Lokep"
 
 msgid "Arop-Sissano"
-msgstr ""
+msgstr "Arop-Sissano"
 
 msgid "Arosi"
-msgstr ""
+msgstr "Arosi"
 
 msgid "Arpitan"
-msgstr ""
+msgstr "Arpitan"
 
 msgid "Arrarnta, Western"
-msgstr ""
+msgstr "Arrarnta, Western"
 
 msgid "Arrernte, Eastern"
-msgstr ""
+msgstr "Arrernte, Eastern"
 
 msgid "Arritinngithigh"
-msgstr ""
+msgstr "Arritinngithigh"
 
 msgid "Arta"
-msgstr ""
+msgstr "Arta"
 
 msgid "Aruamu"
-msgstr ""
+msgstr "Aruamu"
 
 msgid "Aruek"
-msgstr ""
+msgstr "Aruek"
 
 msgid "Aruop"
-msgstr ""
+msgstr "Aruop"
 
 msgid "Arutani"
-msgstr ""
+msgstr "Arutani"
 
 msgid "Aruá (Amazonas State)"
-msgstr ""
+msgstr "Aruá (Amazonas State)"
 
 msgid "Aruá (Rodonia State)"
-msgstr ""
+msgstr "Aruá (Rodonia State)"
 
 msgid "Arára, Mato Grosso"
-msgstr ""
+msgstr "Arára, Mato Grosso"
 
 msgid "Arára, Pará"
-msgstr ""
+msgstr "Arára, Pará"
 
 msgid "As"
-msgstr ""
+msgstr "As"
 
 msgid "Asaro'o"
-msgstr ""
+msgstr "Asaro'o"
 
 msgid "Asas"
-msgstr ""
+msgstr "Asas"
 
 msgid "Ashe"
-msgstr ""
+msgstr "Ashe"
 
 msgid "Ashkun"
-msgstr ""
+msgstr "Ashkun"
 
 msgid "Ashtiani"
-msgstr ""
+msgstr "Ashtiani"
 
 msgid "Asháninka"
-msgstr ""
+msgstr "Asháninka"
 
 msgid "Ashéninka Pajonal"
-msgstr ""
+msgstr "Ashéninka Pajonal"
 
 msgid "Ashéninka Perené"
-msgstr ""
+msgstr "Ashéninka Perené"
 
 msgid "Ashéninka, Pichis"
-msgstr ""
+msgstr "Ashéninka, Pichis"
 
 msgid "Ashéninka, South Ucayali"
-msgstr ""
+msgstr "Ashéninka, South Ucayali"
 
 msgid "Ashéninka, Ucayali-Yurúa"
-msgstr ""
+msgstr "Ashéninka, Ucayali-Yurúa"
 
 msgid "Asilulu"
-msgstr ""
+msgstr "Asilulu"
 
 msgid "Askopan"
-msgstr ""
+msgstr "Askopan"
 
 msgid "Asmat, Casuarina Coast"
-msgstr ""
+msgstr "Asmat, Casuarina Coast"
 
 msgid "Asmat, Central"
-msgstr ""
+msgstr "Asmat, Central"
 
 msgid "Asmat, North"
-msgstr ""
+msgstr "Asmat, North"
 
 msgid "Asmat, Yaosakor"
-msgstr ""
+msgstr "Asmat, Yaosakor"
 
 msgid "Asoa"
-msgstr ""
+msgstr "Asoa"
 
 msgid "Assamese"
 msgstr "アッサム語"
 
 msgid "Assan"
-msgstr ""
+msgstr "Assan"
 
 msgid "Assangori"
-msgstr ""
+msgstr "Assangori"
 
 msgid "Assiniboine"
-msgstr ""
+msgstr "Assiniboine"
 
 msgid "Asturian"
-msgstr ""
+msgstr "Asturian"
 
 msgid "Asu (Nigeria)"
-msgstr ""
+msgstr "Asu (Nigeria)"
 
 msgid "Asu (Tanzania)"
-msgstr ""
+msgstr "Asu (Tanzania)"
 
 msgid "Asumboa"
-msgstr ""
+msgstr "Asumboa"
 
 msgid "Asuri"
-msgstr ""
+msgstr "Asuri"
 
 msgid "Asurini, Tocantins"
-msgstr ""
+msgstr "Asurini, Tocantins"
 
 msgid "Asuriní, Xingú"
-msgstr ""
+msgstr "Asuriní, Xingú"
 
 msgid "Ata"
-msgstr ""
+msgstr "Ata"
 
 msgid "Atakapa"
-msgstr ""
+msgstr "Atakapa"
 
 msgid "Atampaya"
-msgstr ""
+msgstr "Atampaya"
 
 msgid "Atayal"
-msgstr ""
+msgstr "Atayal"
 
 msgid "Atemble"
-msgstr ""
+msgstr "Atemble"
 
 msgid "Athpariya"
-msgstr ""
+msgstr "Athpariya"
 
 msgid "Ati"
-msgstr ""
+msgstr "Ati"
 
 msgid "Atikamekw"
-msgstr ""
+msgstr "Atikamekw"
 
 msgid "Atohwaim"
-msgstr ""
+msgstr "Atohwaim"
 
 msgid "Atong (Cameroon)"
-msgstr ""
+msgstr "Atong (Cameroon)"
 
 msgid "Atong (India)"
-msgstr ""
+msgstr "Atong (India)"
 
 msgid "Atorada"
-msgstr ""
+msgstr "Atorada"
 
 msgid "Atsahuaca"
-msgstr ""
+msgstr "Atsahuaca"
 
 msgid "Atsam"
-msgstr ""
+msgstr "Atsam"
 
 msgid "Atsugewi"
-msgstr ""
+msgstr "Atsugewi"
 
 msgid "Atta, Faire"
-msgstr ""
+msgstr "Atta, Faire"
 
 msgid "Atta, Pamplona"
-msgstr ""
+msgstr "Atta, Pamplona"
 
 msgid "Atta, Pudtol"
-msgstr ""
+msgstr "Atta, Pudtol"
 
 msgid "Attié"
-msgstr ""
+msgstr "Attié"
 
 msgid "Au"
-msgstr ""
+msgstr "Au"
 
 msgid "Aulua"
-msgstr ""
+msgstr "Aulua"
 
 msgid "Aurá"
-msgstr ""
+msgstr "Aurá"
 
 msgid "Aushi"
-msgstr ""
+msgstr "Aushi"
 
 msgid "Aushiri"
-msgstr ""
+msgstr "Aushiri"
 
 msgid "Austral"
-msgstr ""
+msgstr "Austral"
 
 msgid "Australian Aborigines Sign Language"
-msgstr ""
+msgstr "Australian Aborigines Sign Language"
 
 msgid "Australian Sign Language"
-msgstr ""
+msgstr "Australian Sign Language"
 
 msgid "Austrian Sign Language"
-msgstr ""
+msgstr "Austrian Sign Language"
 
 msgid "Auwe"
-msgstr ""
+msgstr "Auwe"
 
 msgid "Auye"
-msgstr ""
+msgstr "Auye"
 
 msgid "Auyokawa"
-msgstr ""
+msgstr "Auyokawa"
 
 msgid "Avar, Old"
-msgstr ""
+msgstr "Avar, Old"
 
 msgid "Avaric"
 msgstr "アヴァル語"
 
 msgid "Avatime"
-msgstr ""
+msgstr "Avatime"
 
 msgid "Avau"
-msgstr ""
+msgstr "Avau"
 
 msgid "Avestan"
 msgstr "アヴェスタ語"
 
 msgid "Avikam"
-msgstr ""
+msgstr "Avikam"
 
 msgid "Avokaya"
-msgstr ""
+msgstr "Avokaya"
 
 msgid "Avá-Canoeiro"
-msgstr ""
+msgstr "Avá-Canoeiro"
 
 msgid "Awa (China)"
-msgstr ""
+msgstr "Awa (China)"
 
 msgid "Awa (Papua New Guinea)"
-msgstr ""
+msgstr "Awa (Papua New Guinea)"
 
 msgid "Awa-Cuaiquer"
-msgstr ""
+msgstr "Awa-Cuaiquer"
 
 msgid "Awabakal"
-msgstr ""
+msgstr "Awabakal"
 
 msgid "Awad Bing"
-msgstr ""
+msgstr "Awad Bing"
 
 msgid "Awadhi"
 msgstr "アワディ語"
 
 msgid "Awak"
-msgstr ""
+msgstr "Awak"
 
 msgid "Awar"
-msgstr ""
+msgstr "Awar"
 
 msgid "Awara"
-msgstr ""
+msgstr "Awara"
 
 msgid "Awbono"
-msgstr ""
+msgstr "Awbono"
 
 msgid "Aweer"
-msgstr ""
+msgstr "Aweer"
 
 msgid "Awera"
-msgstr ""
+msgstr "Awera"
 
 msgid "Awetí"
-msgstr ""
+msgstr "Awetí"
 
 msgid "Awing"
-msgstr ""
+msgstr "Awing"
 
 msgid "Awiyaana"
-msgstr ""
+msgstr "Awiyaana"
 
 msgid "Awjilah"
-msgstr ""
+msgstr "Awjilah"
 
 msgid "Awngi"
-msgstr ""
+msgstr "Awngi"
 
 msgid "Awngthim"
-msgstr ""
+msgstr "Awngthim"
 
 msgid "Awtuw"
-msgstr ""
+msgstr "Awtuw"
 
 msgid "Awu"
-msgstr ""
+msgstr "Awu"
 
 msgid "Awun"
-msgstr ""
+msgstr "Awun"
 
 msgid "Awutu"
-msgstr ""
+msgstr "Awutu"
 
 msgid "Awyi"
-msgstr ""
+msgstr "Awyi"
 
 msgid "Awyu, Asue"
-msgstr ""
+msgstr "Awyu, Asue"
 
 msgid "Awyu, Central"
-msgstr ""
+msgstr "Awyu, Central"
 
 msgid "Awyu, Edera"
-msgstr ""
+msgstr "Awyu, Edera"
 
 msgid "Awyu, Jair"
-msgstr ""
+msgstr "Awyu, Jair"
 
 msgid "Awyu, North"
-msgstr ""
+msgstr "Awyu, North"
 
 msgid "Awyu, South"
-msgstr ""
+msgstr "Awyu, South"
 
 msgid "Axamb"
-msgstr ""
+msgstr "Axamb"
 
 msgid "Ayabadhu"
-msgstr ""
+msgstr "Ayabadhu"
 
 msgid "Ayere"
 msgstr "セレール語"
 
 msgid "Ayerrerenge"
-msgstr ""
+msgstr "Ayerrerenge"
 
 msgid "Ayi (Papua New Guinea)"
-msgstr ""
+msgstr "Ayi (Papua New Guinea)"
 
 msgid "Ayiwo"
-msgstr ""
+msgstr "Ayiwo"
 
 msgid "Ayizi"
-msgstr ""
+msgstr "Ayizi"
 
 msgid "Aymara"
 msgstr "Aymara"
 
 msgid "Aymara, Central"
-msgstr ""
+msgstr "Aymara, Central"
 
 msgid "Aymara, Southern"
-msgstr ""
+msgstr "Aymara, Southern"
 
 msgid "Ayoreo"
-msgstr ""
+msgstr "Ayoreo"
 
 msgid "Ayta, Abellen"
-msgstr ""
+msgstr "Ayta, Abellen"
 
 msgid "Ayta, Ambala"
-msgstr ""
+msgstr "Ayta, Ambala"
 
 msgid "Ayta, Mag-antsi"
-msgstr ""
+msgstr "Ayta, Mag-antsi"
 
 msgid "Ayta, Mag-Indi"
-msgstr ""
+msgstr "Ayta, Mag-Indi"
 
 msgid "Ayta, Magbukun"
-msgstr ""
+msgstr "Ayta, Magbukun"
 
 msgid "Ayta, Sorsogon"
-msgstr ""
+msgstr "Ayta, Sorsogon"
 
 msgid "Ayta, Tayabas"
-msgstr ""
+msgstr "Ayta, Tayabas"
 
 msgid "Ayu"
-msgstr ""
+msgstr "Ayu"
 
 msgid "Azerbaijani"
 msgstr "アゼルバイジャン語"
 
 msgid "Azerbaijani, North"
-msgstr ""
+msgstr "Azerbaijani, North"
 
 msgid "Azerbaijani, South"
-msgstr ""
+msgstr "Azerbaijani, South"
 
 msgid "Azha"
-msgstr ""
+msgstr "Azha"
 
 msgid "Azhe"
-msgstr ""
+msgstr "Azhe"
 
 msgid "Baan"
-msgstr ""
+msgstr "Baan"
 
 msgid "Baangi"
-msgstr ""
+msgstr "Baangi"
 
 msgid "Baatonum"
-msgstr ""
+msgstr "Baatonum"
 
 msgid "Baba"
-msgstr ""
+msgstr "Baba"
 
 msgid "Babango"
 msgstr "サンゴ語"
 
 msgid "Babanki"
-msgstr ""
+msgstr "Babanki"
 
 msgid "Babar, North"
-msgstr ""
+msgstr "Babar, North"
 
 msgid "Babar, Southeast"
-msgstr ""
+msgstr "Babar, Southeast"
 
 msgid "Babatana"
 msgstr "バンバラ語"
 
 msgid "Babine"
-msgstr ""
+msgstr "Babine"
 
 msgid "Babuza"
-msgstr ""
+msgstr "Babuza"
 
 msgid "Bacama"
-msgstr ""
+msgstr "Bacama"
 
 msgid "Bactrian"
-msgstr ""
+msgstr "Bactrian"
 
 msgid "Bada (Indonesia)"
-msgstr ""
+msgstr "Bada (Indonesia)"
 
 msgid "Bada (Nigeria)"
-msgstr ""
+msgstr "Bada (Nigeria)"
 
 msgid "Badaga"
-msgstr ""
+msgstr "Badaga"
 
 msgid "Bade"
-msgstr ""
+msgstr "Bade"
 
 msgid "Badeshi"
-msgstr ""
+msgstr "Badeshi"
 
 msgid "Badimaya"
-msgstr ""
+msgstr "Badimaya"
 
 msgid "Badjiri"
-msgstr ""
+msgstr "Badjiri"
 
 msgid "Badui"
-msgstr ""
+msgstr "Badui"
 
 msgid "Badyara"
-msgstr ""
+msgstr "Badyara"
 
 msgid "Baeggu"
-msgstr ""
+msgstr "Baeggu"
 
 msgid "Baelelea"
-msgstr ""
+msgstr "Baelelea"
 
 msgid "Baetora"
-msgstr ""
+msgstr "Baetora"
 
 msgid "Bafanji"
-msgstr ""
+msgstr "Bafanji"
 
 msgid "Bafaw-Balong"
-msgstr ""
+msgstr "Bafaw-Balong"
 
 msgid "Bafia"
-msgstr ""
+msgstr "Bafia"
 
 msgid "Bafut"
-msgstr ""
+msgstr "Bafut"
 
 msgid "Baga Kaloum"
-msgstr ""
+msgstr "Baga Kaloum"
 
 msgid "Baga Koga"
-msgstr ""
+msgstr "Baga Koga"
 
 msgid "Baga Pokur"
-msgstr ""
+msgstr "Baga Pokur"
 
 msgid "Baga Sitemu"
-msgstr ""
+msgstr "Baga Sitemu"
 
 msgid "Baga Sobané"
-msgstr ""
+msgstr "Baga Sobané"
 
 msgid "Bagheli"
-msgstr ""
+msgstr "Bagheli"
 
 msgid "Bagirmi"
-msgstr ""
+msgstr "Bagirmi"
 
 msgid "Bago-Kusuntu"
-msgstr ""
+msgstr "Bago-Kusuntu"
 
 msgid "Bagri"
-msgstr ""
+msgstr "Bagri"
 
 msgid "Bagupi"
-msgstr ""
+msgstr "Bagupi"
 
 msgid "Bagusa"
-msgstr ""
+msgstr "Bagusa"
 
 msgid "Bagvalal"
-msgstr ""
+msgstr "Bagvalal"
 
 msgid "Baham"
-msgstr ""
+msgstr "Baham"
 
 msgid "Bahau"
-msgstr ""
+msgstr "Bahau"
 
 msgid "Bahinemo"
-msgstr ""
+msgstr "Bahinemo"
 
 msgid "Bahing"
-msgstr ""
+msgstr "Bahing"
 
 msgid "Bahnar"
-msgstr ""
+msgstr "Bahnar"
 
 msgid "Bahonsuai"
-msgstr ""
+msgstr "Bahonsuai"
 
 msgid "Bai"
-msgstr ""
+msgstr "Bai"
 
 msgid "Bai, Central"
-msgstr ""
+msgstr "Bai, Central"
 
 msgid "Bai, Lama"
-msgstr ""
+msgstr "Bai, Lama"
 
 msgid "Bai, Panyi"
-msgstr ""
+msgstr "Bai, Panyi"
 
 msgid "Bai, Southern"
-msgstr ""
+msgstr "Bai, Southern"
 
 msgid "Baibai"
-msgstr ""
+msgstr "Baibai"
 
 msgid "Baikeno"
-msgstr ""
+msgstr "Baikeno"
 
 msgid "Baima"
-msgstr ""
+msgstr "Baima"
 
 msgid "Baimak"
-msgstr ""
+msgstr "Baimak"
 
 msgid "Bainouk-Gunyaamolo"
-msgstr ""
+msgstr "Bainouk-Gunyaamolo"
 
 msgid "Bainouk-Gunyuño"
-msgstr ""
+msgstr "Bainouk-Gunyuño"
 
 msgid "Bainouk-Samik"
-msgstr ""
+msgstr "Bainouk-Samik"
 
 msgid "Baiso"
-msgstr ""
+msgstr "Baiso"
 
 msgid "Bajan"
-msgstr ""
+msgstr "Bajan"
 
 msgid "Bajau, Indonesian"
-msgstr ""
+msgstr "Bajau, Indonesian"
 
 msgid "Bajau, West Coast"
-msgstr ""
+msgstr "Bajau, West Coast"
 
 msgid "Bajelani"
-msgstr ""
+msgstr "Bajelani"
 
 msgid "Baka (Cameroon)"
-msgstr ""
+msgstr "Baka (Cameroon)"
 
 msgid "Baka (Sudan)"
-msgstr ""
+msgstr "Baka (Sudan)"
 
 msgid "Bakairí"
-msgstr ""
+msgstr "Bakairí"
 
 msgid "Bakaka"
 msgstr "Bakaka"
 
 msgid "Bakhtiari"
-msgstr ""
+msgstr "Bakhtiari"
 
 msgid "Baki"
-msgstr ""
+msgstr "Baki"
 
 msgid "Bakoko"
-msgstr ""
+msgstr "Bakoko"
 
 msgid "Bakole"
-msgstr ""
+msgstr "Bakole"
 
 msgid "Bakpinka"
-msgstr ""
+msgstr "Bakpinka"
 
 msgid "Bakumpai"
-msgstr ""
+msgstr "Bakumpai"
 
 msgid "Bakwé"
-msgstr ""
+msgstr "Bakwé"
 
 msgid "Balaesang"
-msgstr ""
+msgstr "Balaesang"
 
 msgid "Balangao"
-msgstr ""
+msgstr "Balangao"
 
 msgid "Balangingi"
-msgstr ""
+msgstr "Balangingi"
 
 msgid "Balanta-Ganja"
-msgstr ""
+msgstr "Balanta-Ganja"
 
 msgid "Balanta-Kentohe"
-msgstr ""
+msgstr "Balanta-Kentohe"
 
 msgid "Balantak"
-msgstr ""
+msgstr "Balantak"
 
 msgid "Balau"
-msgstr ""
+msgstr "Balau"
 
 msgid "Baldemu"
-msgstr ""
+msgstr "Baldemu"
 
 msgid "Bali (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Bali (Democratic Republic of Congo)"
 
 msgid "Bali (Nigeria)"
-msgstr ""
+msgstr "Bali (Nigeria)"
 
 msgid "Balinese"
 msgstr "バリ語"
 
 msgid "Balo"
-msgstr ""
+msgstr "Balo"
 
 msgid "Balochi, Eastern"
-msgstr ""
+msgstr "Balochi, Eastern"
 
 msgid "Balochi, Southern"
-msgstr ""
+msgstr "Balochi, Southern"
 
 msgid "Balochi, Western"
-msgstr ""
+msgstr "Balochi, Western"
 
 msgid "Baloi"
-msgstr ""
+msgstr "Baloi"
 
 msgid "Balti"
-msgstr ""
+msgstr "Balti"
 
 msgid "Baluan-Pam"
-msgstr ""
+msgstr "Baluan-Pam"
 
 msgid "Baluchi"
 msgstr "バルーチー語"
 
 msgid "Bamako Sign Language"
-msgstr ""
+msgstr "Bamako Sign Language"
 
 msgid "Bamali"
-msgstr ""
+msgstr "Bamali"
 
 msgid "Bambalang"
-msgstr ""
+msgstr "Bambalang"
 
 msgid "Bambam"
-msgstr ""
+msgstr "Bambam"
 
 msgid "Bambara"
 msgstr "Bambara"
 
 msgid "Bambassi"
-msgstr ""
+msgstr "Bambassi"
 
 msgid "Bambili-Bambui"
-msgstr ""
+msgstr "Bambili-Bambui"
 
 msgid "Bamenyam"
-msgstr ""
+msgstr "Bamenyam"
 
 msgid "Bamu"
-msgstr ""
+msgstr "Bamu"
 
 msgid "Bamukumbit"
-msgstr ""
+msgstr "Bamukumbit"
 
 msgid "Bamun"
-msgstr ""
+msgstr "Bamun"
 
 msgid "Bamunka"
-msgstr ""
+msgstr "Bamunka"
 
 msgid "Bamwe"
-msgstr ""
+msgstr "Bamwe"
 
 msgid "Ban Khor Sign Language"
-msgstr ""
+msgstr "Ban Khor Sign Language"
 
 msgid "Bana"
-msgstr ""
+msgstr "Bana"
 
 msgid "Banaro"
-msgstr ""
+msgstr "Banaro"
 
 msgid "Banda (Indonesia)"
-msgstr ""
+msgstr "Banda (Indonesia)"
 
 msgid "Banda, Mid-Southern"
-msgstr ""
+msgstr "Banda, Mid-Southern"
 
 msgid "Banda, South Central"
-msgstr ""
+msgstr "Banda, South Central"
 
 msgid "Banda, Togbo-Vara"
-msgstr ""
+msgstr "Banda, Togbo-Vara"
 
 msgid "Banda, West Central"
-msgstr ""
+msgstr "Banda, West Central"
 
 msgid "Banda-Bambari"
-msgstr ""
+msgstr "Banda-Bambari"
 
 msgid "Banda-Banda"
-msgstr ""
+msgstr "Banda-Banda"
 
 msgid "Banda-Mbrès"
-msgstr ""
+msgstr "Banda-Mbrès"
 
 msgid "Banda-Ndélé"
-msgstr ""
+msgstr "Banda-Ndélé"
 
 msgid "Banda-Yangere"
-msgstr ""
+msgstr "Banda-Yangere"
 
 msgid "Bandi"
-msgstr ""
+msgstr "Bandi"
 
 msgid "Bandial"
-msgstr ""
+msgstr "Bandial"
 
 msgid "Bandjalang"
-msgstr ""
+msgstr "Bandjalang"
 
 msgid "Bangala"
-msgstr ""
+msgstr "Bangala"
 
 msgid "Bangandu"
-msgstr ""
+msgstr "Bangandu"
 
 msgid "Bangba"
-msgstr ""
+msgstr "Bangba"
 
 msgid "Banggai"
-msgstr ""
+msgstr "Banggai"
 
 msgid "Banggarla"
-msgstr ""
+msgstr "Banggarla"
 
 msgid "Bangi"
-msgstr ""
+msgstr "Bangi"
 
 msgid "Bangime"
-msgstr ""
+msgstr "Bangime"
 
 msgid "Bangka"
-msgstr ""
+msgstr "Bangka"
 
 msgid "Bangolan"
-msgstr ""
+msgstr "Bangolan"
 
 msgid "Bangubangu"
-msgstr ""
+msgstr "Bangubangu"
 
 msgid "Bangwinji"
-msgstr ""
+msgstr "Bangwinji"
 
 msgid "Baniva"
-msgstr ""
+msgstr "Baniva"
 
 msgid "Baniwa"
-msgstr ""
+msgstr "Baniwa"
 
 msgid "Banjar"
-msgstr ""
+msgstr "Banjar"
 
 msgid "Bankagooma"
-msgstr ""
+msgstr "Bankagooma"
 
 msgid "Bankal"
-msgstr ""
+msgstr "Bankal"
 
 msgid "Bankon"
-msgstr ""
+msgstr "Bankon"
 
 msgid "Bannoni"
-msgstr ""
+msgstr "Bannoni"
 
 msgid "Bantawa"
-msgstr ""
+msgstr "Bantawa"
 
 msgid "Bantayanon"
-msgstr ""
+msgstr "Bantayanon"
 
 msgid "Bantik"
-msgstr ""
+msgstr "Bantik"
 
 msgid "Bantoanon"
-msgstr ""
+msgstr "Bantoanon"
 
 msgid "Baoulé"
-msgstr ""
+msgstr "Baoulé"
 
 msgid "Baraamu"
-msgstr ""
+msgstr "Baraamu"
 
 msgid "Barababaraba"
-msgstr ""
+msgstr "Barababaraba"
 
 msgid "Barai"
-msgstr ""
+msgstr "Barai"
 
 msgid "Barakai"
-msgstr ""
+msgstr "Barakai"
 
 msgid "Barama"
-msgstr ""
+msgstr "Barama"
 
 msgid "Barambu"
-msgstr ""
+msgstr "Barambu"
 
 msgid "Baramu"
-msgstr ""
+msgstr "Baramu"
 
 msgid "Barapasi"
-msgstr ""
+msgstr "Barapasi"
 
 msgid "Baras"
-msgstr ""
+msgstr "Baras"
 
 msgid "Barasana-Eduria"
-msgstr ""
+msgstr "Barasana-Eduria"
 
 msgid "Barbacoas"
-msgstr ""
+msgstr "Barbacoas"
 
 msgid "Barbaram"
-msgstr ""
+msgstr "Barbaram"
 
 msgid "Barbareño"
-msgstr ""
+msgstr "Barbareño"
 
 msgid "Bardi"
-msgstr ""
+msgstr "Bardi"
 
 msgid "Barein"
-msgstr ""
+msgstr "Barein"
 
 msgid "Bareli, Palya"
-msgstr ""
+msgstr "Bareli, Palya"
 
 msgid "Bareli, Pauri"
-msgstr ""
+msgstr "Bareli, Pauri"
 
 msgid "Bareli, Rathwi"
-msgstr ""
+msgstr "Bareli, Rathwi"
 
 msgid "Bargam"
-msgstr ""
+msgstr "Bargam"
 
 msgid "Bari"
-msgstr ""
+msgstr "Bari"
 
 msgid "Bariai"
-msgstr ""
+msgstr "Bariai"
 
 msgid "Bariji"
-msgstr ""
+msgstr "Bariji"
 
 msgid "Barikanchi"
-msgstr ""
+msgstr "Barikanchi"
 
 msgid "Barikewa"
-msgstr ""
+msgstr "Barikewa"
 
 msgid "Barok"
-msgstr ""
+msgstr "Barok"
 
 msgid "Barombi"
-msgstr ""
+msgstr "Barombi"
 
 msgid "Barrow Point"
-msgstr ""
+msgstr "Barrow Point"
 
 msgid "Baruga"
-msgstr ""
+msgstr "Baruga"
 
 msgid "Baruya"
-msgstr ""
+msgstr "Baruya"
 
 msgid "Barwe"
-msgstr ""
+msgstr "Barwe"
 
 msgid "Baré"
-msgstr ""
+msgstr "Baré"
 
 msgid "Barí"
-msgstr ""
+msgstr "Barí"
 
 msgid "Basa (Cameroon)"
-msgstr ""
+msgstr "Basa (Cameroon)"
 
 msgid "Basa (Nigeria)"
-msgstr ""
+msgstr "Basa (Nigeria)"
 
 msgid "Basa-Gumna"
-msgstr ""
+msgstr "Basa-Gumna"
 
 msgid "Basa-Gurmana"
-msgstr ""
+msgstr "Basa-Gurmana"
 
 msgid "Basap"
-msgstr ""
+msgstr "Basap"
 
 msgid "Basay"
-msgstr ""
+msgstr "Basay"
 
 msgid "Bashkardi"
-msgstr ""
+msgstr "Bashkardi"
 
 msgid "Bashkir"
 msgstr "バシキール語"
 
 msgid "Basketo"
-msgstr ""
+msgstr "Basketo"
 
 msgid "Basque"
 msgstr "バスク語"
 
 msgid "Bassa"
-msgstr ""
+msgstr "Bassa"
 
 msgid "Bassa-Kontagora"
-msgstr ""
+msgstr "Bassa-Kontagora"
 
 msgid "Bassari"
-msgstr ""
+msgstr "Bassari"
 
 msgid "Bassossi"
-msgstr ""
+msgstr "Bassossi"
 
 msgid "Bata"
-msgstr ""
+msgstr "Bata"
 
 msgid "Batak"
 msgstr "バタク文字"
 
 msgid "Batak Alas-Kluet"
-msgstr ""
+msgstr "Batak Alas-Kluet"
 
 msgid "Batak Angkola"
-msgstr ""
+msgstr "Batak Angkola"
 
 msgid "Batak Dairi"
-msgstr ""
+msgstr "Batak Dairi"
 
 msgid "Batak Karo"
-msgstr ""
+msgstr "Batak Karo"
 
 msgid "Batak Mandailing"
-msgstr ""
+msgstr "Batak Mandailing"
 
 msgid "Batak Simalungun"
-msgstr ""
+msgstr "Batak Simalungun"
 
 msgid "Batak Toba"
-msgstr ""
+msgstr "Batak Toba"
 
 msgid "Batanga"
-msgstr ""
+msgstr "Batanga"
 
 msgid "Batek"
-msgstr ""
+msgstr "Batek"
 
 msgid "Bateri"
-msgstr ""
+msgstr "Bateri"
 
 msgid "Bathari"
-msgstr ""
+msgstr "Bathari"
 
 msgid "Bati (Cameroon)"
-msgstr ""
+msgstr "Bati (Cameroon)"
 
 msgid "Bati (Indonesia)"
-msgstr ""
+msgstr "Bati (Indonesia)"
 
 msgid "Bats"
-msgstr ""
+msgstr "Bats"
 
 msgid "Batu"
-msgstr ""
+msgstr "Batu"
 
 msgid "Batui"
-msgstr ""
+msgstr "Batui"
 
 msgid "Batuley"
-msgstr ""
+msgstr "Batuley"
 
 msgid "Batyala"
-msgstr ""
+msgstr "Batyala"
 
 msgid "Bau"
-msgstr ""
+msgstr "Bau"
 
 msgid "Bauchi"
-msgstr ""
+msgstr "Bauchi"
 
 msgid "Baure"
-msgstr ""
+msgstr "Baure"
 
 msgid "Bauria"
-msgstr ""
+msgstr "Bauria"
 
 msgid "Bauwaki"
-msgstr ""
+msgstr "Bauwaki"
 
 msgid "Bauzi"
-msgstr ""
+msgstr "Bauzi"
 
 msgid "Bavarian"
-msgstr ""
+msgstr "Bavarian"
 
 msgid "Bayali"
-msgstr ""
+msgstr "Bayali"
 
 msgid "Baybayanon"
-msgstr ""
+msgstr "Baybayanon"
 
 msgid "Baygo"
-msgstr ""
+msgstr "Baygo"
 
 msgid "Bayono"
-msgstr ""
+msgstr "Bayono"
 
 msgid "Bayot"
-msgstr ""
+msgstr "Bayot"
 
 msgid "Bayungu"
-msgstr ""
+msgstr "Bayungu"
 
 msgid "Bazigar"
-msgstr ""
+msgstr "Bazigar"
 
 msgid "Beami"
-msgstr ""
+msgstr "Beami"
 
 msgid "Beaver"
-msgstr ""
+msgstr "Beaver"
 
 msgid "Beba"
-msgstr ""
+msgstr "Beba"
 
 msgid "Bebele"
-msgstr ""
+msgstr "Bebele"
 
 msgid "Bebeli"
-msgstr ""
+msgstr "Bebeli"
 
 msgid "Bebil"
-msgstr ""
+msgstr "Bebil"
 
 msgid "Bedjond"
-msgstr ""
+msgstr "Bedjond"
 
 msgid "Bedoanas"
-msgstr ""
+msgstr "Bedoanas"
 
 msgid "Beeke"
-msgstr ""
+msgstr "Beeke"
 
 msgid "Beele"
-msgstr ""
+msgstr "Beele"
 
 msgid "Beembe"
-msgstr ""
+msgstr "Beembe"
 
 msgid "Beezen"
-msgstr ""
+msgstr "Beezen"
 
 msgid "Befang"
-msgstr ""
+msgstr "Befang"
 
 msgid "Beja"
 msgstr "ベジャ語"
 
 msgid "Bekati'"
-msgstr ""
+msgstr "Bekati'"
 
 msgid "Bekwarra"
-msgstr ""
+msgstr "Bekwarra"
 
 msgid "Bekwel"
-msgstr ""
+msgstr "Bekwel"
 
 msgid "Belait"
-msgstr ""
+msgstr "Belait"
 
 msgid "Belanda Viri"
-msgstr ""
+msgstr "Belanda Viri"
 
 msgid "Belarusian"
 msgstr "白ロシア語"
 
 msgid "Belhariya"
-msgstr ""
+msgstr "Belhariya"
 
 msgid "Beli (Papua New Guinea)"
-msgstr ""
+msgstr "Beli (Papua New Guinea)"
 
 msgid "Beli (Sudan)"
-msgstr ""
+msgstr "Beli (Sudan)"
 
 msgid "Bella Coola"
-msgstr ""
+msgstr "Bella Coola"
 
 msgid "Bellari"
-msgstr ""
+msgstr "Bellari"
 
 msgid "Bemba (Zambia)"
-msgstr ""
+msgstr "Bemba (Zambia)"
 
 msgid "Bembe"
-msgstr ""
+msgstr "Bembe"
 
 msgid "Bena (Nigeria)"
-msgstr ""
+msgstr "Bena (Nigeria)"
 
 msgid "Bena (Tanzania)"
-msgstr ""
+msgstr "Bena (Tanzania)"
 
 msgid "Benabena"
-msgstr ""
+msgstr "Benabena"
 
 msgid "Bench"
-msgstr ""
+msgstr "Bench"
 
 msgid "Bende"
-msgstr ""
+msgstr "Bende"
 
 msgid "Bendi"
-msgstr ""
+msgstr "Bendi"
 
 msgid "Beng"
-msgstr ""
+msgstr "Beng"
 
 msgid "Benga"
-msgstr ""
+msgstr "Benga"
 
 msgid "Bengali"
 msgstr "ベンガル語"
 
 msgid "Benggoi"
-msgstr ""
+msgstr "Benggoi"
 
 msgid "Bengkala Sign Language"
-msgstr ""
+msgstr "Bengkala Sign Language"
 
 msgid "Bentong"
-msgstr ""
+msgstr "Bentong"
 
 msgid "Benyadu'"
-msgstr ""
+msgstr "Benyadu'"
 
 msgid "Beothuk"
-msgstr ""
+msgstr "Beothuk"
 
 msgid "Bepour"
-msgstr ""
+msgstr "Bepour"
 
 msgid "Bera"
-msgstr ""
+msgstr "Bera"
 
 msgid "Berakou"
-msgstr ""
+msgstr "Berakou"
 
 msgid "Berawan, Central"
-msgstr ""
+msgstr "Berawan, Central"
 
 msgid "Berawan, East"
-msgstr ""
+msgstr "Berawan, East"
 
 msgid "Berawan, West"
-msgstr ""
+msgstr "Berawan, West"
 
 msgid "Berik"
-msgstr ""
+msgstr "Berik"
 
 msgid "Berinomo"
-msgstr ""
+msgstr "Berinomo"
 
 msgid "Berom"
-msgstr ""
+msgstr "Berom"
 
 msgid "Berta"
-msgstr ""
+msgstr "Berta"
 
 msgid "Berti"
-msgstr ""
+msgstr "Berti"
 
 msgid "Besisi"
-msgstr ""
+msgstr "Besisi"
 
 msgid "Besme"
-msgstr ""
+msgstr "Besme"
 
 msgid "Besoa"
-msgstr ""
+msgstr "Besoa"
 
 msgid "Betaf"
-msgstr ""
+msgstr "Betaf"
 
 msgid "Betawi"
-msgstr ""
+msgstr "Betawi"
 
 msgid "Bete"
-msgstr ""
+msgstr "Bete"
 
 msgid "Bete-Bendi"
-msgstr ""
+msgstr "Bete-Bendi"
 
 msgid "Beti (Côte d'Ivoire)"
-msgstr ""
+msgstr "Beti (Côte d'Ivoire)"
 
 msgid "Bezhta"
-msgstr ""
+msgstr "Bezhta"
 
 msgid "Bhadrawahi"
-msgstr ""
+msgstr "Bhadrawahi"
 
 msgid "Bhalay"
-msgstr ""
+msgstr "Bhalay"
 
 msgid "Bharia"
-msgstr ""
+msgstr "Bharia"
 
 msgid "Bhatri"
-msgstr ""
+msgstr "Bhatri"
 
 msgid "Bhattiyali"
-msgstr ""
+msgstr "Bhattiyali"
 
 msgid "Bhaya"
-msgstr ""
+msgstr "Bhaya"
 
 msgid "Bhele"
-msgstr ""
+msgstr "Bhele"
 
 msgid "Bhil, Sindhi"
-msgstr ""
+msgstr "Bhil, Sindhi"
 
 msgid "Bhilali"
-msgstr ""
+msgstr "Bhilali"
 
 msgid "Bhili"
-msgstr ""
+msgstr "Bhili"
 
 msgid "Bhojpuri"
 msgstr "ボージプリー語"
 
 msgid "Bhoti, Spiti"
-msgstr ""
+msgstr "Bhoti, Spiti"
 
 msgid "Bhoti, Stod"
-msgstr ""
+msgstr "Bhoti, Stod"
 
 msgid "Bhujel"
-msgstr ""
+msgstr "Bhujel"
 
 msgid "Bhunjia"
-msgstr ""
+msgstr "Bhunjia"
 
 msgid "Biafada"
-msgstr ""
+msgstr "Biafada"
 
 msgid "Biage"
-msgstr ""
+msgstr "Biage"
 
 msgid "Biak"
-msgstr ""
+msgstr "Biak"
 
 msgid "Biali"
-msgstr ""
+msgstr "Biali"
 
 msgid "Biangai"
-msgstr ""
+msgstr "Biangai"
 
 msgid "Biao"
-msgstr ""
+msgstr "Biao"
 
 msgid "Biao Mon"
-msgstr ""
+msgstr "Biao Mon"
 
 msgid "Bibbulman"
-msgstr ""
+msgstr "Bibbulman"
 
 msgid "Bidayuh, Bau"
-msgstr ""
+msgstr "Bidayuh, Bau"
 
 msgid "Bidayuh, Biatah"
-msgstr ""
+msgstr "Bidayuh, Biatah"
 
 msgid "Bidayuh, Bukar-Sadung"
-msgstr ""
+msgstr "Bidayuh, Bukar-Sadung"
 
 msgid "Bidayuh, Tringgus-Sembaan"
-msgstr ""
+msgstr "Bidayuh, Tringgus-Sembaan"
 
 msgid "Bidhawal"
-msgstr ""
+msgstr "Bidhawal"
 
 msgid "Bidiyo"
-msgstr ""
+msgstr "Bidiyo"
 
 msgid "Bidyara"
-msgstr ""
+msgstr "Bidyara"
 
 msgid "Bidyogo"
-msgstr ""
+msgstr "Bidyogo"
 
 msgid "Biem"
-msgstr ""
+msgstr "Biem"
 
 msgid "Bierebo"
-msgstr ""
+msgstr "Bierebo"
 
 msgid "Bieria"
-msgstr ""
+msgstr "Bieria"
 
 msgid "Biete"
-msgstr ""
+msgstr "Biete"
 
 msgid "Biga"
-msgstr ""
+msgstr "Biga"
 
 msgid "Bigambal"
-msgstr ""
+msgstr "Bigambal"
 
 msgid "Bijori"
-msgstr ""
+msgstr "Bijori"
 
 msgid "Bikaru"
-msgstr ""
+msgstr "Bikaru"
 
 msgid "Bikol"
 msgstr "ビコル語"
 
 msgid "Bikol, Buhi'non"
-msgstr ""
+msgstr "Bikol, Buhi'non"
 
 msgid "Bikol, Central"
-msgstr ""
+msgstr "Bikol, Central"
 
 msgid "Bikol, Libon"
-msgstr ""
+msgstr "Bikol, Libon"
 
 msgid "Bikol, Miraya"
-msgstr ""
+msgstr "Bikol, Miraya"
 
 msgid "Bikol, Northern Catanduanes"
-msgstr ""
+msgstr "Bikol, Northern Catanduanes"
 
 msgid "Bikol, Rinconada"
-msgstr ""
+msgstr "Bikol, Rinconada"
 
 msgid "Bikol, Southern Catanduanes"
-msgstr ""
+msgstr "Bikol, Southern Catanduanes"
 
 msgid "Bikol, West Albay"
-msgstr ""
+msgstr "Bikol, West Albay"
 
 msgid "Bikya"
-msgstr ""
+msgstr "Bikya"
 
 msgid "Bila"
-msgstr ""
+msgstr "Bila"
 
 msgid "Bilakura"
-msgstr ""
+msgstr "Bilakura"
 
 msgid "Bilaspuri"
-msgstr ""
+msgstr "Bilaspuri"
 
 msgid "Bilba"
-msgstr ""
+msgstr "Bilba"
 
 msgid "Bilbil"
-msgstr ""
+msgstr "Bilbil"
 
 msgid "Bile"
-msgstr ""
+msgstr "Bile"
 
 msgid "Bilin"
-msgstr ""
+msgstr "Bilin"
 
 msgid "Biloxi"
-msgstr ""
+msgstr "Biloxi"
 
 msgid "Bilua"
-msgstr ""
+msgstr "Bilua"
 
 msgid "Bilur"
-msgstr ""
+msgstr "Bilur"
 
 msgid "Bima"
-msgstr ""
+msgstr "Bima"
 
 msgid "Bimin"
-msgstr ""
+msgstr "Bimin"
 
 msgid "Bimoba"
-msgstr ""
+msgstr "Bimoba"
 
 msgid "Bina (Nigeria)"
-msgstr ""
+msgstr "Bina (Nigeria)"
 
 msgid "Bina (Papua New Guinea)"
-msgstr ""
+msgstr "Bina (Papua New Guinea)"
 
 msgid "Binahari"
-msgstr ""
+msgstr "Binahari"
 
 msgid "Binandere"
-msgstr ""
+msgstr "Binandere"
 
 msgid "Bindal"
-msgstr ""
+msgstr "Bindal"
 
 msgid "Bine"
-msgstr ""
+msgstr "Bine"
 
 msgid "Bini"
 msgstr "ビニ語"
 
 msgid "Binji"
-msgstr ""
+msgstr "Binji"
 
 msgid "Bintauna"
-msgstr ""
+msgstr "Bintauna"
 
 msgid "Bintulu"
-msgstr ""
+msgstr "Bintulu"
 
 msgid "Binukid"
-msgstr ""
+msgstr "Binukid"
 
 msgid "Binukidnon, Northern"
-msgstr ""
+msgstr "Binukidnon, Northern"
 
 msgid "Binukidnon, Southern"
-msgstr ""
+msgstr "Binukidnon, Southern"
 
 msgid "Binumarien"
-msgstr ""
+msgstr "Binumarien"
 
 msgid "Bipi"
-msgstr ""
+msgstr "Bipi"
 
 msgid "Birale"
-msgstr ""
+msgstr "Birale"
 
 msgid "Birao"
-msgstr ""
+msgstr "Birao"
 
 msgid "Birgit"
-msgstr ""
+msgstr "Birgit"
 
 msgid "Birhor"
-msgstr ""
+msgstr "Birhor"
 
 msgid "Biri"
-msgstr ""
+msgstr "Biri"
 
 msgid "Birifor, Malba"
-msgstr ""
+msgstr "Birifor, Malba"
 
 msgid "Birifor, Southern"
-msgstr ""
+msgstr "Birifor, Southern"
 
 msgid "Biritai"
-msgstr ""
+msgstr "Biritai"
 
 msgid "Birked"
-msgstr ""
+msgstr "Birked"
 
 msgid "Birri"
-msgstr ""
+msgstr "Birri"
 
 msgid "Birrpayi"
-msgstr ""
+msgstr "Birrpayi"
 
 msgid "Birwa"
-msgstr ""
+msgstr "Birwa"
 
 msgid "Bisaya, Brunei"
-msgstr ""
+msgstr "Bisaya, Brunei"
 
 msgid "Bisaya, Sabah"
-msgstr ""
+msgstr "Bisaya, Sabah"
 
 msgid "Biseni"
-msgstr ""
+msgstr "Biseni"
 
 msgid "Bishnupriya"
-msgstr ""
+msgstr "Bishnupriya"
 
 msgid "Bishuo"
-msgstr ""
+msgstr "Bishuo"
 
 msgid "Bisis"
-msgstr ""
+msgstr "Bisis"
 
 msgid "Bislama"
 msgstr "ビスラマ語"
 
 msgid "Bisorio"
-msgstr ""
+msgstr "Bisorio"
 
 msgid "Bissa"
-msgstr ""
+msgstr "Bissa"
 
 msgid "Bisu"
-msgstr ""
+msgstr "Bisu"
 
 msgid "Bit"
-msgstr ""
+msgstr "Bit"
 
 msgid "Bitare"
-msgstr ""
+msgstr "Bitare"
 
 msgid "Bitur"
-msgstr ""
+msgstr "Bitur"
 
 msgid "Biwat"
-msgstr ""
+msgstr "Biwat"
 
 msgid "Biyo"
-msgstr ""
+msgstr "Biyo"
 
 msgid "Biyom"
-msgstr ""
+msgstr "Biyom"
 
 msgid "Blaan, Koronadal"
-msgstr ""
+msgstr "Blaan, Koronadal"
 
 msgid "Blaan, Sarangani"
-msgstr ""
+msgstr "Blaan, Sarangani"
 
 msgid "Blablanga"
-msgstr ""
+msgstr "Blablanga"
 
 msgid "Blafe"
-msgstr ""
+msgstr "Blafe"
 
 msgid "Blagar"
-msgstr ""
+msgstr "Blagar"
 
 msgid "Blang"
-msgstr ""
+msgstr "Blang"
 
 msgid "Blissymbols"
-msgstr ""
+msgstr "Blissymbols"
 
 msgid "Bo (Laos)"
-msgstr ""
+msgstr "Bo (Laos)"
 
 msgid "Bo (Papua New Guinea)"
-msgstr ""
+msgstr "Bo (Papua New Guinea)"
 
 msgid "Bo-Rukul"
-msgstr ""
+msgstr "Bo-Rukul"
 
 msgid "Bo-Ung"
-msgstr ""
+msgstr "Bo-Ung"
 
 msgid "Boano (Maluku)"
-msgstr ""
+msgstr "Boano (Maluku)"
 
 msgid "Boano (Sulawesi)"
-msgstr ""
+msgstr "Boano (Sulawesi)"
 
 msgid "Bobo Madaré, Northern"
-msgstr ""
+msgstr "Bobo Madaré, Northern"
 
 msgid "Bobo Madaré, Southern"
-msgstr ""
+msgstr "Bobo Madaré, Southern"
 
 msgid "Bobongko"
-msgstr ""
+msgstr "Bobongko"
 
 msgid "Bobot"
-msgstr ""
+msgstr "Bobot"
 
 msgid "Bodo (Central African Republic)"
-msgstr ""
+msgstr "Bodo (Central African Republic)"
 
 msgid "Bodo (India)"
-msgstr ""
+msgstr "Bodo (India)"
 
 msgid "Bodo Parja"
-msgstr ""
+msgstr "Bodo Parja"
 
 msgid "Bofi"
-msgstr ""
+msgstr "Bofi"
 
 msgid "Boga"
-msgstr ""
+msgstr "Boga"
 
 msgid "Bogaya"
-msgstr ""
+msgstr "Bogaya"
 
 msgid "Boghom"
-msgstr ""
+msgstr "Boghom"
 
 msgid "Boguru"
-msgstr ""
+msgstr "Boguru"
 
 msgid "Boikin"
-msgstr ""
+msgstr "Boikin"
 
 msgid "Bokha"
-msgstr ""
+msgstr "Bokha"
 
 msgid "Boko (Benin)"
-msgstr ""
+msgstr "Boko (Benin)"
 
 msgid "Boko (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Boko (Democratic Republic of Congo)"
 
 msgid "Bokobaru"
-msgstr ""
+msgstr "Bokobaru"
 
 msgid "Bokoto"
-msgstr ""
+msgstr "Bokoto"
 
 msgid "Bokyi"
-msgstr ""
+msgstr "Bokyi"
 
 msgid "Bola"
-msgstr ""
+msgstr "Bola"
 
 msgid "Bolango"
-msgstr ""
+msgstr "Bolango"
 
 msgid "Bole"
-msgstr ""
+msgstr "Bole"
 
 msgid "Bolgarian"
-msgstr ""
+msgstr "Bolgarian"
 
 msgid "Bolgo"
-msgstr ""
+msgstr "Bolgo"
 
 msgid "Bolia"
-msgstr ""
+msgstr "Bolia"
 
 msgid "Bolinao"
-msgstr ""
+msgstr "Bolinao"
 
 msgid "Bolivian Sign Language"
-msgstr ""
+msgstr "Bolivian Sign Language"
 
 msgid "Bolo"
-msgstr ""
+msgstr "Bolo"
 
 msgid "Boloki"
-msgstr ""
+msgstr "Boloki"
 
 msgid "Bolon"
-msgstr ""
+msgstr "Bolon"
 
 msgid "Bolondo"
-msgstr ""
+msgstr "Bolondo"
 
 msgid "Bolongan"
-msgstr ""
+msgstr "Bolongan"
 
 msgid "Bolyu"
-msgstr ""
+msgstr "Bolyu"
 
 msgid "Bom"
-msgstr ""
+msgstr "Bom"
 
 msgid "Boma"
-msgstr ""
+msgstr "Boma"
 
 msgid "Bomboli"
-msgstr ""
+msgstr "Bomboli"
 
 msgid "Bomboma"
-msgstr ""
+msgstr "Bomboma"
 
 msgid "Bomitaba"
-msgstr ""
+msgstr "Bomitaba"
 
 msgid "Bomu"
-msgstr ""
+msgstr "Bomu"
 
 msgid "Bomwali"
-msgstr ""
+msgstr "Bomwali"
 
 msgid "Bon Gula"
-msgstr ""
+msgstr "Bon Gula"
 
 msgid "Bonan"
-msgstr ""
+msgstr "Bonan"
 
 msgid "Bondei"
-msgstr ""
+msgstr "Bondei"
 
 msgid "Bondo"
-msgstr ""
+msgstr "Bondo"
 
 msgid "Bonerate"
-msgstr ""
+msgstr "Bonerate"
 
 msgid "Bonerif"
-msgstr ""
+msgstr "Bonerif"
 
 msgid "Bonggi"
-msgstr ""
+msgstr "Bonggi"
 
 msgid "Bonggo"
-msgstr ""
+msgstr "Bonggo"
 
 msgid "Bongili"
-msgstr ""
+msgstr "Bongili"
 
 msgid "Bongo"
-msgstr ""
+msgstr "Bongo"
 
 msgid "Bongu"
-msgstr ""
+msgstr "Bongu"
 
 msgid "Bonjo"
-msgstr ""
+msgstr "Bonjo"
 
 msgid "Bonkeng"
-msgstr ""
+msgstr "Bonkeng"
 
 msgid "Bonkiman"
-msgstr ""
+msgstr "Bonkiman"
 
 msgid "Bontok"
-msgstr ""
+msgstr "Bontok"
 
 msgid "Bontok, Central"
-msgstr ""
+msgstr "Bontok, Central"
 
 msgid "Bontok, Eastern"
-msgstr ""
+msgstr "Bontok, Eastern"
 
 msgid "Bontok, Northern"
-msgstr ""
+msgstr "Bontok, Northern"
 
 msgid "Bontok, Southern"
-msgstr ""
+msgstr "Bontok, Southern"
 
 msgid "Bontok, Southwestern"
-msgstr ""
+msgstr "Bontok, Southwestern"
 
 msgid "Bookan"
-msgstr ""
+msgstr "Bookan"
 
 msgid "Boon"
-msgstr ""
+msgstr "Boon"
 
 msgid "Boor"
-msgstr ""
+msgstr "Boor"
 
 msgid "Bor, Belanda"
-msgstr ""
+msgstr "Bor, Belanda"
 
 msgid "Bora"
-msgstr ""
+msgstr "Bora"
 
 msgid "Borei"
-msgstr ""
+msgstr "Borei"
 
 msgid "Boro (Ethiopia)"
-msgstr ""
+msgstr "Boro (Ethiopia)"
 
 msgid "Boro (Ghana)"
-msgstr ""
+msgstr "Boro (Ghana)"
 
 msgid "Borong"
-msgstr ""
+msgstr "Borong"
 
 msgid "Boruca"
-msgstr ""
+msgstr "Boruca"
 
 msgid "Borôro"
-msgstr ""
+msgstr "Borôro"
 
 msgid "Boselewa"
-msgstr ""
+msgstr "Boselewa"
 
 msgid "Bosngun"
-msgstr ""
+msgstr "Bosngun"
 
 msgid "Bosnian"
 msgstr "ボスニア語"
 
 msgid "Bote-Majhi"
-msgstr ""
+msgstr "Bote-Majhi"
 
 msgid "Botlikh"
-msgstr ""
+msgstr "Botlikh"
 
 msgid "Bouyei"
-msgstr ""
+msgstr "Bouyei"
 
 msgid "Bozaba"
-msgstr ""
+msgstr "Bozaba"
 
 msgid "Bozo, Jenaama"
-msgstr ""
+msgstr "Bozo, Jenaama"
 
 msgid "Bozo, Kɛlɛngaxo"
-msgstr ""
+msgstr "Bozo, Kɛlɛngaxo"
 
 msgid "Bozo, Tiemacèwè"
-msgstr ""
+msgstr "Bozo, Tiemacèwè"
 
 msgid "Bozo, Tiéyaxo"
-msgstr ""
+msgstr "Bozo, Tiéyaxo"
 
 msgid "Bragat"
-msgstr ""
+msgstr "Bragat"
 
 msgid "Brahui"
-msgstr ""
+msgstr "Brahui"
 
 msgid "Braj"
 msgstr "ブラジ語"
 
 msgid "Brazilian Sign Language"
-msgstr ""
+msgstr "Brazilian Sign Language"
 
 msgid "Brem"
-msgstr ""
+msgstr "Brem"
 
 msgid "Breri"
-msgstr ""
+msgstr "Breri"
 
 msgid "Breton"
 msgstr "ブルトン語"
 
 msgid "Breton, Middle"
-msgstr ""
+msgstr "Breton, Middle"
 
 msgid "Breton, Old"
-msgstr ""
+msgstr "Breton, Old"
 
 msgid "Bribri"
-msgstr ""
+msgstr "Bribri"
 
 msgid "Brithenig"
-msgstr ""
+msgstr "Brithenig"
 
 msgid "British Sign Language"
-msgstr ""
+msgstr "British Sign Language"
 
 msgid "Brokkat"
-msgstr ""
+msgstr "Brokkat"
 
 msgid "Brokpake"
-msgstr ""
+msgstr "Brokpake"
 
 msgid "Brokskat"
-msgstr ""
+msgstr "Brokskat"
 
 msgid "Broome Pearling Lugger Pidgin"
-msgstr ""
+msgstr "Broome Pearling Lugger Pidgin"
 
 msgid "Bru, Eastern"
-msgstr ""
+msgstr "Bru, Eastern"
 
 msgid "Bru, Western"
-msgstr ""
+msgstr "Bru, Western"
 
 msgid "Brunei"
-msgstr ""
+msgstr "Brunei"
 
 msgid "Bu"
-msgstr ""
+msgstr "Bu"
 
 msgid "Bua"
-msgstr ""
+msgstr "Bua"
 
 msgid "Buamu"
-msgstr ""
+msgstr "Buamu"
 
 msgid "Buang, Mangga"
-msgstr ""
+msgstr "Buang, Mangga"
 
 msgid "Buang, Mapos"
-msgstr ""
+msgstr "Buang, Mapos"
 
 msgid "Bube"
-msgstr ""
+msgstr "Bube"
 
 msgid "Bubi"
-msgstr ""
+msgstr "Bubi"
 
 msgid "Bubia"
-msgstr ""
+msgstr "Bubia"
 
 msgid "Budibud"
-msgstr ""
+msgstr "Budibud"
 
 msgid "Budong-Budong"
-msgstr ""
+msgstr "Budong-Budong"
 
 msgid "Budu"
-msgstr ""
+msgstr "Budu"
 
 msgid "Budukh"
-msgstr ""
+msgstr "Budukh"
 
 msgid "Buduma"
-msgstr ""
+msgstr "Buduma"
 
 msgid "Budza"
-msgstr ""
+msgstr "Budza"
 
 msgid "Bugan"
-msgstr ""
+msgstr "Bugan"
 
 msgid "Bugawac"
-msgstr ""
+msgstr "Bugawac"
 
 msgid "Bughotu"
-msgstr ""
+msgstr "Bughotu"
 
 msgid "Buginese"
 msgstr "ブギ語"
 
 msgid "Buglere"
-msgstr ""
+msgstr "Buglere"
 
 msgid "Bugun"
-msgstr ""
+msgstr "Bugun"
 
 msgid "Buhid"
 msgstr "ブヒッド文字"
 
 msgid "Buhutu"
-msgstr ""
+msgstr "Buhutu"
 
 msgid "Bukat"
-msgstr ""
+msgstr "Bukat"
 
 msgid "Bukharic"
-msgstr ""
+msgstr "Bukharic"
 
 msgid "Bukitan"
-msgstr ""
+msgstr "Bukitan"
 
 msgid "Bukiyip"
-msgstr ""
+msgstr "Bukiyip"
 
 msgid "Buksa"
-msgstr ""
+msgstr "Buksa"
 
 msgid "Bukusu"
-msgstr ""
+msgstr "Bukusu"
 
 msgid "Bukwen"
-msgstr ""
+msgstr "Bukwen"
 
 msgid "Bulgarian"
 msgstr "ブルガリア語"
 
 msgid "Bulgarian Sign Language"
-msgstr ""
+msgstr "Bulgarian Sign Language"
 
 msgid "Bulgebi"
-msgstr ""
+msgstr "Bulgebi"
 
 msgid "Buli (Ghana)"
-msgstr ""
+msgstr "Buli (Ghana)"
 
 msgid "Buli (Indonesia)"
-msgstr ""
+msgstr "Buli (Indonesia)"
 
 msgid "Bullom So"
-msgstr ""
+msgstr "Bullom So"
 
 msgid "Bulu (Cameroon)"
-msgstr ""
+msgstr "Bulu (Cameroon)"
 
 msgid "Bulu (Papua New Guinea)"
-msgstr ""
+msgstr "Bulu (Papua New Guinea)"
 
 msgid "Bum"
-msgstr ""
+msgstr "Bum"
 
 msgid "Bumaji"
-msgstr ""
+msgstr "Bumaji"
 
 msgid "Bumang"
-msgstr ""
+msgstr "Bumang"
 
 msgid "Bumthangkha"
-msgstr ""
+msgstr "Bumthangkha"
 
 msgid "Bun"
-msgstr ""
+msgstr "Bun"
 
 msgid "Buna"
-msgstr ""
+msgstr "Buna"
 
 msgid "Bunaba"
-msgstr ""
+msgstr "Bunaba"
 
 msgid "Bunak"
-msgstr ""
+msgstr "Bunak"
 
 msgid "Bunama"
-msgstr ""
+msgstr "Bunama"
 
 msgid "Bundeli"
-msgstr ""
+msgstr "Bundeli"
 
 msgid "Bung"
-msgstr ""
+msgstr "Bung"
 
 msgid "Bungain"
-msgstr ""
+msgstr "Bungain"
 
 msgid "Bunganditj"
-msgstr ""
+msgstr "Bunganditj"
 
 msgid "Bungku"
-msgstr ""
+msgstr "Bungku"
 
 msgid "Bungu"
-msgstr ""
+msgstr "Bungu"
 
 msgid "Bunu, Bu-Nao"
-msgstr ""
+msgstr "Bunu, Bu-Nao"
 
 msgid "Bunu, Jiongnai"
-msgstr ""
+msgstr "Bunu, Jiongnai"
 
 msgid "Bunu, Wunai"
-msgstr ""
+msgstr "Bunu, Wunai"
 
 msgid "Bunu, Younuo"
-msgstr ""
+msgstr "Bunu, Younuo"
 
 msgid "Bunun"
-msgstr ""
+msgstr "Bunun"
 
 msgid "Buol"
-msgstr ""
+msgstr "Buol"
 
 msgid "Bura-Pabir"
-msgstr ""
+msgstr "Bura-Pabir"
 
 msgid "Burak"
-msgstr ""
+msgstr "Burak"
 
 msgid "Buraka"
-msgstr ""
+msgstr "Buraka"
 
 msgid "Burarra"
-msgstr ""
+msgstr "Burarra"
 
 msgid "Burate"
-msgstr ""
+msgstr "Burate"
 
 msgid "Burdekin, Lower"
-msgstr ""
+msgstr "Burdekin, Lower"
 
 msgid "Burduna"
-msgstr ""
+msgstr "Burduna"
 
 msgid "Bure"
-msgstr ""
+msgstr "Bure"
 
 msgid "Buriat"
 msgstr "ブリヤート語"
 
 msgid "Buriat, China"
-msgstr ""
+msgstr "Buriat, China"
 
 msgid "Buriat, Mongolia"
-msgstr ""
+msgstr "Buriat, Mongolia"
 
 msgid "Buriat, Russia"
-msgstr ""
+msgstr "Buriat, Russia"
 
 msgid "Burji"
-msgstr ""
+msgstr "Burji"
 
 msgid "Burmbar"
-msgstr ""
+msgstr "Burmbar"
 
 msgid "Burmese"
 msgstr "ビルマ語"
 
 msgid "Burmese, Old"
-msgstr ""
+msgstr "Burmese, Old"
 
 msgid "Burmeso"
-msgstr ""
+msgstr "Burmeso"
 
 msgid "Buru (Indonesia)"
-msgstr ""
+msgstr "Buru (Indonesia)"
 
 msgid "Buru (Nigeria)"
-msgstr ""
+msgstr "Buru (Nigeria)"
 
 msgid "Burui"
-msgstr ""
+msgstr "Burui"
 
 msgid "Burumakok"
-msgstr ""
+msgstr "Burumakok"
 
 msgid "Burun"
-msgstr ""
+msgstr "Burun"
 
 msgid "Burunge"
-msgstr ""
+msgstr "Burunge"
 
 msgid "Burushaski"
-msgstr ""
+msgstr "Burushaski"
 
 msgid "Burusu"
-msgstr ""
+msgstr "Burusu"
 
 msgid "Buruwai"
-msgstr ""
+msgstr "Buruwai"
 
 msgid "Busa"
-msgstr ""
+msgstr "Busa"
 
 msgid "Busam"
-msgstr ""
+msgstr "Busam"
 
 msgid "Busami"
-msgstr ""
+msgstr "Busami"
 
 msgid "Bushi"
-msgstr ""
+msgstr "Bushi"
 
 msgid "Bushoong"
-msgstr ""
+msgstr "Bushoong"
 
 msgid "Buso"
-msgstr ""
+msgstr "Buso"
 
 msgid "Busoa"
-msgstr ""
+msgstr "Busoa"
 
 msgid "Bussa"
-msgstr ""
+msgstr "Bussa"
 
 msgid "Busuu"
-msgstr ""
+msgstr "Busuu"
 
 msgid "Butmas-Tur"
-msgstr ""
+msgstr "Butmas-Tur"
 
 msgid "Butuanon"
-msgstr ""
+msgstr "Butuanon"
 
 msgid "Buwal"
-msgstr ""
+msgstr "Buwal"
 
 msgid "Buyang, Baha"
-msgstr ""
+msgstr "Buyang, Baha"
 
 msgid "Buyang, E'ma"
-msgstr ""
+msgstr "Buyang, E'ma"
 
 msgid "Buyang, Langnian"
-msgstr ""
+msgstr "Buyang, Langnian"
 
 msgid "Buyu"
-msgstr ""
+msgstr "Buyu"
 
 msgid "Bwa"
-msgstr ""
+msgstr "Bwa"
 
 msgid "Bwaidoka"
-msgstr ""
+msgstr "Bwaidoka"
 
 msgid "Bwamu, Cwi"
-msgstr ""
+msgstr "Bwamu, Cwi"
 
 msgid "Bwamu, Láá Láá"
-msgstr ""
+msgstr "Bwamu, Láá Láá"
 
 msgid "Bwanabwana"
-msgstr ""
+msgstr "Bwanabwana"
 
 msgid "Bwatoo"
-msgstr ""
+msgstr "Bwatoo"
 
 msgid "Bwela"
-msgstr ""
+msgstr "Bwela"
 
 msgid "Bwile"
-msgstr ""
+msgstr "Bwile"
 
 msgid "Bwisi"
-msgstr ""
+msgstr "Bwisi"
 
 msgid "Byangsi"
-msgstr ""
+msgstr "Byangsi"
 
 msgid "Byep"
-msgstr ""
+msgstr "Byep"
 
 msgid "Béte, Guiberoua"
-msgstr ""
+msgstr "Béte, Guiberoua"
 
 msgid "Bété, Daloa"
-msgstr ""
+msgstr "Bété, Daloa"
 
 msgid "Bété, Gagnoa"
-msgstr ""
+msgstr "Bété, Gagnoa"
 
 msgid "C'lela"
-msgstr ""
+msgstr "C'lela"
 
 msgid "Caac"
-msgstr ""
+msgstr "Caac"
 
 msgid "Cabiyarí"
-msgstr ""
+msgstr "Cabiyarí"
 
 msgid "Cabécar"
-msgstr ""
+msgstr "Cabécar"
 
 msgid "Cacaopera"
-msgstr ""
+msgstr "Cacaopera"
 
 msgid "Cacua"
-msgstr ""
+msgstr "Cacua"
 
 msgid "Caddo"
 msgstr "カドー語"
 
 msgid "Cahuarano"
-msgstr ""
+msgstr "Cahuarano"
 
 msgid "Cahuilla"
-msgstr ""
+msgstr "Cahuilla"
 
 msgid "Caka"
-msgstr ""
+msgstr "Caka"
 
 msgid "Cakchiquel-Quiché Mixed Language"
-msgstr ""
+msgstr "Cakchiquel-Quiché Mixed Language"
 
 msgid "Cakfem-Mushere"
-msgstr ""
+msgstr "Cakfem-Mushere"
 
 msgid "Callawalla"
-msgstr ""
+msgstr "Callawalla"
 
 msgid "Caluyanun"
-msgstr ""
+msgstr "Caluyanun"
 
 msgid "Caló"
-msgstr ""
+msgstr "Caló"
 
 msgid "Camling"
-msgstr ""
+msgstr "Camling"
 
 msgid "Campalagian"
-msgstr ""
+msgstr "Campalagian"
 
 msgid "Camsá"
-msgstr ""
+msgstr "Camsá"
 
 msgid "Camtho"
-msgstr ""
+msgstr "Camtho"
 
 msgid "Camunic"
-msgstr ""
+msgstr "Camunic"
 
 msgid "Candoshi-Shapra"
-msgstr ""
+msgstr "Candoshi-Shapra"
 
 msgid "Canela"
-msgstr ""
+msgstr "Canela"
 
 msgid "Canichana"
-msgstr ""
+msgstr "Canichana"
 
 msgid "Cao Lan"
-msgstr ""
+msgstr "Cao Lan"
 
 msgid "Cao Miao"
-msgstr ""
+msgstr "Cao Miao"
 
 msgid "Capanahua"
-msgstr ""
+msgstr "Capanahua"
 
 msgid "Capiznon"
-msgstr ""
+msgstr "Capiznon"
 
 msgid "Caquinte"
-msgstr ""
+msgstr "Caquinte"
 
 msgid "Cara"
-msgstr ""
+msgstr "Cara"
 
 msgid "Carabayo"
-msgstr ""
+msgstr "Carabayo"
 
 msgid "Caramanta"
-msgstr ""
+msgstr "Caramanta"
 
 msgid "Carapana"
-msgstr ""
+msgstr "Carapana"
 
 msgid "Carian"
 msgstr "カリア文字"
 
 msgid "Carib, Galibi"
-msgstr ""
+msgstr "Carib, Galibi"
 
 msgid "Carib, Island"
-msgstr ""
+msgstr "Carib, Island"
 
 msgid "Carijona"
-msgstr ""
+msgstr "Carijona"
 
 msgid "Carolinian"
-msgstr ""
+msgstr "Carolinian"
 
 msgid "Carrier"
-msgstr ""
+msgstr "Carrier"
 
 msgid "Carrier, Southern"
-msgstr ""
+msgstr "Carrier, Southern"
 
 msgid "Cashibo-Cacataibo"
-msgstr ""
+msgstr "Cashibo-Cacataibo"
 
 msgid "Cashinahua"
-msgstr ""
+msgstr "Cashinahua"
 
 msgid "Catalan"
 msgstr "カタロニア語"
 
 msgid "Catalan Sign Language"
-msgstr ""
+msgstr "Catalan Sign Language"
 
 msgid "Catawba"
-msgstr ""
+msgstr "Catawba"
 
 msgid "Cauca"
-msgstr ""
+msgstr "Cauca"
 
 msgid "Cavineña"
-msgstr ""
+msgstr "Cavineña"
 
 msgid "Cayubaba"
-msgstr ""
+msgstr "Cayubaba"
 
 msgid "Cayuga"
-msgstr ""
+msgstr "Cayuga"
 
 msgid "Cayuse"
-msgstr ""
+msgstr "Cayuse"
 
 msgid "Ca̱hungwa̱rya̱"
-msgstr ""
+msgstr "Ca̱hungwa̱rya̱"
 
 msgid "Cebuano"
 msgstr "セブアノ語"
 
 msgid "Celtiberian"
-msgstr ""
+msgstr "Celtiberian"
 
 msgid "Cemuhî"
-msgstr ""
+msgstr "Cemuhî"
 
 msgid "Cen"
-msgstr ""
+msgstr "Cen"
 
 msgid "Centúúm"
-msgstr ""
+msgstr "Centúúm"
 
 msgid "Cerma"
-msgstr ""
+msgstr "Cerma"
 
 msgid "Chabu"
-msgstr ""
+msgstr "Chabu"
 
 msgid "Chachi"
-msgstr ""
+msgstr "Chachi"
 
 msgid "Chadian Sign Language"
-msgstr ""
+msgstr "Chadian Sign Language"
 
 msgid "Chadong"
-msgstr ""
+msgstr "Chadong"
 
 msgid "Chagatai"
 msgstr "Chagatai"
 
 msgid "Chaima"
-msgstr ""
+msgstr "Chaima"
 
 msgid "Chak"
-msgstr ""
+msgstr "Chak"
 
 msgid "Chakali"
-msgstr ""
+msgstr "Chakali"
 
 msgid "Chakma"
 msgstr "チャクマ文字"
 
 msgid "Chala"
-msgstr ""
+msgstr "Chala"
 
 msgid "Chalikha"
-msgstr ""
+msgstr "Chalikha"
 
 msgid "Cham, Eastern"
-msgstr ""
+msgstr "Cham, Eastern"
 
 msgid "Cham, Western"
-msgstr ""
+msgstr "Cham, Western"
 
 msgid "Chamacoco"
-msgstr ""
+msgstr "Chamacoco"
 
 msgid "Chamalal"
-msgstr ""
+msgstr "Chamalal"
 
 msgid "Chamari"
-msgstr ""
+msgstr "Chamari"
 
 msgid "Chambeali"
-msgstr ""
+msgstr "Chambeali"
 
 msgid "Chambri"
-msgstr ""
+msgstr "Chambri"
 
 msgid "Chamicuro"
-msgstr ""
+msgstr "Chamicuro"
 
 msgid "Chamorro"
 msgstr "チャモロ語"
 
 msgid "Changriwa"
-msgstr ""
+msgstr "Changriwa"
 
 msgid "Changthang"
-msgstr ""
+msgstr "Changthang"
 
 msgid "Chantyal"
-msgstr ""
+msgstr "Chantyal"
 
 msgid "Chané"
-msgstr ""
+msgstr "Chané"
 
 msgid "Chara"
-msgstr ""
+msgstr "Chara"
 
 msgid "Chatino, Eastern Highland"
-msgstr ""
+msgstr "Chatino, Eastern Highland"
 
 msgid "Chatino, Nopala"
-msgstr ""
+msgstr "Chatino, Nopala"
 
 msgid "Chatino, Tataltepec"
-msgstr ""
+msgstr "Chatino, Tataltepec"
 
 msgid "Chatino, Western Highland"
-msgstr ""
+msgstr "Chatino, Western Highland"
 
 msgid "Chatino, Zacatepec"
-msgstr ""
+msgstr "Chatino, Zacatepec"
 
 msgid "Chatino, Zenzontepec"
-msgstr ""
+msgstr "Chatino, Zenzontepec"
 
 msgid "Chaudangsi"
-msgstr ""
+msgstr "Chaudangsi"
 
 msgid "Chaura"
-msgstr ""
+msgstr "Chaura"
 
 msgid "Chavacano"
-msgstr ""
+msgstr "Chavacano"
 
 msgid "Chayahuita"
 msgstr "チャガタイ語"
 
 msgid "Che"
-msgstr ""
+msgstr "Che"
 
 msgid "Chechen"
 msgstr "チェチェン語"
 
 msgid "Chehalis, Lower"
-msgstr ""
+msgstr "Chehalis, Lower"
 
 msgid "Chehalis, Upper"
-msgstr ""
+msgstr "Chehalis, Upper"
 
 msgid "Cheke Holo"
-msgstr ""
+msgstr "Cheke Holo"
 
 msgid "Chemakum"
-msgstr ""
+msgstr "Chemakum"
 
 msgid "Chenapian"
-msgstr ""
+msgstr "Chenapian"
 
 msgid "Chenchu"
-msgstr ""
+msgstr "Chenchu"
 
 msgid "Chenoua"
-msgstr ""
+msgstr "Chenoua"
 
 msgid "Chepang"
-msgstr ""
+msgstr "Chepang"
 
 msgid "Chepya"
-msgstr ""
+msgstr "Chepya"
 
 msgid "Cherepon"
-msgstr ""
+msgstr "Cherepon"
 
 msgid "Cherokee"
 msgstr "チェロキー語"
 
 msgid "Chesu"
-msgstr ""
+msgstr "Chesu"
 
 msgid "Chetco"
-msgstr ""
+msgstr "Chetco"
 
 msgid "Chetti, Wayanad"
-msgstr ""
+msgstr "Chetti, Wayanad"
 
 msgid "Chewong"
-msgstr ""
+msgstr "Chewong"
 
 msgid "Cheyenne"
 msgstr "シャイアン語"
 
 msgid "Chhattisgarhi"
-msgstr ""
+msgstr "Chhattisgarhi"
 
 msgid "Chhintange"
-msgstr ""
+msgstr "Chhintange"
 
 msgid "Chhulung"
-msgstr ""
+msgstr "Chhulung"
 
 msgid "Chiangmai Sign Language"
-msgstr ""
+msgstr "Chiangmai Sign Language"
 
 msgid "Chiapanec"
-msgstr ""
+msgstr "Chiapanec"
 
 msgid "Chibcha"
 msgstr "チブチャ語"
 
 msgid "Chichimeca-Jonaz"
-msgstr ""
+msgstr "Chichimeca-Jonaz"
 
 msgid "Chickasaw"
-msgstr ""
+msgstr "Chickasaw"
 
 msgid "Chicomuceltec"
-msgstr ""
+msgstr "Chicomuceltec"
 
 msgid "Chiga"
-msgstr ""
+msgstr "Chiga"
 
 msgid "Chilcotin"
-msgstr ""
+msgstr "Chilcotin"
 
 msgid "Chilean Sign Language"
-msgstr ""
+msgstr "Chilean Sign Language"
 
 msgid "Chilisso"
-msgstr ""
+msgstr "Chilisso"
 
 msgid "Chimariko"
-msgstr ""
+msgstr "Chimariko"
 
 msgid "Chimila"
-msgstr ""
+msgstr "Chimila"
 
 msgid "Chin, Anu-Hkongso"
-msgstr ""
+msgstr "Chin, Anu-Hkongso"
 
 msgid "Chin, Asho"
-msgstr ""
+msgstr "Chin, Asho"
 
 msgid "Chin, Bawm"
-msgstr ""
+msgstr "Chin, Bawm"
 
 msgid "Chin, Bualkhaw"
-msgstr ""
+msgstr "Chin, Bualkhaw"
 
 msgid "Chin, Chinbon"
-msgstr ""
+msgstr "Chin, Chinbon"
 
 msgid "Chin, Daai"
-msgstr ""
+msgstr "Chin, Daai"
 
 msgid "Chin, Eastern Khumi"
-msgstr ""
+msgstr "Chin, Eastern Khumi"
 
 msgid "Chin, Falam"
-msgstr ""
+msgstr "Chin, Falam"
 
 msgid "Chin, Hakha"
-msgstr ""
+msgstr "Chin, Hakha"
 
 msgid "Chin, Kaang"
-msgstr ""
+msgstr "Chin, Kaang"
 
 msgid "Chin, Khumi"
-msgstr ""
+msgstr "Chin, Khumi"
 
 msgid "Chin, Laitu"
-msgstr ""
+msgstr "Chin, Laitu"
 
 msgid "Chin, Lautu"
-msgstr ""
+msgstr "Chin, Lautu"
 
 msgid "Chin, Mara"
-msgstr ""
+msgstr "Chin, Mara"
 
 msgid "Chin, Matu"
-msgstr ""
+msgstr "Chin, Matu"
 
 msgid "Chin, Mro-Khimi"
-msgstr ""
+msgstr "Chin, Mro-Khimi"
 
 msgid "Chin, Mün"
-msgstr ""
+msgstr "Chin, Mün"
 
 msgid "Chin, Ngawn"
-msgstr ""
+msgstr "Chin, Ngawn"
 
 msgid "Chin, Paite"
-msgstr ""
+msgstr "Chin, Paite"
 
 msgid "Chin, Rawngtu"
-msgstr ""
+msgstr "Chin, Rawngtu"
 
 msgid "Chin, Rungtu"
-msgstr ""
+msgstr "Chin, Rungtu"
 
 msgid "Chin, Senthang"
-msgstr ""
+msgstr "Chin, Senthang"
 
 msgid "Chin, Siyin"
-msgstr ""
+msgstr "Chin, Siyin"
 
 msgid "Chin, Songlai"
-msgstr ""
+msgstr "Chin, Songlai"
 
 msgid "Chin, Sumtu"
-msgstr ""
+msgstr "Chin, Sumtu"
 
 msgid "Chin, Tawr"
-msgstr ""
+msgstr "Chin, Tawr"
 
 msgid "Chin, Tedim"
-msgstr ""
+msgstr "Chin, Tedim"
 
 msgid "Chin, Thado"
-msgstr ""
+msgstr "Chin, Thado"
 
 msgid "Chin, Thaiphum"
-msgstr ""
+msgstr "Chin, Thaiphum"
 
 msgid "Chin, Zotung"
-msgstr ""
+msgstr "Chin, Zotung"
 
 msgid "Chin, Zyphe"
-msgstr ""
+msgstr "Chin, Zyphe"
 
 msgid "Chinali"
-msgstr ""
+msgstr "Chinali"
 
 msgid "Chinantec, Chiltepec"
-msgstr ""
+msgstr "Chinantec, Chiltepec"
 
 msgid "Chinantec, Comaltepec"
-msgstr ""
+msgstr "Chinantec, Comaltepec"
 
 msgid "Chinantec, Lalana"
-msgstr ""
+msgstr "Chinantec, Lalana"
 
 msgid "Chinantec, Lealao"
-msgstr ""
+msgstr "Chinantec, Lealao"
 
 msgid "Chinantec, Ojitlán"
-msgstr ""
+msgstr "Chinantec, Ojitlán"
 
 msgid "Chinantec, Ozumacín"
-msgstr ""
+msgstr "Chinantec, Ozumacín"
 
 msgid "Chinantec, Palantla"
-msgstr ""
+msgstr "Chinantec, Palantla"
 
 msgid "Chinantec, Quiotepec"
-msgstr ""
+msgstr "Chinantec, Quiotepec"
 
 msgid "Chinantec, Sochiapam"
-msgstr ""
+msgstr "Chinantec, Sochiapam"
 
 msgid "Chinantec, Tepetotutla"
-msgstr ""
+msgstr "Chinantec, Tepetotutla"
 
 msgid "Chinantec, Tepinapa"
-msgstr ""
+msgstr "Chinantec, Tepinapa"
 
 msgid "Chinantec, Tlacoatzintepec"
-msgstr ""
+msgstr "Chinantec, Tlacoatzintepec"
 
 msgid "Chinantec, Usila"
-msgstr ""
+msgstr "Chinantec, Usila"
 
 msgid "Chinantec, Valle Nacional"
-msgstr ""
+msgstr "Chinantec, Valle Nacional"
 
 msgid "Chinese"
 msgstr "中国語"
 
 msgid "Chinese Sign Language"
-msgstr ""
+msgstr "Chinese Sign Language"
 
 msgid "Chinese, Gan"
-msgstr ""
+msgstr "Chinese, Gan"
 
 msgid "Chinese, Hakka"
-msgstr ""
+msgstr "Chinese, Hakka"
 
 msgid "Chinese, Huizhou"
-msgstr ""
+msgstr "Chinese, Huizhou"
 
 msgid "Chinese, Jinyu"
-msgstr ""
+msgstr "Chinese, Jinyu"
 
 msgid "Chinese, Late Middle"
-msgstr ""
+msgstr "Chinese, Late Middle"
 
 msgid "Chinese, Literary"
-msgstr ""
+msgstr "Chinese, Literary"
 
 msgid "Chinese, Mandarin"
-msgstr ""
+msgstr "Chinese, Mandarin"
 
 msgid "Chinese, Min Bei"
-msgstr ""
+msgstr "Chinese, Min Bei"
 
 msgid "Chinese, Min Dong"
-msgstr ""
+msgstr "Chinese, Min Dong"
 
 msgid "Chinese, Min Nan"
-msgstr ""
+msgstr "Chinese, Min Nan"
 
 msgid "Chinese, Min Zhong"
-msgstr ""
+msgstr "Chinese, Min Zhong"
 
 msgid "Chinese, Old"
-msgstr ""
+msgstr "Chinese, Old"
 
 msgid "Chinese, Pu-Xian"
-msgstr ""
+msgstr "Chinese, Pu-Xian"
 
 msgid "Chinese, Wu"
-msgstr ""
+msgstr "Chinese, Wu"
 
 msgid "Chinese, Xiang"
-msgstr ""
+msgstr "Chinese, Xiang"
 
 msgid "Chinese, Yue"
-msgstr ""
+msgstr "Chinese, Yue"
 
 msgid "Chinook"
-msgstr ""
+msgstr "Chinook"
 
 msgid "Chinook jargon"
 msgstr "チヌーク混成語"
 
 msgid "Chipaya"
-msgstr ""
+msgstr "Chipaya"
 
 msgid "Chipewyan"
 msgstr "チペワイアン語"
@@ -4119,1342 +4120,1342 @@ msgid "Chippewa"
 msgstr "オジブワ語"
 
 msgid "Chiquitano"
-msgstr ""
+msgstr "Chiquitano"
 
 msgid "Chiripá"
-msgstr ""
+msgstr "Chiripá"
 
 msgid "Chiru"
-msgstr ""
+msgstr "Chiru"
 
 msgid "Chitimacha"
-msgstr ""
+msgstr "Chitimacha"
 
 msgid "Chittagonian"
-msgstr ""
+msgstr "Chittagonian"
 
 msgid "Chocangacakha"
-msgstr ""
+msgstr "Chocangacakha"
 
 msgid "Chochotec"
-msgstr ""
+msgstr "Chochotec"
 
 msgid "Choctaw"
 msgstr "チョクトー語"
 
 msgid "Chodri"
-msgstr ""
+msgstr "Chodri"
 
 msgid "Chokwe"
-msgstr ""
+msgstr "Chokwe"
 
 msgid "Chol"
-msgstr ""
+msgstr "Chol"
 
 msgid "Cholón"
-msgstr ""
+msgstr "Cholón"
 
 msgid "Chong"
-msgstr ""
+msgstr "Chong"
 
 msgid "Choni"
-msgstr ""
+msgstr "Choni"
 
 msgid "Chontal, Highland Oaxaca"
-msgstr ""
+msgstr "Chontal, Highland Oaxaca"
 
 msgid "Chontal, Lowland Oaxaca"
-msgstr ""
+msgstr "Chontal, Lowland Oaxaca"
 
 msgid "Chontal, Tabasco"
-msgstr ""
+msgstr "Chontal, Tabasco"
 
 msgid "Chonyi-Dzihana-Kauma"
-msgstr ""
+msgstr "Chonyi-Dzihana-Kauma"
 
 msgid "Chopi"
-msgstr ""
+msgstr "Chopi"
 
 msgid "Chorasmian"
-msgstr ""
+msgstr "Chorasmian"
 
 msgid "Chorote, Iyo'wujwa"
-msgstr ""
+msgstr "Chorote, Iyo'wujwa"
 
 msgid "Chorote, Iyojwa'ja"
-msgstr ""
+msgstr "Chorote, Iyojwa'ja"
 
 msgid "Chortí"
-msgstr ""
+msgstr "Chortí"
 
 msgid "Chrau"
-msgstr ""
+msgstr "Chrau"
 
 msgid "Chru"
-msgstr ""
+msgstr "Chru"
 
 msgid "Chuave"
-msgstr ""
+msgstr "Chuave"
 
 msgid "Chug"
-msgstr ""
+msgstr "Chug"
 
 msgid "Chuj"
-msgstr ""
+msgstr "Chuj"
 
 msgid "Chuka"
-msgstr ""
+msgstr "Chuka"
 
 msgid "Chukot"
-msgstr ""
+msgstr "Chukot"
 
 msgid "Chukwa"
-msgstr ""
+msgstr "Chukwa"
 
 msgid "Chulym"
-msgstr ""
+msgstr "Chulym"
 
 msgid "Chumburung"
-msgstr ""
+msgstr "Chumburung"
 
 msgid "Churahi"
-msgstr ""
+msgstr "Churahi"
 
 msgid "Chut"
-msgstr ""
+msgstr "Chut"
 
 msgid "Chuukese"
 msgstr "チューク語"
 
 msgid "Chuvantsy"
-msgstr ""
+msgstr "Chuvantsy"
 
 msgid "Chuvash"
 msgstr "チュヴァシュ語"
 
 msgid "Chuwabu"
-msgstr ""
+msgstr "Chuwabu"
 
 msgid "Chácobo"
-msgstr ""
+msgstr "Chácobo"
 
 msgid "Cia-Cia"
-msgstr ""
+msgstr "Cia-Cia"
 
 msgid "Cibak"
-msgstr ""
+msgstr "Cibak"
 
 msgid "Cicipu"
-msgstr ""
+msgstr "Cicipu"
 
 msgid "Cimbrian"
-msgstr ""
+msgstr "Cimbrian"
 
 msgid "Cinda-Regi-Tiyal"
-msgstr ""
+msgstr "Cinda-Regi-Tiyal"
 
 msgid "Cineni"
-msgstr ""
+msgstr "Cineni"
 
 msgid "Cinta Larga"
-msgstr ""
+msgstr "Cinta Larga"
 
 msgid "Cishingini"
-msgstr ""
+msgstr "Cishingini"
 
 msgid "Citak"
-msgstr ""
+msgstr "Citak"
 
 msgid "Citak, Tamnim"
-msgstr ""
+msgstr "Citak, Tamnim"
 
 msgid "Ciwogai"
-msgstr ""
+msgstr "Ciwogai"
 
 msgid "Clallam"
-msgstr ""
+msgstr "Clallam"
 
 msgid "Coahuilteco"
-msgstr ""
+msgstr "Coahuilteco"
 
 msgid "Cocama-Cocamilla"
-msgstr ""
+msgstr "Cocama-Cocamilla"
 
 msgid "Cochimi"
-msgstr ""
+msgstr "Cochimi"
 
 msgid "Cocopa"
-msgstr ""
+msgstr "Cocopa"
 
 msgid "Coeur d'Alene"
-msgstr ""
+msgstr "Coeur d'Alene"
 
 msgid "Cofán"
-msgstr ""
+msgstr "Cofán"
 
 msgid "Cogui"
-msgstr ""
+msgstr "Cogui"
 
 msgid "Col"
-msgstr ""
+msgstr "Col"
 
 msgid "Colombian Sign Language"
-msgstr ""
+msgstr "Colombian Sign Language"
 
 msgid "Colorado"
-msgstr ""
+msgstr "Colorado"
 
 msgid "Columbia-Wenatchi"
-msgstr ""
+msgstr "Columbia-Wenatchi"
 
 msgid "Comanche"
-msgstr ""
+msgstr "Comanche"
 
 msgid "Comecrudo"
-msgstr ""
+msgstr "Comecrudo"
 
 msgid "Como Karim"
-msgstr ""
+msgstr "Como Karim"
 
 msgid "Comorian, Maore"
-msgstr ""
+msgstr "Comorian, Maore"
 
 msgid "Comorian, Mwali"
-msgstr ""
+msgstr "Comorian, Mwali"
 
 msgid "Comorian, Ndzwani"
-msgstr ""
+msgstr "Comorian, Ndzwani"
 
 msgid "Comorian, Ngazidja"
-msgstr ""
+msgstr "Comorian, Ngazidja"
 
 msgid "Comox"
-msgstr ""
+msgstr "Comox"
 
 msgid "Con"
-msgstr ""
+msgstr "Con"
 
 msgid "Coos"
-msgstr ""
+msgstr "Coos"
 
 msgid "Coptic"
 msgstr "コプト語"
 
 msgid "Coquille"
-msgstr ""
+msgstr "Coquille"
 
 msgid "Cora, El Nayar"
-msgstr ""
+msgstr "Cora, El Nayar"
 
 msgid "Cora, Santa Teresa"
-msgstr ""
+msgstr "Cora, Santa Teresa"
 
 msgid "Cori"
-msgstr ""
+msgstr "Cori"
 
 msgid "Cornish"
 msgstr "コーンウォール語"
 
 msgid "Cornish, Middle"
-msgstr ""
+msgstr "Cornish, Middle"
 
 msgid "Cornish, Old"
-msgstr ""
+msgstr "Cornish, Old"
 
 msgid "Corsican"
 msgstr "コルシカ語"
 
 msgid "Costa Rican Sign Language"
-msgstr ""
+msgstr "Costa Rican Sign Language"
 
 msgid "Cotoname"
-msgstr ""
+msgstr "Cotoname"
 
 msgid "Cowlitz"
-msgstr ""
+msgstr "Cowlitz"
 
 msgid "Cree"
 msgstr "クリー語"
 
 msgid "Cree, Moose"
-msgstr ""
+msgstr "Cree, Moose"
 
 msgid "Cree, Northern East"
-msgstr ""
+msgstr "Cree, Northern East"
 
 msgid "Cree, Plains"
-msgstr ""
+msgstr "Cree, Plains"
 
 msgid "Cree, Southern East"
-msgstr ""
+msgstr "Cree, Southern East"
 
 msgid "Cree, Swampy"
-msgstr ""
+msgstr "Cree, Swampy"
 
 msgid "Cree, Woods"
-msgstr ""
+msgstr "Cree, Woods"
 
 msgid "Creek"
 msgstr "クリーク語"
 
 msgid "Creole Arabic, Babalia"
-msgstr ""
+msgstr "Creole Arabic, Babalia"
 
 msgid "Creole Arabic, Sudanese"
-msgstr ""
+msgstr "Creole Arabic, Sudanese"
 
 msgid "Creole Dutch, Berbice"
-msgstr ""
+msgstr "Creole Dutch, Berbice"
 
 msgid "Creole Dutch, Skepi"
-msgstr ""
+msgstr "Creole Dutch, Skepi"
 
 msgid "Creole English, Antigua and Barbuda"
-msgstr ""
+msgstr "Creole English, Antigua and Barbuda"
 
 msgid "Creole English, Bahamas"
-msgstr ""
+msgstr "Creole English, Bahamas"
 
 msgid "Creole English, Fernando Po"
-msgstr ""
+msgstr "Creole English, Fernando Po"
 
 msgid "Creole English, Grenadian"
-msgstr ""
+msgstr "Creole English, Grenadian"
 
 msgid "Creole English, Guyanese"
-msgstr ""
+msgstr "Creole English, Guyanese"
 
 msgid "Creole English, Hawai'i"
-msgstr ""
+msgstr "Creole English, Hawai'i"
 
 msgid "Creole English, Islander"
-msgstr ""
+msgstr "Creole English, Islander"
 
 msgid "Creole English, Jamaican"
-msgstr ""
+msgstr "Creole English, Jamaican"
 
 msgid "Creole English, Nicaragua"
-msgstr ""
+msgstr "Creole English, Nicaragua"
 
 msgid "Creole English, Sea Island"
-msgstr ""
+msgstr "Creole English, Sea Island"
 
 msgid "Creole English, Tobagonian"
-msgstr ""
+msgstr "Creole English, Tobagonian"
 
 msgid "Creole English, Trinidadian"
-msgstr ""
+msgstr "Creole English, Trinidadian"
 
 msgid "Creole English, Turks And Caicos"
-msgstr ""
+msgstr "Creole English, Turks And Caicos"
 
 msgid "Creole English, Vincentian"
-msgstr ""
+msgstr "Creole English, Vincentian"
 
 msgid "Creole English, Virgin Islands"
-msgstr ""
+msgstr "Creole English, Virgin Islands"
 
 msgid "Creole French, Guadeloupean"
-msgstr ""
+msgstr "Creole French, Guadeloupean"
 
 msgid "Creole French, Guianese"
-msgstr ""
+msgstr "Creole French, Guianese"
 
 msgid "Creole French, Karipúna"
-msgstr ""
+msgstr "Creole French, Karipúna"
 
 msgid "Creole French, Réunion"
-msgstr ""
+msgstr "Creole French, Réunion"
 
 msgid "Creole French, Saint Lucian"
-msgstr ""
+msgstr "Creole French, Saint Lucian"
 
 msgid "Creole French, San Miguel"
-msgstr ""
+msgstr "Creole French, San Miguel"
 
 msgid "Creole French, Seselwa"
-msgstr ""
+msgstr "Creole French, Seselwa"
 
 msgid "Creole Hindi, Andaman"
-msgstr ""
+msgstr "Creole Hindi, Andaman"
 
 msgid "Creole Malay, Malaccan"
-msgstr ""
+msgstr "Creole Malay, Malaccan"
 
 msgid "Creole Malay, Sri Lankan"
-msgstr ""
+msgstr "Creole Malay, Sri Lankan"
 
 msgid "Creole Portuguese, Korlai"
-msgstr ""
+msgstr "Creole Portuguese, Korlai"
 
 msgid "Creole Portuguese, Malaccan"
-msgstr ""
+msgstr "Creole Portuguese, Malaccan"
 
 msgid "Creole, Afro-Seminole"
-msgstr ""
+msgstr "Creole, Afro-Seminole"
 
 msgid "Creole, Cafundo"
-msgstr ""
+msgstr "Creole, Cafundo"
 
 msgid "Creole, Louisiana"
-msgstr ""
+msgstr "Creole, Louisiana"
 
 msgid "Creole, Torres Strait"
-msgstr ""
+msgstr "Creole, Torres Strait"
 
 msgid "Crioulo, Upper Guinea"
-msgstr ""
+msgstr "Crioulo, Upper Guinea"
 
 msgid "Croatia Sign Language"
-msgstr ""
+msgstr "Croatia Sign Language"
 
 msgid "Croatian"
 msgstr "クロアチア語"
 
 msgid "Crow"
-msgstr ""
+msgstr "Crow"
 
 msgid "Cruzeño"
-msgstr ""
+msgstr "Cruzeño"
 
 msgid "Cua"
-msgstr ""
+msgstr "Cua"
 
 msgid "Cuba Sign Language"
-msgstr ""
+msgstr "Cuba Sign Language"
 
 msgid "Cubeo"
-msgstr ""
+msgstr "Cubeo"
 
 msgid "Cuiba"
-msgstr ""
+msgstr "Cuiba"
 
 msgid "Cuicatec, Tepeuxila"
-msgstr ""
+msgstr "Cuicatec, Tepeuxila"
 
 msgid "Cuicatec, Teutila"
-msgstr ""
+msgstr "Cuicatec, Teutila"
 
 msgid "Culina"
-msgstr ""
+msgstr "Culina"
 
 msgid "Cumanagoto"
-msgstr ""
+msgstr "Cumanagoto"
 
 msgid "Cumbric"
-msgstr ""
+msgstr "Cumbric"
 
 msgid "Cun"
-msgstr ""
+msgstr "Cun"
 
 msgid "Cung"
-msgstr ""
+msgstr "Cung"
 
 msgid "Cupeño"
-msgstr ""
+msgstr "Cupeño"
 
 msgid "Curonian"
-msgstr ""
+msgstr "Curonian"
 
 msgid "Curripaco"
-msgstr ""
+msgstr "Curripaco"
 
 msgid "Cutchi-Swahili"
-msgstr ""
+msgstr "Cutchi-Swahili"
 
 msgid "Cuvok"
-msgstr ""
+msgstr "Cuvok"
 
 msgid "Cuyonon"
-msgstr ""
+msgstr "Cuyonon"
 
 msgid "Czech"
 msgstr "チェコ語"
 
 msgid "Czech Sign Language"
-msgstr ""
+msgstr "Czech Sign Language"
 
 msgid "Côông"
-msgstr ""
+msgstr "Côông"
 
 msgid "Daakaka"
-msgstr ""
+msgstr "Daakaka"
 
 msgid "Daantanai'"
-msgstr ""
+msgstr "Daantanai'"
 
 msgid "Daasanach"
-msgstr ""
+msgstr "Daasanach"
 
 msgid "Daatsʼíin"
-msgstr ""
+msgstr "Daatsʼíin"
 
 msgid "Daba"
-msgstr ""
+msgstr "Daba"
 
 msgid "Dabarre"
-msgstr ""
+msgstr "Dabarre"
 
 msgid "Dabe"
-msgstr ""
+msgstr "Dabe"
 
 msgid "Dacian"
-msgstr ""
+msgstr "Dacian"
 
 msgid "Dadi Dadi"
-msgstr ""
+msgstr "Dadi Dadi"
 
 msgid "Dadibi"
-msgstr ""
+msgstr "Dadibi"
 
 msgid "Dadiya"
-msgstr ""
+msgstr "Dadiya"
 
 msgid "Daga"
-msgstr ""
+msgstr "Daga"
 
 msgid "Dagaare, Southern"
-msgstr ""
+msgstr "Dagaare, Southern"
 
 msgid "Dagaari Dioula"
-msgstr ""
+msgstr "Dagaari Dioula"
 
 msgid "Dagara, Northern"
-msgstr ""
+msgstr "Dagara, Northern"
 
 msgid "Dagba"
-msgstr ""
+msgstr "Dagba"
 
 msgid "Dagbani"
-msgstr ""
+msgstr "Dagbani"
 
 msgid "Dagik"
-msgstr ""
+msgstr "Dagik"
 
 msgid "Dagoman"
-msgstr ""
+msgstr "Dagoman"
 
 msgid "Dahalik"
-msgstr ""
+msgstr "Dahalik"
 
 msgid "Dahalo"
-msgstr ""
+msgstr "Dahalo"
 
 msgid "Daho-Doo"
-msgstr ""
+msgstr "Daho-Doo"
 
 msgid "Dai"
-msgstr ""
+msgstr "Dai"
 
 msgid "Dair"
-msgstr ""
+msgstr "Dair"
 
 msgid "Daju, Dar Daju"
-msgstr ""
+msgstr "Daju, Dar Daju"
 
 msgid "Daju, Dar Fur"
-msgstr ""
+msgstr "Daju, Dar Fur"
 
 msgid "Daju, Dar Sila"
-msgstr ""
+msgstr "Daju, Dar Sila"
 
 msgid "Daka, Samba"
-msgstr ""
+msgstr "Daka, Samba"
 
 msgid "Dakka"
-msgstr ""
+msgstr "Dakka"
 
 msgid "Dakota"
 msgstr "ダコタ語"
 
 msgid "Dakpakha"
-msgstr ""
+msgstr "Dakpakha"
 
 msgid "Dalabon"
-msgstr ""
+msgstr "Dalabon"
 
 msgid "Dalmatian"
-msgstr ""
+msgstr "Dalmatian"
 
 msgid "Dama"
-msgstr ""
+msgstr "Dama"
 
 msgid "Damakawa"
-msgstr ""
+msgstr "Damakawa"
 
 msgid "Damal"
-msgstr ""
+msgstr "Damal"
 
 msgid "Damar, East"
-msgstr ""
+msgstr "Damar, East"
 
 msgid "Damar, West"
-msgstr ""
+msgstr "Damar, West"
 
 msgid "Dambi"
-msgstr ""
+msgstr "Dambi"
 
 msgid "Dameli"
-msgstr ""
+msgstr "Dameli"
 
 msgid "Dampelas"
-msgstr ""
+msgstr "Dampelas"
 
 msgid "Dan"
-msgstr ""
+msgstr "Dan"
 
 msgid "Danaru"
-msgstr ""
+msgstr "Danaru"
 
 msgid "Danau"
-msgstr ""
+msgstr "Danau"
 
 msgid "Dangaléat"
-msgstr ""
+msgstr "Dangaléat"
 
 msgid "Dani, Lower Grand Valley"
-msgstr ""
+msgstr "Dani, Lower Grand Valley"
 
 msgid "Dani, Mid Grand Valley"
-msgstr ""
+msgstr "Dani, Mid Grand Valley"
 
 msgid "Dani, Upper Grand Valley"
-msgstr ""
+msgstr "Dani, Upper Grand Valley"
 
 msgid "Dani, Western"
-msgstr ""
+msgstr "Dani, Western"
 
 msgid "Danish"
 msgstr "デンマーク語"
 
 msgid "Danish Sign Language"
-msgstr ""
+msgstr "Danish Sign Language"
 
 msgid "Danish, Traveller"
-msgstr ""
+msgstr "Danish, Traveller"
 
 msgid "Dano"
-msgstr ""
+msgstr "Dano"
 
 msgid "Danu"
-msgstr ""
+msgstr "Danu"
 
 msgid "Dao"
-msgstr ""
+msgstr "Dao"
 
 msgid "Daonda"
-msgstr ""
+msgstr "Daonda"
 
 msgid "Darai"
-msgstr ""
+msgstr "Darai"
 
 msgid "Dargwa"
 msgstr "ダルガン語"
 
 msgid "Dari"
-msgstr ""
+msgstr "Dari"
 
 msgid "Dari, Zoroastrian"
-msgstr ""
+msgstr "Dari, Zoroastrian"
 
 msgid "Darkinyung"
-msgstr ""
+msgstr "Darkinyung"
 
 msgid "Darlong"
-msgstr ""
+msgstr "Darlong"
 
 msgid "Darmiya"
-msgstr ""
+msgstr "Darmiya"
 
 msgid "Dass"
-msgstr ""
+msgstr "Dass"
 
 msgid "Datooga"
-msgstr ""
+msgstr "Datooga"
 
 msgid "Daungwurrung"
-msgstr ""
+msgstr "Daungwurrung"
 
 msgid "Daur"
-msgstr ""
+msgstr "Daur"
 
 msgid "Davawenyo"
-msgstr ""
+msgstr "Davawenyo"
 
 msgid "Dawawa"
-msgstr ""
+msgstr "Dawawa"
 
 msgid "Dawera-Daweloor"
-msgstr ""
+msgstr "Dawera-Daweloor"
 
 msgid "Dawro"
-msgstr ""
+msgstr "Dawro"
 
 msgid "Day"
-msgstr ""
+msgstr "Day"
 
 msgid "Dayak, Malayic"
-msgstr ""
+msgstr "Dayak, Malayic"
 
 msgid "Dayi"
-msgstr ""
+msgstr "Dayi"
 
 msgid "Dazaga"
-msgstr ""
+msgstr "Dazaga"
 
 msgid "Deccan"
-msgstr ""
+msgstr "Deccan"
 
 msgid "Dedua"
-msgstr ""
+msgstr "Dedua"
 
 msgid "Defaka"
-msgstr ""
+msgstr "Defaka"
 
 msgid "Deg"
-msgstr ""
+msgstr "Deg"
 
 msgid "Degaru"
-msgstr ""
+msgstr "Degaru"
 
 msgid "Degema"
-msgstr ""
+msgstr "Degema"
 
 msgid "Degenan"
-msgstr ""
+msgstr "Degenan"
 
 msgid "Degexit'an"
-msgstr ""
+msgstr "Degexit'an"
 
 msgid "Dehu"
-msgstr ""
+msgstr "Dehu"
 
 msgid "Dehwari"
-msgstr ""
+msgstr "Dehwari"
 
 msgid "Dek"
-msgstr ""
+msgstr "Dek"
 
 msgid "Dela-Oenale"
-msgstr ""
+msgstr "Dela-Oenale"
 
 msgid "Delaware"
 msgstr "デラウェア語"
 
 msgid "Delaware, Pidgin"
-msgstr ""
+msgstr "Delaware, Pidgin"
 
 msgid "Delo"
-msgstr ""
+msgstr "Delo"
 
 msgid "Dem"
-msgstr ""
+msgstr "Dem"
 
 msgid "Dema"
-msgstr ""
+msgstr "Dema"
 
 msgid "Demisa"
-msgstr ""
+msgstr "Demisa"
 
 msgid "Demta"
-msgstr ""
+msgstr "Demta"
 
 msgid "Dendi (Benin)"
-msgstr ""
+msgstr "Dendi (Benin)"
 
 msgid "Dendi (Central African Republic)"
-msgstr ""
+msgstr "Dendi (Central African Republic)"
 
 msgid "Dengese"
-msgstr ""
+msgstr "Dengese"
 
 msgid "Dengka"
-msgstr ""
+msgstr "Dengka"
 
 msgid "Deno"
-msgstr ""
+msgstr "Deno"
 
 msgid "Denya"
-msgstr ""
+msgstr "Denya"
 
 msgid "Dení"
-msgstr ""
+msgstr "Dení"
 
 msgid "Deori"
-msgstr ""
+msgstr "Deori"
 
 msgid "Dera (Indonesia)"
-msgstr ""
+msgstr "Dera (Indonesia)"
 
 msgid "Dera (Nigeria)"
-msgstr ""
+msgstr "Dera (Nigeria)"
 
 msgid "Desano"
-msgstr ""
+msgstr "Desano"
 
 msgid "Desiya"
-msgstr ""
+msgstr "Desiya"
 
 msgid "Dewoin"
-msgstr ""
+msgstr "Dewoin"
 
 msgid "Dezfuli"
-msgstr ""
+msgstr "Dezfuli"
 
 msgid "Dghwede"
-msgstr ""
+msgstr "Dghwede"
 
 msgid "Dhaiso"
-msgstr ""
+msgstr "Dhaiso"
 
 msgid "Dhalandji"
-msgstr ""
+msgstr "Dhalandji"
 
 msgid "Dhangu-Djangu"
-msgstr ""
+msgstr "Dhangu-Djangu"
 
 msgid "Dhanki"
-msgstr ""
+msgstr "Dhanki"
 
 msgid "Dhanwar (Nepal)"
-msgstr ""
+msgstr "Dhanwar (Nepal)"
 
 msgid "Dhao"
-msgstr ""
+msgstr "Dhao"
 
 msgid "Dhargari"
-msgstr ""
+msgstr "Dhargari"
 
 msgid "Dharuk"
-msgstr ""
+msgstr "Dharuk"
 
 msgid "Dharumbal"
-msgstr ""
+msgstr "Dharumbal"
 
 msgid "Dhatki"
-msgstr ""
+msgstr "Dhatki"
 
 msgid "Dhimal"
-msgstr ""
+msgstr "Dhimal"
 
 msgid "Dhivehi"
-msgstr ""
+msgstr "Dhivehi"
 
 msgid "Dhodia"
-msgstr ""
+msgstr "Dhodia"
 
 msgid "Dhudhuroa"
-msgstr ""
+msgstr "Dhudhuroa"
 
 msgid "Dhundari"
-msgstr ""
+msgstr "Dhundari"
 
 msgid "Dhungaloo"
-msgstr ""
+msgstr "Dhungaloo"
 
 msgid "Dhurga"
-msgstr ""
+msgstr "Dhurga"
 
 msgid "Dhuwal"
-msgstr ""
+msgstr "Dhuwal"
 
 msgid "Dhuwaya"
-msgstr ""
+msgstr "Dhuwaya"
 
 msgid "Dia"
-msgstr ""
+msgstr "Dia"
 
 msgid "Dibiyaso"
-msgstr ""
+msgstr "Dibiyaso"
 
 msgid "Dibo"
-msgstr ""
+msgstr "Dibo"
 
 msgid "Dibole"
-msgstr ""
+msgstr "Dibole"
 
 msgid "Dida, Lakota"
-msgstr ""
+msgstr "Dida, Lakota"
 
 msgid "Dida, Yocoboué"
-msgstr ""
+msgstr "Dida, Yocoboué"
 
 msgid "Didinga"
-msgstr ""
+msgstr "Didinga"
 
 msgid "Dido"
-msgstr ""
+msgstr "Dido"
 
 msgid "Dieri"
-msgstr ""
+msgstr "Dieri"
 
 msgid "Digaro-Mishmi"
-msgstr ""
+msgstr "Digaro-Mishmi"
 
 msgid "Digo"
-msgstr ""
+msgstr "Digo"
 
 msgid "Dii"
-msgstr ""
+msgstr "Dii"
 
 msgid "Dijim-Bwilim"
-msgstr ""
+msgstr "Dijim-Bwilim"
 
 msgid "Dilling"
-msgstr ""
+msgstr "Dilling"
 
 msgid "Dima"
-msgstr ""
+msgstr "Dima"
 
 msgid "Dimasa"
-msgstr ""
+msgstr "Dimasa"
 
 msgid "Dimbong"
-msgstr ""
+msgstr "Dimbong"
 
 msgid "Dime"
-msgstr ""
+msgstr "Dime"
 
 msgid "Dimli (individual language)"
-msgstr ""
+msgstr "Dimli (individual language)"
 
 msgid "Ding"
-msgstr ""
+msgstr "Ding"
 
 msgid "Dinka"
 msgstr "Dinka"
 
 msgid "Dinka, Northeastern"
-msgstr ""
+msgstr "Dinka, Northeastern"
 
 msgid "Dinka, Northwestern"
-msgstr ""
+msgstr "Dinka, Northwestern"
 
 msgid "Dinka, South Central"
-msgstr ""
+msgstr "Dinka, South Central"
 
 msgid "Dinka, Southeastern"
-msgstr ""
+msgstr "Dinka, Southeastern"
 
 msgid "Dinka, Southwestern"
-msgstr ""
+msgstr "Dinka, Southwestern"
 
 msgid "Dirari"
-msgstr ""
+msgstr "Dirari"
 
 msgid "Dirasha"
-msgstr ""
+msgstr "Dirasha"
 
 msgid "Diri"
-msgstr ""
+msgstr "Diri"
 
 msgid "Diriku"
-msgstr ""
+msgstr "Diriku"
 
 msgid "Dirim"
-msgstr ""
+msgstr "Dirim"
 
 msgid "Disa"
-msgstr ""
+msgstr "Disa"
 
 msgid "Ditammari"
-msgstr ""
+msgstr "Ditammari"
 
 msgid "Ditidaht"
-msgstr ""
+msgstr "Ditidaht"
 
 msgid "Diuwe"
-msgstr ""
+msgstr "Diuwe"
 
 msgid "Dixon Reef"
-msgstr ""
+msgstr "Dixon Reef"
 
 msgid "Dizin"
-msgstr ""
+msgstr "Dizin"
 
 msgid "Djabwurrung"
-msgstr ""
+msgstr "Djabwurrung"
 
 msgid "Djadjawurrung"
-msgstr ""
+msgstr "Djadjawurrung"
 
 msgid "Djambarrpuyngu"
-msgstr ""
+msgstr "Djambarrpuyngu"
 
 msgid "Djamindjung"
-msgstr ""
+msgstr "Djamindjung"
 
 msgid "Djangun"
-msgstr ""
+msgstr "Djangun"
 
 msgid "Djauan"
-msgstr ""
+msgstr "Djauan"
 
 msgid "Djawi"
-msgstr ""
+msgstr "Djawi"
 
 msgid "Djeebbana"
-msgstr ""
+msgstr "Djeebbana"
 
 msgid "Djinang"
-msgstr ""
+msgstr "Djinang"
 
 msgid "Djinba"
-msgstr ""
+msgstr "Djinba"
 
 msgid "Djingili"
-msgstr ""
+msgstr "Djingili"
 
 msgid "Djiwarli"
-msgstr ""
+msgstr "Djiwarli"
 
 msgid "Dobel"
-msgstr ""
+msgstr "Dobel"
 
 msgid "Dobu"
-msgstr ""
+msgstr "Dobu"
 
 msgid "Doe"
-msgstr ""
+msgstr "Doe"
 
 msgid "Doga"
-msgstr ""
+msgstr "Doga"
 
 msgid "Doghoro"
-msgstr ""
+msgstr "Doghoro"
 
 msgid "Dogon, Ampari"
-msgstr ""
+msgstr "Dogon, Ampari"
 
 msgid "Dogon, Ana Tinga"
-msgstr ""
+msgstr "Dogon, Ana Tinga"
 
 msgid "Dogon, Bankan Tey"
-msgstr ""
+msgstr "Dogon, Bankan Tey"
 
 msgid "Dogon, Ben Tey"
-msgstr ""
+msgstr "Dogon, Ben Tey"
 
 msgid "Dogon, Bondum Dom"
-msgstr ""
+msgstr "Dogon, Bondum Dom"
 
 msgid "Dogon, Bunoge"
-msgstr ""
+msgstr "Dogon, Bunoge"
 
 msgid "Dogon, Dogul Dom"
-msgstr ""
+msgstr "Dogon, Dogul Dom"
 
 msgid "Dogon, Donno So"
-msgstr ""
+msgstr "Dogon, Donno So"
 
 msgid "Dogon, Jamsay"
-msgstr ""
+msgstr "Dogon, Jamsay"
 
 msgid "Dogon, Mombo"
-msgstr ""
+msgstr "Dogon, Mombo"
 
 msgid "Dogon, Nanga Dama"
-msgstr ""
+msgstr "Dogon, Nanga Dama"
 
 msgid "Dogon, Tebul Ure"
-msgstr ""
+msgstr "Dogon, Tebul Ure"
 
 msgid "Dogon, Tene Kan"
-msgstr ""
+msgstr "Dogon, Tene Kan"
 
 msgid "Dogon, Tiranige Diga"
-msgstr ""
+msgstr "Dogon, Tiranige Diga"
 
 msgid "Dogon, Tommo So"
-msgstr ""
+msgstr "Dogon, Tommo So"
 
 msgid "Dogon, Tomo Kan"
-msgstr ""
+msgstr "Dogon, Tomo Kan"
 
 msgid "Dogon, Toro So"
-msgstr ""
+msgstr "Dogon, Toro So"
 
 msgid "Dogon, Toro Tegu"
-msgstr ""
+msgstr "Dogon, Toro Tegu"
 
 msgid "Dogon, Yanda Dom"
-msgstr ""
+msgstr "Dogon, Yanda Dom"
 
 msgid "Dogoso"
-msgstr ""
+msgstr "Dogoso"
 
 msgid "Dogosé"
-msgstr ""
+msgstr "Dogosé"
 
 msgid "Dogri (individual language)"
-msgstr ""
+msgstr "Dogri (individual language)"
 
 msgid "Dogri (macrolanguage)"
-msgstr ""
+msgstr "Dogri (macrolanguage)"
 
 msgid "Dogrib"
 msgstr "ドクリブ語"
 
 msgid "Doka"
-msgstr ""
+msgstr "Doka"
 
 msgid "Doko-Uyanga"
-msgstr ""
+msgstr "Doko-Uyanga"
 
 msgid "Dolgan"
-msgstr ""
+msgstr "Dolgan"
 
 msgid "Dolpo"
-msgstr ""
+msgstr "Dolpo"
 
 msgid "Dom"
-msgstr ""
+msgstr "Dom"
 
 msgid "Domaaki"
-msgstr ""
+msgstr "Domaaki"
 
 msgid "Domari"
-msgstr ""
+msgstr "Domari"
 
 msgid "Dombe"
-msgstr ""
+msgstr "Dombe"
 
 msgid "Dominican Sign Language"
-msgstr ""
+msgstr "Dominican Sign Language"
 
 msgid "Dompo"
-msgstr ""
+msgstr "Dompo"
 
 msgid "Domu"
-msgstr ""
+msgstr "Domu"
 
 msgid "Domung"
-msgstr ""
+msgstr "Domung"
 
 msgid "Dondo"
-msgstr ""
+msgstr "Dondo"
 
 msgid "Dong"
-msgstr ""
+msgstr "Dong"
 
 msgid "Dong, Northern"
-msgstr ""
+msgstr "Dong, Northern"
 
 msgid "Dong, Southern"
-msgstr ""
+msgstr "Dong, Southern"
 
 msgid "Dongo"
-msgstr ""
+msgstr "Dongo"
 
 msgid "Dongotono"
-msgstr ""
+msgstr "Dongotono"
 
 msgid "Dongxiang"
-msgstr ""
+msgstr "Dongxiang"
 
 msgid "Doondo"
-msgstr ""
+msgstr "Doondo"
 
 msgid "Dori'o"
-msgstr ""
+msgstr "Dori'o"
 
 msgid "Doromu-Koki"
-msgstr ""
+msgstr "Doromu-Koki"
 
 msgid "Dororo"
-msgstr ""
+msgstr "Dororo"
 
 msgid "Dorze"
-msgstr ""
+msgstr "Dorze"
 
 msgid "Doso"
-msgstr ""
+msgstr "Doso"
 
 msgid "Dotyali"
-msgstr ""
+msgstr "Dotyali"
 
 msgid "Doutai"
-msgstr ""
+msgstr "Doutai"
 
 msgid "Doyayo"
-msgstr ""
+msgstr "Doyayo"
 
 msgid "Drents"
-msgstr ""
+msgstr "Drents"
 
 msgid "Drung"
-msgstr ""
+msgstr "Drung"
 
 msgid "Duala"
 msgstr "ドゥアラ語"
 
 msgid "Duano"
-msgstr ""
+msgstr "Duano"
 
 msgid "Duau"
-msgstr ""
+msgstr "Duau"
 
 msgid "Dubli"
-msgstr ""
+msgstr "Dubli"
 
 msgid "Dubu"
-msgstr ""
+msgstr "Dubu"
 
 msgid "Dugun"
-msgstr ""
+msgstr "Dugun"
 
 msgid "Duguri"
-msgstr ""
+msgstr "Duguri"
 
 msgid "Dugwor"
-msgstr ""
+msgstr "Dugwor"
 
 msgid "Duhwa"
-msgstr ""
+msgstr "Duhwa"
 
 msgid "Duke"
-msgstr ""
+msgstr "Duke"
 
 msgid "Dulbu"
-msgstr ""
+msgstr "Dulbu"
 
 msgid "Duli-Gey"
-msgstr ""
+msgstr "Duli-Gey"
 
 msgid "Duma"
-msgstr ""
+msgstr "Duma"
 
 msgid "Dumagat, Remontado"
-msgstr ""
+msgstr "Dumagat, Remontado"
 
 msgid "Dumbea"
-msgstr ""
+msgstr "Dumbea"
 
 msgid "Dumi"
-msgstr ""
+msgstr "Dumi"
 
 msgid "Dumpas"
-msgstr ""
+msgstr "Dumpas"
 
 msgid "Dumun"
-msgstr ""
+msgstr "Dumun"
 
 msgid "Duna"
-msgstr ""
+msgstr "Duna"
 
 msgid "Dungan"
-msgstr ""
+msgstr "Dungan"
 
 msgid "Dungmali"
-msgstr ""
+msgstr "Dungmali"
 
 msgid "Dungra Bhil"
-msgstr ""
+msgstr "Dungra Bhil"
 
 msgid "Dungu"
-msgstr ""
+msgstr "Dungu"
 
 msgid "Dura"
-msgstr ""
+msgstr "Dura"
 
 msgid "Duri"
-msgstr ""
+msgstr "Duri"
 
 msgid "Duriankere"
-msgstr ""
+msgstr "Duriankere"
 
 msgid "Duruma"
-msgstr ""
+msgstr "Duruma"
 
 msgid "Duruwa"
-msgstr ""
+msgstr "Duruwa"
 
 msgid "Dusner"
-msgstr ""
+msgstr "Dusner"
 
 msgid "Dusun Deyah"
-msgstr ""
+msgstr "Dusun Deyah"
 
 msgid "Dusun Malang"
-msgstr ""
+msgstr "Dusun Malang"
 
 msgid "Dusun Witu"
-msgstr ""
+msgstr "Dusun Witu"
 
 msgid "Dusun, Kadazan"
-msgstr ""
+msgstr "Dusun, Kadazan"
 
 msgid "Dusun, Sugut"
-msgstr ""
+msgstr "Dusun, Sugut"
 
 msgid "Dutch"
 msgstr "オランダ語"
 
 msgid "Dutch Sign Language"
-msgstr ""
+msgstr "Dutch Sign Language"
 
 msgid "Dutch, Middle (ca. 1050-1350)"
-msgstr ""
+msgstr "Dutch, Middle (ca. 1050-1350)"
 
 msgid "Dutch, Old"
-msgstr ""
+msgstr "Dutch, Old"
 
 msgid "Dutton World Speedwords"
-msgstr ""
+msgstr "Dutton World Speedwords"
 
 msgid "Duungooma"
-msgstr ""
+msgstr "Duungooma"
 
 msgid "Duupa"
-msgstr ""
+msgstr "Duupa"
 
 msgid "Duvle"
-msgstr ""
+msgstr "Duvle"
 
 msgid "Duwai"
-msgstr ""
+msgstr "Duwai"
 
 msgid "Duwet"
-msgstr ""
+msgstr "Duwet"
 
 msgid "Dũya"
-msgstr ""
+msgstr "Dũya"
 
 msgid "Dwang"
-msgstr ""
+msgstr "Dwang"
 
 msgid "Dyaabugay"
-msgstr ""
+msgstr "Dyaabugay"
 
 msgid "Dyaberdyaber"
-msgstr ""
+msgstr "Dyaberdyaber"
 
 msgid "Dyan"
-msgstr ""
+msgstr "Dyan"
 
 msgid "Dyangadi"
-msgstr ""
+msgstr "Dyangadi"
 
 msgid "Dyirbal"
-msgstr ""
+msgstr "Dyirbal"
 
 msgid "Dyugun"
-msgstr ""
+msgstr "Dyugun"
 
 msgid "Dyula"
 msgstr "デュラ語"
 
 msgid "Dza"
-msgstr ""
+msgstr "Dza"
 
 msgid "Dzalakha"
-msgstr ""
+msgstr "Dzalakha"
 
 msgid "Dzando"
-msgstr ""
+msgstr "Dzando"
 
 msgid "Dzao Min"
-msgstr ""
+msgstr "Dzao Min"
 
 msgid "Dzodinka"
 msgstr "ディンカ語"
@@ -5463,376 +5464,376 @@ msgid "Dzongkha"
 msgstr "ゾンカ語"
 
 msgid "Dzùùngoo"
-msgstr ""
+msgstr "Dzùùngoo"
 
 msgid "Dâw"
-msgstr ""
+msgstr "Dâw"
 
 msgid "E"
 msgstr "E"
 
 msgid "E'ñapa Woromaipu"
-msgstr ""
+msgstr "E'ñapa Woromaipu"
 
 msgid "Eastern Maroon Creole"
-msgstr ""
+msgstr "Eastern Maroon Creole"
 
 msgid "Ebira"
-msgstr ""
+msgstr "Ebira"
 
 msgid "Eblan"
-msgstr ""
+msgstr "Eblan"
 
 msgid "Ebrié"
-msgstr ""
+msgstr "Ebrié"
 
 msgid "Ebughu"
-msgstr ""
+msgstr "Ebughu"
 
 msgid "Ecuadorian Sign Language"
-msgstr ""
+msgstr "Ecuadorian Sign Language"
 
 msgid "Ede Cabe"
-msgstr ""
+msgstr "Ede Cabe"
 
 msgid "Ede Ica"
-msgstr ""
+msgstr "Ede Ica"
 
 msgid "Ede Idaca"
-msgstr ""
+msgstr "Ede Idaca"
 
 msgid "Ede Ije"
-msgstr ""
+msgstr "Ede Ije"
 
 msgid "Ede Nago, Kura"
-msgstr ""
+msgstr "Ede Nago, Kura"
 
 msgid "Edolo"
-msgstr ""
+msgstr "Edolo"
 
 msgid "Edomite"
-msgstr ""
+msgstr "Edomite"
 
 msgid "Edopi"
-msgstr ""
+msgstr "Edopi"
 
 msgid "Efai"
-msgstr ""
+msgstr "Efai"
 
 msgid "Efate, North"
-msgstr ""
+msgstr "Efate, North"
 
 msgid "Efate, South"
-msgstr ""
+msgstr "Efate, South"
 
 msgid "Efe"
-msgstr ""
+msgstr "Efe"
 
 msgid "Efik"
 msgstr "エフィク語"
 
 msgid "Efutop"
-msgstr ""
+msgstr "Efutop"
 
 msgid "Ega"
-msgstr ""
+msgstr "Ega"
 
 msgid "Eggon"
-msgstr ""
+msgstr "Eggon"
 
 msgid "Egypt Sign Language"
-msgstr ""
+msgstr "Egypt Sign Language"
 
 msgid "Egyptian (Ancient)"
 msgstr "エジプト語 (古代)"
 
 msgid "Ehueun"
-msgstr ""
+msgstr "Ehueun"
 
 msgid "Eipomek"
-msgstr ""
+msgstr "Eipomek"
 
 msgid "Eitiep"
-msgstr ""
+msgstr "Eitiep"
 
 msgid "Ejagham"
-msgstr ""
+msgstr "Ejagham"
 
 msgid "Ejamat"
-msgstr ""
+msgstr "Ejamat"
 
 msgid "Ekajuk"
 msgstr "エカジュク語"
 
 msgid "Ekari"
-msgstr ""
+msgstr "Ekari"
 
 msgid "Eki"
-msgstr ""
+msgstr "Eki"
 
 msgid "Ekit"
-msgstr ""
+msgstr "Ekit"
 
 msgid "Ekpeye"
-msgstr ""
+msgstr "Ekpeye"
 
 msgid "El Hugeirat"
-msgstr ""
+msgstr "El Hugeirat"
 
 msgid "El Molo"
-msgstr ""
+msgstr "El Molo"
 
 msgid "Elamite"
 msgstr "エラム語"
 
 msgid "Eleme"
-msgstr ""
+msgstr "Eleme"
 
 msgid "Elepi"
-msgstr ""
+msgstr "Elepi"
 
 msgid "Elip"
-msgstr ""
+msgstr "Elip"
 
 msgid "Elkei"
-msgstr ""
+msgstr "Elkei"
 
 msgid "Eloyi"
-msgstr ""
+msgstr "Eloyi"
 
 msgid "Elseng"
-msgstr ""
+msgstr "Elseng"
 
 msgid "Elu"
-msgstr ""
+msgstr "Elu"
 
 msgid "Elymian"
-msgstr ""
+msgstr "Elymian"
 
 msgid "Emae"
-msgstr ""
+msgstr "Emae"
 
 msgid "Emai-Iuleha-Ora"
-msgstr ""
+msgstr "Emai-Iuleha-Ora"
 
 msgid "Eman"
-msgstr ""
+msgstr "Eman"
 
 msgid "Embaloh"
-msgstr ""
+msgstr "Embaloh"
 
 msgid "Emberá, Northern"
-msgstr ""
+msgstr "Emberá, Northern"
 
 msgid "Emberá-Baudó"
-msgstr ""
+msgstr "Emberá-Baudó"
 
 msgid "Emberá-Catío"
-msgstr ""
+msgstr "Emberá-Catío"
 
 msgid "Emberá-Chamí"
-msgstr ""
+msgstr "Emberá-Chamí"
 
 msgid "Emberá-Tadó"
-msgstr ""
+msgstr "Emberá-Tadó"
 
 msgid "Embu"
-msgstr ""
+msgstr "Embu"
 
 msgid "Emerillon"
-msgstr ""
+msgstr "Emerillon"
 
 msgid "Emilian"
-msgstr ""
+msgstr "Emilian"
 
 msgid "Emplawas"
-msgstr ""
+msgstr "Emplawas"
 
 msgid "Emumu"
-msgstr ""
+msgstr "Emumu"
 
 msgid "En"
-msgstr ""
+msgstr "En"
 
 msgid "Enawené-Nawé"
-msgstr ""
+msgstr "Enawené-Nawé"
 
 msgid "Ende"
-msgstr ""
+msgstr "Ende"
 
 msgid "Enets, Forest"
-msgstr ""
+msgstr "Enets, Forest"
 
 msgid "Enets, Tundra"
-msgstr ""
+msgstr "Enets, Tundra"
 
 msgid "Enga"
-msgstr ""
+msgstr "Enga"
 
 msgid "Engdewu"
-msgstr ""
+msgstr "Engdewu"
 
 msgid "Engenni"
-msgstr ""
+msgstr "Engenni"
 
 msgid "Enggano"
-msgstr ""
+msgstr "Enggano"
 
 msgid "English"
 msgstr "英語"
 
 msgid "English, Liberian"
-msgstr ""
+msgstr "English, Liberian"
 
 msgid "English, Middle (1100-1500)"
-msgstr ""
+msgstr "English, Middle (1100-1500)"
 
 msgid "English, Old (ca. 450-1100)"
-msgstr ""
+msgstr "English, Old (ca. 450-1100)"
 
 msgid "Enlhet"
-msgstr ""
+msgstr "Enlhet"
 
 msgid "Enrekang"
-msgstr ""
+msgstr "Enrekang"
 
 msgid "Enu"
-msgstr ""
+msgstr "Enu"
 
 msgid "Enwan (Akwa Ibom State)"
-msgstr ""
+msgstr "Enwan (Akwa Ibom State)"
 
 msgid "Enwan (Edu State)"
-msgstr ""
+msgstr "Enwan (Edu State)"
 
 msgid "Enxet"
-msgstr ""
+msgstr "Enxet"
 
 msgid "Enya"
-msgstr ""
+msgstr "Enya"
 
 msgid "Epena"
-msgstr ""
+msgstr "Epena"
 
 msgid "Epi-Olmec"
-msgstr ""
+msgstr "Epi-Olmec"
 
 msgid "Epie"
-msgstr ""
+msgstr "Epie"
 
 msgid "Eravallan"
-msgstr ""
+msgstr "Eravallan"
 
 msgid "Erave"
-msgstr ""
+msgstr "Erave"
 
 msgid "Ere"
-msgstr ""
+msgstr "Ere"
 
 msgid "Eritai"
-msgstr ""
+msgstr "Eritai"
 
 msgid "Erokwanas"
-msgstr ""
+msgstr "Erokwanas"
 
 msgid "Erre"
-msgstr ""
+msgstr "Erre"
 
 msgid "Erromintxela"
-msgstr ""
+msgstr "Erromintxela"
 
 msgid "Ersu"
-msgstr ""
+msgstr "Ersu"
 
 msgid "Eruwa"
-msgstr ""
+msgstr "Eruwa"
 
 msgid "Erzya"
 msgstr "エルジャ語"
 
 msgid "Esan"
-msgstr ""
+msgstr "Esan"
 
 msgid "Ese"
-msgstr ""
+msgstr "Ese"
 
 msgid "Ese Ejja"
-msgstr ""
+msgstr "Ese Ejja"
 
 msgid "Eshtehardi"
-msgstr ""
+msgstr "Eshtehardi"
 
 msgid "Esimbi"
-msgstr ""
+msgstr "Esimbi"
 
 msgid "Eskayan"
-msgstr ""
+msgstr "Eskayan"
 
 msgid "Esperanto"
 msgstr "エスペラント"
 
 msgid "Esselen"
-msgstr ""
+msgstr "Esselen"
 
 msgid "Estonian"
 msgstr "エストニア語"
 
 msgid "Estonian Sign Language"
-msgstr ""
+msgstr "Estonian Sign Language"
 
 msgid "Estonian, Standard"
-msgstr ""
+msgstr "Estonian, Standard"
 
 msgid "Esuma"
-msgstr ""
+msgstr "Esuma"
 
 msgid "Etchemin"
-msgstr ""
+msgstr "Etchemin"
 
 msgid "Etebi"
-msgstr ""
+msgstr "Etebi"
 
 msgid "Eten"
-msgstr ""
+msgstr "Eten"
 
 msgid "Eteocretan"
-msgstr ""
+msgstr "Eteocretan"
 
 msgid "Eteocypriot"
-msgstr ""
+msgstr "Eteocypriot"
 
 msgid "Ethiopian Sign Language"
-msgstr ""
+msgstr "Ethiopian Sign Language"
 
 msgid "Etkywan"
-msgstr ""
+msgstr "Etkywan"
 
 msgid "Eton (Cameroon)"
-msgstr ""
+msgstr "Eton (Cameroon)"
 
 msgid "Eton (Vanuatu)"
-msgstr ""
+msgstr "Eton (Vanuatu)"
 
 msgid "Etruscan"
-msgstr ""
+msgstr "Etruscan"
 
 msgid "Etulo"
-msgstr ""
+msgstr "Etulo"
 
 msgid "Evant"
-msgstr ""
+msgstr "Evant"
 
 msgid "Even"
-msgstr ""
+msgstr "Even"
 
 msgid "Evenki"
-msgstr ""
+msgstr "Evenki"
 
 msgid "Eviya"
-msgstr ""
+msgstr "Eviya"
 
 msgid "Ewage-Notu"
-msgstr ""
+msgstr "Ewage-Notu"
 
 msgid "Ewe"
 msgstr "エウェ語"
@@ -5841,211 +5842,211 @@ msgid "Ewondo"
 msgstr "エウォンド語"
 
 msgid "Extremaduran"
-msgstr ""
+msgstr "Extremaduran"
 
 msgid "Eyak"
-msgstr ""
+msgstr "Eyak"
 
 msgid "Ezaa"
-msgstr ""
+msgstr "Ezaa"
 
 msgid "Fa d'Ambu"
-msgstr ""
+msgstr "Fa d'Ambu"
 
 msgid "Fagani"
-msgstr ""
+msgstr "Fagani"
 
 msgid "Faita"
-msgstr ""
+msgstr "Faita"
 
 msgid "Faiwol"
-msgstr ""
+msgstr "Faiwol"
 
 msgid "Fala"
-msgstr ""
+msgstr "Fala"
 
 msgid "Fali"
-msgstr ""
+msgstr "Fali"
 
 msgid "Fali, Baissa"
-msgstr ""
+msgstr "Fali, Baissa"
 
 msgid "Fali, North"
-msgstr ""
+msgstr "Fali, North"
 
 msgid "Fali, South"
-msgstr ""
+msgstr "Fali, South"
 
 msgid "Faliscan"
-msgstr ""
+msgstr "Faliscan"
 
 msgid "Fam"
-msgstr ""
+msgstr "Fam"
 
 msgid "Fanagalo"
-msgstr ""
+msgstr "Fanagalo"
 
 msgid "Fanamaket"
-msgstr ""
+msgstr "Fanamaket"
 
 msgid "Fanbak"
-msgstr ""
+msgstr "Fanbak"
 
 msgid "Fang (Cameroon)"
-msgstr ""
+msgstr "Fang (Cameroon)"
 
 msgid "Fang (Equatorial Guinea)"
-msgstr ""
+msgstr "Fang (Equatorial Guinea)"
 
 msgid "Fania"
-msgstr ""
+msgstr "Fania"
 
 msgid "Fanti"
 msgstr "ファンティー語"
 
 msgid "Farefare"
-msgstr ""
+msgstr "Farefare"
 
 msgid "Faroese"
 msgstr "フェロー語"
 
 msgid "Fars, Northwestern"
-msgstr ""
+msgstr "Fars, Northwestern"
 
 msgid "Fars, Southwestern"
-msgstr ""
+msgstr "Fars, Southwestern"
 
 msgid "Fas"
-msgstr ""
+msgstr "Fas"
 
 msgid "Fasu"
-msgstr ""
+msgstr "Fasu"
 
 msgid "Fataleka"
-msgstr ""
+msgstr "Fataleka"
 
 msgid "Fataluku"
-msgstr ""
+msgstr "Fataluku"
 
 msgid "Fayu"
-msgstr ""
+msgstr "Fayu"
 
 msgid "Fe'fe'"
-msgstr ""
+msgstr "Fe'fe'"
 
 msgid "Fembe"
-msgstr ""
+msgstr "Fembe"
 
 msgid "Feroge"
-msgstr ""
+msgstr "Feroge"
 
 msgid "Fijian"
 msgstr "フィジー語"
 
 msgid "Fijian, Western"
-msgstr ""
+msgstr "Fijian, Western"
 
 msgid "Filipino"
-msgstr ""
+msgstr "Filipino"
 
 msgid "Finland-Swedish Sign Language"
-msgstr ""
+msgstr "Finland-Swedish Sign Language"
 
 msgid "Finnish"
 msgstr "フィン語"
 
 msgid "Finnish Sign Language"
-msgstr ""
+msgstr "Finnish Sign Language"
 
 msgid "Finnish, Kven"
-msgstr ""
+msgstr "Finnish, Kven"
 
 msgid "Finnish, Tornedalen"
-msgstr ""
+msgstr "Finnish, Tornedalen"
 
 msgid "Finongan"
-msgstr ""
+msgstr "Finongan"
 
 msgid "Fipa"
-msgstr ""
+msgstr "Fipa"
 
 msgid "Firan"
-msgstr ""
+msgstr "Firan"
 
 msgid "Fiwaga"
-msgstr ""
+msgstr "Fiwaga"
 
 msgid "Flaaitaal"
-msgstr ""
+msgstr "Flaaitaal"
 
 msgid "Flinders Island"
-msgstr ""
+msgstr "Flinders Island"
 
 msgid "Foau"
-msgstr ""
+msgstr "Foau"
 
 msgid "Foi"
-msgstr ""
+msgstr "Foi"
 
 msgid "Foia Foia"
-msgstr ""
+msgstr "Foia Foia"
 
 msgid "Folopa"
-msgstr ""
+msgstr "Folopa"
 
 msgid "Foma"
-msgstr ""
+msgstr "Foma"
 
 msgid "Fon"
 msgstr "フォン語"
 
 msgid "Fongoro"
-msgstr ""
+msgstr "Fongoro"
 
 msgid "Foodo"
-msgstr ""
+msgstr "Foodo"
 
 msgid "Forak"
-msgstr ""
+msgstr "Forak"
 
 msgid "Fordata"
-msgstr ""
+msgstr "Fordata"
 
 msgid "Fore"
-msgstr ""
+msgstr "Fore"
 
 msgid "Fortsenal"
-msgstr ""
+msgstr "Fortsenal"
 
 msgid "Frankish"
-msgstr ""
+msgstr "Frankish"
 
 msgid "French"
 msgstr "フランス語"
 
 msgid "French Sign Language"
-msgstr ""
+msgstr "French Sign Language"
 
 msgid "French, Cajun"
-msgstr ""
+msgstr "French, Cajun"
 
 msgid "French, Middle (ca. 1400-1600)"
-msgstr ""
+msgstr "French, Middle (ca. 1400-1600)"
 
 msgid "French, Old (842-ca. 1400)"
-msgstr ""
+msgstr "French, Old (842-ca. 1400)"
 
 msgid "Frisian, Eastern"
-msgstr ""
+msgstr "Frisian, Eastern"
 
 msgid "Frisian, Northern"
-msgstr ""
+msgstr "Frisian, Northern"
 
 msgid "Frisian, Old"
-msgstr ""
+msgstr "Frisian, Old"
 
 msgid "Frisian, Western"
-msgstr ""
+msgstr "Frisian, Western"
 
 msgid "Friulian"
 msgstr "フリウリ語"
@@ -6054,64 +6055,64 @@ msgid "Fulah"
 msgstr "フラ語"
 
 msgid "Fulfulde, Adamawa"
-msgstr ""
+msgstr "Fulfulde, Adamawa"
 
 msgid "Fulfulde, Bagirmi"
-msgstr ""
+msgstr "Fulfulde, Bagirmi"
 
 msgid "Fulfulde, Borgu"
-msgstr ""
+msgstr "Fulfulde, Borgu"
 
 msgid "Fulfulde, Central-Eastern Niger"
-msgstr ""
+msgstr "Fulfulde, Central-Eastern Niger"
 
 msgid "Fulfulde, Maasina"
-msgstr ""
+msgstr "Fulfulde, Maasina"
 
 msgid "Fulfulde, Nigerian"
-msgstr ""
+msgstr "Fulfulde, Nigerian"
 
 msgid "Fulfulde, Western Niger"
-msgstr ""
+msgstr "Fulfulde, Western Niger"
 
 msgid "Fuliiru"
-msgstr ""
+msgstr "Fuliiru"
 
 msgid "Fulniô"
-msgstr ""
+msgstr "Fulniô"
 
 msgid "Fum"
-msgstr ""
+msgstr "Fum"
 
 msgid "Fungwa"
-msgstr ""
+msgstr "Fungwa"
 
 msgid "Fur"
-msgstr ""
+msgstr "Fur"
 
 msgid "Furu"
-msgstr ""
+msgstr "Furu"
 
 msgid "Futuna, East"
-msgstr ""
+msgstr "Futuna, East"
 
 msgid "Futuna-Aniwa"
-msgstr ""
+msgstr "Futuna-Aniwa"
 
 msgid "Fuyug"
-msgstr ""
+msgstr "Fuyug"
 
 msgid "Fwe"
-msgstr ""
+msgstr "Fwe"
 
 msgid "Fwâi"
-msgstr ""
+msgstr "Fwâi"
 
 msgid "Fyam"
-msgstr ""
+msgstr "Fyam"
 
 msgid "Fyer"
-msgstr ""
+msgstr "Fyer"
 
 msgid "Ga"
 msgstr "ガ語"
@@ -6120,232 +6121,232 @@ msgid "Ga'anda"
 msgstr "Ga'anda"
 
 msgid "Ga'dang"
-msgstr ""
+msgstr "Ga'dang"
 
 msgid "Gaa"
-msgstr ""
+msgstr "Gaa"
 
 msgid "Gaam"
-msgstr ""
+msgstr "Gaam"
 
 msgid "Gabi-Gabi"
-msgstr ""
+msgstr "Gabi-Gabi"
 
 msgid "Gabri"
-msgstr ""
+msgstr "Gabri"
 
 msgid "Gabrielino-Fernandeño"
-msgstr ""
+msgstr "Gabrielino-Fernandeño"
 
 msgid "Gadaba, Bodo"
-msgstr ""
+msgstr "Gadaba, Bodo"
 
 msgid "Gadaba, Mudhili"
-msgstr ""
+msgstr "Gadaba, Mudhili"
 
 msgid "Gadaba, Pottangi Ollar"
-msgstr ""
+msgstr "Gadaba, Pottangi Ollar"
 
 msgid "Gadang"
-msgstr ""
+msgstr "Gadang"
 
 msgid "Gaddang"
-msgstr ""
+msgstr "Gaddang"
 
 msgid "Gaddi"
-msgstr ""
+msgstr "Gaddi"
 
 msgid "Gade"
-msgstr ""
+msgstr "Gade"
 
 msgid "Gadjerawang"
-msgstr ""
+msgstr "Gadjerawang"
 
 msgid "Gadsup"
-msgstr ""
+msgstr "Gadsup"
 
 msgid "Gaelic, Hiberno-Scottish"
-msgstr ""
+msgstr "Gaelic, Hiberno-Scottish"
 
 msgid "Gaelic, Scottish"
-msgstr ""
+msgstr "Gaelic, Scottish"
 
 msgid "Gafat"
-msgstr ""
+msgstr "Gafat"
 
 msgid "Gagadu"
-msgstr ""
+msgstr "Gagadu"
 
 msgid "Gagauz"
-msgstr ""
+msgstr "Gagauz"
 
 msgid "Gagu"
-msgstr ""
+msgstr "Gagu"
 
 msgid "Gahri"
-msgstr ""
+msgstr "Gahri"
 
 msgid "Gaikundi"
-msgstr ""
+msgstr "Gaikundi"
 
 msgid "Gail"
-msgstr ""
+msgstr "Gail"
 
 msgid "Gaina"
-msgstr ""
+msgstr "Gaina"
 
 msgid "Gal"
-msgstr ""
+msgstr "Gal"
 
 msgid "Galambu"
-msgstr ""
+msgstr "Galambu"
 
 msgid "Galatian"
-msgstr ""
+msgstr "Galatian"
 
 msgid "Galela"
-msgstr ""
+msgstr "Galela"
 
 msgid "Galeya"
-msgstr ""
+msgstr "Galeya"
 
 msgid "Galice"
-msgstr ""
+msgstr "Galice"
 
 msgid "Galician"
-msgstr ""
+msgstr "Galician"
 
 msgid "Galindan"
-msgstr ""
+msgstr "Galindan"
 
 msgid "Galo"
-msgstr ""
+msgstr "Galo"
 
 msgid "Galolen"
-msgstr ""
+msgstr "Galolen"
 
 msgid "Gambera"
-msgstr ""
+msgstr "Gambera"
 
 msgid "Gamilaraay"
-msgstr ""
+msgstr "Gamilaraay"
 
 msgid "Gamit"
-msgstr ""
+msgstr "Gamit"
 
 msgid "Gamkonora"
-msgstr ""
+msgstr "Gamkonora"
 
 msgid "Gamo"
-msgstr ""
+msgstr "Gamo"
 
 msgid "Gamo-Ningi"
-msgstr ""
+msgstr "Gamo-Ningi"
 
 msgid "Gana"
-msgstr ""
+msgstr "Gana"
 
 msgid "Ganang"
-msgstr ""
+msgstr "Ganang"
 
 msgid "Ganda"
 msgstr "Ganda"
 
 msgid "Gane"
-msgstr ""
+msgstr "Gane"
 
 msgid "Ganggalida"
-msgstr ""
+msgstr "Ganggalida"
 
 msgid "Ganglau"
-msgstr ""
+msgstr "Ganglau"
 
 msgid "Gangte"
-msgstr ""
+msgstr "Gangte"
 
 msgid "Gangulu"
-msgstr ""
+msgstr "Gangulu"
 
 msgid "Gants"
-msgstr ""
+msgstr "Gants"
 
 msgid "Ganza"
-msgstr ""
+msgstr "Ganza"
 
 msgid "Ganzi"
-msgstr ""
+msgstr "Ganzi"
 
 msgid "Gao"
-msgstr ""
+msgstr "Gao"
 
 msgid "Gapapaiwa"
-msgstr ""
+msgstr "Gapapaiwa"
 
 msgid "Garasia, Adiwasi"
-msgstr ""
+msgstr "Garasia, Adiwasi"
 
 msgid "Garasia, Rajput"
-msgstr ""
+msgstr "Garasia, Rajput"
 
 msgid "Garhwali"
-msgstr ""
+msgstr "Garhwali"
 
 msgid "Garifuna"
-msgstr ""
+msgstr "Garifuna"
 
 msgid "Garig-Ilgar"
-msgstr ""
+msgstr "Garig-Ilgar"
 
 msgid "Garingbal"
-msgstr ""
+msgstr "Garingbal"
 
 msgid "Garlali"
-msgstr ""
+msgstr "Garlali"
 
 msgid "Garo"
-msgstr ""
+msgstr "Garo"
 
 msgid "Garre"
-msgstr ""
+msgstr "Garre"
 
 msgid "Garrwa"
-msgstr ""
+msgstr "Garrwa"
 
 msgid "Garus"
-msgstr ""
+msgstr "Garus"
 
 msgid "Garza"
-msgstr ""
+msgstr "Garza"
 
 msgid "Gata'"
-msgstr ""
+msgstr "Gata'"
 
 msgid "Gaulish, Cisalpine"
-msgstr ""
+msgstr "Gaulish, Cisalpine"
 
 msgid "Gaulish, Transalpine"
-msgstr ""
+msgstr "Gaulish, Transalpine"
 
 msgid "Gavak"
-msgstr ""
+msgstr "Gavak"
 
 msgid "Gavar"
-msgstr ""
+msgstr "Gavar"
 
 msgid "Gavião Do Jiparaná"
-msgstr ""
+msgstr "Gavião Do Jiparaná"
 
 msgid "Gavião, Pará"
-msgstr ""
+msgstr "Gavião, Pará"
 
 msgid "Gawar-Bati"
-msgstr ""
+msgstr "Gawar-Bati"
 
 msgid "Gawwada"
-msgstr ""
+msgstr "Gawwada"
 
 msgid "Gayil"
-msgstr ""
+msgstr "Gayil"
 
 msgid "Gayo"
 msgstr "ガヨ語"
@@ -6354,994 +6355,994 @@ msgid "Gazi"
 msgstr "カシ語"
 
 msgid "Gbagyi"
-msgstr ""
+msgstr "Gbagyi"
 
 msgid "Gbanu"
-msgstr ""
+msgstr "Gbanu"
 
 msgid "Gbanziri"
-msgstr ""
+msgstr "Gbanziri"
 
 msgid "Gbari"
-msgstr ""
+msgstr "Gbari"
 
 msgid "Gbaya (Central African Republic)"
-msgstr ""
+msgstr "Gbaya (Central African Republic)"
 
 msgid "Gbaya (Sudan)"
-msgstr ""
+msgstr "Gbaya (Sudan)"
 
 msgid "Gbaya, Northwest"
-msgstr ""
+msgstr "Gbaya, Northwest"
 
 msgid "Gbaya, Southwest"
-msgstr ""
+msgstr "Gbaya, Southwest"
 
 msgid "Gbaya-Bossangoa"
-msgstr ""
+msgstr "Gbaya-Bossangoa"
 
 msgid "Gbaya-Bozoum"
-msgstr ""
+msgstr "Gbaya-Bozoum"
 
 msgid "Gbaya-Mbodomo"
-msgstr ""
+msgstr "Gbaya-Mbodomo"
 
 msgid "Gbayi"
-msgstr ""
+msgstr "Gbayi"
 
 msgid "Gbe, Ayizo"
-msgstr ""
+msgstr "Gbe, Ayizo"
 
 msgid "Gbe, Ci"
-msgstr ""
+msgstr "Gbe, Ci"
 
 msgid "Gbe, Defi"
-msgstr ""
+msgstr "Gbe, Defi"
 
 msgid "Gbe, Eastern Xwla"
-msgstr ""
+msgstr "Gbe, Eastern Xwla"
 
 msgid "Gbe, Gbesi"
-msgstr ""
+msgstr "Gbe, Gbesi"
 
 msgid "Gbe, Kotafon"
-msgstr ""
+msgstr "Gbe, Kotafon"
 
 msgid "Gbe, Maxi"
-msgstr ""
+msgstr "Gbe, Maxi"
 
 msgid "Gbe, Saxwe"
-msgstr ""
+msgstr "Gbe, Saxwe"
 
 msgid "Gbe, Tofin"
-msgstr ""
+msgstr "Gbe, Tofin"
 
 msgid "Gbe, Waci"
-msgstr ""
+msgstr "Gbe, Waci"
 
 msgid "Gbe, Weme"
-msgstr ""
+msgstr "Gbe, Weme"
 
 msgid "Gbe, Western Xwla"
-msgstr ""
+msgstr "Gbe, Western Xwla"
 
 msgid "Gbe, Xwela"
-msgstr ""
+msgstr "Gbe, Xwela"
 
 msgid "Gbii"
-msgstr ""
+msgstr "Gbii"
 
 msgid "Gbin"
-msgstr ""
+msgstr "Gbin"
 
 msgid "Gbiri-Niragu"
-msgstr ""
+msgstr "Gbiri-Niragu"
 
 msgid "Ge"
-msgstr ""
+msgstr "Ge"
 
 msgid "Gebe"
-msgstr ""
+msgstr "Gebe"
 
 msgid "Gedaged"
-msgstr ""
+msgstr "Gedaged"
 
 msgid "Gedeo"
-msgstr ""
+msgstr "Gedeo"
 
 msgid "Geez"
 msgstr "ゲーズ語"
 
 msgid "Geji"
-msgstr ""
+msgstr "Geji"
 
 msgid "Gela"
-msgstr ""
+msgstr "Gela"
 
 msgid "Gelao, Green"
-msgstr ""
+msgstr "Gelao, Green"
 
 msgid "Gelao, Red"
-msgstr ""
+msgstr "Gelao, Red"
 
 msgid "Gelao, White"
-msgstr ""
+msgstr "Gelao, White"
 
 msgid "Geme"
-msgstr ""
+msgstr "Geme"
 
 msgid "Gen"
-msgstr ""
+msgstr "Gen"
 
 msgid "Gende"
-msgstr ""
+msgstr "Gende"
 
 msgid "Gengle"
-msgstr ""
+msgstr "Gengle"
 
 msgid "Georgian"
 msgstr "グルジア語"
 
 msgid "Georgian, Old"
-msgstr ""
+msgstr "Georgian, Old"
 
 msgid "Gepo"
-msgstr ""
+msgstr "Gepo"
 
 msgid "Gera"
-msgstr ""
+msgstr "Gera"
 
 msgid "German"
 msgstr "ドイツ語"
 
 msgid "German Sign Language"
-msgstr ""
+msgstr "German Sign Language"
 
 msgid "German, Colonia Tovar"
-msgstr ""
+msgstr "German, Colonia Tovar"
 
 msgid "German, Hutterite"
-msgstr ""
+msgstr "German, Hutterite"
 
 msgid "German, Low"
-msgstr ""
+msgstr "German, Low"
 
 msgid "German, Middle High (ca. 1050-1500)"
-msgstr ""
+msgstr "German, Middle High (ca. 1050-1500)"
 
 msgid "German, Middle Low"
-msgstr ""
+msgstr "German, Middle Low"
 
 msgid "German, Old High (ca. 750-1050)"
-msgstr ""
+msgstr "German, Old High (ca. 750-1050)"
 
 msgid "German, Pennsylvania"
-msgstr ""
+msgstr "German, Pennsylvania"
 
 msgid "German, Swiss"
-msgstr ""
+msgstr "German, Swiss"
 
 msgid "Geruma"
-msgstr ""
+msgstr "Geruma"
 
 msgid "Geser-Gorom"
-msgstr ""
+msgstr "Geser-Gorom"
 
 msgid "Ghadamès"
-msgstr ""
+msgstr "Ghadamès"
 
 msgid "Ghale, Northern"
-msgstr ""
+msgstr "Ghale, Northern"
 
 msgid "Ghale, Southern"
-msgstr ""
+msgstr "Ghale, Southern"
 
 msgid "Ghanaian Sign Language"
-msgstr ""
+msgstr "Ghanaian Sign Language"
 
 msgid "Ghandruk Sign Language"
-msgstr ""
+msgstr "Ghandruk Sign Language"
 
 msgid "Ghanongga"
-msgstr ""
+msgstr "Ghanongga"
 
 msgid "Ghari"
-msgstr ""
+msgstr "Ghari"
 
 msgid "Ghayavi"
-msgstr ""
+msgstr "Ghayavi"
 
 msgid "Ghera"
-msgstr ""
+msgstr "Ghera"
 
 msgid "Ghodoberi"
-msgstr ""
+msgstr "Ghodoberi"
 
 msgid "Ghomara"
-msgstr ""
+msgstr "Ghomara"
 
 msgid "Ghomálá'"
-msgstr ""
+msgstr "Ghomálá'"
 
 msgid "Ghotuo"
-msgstr ""
+msgstr "Ghotuo"
 
 msgid "Ghulfan"
-msgstr ""
+msgstr "Ghulfan"
 
 msgid "Giangan"
-msgstr ""
+msgstr "Giangan"
 
 msgid "Gibanawa"
-msgstr ""
+msgstr "Gibanawa"
 
 msgid "Gidar"
-msgstr ""
+msgstr "Gidar"
 
 msgid "Giiwo"
-msgstr ""
+msgstr "Giiwo"
 
 msgid "Gikyode"
-msgstr ""
+msgstr "Gikyode"
 
 msgid "Gilaki"
-msgstr ""
+msgstr "Gilaki"
 
 msgid "Gilbertese"
 msgstr "キリバス語"
 
 msgid "Gilima"
-msgstr ""
+msgstr "Gilima"
 
 msgid "Gilyak"
-msgstr ""
+msgstr "Gilyak"
 
 msgid "Gimi (Eastern Highlands)"
-msgstr ""
+msgstr "Gimi (Eastern Highlands)"
 
 msgid "Gimi (West New Britain)"
-msgstr ""
+msgstr "Gimi (West New Britain)"
 
 msgid "Gimme"
-msgstr ""
+msgstr "Gimme"
 
 msgid "Gimnime"
-msgstr ""
+msgstr "Gimnime"
 
 msgid "Ginuman"
-msgstr ""
+msgstr "Ginuman"
 
 msgid "Ginyanga"
-msgstr ""
+msgstr "Ginyanga"
 
 msgid "Girawa"
-msgstr ""
+msgstr "Girawa"
 
 msgid "Giryama"
-msgstr ""
+msgstr "Giryama"
 
 msgid "Githabul"
-msgstr ""
+msgstr "Githabul"
 
 msgid "Gitonga"
-msgstr ""
+msgstr "Gitonga"
 
 msgid "Gitua"
-msgstr ""
+msgstr "Gitua"
 
 msgid "Gitxsan"
-msgstr ""
+msgstr "Gitxsan"
 
 msgid "Giyug"
-msgstr ""
+msgstr "Giyug"
 
 msgid "Giziga, North"
-msgstr ""
+msgstr "Giziga, North"
 
 msgid "Giziga, South"
-msgstr ""
+msgstr "Giziga, South"
 
 msgid "Gizrra"
-msgstr ""
+msgstr "Gizrra"
 
 msgid "Glaro-Twabo"
-msgstr ""
+msgstr "Glaro-Twabo"
 
 msgid "Glavda"
-msgstr ""
+msgstr "Glavda"
 
 msgid "Glio-Oubi"
-msgstr ""
+msgstr "Glio-Oubi"
 
 msgid "Gnau"
-msgstr ""
+msgstr "Gnau"
 
 msgid "Goaria"
-msgstr ""
+msgstr "Goaria"
 
 msgid "Gobasi"
-msgstr ""
+msgstr "Gobasi"
 
 msgid "Gobu"
-msgstr ""
+msgstr "Gobu"
 
 msgid "Godié"
-msgstr ""
+msgstr "Godié"
 
 msgid "Godwari"
-msgstr ""
+msgstr "Godwari"
 
 msgid "Goemai"
-msgstr ""
+msgstr "Goemai"
 
 msgid "Gofa"
-msgstr ""
+msgstr "Gofa"
 
 msgid "Gogo"
-msgstr ""
+msgstr "Gogo"
 
 msgid "Gogodala"
-msgstr ""
+msgstr "Gogodala"
 
 msgid "Gokana"
-msgstr ""
+msgstr "Gokana"
 
 msgid "Gola"
-msgstr ""
+msgstr "Gola"
 
 msgid "Golin"
-msgstr ""
+msgstr "Golin"
 
 msgid "Golpa"
-msgstr ""
+msgstr "Golpa"
 
 msgid "Gondi"
 msgstr "ゴーンディー語"
 
 msgid "Gondi, Adilabad"
-msgstr ""
+msgstr "Gondi, Adilabad"
 
 msgid "Gondi, Aheri"
-msgstr ""
+msgstr "Gondi, Aheri"
 
 msgid "Gondi, Northern"
-msgstr ""
+msgstr "Gondi, Northern"
 
 msgid "Gone Dau"
-msgstr ""
+msgstr "Gone Dau"
 
 msgid "Gongduk"
-msgstr ""
+msgstr "Gongduk"
 
 msgid "Gonja"
-msgstr ""
+msgstr "Gonja"
 
 msgid "Goodenough, West"
-msgstr ""
+msgstr "Goodenough, West"
 
 msgid "Gooniyandi"
-msgstr ""
+msgstr "Gooniyandi"
 
 msgid "Gor"
-msgstr ""
+msgstr "Gor"
 
 msgid "Gorakor"
-msgstr ""
+msgstr "Gorakor"
 
 msgid "Gorap"
-msgstr ""
+msgstr "Gorap"
 
 msgid "Goreng"
-msgstr ""
+msgstr "Goreng"
 
 msgid "Gorontalo"
 msgstr "ゴロンタロ語"
 
 msgid "Gorovu"
-msgstr ""
+msgstr "Gorovu"
 
 msgid "Gorowa"
-msgstr ""
+msgstr "Gorowa"
 
 msgid "Gothic"
 msgstr "ゴート語"
 
 msgid "Goundo"
-msgstr ""
+msgstr "Goundo"
 
 msgid "Gourmanchéma"
-msgstr ""
+msgstr "Gourmanchéma"
 
 msgid "Gowlan"
-msgstr ""
+msgstr "Gowlan"
 
 msgid "Gowli"
-msgstr ""
+msgstr "Gowli"
 
 msgid "Gowro"
-msgstr ""
+msgstr "Gowro"
 
 msgid "Gozarkhani"
-msgstr ""
+msgstr "Gozarkhani"
 
 msgid "Grangali"
-msgstr ""
+msgstr "Grangali"
 
 msgid "Great Andamanese, Mixed"
-msgstr ""
+msgstr "Great Andamanese, Mixed"
 
 msgid "Grebo"
 msgstr "グレボ語"
 
 msgid "Grebo, Barclayville"
-msgstr ""
+msgstr "Grebo, Barclayville"
 
 msgid "Grebo, Central"
-msgstr ""
+msgstr "Grebo, Central"
 
 msgid "Grebo, Gboloo"
-msgstr ""
+msgstr "Grebo, Gboloo"
 
 msgid "Grebo, Northern"
-msgstr ""
+msgstr "Grebo, Northern"
 
 msgid "Grebo, Southern"
-msgstr ""
+msgstr "Grebo, Southern"
 
 msgid "Greek Sign Language"
-msgstr ""
+msgstr "Greek Sign Language"
 
 msgid "Greek, Ancient (to 1453)"
-msgstr ""
+msgstr "Greek, Ancient (to 1453)"
 
 msgid "Greek, Cappadocian"
-msgstr ""
+msgstr "Greek, Cappadocian"
 
 msgid "Greek, Modern (1453-)"
-msgstr ""
+msgstr "Greek, Modern (1453-)"
 
 msgid "Greek, Mycenaean"
-msgstr ""
+msgstr "Greek, Mycenaean"
 
 msgid "Gresi"
-msgstr ""
+msgstr "Gresi"
 
 msgid "Groma"
-msgstr ""
+msgstr "Groma"
 
 msgid "Gronings"
-msgstr ""
+msgstr "Gronings"
 
 msgid "Gros Ventre"
-msgstr ""
+msgstr "Gros Ventre"
 
 msgid "Gua"
-msgstr ""
+msgstr "Gua"
 
 msgid "Guahibo"
-msgstr ""
+msgstr "Guahibo"
 
 msgid "Guajajára"
-msgstr ""
+msgstr "Guajajára"
 
 msgid "Guajá"
-msgstr ""
+msgstr "Guajá"
 
 msgid "Guambiano"
-msgstr ""
+msgstr "Guambiano"
 
 msgid "Guana (Brazil)"
-msgstr ""
+msgstr "Guana (Brazil)"
 
 msgid "Guana (Paraguay)"
-msgstr ""
+msgstr "Guana (Paraguay)"
 
 msgid "Guanano"
-msgstr ""
+msgstr "Guanano"
 
 msgid "Guanche"
-msgstr ""
+msgstr "Guanche"
 
 msgid "Guanyinqiao"
-msgstr ""
+msgstr "Guanyinqiao"
 
 msgid "Guarani"
 msgstr "グアラニー語"
 
 msgid "Guaraní, Eastern Bolivian"
-msgstr ""
+msgstr "Guaraní, Eastern Bolivian"
 
 msgid "Guaraní, Mbyá"
-msgstr ""
+msgstr "Guaraní, Mbyá"
 
 msgid "Guaraní, Paraguayan"
-msgstr ""
+msgstr "Guaraní, Paraguayan"
 
 msgid "Guaraní, Western Bolivian"
-msgstr ""
+msgstr "Guaraní, Western Bolivian"
 
 msgid "Guarayu"
-msgstr ""
+msgstr "Guarayu"
 
 msgid "Guarequena"
-msgstr ""
+msgstr "Guarequena"
 
 msgid "Guatemalan Sign Language"
-msgstr ""
+msgstr "Guatemalan Sign Language"
 
 msgid "Guató"
-msgstr ""
+msgstr "Guató"
 
 msgid "Guayabero"
-msgstr ""
+msgstr "Guayabero"
 
 msgid "Gudang"
-msgstr ""
+msgstr "Gudang"
 
 msgid "Gudanji"
-msgstr ""
+msgstr "Gudanji"
 
 msgid "Gude"
-msgstr ""
+msgstr "Gude"
 
 msgid "Gudu"
-msgstr ""
+msgstr "Gudu"
 
 msgid "Guduf-Gava"
-msgstr ""
+msgstr "Guduf-Gava"
 
 msgid "Gugadj"
-msgstr ""
+msgstr "Gugadj"
 
 msgid "Gugu Badhun"
-msgstr ""
+msgstr "Gugu Badhun"
 
 msgid "Gugu Warra"
-msgstr ""
+msgstr "Gugu Warra"
 
 msgid "Gugubera"
-msgstr ""
+msgstr "Gugubera"
 
 msgid "Guguyimidjir"
-msgstr ""
+msgstr "Guguyimidjir"
 
 msgid "Guhu-Samane"
-msgstr ""
+msgstr "Guhu-Samane"
 
 msgid "Guinean Sign Language"
-msgstr ""
+msgstr "Guinean Sign Language"
 
 msgid "Guiqiong"
-msgstr ""
+msgstr "Guiqiong"
 
 msgid "Gujarati"
 msgstr "グジャラーティー語"
 
 msgid "Gujari"
-msgstr ""
+msgstr "Gujari"
 
 msgid "Gula (Central African Republic)"
-msgstr ""
+msgstr "Gula (Central African Republic)"
 
 msgid "Gula (Chad)"
-msgstr ""
+msgstr "Gula (Chad)"
 
 msgid "Gula Iro"
-msgstr ""
+msgstr "Gula Iro"
 
 msgid "Gula'alaa"
-msgstr ""
+msgstr "Gula'alaa"
 
 msgid "Gulay"
-msgstr ""
+msgstr "Gulay"
 
 msgid "Gule"
-msgstr ""
+msgstr "Gule"
 
 msgid "Guliguli"
-msgstr ""
+msgstr "Guliguli"
 
 msgid "Gumalu"
-msgstr ""
+msgstr "Gumalu"
 
 msgid "Gumatj"
-msgstr ""
+msgstr "Gumatj"
 
 msgid "Gumawana"
-msgstr ""
+msgstr "Gumawana"
 
 msgid "Gumuz"
-msgstr ""
+msgstr "Gumuz"
 
 msgid "Gun"
-msgstr ""
+msgstr "Gun"
 
 msgid "Gundi"
-msgstr ""
+msgstr "Gundi"
 
 msgid "Gunditjmara"
-msgstr ""
+msgstr "Gunditjmara"
 
 msgid "Gundungurra"
-msgstr ""
+msgstr "Gundungurra"
 
 msgid "Gungabula"
-msgstr ""
+msgstr "Gungabula"
 
 msgid "Gungu"
-msgstr ""
+msgstr "Gungu"
 
 msgid "Guntai"
-msgstr ""
+msgstr "Guntai"
 
 msgid "Gunwinggu"
-msgstr ""
+msgstr "Gunwinggu"
 
 msgid "Gunya"
-msgstr ""
+msgstr "Gunya"
 
 msgid "Gupa-Abawa"
-msgstr ""
+msgstr "Gupa-Abawa"
 
 msgid "Gupapuyngu"
-msgstr ""
+msgstr "Gupapuyngu"
 
 msgid "Guragone"
-msgstr ""
+msgstr "Guragone"
 
 msgid "Guramalum"
-msgstr ""
+msgstr "Guramalum"
 
 msgid "Gurani"
-msgstr ""
+msgstr "Gurani"
 
 msgid "Gurdjar"
-msgstr ""
+msgstr "Gurdjar"
 
 msgid "Gureng Gureng"
-msgstr ""
+msgstr "Gureng Gureng"
 
 msgid "Gurgula"
-msgstr ""
+msgstr "Gurgula"
 
 msgid "Guriaso"
-msgstr ""
+msgstr "Guriaso"
 
 msgid "Gurindji Kriol"
-msgstr ""
+msgstr "Gurindji Kriol"
 
 msgid "Gurinji"
-msgstr ""
+msgstr "Gurinji"
 
 msgid "Gurmana"
-msgstr ""
+msgstr "Gurmana"
 
 msgid "Guro"
-msgstr ""
+msgstr "Guro"
 
 msgid "Gurung"
-msgstr ""
+msgstr "Gurung"
 
 msgid "Guruntum-Mbaaru"
-msgstr ""
+msgstr "Guruntum-Mbaaru"
 
 msgid "Gusii"
-msgstr ""
+msgstr "Gusii"
 
 msgid "Gusilay"
-msgstr ""
+msgstr "Gusilay"
 
 msgid "Guwa"
-msgstr ""
+msgstr "Guwa"
 
 msgid "Guwamu"
-msgstr ""
+msgstr "Guwamu"
 
 msgid "Guya"
-msgstr ""
+msgstr "Guya"
 
 msgid "Guyani"
-msgstr ""
+msgstr "Guyani"
 
 msgid "Gvoko"
-msgstr ""
+msgstr "Gvoko"
 
 msgid "Gwa"
-msgstr ""
+msgstr "Gwa"
 
 msgid "Gwahatike"
-msgstr ""
+msgstr "Gwahatike"
 
 msgid "Gwak"
-msgstr ""
+msgstr "Gwak"
 
 msgid "Gwamhi-Wuri"
-msgstr ""
+msgstr "Gwamhi-Wuri"
 
 msgid "Gwandara"
-msgstr ""
+msgstr "Gwandara"
 
 msgid "Gweda"
-msgstr ""
+msgstr "Gweda"
 
 msgid "Gweno"
-msgstr ""
+msgstr "Gweno"
 
 msgid "Gwere"
-msgstr ""
+msgstr "Gwere"
 
 msgid "Gwichʼin"
-msgstr ""
+msgstr "Gwichʼin"
 
 msgid "Gyele"
-msgstr ""
+msgstr "Gyele"
 
 msgid "Gyem"
-msgstr ""
+msgstr "Gyem"
 
 msgid "Gāndhārī"
-msgstr ""
+msgstr "Gāndhārī"
 
 msgid "Ha"
-msgstr ""
+msgstr "Ha"
 
 msgid "Habu"
-msgstr ""
+msgstr "Habu"
 
 msgid "Hadiyya"
-msgstr ""
+msgstr "Hadiyya"
 
 msgid "Hadothi"
-msgstr ""
+msgstr "Hadothi"
 
 msgid "Hadrami"
-msgstr ""
+msgstr "Hadrami"
 
 msgid "Hadza"
-msgstr ""
+msgstr "Hadza"
 
 msgid "Haeke"
-msgstr ""
+msgstr "Haeke"
 
 msgid "Hahon"
-msgstr ""
+msgstr "Hahon"
 
 msgid "Hai//om"
-msgstr ""
+msgstr "Hai//om"
 
 msgid "Haida"
 msgstr "ハイダ語"
 
 msgid "Haida, Northern"
-msgstr ""
+msgstr "Haida, Northern"
 
 msgid "Haida, Southern"
-msgstr ""
+msgstr "Haida, Southern"
 
 msgid "Haigwai"
-msgstr ""
+msgstr "Haigwai"
 
 msgid "Haiphong Sign Language"
-msgstr ""
+msgstr "Haiphong Sign Language"
 
 msgid "Haisla"
-msgstr ""
+msgstr "Haisla"
 
 msgid "Haitian"
-msgstr ""
+msgstr "Haitian"
 
 msgid "Haitian Vodoun Culture Language"
-msgstr ""
+msgstr "Haitian Vodoun Culture Language"
 
 msgid "Haji"
-msgstr ""
+msgstr "Haji"
 
 msgid "Hajong"
-msgstr ""
+msgstr "Hajong"
 
 msgid "Hakö"
-msgstr ""
+msgstr "Hakö"
 
 msgid "Halang"
-msgstr ""
+msgstr "Halang"
 
 msgid "Halang Doan"
-msgstr ""
+msgstr "Halang Doan"
 
 msgid "Halbi"
-msgstr ""
+msgstr "Halbi"
 
 msgid "Halia"
-msgstr ""
+msgstr "Halia"
 
 msgid "Halkomelem"
-msgstr ""
+msgstr "Halkomelem"
 
 msgid "Hamap"
-msgstr ""
+msgstr "Hamap"
 
 msgid "Hamba"
-msgstr ""
+msgstr "Hamba"
 
 msgid "Hamer-Banna"
-msgstr ""
+msgstr "Hamer-Banna"
 
 msgid "Hamtai"
-msgstr ""
+msgstr "Hamtai"
 
 msgid "Han"
-msgstr ""
+msgstr "Han"
 
 msgid "Hanga"
-msgstr ""
+msgstr "Hanga"
 
 msgid "Hanga Hundi"
-msgstr ""
+msgstr "Hanga Hundi"
 
 msgid "Hangaza"
-msgstr ""
+msgstr "Hangaza"
 
 msgid "Hani"
-msgstr ""
+msgstr "Hani"
 
 msgid "Hano"
-msgstr ""
+msgstr "Hano"
 
 msgid "Hanoi Sign Language"
-msgstr ""
+msgstr "Hanoi Sign Language"
 
 msgid "Hanunoo"
 msgstr "ハヌノオ文字"
 
 msgid "Harami"
-msgstr ""
+msgstr "Harami"
 
 msgid "Harari"
-msgstr ""
+msgstr "Harari"
 
 msgid "Haroi"
-msgstr ""
+msgstr "Haroi"
 
 msgid "Harsusi"
-msgstr ""
+msgstr "Harsusi"
 
 msgid "Haruai"
-msgstr ""
+msgstr "Haruai"
 
 msgid "Haruku"
-msgstr ""
+msgstr "Haruku"
 
 msgid "Haryanvi"
-msgstr ""
+msgstr "Haryanvi"
 
 msgid "Harzani"
-msgstr ""
+msgstr "Harzani"
 
 msgid "Hasha"
-msgstr ""
+msgstr "Hasha"
 
 msgid "Hassaniyya"
-msgstr ""
+msgstr "Hassaniyya"
 
 msgid "Hatam"
-msgstr ""
+msgstr "Hatam"
 
 msgid "Hattic"
-msgstr ""
+msgstr "Hattic"
 
 msgid "Hausa"
 msgstr "ハウサ語"
 
 msgid "Hausa Sign Language"
-msgstr ""
+msgstr "Hausa Sign Language"
 
 msgid "Havasupai-Walapai-Yavapai"
-msgstr ""
+msgstr "Havasupai-Walapai-Yavapai"
 
 msgid "Haveke"
-msgstr ""
+msgstr "Haveke"
 
 msgid "Havu"
-msgstr ""
+msgstr "Havu"
 
 msgid "Hawai'i Sign Language (HSL)"
-msgstr ""
+msgstr "Hawai'i Sign Language (HSL)"
 
 msgid "Hawaiian"
 msgstr "ハワイ語"
 
 msgid "Haya"
-msgstr ""
+msgstr "Haya"
 
 msgid "Hazaragi"
-msgstr ""
+msgstr "Hazaragi"
 
 msgid "Hdi"
-msgstr ""
+msgstr "Hdi"
 
 msgid "Hebrew"
 msgstr "ヘブライ語"
 
 msgid "Hebrew, Ancient"
-msgstr ""
+msgstr "Hebrew, Ancient"
 
 msgid "Hehe"
-msgstr ""
+msgstr "Hehe"
 
 msgid "Heiban"
-msgstr ""
+msgstr "Heiban"
 
 msgid "Heiltsuk"
-msgstr ""
+msgstr "Heiltsuk"
 
 msgid "Helambu Sherpa"
-msgstr ""
+msgstr "Helambu Sherpa"
 
 msgid "Helong"
-msgstr ""
+msgstr "Helong"
 
 msgid "Hema"
 msgstr "ニョロ語"
 
 msgid "Hemba"
-msgstr ""
+msgstr "Hemba"
 
 msgid "Herdé"
-msgstr ""
+msgstr "Herdé"
 
 msgid "Herero"
 msgstr "ヘレロ語"
 
 msgid "Hermit"
-msgstr ""
+msgstr "Hermit"
 
 msgid "Hernican"
-msgstr ""
+msgstr "Hernican"
 
 msgid "Hewa"
-msgstr ""
+msgstr "Hewa"
 
 msgid "Heyo"
-msgstr ""
+msgstr "Heyo"
 
 msgid "Hibito"
-msgstr ""
+msgstr "Hibito"
 
 msgid "Hidatsa"
-msgstr ""
+msgstr "Hidatsa"
 
 msgid "Higaonon"
-msgstr ""
+msgstr "Higaonon"
 
 msgid "Hijuk"
-msgstr ""
+msgstr "Hijuk"
 
 msgid "Hiligaynon"
 msgstr "ヒリジャノン語"
 
 msgid "Himarimã"
-msgstr ""
+msgstr "Himarimã"
 
 msgid "Hindi"
 msgstr "ヒンディー語"
 
 msgid "Hindi, Fiji"
-msgstr ""
+msgstr "Hindi, Fiji"
 
 msgid "Hindko, Northern"
-msgstr ""
+msgstr "Hindko, Northern"
 
 msgid "Hindko, Southern"
-msgstr ""
+msgstr "Hindko, Southern"
 
 msgid "Hinduri"
-msgstr ""
+msgstr "Hinduri"
 
 msgid "Hindustani, Caribbean"
-msgstr ""
+msgstr "Hindustani, Caribbean"
 
 msgid "Hinukh"
-msgstr ""
+msgstr "Hinukh"
 
 msgid "Hiri Motu"
 msgstr "ヒリモトゥ語"
@@ -7350,577 +7351,577 @@ msgid "Hittite"
 msgstr "ヒッタイト語"
 
 msgid "Hittite, Middle"
-msgstr ""
+msgstr "Hittite, Middle"
 
 msgid "Hittite, Neo-"
-msgstr ""
+msgstr "Hittite, Neo-"
 
 msgid "Hittite, Old"
-msgstr ""
+msgstr "Hittite, Old"
 
 msgid "Hitu"
-msgstr ""
+msgstr "Hitu"
 
 msgid "Hiw"
-msgstr ""
+msgstr "Hiw"
 
 msgid "Hixkaryána"
-msgstr ""
+msgstr "Hixkaryána"
 
 msgid "Hlai"
-msgstr ""
+msgstr "Hlai"
 
 msgid "Hlersu"
-msgstr ""
+msgstr "Hlersu"
 
 msgid "Hmar"
-msgstr ""
+msgstr "Hmar"
 
 msgid "Hmong"
 msgstr "フモング語"
 
 msgid "Hmong Daw"
-msgstr ""
+msgstr "Hmong Daw"
 
 msgid "Hmong Don"
-msgstr ""
+msgstr "Hmong Don"
 
 msgid "Hmong Dô"
-msgstr ""
+msgstr "Hmong Dô"
 
 msgid "Hmong Njua"
-msgstr ""
+msgstr "Hmong Njua"
 
 msgid "Hmong Shua"
-msgstr ""
+msgstr "Hmong Shua"
 
 msgid "Hmong, Central Huishui"
-msgstr ""
+msgstr "Hmong, Central Huishui"
 
 msgid "Hmong, Central Mashan"
-msgstr ""
+msgstr "Hmong, Central Mashan"
 
 msgid "Hmong, Eastern Huishui"
-msgstr ""
+msgstr "Hmong, Eastern Huishui"
 
 msgid "Hmong, Luopohe"
-msgstr ""
+msgstr "Hmong, Luopohe"
 
 msgid "Hmong, Northern Guiyang"
-msgstr ""
+msgstr "Hmong, Northern Guiyang"
 
 msgid "Hmong, Northern Huishui"
-msgstr ""
+msgstr "Hmong, Northern Huishui"
 
 msgid "Hmong, Northern Mashan"
-msgstr ""
+msgstr "Hmong, Northern Mashan"
 
 msgid "Hmong, Southern Guiyang"
-msgstr ""
+msgstr "Hmong, Southern Guiyang"
 
 msgid "Hmong, Southern Mashan"
-msgstr ""
+msgstr "Hmong, Southern Mashan"
 
 msgid "Hmong, Southwestern Guiyang"
-msgstr ""
+msgstr "Hmong, Southwestern Guiyang"
 
 msgid "Hmong, Southwestern Huishui"
-msgstr ""
+msgstr "Hmong, Southwestern Huishui"
 
 msgid "Hmong, Western Mashan"
-msgstr ""
+msgstr "Hmong, Western Mashan"
 
 msgid "Hmwaveke"
-msgstr ""
+msgstr "Hmwaveke"
 
 msgid "Ho"
-msgstr ""
+msgstr "Ho"
 
 msgid "Ho Chi Minh City Sign Language"
-msgstr ""
+msgstr "Ho Chi Minh City Sign Language"
 
 msgid "Ho-Chunk"
-msgstr ""
+msgstr "Ho-Chunk"
 
 msgid "Hoava"
-msgstr ""
+msgstr "Hoava"
 
 msgid "Hobyót"
-msgstr ""
+msgstr "Hobyót"
 
 msgid "Hoia Hoia"
-msgstr ""
+msgstr "Hoia Hoia"
 
 msgid "Holikachuk"
-msgstr ""
+msgstr "Holikachuk"
 
 msgid "Holiya"
-msgstr ""
+msgstr "Holiya"
 
 msgid "Holma"
-msgstr ""
+msgstr "Holma"
 
 msgid "Holoholo"
-msgstr ""
+msgstr "Holoholo"
 
 msgid "Holu"
-msgstr ""
+msgstr "Holu"
 
 msgid "Homa"
-msgstr ""
+msgstr "Homa"
 
 msgid "Honduras Sign Language"
-msgstr ""
+msgstr "Honduras Sign Language"
 
 msgid "Hong Kong Sign Language"
-msgstr ""
+msgstr "Hong Kong Sign Language"
 
 msgid "Honi"
-msgstr ""
+msgstr "Honi"
 
 msgid "Hopi"
-msgstr ""
+msgstr "Hopi"
 
 msgid "Horo"
-msgstr ""
+msgstr "Horo"
 
 msgid "Horom"
-msgstr ""
+msgstr "Horom"
 
 msgid "Horpa"
-msgstr ""
+msgstr "Horpa"
 
 msgid "Hote"
-msgstr ""
+msgstr "Hote"
 
 msgid "Hoti"
-msgstr ""
+msgstr "Hoti"
 
 msgid "Hovongan"
-msgstr ""
+msgstr "Hovongan"
 
 msgid "Hoyahoya"
-msgstr ""
+msgstr "Hoyahoya"
 
 msgid "Hozo"
-msgstr ""
+msgstr "Hozo"
 
 msgid "Hpon"
-msgstr ""
+msgstr "Hpon"
 
 msgid "Hrangkhol"
-msgstr ""
+msgstr "Hrangkhol"
 
 msgid "Hre"
-msgstr ""
+msgstr "Hre"
 
 msgid "Hruso"
-msgstr ""
+msgstr "Hruso"
 
 msgid "Hu"
-msgstr ""
+msgstr "Hu"
 
 msgid "Huachipaeri"
-msgstr ""
+msgstr "Huachipaeri"
 
 msgid "Huambisa"
-msgstr ""
+msgstr "Huambisa"
 
 msgid "Huarijio"
-msgstr ""
+msgstr "Huarijio"
 
 msgid "Huastec"
-msgstr ""
+msgstr "Huastec"
 
 msgid "Huaulu"
-msgstr ""
+msgstr "Huaulu"
 
 msgid "Huave, San Dionisio Del Mar"
-msgstr ""
+msgstr "Huave, San Dionisio Del Mar"
 
 msgid "Huave, San Francisco Del Mar"
-msgstr ""
+msgstr "Huave, San Francisco Del Mar"
 
 msgid "Huave, San Mateo Del Mar"
-msgstr ""
+msgstr "Huave, San Mateo Del Mar"
 
 msgid "Huave, Santa María Del Mar"
-msgstr ""
+msgstr "Huave, Santa María Del Mar"
 
 msgid "Huba"
-msgstr ""
+msgstr "Huba"
 
 msgid "Huichol"
-msgstr ""
+msgstr "Huichol"
 
 msgid "Huilliche"
-msgstr ""
+msgstr "Huilliche"
 
 msgid "Huitoto, Minica"
-msgstr ""
+msgstr "Huitoto, Minica"
 
 msgid "Huitoto, Murui"
-msgstr ""
+msgstr "Huitoto, Murui"
 
 msgid "Huitoto, Nüpode"
-msgstr ""
+msgstr "Huitoto, Nüpode"
 
 msgid "Hukumina"
-msgstr ""
+msgstr "Hukumina"
 
 msgid "Hula"
-msgstr ""
+msgstr "Hula"
 
 msgid "Hulaulá"
-msgstr ""
+msgstr "Hulaulá"
 
 msgid "Huli"
-msgstr ""
+msgstr "Huli"
 
 msgid "Hulung"
-msgstr ""
+msgstr "Hulung"
 
 msgid "Humene"
-msgstr ""
+msgstr "Humene"
 
 msgid "Humla"
-msgstr ""
+msgstr "Humla"
 
 msgid "Hun-Saare"
-msgstr ""
+msgstr "Hun-Saare"
 
 msgid "Hunde"
-msgstr ""
+msgstr "Hunde"
 
 msgid "Hung"
-msgstr ""
+msgstr "Hung"
 
 msgid "Hungana"
-msgstr ""
+msgstr "Hungana"
 
 msgid "Hungarian"
 msgstr "ハンガリー語"
 
 msgid "Hungarian Sign Language"
-msgstr ""
+msgstr "Hungarian Sign Language"
 
 msgid "Hungarian, Old"
-msgstr ""
+msgstr "Hungarian, Old"
 
 msgid "Hunjara-Kaina Ke"
-msgstr ""
+msgstr "Hunjara-Kaina Ke"
 
 msgid "Hunnic"
-msgstr ""
+msgstr "Hunnic"
 
 msgid "Hunsrik"
-msgstr ""
+msgstr "Hunsrik"
 
 msgid "Hunzib"
-msgstr ""
+msgstr "Hunzib"
 
 msgid "Hupa"
 msgstr "アタパスカ語"
 
 msgid "Hupdë"
-msgstr ""
+msgstr "Hupdë"
 
 msgid "Hupla"
-msgstr ""
+msgstr "Hupla"
 
 msgid "Hurrian"
-msgstr ""
+msgstr "Hurrian"
 
 msgid "Hwana"
-msgstr ""
+msgstr "Hwana"
 
 msgid "Hya"
-msgstr ""
+msgstr "Hya"
 
 msgid "Hyam"
-msgstr ""
+msgstr "Hyam"
 
 msgid "Hértevin"
-msgstr ""
+msgstr "Hértevin"
 
 msgid "Hõne"
-msgstr ""
+msgstr "Hõne"
 
 msgid "I-Wak"
-msgstr ""
+msgstr "I-Wak"
 
 msgid "Iaai"
-msgstr ""
+msgstr "Iaai"
 
 msgid "Iamalele"
-msgstr ""
+msgstr "Iamalele"
 
 msgid "Iatmul"
-msgstr ""
+msgstr "Iatmul"
 
 msgid "Iau"
-msgstr ""
+msgstr "Iau"
 
 msgid "Ibaloi"
-msgstr ""
+msgstr "Ibaloi"
 
 msgid "Iban"
 msgstr "Iban"
 
 msgid "Ibanag"
-msgstr ""
+msgstr "Ibanag"
 
 msgid "Ibani"
-msgstr ""
+msgstr "Ibani"
 
 msgid "Ibatan"
-msgstr ""
+msgstr "Ibatan"
 
 msgid "Iberian"
-msgstr ""
+msgstr "Iberian"
 
 msgid "Ibibio"
-msgstr ""
+msgstr "Ibibio"
 
 msgid "Ibino"
-msgstr ""
+msgstr "Ibino"
 
 msgid "Ibu"
-msgstr ""
+msgstr "Ibu"
 
 msgid "Ibuoro"
-msgstr ""
+msgstr "Ibuoro"
 
 msgid "Icelandic"
 msgstr "アイスランド語"
 
 msgid "Icelandic Sign Language"
-msgstr ""
+msgstr "Icelandic Sign Language"
 
 msgid "Iceve-Maci"
-msgstr ""
+msgstr "Iceve-Maci"
 
 msgid "Ida'an"
-msgstr ""
+msgstr "Ida'an"
 
 msgid "Idakho-Isukha-Tiriki"
-msgstr ""
+msgstr "Idakho-Isukha-Tiriki"
 
 msgid "Idaté"
-msgstr ""
+msgstr "Idaté"
 
 msgid "Idere"
-msgstr ""
+msgstr "Idere"
 
 msgid "Idesa"
-msgstr ""
+msgstr "Idesa"
 
 msgid "Idi"
-msgstr ""
+msgstr "Idi"
 
 msgid "Ido"
 msgstr "イド語"
 
 msgid "Idoma"
-msgstr ""
+msgstr "Idoma"
 
 msgid "Idon"
-msgstr ""
+msgstr "Idon"
 
 msgid "Idu-Mishmi"
-msgstr ""
+msgstr "Idu-Mishmi"
 
 msgid "Iduna"
-msgstr ""
+msgstr "Iduna"
 
 msgid "Ifo"
-msgstr ""
+msgstr "Ifo"
 
 msgid "Ifugao, Amganad"
-msgstr ""
+msgstr "Ifugao, Amganad"
 
 msgid "Ifugao, Batad"
-msgstr ""
+msgstr "Ifugao, Batad"
 
 msgid "Ifugao, Mayoyao"
-msgstr ""
+msgstr "Ifugao, Mayoyao"
 
 msgid "Ifugao, Tuwali"
-msgstr ""
+msgstr "Ifugao, Tuwali"
 
 msgid "Ifè"
-msgstr ""
+msgstr "Ifè"
 
 msgid "Igala"
-msgstr ""
+msgstr "Igala"
 
 msgid "Igana"
-msgstr ""
+msgstr "Igana"
 
 msgid "Igbo"
 msgstr "イボ語"
 
 msgid "Igede"
-msgstr ""
+msgstr "Igede"
 
 msgid "Ignaciano"
-msgstr ""
+msgstr "Ignaciano"
 
 msgid "Igo"
-msgstr ""
+msgstr "Igo"
 
 msgid "Iguta"
-msgstr ""
+msgstr "Iguta"
 
 msgid "Igwe"
-msgstr ""
+msgstr "Igwe"
 
 msgid "Iha"
-msgstr ""
+msgstr "Iha"
 
 msgid "Iha Based Pidgin"
-msgstr ""
+msgstr "Iha Based Pidgin"
 
 msgid "Ihievbe"
-msgstr ""
+msgstr "Ihievbe"
 
 msgid "Ija-Zuba"
-msgstr ""
+msgstr "Ija-Zuba"
 
 msgid "Ijo, Southeast"
-msgstr ""
+msgstr "Ijo, Southeast"
 
 msgid "Ik"
-msgstr ""
+msgstr "Ik"
 
 msgid "Ika"
-msgstr ""
+msgstr "Ika"
 
 msgid "Ikaranggal"
-msgstr ""
+msgstr "Ikaranggal"
 
 msgid "Ikizu"
-msgstr ""
+msgstr "Ikizu"
 
 msgid "Iko"
-msgstr ""
+msgstr "Iko"
 
 msgid "Ikobi"
-msgstr ""
+msgstr "Ikobi"
 
 msgid "Ikoma-Nata-Isenye"
-msgstr ""
+msgstr "Ikoma-Nata-Isenye"
 
 msgid "Ikpeng"
-msgstr ""
+msgstr "Ikpeng"
 
 msgid "Ikpeshi"
-msgstr ""
+msgstr "Ikpeshi"
 
 msgid "Ikposo"
-msgstr ""
+msgstr "Ikposo"
 
 msgid "Iku-Gora-Ankwa"
-msgstr ""
+msgstr "Iku-Gora-Ankwa"
 
 msgid "Ikulu"
-msgstr ""
+msgstr "Ikulu"
 
 msgid "Ikwere"
-msgstr ""
+msgstr "Ikwere"
 
 msgid "Ikwo"
-msgstr ""
+msgstr "Ikwo"
 
 msgid "Ila"
-msgstr ""
+msgstr "Ila"
 
 msgid "Ile Ape"
-msgstr ""
+msgstr "Ile Ape"
 
 msgid "Ili Turki"
-msgstr ""
+msgstr "Ili Turki"
 
 msgid "Ili'uun"
-msgstr ""
+msgstr "Ili'uun"
 
 msgid "Illyrian"
-msgstr ""
+msgstr "Illyrian"
 
 msgid "Iloko"
 msgstr "イロカノ語"
 
 msgid "Ilongot"
-msgstr ""
+msgstr "Ilongot"
 
 msgid "Ilue"
-msgstr ""
+msgstr "Ilue"
 
 msgid "Ilwana"
-msgstr ""
+msgstr "Ilwana"
 
 msgid "Imbongu"
-msgstr ""
+msgstr "Imbongu"
 
 msgid "Imonda"
-msgstr ""
+msgstr "Imonda"
 
 msgid "Imroing"
-msgstr ""
+msgstr "Imroing"
 
 msgid "Inabaknon"
 msgstr "イバン語"
 
 msgid "Inapang"
-msgstr ""
+msgstr "Inapang"
 
 msgid "Indian Sign Language"
-msgstr ""
+msgstr "Indian Sign Language"
 
 msgid "Indo-Portuguese"
-msgstr ""
+msgstr "Indo-Portuguese"
 
 msgid "Indonesian"
 msgstr "インドネシア語"
 
 msgid "Indonesian Sign Language"
-msgstr ""
+msgstr "Indonesian Sign Language"
 
 msgid "Indonesian, Peranakan"
-msgstr ""
+msgstr "Indonesian, Peranakan"
 
 msgid "Indri"
-msgstr ""
+msgstr "Indri"
 
 msgid "Indus Valley Language"
-msgstr ""
+msgstr "Indus Valley Language"
 
 msgid "Ineseño"
-msgstr ""
+msgstr "Ineseño"
 
 msgid "Inga"
-msgstr ""
+msgstr "Inga"
 
 msgid "Inga, Jungle"
-msgstr ""
+msgstr "Inga, Jungle"
 
 msgid "Ingrian"
-msgstr ""
+msgstr "Ingrian"
 
 msgid "Ingush"
 msgstr "イングーシ語"
 
 msgid "Inoke-Yate"
-msgstr ""
+msgstr "Inoke-Yate"
 
 msgid "Inonhan"
-msgstr ""
+msgstr "Inonhan"
 
 msgid "Inor"
-msgstr ""
+msgstr "Inor"
 
 msgid "Interglossa"
-msgstr ""
+msgstr "Interglossa"
 
 msgid "Interlingua (International Auxiliary Language Association)"
 msgstr "インターリングア語 (国際補助語協会)"
@@ -7929,1300 +7930,1300 @@ msgid "Interlingue"
 msgstr "インターリング"
 
 msgid "International Sign"
-msgstr ""
+msgstr "International Sign"
 
 msgid "Intha"
-msgstr ""
+msgstr "Intha"
 
 msgid "Inuinnaqtun"
-msgstr ""
+msgstr "Inuinnaqtun"
 
 msgid "Inuit Sign Language"
-msgstr ""
+msgstr "Inuit Sign Language"
 
 msgid "Inuktitut"
 msgstr "イヌクチタット語"
 
 msgid "Inuktitut, Eastern Canadian"
-msgstr ""
+msgstr "Inuktitut, Eastern Canadian"
 
 msgid "Inupiaq"
 msgstr "イヌピアク語"
 
 msgid "Inupiatun, North Alaskan"
-msgstr ""
+msgstr "Inupiatun, North Alaskan"
 
 msgid "Inupiatun, Northwest Alaska"
-msgstr ""
+msgstr "Inupiatun, Northwest Alaska"
 
 msgid "Iowa-Oto"
-msgstr ""
+msgstr "Iowa-Oto"
 
 msgid "Ipiko"
-msgstr ""
+msgstr "Ipiko"
 
 msgid "Ipili"
-msgstr ""
+msgstr "Ipili"
 
 msgid "Ipulo"
-msgstr ""
+msgstr "Ipulo"
 
 msgid "Iquito"
-msgstr ""
+msgstr "Iquito"
 
 msgid "Ir"
-msgstr ""
+msgstr "Ir"
 
 msgid "Iranun (Malaysia)"
-msgstr ""
+msgstr "Iranun (Malaysia)"
 
 msgid "Iranun (Philippines)"
-msgstr ""
+msgstr "Iranun (Philippines)"
 
 msgid "Iraqw"
-msgstr ""
+msgstr "Iraqw"
 
 msgid "Irarutu"
-msgstr ""
+msgstr "Irarutu"
 
 msgid "Iraya"
-msgstr ""
+msgstr "Iraya"
 
 msgid "Iresim"
-msgstr ""
+msgstr "Iresim"
 
 msgid "Irigwe"
-msgstr ""
+msgstr "Irigwe"
 
 msgid "Irish"
 msgstr "アイルランド語"
 
 msgid "Irish Sign Language"
-msgstr ""
+msgstr "Irish Sign Language"
 
 msgid "Irish, Middle (900-1200)"
-msgstr ""
+msgstr "Irish, Middle (900-1200)"
 
 msgid "Irish, Old (to 900)"
-msgstr ""
+msgstr "Irish, Old (to 900)"
 
 msgid "Irish, Primitive"
-msgstr ""
+msgstr "Irish, Primitive"
 
 msgid "Irula"
-msgstr ""
+msgstr "Irula"
 
 msgid "Irántxe"
-msgstr ""
+msgstr "Irántxe"
 
 msgid "Isabi"
-msgstr ""
+msgstr "Isabi"
 
 msgid "Isanzu"
-msgstr ""
+msgstr "Isanzu"
 
 msgid "Isconahua"
-msgstr ""
+msgstr "Isconahua"
 
 msgid "Isebe"
-msgstr ""
+msgstr "Isebe"
 
 msgid "Isekiri"
-msgstr ""
+msgstr "Isekiri"
 
 msgid "Ishkashimi"
-msgstr ""
+msgstr "Ishkashimi"
 
 msgid "Isinai"
-msgstr ""
+msgstr "Isinai"
 
 msgid "Isirawa"
-msgstr ""
+msgstr "Isirawa"
 
 msgid "Isnag"
-msgstr ""
+msgstr "Isnag"
 
 msgid "Isoko"
-msgstr ""
+msgstr "Isoko"
 
 msgid "Israeli Sign Language"
-msgstr ""
+msgstr "Israeli Sign Language"
 
 msgid "Istriot"
-msgstr ""
+msgstr "Istriot"
 
 msgid "Isu (Fako Division)"
-msgstr ""
+msgstr "Isu (Fako Division)"
 
 msgid "Isu (Menchum Division)"
-msgstr ""
+msgstr "Isu (Menchum Division)"
 
 msgid "Italian"
 msgstr "イタリア語"
 
 msgid "Italian Sign Language"
-msgstr ""
+msgstr "Italian Sign Language"
 
 msgid "Itawit"
-msgstr ""
+msgstr "Itawit"
 
 msgid "Itelmen"
-msgstr ""
+msgstr "Itelmen"
 
 msgid "Itene"
-msgstr ""
+msgstr "Itene"
 
 msgid "Iteri"
-msgstr ""
+msgstr "Iteri"
 
 msgid "Itik"
-msgstr ""
+msgstr "Itik"
 
 msgid "Itneg, Banao"
-msgstr ""
+msgstr "Itneg, Banao"
 
 msgid "Itneg, Binongan"
-msgstr ""
+msgstr "Itneg, Binongan"
 
 msgid "Itneg, Inlaod"
-msgstr ""
+msgstr "Itneg, Inlaod"
 
 msgid "Itneg, Maeng"
-msgstr ""
+msgstr "Itneg, Maeng"
 
 msgid "Itneg, Masadiit"
-msgstr ""
+msgstr "Itneg, Masadiit"
 
 msgid "Itneg, Moyadan"
-msgstr ""
+msgstr "Itneg, Moyadan"
 
 msgid "Ito"
-msgstr ""
+msgstr "Ito"
 
 msgid "Itonama"
-msgstr ""
+msgstr "Itonama"
 
 msgid "Itu Mbon Uzo"
-msgstr ""
+msgstr "Itu Mbon Uzo"
 
 msgid "Itzá"
-msgstr ""
+msgstr "Itzá"
 
 msgid "Ivatan"
-msgstr ""
+msgstr "Ivatan"
 
 msgid "Ivbie North-Okpela-Arhe"
-msgstr ""
+msgstr "Ivbie North-Okpela-Arhe"
 
 msgid "Iwaidja"
-msgstr ""
+msgstr "Iwaidja"
 
 msgid "Iwal"
-msgstr ""
+msgstr "Iwal"
 
 msgid "Iwam"
-msgstr ""
+msgstr "Iwam"
 
 msgid "Iwam, Sepik"
-msgstr ""
+msgstr "Iwam, Sepik"
 
 msgid "Iwur"
-msgstr ""
+msgstr "Iwur"
 
 msgid "Ixcatec"
-msgstr ""
+msgstr "Ixcatec"
 
 msgid "Ixil"
-msgstr ""
+msgstr "Ixil"
 
 msgid "Iyayu"
-msgstr ""
+msgstr "Iyayu"
 
 msgid "Iyive"
-msgstr ""
+msgstr "Iyive"
 
 msgid "Iyo"
-msgstr ""
+msgstr "Iyo"
 
 msgid "Izere"
-msgstr ""
+msgstr "Izere"
 
 msgid "Izii"
-msgstr ""
+msgstr "Izii"
 
 msgid "Izon"
-msgstr ""
+msgstr "Izon"
 
 msgid "Izora"
-msgstr ""
+msgstr "Izora"
 
 msgid "Iñapari"
-msgstr ""
+msgstr "Iñapari"
 
 msgid "Jabutí"
-msgstr ""
+msgstr "Jabutí"
 
 msgid "Jad"
-msgstr ""
+msgstr "Jad"
 
 msgid "Jadgali"
-msgstr ""
+msgstr "Jadgali"
 
 msgid "Jah Hut"
-msgstr ""
+msgstr "Jah Hut"
 
 msgid "Jahanka"
-msgstr ""
+msgstr "Jahanka"
 
 msgid "Jaitmatang"
-msgstr ""
+msgstr "Jaitmatang"
 
 msgid "Jakati"
-msgstr ""
+msgstr "Jakati"
 
 msgid "Jakun"
-msgstr ""
+msgstr "Jakun"
 
 msgid "Jalkunan"
-msgstr ""
+msgstr "Jalkunan"
 
 msgid "Jamaican Country Sign Language"
-msgstr ""
+msgstr "Jamaican Country Sign Language"
 
 msgid "Jamaican Sign Language"
-msgstr ""
+msgstr "Jamaican Sign Language"
 
 msgid "Jamamadí"
-msgstr ""
+msgstr "Jamamadí"
 
 msgid "Jandai"
-msgstr ""
+msgstr "Jandai"
 
 msgid "Jandavra"
-msgstr ""
+msgstr "Jandavra"
 
 msgid "Jangkang"
-msgstr ""
+msgstr "Jangkang"
 
 msgid "Jangshung"
-msgstr ""
+msgstr "Jangshung"
 
 msgid "Janji"
-msgstr ""
+msgstr "Janji"
 
 msgid "Japanese"
 msgstr "日本語"
 
 msgid "Japanese Sign Language"
-msgstr ""
+msgstr "Japanese Sign Language"
 
 msgid "Japanese, Old"
-msgstr ""
+msgstr "Japanese, Old"
 
 msgid "Japrería"
-msgstr ""
+msgstr "Japrería"
 
 msgid "Jaqaru"
-msgstr ""
+msgstr "Jaqaru"
 
 msgid "Jara"
-msgstr ""
+msgstr "Jara"
 
 msgid "Jarai"
 msgstr "ジャライ語"
 
 msgid "Jarawa (India)"
-msgstr ""
+msgstr "Jarawa (India)"
 
 msgid "Jaru"
-msgstr ""
+msgstr "Jaru"
 
 msgid "Jaunsari"
-msgstr ""
+msgstr "Jaunsari"
 
 msgid "Javanese"
 msgstr "ジャワ語"
 
 msgid "Javanese, Caribbean"
-msgstr ""
+msgstr "Javanese, Caribbean"
 
 msgid "Javanese, New Caledonian"
-msgstr ""
+msgstr "Javanese, New Caledonian"
 
 msgid "Javindo"
-msgstr ""
+msgstr "Javindo"
 
 msgid "Jawe"
-msgstr ""
+msgstr "Jawe"
 
 msgid "Jaya"
-msgstr ""
+msgstr "Jaya"
 
 msgid "Jebero"
-msgstr ""
+msgstr "Jebero"
 
 msgid "Jeh"
-msgstr ""
+msgstr "Jeh"
 
 msgid "Jehai"
-msgstr ""
+msgstr "Jehai"
 
 msgid "Jejueo"
-msgstr ""
+msgstr "Jejueo"
 
 msgid "Jemez"
-msgstr ""
+msgstr "Jemez"
 
 msgid "Jeng"
-msgstr ""
+msgstr "Jeng"
 
 msgid "Jere"
-msgstr ""
+msgstr "Jere"
 
 msgid "Jeri Kuo"
-msgstr ""
+msgstr "Jeri Kuo"
 
 msgid "Jerung"
-msgstr ""
+msgstr "Jerung"
 
 msgid "Jhankot Sign Language"
-msgstr ""
+msgstr "Jhankot Sign Language"
 
 msgid "Jiamao"
-msgstr ""
+msgstr "Jiamao"
 
 msgid "Jiarong"
-msgstr ""
+msgstr "Jiarong"
 
 msgid "Jiba"
-msgstr ""
+msgstr "Jiba"
 
 msgid "Jibu"
-msgstr ""
+msgstr "Jibu"
 
 msgid "Jiiddu"
-msgstr ""
+msgstr "Jiiddu"
 
 msgid "Jilbe"
-msgstr ""
+msgstr "Jilbe"
 
 msgid "Jilim"
-msgstr ""
+msgstr "Jilim"
 
 msgid "Jimi (Cameroon)"
-msgstr ""
+msgstr "Jimi (Cameroon)"
 
 msgid "Jimi (Nigeria)"
-msgstr ""
+msgstr "Jimi (Nigeria)"
 
 msgid "Jina"
-msgstr ""
+msgstr "Jina"
 
 msgid "Jinuo, Buyuan"
-msgstr ""
+msgstr "Jinuo, Buyuan"
 
 msgid "Jinuo, Youle"
-msgstr ""
+msgstr "Jinuo, Youle"
 
 msgid "Jirel"
-msgstr ""
+msgstr "Jirel"
 
 msgid "Jiru"
-msgstr ""
+msgstr "Jiru"
 
 msgid "Jita"
-msgstr ""
+msgstr "Jita"
 
 msgid "Jju"
-msgstr ""
+msgstr "Jju"
 
 msgid "Joba"
-msgstr ""
+msgstr "Joba"
 
 msgid "Jofotek-Bromnya"
-msgstr ""
+msgstr "Jofotek-Bromnya"
 
 msgid "Jogi"
-msgstr ""
+msgstr "Jogi"
 
 msgid "Jola-Fonyi"
-msgstr ""
+msgstr "Jola-Fonyi"
 
 msgid "Jola-Kasa"
-msgstr ""
+msgstr "Jola-Kasa"
 
 msgid "Jonkor Bourmataguil"
-msgstr ""
+msgstr "Jonkor Bourmataguil"
 
 msgid "Jordanian Sign Language"
-msgstr ""
+msgstr "Jordanian Sign Language"
 
 msgid "Jorto"
-msgstr ""
+msgstr "Jorto"
 
 msgid "Jorá"
-msgstr ""
+msgstr "Jorá"
 
 msgid "Jowulu"
-msgstr ""
+msgstr "Jowulu"
 
 msgid "Ju"
-msgstr ""
+msgstr "Ju"
 
 msgid "Ju/'hoan"
-msgstr ""
+msgstr "Ju/'hoan"
 
 msgid "Juang"
-msgstr ""
+msgstr "Juang"
 
 msgid "Judeo-Arabic"
 msgstr "ユダヤ・アラビア語"
 
 msgid "Judeo-Berber"
-msgstr ""
+msgstr "Judeo-Berber"
 
 msgid "Judeo-Georgian"
-msgstr ""
+msgstr "Judeo-Georgian"
 
 msgid "Judeo-Italian"
-msgstr ""
+msgstr "Judeo-Italian"
 
 msgid "Judeo-Persian"
 msgstr "ユダヤ・ペルシア語"
 
 msgid "Judeo-Tat"
-msgstr ""
+msgstr "Judeo-Tat"
 
 msgid "Jukun Takum"
-msgstr ""
+msgstr "Jukun Takum"
 
 msgid "Jumjum"
-msgstr ""
+msgstr "Jumjum"
 
 msgid "Jumla Sign Language"
-msgstr ""
+msgstr "Jumla Sign Language"
 
 msgid "Jumli"
-msgstr ""
+msgstr "Jumli"
 
 msgid "Jur Modo"
-msgstr ""
+msgstr "Jur Modo"
 
 msgid "Juray"
-msgstr ""
+msgstr "Juray"
 
 msgid "Jurchen"
-msgstr ""
+msgstr "Jurchen"
 
 msgid "Jurúna"
-msgstr ""
+msgstr "Jurúna"
 
 msgid "Jutish"
-msgstr ""
+msgstr "Jutish"
 
 msgid "Juwal"
-msgstr ""
+msgstr "Juwal"
 
 msgid "Jwira-Pepesa"
-msgstr ""
+msgstr "Jwira-Pepesa"
 
 msgid "Jèrriais"
-msgstr ""
+msgstr "Jèrriais"
 
 msgid "Júma"
-msgstr ""
+msgstr "Júma"
 
 msgid "K'iche'"
-msgstr ""
+msgstr "K'iche'"
 
 msgid "Kaamba"
-msgstr ""
+msgstr "Kaamba"
 
 msgid "Kaan"
-msgstr ""
+msgstr "Kaan"
 
 msgid "Kaansa"
-msgstr ""
+msgstr "Kaansa"
 
 msgid "Kaba"
-msgstr ""
+msgstr "Kaba"
 
 msgid "Kabalai"
-msgstr ""
+msgstr "Kabalai"
 
 msgid "Kabardian"
 msgstr "カバルダ語"
 
 msgid "Kabatei"
-msgstr ""
+msgstr "Kabatei"
 
 msgid "Kabiyè"
-msgstr ""
+msgstr "Kabiyè"
 
 msgid "Kabola"
-msgstr ""
+msgstr "Kabola"
 
 msgid "Kabras"
-msgstr ""
+msgstr "Kabras"
 
 msgid "Kaburi"
-msgstr ""
+msgstr "Kaburi"
 
 msgid "Kabutra"
-msgstr ""
+msgstr "Kabutra"
 
 msgid "Kabuverdianu"
-msgstr ""
+msgstr "Kabuverdianu"
 
 msgid "Kabwa"
-msgstr ""
+msgstr "Kabwa"
 
 msgid "Kabwari"
-msgstr ""
+msgstr "Kabwari"
 
 msgid "Kabyle"
 msgstr "カビル語"
 
 msgid "Kachama-Ganjule"
-msgstr ""
+msgstr "Kachama-Ganjule"
 
 msgid "Kachari"
-msgstr ""
+msgstr "Kachari"
 
 msgid "Kachhi"
-msgstr ""
+msgstr "Kachhi"
 
 msgid "Kachin"
 msgstr "カチン語"
 
 msgid "Kacipo-Balesi"
-msgstr ""
+msgstr "Kacipo-Balesi"
 
 msgid "Kaco'"
-msgstr ""
+msgstr "Kaco'"
 
 msgid "Kadai"
-msgstr ""
+msgstr "Kadai"
 
 msgid "Kadar"
-msgstr ""
+msgstr "Kadar"
 
 msgid "Kadaru"
-msgstr ""
+msgstr "Kadaru"
 
 msgid "Kadazan, Klias River"
-msgstr ""
+msgstr "Kadazan, Klias River"
 
 msgid "Kadazan, Labuk-Kinabatangan"
-msgstr ""
+msgstr "Kadazan, Labuk-Kinabatangan"
 
 msgid "Kadiwéu"
-msgstr ""
+msgstr "Kadiwéu"
 
 msgid "Kadu"
-msgstr ""
+msgstr "Kadu"
 
 msgid "Kaduo"
-msgstr ""
+msgstr "Kaduo"
 
 msgid "Kaera"
-msgstr ""
+msgstr "Kaera"
 
 msgid "Kafa"
-msgstr ""
+msgstr "Kafa"
 
 msgid "Kafoa"
-msgstr ""
+msgstr "Kafoa"
 
 msgid "Kagate"
-msgstr ""
+msgstr "Kagate"
 
 msgid "Kagayanen"
-msgstr ""
+msgstr "Kagayanen"
 
 msgid "Kagoma"
-msgstr ""
+msgstr "Kagoma"
 
 msgid "Kagoro"
-msgstr ""
+msgstr "Kagoro"
 
 msgid "Kagulu"
-msgstr ""
+msgstr "Kagulu"
 
 msgid "Kahe"
-msgstr ""
+msgstr "Kahe"
 
 msgid "Kahua"
-msgstr ""
+msgstr "Kahua"
 
 msgid "Kaian"
-msgstr ""
+msgstr "Kaian"
 
 msgid "Kaibobo"
-msgstr ""
+msgstr "Kaibobo"
 
 msgid "Kaidipang"
-msgstr ""
+msgstr "Kaidipang"
 
 msgid "Kaiep"
-msgstr ""
+msgstr "Kaiep"
 
 msgid "Kaikadi"
-msgstr ""
+msgstr "Kaikadi"
 
 msgid "Kaikavian Literary Language"
-msgstr ""
+msgstr "Kaikavian Literary Language"
 
 msgid "Kaike"
-msgstr ""
+msgstr "Kaike"
 
 msgid "Kaiku"
-msgstr ""
+msgstr "Kaiku"
 
 msgid "Kaili, Da'a"
-msgstr ""
+msgstr "Kaili, Da'a"
 
 msgid "Kaili, Ledo"
-msgstr ""
+msgstr "Kaili, Ledo"
 
 msgid "Kaili, Unde"
-msgstr ""
+msgstr "Kaili, Unde"
 
 msgid "Kaimbulawa"
-msgstr ""
+msgstr "Kaimbulawa"
 
 msgid "Kaimbé"
-msgstr ""
+msgstr "Kaimbé"
 
 msgid "Kaingang"
-msgstr ""
+msgstr "Kaingang"
 
 msgid "Kaingáng, São Paulo"
-msgstr ""
+msgstr "Kaingáng, São Paulo"
 
 msgid "Kairak"
-msgstr ""
+msgstr "Kairak"
 
 msgid "Kairiru"
-msgstr ""
+msgstr "Kairiru"
 
 msgid "Kairui-Midiki"
-msgstr ""
+msgstr "Kairui-Midiki"
 
 msgid "Kais"
-msgstr ""
+msgstr "Kais"
 
 msgid "Kaivi"
-msgstr ""
+msgstr "Kaivi"
 
 msgid "Kaiwá"
-msgstr ""
+msgstr "Kaiwá"
 
 msgid "Kaiy"
-msgstr ""
+msgstr "Kaiy"
 
 msgid "Kajakse"
-msgstr ""
+msgstr "Kajakse"
 
 msgid "Kajali"
-msgstr ""
+msgstr "Kajali"
 
 msgid "Kajaman"
-msgstr ""
+msgstr "Kajaman"
 
 msgid "Kakabai"
-msgstr ""
+msgstr "Kakabai"
 
 msgid "Kakabe"
-msgstr ""
+msgstr "Kakabe"
 
 msgid "Kakanda"
-msgstr ""
+msgstr "Kakanda"
 
 msgid "Kaki Ae"
-msgstr ""
+msgstr "Kaki Ae"
 
 msgid "Kako"
-msgstr ""
+msgstr "Kako"
 
 msgid "Kakwa"
-msgstr ""
+msgstr "Kakwa"
 
 msgid "Kala Lagaw Ya"
-msgstr ""
+msgstr "Kala Lagaw Ya"
 
 msgid "Kalaallisut"
-msgstr ""
+msgstr "Kalaallisut"
 
 msgid "Kalaamaya"
-msgstr ""
+msgstr "Kalaamaya"
 
 msgid "Kalabakan"
-msgstr ""
+msgstr "Kalabakan"
 
 msgid "Kalabari"
-msgstr ""
+msgstr "Kalabari"
 
 msgid "Kalabra"
-msgstr ""
+msgstr "Kalabra"
 
 msgid "Kalagan"
-msgstr ""
+msgstr "Kalagan"
 
 msgid "Kalagan, Kagan"
-msgstr ""
+msgstr "Kalagan, Kagan"
 
 msgid "Kalam"
-msgstr ""
+msgstr "Kalam"
 
 msgid "Kalami"
-msgstr ""
+msgstr "Kalami"
 
 msgid "Kalamsé"
-msgstr ""
+msgstr "Kalamsé"
 
 msgid "Kalanadi"
-msgstr ""
+msgstr "Kalanadi"
 
 msgid "Kalanga"
-msgstr ""
+msgstr "Kalanga"
 
 msgid "Kalanguya"
-msgstr ""
+msgstr "Kalanguya"
 
 msgid "Kalao"
-msgstr ""
+msgstr "Kalao"
 
 msgid "Kalapuya"
-msgstr ""
+msgstr "Kalapuya"
 
 msgid "Kalapuya, Northern"
-msgstr ""
+msgstr "Kalapuya, Northern"
 
 msgid "Kalapuya, Southern"
-msgstr ""
+msgstr "Kalapuya, Southern"
 
 msgid "Kalarko"
-msgstr ""
+msgstr "Kalarko"
 
 msgid "Kalasha"
-msgstr ""
+msgstr "Kalasha"
 
 msgid "Kalenjin"
-msgstr ""
+msgstr "Kalenjin"
 
 msgid "Kalinga, Butbut"
-msgstr ""
+msgstr "Kalinga, Butbut"
 
 msgid "Kalinga, Limos"
-msgstr ""
+msgstr "Kalinga, Limos"
 
 msgid "Kalinga, Lubuagan"
-msgstr ""
+msgstr "Kalinga, Lubuagan"
 
 msgid "Kalinga, Mabaka Valley"
-msgstr ""
+msgstr "Kalinga, Mabaka Valley"
 
 msgid "Kalinga, Majukayang"
-msgstr ""
+msgstr "Kalinga, Majukayang"
 
 msgid "Kalinga, Southern"
-msgstr ""
+msgstr "Kalinga, Southern"
 
 msgid "Kalinga, Tanudan"
-msgstr ""
+msgstr "Kalinga, Tanudan"
 
 msgid "Kalispel-Pend d'Oreille"
-msgstr ""
+msgstr "Kalispel-Pend d'Oreille"
 
 msgid "Kalkoti"
-msgstr ""
+msgstr "Kalkoti"
 
 msgid "Kalkutung"
-msgstr ""
+msgstr "Kalkutung"
 
 msgid "Kallahan, Keley-I"
-msgstr ""
+msgstr "Kallahan, Keley-I"
 
 msgid "Kallahan, Tinoc"
-msgstr ""
+msgstr "Kallahan, Tinoc"
 
 msgid "Kalmyk"
-msgstr ""
+msgstr "Kalmyk"
 
 msgid "Kalou"
-msgstr ""
+msgstr "Kalou"
 
 msgid "Kaluli"
-msgstr ""
+msgstr "Kaluli"
 
 msgid "Kalumpang"
-msgstr ""
+msgstr "Kalumpang"
 
 msgid "Kam"
-msgstr ""
+msgstr "Kam"
 
 msgid "Kamakan"
-msgstr ""
+msgstr "Kamakan"
 
 msgid "Kamang"
-msgstr ""
+msgstr "Kamang"
 
 msgid "Kamano"
-msgstr ""
+msgstr "Kamano"
 
 msgid "Kamantan"
-msgstr ""
+msgstr "Kamantan"
 
 msgid "Kamar"
-msgstr ""
+msgstr "Kamar"
 
 msgid "Kamara"
-msgstr ""
+msgstr "Kamara"
 
 msgid "Kamarian"
-msgstr ""
+msgstr "Kamarian"
 
 msgid "Kamaru"
-msgstr ""
+msgstr "Kamaru"
 
 msgid "Kamas"
-msgstr ""
+msgstr "Kamas"
 
 msgid "Kamasa"
-msgstr ""
+msgstr "Kamasa"
 
 msgid "Kamasau"
-msgstr ""
+msgstr "Kamasau"
 
 msgid "Kamayo"
-msgstr ""
+msgstr "Kamayo"
 
 msgid "Kamayurá"
-msgstr ""
+msgstr "Kamayurá"
 
 msgid "Kamba (Kenya)"
-msgstr ""
+msgstr "Kamba (Kenya)"
 
 msgid "Kambaata"
-msgstr ""
+msgstr "Kambaata"
 
 msgid "Kambaira"
-msgstr ""
+msgstr "Kambaira"
 
 msgid "Kambera"
-msgstr ""
+msgstr "Kambera"
 
 msgid "Kamberau"
-msgstr ""
+msgstr "Kamberau"
 
 msgid "Kambiwá"
-msgstr ""
+msgstr "Kambiwá"
 
 msgid "Kami (Nigeria)"
-msgstr ""
+msgstr "Kami (Nigeria)"
 
 msgid "Kami (Tanzania)"
-msgstr ""
+msgstr "Kami (Tanzania)"
 
 msgid "Kamo"
-msgstr ""
+msgstr "Kamo"
 
 msgid "Kamoro"
-msgstr ""
+msgstr "Kamoro"
 
 msgid "Kamu"
-msgstr ""
+msgstr "Kamu"
 
 msgid "Kamula"
-msgstr ""
+msgstr "Kamula"
 
 msgid "Kamviri"
-msgstr ""
+msgstr "Kamviri"
 
 msgid "Kamwe"
-msgstr ""
+msgstr "Kamwe"
 
 msgid "Kanakanabu"
-msgstr ""
+msgstr "Kanakanabu"
 
 msgid "Kanamarí"
-msgstr ""
+msgstr "Kanamarí"
 
 msgid "Kanan"
-msgstr ""
+msgstr "Kanan"
 
 msgid "Kanashi"
-msgstr ""
+msgstr "Kanashi"
 
 msgid "Kanasi"
-msgstr ""
+msgstr "Kanasi"
 
 msgid "Kanauji"
-msgstr ""
+msgstr "Kanauji"
 
 msgid "Kandas"
-msgstr ""
+msgstr "Kandas"
 
 msgid "Kandawo"
-msgstr ""
+msgstr "Kandawo"
 
 msgid "Kande"
-msgstr ""
+msgstr "Kande"
 
 msgid "Kanembu"
-msgstr ""
+msgstr "Kanembu"
 
 msgid "Kang"
-msgstr ""
+msgstr "Kang"
 
 msgid "Kanga"
-msgstr ""
+msgstr "Kanga"
 
 msgid "Kangean"
-msgstr ""
+msgstr "Kangean"
 
 msgid "Kanggape"
-msgstr ""
+msgstr "Kanggape"
 
 msgid "Kangjia"
-msgstr ""
+msgstr "Kangjia"
 
 msgid "Kango (Bas-Uélé District)"
-msgstr ""
+msgstr "Kango (Bas-Uélé District)"
 
 msgid "Kango (Tshopo District)"
-msgstr ""
+msgstr "Kango (Tshopo District)"
 
 msgid "Kangri"
-msgstr ""
+msgstr "Kangri"
 
 msgid "Kaniet"
-msgstr ""
+msgstr "Kaniet"
 
 msgid "Kanikkaran"
-msgstr ""
+msgstr "Kanikkaran"
 
 msgid "Kaningdon-Nindem"
-msgstr ""
+msgstr "Kaningdon-Nindem"
 
 msgid "Kaningi"
-msgstr ""
+msgstr "Kaningi"
 
 msgid "Kaningra"
-msgstr ""
+msgstr "Kaningra"
 
 msgid "Kaninuwa"
-msgstr ""
+msgstr "Kaninuwa"
 
 msgid "Kanite"
-msgstr ""
+msgstr "Kanite"
 
 msgid "Kanjari"
-msgstr ""
+msgstr "Kanjari"
 
 msgid "Kanjobal, Western"
-msgstr ""
+msgstr "Kanjobal, Western"
 
 msgid "Kanju"
-msgstr ""
+msgstr "Kanju"
 
 msgid "Kankanaey"
-msgstr ""
+msgstr "Kankanaey"
 
 msgid "Kankanay, Northern"
-msgstr ""
+msgstr "Kankanay, Northern"
 
 msgid "Kannada"
 msgstr "カンナダ語"
 
 msgid "Kanoé"
-msgstr ""
+msgstr "Kanoé"
 
 msgid "Kansa"
-msgstr ""
+msgstr "Kansa"
 
 msgid "Kantosi"
-msgstr ""
+msgstr "Kantosi"
 
 msgid "Kanu"
-msgstr ""
+msgstr "Kanu"
 
 msgid "Kanufi"
-msgstr ""
+msgstr "Kanufi"
 
 msgid "Kanum, Bädi"
-msgstr ""
+msgstr "Kanum, Bädi"
 
 msgid "Kanum, Ngkâlmpw"
-msgstr ""
+msgstr "Kanum, Ngkâlmpw"
 
 msgid "Kanum, Smärky"
-msgstr ""
+msgstr "Kanum, Smärky"
 
 msgid "Kanum, Sota"
-msgstr ""
+msgstr "Kanum, Sota"
 
 msgid "Kanuri"
 msgstr "カヌリ語"
 
 msgid "Kanuri, Bilma"
-msgstr ""
+msgstr "Kanuri, Bilma"
 
 msgid "Kanuri, Central"
-msgstr ""
+msgstr "Kanuri, Central"
 
 msgid "Kanuri, Manga"
-msgstr ""
+msgstr "Kanuri, Manga"
 
 msgid "Kanuri, Tumari"
-msgstr ""
+msgstr "Kanuri, Tumari"
 
 msgid "Kanyok"
-msgstr ""
+msgstr "Kanyok"
 
 msgid "Kao"
-msgstr ""
+msgstr "Kao"
 
 msgid "Kaonde"
-msgstr ""
+msgstr "Kaonde"
 
 msgid "Kap"
-msgstr ""
+msgstr "Kap"
 
 msgid "Kapin"
-msgstr ""
+msgstr "Kapin"
 
 msgid "Kapinawá"
-msgstr ""
+msgstr "Kapinawá"
 
 msgid "Kapingamarangi"
-msgstr ""
+msgstr "Kapingamarangi"
 
 msgid "Kapori"
-msgstr ""
+msgstr "Kapori"
 
 msgid "Kapriman"
-msgstr ""
+msgstr "Kapriman"
 
 msgid "Kaptiau"
-msgstr ""
+msgstr "Kaptiau"
 
 msgid "Kapya"
-msgstr ""
+msgstr "Kapya"
 
 msgid "Kaqchikel"
-msgstr ""
+msgstr "Kaqchikel"
 
 msgid "Kara (Central African Republic)"
-msgstr ""
+msgstr "Kara (Central African Republic)"
 
 msgid "Kara (Korea)"
-msgstr ""
+msgstr "Kara (Korea)"
 
 msgid "Kara (Papua New Guinea)"
-msgstr ""
+msgstr "Kara (Papua New Guinea)"
 
 msgid "Kara (Tanzania)"
-msgstr ""
+msgstr "Kara (Tanzania)"
 
 msgid "Kara-Kalpak"
 msgstr "カラ・カルパク語"
 
 msgid "Karaboro, Eastern"
-msgstr ""
+msgstr "Karaboro, Eastern"
 
 msgid "Karaboro, Western"
-msgstr ""
+msgstr "Karaboro, Western"
 
 msgid "Karachay-Balkar"
 msgstr "カラチャイ・バルカル語"
 
 msgid "Karadjeri"
-msgstr ""
+msgstr "Karadjeri"
 
 msgid "Karagas"
-msgstr ""
+msgstr "Karagas"
 
 msgid "Karaim"
-msgstr ""
+msgstr "Karaim"
 
 msgid "Karajá"
-msgstr ""
+msgstr "Karajá"
 
 msgid "Karakhanid"
-msgstr ""
+msgstr "Karakhanid"
 
 msgid "Karami"
-msgstr ""
+msgstr "Karami"
 
 msgid "Karamojong"
-msgstr ""
+msgstr "Karamojong"
 
 msgid "Karang"
-msgstr ""
+msgstr "Karang"
 
 msgid "Karanga"
-msgstr ""
+msgstr "Karanga"
 
 msgid "Karankawa"
-msgstr ""
+msgstr "Karankawa"
 
 msgid "Karao"
-msgstr ""
+msgstr "Karao"
 
 msgid "Karas"
-msgstr ""
+msgstr "Karas"
 
 msgid "Karata"
-msgstr ""
+msgstr "Karata"
 
 msgid "Karawa"
-msgstr ""
+msgstr "Karawa"
 
 msgid "Karbi"
-msgstr ""
+msgstr "Karbi"
 
 msgid "Karbi, Amri"
-msgstr ""
+msgstr "Karbi, Amri"
 
 msgid "Kare (Central African Republic)"
-msgstr ""
+msgstr "Kare (Central African Republic)"
 
 msgid "Kare (Papua New Guinea)"
-msgstr ""
+msgstr "Kare (Papua New Guinea)"
 
 msgid "Karekare"
-msgstr ""
+msgstr "Karekare"
 
 msgid "Karelian"
 msgstr "カレリア語"
 
 msgid "Karen, Bwe"
-msgstr ""
+msgstr "Karen, Bwe"
 
 msgid "Karen, Geba"
-msgstr ""
+msgstr "Karen, Geba"
 
 msgid "Karen, Geko"
-msgstr ""
+msgstr "Karen, Geko"
 
 msgid "Karen, Lahta"
-msgstr ""
+msgstr "Karen, Lahta"
 
 msgid "Karen, Manumanaw"
-msgstr ""
+msgstr "Karen, Manumanaw"
 
 msgid "Karen, Mobwa"
-msgstr ""
+msgstr "Karen, Mobwa"
 
 msgid "Karen, Pa'o"
-msgstr ""
+msgstr "Karen, Pa'o"
 
 msgid "Karen, Paku"
-msgstr ""
+msgstr "Karen, Paku"
 
 msgid "Karen, Phrae Pwo"
-msgstr ""
+msgstr "Karen, Phrae Pwo"
 
 msgid "Karen, Pwo Eastern"
-msgstr ""
+msgstr "Karen, Pwo Eastern"
 
 msgid "Karen, Pwo Northern"
-msgstr ""
+msgstr "Karen, Pwo Northern"
 
 msgid "Karen, Pwo Western"
-msgstr ""
+msgstr "Karen, Pwo Western"
 
 msgid "Karen, S'gaw"
-msgstr ""
+msgstr "Karen, S'gaw"
 
 msgid "Karen, Yinbaw"
-msgstr ""
+msgstr "Karen, Yinbaw"
 
 msgid "Karen, Yintale"
-msgstr ""
+msgstr "Karen, Yintale"
 
 msgid "Karen, Zayein"
-msgstr ""
+msgstr "Karen, Zayein"
 
 msgid "Karenggapa"
-msgstr ""
+msgstr "Karenggapa"
 
 msgid "Karey"
-msgstr ""
+msgstr "Karey"
 
 msgid "Kari"
-msgstr ""
+msgstr "Kari"
 
 msgid "Karingani"
-msgstr ""
+msgstr "Karingani"
 
 msgid "Karipuna"
-msgstr ""
+msgstr "Karipuna"
 
 msgid "Karipúna"
-msgstr ""
+msgstr "Karipúna"
 
 msgid "Karirí-Xocó"
-msgstr ""
+msgstr "Karirí-Xocó"
 
 msgid "Karitiâna"
-msgstr ""
+msgstr "Karitiâna"
 
 msgid "Kariya"
-msgstr ""
+msgstr "Kariya"
 
 msgid "Kariyarra"
-msgstr ""
+msgstr "Kariyarra"
 
 msgid "Karkar-Yuri"
-msgstr ""
+msgstr "Karkar-Yuri"
 
 msgid "Karkin"
-msgstr ""
+msgstr "Karkin"
 
 msgid "Karko"
-msgstr ""
+msgstr "Karko"
 
 msgid "Karnai"
-msgstr ""
+msgstr "Karnai"
 
 msgid "Karnic, Eastern"
-msgstr ""
+msgstr "Karnic, Eastern"
 
 msgid "Karo (Brazil)"
-msgstr ""
+msgstr "Karo (Brazil)"
 
 msgid "Karo (Ethiopia)"
-msgstr ""
+msgstr "Karo (Ethiopia)"
 
 msgid "Karok"
-msgstr ""
+msgstr "Karok"
 
 msgid "Karon"
-msgstr ""
+msgstr "Karon"
 
 msgid "Karon Dori"
-msgstr ""
+msgstr "Karon Dori"
 
 msgid "Karore"
-msgstr ""
+msgstr "Karore"
 
 msgid "Karranga"
-msgstr ""
+msgstr "Karranga"
 
 msgid "Karuwali"
-msgstr ""
+msgstr "Karuwali"
 
 msgid "Kasanga"
-msgstr ""
+msgstr "Kasanga"
 
 msgid "Kasem"
-msgstr ""
+msgstr "Kasem"
 
 msgid "Kashaya"
-msgstr ""
+msgstr "Kashaya"
 
 msgid "Kashmiri"
 msgstr "カシミーリー語"
@@ -9231,2365 +9232,2365 @@ msgid "Kashubian"
 msgstr "カシュビアン語"
 
 msgid "Kasiguranin"
-msgstr ""
+msgstr "Kasiguranin"
 
 msgid "Kaska"
-msgstr ""
+msgstr "Kaska"
 
 msgid "Kaskean"
-msgstr ""
+msgstr "Kaskean"
 
 msgid "Kasua"
-msgstr ""
+msgstr "Kasua"
 
 msgid "Kataang"
-msgstr ""
+msgstr "Kataang"
 
 msgid "Katabaga"
-msgstr ""
+msgstr "Katabaga"
 
 msgid "Katawixi"
-msgstr ""
+msgstr "Katawixi"
 
 msgid "Katbol"
-msgstr ""
+msgstr "Katbol"
 
 msgid "Katcha-Kadugli-Miri"
-msgstr ""
+msgstr "Katcha-Kadugli-Miri"
 
 msgid "Kathu"
-msgstr ""
+msgstr "Kathu"
 
 msgid "Kati"
-msgstr ""
+msgstr "Kati"
 
 msgid "Katkari"
-msgstr ""
+msgstr "Katkari"
 
 msgid "Katla"
-msgstr ""
+msgstr "Katla"
 
 msgid "Kato"
-msgstr ""
+msgstr "Kato"
 
 msgid "Katso"
-msgstr ""
+msgstr "Katso"
 
 msgid "Katu, Eastern"
-msgstr ""
+msgstr "Katu, Eastern"
 
 msgid "Katu, Western"
-msgstr ""
+msgstr "Katu, Western"
 
 msgid "Katua"
-msgstr ""
+msgstr "Katua"
 
 msgid "Katukína"
-msgstr ""
+msgstr "Katukína"
 
 msgid "Katukína, Panoan"
-msgstr ""
+msgstr "Katukína, Panoan"
 
 msgid "Kaulong"
-msgstr ""
+msgstr "Kaulong"
 
 msgid "Kaur"
-msgstr ""
+msgstr "Kaur"
 
 msgid "Kaure"
-msgstr ""
+msgstr "Kaure"
 
 msgid "Kaurna"
-msgstr ""
+msgstr "Kaurna"
 
 msgid "Kauwera"
-msgstr ""
+msgstr "Kauwera"
 
 msgid "Kavalan"
-msgstr ""
+msgstr "Kavalan"
 
 msgid "Kavet"
-msgstr ""
+msgstr "Kavet"
 
 msgid "Kawacha"
-msgstr ""
+msgstr "Kawacha"
 
 msgid "Kawaiisu"
-msgstr ""
+msgstr "Kawaiisu"
 
 msgid "Kawe"
-msgstr ""
+msgstr "Kawe"
 
 msgid "Kawi"
 msgstr "カウィ語"
 
 msgid "Kaxararí"
-msgstr ""
+msgstr "Kaxararí"
 
 msgid "Kaxuiâna"
-msgstr ""
+msgstr "Kaxuiâna"
 
 msgid "Kayabí"
-msgstr ""
+msgstr "Kayabí"
 
 msgid "Kayagar"
-msgstr ""
+msgstr "Kayagar"
 
 msgid "Kayah, Eastern"
-msgstr ""
+msgstr "Kayah, Eastern"
 
 msgid "Kayah, Western"
-msgstr ""
+msgstr "Kayah, Western"
 
 msgid "Kayan"
-msgstr ""
+msgstr "Kayan"
 
 msgid "Kayan Mahakam"
-msgstr ""
+msgstr "Kayan Mahakam"
 
 msgid "Kayan, Baram"
-msgstr ""
+msgstr "Kayan, Baram"
 
 msgid "Kayan, Busang"
-msgstr ""
+msgstr "Kayan, Busang"
 
 msgid "Kayan, Kayan River"
-msgstr ""
+msgstr "Kayan, Kayan River"
 
 msgid "Kayan, Mendalam"
-msgstr ""
+msgstr "Kayan, Mendalam"
 
 msgid "Kayan, Rejang"
-msgstr ""
+msgstr "Kayan, Rejang"
 
 msgid "Kayan, Wahau"
-msgstr ""
+msgstr "Kayan, Wahau"
 
 msgid "Kayapó"
-msgstr ""
+msgstr "Kayapó"
 
 msgid "Kayardild"
-msgstr ""
+msgstr "Kayardild"
 
 msgid "Kayaw"
-msgstr ""
+msgstr "Kayaw"
 
 msgid "Kayeli"
-msgstr ""
+msgstr "Kayeli"
 
 msgid "Kayong"
-msgstr ""
+msgstr "Kayong"
 
 msgid "Kayort"
-msgstr ""
+msgstr "Kayort"
 
 msgid "Kaytetye"
-msgstr ""
+msgstr "Kaytetye"
 
 msgid "Kayupulau"
-msgstr ""
+msgstr "Kayupulau"
 
 msgid "Kazakh"
 msgstr "カザーフ語"
 
 msgid "Kazukuru"
-msgstr ""
+msgstr "Kazukuru"
 
 msgid "Ke'o"
-msgstr ""
+msgstr "Ke'o"
 
 msgid "Keak"
-msgstr ""
+msgstr "Keak"
 
 msgid "Keapara"
-msgstr ""
+msgstr "Keapara"
 
 msgid "Kedang"
-msgstr ""
+msgstr "Kedang"
 
 msgid "Keder"
-msgstr ""
+msgstr "Keder"
 
 msgid "Kehu"
-msgstr ""
+msgstr "Kehu"
 
 msgid "Kei"
-msgstr ""
+msgstr "Kei"
 
 msgid "Keiga"
-msgstr ""
+msgstr "Keiga"
 
 msgid "Kein"
-msgstr ""
+msgstr "Kein"
 
 msgid "Keiyo"
-msgstr ""
+msgstr "Keiyo"
 
 msgid "Kekchí"
-msgstr ""
+msgstr "Kekchí"
 
 msgid "Kela (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Kela (Democratic Republic of Congo)"
 
 msgid "Kela (Papua New Guinea)"
-msgstr ""
+msgstr "Kela (Papua New Guinea)"
 
 msgid "Kelabit"
-msgstr ""
+msgstr "Kelabit"
 
 msgid "Kele (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Kele (Democratic Republic of Congo)"
 
 msgid "Kele (Papua New Guinea)"
-msgstr ""
+msgstr "Kele (Papua New Guinea)"
 
 msgid "Keliko"
-msgstr ""
+msgstr "Keliko"
 
 msgid "Kelo"
-msgstr ""
+msgstr "Kelo"
 
 msgid "Kelon"
-msgstr ""
+msgstr "Kelon"
 
 msgid "Kemak"
-msgstr ""
+msgstr "Kemak"
 
 msgid "Kembayan"
-msgstr ""
+msgstr "Kembayan"
 
 msgid "Kemberano"
-msgstr ""
+msgstr "Kemberano"
 
 msgid "Kembra"
-msgstr ""
+msgstr "Kembra"
 
 msgid "Kemedzung"
-msgstr ""
+msgstr "Kemedzung"
 
 msgid "Kemiehua"
-msgstr ""
+msgstr "Kemiehua"
 
 msgid "Kemtuik"
-msgstr ""
+msgstr "Kemtuik"
 
 msgid "Kenaboi"
-msgstr ""
+msgstr "Kenaboi"
 
 msgid "Kenati"
-msgstr ""
+msgstr "Kenati"
 
 msgid "Kendayan"
-msgstr ""
+msgstr "Kendayan"
 
 msgid "Kendeje"
-msgstr ""
+msgstr "Kendeje"
 
 msgid "Kendem"
-msgstr ""
+msgstr "Kendem"
 
 msgid "Kenga"
-msgstr ""
+msgstr "Kenga"
 
 msgid "Keninjal"
-msgstr ""
+msgstr "Keninjal"
 
 msgid "Kensiu"
-msgstr ""
+msgstr "Kensiu"
 
 msgid "Kenswei Nsei"
-msgstr ""
+msgstr "Kenswei Nsei"
 
 msgid "Kentish Sign Language, Old"
-msgstr ""
+msgstr "Kentish Sign Language, Old"
 
 msgid "Kenyah, Wahau"
-msgstr ""
+msgstr "Kenyah, Wahau"
 
 msgid "Kenyan Sign Language"
-msgstr ""
+msgstr "Kenyan Sign Language"
 
 msgid "Kenyang"
-msgstr ""
+msgstr "Kenyang"
 
 msgid "Kenyi"
-msgstr ""
+msgstr "Kenyi"
 
 msgid "Kenzi"
-msgstr ""
+msgstr "Kenzi"
 
 msgid "Keoru-Ahia"
-msgstr ""
+msgstr "Keoru-Ahia"
 
 msgid "Kepkiriwát"
-msgstr ""
+msgstr "Kepkiriwát"
 
 msgid "Kepo'"
-msgstr ""
+msgstr "Kepo'"
 
 msgid "Kera"
-msgstr ""
+msgstr "Kera"
 
 msgid "Kerak"
-msgstr ""
+msgstr "Kerak"
 
 msgid "Kereho"
-msgstr ""
+msgstr "Kereho"
 
 msgid "Kerek"
-msgstr ""
+msgstr "Kerek"
 
 msgid "Keres, Eastern"
-msgstr ""
+msgstr "Keres, Eastern"
 
 msgid "Keres, Western"
-msgstr ""
+msgstr "Keres, Western"
 
 msgid "Kerewe"
-msgstr ""
+msgstr "Kerewe"
 
 msgid "Kerewo"
-msgstr ""
+msgstr "Kerewo"
 
 msgid "Kerinci"
-msgstr ""
+msgstr "Kerinci"
 
 msgid "Kesawai"
-msgstr ""
+msgstr "Kesawai"
 
 msgid "Ket"
-msgstr ""
+msgstr "Ket"
 
 msgid "Ketangalan"
-msgstr ""
+msgstr "Ketangalan"
 
 msgid "Kete"
-msgstr ""
+msgstr "Kete"
 
 msgid "Ketengban"
-msgstr ""
+msgstr "Ketengban"
 
 msgid "Ketum"
-msgstr ""
+msgstr "Ketum"
 
 msgid "Kewa, East"
-msgstr ""
+msgstr "Kewa, East"
 
 msgid "Kewa, West"
-msgstr ""
+msgstr "Kewa, West"
 
 msgid "Keyagana"
-msgstr ""
+msgstr "Keyagana"
 
 msgid "Kgalagadi"
-msgstr ""
+msgstr "Kgalagadi"
 
 msgid "Khakas"
-msgstr ""
+msgstr "Khakas"
 
 msgid "Khalaj"
-msgstr ""
+msgstr "Khalaj"
 
 msgid "Khalaj, Turkic"
-msgstr ""
+msgstr "Khalaj, Turkic"
 
 msgid "Khaling"
-msgstr ""
+msgstr "Khaling"
 
 msgid "Kham, Eastern Parbate"
-msgstr ""
+msgstr "Kham, Eastern Parbate"
 
 msgid "Kham, Gamale"
-msgstr ""
+msgstr "Kham, Gamale"
 
 msgid "Kham, Sheshi"
-msgstr ""
+msgstr "Kham, Sheshi"
 
 msgid "Kham, Western Parbate"
-msgstr ""
+msgstr "Kham, Western Parbate"
 
 msgid "Khamba"
-msgstr ""
+msgstr "Khamba"
 
 msgid "Khamti"
-msgstr ""
+msgstr "Khamti"
 
 msgid "Khamyang"
-msgstr ""
+msgstr "Khamyang"
 
 msgid "Khana"
-msgstr ""
+msgstr "Khana"
 
 msgid "Khandesi"
-msgstr ""
+msgstr "Khandesi"
 
 msgid "Khanty"
-msgstr ""
+msgstr "Khanty"
 
 msgid "Khao"
-msgstr ""
+msgstr "Khao"
 
 msgid "Kharia"
-msgstr ""
+msgstr "Kharia"
 
 msgid "Kharia Thar"
-msgstr ""
+msgstr "Kharia Thar"
 
 msgid "Khasi"
 msgstr "Khasi"
 
 msgid "Khayo"
-msgstr ""
+msgstr "Khayo"
 
 msgid "Khazar"
-msgstr ""
+msgstr "Khazar"
 
 msgid "Khe"
-msgstr ""
+msgstr "Khe"
 
 msgid "Khehek"
-msgstr ""
+msgstr "Khehek"
 
 msgid "Khengkha"
-msgstr ""
+msgstr "Khengkha"
 
 msgid "Khetrani"
-msgstr ""
+msgstr "Khetrani"
 
 msgid "Khinalugh"
-msgstr ""
+msgstr "Khinalugh"
 
 msgid "Khirwar"
-msgstr ""
+msgstr "Khirwar"
 
 msgid "Khisa"
-msgstr ""
+msgstr "Khisa"
 
 msgid "Khlor"
-msgstr ""
+msgstr "Khlor"
 
 msgid "Khlula"
-msgstr ""
+msgstr "Khlula"
 
 msgid "Khmer, Central"
-msgstr ""
+msgstr "Khmer, Central"
 
 msgid "Khmer, Northern"
-msgstr ""
+msgstr "Khmer, Northern"
 
 msgid "Khmu"
-msgstr ""
+msgstr "Khmu"
 
 msgid "Kho'ini"
-msgstr ""
+msgstr "Kho'ini"
 
 msgid "Khoekhoe"
-msgstr ""
+msgstr "Khoekhoe"
 
 msgid "Kholok"
-msgstr ""
+msgstr "Kholok"
 
 msgid "Khorasani Turkish"
-msgstr ""
+msgstr "Khorasani Turkish"
 
 msgid "Khorezmian"
-msgstr ""
+msgstr "Khorezmian"
 
 msgid "Khotanese"
 msgstr "ホータン語"
 
 msgid "Khowar"
-msgstr ""
+msgstr "Khowar"
 
 msgid "Khua"
-msgstr ""
+msgstr "Khua"
 
 msgid "Khuen"
-msgstr ""
+msgstr "Khuen"
 
 msgid "Khunsari"
-msgstr ""
+msgstr "Khunsari"
 
 msgid "Khvarshi"
-msgstr ""
+msgstr "Khvarshi"
 
 msgid "Kháng"
-msgstr ""
+msgstr "Kháng"
 
 msgid "Khün"
-msgstr ""
+msgstr "Khün"
 
 msgid "Kibet"
-msgstr ""
+msgstr "Kibet"
 
 msgid "Kibiri"
-msgstr ""
+msgstr "Kibiri"
 
 msgid "Kickapoo"
-msgstr ""
+msgstr "Kickapoo"
 
 msgid "Kikai"
-msgstr ""
+msgstr "Kikai"
 
 msgid "Kikuyu"
 msgstr "キクユ語"
 
 msgid "Kilivila"
-msgstr ""
+msgstr "Kilivila"
 
 msgid "Kiliwa"
-msgstr ""
+msgstr "Kiliwa"
 
 msgid "Kilmeri"
-msgstr ""
+msgstr "Kilmeri"
 
 msgid "Kim"
-msgstr ""
+msgstr "Kim"
 
 msgid "Kim Mun"
-msgstr ""
+msgstr "Kim Mun"
 
 msgid "Kimaama"
-msgstr ""
+msgstr "Kimaama"
 
 msgid "Kimaragang"
-msgstr ""
+msgstr "Kimaragang"
 
 msgid "Kimbu"
-msgstr ""
+msgstr "Kimbu"
 
 msgid "Kimbundu"
 msgstr "キンブンドゥ語"
 
 msgid "Kimki"
-msgstr ""
+msgstr "Kimki"
 
 msgid "Kimré"
-msgstr ""
+msgstr "Kimré"
 
 msgid "Kinabalian"
-msgstr ""
+msgstr "Kinabalian"
 
 msgid "Kinabatangan, Upper"
-msgstr ""
+msgstr "Kinabatangan, Upper"
 
 msgid "Kinalakna"
-msgstr ""
+msgstr "Kinalakna"
 
 msgid "Kinaray-A"
-msgstr ""
+msgstr "Kinaray-A"
 
 msgid "Kinga"
-msgstr ""
+msgstr "Kinga"
 
 msgid "Kinnauri"
-msgstr ""
+msgstr "Kinnauri"
 
 msgid "Kinnauri, Bhoti"
-msgstr ""
+msgstr "Kinnauri, Bhoti"
 
 msgid "Kinnauri, Chitkuli"
-msgstr ""
+msgstr "Kinnauri, Chitkuli"
 
 msgid "Kinnauri, Harijan"
-msgstr ""
+msgstr "Kinnauri, Harijan"
 
 msgid "Kintaq"
-msgstr ""
+msgstr "Kintaq"
 
 msgid "Kinuku"
-msgstr ""
+msgstr "Kinuku"
 
 msgid "Kinyarwanda"
 msgstr "キンヤルワンダ語"
 
 msgid "Kioko"
-msgstr ""
+msgstr "Kioko"
 
 msgid "Kiong"
-msgstr ""
+msgstr "Kiong"
 
 msgid "Kiorr"
-msgstr ""
+msgstr "Kiorr"
 
 msgid "Kiowa"
-msgstr ""
+msgstr "Kiowa"
 
 msgid "Kipsigis"
-msgstr ""
+msgstr "Kipsigis"
 
 msgid "Kiput"
-msgstr ""
+msgstr "Kiput"
 
 msgid "Kir-Balar"
-msgstr ""
+msgstr "Kir-Balar"
 
 msgid "Kire"
-msgstr ""
+msgstr "Kire"
 
 msgid "Kirghiz"
 msgstr "キルギス語"
 
 msgid "Kirike"
-msgstr ""
+msgstr "Kirike"
 
 msgid "Kirikiri"
-msgstr ""
+msgstr "Kirikiri"
 
 msgid "Kirmanjki (individual language)"
-msgstr ""
+msgstr "Kirmanjki (individual language)"
 
 msgid "Kirya-Konzəl"
-msgstr ""
+msgstr "Kirya-Konzəl"
 
 msgid "Kis"
-msgstr ""
+msgstr "Kis"
 
 msgid "Kisa"
-msgstr ""
+msgstr "Kisa"
 
 msgid "Kisan"
-msgstr ""
+msgstr "Kisan"
 
 msgid "Kisankasa"
-msgstr ""
+msgstr "Kisankasa"
 
 msgid "Kisar"
-msgstr ""
+msgstr "Kisar"
 
 msgid "Kisi"
-msgstr ""
+msgstr "Kisi"
 
 msgid "Kisi, Southern"
-msgstr ""
+msgstr "Kisi, Southern"
 
 msgid "Kissi, Northern"
-msgstr ""
+msgstr "Kissi, Northern"
 
 msgid "Kistane"
-msgstr ""
+msgstr "Kistane"
 
 msgid "Kitan"
-msgstr ""
+msgstr "Kitan"
 
 msgid "Kitja"
-msgstr ""
+msgstr "Kitja"
 
 msgid "Kitsai"
-msgstr ""
+msgstr "Kitsai"
 
 msgid "Kituba (Congo)"
-msgstr ""
+msgstr "Kituba (Congo)"
 
 msgid "Kituba (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Kituba (Democratic Republic of Congo)"
 
 msgid "Kiunum"
-msgstr ""
+msgstr "Kiunum"
 
 msgid "Kiwai, Northeast"
-msgstr ""
+msgstr "Kiwai, Northeast"
 
 msgid "Kiwai, Southern"
-msgstr ""
+msgstr "Kiwai, Southern"
 
 msgid "Kla-Dan"
-msgstr ""
+msgstr "Kla-Dan"
 
 msgid "Klamath-Modoc"
-msgstr ""
+msgstr "Klamath-Modoc"
 
 msgid "Klao"
-msgstr ""
+msgstr "Klao"
 
 msgid "Klingon"
-msgstr ""
+msgstr "Klingon"
 
 msgid "Knaanic"
-msgstr ""
+msgstr "Knaanic"
 
 msgid "Ko"
-msgstr ""
+msgstr "Ko"
 
 msgid "Koalib"
-msgstr ""
+msgstr "Koalib"
 
 msgid "Koasati"
-msgstr ""
+msgstr "Koasati"
 
 msgid "Koba"
-msgstr ""
+msgstr "Koba"
 
 msgid "Kobiana"
-msgstr ""
+msgstr "Kobiana"
 
 msgid "Kobol"
-msgstr ""
+msgstr "Kobol"
 
 msgid "Kobon"
-msgstr ""
+msgstr "Kobon"
 
 msgid "Koch"
-msgstr ""
+msgstr "Koch"
 
 msgid "Koda"
-msgstr ""
+msgstr "Koda"
 
 msgid "Kodaku"
-msgstr ""
+msgstr "Kodaku"
 
 msgid "Kodava"
-msgstr ""
+msgstr "Kodava"
 
 msgid "Kodeoha"
-msgstr ""
+msgstr "Kodeoha"
 
 msgid "Kodi"
-msgstr ""
+msgstr "Kodi"
 
 msgid "Kodia"
-msgstr ""
+msgstr "Kodia"
 
 msgid "Koenoem"
-msgstr ""
+msgstr "Koenoem"
 
 msgid "Kofa"
-msgstr ""
+msgstr "Kofa"
 
 msgid "Kofei"
-msgstr ""
+msgstr "Kofei"
 
 msgid "Kofyar"
-msgstr ""
+msgstr "Kofyar"
 
 msgid "Koguryo"
-msgstr ""
+msgstr "Koguryo"
 
 msgid "Kohin"
-msgstr ""
+msgstr "Kohin"
 
 msgid "Kohistani, Indus"
-msgstr ""
+msgstr "Kohistani, Indus"
 
 msgid "Koho"
-msgstr ""
+msgstr "Koho"
 
 msgid "Kohumono"
-msgstr ""
+msgstr "Kohumono"
 
 msgid "Koi"
-msgstr ""
+msgstr "Koi"
 
 msgid "Koiali, Mountain"
-msgstr ""
+msgstr "Koiali, Mountain"
 
 msgid "Koiari, Grass"
-msgstr ""
+msgstr "Koiari, Grass"
 
 msgid "Koibal"
-msgstr ""
+msgstr "Koibal"
 
 msgid "Koireng"
-msgstr ""
+msgstr "Koireng"
 
 msgid "Koitabu"
-msgstr ""
+msgstr "Koitabu"
 
 msgid "Koiwat"
-msgstr ""
+msgstr "Koiwat"
 
 msgid "Kok Borok"
-msgstr ""
+msgstr "Kok Borok"
 
 msgid "Kok-Nar"
-msgstr ""
+msgstr "Kok-Nar"
 
 msgid "Kokata"
-msgstr ""
+msgstr "Kokata"
 
 msgid "Koke"
-msgstr ""
+msgstr "Koke"
 
 msgid "Koko Babangk"
-msgstr ""
+msgstr "Koko Babangk"
 
 msgid "Kokoda"
-msgstr ""
+msgstr "Kokoda"
 
 msgid "Kokola"
-msgstr ""
+msgstr "Kokola"
 
 msgid "Kokota"
-msgstr ""
+msgstr "Kokota"
 
 msgid "Kol (Bangladesh)"
-msgstr ""
+msgstr "Kol (Bangladesh)"
 
 msgid "Kol (Cameroon)"
-msgstr ""
+msgstr "Kol (Cameroon)"
 
 msgid "Kol (Papua New Guinea)"
-msgstr ""
+msgstr "Kol (Papua New Guinea)"
 
 msgid "Kola"
-msgstr ""
+msgstr "Kola"
 
 msgid "Kolami, Northwestern"
-msgstr ""
+msgstr "Kolami, Northwestern"
 
 msgid "Kolami, Southeastern"
-msgstr ""
+msgstr "Kolami, Southeastern"
 
 msgid "Kolbila"
-msgstr ""
+msgstr "Kolbila"
 
 msgid "Koli, Kachi"
-msgstr ""
+msgstr "Koli, Kachi"
 
 msgid "Koli, Parkari"
-msgstr ""
+msgstr "Koli, Parkari"
 
 msgid "Koli, Wadiyara"
-msgstr ""
+msgstr "Koli, Wadiyara"
 
 msgid "Koluwawa"
-msgstr ""
+msgstr "Koluwawa"
 
 msgid "Kom (Cameroon)"
-msgstr ""
+msgstr "Kom (Cameroon)"
 
 msgid "Kom (India)"
-msgstr ""
+msgstr "Kom (India)"
 
 msgid "Koma"
-msgstr ""
+msgstr "Koma"
 
 msgid "Komba"
-msgstr ""
+msgstr "Komba"
 
 msgid "Kombai"
-msgstr ""
+msgstr "Kombai"
 
 msgid "Kombio"
-msgstr ""
+msgstr "Kombio"
 
 msgid "Komering"
-msgstr ""
+msgstr "Komering"
 
 msgid "Komi"
 msgstr "コミ語"
 
 msgid "Komi-Permyak"
-msgstr ""
+msgstr "Komi-Permyak"
 
 msgid "Komi-Zyrian"
-msgstr ""
+msgstr "Komi-Zyrian"
 
 msgid "Kominimung"
-msgstr ""
+msgstr "Kominimung"
 
 msgid "Komo (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Komo (Democratic Republic of Congo)"
 
 msgid "Komo (Sudan)"
-msgstr ""
+msgstr "Komo (Sudan)"
 
 msgid "Komodo"
-msgstr ""
+msgstr "Komodo"
 
 msgid "Kompane"
-msgstr ""
+msgstr "Kompane"
 
 msgid "Komyandaret"
-msgstr ""
+msgstr "Komyandaret"
 
 msgid "Kon Keu"
-msgstr ""
+msgstr "Kon Keu"
 
 msgid "Konai"
-msgstr ""
+msgstr "Konai"
 
 msgid "Konda"
-msgstr ""
+msgstr "Konda"
 
 msgid "Konda-Dora"
-msgstr ""
+msgstr "Konda-Dora"
 
 msgid "Koneraw"
-msgstr ""
+msgstr "Koneraw"
 
 msgid "Kongo"
 msgstr "Kongo"
 
 msgid "Kongo, San Salvador"
-msgstr ""
+msgstr "Kongo, San Salvador"
 
 msgid "Konjo, Coastal"
-msgstr ""
+msgstr "Konjo, Coastal"
 
 msgid "Konjo, Highland"
-msgstr ""
+msgstr "Konjo, Highland"
 
 msgid "Konkani (individual language)"
-msgstr ""
+msgstr "Konkani (individual language)"
 
 msgid "Konkani (macrolanguage)"
-msgstr ""
+msgstr "Konkani (macrolanguage)"
 
 msgid "Konkani, Goan"
-msgstr ""
+msgstr "Konkani, Goan"
 
 msgid "Konkomba"
-msgstr ""
+msgstr "Konkomba"
 
 msgid "Konni"
-msgstr ""
+msgstr "Konni"
 
 msgid "Kono (Guinea)"
-msgstr ""
+msgstr "Kono (Guinea)"
 
 msgid "Kono (Nigeria)"
-msgstr ""
+msgstr "Kono (Nigeria)"
 
 msgid "Kono (Sierra Leone)"
-msgstr ""
+msgstr "Kono (Sierra Leone)"
 
 msgid "Konomala"
-msgstr ""
+msgstr "Konomala"
 
 msgid "Konongo"
-msgstr ""
+msgstr "Konongo"
 
 msgid "Konso"
-msgstr ""
+msgstr "Konso"
 
 msgid "Konzo"
-msgstr ""
+msgstr "Konzo"
 
 msgid "Koongo"
 msgstr "コンゴ語"
 
 msgid "Koonzime"
-msgstr ""
+msgstr "Koonzime"
 
 msgid "Koorete"
-msgstr ""
+msgstr "Koorete"
 
 msgid "Kopar"
-msgstr ""
+msgstr "Kopar"
 
 msgid "Kopkaka"
-msgstr ""
+msgstr "Kopkaka"
 
 msgid "Korafe-Yegha"
-msgstr ""
+msgstr "Korafe-Yegha"
 
 msgid "Koraga, Korra"
-msgstr ""
+msgstr "Koraga, Korra"
 
 msgid "Koraga, Mudu"
-msgstr ""
+msgstr "Koraga, Mudu"
 
 msgid "Korak"
-msgstr ""
+msgstr "Korak"
 
 msgid "Korana"
-msgstr ""
+msgstr "Korana"
 
 msgid "Korandje"
-msgstr ""
+msgstr "Korandje"
 
 msgid "Korean"
 msgstr "朝鮮語"
 
 msgid "Korean Sign Language"
-msgstr ""
+msgstr "Korean Sign Language"
 
 msgid "Korean, Middle (10th-16th cent.)"
-msgstr ""
+msgstr "Korean, Middle (10th-16th cent.)"
 
 msgid "Korean, Old (3rd-9th cent.)"
-msgstr ""
+msgstr "Korean, Old (3rd-9th cent.)"
 
 msgid "Koreguaje"
-msgstr ""
+msgstr "Koreguaje"
 
 msgid "Koresh-e Rostam"
-msgstr ""
+msgstr "Koresh-e Rostam"
 
 msgid "Korku"
-msgstr ""
+msgstr "Korku"
 
 msgid "Koro (Côte d'Ivoire)"
-msgstr ""
+msgstr "Koro (Côte d'Ivoire)"
 
 msgid "Koro (India)"
-msgstr ""
+msgstr "Koro (India)"
 
 msgid "Koro (Papua New Guinea)"
-msgstr ""
+msgstr "Koro (Papua New Guinea)"
 
 msgid "Koro (Vanuatu)"
-msgstr ""
+msgstr "Koro (Vanuatu)"
 
 msgid "Koro Wachi"
-msgstr ""
+msgstr "Koro Wachi"
 
 msgid "Koromfé"
-msgstr ""
+msgstr "Koromfé"
 
 msgid "Koromira"
-msgstr ""
+msgstr "Koromira"
 
 msgid "Koroni"
-msgstr ""
+msgstr "Koroni"
 
 msgid "Korop"
-msgstr ""
+msgstr "Korop"
 
 msgid "Koropó"
-msgstr ""
+msgstr "Koropó"
 
 msgid "Koroshi"
-msgstr ""
+msgstr "Koroshi"
 
 msgid "Korowai"
-msgstr ""
+msgstr "Korowai"
 
 msgid "Korubo"
-msgstr ""
+msgstr "Korubo"
 
 msgid "Korupun-Sela"
-msgstr ""
+msgstr "Korupun-Sela"
 
 msgid "Korwa"
-msgstr ""
+msgstr "Korwa"
 
 msgid "Koryak"
-msgstr ""
+msgstr "Koryak"
 
 msgid "Kosadle"
-msgstr ""
+msgstr "Kosadle"
 
 msgid "Kosena"
-msgstr ""
+msgstr "Kosena"
 
 msgid "Koshin"
-msgstr ""
+msgstr "Koshin"
 
 msgid "Kosraean"
 msgstr "コスラエ語"
 
 msgid "Kota (Gabon)"
-msgstr ""
+msgstr "Kota (Gabon)"
 
 msgid "Kota (India)"
-msgstr ""
+msgstr "Kota (India)"
 
 msgid "Kota Marudu Talantang"
-msgstr ""
+msgstr "Kota Marudu Talantang"
 
 msgid "Kotava"
-msgstr ""
+msgstr "Kotava"
 
 msgid "Koti"
-msgstr ""
+msgstr "Koti"
 
 msgid "Kott"
-msgstr ""
+msgstr "Kott"
 
 msgid "Kouya"
-msgstr ""
+msgstr "Kouya"
 
 msgid "Kovai"
-msgstr ""
+msgstr "Kovai"
 
 msgid "Kove"
-msgstr ""
+msgstr "Kove"
 
 msgid "Kowaki"
-msgstr ""
+msgstr "Kowaki"
 
 msgid "Kowiai"
-msgstr ""
+msgstr "Kowiai"
 
 msgid "Koy Sanjaq Surat"
-msgstr ""
+msgstr "Koy Sanjaq Surat"
 
 msgid "Koya"
-msgstr ""
+msgstr "Koya"
 
 msgid "Koyaga"
-msgstr ""
+msgstr "Koyaga"
 
 msgid "Koyo"
-msgstr ""
+msgstr "Koyo"
 
 msgid "Koyukon"
-msgstr ""
+msgstr "Koyukon"
 
 msgid "Kpagua"
-msgstr ""
+msgstr "Kpagua"
 
 msgid "Kpala"
-msgstr ""
+msgstr "Kpala"
 
 msgid "Kpan"
-msgstr ""
+msgstr "Kpan"
 
 msgid "Kpasam"
-msgstr ""
+msgstr "Kpasam"
 
 msgid "Kpati"
-msgstr ""
+msgstr "Kpati"
 
 msgid "Kpatili"
-msgstr ""
+msgstr "Kpatili"
 
 msgid "Kpeego"
-msgstr ""
+msgstr "Kpeego"
 
 msgid "Kpelle"
 msgstr "クペレ語"
 
 msgid "Kpelle, Guinea"
-msgstr ""
+msgstr "Kpelle, Guinea"
 
 msgid "Kpelle, Liberia"
-msgstr ""
+msgstr "Kpelle, Liberia"
 
 msgid "Kpessi"
-msgstr ""
+msgstr "Kpessi"
 
 msgid "Kplang"
-msgstr ""
+msgstr "Kplang"
 
 msgid "Krache"
-msgstr ""
+msgstr "Krache"
 
 msgid "Krahn, Eastern"
-msgstr ""
+msgstr "Krahn, Eastern"
 
 msgid "Krahn, Western"
-msgstr ""
+msgstr "Krahn, Western"
 
 msgid "Krahô"
-msgstr ""
+msgstr "Krahô"
 
 msgid "Kraol"
-msgstr ""
+msgstr "Kraol"
 
 msgid "Krenak"
-msgstr ""
+msgstr "Krenak"
 
 msgid "Krevinian"
-msgstr ""
+msgstr "Krevinian"
 
 msgid "Kreye"
-msgstr ""
+msgstr "Kreye"
 
 msgid "Krikati-Timbira"
-msgstr ""
+msgstr "Krikati-Timbira"
 
 msgid "Krim"
-msgstr ""
+msgstr "Krim"
 
 msgid "Krio"
-msgstr ""
+msgstr "Krio"
 
 msgid "Kriol"
-msgstr ""
+msgstr "Kriol"
 
 msgid "Kriol English, Belize"
-msgstr ""
+msgstr "Kriol English, Belize"
 
 msgid "Krisa"
-msgstr ""
+msgstr "Krisa"
 
 msgid "Krobu"
-msgstr ""
+msgstr "Krobu"
 
 msgid "Krongo"
-msgstr ""
+msgstr "Krongo"
 
 msgid "Kru'ng 2"
-msgstr ""
+msgstr "Kru'ng 2"
 
 msgid "Krumen, Plapo"
-msgstr ""
+msgstr "Krumen, Plapo"
 
 msgid "Krumen, Pye"
-msgstr ""
+msgstr "Krumen, Pye"
 
 msgid "Krumen, Tepo"
-msgstr ""
+msgstr "Krumen, Tepo"
 
 msgid "Krymchak"
-msgstr ""
+msgstr "Krymchak"
 
 msgid "Kryts"
-msgstr ""
+msgstr "Kryts"
 
 msgid "Kua"
-msgstr ""
+msgstr "Kua"
 
 msgid "Kua-nsi"
-msgstr ""
+msgstr "Kua-nsi"
 
 msgid "Kuamasi"
-msgstr ""
+msgstr "Kuamasi"
 
 msgid "Kuan"
-msgstr ""
+msgstr "Kuan"
 
 msgid "Kuanhua"
-msgstr ""
+msgstr "Kuanhua"
 
 msgid "Kuanua"
-msgstr ""
+msgstr "Kuanua"
 
 msgid "Kuanyama"
 msgstr "クアニャマ語"
 
 msgid "Kube"
-msgstr ""
+msgstr "Kube"
 
 msgid "Kubi"
-msgstr ""
+msgstr "Kubi"
 
 msgid "Kubo"
-msgstr ""
+msgstr "Kubo"
 
 msgid "Kubu"
-msgstr ""
+msgstr "Kubu"
 
 msgid "Kucong"
-msgstr ""
+msgstr "Kucong"
 
 msgid "Kudiya"
-msgstr ""
+msgstr "Kudiya"
 
 msgid "Kudmali"
-msgstr ""
+msgstr "Kudmali"
 
 msgid "Kudu-Camo"
-msgstr ""
+msgstr "Kudu-Camo"
 
 msgid "Kugama"
-msgstr ""
+msgstr "Kugama"
 
 msgid "Kugbo"
-msgstr ""
+msgstr "Kugbo"
 
 msgid "Kui (India)"
-msgstr ""
+msgstr "Kui (India)"
 
 msgid "Kui (Indonesia)"
-msgstr ""
+msgstr "Kui (Indonesia)"
 
 msgid "Kuijau"
-msgstr ""
+msgstr "Kuijau"
 
 msgid "Kuikúro-Kalapálo"
-msgstr ""
+msgstr "Kuikúro-Kalapálo"
 
 msgid "Kujarge"
-msgstr ""
+msgstr "Kujarge"
 
 msgid "Kuk"
-msgstr ""
+msgstr "Kuk"
 
 msgid "Kukatja"
-msgstr ""
+msgstr "Kukatja"
 
 msgid "Kuke"
-msgstr ""
+msgstr "Kuke"
 
 msgid "Kukele"
-msgstr ""
+msgstr "Kukele"
 
 msgid "Kukna"
-msgstr ""
+msgstr "Kukna"
 
 msgid "Kuku-Mangk"
-msgstr ""
+msgstr "Kuku-Mangk"
 
 msgid "Kuku-Mu'inh"
-msgstr ""
+msgstr "Kuku-Mu'inh"
 
 msgid "Kuku-Muminh"
-msgstr ""
+msgstr "Kuku-Muminh"
 
 msgid "Kuku-Ugbanh"
-msgstr ""
+msgstr "Kuku-Ugbanh"
 
 msgid "Kuku-Uwanh"
-msgstr ""
+msgstr "Kuku-Uwanh"
 
 msgid "Kuku-Yalanji"
-msgstr ""
+msgstr "Kuku-Yalanji"
 
 msgid "Kula"
-msgstr ""
+msgstr "Kula"
 
 msgid "Kulango, Bondoukou"
-msgstr ""
+msgstr "Kulango, Bondoukou"
 
 msgid "Kulango, Bouna"
-msgstr ""
+msgstr "Kulango, Bouna"
 
 msgid "Kulere"
-msgstr ""
+msgstr "Kulere"
 
 msgid "Kulfa"
-msgstr ""
+msgstr "Kulfa"
 
 msgid "Kulisusu"
-msgstr ""
+msgstr "Kulisusu"
 
 msgid "Kulon-Pazeh"
-msgstr ""
+msgstr "Kulon-Pazeh"
 
 msgid "Kulung (Nepal)"
-msgstr ""
+msgstr "Kulung (Nepal)"
 
 msgid "Kulung (Nigeria)"
-msgstr ""
+msgstr "Kulung (Nigeria)"
 
 msgid "Kumalu"
-msgstr ""
+msgstr "Kumalu"
 
 msgid "Kumam"
-msgstr ""
+msgstr "Kumam"
 
 msgid "Kuman (Papua New Guinea)"
-msgstr ""
+msgstr "Kuman (Papua New Guinea)"
 
 msgid "Kuman (Russia)"
-msgstr ""
+msgstr "Kuman (Russia)"
 
 msgid "Kumaoni"
-msgstr ""
+msgstr "Kumaoni"
 
 msgid "Kumarbhag Paharia"
-msgstr ""
+msgstr "Kumarbhag Paharia"
 
 msgid "Kumba"
-msgstr ""
+msgstr "Kumba"
 
 msgid "Kumbainggar"
-msgstr ""
+msgstr "Kumbainggar"
 
 msgid "Kumbaran"
-msgstr ""
+msgstr "Kumbaran"
 
 msgid "Kumbewaha"
-msgstr ""
+msgstr "Kumbewaha"
 
 msgid "Kumhali"
-msgstr ""
+msgstr "Kumhali"
 
 msgid "Kumiai"
-msgstr ""
+msgstr "Kumiai"
 
 msgid "Kumukio"
-msgstr ""
+msgstr "Kumukio"
 
 msgid "Kumyk"
 msgstr "クミック語"
 
 msgid "Kumzari"
-msgstr ""
+msgstr "Kumzari"
 
 msgid "Kuna, Border"
-msgstr ""
+msgstr "Kuna, Border"
 
 msgid "Kuna, San Blas"
-msgstr ""
+msgstr "Kuna, San Blas"
 
 msgid "Kunama"
-msgstr ""
+msgstr "Kunama"
 
 msgid "Kunbarlang"
-msgstr ""
+msgstr "Kunbarlang"
 
 msgid "Kunda"
-msgstr ""
+msgstr "Kunda"
 
 msgid "Kundal Shahi"
-msgstr ""
+msgstr "Kundal Shahi"
 
 msgid "Kunduvadi"
-msgstr ""
+msgstr "Kunduvadi"
 
 msgid "Kung"
-msgstr ""
+msgstr "Kung"
 
 msgid "Kung-Ekoka"
-msgstr ""
+msgstr "Kung-Ekoka"
 
 msgid "Kungarakany"
-msgstr ""
+msgstr "Kungarakany"
 
 msgid "Kungardutyi"
-msgstr ""
+msgstr "Kungardutyi"
 
 msgid "Kunggari"
-msgstr ""
+msgstr "Kunggari"
 
 msgid "Kungkari"
-msgstr ""
+msgstr "Kungkari"
 
 msgid "Kuni"
-msgstr ""
+msgstr "Kuni"
 
 msgid "Kuni-Boazi"
-msgstr ""
+msgstr "Kuni-Boazi"
 
 msgid "Kunigami"
-msgstr ""
+msgstr "Kunigami"
 
 msgid "Kunimaipa"
-msgstr ""
+msgstr "Kunimaipa"
 
 msgid "Kunja"
-msgstr ""
+msgstr "Kunja"
 
 msgid "Kunjen"
-msgstr ""
+msgstr "Kunjen"
 
 msgid "Kunyi"
-msgstr ""
+msgstr "Kunyi"
 
 msgid "Kunza"
-msgstr ""
+msgstr "Kunza"
 
 msgid "Kuo"
-msgstr ""
+msgstr "Kuo"
 
 msgid "Kuot"
-msgstr ""
+msgstr "Kuot"
 
 msgid "Kupa"
-msgstr ""
+msgstr "Kupa"
 
 msgid "Kupia"
-msgstr ""
+msgstr "Kupia"
 
 msgid "Kupsabiny"
-msgstr ""
+msgstr "Kupsabiny"
 
 msgid "Kur"
-msgstr ""
+msgstr "Kur"
 
 msgid "Kurama"
-msgstr ""
+msgstr "Kurama"
 
 msgid "Kuranko"
-msgstr ""
+msgstr "Kuranko"
 
 msgid "Kurdish"
 msgstr "クルド語"
 
 msgid "Kurdish, Central"
-msgstr ""
+msgstr "Kurdish, Central"
 
 msgid "Kurdish, Northern"
-msgstr ""
+msgstr "Kurdish, Northern"
 
 msgid "Kurdish, Southern"
-msgstr ""
+msgstr "Kurdish, Southern"
 
 msgid "Kuri"
-msgstr ""
+msgstr "Kuri"
 
 msgid "Kuria"
-msgstr ""
+msgstr "Kuria"
 
 msgid "Kurichiya"
-msgstr ""
+msgstr "Kurichiya"
 
 msgid "Kurmukar"
-msgstr ""
+msgstr "Kurmukar"
 
 msgid "Kurnai"
-msgstr ""
+msgstr "Kurnai"
 
 msgid "Kurrama"
-msgstr ""
+msgstr "Kurrama"
 
 msgid "Kurti"
-msgstr ""
+msgstr "Kurti"
 
 msgid "Kurtokha"
-msgstr ""
+msgstr "Kurtokha"
 
 msgid "Kurudu"
-msgstr ""
+msgstr "Kurudu"
 
 msgid "Kurukh"
 msgstr "クルク語"
 
 msgid "Kurumba, Alu"
-msgstr ""
+msgstr "Kurumba, Alu"
 
 msgid "Kurumba, Attapady"
-msgstr ""
+msgstr "Kurumba, Attapady"
 
 msgid "Kurumba, Betta"
-msgstr ""
+msgstr "Kurumba, Betta"
 
 msgid "Kurumba, Jennu"
-msgstr ""
+msgstr "Kurumba, Jennu"
 
 msgid "Kurumba, Kannada"
-msgstr ""
+msgstr "Kurumba, Kannada"
 
 msgid "Kurumba, Mullu"
-msgstr ""
+msgstr "Kurumba, Mullu"
 
 msgid "Kurux, Nepali"
-msgstr ""
+msgstr "Kurux, Nepali"
 
 msgid "Kuruáya"
-msgstr ""
+msgstr "Kuruáya"
 
 msgid "Kusaal"
-msgstr ""
+msgstr "Kusaal"
 
 msgid "Kusaghe"
-msgstr ""
+msgstr "Kusaghe"
 
 msgid "Kushi"
-msgstr ""
+msgstr "Kushi"
 
 msgid "Kuskokwim, Upper"
-msgstr ""
+msgstr "Kuskokwim, Upper"
 
 msgid "Kusu"
-msgstr ""
+msgstr "Kusu"
 
 msgid "Kusunda"
-msgstr ""
+msgstr "Kusunda"
 
 msgid "Kutenai"
 msgstr "クテナイ語"
 
 msgid "Kutep"
-msgstr ""
+msgstr "Kutep"
 
 msgid "Kuthant"
-msgstr ""
+msgstr "Kuthant"
 
 msgid "Kutong"
-msgstr ""
+msgstr "Kutong"
 
 msgid "Kutto"
-msgstr ""
+msgstr "Kutto"
 
 msgid "Kutu"
-msgstr ""
+msgstr "Kutu"
 
 msgid "Kuturmi"
-msgstr ""
+msgstr "Kuturmi"
 
 msgid "Kuuk-Yak"
-msgstr ""
+msgstr "Kuuk-Yak"
 
 msgid "Kuuku-Ya'u"
-msgstr ""
+msgstr "Kuuku-Ya'u"
 
 msgid "Kuvale"
-msgstr ""
+msgstr "Kuvale"
 
 msgid "Kuvi"
-msgstr ""
+msgstr "Kuvi"
 
 msgid "Kuwaa"
-msgstr ""
+msgstr "Kuwaa"
 
 msgid "Kuwaataay"
-msgstr ""
+msgstr "Kuwaataay"
 
 msgid "Kuy"
-msgstr ""
+msgstr "Kuy"
 
 msgid "Kw'adza"
-msgstr ""
+msgstr "Kw'adza"
 
 msgid "Kwa"
-msgstr ""
+msgstr "Kwa"
 
 msgid "Kwa'"
-msgstr ""
+msgstr "Kwa'"
 
 msgid "Kwaami"
-msgstr ""
+msgstr "Kwaami"
 
 msgid "Kwadi"
-msgstr ""
+msgstr "Kwadi"
 
 msgid "Kwaio"
-msgstr ""
+msgstr "Kwaio"
 
 msgid "Kwaja"
-msgstr ""
+msgstr "Kwaja"
 
 msgid "Kwakiutl"
-msgstr ""
+msgstr "Kwakiutl"
 
 msgid "Kwakum"
-msgstr ""
+msgstr "Kwakum"
 
 msgid "Kwalhioqua-Tlatskanai"
-msgstr ""
+msgstr "Kwalhioqua-Tlatskanai"
 
 msgid "Kwama"
-msgstr ""
+msgstr "Kwama"
 
 msgid "Kwambi"
-msgstr ""
+msgstr "Kwambi"
 
 msgid "Kwamera"
-msgstr ""
+msgstr "Kwamera"
 
 msgid "Kwami"
-msgstr ""
+msgstr "Kwami"
 
 msgid "Kwang"
-msgstr ""
+msgstr "Kwang"
 
 msgid "Kwanga"
-msgstr ""
+msgstr "Kwanga"
 
 msgid "Kwangali"
-msgstr ""
+msgstr "Kwangali"
 
 msgid "Kwanja"
-msgstr ""
+msgstr "Kwanja"
 
 msgid "Kwara'ae"
-msgstr ""
+msgstr "Kwara'ae"
 
 msgid "Kwasio"
-msgstr ""
+msgstr "Kwasio"
 
 msgid "Kwaya"
-msgstr ""
+msgstr "Kwaya"
 
 msgid "Kwaza"
-msgstr ""
+msgstr "Kwaza"
 
 msgid "Kwegu"
-msgstr ""
+msgstr "Kwegu"
 
 msgid "Kwer"
-msgstr ""
+msgstr "Kwer"
 
 msgid "Kwerba"
-msgstr ""
+msgstr "Kwerba"
 
 msgid "Kwerba Mamberamo"
-msgstr ""
+msgstr "Kwerba Mamberamo"
 
 msgid "Kwere"
-msgstr ""
+msgstr "Kwere"
 
 msgid "Kwerisa"
-msgstr ""
+msgstr "Kwerisa"
 
 msgid "Kwese"
-msgstr ""
+msgstr "Kwese"
 
 msgid "Kwesten"
-msgstr ""
+msgstr "Kwesten"
 
 msgid "Kwini"
-msgstr ""
+msgstr "Kwini"
 
 msgid "Kwinsu"
-msgstr ""
+msgstr "Kwinsu"
 
 msgid "Kwinti"
-msgstr ""
+msgstr "Kwinti"
 
 msgid "Kwoma"
-msgstr ""
+msgstr "Kwoma"
 
 msgid "Kwomtari"
-msgstr ""
+msgstr "Kwomtari"
 
 msgid "Kxoe"
-msgstr ""
+msgstr "Kxoe"
 
 msgid "Kyak"
-msgstr ""
+msgstr "Kyak"
 
 msgid "Kyaka"
-msgstr ""
+msgstr "Kyaka"
 
 msgid "Kyanga"
-msgstr ""
+msgstr "Kyanga"
 
 msgid "Kyenele"
-msgstr ""
+msgstr "Kyenele"
 
 msgid "Kyerung"
-msgstr ""
+msgstr "Kyerung"
 
 msgid "Kâte"
-msgstr ""
+msgstr "Kâte"
 
 msgid "Kélé"
-msgstr ""
+msgstr "Kélé"
 
 msgid "Kölsch"
-msgstr ""
+msgstr "Kölsch"
 
 msgid "La'bi"
-msgstr ""
+msgstr "La'bi"
 
 msgid "Laal"
-msgstr ""
+msgstr "Laal"
 
 msgid "Laari"
-msgstr ""
+msgstr "Laari"
 
 msgid "Laba"
-msgstr ""
+msgstr "Laba"
 
 msgid "Label"
-msgstr ""
+msgstr "Label"
 
 msgid "Labir"
-msgstr ""
+msgstr "Labir"
 
 msgid "Labo"
-msgstr ""
+msgstr "Labo"
 
 msgid "Labu"
-msgstr ""
+msgstr "Labu"
 
 msgid "Lacandon"
-msgstr ""
+msgstr "Lacandon"
 
 msgid "Lachi"
-msgstr ""
+msgstr "Lachi"
 
 msgid "Lachi, White"
-msgstr ""
+msgstr "Lachi, White"
 
 msgid "Ladakhi"
-msgstr ""
+msgstr "Ladakhi"
 
 msgid "Ladin"
-msgstr ""
+msgstr "Ladin"
 
 msgid "Ladino"
 msgstr "ラジノ語"
 
 msgid "Ladji Ladji"
-msgstr ""
+msgstr "Ladji Ladji"
 
 msgid "Laeko-Libuat"
-msgstr ""
+msgstr "Laeko-Libuat"
 
 msgid "Lafofa"
-msgstr ""
+msgstr "Lafofa"
 
 msgid "Laghu"
-msgstr ""
+msgstr "Laghu"
 
 msgid "Laghuu"
-msgstr ""
+msgstr "Laghuu"
 
 msgid "Lagwan"
-msgstr ""
+msgstr "Lagwan"
 
 msgid "Laha (Indonesia)"
-msgstr ""
+msgstr "Laha (Indonesia)"
 
 msgid "Laha (Viet Nam)"
-msgstr ""
+msgstr "Laha (Viet Nam)"
 
 msgid "Lahanan"
-msgstr ""
+msgstr "Lahanan"
 
 msgid "Lahnda"
 msgstr "ラフンダー語"
 
 msgid "Lahu"
-msgstr ""
+msgstr "Lahu"
 
 msgid "Lahu Shi"
-msgstr ""
+msgstr "Lahu Shi"
 
 msgid "Laimbue"
-msgstr ""
+msgstr "Laimbue"
 
 msgid "Laiyolo"
-msgstr ""
+msgstr "Laiyolo"
 
 msgid "Lak"
-msgstr ""
+msgstr "Lak"
 
 msgid "Laka (Chad)"
-msgstr ""
+msgstr "Laka (Chad)"
 
 msgid "Laka (Nigeria)"
-msgstr ""
+msgstr "Laka (Nigeria)"
 
 msgid "Lakalei"
-msgstr ""
+msgstr "Lakalei"
 
 msgid "Lakha"
-msgstr ""
+msgstr "Lakha"
 
 msgid "Laki"
-msgstr ""
+msgstr "Laki"
 
 msgid "Lakkia"
-msgstr ""
+msgstr "Lakkia"
 
 msgid "Lakon"
-msgstr ""
+msgstr "Lakon"
 
 msgid "Lakondê"
-msgstr ""
+msgstr "Lakondê"
 
 msgid "Lakota"
-msgstr ""
+msgstr "Lakota"
 
 msgid "Lala"
-msgstr ""
+msgstr "Lala"
 
 msgid "Lala-Bisa"
-msgstr ""
+msgstr "Lala-Bisa"
 
 msgid "Lala-Roba"
-msgstr ""
+msgstr "Lala-Roba"
 
 msgid "Lalia"
-msgstr ""
+msgstr "Lalia"
 
 msgid "Lalo, Dongshanba"
-msgstr ""
+msgstr "Lalo, Dongshanba"
 
 msgid "Lalo, Xishanba"
-msgstr ""
+msgstr "Lalo, Xishanba"
 
 msgid "Lalu, Eastern"
-msgstr ""
+msgstr "Lalu, Eastern"
 
 msgid "Lalu, Western"
-msgstr ""
+msgstr "Lalu, Western"
 
 msgid "Lama (Togo)"
-msgstr ""
+msgstr "Lama (Togo)"
 
 msgid "Lamaholot"
-msgstr ""
+msgstr "Lamaholot"
 
 msgid "Lamalera"
-msgstr ""
+msgstr "Lamalera"
 
 msgid "Lamang"
-msgstr ""
+msgstr "Lamang"
 
 msgid "Lamatuka"
-msgstr ""
+msgstr "Lamatuka"
 
 msgid "Lamba"
 msgstr "ランバ語"
 
 msgid "Lambadi"
-msgstr ""
+msgstr "Lambadi"
 
 msgid "Lambichhong"
-msgstr ""
+msgstr "Lambichhong"
 
 msgid "Lamboya"
-msgstr ""
+msgstr "Lamboya"
 
 msgid "Lambya"
-msgstr ""
+msgstr "Lambya"
 
 msgid "Lame"
-msgstr ""
+msgstr "Lame"
 
 msgid "Lamenu"
-msgstr ""
+msgstr "Lamenu"
 
 msgid "Lamet"
-msgstr ""
+msgstr "Lamet"
 
 msgid "Lamja-Dengsa-Tola"
-msgstr ""
+msgstr "Lamja-Dengsa-Tola"
 
 msgid "Lamkang"
-msgstr ""
+msgstr "Lamkang"
 
 msgid "Lamma"
-msgstr ""
+msgstr "Lamma"
 
 msgid "Lamnso'"
-msgstr ""
+msgstr "Lamnso'"
 
 msgid "Lamogai"
-msgstr ""
+msgstr "Lamogai"
 
 msgid "Lampung Api"
-msgstr ""
+msgstr "Lampung Api"
 
 msgid "Lampung Nyo"
-msgstr ""
+msgstr "Lampung Nyo"
 
 msgid "Lamu"
-msgstr ""
+msgstr "Lamu"
 
 msgid "Lamu-Lamu"
-msgstr ""
+msgstr "Lamu-Lamu"
 
 msgid "Landoma"
-msgstr ""
+msgstr "Landoma"
 
 msgid "Lang'e"
-msgstr ""
+msgstr "Lang'e"
 
 msgid "Langam"
-msgstr ""
+msgstr "Langam"
 
 msgid "Langbashe"
-msgstr ""
+msgstr "Langbashe"
 
 msgid "Langi"
-msgstr ""
+msgstr "Langi"
 
 msgid "Lango (Sudan)"
-msgstr ""
+msgstr "Lango (Sudan)"
 
 msgid "Lango (Uganda)"
-msgstr ""
+msgstr "Lango (Uganda)"
 
 msgid "Langobardic"
-msgstr ""
+msgstr "Langobardic"
 
 msgid "Langue des signes de Belgique Francophone"
-msgstr ""
+msgstr "Langue des signes de Belgique Francophone"
 
 msgid "Lanima"
-msgstr ""
+msgstr "Lanima"
 
 msgid "Lanoh"
-msgstr ""
+msgstr "Lanoh"
 
 msgid "Lao"
 msgstr "ラオ語"
 
 msgid "Laomian"
-msgstr ""
+msgstr "Laomian"
 
 msgid "Laopang"
-msgstr ""
+msgstr "Laopang"
 
 msgid "Laos Sign Language"
-msgstr ""
+msgstr "Laos Sign Language"
 
 msgid "Laragia"
-msgstr ""
+msgstr "Laragia"
 
 msgid "Lardil"
-msgstr ""
+msgstr "Lardil"
 
 msgid "Larevat"
-msgstr ""
+msgstr "Larevat"
 
 msgid "Lari"
-msgstr ""
+msgstr "Lari"
 
 msgid "Larike-Wakasihu"
-msgstr ""
+msgstr "Larike-Wakasihu"
 
 msgid "Laro"
-msgstr ""
+msgstr "Laro"
 
 msgid "Larteh"
-msgstr ""
+msgstr "Larteh"
 
 msgid "Laru"
-msgstr ""
+msgstr "Laru"
 
 msgid "Lasalimu"
-msgstr ""
+msgstr "Lasalimu"
 
 msgid "Lasgerdi"
-msgstr ""
+msgstr "Lasgerdi"
 
 msgid "Lashi"
-msgstr ""
+msgstr "Lashi"
 
 msgid "Lasi"
-msgstr ""
+msgstr "Lasi"
 
 msgid "Latgalian"
-msgstr ""
+msgstr "Latgalian"
 
 msgid "Latin"
 msgstr "ラテン語"
 
 msgid "Latu"
-msgstr ""
+msgstr "Latu"
 
 msgid "Latundê"
-msgstr ""
+msgstr "Latundê"
 
 msgid "Latvian"
 msgstr "ラトヴィア語"
 
 msgid "Latvian Sign Language"
-msgstr ""
+msgstr "Latvian Sign Language"
 
 msgid "Latvian, Standard"
-msgstr ""
+msgstr "Latvian, Standard"
 
 msgid "Lau"
-msgstr ""
+msgstr "Lau"
 
 msgid "Laua"
-msgstr ""
+msgstr "Laua"
 
 msgid "Lauan"
-msgstr ""
+msgstr "Lauan"
 
 msgid "Lauje"
-msgstr ""
+msgstr "Lauje"
 
 msgid "Laura"
-msgstr ""
+msgstr "Laura"
 
 msgid "Laurentian"
-msgstr ""
+msgstr "Laurentian"
 
 msgid "Lavatbura-Lamusong"
-msgstr ""
+msgstr "Lavatbura-Lamusong"
 
 msgid "Lave"
-msgstr ""
+msgstr "Lave"
 
 msgid "Laven"
-msgstr ""
+msgstr "Laven"
 
 msgid "Lavukaleve"
-msgstr ""
+msgstr "Lavukaleve"
 
 msgid "Lawa, Eastern"
-msgstr ""
+msgstr "Lawa, Eastern"
 
 msgid "Lawa, Western"
-msgstr ""
+msgstr "Lawa, Western"
 
 msgid "Lawangan"
-msgstr ""
+msgstr "Lawangan"
 
 msgid "Lawu"
-msgstr ""
+msgstr "Lawu"
 
 msgid "Lawunuia"
-msgstr ""
+msgstr "Lawunuia"
 
 msgid "Layakha"
-msgstr ""
+msgstr "Layakha"
 
 msgid "Laz"
-msgstr ""
+msgstr "Laz"
 
 msgid "Leco"
-msgstr ""
+msgstr "Leco"
 
 msgid "Leelau"
-msgstr ""
+msgstr "Leelau"
 
 msgid "Lefa"
-msgstr ""
+msgstr "Lefa"
 
 msgid "Lega-Mwenga"
-msgstr ""
+msgstr "Lega-Mwenga"
 
 msgid "Lega-Shabunda"
-msgstr ""
+msgstr "Lega-Shabunda"
 
 msgid "Legbo"
-msgstr ""
+msgstr "Legbo"
 
 msgid "Legenyem"
-msgstr ""
+msgstr "Legenyem"
 
 msgid "Lehali"
-msgstr ""
+msgstr "Lehali"
 
 msgid "Lehalurup"
-msgstr ""
+msgstr "Lehalurup"
 
 msgid "Lehar"
-msgstr ""
+msgstr "Lehar"
 
 msgid "Leipon"
-msgstr ""
+msgstr "Leipon"
 
 msgid "Lelak"
-msgstr ""
+msgstr "Lelak"
 
 msgid "Lele (Chad)"
-msgstr ""
+msgstr "Lele (Chad)"
 
 msgid "Lele (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Lele (Democratic Republic of Congo)"
 
 msgid "Lele (Guinea)"
-msgstr ""
+msgstr "Lele (Guinea)"
 
 msgid "Lele (Papua New Guinea)"
-msgstr ""
+msgstr "Lele (Papua New Guinea)"
 
 msgid "Lelemi"
-msgstr ""
+msgstr "Lelemi"
 
 msgid "Lelepa"
-msgstr ""
+msgstr "Lelepa"
 
 msgid "Lembata, South"
-msgstr ""
+msgstr "Lembata, South"
 
 msgid "Lembata, West"
-msgstr ""
+msgstr "Lembata, West"
 
 msgid "Lembena"
-msgstr ""
+msgstr "Lembena"
 
 msgid "Lemerig"
-msgstr ""
+msgstr "Lemerig"
 
 msgid "Lemio"
-msgstr ""
+msgstr "Lemio"
 
 msgid "Lemnian"
-msgstr ""
+msgstr "Lemnian"
 
 msgid "Lemolang"
-msgstr ""
+msgstr "Lemolang"
 
 msgid "Lemoro"
-msgstr ""
+msgstr "Lemoro"
 
 msgid "Lenakel"
-msgstr ""
+msgstr "Lenakel"
 
 msgid "Lenca"
-msgstr ""
+msgstr "Lenca"
 
 msgid "Lendu"
-msgstr ""
+msgstr "Lendu"
 
 msgid "Lengilu"
-msgstr ""
+msgstr "Lengilu"
 
 msgid "Lengo"
-msgstr ""
+msgstr "Lengo"
 
 msgid "Lengola"
-msgstr ""
+msgstr "Lengola"
 
 msgid "Leningitij"
-msgstr ""
+msgstr "Leningitij"
 
 msgid "Lenje"
-msgstr ""
+msgstr "Lenje"
 
 msgid "Lenkau"
-msgstr ""
+msgstr "Lenkau"
 
 msgid "Lenyima"
-msgstr ""
+msgstr "Lenyima"
 
 msgid "Lepcha"
 msgstr "レプチャ文字"
 
 msgid "Lepki"
-msgstr ""
+msgstr "Lepki"
 
 msgid "Lepontic"
-msgstr ""
+msgstr "Lepontic"
 
 msgid "Lere"
-msgstr ""
+msgstr "Lere"
 
 msgid "Lese"
-msgstr ""
+msgstr "Lese"
 
 msgid "Lesing-Gelimi"
-msgstr ""
+msgstr "Lesing-Gelimi"
 
 msgid "Letemboi"
-msgstr ""
+msgstr "Letemboi"
 
 msgid "Leti (Cameroon)"
-msgstr ""
+msgstr "Leti (Cameroon)"
 
 msgid "Leti (Indonesia)"
-msgstr ""
+msgstr "Leti (Indonesia)"
 
 msgid "Levuka"
-msgstr ""
+msgstr "Levuka"
 
 msgid "Lewo"
-msgstr ""
+msgstr "Lewo"
 
 msgid "Lewo Eleng"
-msgstr ""
+msgstr "Lewo Eleng"
 
 msgid "Lewotobi"
-msgstr ""
+msgstr "Lewotobi"
 
 msgid "Leyigha"
-msgstr ""
+msgstr "Leyigha"
 
 msgid "Lezghian"
 msgstr "レズギ語"
 
 msgid "Lhokpu"
-msgstr ""
+msgstr "Lhokpu"
 
 msgid "Lhomi"
-msgstr ""
+msgstr "Lhomi"
 
 msgid "Li'o"
-msgstr ""
+msgstr "Li'o"
 
 msgid "Liabuku"
-msgstr ""
+msgstr "Liabuku"
 
 msgid "Liana-Seti"
-msgstr ""
+msgstr "Liana-Seti"
 
 msgid "Libido"
-msgstr ""
+msgstr "Libido"
 
 msgid "Libinza"
-msgstr ""
+msgstr "Libinza"
 
 msgid "Liburnian"
-msgstr ""
+msgstr "Liburnian"
 
 msgid "Libyan Sign Language"
-msgstr ""
+msgstr "Libyan Sign Language"
 
 msgid "Ligbi"
-msgstr ""
+msgstr "Ligbi"
 
 msgid "Ligenza"
-msgstr ""
+msgstr "Ligenza"
 
 msgid "Ligurian"
-msgstr ""
+msgstr "Ligurian"
 
 msgid "Ligurian (Ancient)"
-msgstr ""
+msgstr "Ligurian (Ancient)"
 
 msgid "Lihir"
-msgstr ""
+msgstr "Lihir"
 
 msgid "Lijili"
-msgstr ""
+msgstr "Lijili"
 
 msgid "Lika"
-msgstr ""
+msgstr "Lika"
 
 msgid "Liki"
-msgstr ""
+msgstr "Liki"
 
 msgid "Likila"
-msgstr ""
+msgstr "Likila"
 
 msgid "Likuba"
-msgstr ""
+msgstr "Likuba"
 
 msgid "Likum"
-msgstr ""
+msgstr "Likum"
 
 msgid "Likwala"
-msgstr ""
+msgstr "Likwala"
 
 msgid "Lilau"
-msgstr ""
+msgstr "Lilau"
 
 msgid "Lillooet"
-msgstr ""
+msgstr "Lillooet"
 
 msgid "Limassa"
-msgstr ""
+msgstr "Limassa"
 
 msgid "Limba, East"
-msgstr ""
+msgstr "Limba, East"
 
 msgid "Limba, West-Central"
-msgstr ""
+msgstr "Limba, West-Central"
 
 msgid "Limbu"
 msgstr "リンブ文字"
 
 msgid "Limbum"
-msgstr ""
+msgstr "Limbum"
 
 msgid "Limburgan"
-msgstr ""
+msgstr "Limburgan"
 
 msgid "Limi"
-msgstr ""
+msgstr "Limi"
 
 msgid "Limilngan"
-msgstr ""
+msgstr "Limilngan"
 
 msgid "Lindu"
-msgstr ""
+msgstr "Lindu"
 
 msgid "Linear A"
-msgstr ""
+msgstr "Linear A"
 
 msgid "Lingala"
 msgstr "リンガラ語"
 
 msgid "Lingao"
-msgstr ""
+msgstr "Lingao"
 
 msgid "Lingarak"
-msgstr ""
+msgstr "Lingarak"
 
 msgid "Lingua Franca"
-msgstr ""
+msgstr "Lingua Franca"
 
 msgid "Lingua Franca Nova"
-msgstr ""
+msgstr "Lingua Franca Nova"
 
 msgid "Lipo"
-msgstr ""
+msgstr "Lipo"
 
 msgid "Lisabata-Nuniali"
-msgstr ""
+msgstr "Lisabata-Nuniali"
 
 msgid "Lisela"
-msgstr ""
+msgstr "Lisela"
 
 msgid "Lish"
-msgstr ""
+msgstr "Lish"
 
 msgid "Lishana Deni"
-msgstr ""
+msgstr "Lishana Deni"
 
 msgid "Lishanid Noshan"
-msgstr ""
+msgstr "Lishanid Noshan"
 
 msgid "Lishán Didán"
-msgstr ""
+msgstr "Lishán Didán"
 
 msgid "Lisu"
 msgstr "リス文字"
@@ -11598,196 +11599,196 @@ msgid "Lithuanian"
 msgstr "リトアニア語"
 
 msgid "Lithuanian Sign Language"
-msgstr ""
+msgstr "Lithuanian Sign Language"
 
 msgid "Lithuanian, Old"
-msgstr ""
+msgstr "Lithuanian, Old"
 
 msgid "Litzlitz"
-msgstr ""
+msgstr "Litzlitz"
 
 msgid "Liv"
-msgstr ""
+msgstr "Liv"
 
 msgid "Livvi"
-msgstr ""
+msgstr "Livvi"
 
 msgid "Lo-Toga"
-msgstr ""
+msgstr "Lo-Toga"
 
 msgid "Loarki"
-msgstr ""
+msgstr "Loarki"
 
 msgid "Lobala"
-msgstr ""
+msgstr "Lobala"
 
 msgid "Lobi"
-msgstr ""
+msgstr "Lobi"
 
 msgid "Lobu, Lanas"
-msgstr ""
+msgstr "Lobu, Lanas"
 
 msgid "Lobu, Tampias"
-msgstr ""
+msgstr "Lobu, Tampias"
 
 msgid "Lodhi"
-msgstr ""
+msgstr "Lodhi"
 
 msgid "Logba"
-msgstr ""
+msgstr "Logba"
 
 msgid "Logo"
-msgstr ""
+msgstr "Logo"
 
 msgid "Logol"
-msgstr ""
+msgstr "Logol"
 
 msgid "Logooli"
-msgstr ""
+msgstr "Logooli"
 
 msgid "Logorik"
-msgstr ""
+msgstr "Logorik"
 
 msgid "Lohar, Gade"
-msgstr ""
+msgstr "Lohar, Gade"
 
 msgid "Lohar, Lahul"
-msgstr ""
+msgstr "Lohar, Lahul"
 
 msgid "Lohorung"
-msgstr ""
+msgstr "Lohorung"
 
 msgid "Lojban"
 msgstr "ロジバン語"
 
 msgid "Lokaa"
-msgstr ""
+msgstr "Lokaa"
 
 msgid "Loke"
-msgstr ""
+msgstr "Loke"
 
 msgid "Loko"
-msgstr ""
+msgstr "Loko"
 
 msgid "Lokoya"
-msgstr ""
+msgstr "Lokoya"
 
 msgid "Lola"
-msgstr ""
+msgstr "Lola"
 
 msgid "Lolak"
-msgstr ""
+msgstr "Lolak"
 
 msgid "Lole"
-msgstr ""
+msgstr "Lole"
 
 msgid "Lolo"
-msgstr ""
+msgstr "Lolo"
 
 msgid "Loloda"
-msgstr ""
+msgstr "Loloda"
 
 msgid "Lolopo"
-msgstr ""
+msgstr "Lolopo"
 
 msgid "Lolopo, Southern"
-msgstr ""
+msgstr "Lolopo, Southern"
 
 msgid "Loma (Côte d'Ivoire)"
-msgstr ""
+msgstr "Loma (Côte d'Ivoire)"
 
 msgid "Loma (Liberia)"
-msgstr ""
+msgstr "Loma (Liberia)"
 
 msgid "Lomaiviti"
-msgstr ""
+msgstr "Lomaiviti"
 
 msgid "Lomavren"
-msgstr ""
+msgstr "Lomavren"
 
 msgid "Lombard"
-msgstr ""
+msgstr "Lombard"
 
 msgid "Lombi"
-msgstr ""
+msgstr "Lombi"
 
 msgid "Lombo"
-msgstr ""
+msgstr "Lombo"
 
 msgid "Lomwe"
-msgstr ""
+msgstr "Lomwe"
 
 msgid "Lomwe, Malawi"
-msgstr ""
+msgstr "Lomwe, Malawi"
 
 msgid "Loncong"
-msgstr ""
+msgstr "Loncong"
 
 msgid "Long Wat"
-msgstr ""
+msgstr "Long Wat"
 
 msgid "Longgu"
-msgstr ""
+msgstr "Longgu"
 
 msgid "Longto"
-msgstr ""
+msgstr "Longto"
 
 msgid "Longuda"
-msgstr ""
+msgstr "Longuda"
 
 msgid "Loniu"
-msgstr ""
+msgstr "Loniu"
 
 msgid "Lonwolwol"
-msgstr ""
+msgstr "Lonwolwol"
 
 msgid "Lonzo"
-msgstr ""
+msgstr "Lonzo"
 
 msgid "Loo"
-msgstr ""
+msgstr "Loo"
 
 msgid "Lopa"
-msgstr ""
+msgstr "Lopa"
 
 msgid "Lopi"
-msgstr ""
+msgstr "Lopi"
 
 msgid "Lopit"
-msgstr ""
+msgstr "Lopit"
 
 msgid "Lorang"
-msgstr ""
+msgstr "Lorang"
 
 msgid "Lorediakarkar"
-msgstr ""
+msgstr "Lorediakarkar"
 
 msgid "Lote"
-msgstr ""
+msgstr "Lote"
 
 msgid "Lotud"
-msgstr ""
+msgstr "Lotud"
 
 msgid "Lou"
-msgstr ""
+msgstr "Lou"
 
 msgid "Loun"
-msgstr ""
+msgstr "Loun"
 
 msgid "Loup A"
-msgstr ""
+msgstr "Loup A"
 
 msgid "Loup B"
-msgstr ""
+msgstr "Loup B"
 
 msgid "Lozi"
 msgstr "ロジ語"
 
 msgid "Lua'"
-msgstr ""
+msgstr "Lua'"
 
 msgid "Luang"
-msgstr ""
+msgstr "Luang"
 
 msgid "Luba-Katanga"
 msgstr "ルバ語"
@@ -11796,139 +11797,139 @@ msgid "Luba-Lulua"
 msgstr "ルバ・ルルア語"
 
 msgid "Lubila"
-msgstr ""
+msgstr "Lubila"
 
 msgid "Lubu"
-msgstr ""
+msgstr "Lubu"
 
 msgid "Luchazi"
-msgstr ""
+msgstr "Luchazi"
 
 msgid "Lucumi"
-msgstr ""
+msgstr "Lucumi"
 
 msgid "Ludian"
-msgstr ""
+msgstr "Ludian"
 
 msgid "Lufu"
-msgstr ""
+msgstr "Lufu"
 
 msgid "Lugbara"
-msgstr ""
+msgstr "Lugbara"
 
 msgid "Luguru"
-msgstr ""
+msgstr "Luguru"
 
 msgid "Luhu"
-msgstr ""
+msgstr "Luhu"
 
 msgid "Lui"
-msgstr ""
+msgstr "Lui"
 
 msgid "Luimbi"
-msgstr ""
+msgstr "Luimbi"
 
 msgid "Luiseno"
 msgstr "ルイセニョ語"
 
 msgid "Lukpa"
-msgstr ""
+msgstr "Lukpa"
 
 msgid "Lule"
-msgstr ""
+msgstr "Lule"
 
 msgid "Lule Sami"
 msgstr "ルレ・サーミ語"
 
 msgid "Lumba-Yakkha"
-msgstr ""
+msgstr "Lumba-Yakkha"
 
 msgid "Lumbee"
-msgstr ""
+msgstr "Lumbee"
 
 msgid "Lumbu"
-msgstr ""
+msgstr "Lumbu"
 
 msgid "Lumun"
-msgstr ""
+msgstr "Lumun"
 
 msgid "Luna"
-msgstr ""
+msgstr "Luna"
 
 msgid "Lunanakha"
-msgstr ""
+msgstr "Lunanakha"
 
 msgid "Lunda"
 msgstr "ランダ語"
 
 msgid "Lundayeh"
-msgstr ""
+msgstr "Lundayeh"
 
 msgid "Lungalunga"
-msgstr ""
+msgstr "Lungalunga"
 
 msgid "Lungga"
-msgstr ""
+msgstr "Lungga"
 
 msgid "Luo (Cameroon)"
-msgstr ""
+msgstr "Luo (Cameroon)"
 
 msgid "Luo (Kenya and Tanzania)"
 msgstr "ルオ語 (ケニアとタンザニア)"
 
 msgid "Luri"
-msgstr ""
+msgstr "Luri"
 
 msgid "Luri, Northern"
-msgstr ""
+msgstr "Luri, Northern"
 
 msgid "Luri, Southern"
-msgstr ""
+msgstr "Luri, Southern"
 
 msgid "Lusengo"
-msgstr ""
+msgstr "Lusengo"
 
 msgid "Lushai"
 msgstr "ルシャイ語"
 
 msgid "Lushootseed"
-msgstr ""
+msgstr "Lushootseed"
 
 msgid "Lusi"
-msgstr ""
+msgstr "Lusi"
 
 msgid "Lusitanian"
-msgstr ""
+msgstr "Lusitanian"
 
 msgid "Lutos"
-msgstr ""
+msgstr "Lutos"
 
 msgid "Luvale"
-msgstr ""
+msgstr "Luvale"
 
 msgid "Luwati"
-msgstr ""
+msgstr "Luwati"
 
 msgid "Luwian, Cuneiform"
-msgstr ""
+msgstr "Luwian, Cuneiform"
 
 msgid "Luwian, Hieroglyphic"
-msgstr ""
+msgstr "Luwian, Hieroglyphic"
 
 msgid "Luwo"
-msgstr ""
+msgstr "Luwo"
 
 msgid "Luxembourgish"
-msgstr ""
+msgstr "Luxembourgish"
 
 msgid "Luyana"
-msgstr ""
+msgstr "Luyana"
 
 msgid "Luyia"
-msgstr ""
+msgstr "Luyia"
 
 msgid "Lwalu"
-msgstr ""
+msgstr "Lwalu"
 
 msgid "Lycian"
 msgstr "リキア文字"
@@ -11937,6499 +11938,6499 @@ msgid "Lydian"
 msgstr "リディア文字"
 
 msgid "Lyngngam"
-msgstr ""
+msgstr "Lyngngam"
 
 msgid "Lyons Sign Language"
-msgstr ""
+msgstr "Lyons Sign Language"
 
 msgid "Lyélé"
-msgstr ""
+msgstr "Lyélé"
 
 msgid "Láadan"
-msgstr ""
+msgstr "Láadan"
 
 msgid "Lü"
-msgstr ""
+msgstr "Lü"
 
 msgid "Ma (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Ma (Democratic Republic of Congo)"
 
 msgid "Ma (Papua New Guinea)"
-msgstr ""
+msgstr "Ma (Papua New Guinea)"
 
 msgid "Ma Manda"
-msgstr ""
+msgstr "Ma Manda"
 
 msgid "Ma'anyan"
-msgstr ""
+msgstr "Ma'anyan"
 
 msgid "Ma'di"
-msgstr ""
+msgstr "Ma'di"
 
 msgid "Ma'di, Southern"
-msgstr ""
+msgstr "Ma'di, Southern"
 
 msgid "Ma'ya"
-msgstr ""
+msgstr "Ma'ya"
 
 msgid "Maa"
-msgstr ""
+msgstr "Maa"
 
 msgid "Maaka"
-msgstr ""
+msgstr "Maaka"
 
 msgid "Maay"
-msgstr ""
+msgstr "Maay"
 
 msgid "Maba (Chad)"
-msgstr ""
+msgstr "Maba (Chad)"
 
 msgid "Maba (Indonesia)"
-msgstr ""
+msgstr "Maba (Indonesia)"
 
 msgid "Mabaale"
-msgstr ""
+msgstr "Mabaale"
 
 msgid "Mabaan"
-msgstr ""
+msgstr "Mabaan"
 
 msgid "Mabire"
-msgstr ""
+msgstr "Mabire"
 
 msgid "Maca"
-msgstr ""
+msgstr "Maca"
 
 msgid "Macaguaje"
-msgstr ""
+msgstr "Macaguaje"
 
 msgid "Macaguán"
-msgstr ""
+msgstr "Macaguán"
 
 msgid "Macanese"
-msgstr ""
+msgstr "Macanese"
 
 msgid "Macedonian"
 msgstr "マケドニア語"
 
 msgid "Macedonian, Ancient"
-msgstr ""
+msgstr "Macedonian, Ancient"
 
 msgid "Machame"
-msgstr ""
+msgstr "Machame"
 
 msgid "Machiguenga"
-msgstr ""
+msgstr "Machiguenga"
 
 msgid "Machinere"
-msgstr ""
+msgstr "Machinere"
 
 msgid "Machinga"
-msgstr ""
+msgstr "Machinga"
 
 msgid "Maco"
-msgstr ""
+msgstr "Maco"
 
 msgid "Macuna"
-msgstr ""
+msgstr "Macuna"
 
 msgid "Macushi"
-msgstr ""
+msgstr "Macushi"
 
 msgid "Mada (Cameroon)"
-msgstr ""
+msgstr "Mada (Cameroon)"
 
 msgid "Mada (Nigeria)"
-msgstr ""
+msgstr "Mada (Nigeria)"
 
 msgid "Madagascar Sign Language"
-msgstr ""
+msgstr "Madagascar Sign Language"
 
 msgid "Madak"
-msgstr ""
+msgstr "Madak"
 
 msgid "Maden"
-msgstr ""
+msgstr "Maden"
 
 msgid "Madhi Madhi"
-msgstr ""
+msgstr "Madhi Madhi"
 
 msgid "Madi"
-msgstr ""
+msgstr "Madi"
 
 msgid "Madngele"
-msgstr ""
+msgstr "Madngele"
 
 msgid "Madurese"
 msgstr "マドゥラ語"
 
 msgid "Mae"
-msgstr ""
+msgstr "Mae"
 
 msgid "Maek"
-msgstr ""
+msgstr "Maek"
 
 msgid "Maewo, Central"
-msgstr ""
+msgstr "Maewo, Central"
 
 msgid "Mafa"
-msgstr ""
+msgstr "Mafa"
 
 msgid "Mafea"
-msgstr ""
+msgstr "Mafea"
 
 msgid "Magahi"
 msgstr "マガヒ語"
 
 msgid "Magar, Eastern"
-msgstr ""
+msgstr "Magar, Eastern"
 
 msgid "Magar, Western"
-msgstr ""
+msgstr "Magar, Western"
 
 msgid "Magoma"
-msgstr ""
+msgstr "Magoma"
 
 msgid "Magori"
-msgstr ""
+msgstr "Magori"
 
 msgid "Maguindanaon"
-msgstr ""
+msgstr "Maguindanaon"
 
 msgid "Magɨyi"
-msgstr ""
+msgstr "Magɨyi"
 
 msgid "Mahali"
-msgstr ""
+msgstr "Mahali"
 
 msgid "Mahican"
-msgstr ""
+msgstr "Mahican"
 
 msgid "Mahongwe"
-msgstr ""
+msgstr "Mahongwe"
 
 msgid "Mahou"
-msgstr ""
+msgstr "Mahou"
 
 msgid "Mai Brat"
-msgstr ""
+msgstr "Mai Brat"
 
 msgid "Maia"
-msgstr ""
+msgstr "Maia"
 
 msgid "Maiadomu"
-msgstr ""
+msgstr "Maiadomu"
 
 msgid "Maiani"
-msgstr ""
+msgstr "Maiani"
 
 msgid "Maidu, Northeast"
-msgstr ""
+msgstr "Maidu, Northeast"
 
 msgid "Maidu, Northwest"
-msgstr ""
+msgstr "Maidu, Northwest"
 
 msgid "Maidu, Valley"
-msgstr ""
+msgstr "Maidu, Valley"
 
 msgid "Maii"
-msgstr ""
+msgstr "Maii"
 
 msgid "Mailu"
-msgstr ""
+msgstr "Mailu"
 
 msgid "Maindo"
-msgstr ""
+msgstr "Maindo"
 
 msgid "Mainfränkisch"
-msgstr ""
+msgstr "Mainfränkisch"
 
 msgid "Mainstream Kenyah"
-msgstr ""
+msgstr "Mainstream Kenyah"
 
 msgid "Mairasi"
-msgstr ""
+msgstr "Mairasi"
 
 msgid "Maisin"
-msgstr ""
+msgstr "Maisin"
 
 msgid "Maithili"
 msgstr "マイチリ語"
 
 msgid "Maiwa (Indonesia)"
-msgstr ""
+msgstr "Maiwa (Indonesia)"
 
 msgid "Maiwa (Papua New Guinea)"
-msgstr ""
+msgstr "Maiwa (Papua New Guinea)"
 
 msgid "Maiwala"
-msgstr ""
+msgstr "Maiwala"
 
 msgid "Majang"
-msgstr ""
+msgstr "Majang"
 
 msgid "Majera"
-msgstr ""
+msgstr "Majera"
 
 msgid "Majhi"
-msgstr ""
+msgstr "Majhi"
 
 msgid "Majhwar"
-msgstr ""
+msgstr "Majhwar"
 
 msgid "Mak (China)"
-msgstr ""
+msgstr "Mak (China)"
 
 msgid "Mak (Nigeria)"
-msgstr ""
+msgstr "Mak (Nigeria)"
 
 msgid "Makaa"
-msgstr ""
+msgstr "Makaa"
 
 msgid "Makah"
-msgstr ""
+msgstr "Makah"
 
 msgid "Makalero"
-msgstr ""
+msgstr "Makalero"
 
 msgid "Makasae"
-msgstr ""
+msgstr "Makasae"
 
 msgid "Makasar"
 msgstr "Makasar"
 
 msgid "Makayam"
-msgstr ""
+msgstr "Makayam"
 
 msgid "Makhuwa"
-msgstr ""
+msgstr "Makhuwa"
 
 msgid "Makhuwa-Marrevone"
-msgstr ""
+msgstr "Makhuwa-Marrevone"
 
 msgid "Makhuwa-Meetto"
-msgstr ""
+msgstr "Makhuwa-Meetto"
 
 msgid "Makhuwa-Moniga"
-msgstr ""
+msgstr "Makhuwa-Moniga"
 
 msgid "Makhuwa-Saka"
-msgstr ""
+msgstr "Makhuwa-Saka"
 
 msgid "Makhuwa-Shirima"
-msgstr ""
+msgstr "Makhuwa-Shirima"
 
 msgid "Makian, East"
-msgstr ""
+msgstr "Makian, East"
 
 msgid "Makian, West"
-msgstr ""
+msgstr "Makian, West"
 
 msgid "Maklew"
-msgstr ""
+msgstr "Maklew"
 
 msgid "Makolkol"
-msgstr ""
+msgstr "Makolkol"
 
 msgid "Makonde"
-msgstr ""
+msgstr "Makonde"
 
 msgid "Maku'a"
-msgstr ""
+msgstr "Maku'a"
 
 msgid "Makuráp"
-msgstr ""
+msgstr "Makuráp"
 
 msgid "Makwe"
-msgstr ""
+msgstr "Makwe"
 
 msgid "Mal"
-msgstr ""
+msgstr "Mal"
 
 msgid "Mal Paharia"
-msgstr ""
+msgstr "Mal Paharia"
 
 msgid "Mala (Nigeria)"
-msgstr ""
+msgstr "Mala (Nigeria)"
 
 msgid "Mala (Papua New Guinea)"
-msgstr ""
+msgstr "Mala (Papua New Guinea)"
 
 msgid "Malagasy"
 msgstr "マラガシ語"
 
 msgid "Malagasy, Antankarana"
-msgstr ""
+msgstr "Malagasy, Antankarana"
 
 msgid "Malagasy, Bara"
-msgstr ""
+msgstr "Malagasy, Bara"
 
 msgid "Malagasy, Masikoro"
-msgstr ""
+msgstr "Malagasy, Masikoro"
 
 msgid "Malagasy, Northern Betsimisaraka"
-msgstr ""
+msgstr "Malagasy, Northern Betsimisaraka"
 
 msgid "Malagasy, Plateau"
-msgstr ""
+msgstr "Malagasy, Plateau"
 
 msgid "Malagasy, Sakalava"
-msgstr ""
+msgstr "Malagasy, Sakalava"
 
 msgid "Malagasy, Southern Betsimisaraka"
-msgstr ""
+msgstr "Malagasy, Southern Betsimisaraka"
 
 msgid "Malagasy, Tandroy-Mahafaly"
-msgstr ""
+msgstr "Malagasy, Tandroy-Mahafaly"
 
 msgid "Malagasy, Tanosy"
-msgstr ""
+msgstr "Malagasy, Tanosy"
 
 msgid "Malagasy, Tesaka"
-msgstr ""
+msgstr "Malagasy, Tesaka"
 
 msgid "Malagasy, Tsimihety"
-msgstr ""
+msgstr "Malagasy, Tsimihety"
 
 msgid "Malalamai"
-msgstr ""
+msgstr "Malalamai"
 
 msgid "Malango"
-msgstr ""
+msgstr "Malango"
 
 msgid "Malankuravan"
-msgstr ""
+msgstr "Malankuravan"
 
 msgid "Malapandaram"
-msgstr ""
+msgstr "Malapandaram"
 
 msgid "Malaryan"
-msgstr ""
+msgstr "Malaryan"
 
 msgid "Malas"
-msgstr ""
+msgstr "Malas"
 
 msgid "Malasar"
-msgstr ""
+msgstr "Malasar"
 
 msgid "Malasar, Mala"
-msgstr ""
+msgstr "Malasar, Mala"
 
 msgid "Malavedan"
-msgstr ""
+msgstr "Malavedan"
 
 msgid "Malay (individual language)"
-msgstr ""
+msgstr "Malay (individual language)"
 
 msgid "Malay (macrolanguage)"
-msgstr ""
+msgstr "Malay (macrolanguage)"
 
 msgid "Malay, Ambonese"
-msgstr ""
+msgstr "Malay, Ambonese"
 
 msgid "Malay, Baba"
-msgstr ""
+msgstr "Malay, Baba"
 
 msgid "Malay, Bacanese"
-msgstr ""
+msgstr "Malay, Bacanese"
 
 msgid "Malay, Balinese"
-msgstr ""
+msgstr "Malay, Balinese"
 
 msgid "Malay, Banda"
-msgstr ""
+msgstr "Malay, Banda"
 
 msgid "Malay, Berau"
-msgstr ""
+msgstr "Malay, Berau"
 
 msgid "Malay, Bukit"
-msgstr ""
+msgstr "Malay, Bukit"
 
 msgid "Malay, Central"
-msgstr ""
+msgstr "Malay, Central"
 
 msgid "Malay, Cocos Islands"
-msgstr ""
+msgstr "Malay, Cocos Islands"
 
 msgid "Malay, Jambi"
-msgstr ""
+msgstr "Malay, Jambi"
 
 msgid "Malay, Kedah"
-msgstr ""
+msgstr "Malay, Kedah"
 
 msgid "Malay, Kota Bangun Kutai"
-msgstr ""
+msgstr "Malay, Kota Bangun Kutai"
 
 msgid "Malay, Kupang"
-msgstr ""
+msgstr "Malay, Kupang"
 
 msgid "Malay, Larantuka"
-msgstr ""
+msgstr "Malay, Larantuka"
 
 msgid "Malay, Makassar"
-msgstr ""
+msgstr "Malay, Makassar"
 
 msgid "Malay, Manado"
-msgstr ""
+msgstr "Malay, Manado"
 
 msgid "Malay, North Moluccan"
-msgstr ""
+msgstr "Malay, North Moluccan"
 
 msgid "Malay, Papuan"
-msgstr ""
+msgstr "Malay, Papuan"
 
 msgid "Malay, Pattani"
-msgstr ""
+msgstr "Malay, Pattani"
 
 msgid "Malay, Sabah"
-msgstr ""
+msgstr "Malay, Sabah"
 
 msgid "Malay, Standard"
-msgstr ""
+msgstr "Malay, Standard"
 
 msgid "Malay, Tenggarong Kutai"
-msgstr ""
+msgstr "Malay, Tenggarong Kutai"
 
 msgid "Malayalam"
 msgstr "マラヤーラム語"
 
 msgid "Malaynon"
-msgstr ""
+msgstr "Malaynon"
 
 msgid "Malayo"
-msgstr ""
+msgstr "Malayo"
 
 msgid "Malaysian Sign Language"
-msgstr ""
+msgstr "Malaysian Sign Language"
 
 msgid "Male (Ethiopia)"
-msgstr ""
+msgstr "Male (Ethiopia)"
 
 msgid "Male (Papua New Guinea)"
-msgstr ""
+msgstr "Male (Papua New Guinea)"
 
 msgid "Malecite-Passamaquoddy"
-msgstr ""
+msgstr "Malecite-Passamaquoddy"
 
 msgid "Maleng"
-msgstr ""
+msgstr "Maleng"
 
 msgid "Maleu-Kilenge"
-msgstr ""
+msgstr "Maleu-Kilenge"
 
 msgid "Malfaxal"
-msgstr ""
+msgstr "Malfaxal"
 
 msgid "Malgana"
-msgstr ""
+msgstr "Malgana"
 
 msgid "Malgbe"
-msgstr ""
+msgstr "Malgbe"
 
 msgid "Mali"
-msgstr ""
+msgstr "Mali"
 
 msgid "Malila"
-msgstr ""
+msgstr "Malila"
 
 msgid "Malimba"
-msgstr ""
+msgstr "Malimba"
 
 msgid "Malimpung"
-msgstr ""
+msgstr "Malimpung"
 
 msgid "Malo"
-msgstr ""
+msgstr "Malo"
 
 msgid "Malol"
-msgstr ""
+msgstr "Malol"
 
 msgid "Maltese"
 msgstr "マルタ語"
 
 msgid "Maltese Sign Language"
-msgstr ""
+msgstr "Maltese Sign Language"
 
 msgid "Malua Bay"
-msgstr ""
+msgstr "Malua Bay"
 
 msgid "Malvi"
-msgstr ""
+msgstr "Malvi"
 
 msgid "Malyangapa"
-msgstr ""
+msgstr "Malyangapa"
 
 msgid "Maléku Jaíka"
-msgstr ""
+msgstr "Maléku Jaíka"
 
 msgid "Mam"
-msgstr ""
+msgstr "Mam"
 
 msgid "Mama"
-msgstr ""
+msgstr "Mama"
 
 msgid "Mamaa"
-msgstr ""
+msgstr "Mamaa"
 
 msgid "Mamaindé"
-msgstr ""
+msgstr "Mamaindé"
 
 msgid "Mamanwa"
-msgstr ""
+msgstr "Mamanwa"
 
 msgid "Mamasa"
-msgstr ""
+msgstr "Mamasa"
 
 msgid "Mambae"
-msgstr ""
+msgstr "Mambae"
 
 msgid "Mambai"
-msgstr ""
+msgstr "Mambai"
 
 msgid "Mambila, Cameroon"
-msgstr ""
+msgstr "Mambila, Cameroon"
 
 msgid "Mambila, Nigeria"
-msgstr ""
+msgstr "Mambila, Nigeria"
 
 msgid "Mamboru"
-msgstr ""
+msgstr "Mamboru"
 
 msgid "Mambwe-Lungu"
-msgstr ""
+msgstr "Mambwe-Lungu"
 
 msgid "Mampruli"
-msgstr ""
+msgstr "Mampruli"
 
 msgid "Mamuju"
-msgstr ""
+msgstr "Mamuju"
 
 msgid "Mamulique"
-msgstr ""
+msgstr "Mamulique"
 
 msgid "Mamusi"
-msgstr ""
+msgstr "Mamusi"
 
 msgid "Mamvu"
-msgstr ""
+msgstr "Mamvu"
 
 msgid "Man Met"
-msgstr ""
+msgstr "Man Met"
 
 msgid "Manam"
-msgstr ""
+msgstr "Manam"
 
 msgid "Manambu"
-msgstr ""
+msgstr "Manambu"
 
 msgid "Manangba"
-msgstr ""
+msgstr "Manangba"
 
 msgid "Manangkari"
-msgstr ""
+msgstr "Manangkari"
 
 msgid "Manchu"
 msgstr "満州語"
 
 msgid "Manda (Australia)"
-msgstr ""
+msgstr "Manda (Australia)"
 
 msgid "Manda (India)"
-msgstr ""
+msgstr "Manda (India)"
 
 msgid "Manda (Tanzania)"
-msgstr ""
+msgstr "Manda (Tanzania)"
 
 msgid "Mandahuaca"
-msgstr ""
+msgstr "Mandahuaca"
 
 msgid "Mandaic"
 msgstr "マンダ文字"
 
 msgid "Mandaic, Classical"
-msgstr ""
+msgstr "Mandaic, Classical"
 
 msgid "Mandan"
-msgstr ""
+msgstr "Mandan"
 
 msgid "Mandandanyi"
-msgstr ""
+msgstr "Mandandanyi"
 
 msgid "Mandar"
 msgstr "マンダル語"
 
 msgid "Mandara"
-msgstr ""
+msgstr "Mandara"
 
 msgid "Mandari"
-msgstr ""
+msgstr "Mandari"
 
 msgid "Mandaya"
-msgstr ""
+msgstr "Mandaya"
 
 msgid "Mandeali"
-msgstr ""
+msgstr "Mandeali"
 
 msgid "Mander"
-msgstr ""
+msgstr "Mander"
 
 msgid "Mandingo"
 msgstr "マンディンゴ語"
 
 msgid "Mandinka"
-msgstr ""
+msgstr "Mandinka"
 
 msgid "Mandjak"
-msgstr ""
+msgstr "Mandjak"
 
 msgid "Mandobo Atas"
-msgstr ""
+msgstr "Mandobo Atas"
 
 msgid "Mandobo Bawah"
-msgstr ""
+msgstr "Mandobo Bawah"
 
 msgid "Manduri, Baga"
-msgstr ""
+msgstr "Manduri, Baga"
 
 msgid "Manem"
-msgstr ""
+msgstr "Manem"
 
 msgid "Mang"
-msgstr ""
+msgstr "Mang"
 
 msgid "Mangala"
-msgstr ""
+msgstr "Mangala"
 
 msgid "Mangarayi"
-msgstr ""
+msgstr "Mangarayi"
 
 msgid "Mangareva"
-msgstr ""
+msgstr "Mangareva"
 
 msgid "Mangas"
-msgstr ""
+msgstr "Mangas"
 
 msgid "Mangayat"
-msgstr ""
+msgstr "Mangayat"
 
 msgid "Mangbetu"
-msgstr ""
+msgstr "Mangbetu"
 
 msgid "Mangbutu"
-msgstr ""
+msgstr "Mangbutu"
 
 msgid "Mangerr"
-msgstr ""
+msgstr "Mangerr"
 
 msgid "Manggarai"
-msgstr ""
+msgstr "Manggarai"
 
 msgid "Mango"
-msgstr ""
+msgstr "Mango"
 
 msgid "Mangole"
-msgstr ""
+msgstr "Mangole"
 
 msgid "Mangseng"
-msgstr ""
+msgstr "Mangseng"
 
 msgid "Mangue"
-msgstr ""
+msgstr "Mangue"
 
 msgid "Manide"
-msgstr ""
+msgstr "Manide"
 
 msgid "Manikion"
-msgstr ""
+msgstr "Manikion"
 
 msgid "Maninka, Konyanka"
-msgstr ""
+msgstr "Maninka, Konyanka"
 
 msgid "Maninka, Sankaran"
-msgstr ""
+msgstr "Maninka, Sankaran"
 
 msgid "Maninkakan, Eastern"
-msgstr ""
+msgstr "Maninkakan, Eastern"
 
 msgid "Maninkakan, Kita"
-msgstr ""
+msgstr "Maninkakan, Kita"
 
 msgid "Maninkakan, Western"
-msgstr ""
+msgstr "Maninkakan, Western"
 
 msgid "Manipa"
-msgstr ""
+msgstr "Manipa"
 
 msgid "Manipuri"
 msgstr "マニプル語"
 
 msgid "Manipuri, Old"
-msgstr ""
+msgstr "Manipuri, Old"
 
 msgid "Mankanya"
-msgstr ""
+msgstr "Mankanya"
 
 msgid "Manna-Dora"
 msgstr "テルグ語"
 
 msgid "Mannan"
-msgstr ""
+msgstr "Mannan"
 
 msgid "Mano"
-msgstr ""
+msgstr "Mano"
 
 msgid "Manobo, Agusan"
-msgstr ""
+msgstr "Manobo, Agusan"
 
 msgid "Manobo, Ata"
-msgstr ""
+msgstr "Manobo, Ata"
 
 msgid "Manobo, Cotabato"
-msgstr ""
+msgstr "Manobo, Cotabato"
 
 msgid "Manobo, Dibabawon"
-msgstr ""
+msgstr "Manobo, Dibabawon"
 
 msgid "Manobo, Ilianen"
-msgstr ""
+msgstr "Manobo, Ilianen"
 
 msgid "Manobo, Kinamiging"
-msgstr ""
+msgstr "Manobo, Kinamiging"
 
 msgid "Manobo, Matigsalug"
-msgstr ""
+msgstr "Manobo, Matigsalug"
 
 msgid "Manobo, Obo"
-msgstr ""
+msgstr "Manobo, Obo"
 
 msgid "Manobo, Rajah Kabunsuwan"
-msgstr ""
+msgstr "Manobo, Rajah Kabunsuwan"
 
 msgid "Manobo, Sarangani"
-msgstr ""
+msgstr "Manobo, Sarangani"
 
 msgid "Manobo, Western Bukidnon"
-msgstr ""
+msgstr "Manobo, Western Bukidnon"
 
 msgid "Manombai"
-msgstr ""
+msgstr "Manombai"
 
 msgid "Mansaka"
-msgstr ""
+msgstr "Mansaka"
 
 msgid "Mansi"
-msgstr ""
+msgstr "Mansi"
 
 msgid "Mansoanka"
-msgstr ""
+msgstr "Mansoanka"
 
 msgid "Manta"
-msgstr ""
+msgstr "Manta"
 
 msgid "Mantsi"
-msgstr ""
+msgstr "Mantsi"
 
 msgid "Manx"
 msgstr "マン島語"
 
 msgid "Manya"
-msgstr ""
+msgstr "Manya"
 
 msgid "Manyawa"
-msgstr ""
+msgstr "Manyawa"
 
 msgid "Manyika"
-msgstr ""
+msgstr "Manyika"
 
 msgid "Manza"
-msgstr ""
+msgstr "Manza"
 
 msgid "Maonan"
-msgstr ""
+msgstr "Maonan"
 
 msgid "Maori"
 msgstr "マオリ語"
 
 msgid "Mape"
-msgstr ""
+msgstr "Mape"
 
 msgid "Mapena"
-msgstr ""
+msgstr "Mapena"
 
 msgid "Mapia"
-msgstr ""
+msgstr "Mapia"
 
 msgid "Mapidian"
-msgstr ""
+msgstr "Mapidian"
 
 msgid "Mapoyo"
-msgstr ""
+msgstr "Mapoyo"
 
 msgid "Mapudungun"
-msgstr ""
+msgstr "Mapudungun"
 
 msgid "Mapun"
-msgstr ""
+msgstr "Mapun"
 
 msgid "Maquiritari"
-msgstr ""
+msgstr "Maquiritari"
 
 msgid "Mara"
-msgstr ""
+msgstr "Mara"
 
 msgid "Marachi"
-msgstr ""
+msgstr "Marachi"
 
 msgid "Maraghei"
-msgstr ""
+msgstr "Maraghei"
 
 msgid "Maragus"
-msgstr ""
+msgstr "Maragus"
 
 msgid "Marama"
-msgstr ""
+msgstr "Marama"
 
 msgid "Maramba"
-msgstr ""
+msgstr "Maramba"
 
 msgid "Maranao"
-msgstr ""
+msgstr "Maranao"
 
 msgid "Maranunggu"
-msgstr ""
+msgstr "Maranunggu"
 
 msgid "Mararit"
-msgstr ""
+msgstr "Mararit"
 
 msgid "Marathi"
 msgstr "マラーティー語"
 
 msgid "Marathi, Old"
-msgstr ""
+msgstr "Marathi, Old"
 
 msgid "Marau"
-msgstr ""
+msgstr "Marau"
 
 msgid "Marba"
-msgstr ""
+msgstr "Marba"
 
 msgid "Maremgi"
-msgstr ""
+msgstr "Maremgi"
 
 msgid "Marenje"
-msgstr ""
+msgstr "Marenje"
 
 msgid "Marfa"
-msgstr ""
+msgstr "Marfa"
 
 msgid "Margany"
-msgstr ""
+msgstr "Margany"
 
 msgid "Marghi Central"
-msgstr ""
+msgstr "Marghi Central"
 
 msgid "Marghi South"
-msgstr ""
+msgstr "Marghi South"
 
 msgid "Margu"
-msgstr ""
+msgstr "Margu"
 
 msgid "Mari (East Sepik Province)"
-msgstr ""
+msgstr "Mari (East Sepik Province)"
 
 msgid "Mari (Madang Province)"
-msgstr ""
+msgstr "Mari (Madang Province)"
 
 msgid "Mari (Russia)"
-msgstr ""
+msgstr "Mari (Russia)"
 
 msgid "Mari, Eastern"
-msgstr ""
+msgstr "Mari, Eastern"
 
 msgid "Mari, Western"
-msgstr ""
+msgstr "Mari, Western"
 
 msgid "Maria (India)"
-msgstr ""
+msgstr "Maria (India)"
 
 msgid "Maria (Papua New Guinea)"
-msgstr ""
+msgstr "Maria (Papua New Guinea)"
 
 msgid "Maria, Dandami"
-msgstr ""
+msgstr "Maria, Dandami"
 
 msgid "Maricopa"
-msgstr ""
+msgstr "Maricopa"
 
 msgid "Maridan"
-msgstr ""
+msgstr "Maridan"
 
 msgid "Maridjabin"
-msgstr ""
+msgstr "Maridjabin"
 
 msgid "Marik"
-msgstr ""
+msgstr "Marik"
 
 msgid "Marimanindji"
-msgstr ""
+msgstr "Marimanindji"
 
 msgid "Marind"
-msgstr ""
+msgstr "Marind"
 
 msgid "Marind, Bian"
-msgstr ""
+msgstr "Marind, Bian"
 
 msgid "Maring"
-msgstr ""
+msgstr "Maring"
 
 msgid "Maringarr"
-msgstr ""
+msgstr "Maringarr"
 
 msgid "Marino"
-msgstr ""
+msgstr "Marino"
 
 msgid "Mariri"
-msgstr ""
+msgstr "Mariri"
 
 msgid "Marithiel"
-msgstr ""
+msgstr "Marithiel"
 
 msgid "Maritime Sign Language"
-msgstr ""
+msgstr "Maritime Sign Language"
 
 msgid "Maritsauá"
-msgstr ""
+msgstr "Maritsauá"
 
 msgid "Mariyedi"
-msgstr ""
+msgstr "Mariyedi"
 
 msgid "Marka"
-msgstr ""
+msgstr "Marka"
 
 msgid "Markweeta"
-msgstr ""
+msgstr "Markweeta"
 
 msgid "Marma"
-msgstr ""
+msgstr "Marma"
 
 msgid "Marovo"
-msgstr ""
+msgstr "Marovo"
 
 msgid "Marquesan, North"
-msgstr ""
+msgstr "Marquesan, North"
 
 msgid "Marquesan, South"
-msgstr ""
+msgstr "Marquesan, South"
 
 msgid "Marriammu"
-msgstr ""
+msgstr "Marriammu"
 
 msgid "Marrucinian"
-msgstr ""
+msgstr "Marrucinian"
 
 msgid "Marshallese"
-msgstr ""
+msgstr "Marshallese"
 
 msgid "Marsian"
-msgstr ""
+msgstr "Marsian"
 
 msgid "Martha's Vineyard Sign Language"
-msgstr ""
+msgstr "Martha's Vineyard Sign Language"
 
 msgid "Marti Ke"
-msgstr ""
+msgstr "Marti Ke"
 
 msgid "Martu Wangka"
-msgstr ""
+msgstr "Martu Wangka"
 
 msgid "Martuyhunira"
-msgstr ""
+msgstr "Martuyhunira"
 
 msgid "Maru"
-msgstr ""
+msgstr "Maru"
 
 msgid "Marwari"
 msgstr "マルワリ語"
 
 msgid "Marwari (India)"
-msgstr ""
+msgstr "Marwari (India)"
 
 msgid "Marwari (Pakistan)"
-msgstr ""
+msgstr "Marwari (Pakistan)"
 
 msgid "Marúbo"
-msgstr ""
+msgstr "Marúbo"
 
 msgid "Masaaba"
-msgstr ""
+msgstr "Masaaba"
 
 msgid "Masai"
 msgstr "マサイ語"
 
 msgid "Masalit"
-msgstr ""
+msgstr "Masalit"
 
 msgid "Masana"
-msgstr ""
+msgstr "Masana"
 
 msgid "Masbatenyo"
-msgstr ""
+msgstr "Masbatenyo"
 
 msgid "Masela, Central"
-msgstr ""
+msgstr "Masela, Central"
 
 msgid "Masela, East"
-msgstr ""
+msgstr "Masela, East"
 
 msgid "Masela, West"
-msgstr ""
+msgstr "Masela, West"
 
 msgid "Mashco Piro"
-msgstr ""
+msgstr "Mashco Piro"
 
 msgid "Mashi (Nigeria)"
-msgstr ""
+msgstr "Mashi (Nigeria)"
 
 msgid "Mashi (Zambia)"
-msgstr ""
+msgstr "Mashi (Zambia)"
 
 msgid "Masimasi"
-msgstr ""
+msgstr "Masimasi"
 
 msgid "Masiwang"
-msgstr ""
+msgstr "Masiwang"
 
 msgid "Maskelynes"
-msgstr ""
+msgstr "Maskelynes"
 
 msgid "Maslam"
-msgstr ""
+msgstr "Maslam"
 
 msgid "Masmaje"
-msgstr ""
+msgstr "Masmaje"
 
 msgid "Massalat"
-msgstr ""
+msgstr "Massalat"
 
 msgid "Massep"
-msgstr ""
+msgstr "Massep"
 
 msgid "Matagalpa"
-msgstr ""
+msgstr "Matagalpa"
 
 msgid "Matal"
-msgstr ""
+msgstr "Matal"
 
 msgid "Matbat"
-msgstr ""
+msgstr "Matbat"
 
 msgid "Matengo"
-msgstr ""
+msgstr "Matengo"
 
 msgid "Matepi"
-msgstr ""
+msgstr "Matepi"
 
 msgid "Matipuhy"
-msgstr ""
+msgstr "Matipuhy"
 
 msgid "Matlatzinca, Atzingo"
-msgstr ""
+msgstr "Matlatzinca, Atzingo"
 
 msgid "Matlatzinca, San Francisco"
-msgstr ""
+msgstr "Matlatzinca, San Francisco"
 
 msgid "Mato"
-msgstr ""
+msgstr "Mato"
 
 msgid "Mator"
-msgstr ""
+msgstr "Mator"
 
 msgid "Matsés"
-msgstr ""
+msgstr "Matsés"
 
 msgid "Mattole"
-msgstr ""
+msgstr "Mattole"
 
 msgid "Matukar"
-msgstr ""
+msgstr "Matukar"
 
 msgid "Matumbi"
-msgstr ""
+msgstr "Matumbi"
 
 msgid "Matís"
-msgstr ""
+msgstr "Matís"
 
 msgid "Maung"
-msgstr ""
+msgstr "Maung"
 
 msgid "Mauritian Sign Language"
-msgstr ""
+msgstr "Mauritian Sign Language"
 
 msgid "Mauwake"
-msgstr ""
+msgstr "Mauwake"
 
 msgid "Mawa (Chad)"
-msgstr ""
+msgstr "Mawa (Chad)"
 
 msgid "Mawa (Nigeria)"
-msgstr ""
+msgstr "Mawa (Nigeria)"
 
 msgid "Mawak"
-msgstr ""
+msgstr "Mawak"
 
 msgid "Mawan"
-msgstr ""
+msgstr "Mawan"
 
 msgid "Mawayana"
-msgstr ""
+msgstr "Mawayana"
 
 msgid "Mawchi"
-msgstr ""
+msgstr "Mawchi"
 
 msgid "Mawes"
-msgstr ""
+msgstr "Mawes"
 
 msgid "Maxakalí"
-msgstr ""
+msgstr "Maxakalí"
 
 msgid "Mayaguduna"
-msgstr ""
+msgstr "Mayaguduna"
 
 msgid "Mayan, Epigraphic"
-msgstr ""
+msgstr "Mayan, Epigraphic"
 
 msgid "Mayangna"
-msgstr ""
+msgstr "Mayangna"
 
 msgid "Mayawali"
-msgstr ""
+msgstr "Mayawali"
 
 msgid "Mayeka"
-msgstr ""
+msgstr "Mayeka"
 
 msgid "Mayi-Kulan"
-msgstr ""
+msgstr "Mayi-Kulan"
 
 msgid "Mayi-Thakurti"
-msgstr ""
+msgstr "Mayi-Thakurti"
 
 msgid "Mayi-Yapi"
-msgstr ""
+msgstr "Mayi-Yapi"
 
 msgid "Mayo"
-msgstr ""
+msgstr "Mayo"
 
 msgid "Mayogo"
-msgstr ""
+msgstr "Mayogo"
 
 msgid "Mazagway"
-msgstr ""
+msgstr "Mazagway"
 
 msgid "Mazahua, Central"
-msgstr ""
+msgstr "Mazahua, Central"
 
 msgid "Mazahua, Michoacán"
-msgstr ""
+msgstr "Mazahua, Michoacán"
 
 msgid "Mazanderani"
-msgstr ""
+msgstr "Mazanderani"
 
 msgid "Mazatec, Ayautla"
-msgstr ""
+msgstr "Mazatec, Ayautla"
 
 msgid "Mazatec, Chiquihuitlán"
-msgstr ""
+msgstr "Mazatec, Chiquihuitlán"
 
 msgid "Mazatec, Huautla"
-msgstr ""
+msgstr "Mazatec, Huautla"
 
 msgid "Mazatec, Ixcatlán"
-msgstr ""
+msgstr "Mazatec, Ixcatlán"
 
 msgid "Mazatec, Jalapa De Díaz"
-msgstr ""
+msgstr "Mazatec, Jalapa De Díaz"
 
 msgid "Mazatec, Mazatlán"
-msgstr ""
+msgstr "Mazatec, Mazatlán"
 
 msgid "Mazatec, San Jerónimo Tecóatl"
-msgstr ""
+msgstr "Mazatec, San Jerónimo Tecóatl"
 
 msgid "Mazatec, Soyaltepec"
-msgstr ""
+msgstr "Mazatec, Soyaltepec"
 
 msgid "Mba"
-msgstr ""
+msgstr "Mba"
 
 msgid "Mbala"
-msgstr ""
+msgstr "Mbala"
 
 msgid "Mbalanhu"
-msgstr ""
+msgstr "Mbalanhu"
 
 msgid "Mbandja"
-msgstr ""
+msgstr "Mbandja"
 
 msgid "Mbangala"
-msgstr ""
+msgstr "Mbangala"
 
 msgid "Mbangi"
-msgstr ""
+msgstr "Mbangi"
 
 msgid "Mbangwe"
-msgstr ""
+msgstr "Mbangwe"
 
 msgid "Mbara (Australia)"
-msgstr ""
+msgstr "Mbara (Australia)"
 
 msgid "Mbara (Chad)"
-msgstr ""
+msgstr "Mbara (Chad)"
 
 msgid "Mbariman-Gudhinma"
-msgstr ""
+msgstr "Mbariman-Gudhinma"
 
 msgid "Mbati"
-msgstr ""
+msgstr "Mbati"
 
 msgid "Mbato"
-msgstr ""
+msgstr "Mbato"
 
 msgid "Mbay"
-msgstr ""
+msgstr "Mbay"
 
 msgid "Mbe"
-msgstr ""
+msgstr "Mbe"
 
 msgid "Mbe'"
-msgstr ""
+msgstr "Mbe'"
 
 msgid "Mbelime"
-msgstr ""
+msgstr "Mbelime"
 
 msgid "Mbembe, Cross River"
-msgstr ""
+msgstr "Mbembe, Cross River"
 
 msgid "Mbembe, Tigon"
-msgstr ""
+msgstr "Mbembe, Tigon"
 
 msgid "Mbere"
-msgstr ""
+msgstr "Mbere"
 
 msgid "Mbesa"
-msgstr ""
+msgstr "Mbesa"
 
 msgid "Mbo (Cameroon)"
-msgstr ""
+msgstr "Mbo (Cameroon)"
 
 msgid "Mbo (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Mbo (Democratic Republic of Congo)"
 
 msgid "Mboi"
-msgstr ""
+msgstr "Mboi"
 
 msgid "Mboko"
-msgstr ""
+msgstr "Mboko"
 
 msgid "Mbole"
-msgstr ""
+msgstr "Mbole"
 
 msgid "Mbonga"
-msgstr ""
+msgstr "Mbonga"
 
 msgid "Mbongno"
-msgstr ""
+msgstr "Mbongno"
 
 msgid "Mbosi"
-msgstr ""
+msgstr "Mbosi"
 
 msgid "Mbowe"
-msgstr ""
+msgstr "Mbowe"
 
 msgid "Mbre"
-msgstr ""
+msgstr "Mbre"
 
 msgid "Mbudum"
-msgstr ""
+msgstr "Mbudum"
 
 msgid "Mbugu"
-msgstr ""
+msgstr "Mbugu"
 
 msgid "Mbugwe"
-msgstr ""
+msgstr "Mbugwe"
 
 msgid "Mbuko"
-msgstr ""
+msgstr "Mbuko"
 
 msgid "Mbukushu"
-msgstr ""
+msgstr "Mbukushu"
 
 msgid "Mbula"
-msgstr ""
+msgstr "Mbula"
 
 msgid "Mbula-Bwazza"
-msgstr ""
+msgstr "Mbula-Bwazza"
 
 msgid "Mbule"
-msgstr ""
+msgstr "Mbule"
 
 msgid "Mbulungish"
-msgstr ""
+msgstr "Mbulungish"
 
 msgid "Mbum"
-msgstr ""
+msgstr "Mbum"
 
 msgid "Mbunda"
-msgstr ""
+msgstr "Mbunda"
 
 msgid "Mbunga"
-msgstr ""
+msgstr "Mbunga"
 
 msgid "Mburku"
-msgstr ""
+msgstr "Mburku"
 
 msgid "Mbwela"
-msgstr ""
+msgstr "Mbwela"
 
 msgid "Me'en"
-msgstr ""
+msgstr "Me'en"
 
 msgid "Me'phaa, Acatepec"
-msgstr ""
+msgstr "Me'phaa, Acatepec"
 
 msgid "Me'phaa, Azoyú"
-msgstr ""
+msgstr "Me'phaa, Azoyú"
 
 msgid "Me'phaa, Malinaltepec"
-msgstr ""
+msgstr "Me'phaa, Malinaltepec"
 
 msgid "Me'phaa, Tlacoapa"
-msgstr ""
+msgstr "Me'phaa, Tlacoapa"
 
 msgid "Medebur"
-msgstr ""
+msgstr "Medebur"
 
 msgid "Media Lengua"
-msgstr ""
+msgstr "Media Lengua"
 
 msgid "Mediak"
-msgstr ""
+msgstr "Mediak"
 
 msgid "Median"
-msgstr ""
+msgstr "Median"
 
 msgid "Medumba"
-msgstr ""
+msgstr "Medumba"
 
 msgid "Mefele"
-msgstr ""
+msgstr "Mefele"
 
 msgid "Megam"
-msgstr ""
+msgstr "Megam"
 
 msgid "Mehek"
-msgstr ""
+msgstr "Mehek"
 
 msgid "Mehináku"
-msgstr ""
+msgstr "Mehináku"
 
 msgid "Mehri"
-msgstr ""
+msgstr "Mehri"
 
 msgid "Mekeo"
-msgstr ""
+msgstr "Mekeo"
 
 msgid "Mekmek"
-msgstr ""
+msgstr "Mekmek"
 
 msgid "Mekwei"
-msgstr ""
+msgstr "Mekwei"
 
 msgid "Melanau, Central"
-msgstr ""
+msgstr "Melanau, Central"
 
 msgid "Melanau, Daro-Matu"
-msgstr ""
+msgstr "Melanau, Daro-Matu"
 
 msgid "Melanau, Kanowit-Tanjong"
-msgstr ""
+msgstr "Melanau, Kanowit-Tanjong"
 
 msgid "Melanau, Sibu"
-msgstr ""
+msgstr "Melanau, Sibu"
 
 msgid "Mele-Fila"
-msgstr ""
+msgstr "Mele-Fila"
 
 msgid "Melo"
-msgstr ""
+msgstr "Melo"
 
 msgid "Melpa"
-msgstr ""
+msgstr "Melpa"
 
 msgid "Memoni"
-msgstr ""
+msgstr "Memoni"
 
 msgid "Mendankwe-Nkwen"
-msgstr ""
+msgstr "Mendankwe-Nkwen"
 
 msgid "Mende (Papua New Guinea)"
-msgstr ""
+msgstr "Mende (Papua New Guinea)"
 
 msgid "Mende (Sierra Leone)"
-msgstr ""
+msgstr "Mende (Sierra Leone)"
 
 msgid "Mengaka"
-msgstr ""
+msgstr "Mengaka"
 
 msgid "Mengen"
-msgstr ""
+msgstr "Mengen"
 
 msgid "Mengisa"
-msgstr ""
+msgstr "Mengisa"
 
 msgid "Menka"
-msgstr ""
+msgstr "Menka"
 
 msgid "Menominee"
-msgstr ""
+msgstr "Menominee"
 
 msgid "Mentawai"
-msgstr ""
+msgstr "Mentawai"
 
 msgid "Menya"
-msgstr ""
+msgstr "Menya"
 
 msgid "Meohang, Eastern"
-msgstr ""
+msgstr "Meohang, Eastern"
 
 msgid "Meohang, Western"
-msgstr ""
+msgstr "Meohang, Western"
 
 msgid "Meoswar"
-msgstr ""
+msgstr "Meoswar"
 
 msgid "Mer"
-msgstr ""
+msgstr "Mer"
 
 msgid "Meramera"
-msgstr ""
+msgstr "Meramera"
 
 msgid "Merei"
-msgstr ""
+msgstr "Merei"
 
 msgid "Merey"
-msgstr ""
+msgstr "Merey"
 
 msgid "Meriam"
-msgstr ""
+msgstr "Meriam"
 
 msgid "Merlav"
-msgstr ""
+msgstr "Merlav"
 
 msgid "Meroitic"
-msgstr ""
+msgstr "Meroitic"
 
 msgid "Meru"
-msgstr ""
+msgstr "Meru"
 
 msgid "Merwari"
-msgstr ""
+msgstr "Merwari"
 
 msgid "Mesaka"
-msgstr ""
+msgstr "Mesaka"
 
 msgid "Mese"
-msgstr ""
+msgstr "Mese"
 
 msgid "Meskwaki"
-msgstr ""
+msgstr "Meskwaki"
 
 msgid "Mesme"
-msgstr ""
+msgstr "Mesme"
 
 msgid "Mesmes"
-msgstr ""
+msgstr "Mesmes"
 
 msgid "Mesqan"
-msgstr ""
+msgstr "Mesqan"
 
 msgid "Messapic"
-msgstr ""
+msgstr "Messapic"
 
 msgid "Meta'"
-msgstr ""
+msgstr "Meta'"
 
 msgid "Mewari"
-msgstr ""
+msgstr "Mewari"
 
 msgid "Mewati"
-msgstr ""
+msgstr "Mewati"
 
 msgid "Mexican Sign Language"
-msgstr ""
+msgstr "Mexican Sign Language"
 
 msgid "Meyah"
-msgstr ""
+msgstr "Meyah"
 
 msgid "Mfinu"
-msgstr ""
+msgstr "Mfinu"
 
 msgid "Mfumte"
-msgstr ""
+msgstr "Mfumte"
 
 msgid "Mgbolizhia"
-msgstr ""
+msgstr "Mgbolizhia"
 
 msgid "Mi'kmaq"
-msgstr ""
+msgstr "Mi'kmaq"
 
 msgid "Miami"
-msgstr ""
+msgstr "Miami"
 
 msgid "Mian"
-msgstr ""
+msgstr "Mian"
 
 msgid "Miani"
-msgstr ""
+msgstr "Miani"
 
 msgid "Miao, Chuanqiandian Cluster"
-msgstr ""
+msgstr "Miao, Chuanqiandian Cluster"
 
 msgid "Miao, Eastern Qiandong"
-msgstr ""
+msgstr "Miao, Eastern Qiandong"
 
 msgid "Miao, Eastern Xiangxi"
-msgstr ""
+msgstr "Miao, Eastern Xiangxi"
 
 msgid "Miao, Horned"
-msgstr ""
+msgstr "Miao, Horned"
 
 msgid "Miao, Large Flowery"
-msgstr ""
+msgstr "Miao, Large Flowery"
 
 msgid "Miao, Northern Qiandong"
-msgstr ""
+msgstr "Miao, Northern Qiandong"
 
 msgid "Miao, Small Flowery"
-msgstr ""
+msgstr "Miao, Small Flowery"
 
 msgid "Miao, Southern Qiandong"
-msgstr ""
+msgstr "Miao, Southern Qiandong"
 
 msgid "Miao, Western Xiangxi"
-msgstr ""
+msgstr "Miao, Western Xiangxi"
 
 msgid "Michif"
-msgstr ""
+msgstr "Michif"
 
 msgid "Michigamea"
-msgstr ""
+msgstr "Michigamea"
 
 msgid "Midob"
-msgstr ""
+msgstr "Midob"
 
 msgid "Mien, Biao-Jiao"
-msgstr ""
+msgstr "Mien, Biao-Jiao"
 
 msgid "Mien, Iu"
-msgstr ""
+msgstr "Mien, Iu"
 
 msgid "Migaama"
-msgstr ""
+msgstr "Migaama"
 
 msgid "Migabac"
-msgstr ""
+msgstr "Migabac"
 
 msgid "Migum"
-msgstr ""
+msgstr "Migum"
 
 msgid "Miju-Mishmi"
-msgstr ""
+msgstr "Miju-Mishmi"
 
 msgid "Mikasuki"
-msgstr ""
+msgstr "Mikasuki"
 
 msgid "Mili"
-msgstr ""
+msgstr "Mili"
 
 msgid "Miltu"
-msgstr ""
+msgstr "Miltu"
 
 msgid "Miluk"
-msgstr ""
+msgstr "Miluk"
 
 msgid "Milyan"
-msgstr ""
+msgstr "Milyan"
 
 msgid "Mina (Cameroon)"
-msgstr ""
+msgstr "Mina (Cameroon)"
 
 msgid "Mina (India)"
-msgstr ""
+msgstr "Mina (India)"
 
 msgid "Minaean"
-msgstr ""
+msgstr "Minaean"
 
 msgid "Minang"
-msgstr ""
+msgstr "Minang"
 
 msgid "Minangkabau"
 msgstr "ミナンカバウ語"
 
 msgid "Minanibai"
-msgstr ""
+msgstr "Minanibai"
 
 msgid "Minaveha"
-msgstr ""
+msgstr "Minaveha"
 
 msgid "Minderico"
-msgstr ""
+msgstr "Minderico"
 
 msgid "Mindiri"
-msgstr ""
+msgstr "Mindiri"
 
 msgid "Mingang Doso"
-msgstr ""
+msgstr "Mingang Doso"
 
 msgid "Mingrelian"
-msgstr ""
+msgstr "Mingrelian"
 
 msgid "Minidien"
-msgstr ""
+msgstr "Minidien"
 
 msgid "Minjungbal"
-msgstr ""
+msgstr "Minjungbal"
 
 msgid "Minkin"
-msgstr ""
+msgstr "Minkin"
 
 msgid "Minoan"
-msgstr ""
+msgstr "Minoan"
 
 msgid "Minokok"
-msgstr ""
+msgstr "Minokok"
 
 msgid "Minriq"
-msgstr ""
+msgstr "Minriq"
 
 msgid "Mintil"
-msgstr ""
+msgstr "Mintil"
 
 msgid "Miqie"
-msgstr ""
+msgstr "Miqie"
 
 msgid "Mirandese"
 msgstr "ミランド語"
 
 msgid "Mirgan"
-msgstr ""
+msgstr "Mirgan"
 
 msgid "Miriti"
-msgstr ""
+msgstr "Miriti"
 
 msgid "Miriwoong Sign Language"
-msgstr ""
+msgstr "Miriwoong Sign Language"
 
 msgid "Miriwung"
-msgstr ""
+msgstr "Miriwung"
 
 msgid "Miship"
-msgstr ""
+msgstr "Miship"
 
 msgid "Misima-Panaeati"
-msgstr ""
+msgstr "Misima-Panaeati"
 
 msgid "Mising"
-msgstr ""
+msgstr "Mising"
 
 msgid "Mittu"
-msgstr ""
+msgstr "Mittu"
 
 msgid "Mituku"
-msgstr ""
+msgstr "Mituku"
 
 msgid "Miu"
-msgstr ""
+msgstr "Miu"
 
 msgid "Miwa"
-msgstr ""
+msgstr "Miwa"
 
 msgid "Miwok, Bay"
-msgstr ""
+msgstr "Miwok, Bay"
 
 msgid "Miwok, Central Sierra"
-msgstr ""
+msgstr "Miwok, Central Sierra"
 
 msgid "Miwok, Coast"
-msgstr ""
+msgstr "Miwok, Coast"
 
 msgid "Miwok, Lake"
-msgstr ""
+msgstr "Miwok, Lake"
 
 msgid "Miwok, Northern Sierra"
-msgstr ""
+msgstr "Miwok, Northern Sierra"
 
 msgid "Miwok, Plains"
-msgstr ""
+msgstr "Miwok, Plains"
 
 msgid "Miwok, Southern Sierra"
-msgstr ""
+msgstr "Miwok, Southern Sierra"
 
 msgid "Mixe, Coatlán"
-msgstr ""
+msgstr "Mixe, Coatlán"
 
 msgid "Mixe, Isthmus"
-msgstr ""
+msgstr "Mixe, Isthmus"
 
 msgid "Mixe, Juquila"
-msgstr ""
+msgstr "Mixe, Juquila"
 
 msgid "Mixe, Mazatlán"
-msgstr ""
+msgstr "Mixe, Mazatlán"
 
 msgid "Mixe, North Central"
-msgstr ""
+msgstr "Mixe, North Central"
 
 msgid "Mixe, Quetzaltepec"
-msgstr ""
+msgstr "Mixe, Quetzaltepec"
 
 msgid "Mixe, Tlahuitoltepec"
-msgstr ""
+msgstr "Mixe, Tlahuitoltepec"
 
 msgid "Mixe, Totontepec"
-msgstr ""
+msgstr "Mixe, Totontepec"
 
 msgid "Mixtec, Alacatlatzala"
-msgstr ""
+msgstr "Mixtec, Alacatlatzala"
 
 msgid "Mixtec, Alcozauca"
-msgstr ""
+msgstr "Mixtec, Alcozauca"
 
 msgid "Mixtec, Amoltepec"
-msgstr ""
+msgstr "Mixtec, Amoltepec"
 
 msgid "Mixtec, Apasco-Apoala"
-msgstr ""
+msgstr "Mixtec, Apasco-Apoala"
 
 msgid "Mixtec, Atatláhuca"
-msgstr ""
+msgstr "Mixtec, Atatláhuca"
 
 msgid "Mixtec, Ayutla"
-msgstr ""
+msgstr "Mixtec, Ayutla"
 
 msgid "Mixtec, Cacaloxtepec"
-msgstr ""
+msgstr "Mixtec, Cacaloxtepec"
 
 msgid "Mixtec, Chayuco"
-msgstr ""
+msgstr "Mixtec, Chayuco"
 
 msgid "Mixtec, Chazumba"
-msgstr ""
+msgstr "Mixtec, Chazumba"
 
 msgid "Mixtec, Chigmecatitlán"
-msgstr ""
+msgstr "Mixtec, Chigmecatitlán"
 
 msgid "Mixtec, Coatzospan"
-msgstr ""
+msgstr "Mixtec, Coatzospan"
 
 msgid "Mixtec, Cuyamecalco"
-msgstr ""
+msgstr "Mixtec, Cuyamecalco"
 
 msgid "Mixtec, Diuxi-Tilantongo"
-msgstr ""
+msgstr "Mixtec, Diuxi-Tilantongo"
 
 msgid "Mixtec, Huitepec"
-msgstr ""
+msgstr "Mixtec, Huitepec"
 
 msgid "Mixtec, Itundujia"
-msgstr ""
+msgstr "Mixtec, Itundujia"
 
 msgid "Mixtec, Ixtayutla"
-msgstr ""
+msgstr "Mixtec, Ixtayutla"
 
 msgid "Mixtec, Jamiltepec"
-msgstr ""
+msgstr "Mixtec, Jamiltepec"
 
 msgid "Mixtec, Juxtlahuaca"
-msgstr ""
+msgstr "Mixtec, Juxtlahuaca"
 
 msgid "Mixtec, Magdalena Peñasco"
-msgstr ""
+msgstr "Mixtec, Magdalena Peñasco"
 
 msgid "Mixtec, Metlatónoc"
-msgstr ""
+msgstr "Mixtec, Metlatónoc"
 
 msgid "Mixtec, Mitlatongo"
-msgstr ""
+msgstr "Mixtec, Mitlatongo"
 
 msgid "Mixtec, Mixtepec"
-msgstr ""
+msgstr "Mixtec, Mixtepec"
 
 msgid "Mixtec, Northern Tlaxiaco"
-msgstr ""
+msgstr "Mixtec, Northern Tlaxiaco"
 
 msgid "Mixtec, Northwest Oaxaca"
-msgstr ""
+msgstr "Mixtec, Northwest Oaxaca"
 
 msgid "Mixtec, Ocotepec"
-msgstr ""
+msgstr "Mixtec, Ocotepec"
 
 msgid "Mixtec, Peñoles"
-msgstr ""
+msgstr "Mixtec, Peñoles"
 
 msgid "Mixtec, Pinotepa Nacional"
-msgstr ""
+msgstr "Mixtec, Pinotepa Nacional"
 
 msgid "Mixtec, San Juan Colorado"
-msgstr ""
+msgstr "Mixtec, San Juan Colorado"
 
 msgid "Mixtec, San Juan Teita"
-msgstr ""
+msgstr "Mixtec, San Juan Teita"
 
 msgid "Mixtec, San Miguel El Grande"
-msgstr ""
+msgstr "Mixtec, San Miguel El Grande"
 
 msgid "Mixtec, San Miguel Piedras"
-msgstr ""
+msgstr "Mixtec, San Miguel Piedras"
 
 msgid "Mixtec, Santa Lucía Monteverde"
-msgstr ""
+msgstr "Mixtec, Santa Lucía Monteverde"
 
 msgid "Mixtec, Santa María Zacatepec"
-msgstr ""
+msgstr "Mixtec, Santa María Zacatepec"
 
 msgid "Mixtec, Silacayoapan"
-msgstr ""
+msgstr "Mixtec, Silacayoapan"
 
 msgid "Mixtec, Sindihui"
-msgstr ""
+msgstr "Mixtec, Sindihui"
 
 msgid "Mixtec, Sinicahua"
-msgstr ""
+msgstr "Mixtec, Sinicahua"
 
 msgid "Mixtec, Southeastern Nochixtlán"
-msgstr ""
+msgstr "Mixtec, Southeastern Nochixtlán"
 
 msgid "Mixtec, Southern Puebla"
-msgstr ""
+msgstr "Mixtec, Southern Puebla"
 
 msgid "Mixtec, Southwestern Tlaxiaco"
-msgstr ""
+msgstr "Mixtec, Southwestern Tlaxiaco"
 
 msgid "Mixtec, Soyaltepec"
-msgstr ""
+msgstr "Mixtec, Soyaltepec"
 
 msgid "Mixtec, Tacahua"
-msgstr ""
+msgstr "Mixtec, Tacahua"
 
 msgid "Mixtec, Tamazola"
-msgstr ""
+msgstr "Mixtec, Tamazola"
 
 msgid "Mixtec, Tezoatlán"
-msgstr ""
+msgstr "Mixtec, Tezoatlán"
 
 msgid "Mixtec, Tidaá"
-msgstr ""
+msgstr "Mixtec, Tidaá"
 
 msgid "Mixtec, Tijaltepec"
-msgstr ""
+msgstr "Mixtec, Tijaltepec"
 
 msgid "Mixtec, Tlazoyaltepec"
-msgstr ""
+msgstr "Mixtec, Tlazoyaltepec"
 
 msgid "Mixtec, Tututepec"
-msgstr ""
+msgstr "Mixtec, Tututepec"
 
 msgid "Mixtec, Western Juxtlahuaca"
-msgstr ""
+msgstr "Mixtec, Western Juxtlahuaca"
 
 msgid "Mixtec, Yoloxochitl"
-msgstr ""
+msgstr "Mixtec, Yoloxochitl"
 
 msgid "Mixtec, Yosondúa"
-msgstr ""
+msgstr "Mixtec, Yosondúa"
 
 msgid "Mixtec, Yucuañe"
-msgstr ""
+msgstr "Mixtec, Yucuañe"
 
 msgid "Mixtec, Yutanduchi"
-msgstr ""
+msgstr "Mixtec, Yutanduchi"
 
 msgid "Miya"
-msgstr ""
+msgstr "Miya"
 
 msgid "Miyako"
-msgstr ""
+msgstr "Miyako"
 
 msgid "Miyobe"
-msgstr ""
+msgstr "Miyobe"
 
 msgid "Mlabri"
-msgstr ""
+msgstr "Mlabri"
 
 msgid "Mlahsö"
-msgstr ""
+msgstr "Mlahsö"
 
 msgid "Mlap"
-msgstr ""
+msgstr "Mlap"
 
 msgid "Mlomp"
-msgstr ""
+msgstr "Mlomp"
 
 msgid "Mmaala"
-msgstr ""
+msgstr "Mmaala"
 
 msgid "Mmen"
-msgstr ""
+msgstr "Mmen"
 
 msgid "Mnong, Central"
-msgstr ""
+msgstr "Mnong, Central"
 
 msgid "Mnong, Eastern"
-msgstr ""
+msgstr "Mnong, Eastern"
 
 msgid "Mnong, Southern"
-msgstr ""
+msgstr "Mnong, Southern"
 
 msgid "Mo'da"
-msgstr ""
+msgstr "Mo'da"
 
 msgid "Moabite"
-msgstr ""
+msgstr "Moabite"
 
 msgid "Moba"
-msgstr ""
+msgstr "Moba"
 
 msgid "Mobilian"
-msgstr ""
+msgstr "Mobilian"
 
 msgid "Mochi"
-msgstr ""
+msgstr "Mochi"
 
 msgid "Mochica"
-msgstr ""
+msgstr "Mochica"
 
 msgid "Mocho"
-msgstr ""
+msgstr "Mocho"
 
 msgid "Mocoví"
-msgstr ""
+msgstr "Mocoví"
 
 msgid "Modang"
-msgstr ""
+msgstr "Modang"
 
 msgid "Modole"
-msgstr ""
+msgstr "Modole"
 
 msgid "Moere"
 msgstr "Moere"
 
 msgid "Mofu, North"
-msgstr ""
+msgstr "Mofu, North"
 
 msgid "Mofu-Gudur"
-msgstr ""
+msgstr "Mofu-Gudur"
 
 msgid "Mogholi"
-msgstr ""
+msgstr "Mogholi"
 
 msgid "Mogofin"
-msgstr ""
+msgstr "Mogofin"
 
 msgid "Mogum"
-msgstr ""
+msgstr "Mogum"
 
 msgid "Mohave"
-msgstr ""
+msgstr "Mohave"
 
 msgid "Mohawk"
 msgstr "モーホーク語"
 
 msgid "Mohegan-Pequot"
-msgstr ""
+msgstr "Mohegan-Pequot"
 
 msgid "Moi (Congo)"
-msgstr ""
+msgstr "Moi (Congo)"
 
 msgid "Moi (Indonesia)"
-msgstr ""
+msgstr "Moi (Indonesia)"
 
 msgid "Moikodi"
-msgstr ""
+msgstr "Moikodi"
 
 msgid "Moingi"
-msgstr ""
+msgstr "Moingi"
 
 msgid "Moji"
-msgstr ""
+msgstr "Moji"
 
 msgid "Mok"
-msgstr ""
+msgstr "Mok"
 
 msgid "Moken"
-msgstr ""
+msgstr "Moken"
 
 msgid "Mokerang"
-msgstr ""
+msgstr "Mokerang"
 
 msgid "Mokilese"
-msgstr ""
+msgstr "Mokilese"
 
 msgid "Moklen"
-msgstr ""
+msgstr "Moklen"
 
 msgid "Mokole"
-msgstr ""
+msgstr "Mokole"
 
 msgid "Mokpwe"
-msgstr ""
+msgstr "Mokpwe"
 
 msgid "Moksela"
-msgstr ""
+msgstr "Moksela"
 
 msgid "Moksha"
 msgstr "モクシャ語"
 
 msgid "Molale"
-msgstr ""
+msgstr "Molale"
 
 msgid "Molbog"
-msgstr ""
+msgstr "Molbog"
 
 msgid "Moldova Sign Language"
-msgstr ""
+msgstr "Moldova Sign Language"
 
 msgid "Molengue"
-msgstr ""
+msgstr "Molengue"
 
 msgid "Molima"
-msgstr ""
+msgstr "Molima"
 
 msgid "Molo"
-msgstr ""
+msgstr "Molo"
 
 msgid "Molof"
-msgstr ""
+msgstr "Molof"
 
 msgid "Moloko"
-msgstr ""
+msgstr "Moloko"
 
 msgid "Mom Jango"
-msgstr ""
+msgstr "Mom Jango"
 
 msgid "Moma"
-msgstr ""
+msgstr "Moma"
 
 msgid "Momare"
-msgstr ""
+msgstr "Momare"
 
 msgid "Mombum"
-msgstr ""
+msgstr "Mombum"
 
 msgid "Momina"
-msgstr ""
+msgstr "Momina"
 
 msgid "Momuna"
-msgstr ""
+msgstr "Momuna"
 
 msgid "Mon"
-msgstr ""
+msgstr "Mon"
 
 msgid "Mon, Old"
-msgstr ""
+msgstr "Mon, Old"
 
 msgid "Monastic Sign Language"
-msgstr ""
+msgstr "Monastic Sign Language"
 
 msgid "Mondropolon"
-msgstr ""
+msgstr "Mondropolon"
 
 msgid "Mondé"
-msgstr ""
+msgstr "Mondé"
 
 msgid "Mongo"
 msgstr "モンゴ語"
 
 msgid "Mongol"
-msgstr ""
+msgstr "Mongol"
 
 msgid "Mongolian"
 msgstr "蒙古語"
 
 msgid "Mongolian Sign Language"
-msgstr ""
+msgstr "Mongolian Sign Language"
 
 msgid "Mongolian, Classical"
-msgstr ""
+msgstr "Mongolian, Classical"
 
 msgid "Mongolian, Halh"
-msgstr ""
+msgstr "Mongolian, Halh"
 
 msgid "Mongolian, Middle"
-msgstr ""
+msgstr "Mongolian, Middle"
 
 msgid "Mongolian, Peripheral"
-msgstr ""
+msgstr "Mongolian, Peripheral"
 
 msgid "Mongondow"
-msgstr ""
+msgstr "Mongondow"
 
 msgid "Moni"
-msgstr ""
+msgstr "Moni"
 
 msgid "Mono (Cameroon)"
-msgstr ""
+msgstr "Mono (Cameroon)"
 
 msgid "Mono (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Mono (Democratic Republic of Congo)"
 
 msgid "Mono (Solomon Islands)"
-msgstr ""
+msgstr "Mono (Solomon Islands)"
 
 msgid "Mono (USA)"
-msgstr ""
+msgstr "Mono (USA)"
 
 msgid "Monom"
-msgstr ""
+msgstr "Monom"
 
 msgid "Monpa, Kalaktang"
-msgstr ""
+msgstr "Monpa, Kalaktang"
 
 msgid "Monpa, Tawang"
-msgstr ""
+msgstr "Monpa, Tawang"
 
 msgid "Montagnais"
-msgstr ""
+msgstr "Montagnais"
 
 msgid "Montol"
-msgstr ""
+msgstr "Montol"
 
 msgid "Monumbo"
-msgstr ""
+msgstr "Monumbo"
 
 msgid "Monzombo"
-msgstr ""
+msgstr "Monzombo"
 
 msgid "Moo"
-msgstr ""
+msgstr "Moo"
 
 msgid "Mopán Maya"
-msgstr ""
+msgstr "Mopán Maya"
 
 msgid "Mor (Bomberai Peninsula)"
-msgstr ""
+msgstr "Mor (Bomberai Peninsula)"
 
 msgid "Mor (Mor Islands)"
-msgstr ""
+msgstr "Mor (Mor Islands)"
 
 msgid "Moraid"
-msgstr ""
+msgstr "Moraid"
 
 msgid "Morawa"
-msgstr ""
+msgstr "Morawa"
 
 msgid "Morerebi"
-msgstr ""
+msgstr "Morerebi"
 
 msgid "Moresada"
-msgstr ""
+msgstr "Moresada"
 
 msgid "Mori Atas"
-msgstr ""
+msgstr "Mori Atas"
 
 msgid "Mori Bawah"
-msgstr ""
+msgstr "Mori Bawah"
 
 msgid "Morigi"
-msgstr ""
+msgstr "Morigi"
 
 msgid "Morisyen"
-msgstr ""
+msgstr "Morisyen"
 
 msgid "Moro"
-msgstr ""
+msgstr "Moro"
 
 msgid "Moroccan Sign Language"
-msgstr ""
+msgstr "Moroccan Sign Language"
 
 msgid "Morokodo"
-msgstr ""
+msgstr "Morokodo"
 
 msgid "Morom"
-msgstr ""
+msgstr "Morom"
 
 msgid "Moronene"
-msgstr ""
+msgstr "Moronene"
 
 msgid "Morori"
-msgstr ""
+msgstr "Morori"
 
 msgid "Morouas"
-msgstr ""
+msgstr "Morouas"
 
 msgid "Mortlockese"
-msgstr ""
+msgstr "Mortlockese"
 
 msgid "Moru"
-msgstr ""
+msgstr "Moru"
 
 msgid "Mosimo"
-msgstr ""
+msgstr "Mosimo"
 
 msgid "Mosiro"
-msgstr ""
+msgstr "Mosiro"
 
 msgid "Moskona"
-msgstr ""
+msgstr "Moskona"
 
 msgid "Mossi"
 msgstr "モッシー語"
 
 msgid "Mota"
-msgstr ""
+msgstr "Mota"
 
 msgid "Motlav"
-msgstr ""
+msgstr "Motlav"
 
 msgid "Motu"
-msgstr ""
+msgstr "Motu"
 
 msgid "Mouk-Aria"
-msgstr ""
+msgstr "Mouk-Aria"
 
 msgid "Mouwase"
-msgstr ""
+msgstr "Mouwase"
 
 msgid "Movima"
-msgstr ""
+msgstr "Movima"
 
 msgid "Mozambican Sign Language"
-msgstr ""
+msgstr "Mozambican Sign Language"
 
 msgid "Mozarabic"
-msgstr ""
+msgstr "Mozarabic"
 
 msgid "Mpade"
-msgstr ""
+msgstr "Mpade"
 
 msgid "Mpalitjanh"
-msgstr ""
+msgstr "Mpalitjanh"
 
 msgid "Mpi"
-msgstr ""
+msgstr "Mpi"
 
 msgid "Mpiemo"
-msgstr ""
+msgstr "Mpiemo"
 
 msgid "Mpoto"
-msgstr ""
+msgstr "Mpoto"
 
 msgid "Mpotovoro"
-msgstr ""
+msgstr "Mpotovoro"
 
 msgid "Mpumpong"
-msgstr ""
+msgstr "Mpumpong"
 
 msgid "Mpuono"
-msgstr ""
+msgstr "Mpuono"
 
 msgid "Mpur"
-msgstr ""
+msgstr "Mpur"
 
 msgid "Mru"
-msgstr ""
+msgstr "Mru"
 
 msgid "Mser"
-msgstr ""
+msgstr "Mser"
 
 msgid "Mualang"
-msgstr ""
+msgstr "Mualang"
 
 msgid "Mubami"
-msgstr ""
+msgstr "Mubami"
 
 msgid "Mubi"
-msgstr ""
+msgstr "Mubi"
 
 msgid "Muda"
-msgstr ""
+msgstr "Muda"
 
 msgid "Mudburra"
-msgstr ""
+msgstr "Mudburra"
 
 msgid "Muduga"
-msgstr ""
+msgstr "Muduga"
 
 msgid "Mufian"
-msgstr ""
+msgstr "Mufian"
 
 msgid "Mugom"
-msgstr ""
+msgstr "Mugom"
 
 msgid "Muinane"
-msgstr ""
+msgstr "Muinane"
 
 msgid "Muji, Northern"
-msgstr ""
+msgstr "Muji, Northern"
 
 msgid "Muji, Qila"
-msgstr ""
+msgstr "Muji, Qila"
 
 msgid "Muji, Southern"
-msgstr ""
+msgstr "Muji, Southern"
 
 msgid "Mukha-Dora"
-msgstr ""
+msgstr "Mukha-Dora"
 
 msgid "Mukulu"
-msgstr ""
+msgstr "Mukulu"
 
 msgid "Mulaha"
-msgstr ""
+msgstr "Mulaha"
 
 msgid "Mulam"
-msgstr ""
+msgstr "Mulam"
 
 msgid "Mulao"
-msgstr ""
+msgstr "Mulao"
 
 msgid "Mulgi"
-msgstr ""
+msgstr "Mulgi"
 
 msgid "Mullukmulluk"
-msgstr ""
+msgstr "Mullukmulluk"
 
 msgid "Multiple languages"
 msgstr "多言語"
 
 msgid "Muluridyi"
-msgstr ""
+msgstr "Muluridyi"
 
 msgid "Mum"
-msgstr ""
+msgstr "Mum"
 
 msgid "Mumuye"
-msgstr ""
+msgstr "Mumuye"
 
 msgid "Muna"
-msgstr ""
+msgstr "Muna"
 
 msgid "Munda"
-msgstr ""
+msgstr "Munda"
 
 msgid "Mundabli"
-msgstr ""
+msgstr "Mundabli"
 
 msgid "Mundang"
-msgstr ""
+msgstr "Mundang"
 
 msgid "Mundani"
-msgstr ""
+msgstr "Mundani"
 
 msgid "Mundari"
-msgstr ""
+msgstr "Mundari"
 
 msgid "Mundat"
-msgstr ""
+msgstr "Mundat"
 
 msgid "Mundurukú"
-msgstr ""
+msgstr "Mundurukú"
 
 msgid "Mungaka"
-msgstr ""
+msgstr "Mungaka"
 
 msgid "Munggui"
-msgstr ""
+msgstr "Munggui"
 
 msgid "Mungkip"
-msgstr ""
+msgstr "Mungkip"
 
 msgid "Muniche"
-msgstr ""
+msgstr "Muniche"
 
 msgid "Munit"
-msgstr ""
+msgstr "Munit"
 
 msgid "Munji"
-msgstr ""
+msgstr "Munji"
 
 msgid "Munsee"
-msgstr ""
+msgstr "Munsee"
 
 msgid "Muong"
-msgstr ""
+msgstr "Muong"
 
 msgid "Mur Pano"
-msgstr ""
+msgstr "Mur Pano"
 
 msgid "Muratayak"
-msgstr ""
+msgstr "Muratayak"
 
 msgid "Muria, Eastern"
-msgstr ""
+msgstr "Muria, Eastern"
 
 msgid "Muria, Far Western"
-msgstr ""
+msgstr "Muria, Far Western"
 
 msgid "Muria, Western"
-msgstr ""
+msgstr "Muria, Western"
 
 msgid "Murik (Malaysia)"
-msgstr ""
+msgstr "Murik (Malaysia)"
 
 msgid "Murik (Papua New Guinea)"
-msgstr ""
+msgstr "Murik (Papua New Guinea)"
 
 msgid "Murkim"
-msgstr ""
+msgstr "Murkim"
 
 msgid "Murle"
-msgstr ""
+msgstr "Murle"
 
 msgid "Murrinh-Patha"
-msgstr ""
+msgstr "Murrinh-Patha"
 
 msgid "Mursi"
-msgstr ""
+msgstr "Mursi"
 
 msgid "Murupi"
-msgstr ""
+msgstr "Murupi"
 
 msgid "Murut, Keningau"
-msgstr ""
+msgstr "Murut, Keningau"
 
 msgid "Murut, Tagal"
-msgstr ""
+msgstr "Murut, Tagal"
 
 msgid "Murut, Timugon"
-msgstr ""
+msgstr "Murut, Timugon"
 
 msgid "Muruwari"
-msgstr ""
+msgstr "Muruwari"
 
 msgid "Musak"
-msgstr ""
+msgstr "Musak"
 
 msgid "Musar"
-msgstr ""
+msgstr "Musar"
 
 msgid "Musasa"
-msgstr ""
+msgstr "Musasa"
 
 msgid "Musey"
-msgstr ""
+msgstr "Musey"
 
 msgid "Musgu"
-msgstr ""
+msgstr "Musgu"
 
 msgid "Mushungulu"
-msgstr ""
+msgstr "Mushungulu"
 
 msgid "Musi"
-msgstr ""
+msgstr "Musi"
 
 msgid "Muskum"
-msgstr ""
+msgstr "Muskum"
 
 msgid "Musom"
-msgstr ""
+msgstr "Musom"
 
 msgid "Mussau-Emira"
-msgstr ""
+msgstr "Mussau-Emira"
 
 msgid "Muthuvan"
-msgstr ""
+msgstr "Muthuvan"
 
 msgid "Mutu"
-msgstr ""
+msgstr "Mutu"
 
 msgid "Muya"
-msgstr ""
+msgstr "Muya"
 
 msgid "Muyang"
-msgstr ""
+msgstr "Muyang"
 
 msgid "Muyu, North"
-msgstr ""
+msgstr "Muyu, North"
 
 msgid "Muyu, South"
-msgstr ""
+msgstr "Muyu, South"
 
 msgid "Muyuw"
-msgstr ""
+msgstr "Muyuw"
 
 msgid "Muzi"
-msgstr ""
+msgstr "Muzi"
 
 msgid "Mvanip"
-msgstr ""
+msgstr "Mvanip"
 
 msgid "Mvuba"
-msgstr ""
+msgstr "Mvuba"
 
 msgid "Mwaghavul"
-msgstr ""
+msgstr "Mwaghavul"
 
 msgid "Mwan"
-msgstr ""
+msgstr "Mwan"
 
 msgid "Mwani"
-msgstr ""
+msgstr "Mwani"
 
 msgid "Mwatebu"
-msgstr ""
+msgstr "Mwatebu"
 
 msgid "Mwera (Chimwera)"
-msgstr ""
+msgstr "Mwera (Chimwera)"
 
 msgid "Mwera (Nyasa)"
-msgstr ""
+msgstr "Mwera (Nyasa)"
 
 msgid "Mwimbi-Muthambi"
-msgstr ""
+msgstr "Mwimbi-Muthambi"
 
 msgid "Myene"
-msgstr ""
+msgstr "Myene"
 
 msgid "Mysian"
-msgstr ""
+msgstr "Mysian"
 
 msgid "Mághdì"
-msgstr ""
+msgstr "Mághdì"
 
 msgid "Máku"
-msgstr ""
+msgstr "Máku"
 
 msgid "Ménik"
-msgstr ""
+msgstr "Ménik"
 
 msgid "Mískito"
-msgstr ""
+msgstr "Mískito"
 
 msgid "Mócheno"
-msgstr ""
+msgstr "Mócheno"
 
 msgid "Mündü"
-msgstr ""
+msgstr "Mündü"
 
 msgid "N'Ko"
 msgstr "ンコ文字"
 
 msgid "N/u"
-msgstr ""
+msgstr "N/u"
 
 msgid "Na"
-msgstr ""
+msgstr "Na"
 
 msgid "Naaba"
-msgstr ""
+msgstr "Naaba"
 
 msgid "Naami"
-msgstr ""
+msgstr "Naami"
 
 msgid "Naasioi"
-msgstr ""
+msgstr "Naasioi"
 
 msgid "Naba"
-msgstr ""
+msgstr "Naba"
 
 msgid "Nabak"
-msgstr ""
+msgstr "Nabak"
 
 msgid "Nabi"
-msgstr ""
+msgstr "Nabi"
 
 msgid "Nachering"
-msgstr ""
+msgstr "Nachering"
 
 msgid "Nadruvian"
-msgstr ""
+msgstr "Nadruvian"
 
 msgid "Nadëb"
-msgstr ""
+msgstr "Nadëb"
 
 msgid "Nafaanra"
-msgstr ""
+msgstr "Nafaanra"
 
 msgid "Nafi"
-msgstr ""
+msgstr "Nafi"
 
 msgid "Nafri"
-msgstr ""
+msgstr "Nafri"
 
 msgid "Nafusi"
-msgstr ""
+msgstr "Nafusi"
 
 msgid "Naga Pidgin"
-msgstr ""
+msgstr "Naga Pidgin"
 
 msgid "Naga, Akyaung Ari"
-msgstr ""
+msgstr "Naga, Akyaung Ari"
 
 msgid "Naga, Angami"
-msgstr ""
+msgstr "Naga, Angami"
 
 msgid "Naga, Ao"
-msgstr ""
+msgstr "Naga, Ao"
 
 msgid "Naga, Chang"
-msgstr ""
+msgstr "Naga, Chang"
 
 msgid "Naga, Chokri"
-msgstr ""
+msgstr "Naga, Chokri"
 
 msgid "Naga, Chothe"
-msgstr ""
+msgstr "Naga, Chothe"
 
 msgid "Naga, Inpui"
-msgstr ""
+msgstr "Naga, Inpui"
 
 msgid "Naga, Kharam"
-msgstr ""
+msgstr "Naga, Kharam"
 
 msgid "Naga, Khezha"
-msgstr ""
+msgstr "Naga, Khezha"
 
 msgid "Naga, Khiamniungan"
-msgstr ""
+msgstr "Naga, Khiamniungan"
 
 msgid "Naga, Khoibu"
-msgstr ""
+msgstr "Naga, Khoibu"
 
 msgid "Naga, Koki"
-msgstr ""
+msgstr "Naga, Koki"
 
 msgid "Naga, Konyak"
-msgstr ""
+msgstr "Naga, Konyak"
 
 msgid "Naga, Kyan-Karyaw"
-msgstr ""
+msgstr "Naga, Kyan-Karyaw"
 
 msgid "Naga, Lao"
-msgstr ""
+msgstr "Naga, Lao"
 
 msgid "Naga, Leinong"
-msgstr ""
+msgstr "Naga, Leinong"
 
 msgid "Naga, Liangmai"
-msgstr ""
+msgstr "Naga, Liangmai"
 
 msgid "Naga, Long Phuri"
-msgstr ""
+msgstr "Naga, Long Phuri"
 
 msgid "Naga, Lotha"
-msgstr ""
+msgstr "Naga, Lotha"
 
 msgid "Naga, Makuri"
-msgstr ""
+msgstr "Naga, Makuri"
 
 msgid "Naga, Makyan"
-msgstr ""
+msgstr "Naga, Makyan"
 
 msgid "Naga, Mao"
-msgstr ""
+msgstr "Naga, Mao"
 
 msgid "Naga, Maram"
-msgstr ""
+msgstr "Naga, Maram"
 
 msgid "Naga, Maring"
-msgstr ""
+msgstr "Naga, Maring"
 
 msgid "Naga, Monsang"
-msgstr ""
+msgstr "Naga, Monsang"
 
 msgid "Naga, Moyon"
-msgstr ""
+msgstr "Naga, Moyon"
 
 msgid "Naga, Mzieme"
-msgstr ""
+msgstr "Naga, Mzieme"
 
 msgid "Naga, Nocte"
-msgstr ""
+msgstr "Naga, Nocte"
 
 msgid "Naga, Northern Rengma"
-msgstr ""
+msgstr "Naga, Northern Rengma"
 
 msgid "Naga, Para"
-msgstr ""
+msgstr "Naga, Para"
 
 msgid "Naga, Phom"
-msgstr ""
+msgstr "Naga, Phom"
 
 msgid "Naga, Pochuri"
-msgstr ""
+msgstr "Naga, Pochuri"
 
 msgid "Naga, Ponyo-Gongwang"
-msgstr ""
+msgstr "Naga, Ponyo-Gongwang"
 
 msgid "Naga, Poumei"
-msgstr ""
+msgstr "Naga, Poumei"
 
 msgid "Naga, Puimei"
-msgstr ""
+msgstr "Naga, Puimei"
 
 msgid "Naga, Rongmei"
-msgstr ""
+msgstr "Naga, Rongmei"
 
 msgid "Naga, Sangtam"
-msgstr ""
+msgstr "Naga, Sangtam"
 
 msgid "Naga, Southern Rengma"
-msgstr ""
+msgstr "Naga, Southern Rengma"
 
 msgid "Naga, Sumi"
-msgstr ""
+msgstr "Naga, Sumi"
 
 msgid "Naga, Tangkhul (India)"
-msgstr ""
+msgstr "Naga, Tangkhul (India)"
 
 msgid "Naga, Tangkhul (Myanmar)"
-msgstr ""
+msgstr "Naga, Tangkhul (Myanmar)"
 
 msgid "Naga, Tarao"
-msgstr ""
+msgstr "Naga, Tarao"
 
 msgid "Naga, Tase"
-msgstr ""
+msgstr "Naga, Tase"
 
 msgid "Naga, Thangal"
-msgstr ""
+msgstr "Naga, Thangal"
 
 msgid "Naga, Tutsa"
-msgstr ""
+msgstr "Naga, Tutsa"
 
 msgid "Naga, Wancho"
-msgstr ""
+msgstr "Naga, Wancho"
 
 msgid "Naga, Yimchungru"
-msgstr ""
+msgstr "Naga, Yimchungru"
 
 msgid "Naga, Zeme"
-msgstr ""
+msgstr "Naga, Zeme"
 
 msgid "Nagarchal"
-msgstr ""
+msgstr "Nagarchal"
 
 msgid "Nage"
-msgstr ""
+msgstr "Nage"
 
 msgid "Nago, Northern"
-msgstr ""
+msgstr "Nago, Northern"
 
 msgid "Nago, Southern"
-msgstr ""
+msgstr "Nago, Southern"
 
 msgid "Nagumi"
-msgstr ""
+msgstr "Nagumi"
 
 msgid "Nahali"
-msgstr ""
+msgstr "Nahali"
 
 msgid "Nahari"
-msgstr ""
+msgstr "Nahari"
 
 msgid "Nahuatl, Central"
-msgstr ""
+msgstr "Nahuatl, Central"
 
 msgid "Nahuatl, Central Huasteca"
-msgstr ""
+msgstr "Nahuatl, Central Huasteca"
 
 msgid "Nahuatl, Central Puebla"
-msgstr ""
+msgstr "Nahuatl, Central Puebla"
 
 msgid "Nahuatl, Classical"
-msgstr ""
+msgstr "Nahuatl, Classical"
 
 msgid "Nahuatl, Coatepec"
-msgstr ""
+msgstr "Nahuatl, Coatepec"
 
 msgid "Nahuatl, Eastern Durango"
-msgstr ""
+msgstr "Nahuatl, Eastern Durango"
 
 msgid "Nahuatl, Eastern Huasteca"
-msgstr ""
+msgstr "Nahuatl, Eastern Huasteca"
 
 msgid "Nahuatl, Guerrero"
-msgstr ""
+msgstr "Nahuatl, Guerrero"
 
 msgid "Nahuatl, Highland Puebla"
-msgstr ""
+msgstr "Nahuatl, Highland Puebla"
 
 msgid "Nahuatl, Huaxcaleca"
-msgstr ""
+msgstr "Nahuatl, Huaxcaleca"
 
 msgid "Nahuatl, Isthmus-Cosoleacaque"
-msgstr ""
+msgstr "Nahuatl, Isthmus-Cosoleacaque"
 
 msgid "Nahuatl, Isthmus-Mecayapan"
-msgstr ""
+msgstr "Nahuatl, Isthmus-Mecayapan"
 
 msgid "Nahuatl, Isthmus-Pajapan"
-msgstr ""
+msgstr "Nahuatl, Isthmus-Pajapan"
 
 msgid "Nahuatl, Michoacán"
-msgstr ""
+msgstr "Nahuatl, Michoacán"
 
 msgid "Nahuatl, Morelos"
-msgstr ""
+msgstr "Nahuatl, Morelos"
 
 msgid "Nahuatl, Northern Oaxaca"
-msgstr ""
+msgstr "Nahuatl, Northern Oaxaca"
 
 msgid "Nahuatl, Northern Puebla"
-msgstr ""
+msgstr "Nahuatl, Northern Puebla"
 
 msgid "Nahuatl, Ometepec"
-msgstr ""
+msgstr "Nahuatl, Ometepec"
 
 msgid "Nahuatl, Orizaba"
-msgstr ""
+msgstr "Nahuatl, Orizaba"
 
 msgid "Nahuatl, Santa María La Alta"
-msgstr ""
+msgstr "Nahuatl, Santa María La Alta"
 
 msgid "Nahuatl, Sierra Negra"
-msgstr ""
+msgstr "Nahuatl, Sierra Negra"
 
 msgid "Nahuatl, Southeastern Puebla"
-msgstr ""
+msgstr "Nahuatl, Southeastern Puebla"
 
 msgid "Nahuatl, Tabasco"
-msgstr ""
+msgstr "Nahuatl, Tabasco"
 
 msgid "Nahuatl, Temascaltepec"
-msgstr ""
+msgstr "Nahuatl, Temascaltepec"
 
 msgid "Nahuatl, Tetelcingo"
-msgstr ""
+msgstr "Nahuatl, Tetelcingo"
 
 msgid "Nahuatl, Tlamacazapa"
-msgstr ""
+msgstr "Nahuatl, Tlamacazapa"
 
 msgid "Nahuatl, Western Durango"
-msgstr ""
+msgstr "Nahuatl, Western Durango"
 
 msgid "Nahuatl, Western Huasteca"
-msgstr ""
+msgstr "Nahuatl, Western Huasteca"
 
 msgid "Nahuatl, Zacatlán-Ahuacatlán-Tepetzintla"
-msgstr ""
+msgstr "Nahuatl, Zacatlán-Ahuacatlán-Tepetzintla"
 
 msgid "Nai"
-msgstr ""
+msgstr "Nai"
 
 msgid "Naka'ela"
-msgstr ""
+msgstr "Naka'ela"
 
 msgid "Nakai"
-msgstr ""
+msgstr "Nakai"
 
 msgid "Nakame"
-msgstr ""
+msgstr "Nakame"
 
 msgid "Nakanai"
-msgstr ""
+msgstr "Nakanai"
 
 msgid "Nakara"
-msgstr ""
+msgstr "Nakara"
 
 msgid "Nake"
-msgstr ""
+msgstr "Nake"
 
 msgid "Naki"
-msgstr ""
+msgstr "Naki"
 
 msgid "Nakwi"
-msgstr ""
+msgstr "Nakwi"
 
 msgid "Nalca"
-msgstr ""
+msgstr "Nalca"
 
 msgid "Nali"
-msgstr ""
+msgstr "Nali"
 
 msgid "Nalik"
-msgstr ""
+msgstr "Nalik"
 
 msgid "Nalu"
-msgstr ""
+msgstr "Nalu"
 
 msgid "Nalögo"
-msgstr ""
+msgstr "Nalögo"
 
 msgid "Nama (Papua New Guinea)"
-msgstr ""
+msgstr "Nama (Papua New Guinea)"
 
 msgid "Namakura"
-msgstr ""
+msgstr "Namakura"
 
 msgid "Namat"
-msgstr ""
+msgstr "Namat"
 
 msgid "Nambas, Big"
-msgstr ""
+msgstr "Nambas, Big"
 
 msgid "Nambikuára, Southern"
-msgstr ""
+msgstr "Nambikuára, Southern"
 
 msgid "Nambo"
-msgstr ""
+msgstr "Nambo"
 
 msgid "Nambya"
-msgstr ""
+msgstr "Nambya"
 
 msgid "Namia"
-msgstr ""
+msgstr "Namia"
 
 msgid "Namiae"
-msgstr ""
+msgstr "Namiae"
 
 msgid "Namibian Sign Language"
-msgstr ""
+msgstr "Namibian Sign Language"
 
 msgid "Namla"
-msgstr ""
+msgstr "Namla"
 
 msgid "Namo"
-msgstr ""
+msgstr "Namo"
 
 msgid "Namonuito"
-msgstr ""
+msgstr "Namonuito"
 
 msgid "Namosi-Naitasiri-Serua"
-msgstr ""
+msgstr "Namosi-Naitasiri-Serua"
 
 msgid "Namuyi"
-msgstr ""
+msgstr "Namuyi"
 
 msgid "Nanai"
-msgstr ""
+msgstr "Nanai"
 
 msgid "Nancere"
-msgstr ""
+msgstr "Nancere"
 
 msgid "Nande"
-msgstr ""
+msgstr "Nande"
 
 msgid "Nandi"
-msgstr ""
+msgstr "Nandi"
 
 msgid "Nankina"
-msgstr ""
+msgstr "Nankina"
 
 msgid "Nanti"
-msgstr ""
+msgstr "Nanti"
 
 msgid "Nanticoke"
-msgstr ""
+msgstr "Nanticoke"
 
 msgid "Nanubae"
-msgstr ""
+msgstr "Nanubae"
 
 msgid "Napu"
-msgstr ""
+msgstr "Napu"
 
 msgid "Nar Phu"
-msgstr ""
+msgstr "Nar Phu"
 
 msgid "Nara"
-msgstr ""
+msgstr "Nara"
 
 msgid "Narak"
-msgstr ""
+msgstr "Narak"
 
 msgid "Narango"
-msgstr ""
+msgstr "Narango"
 
 msgid "Narau"
-msgstr ""
+msgstr "Narau"
 
 msgid "Nari Nari"
-msgstr ""
+msgstr "Nari Nari"
 
 msgid "Narim"
-msgstr ""
+msgstr "Narim"
 
 msgid "Naro"
-msgstr ""
+msgstr "Naro"
 
 msgid "Narom"
-msgstr ""
+msgstr "Narom"
 
 msgid "Narragansett"
-msgstr ""
+msgstr "Narragansett"
 
 msgid "Narrinyeri"
-msgstr ""
+msgstr "Narrinyeri"
 
 msgid "Narua"
-msgstr ""
+msgstr "Narua"
 
 msgid "Narungga"
-msgstr ""
+msgstr "Narungga"
 
 msgid "Nasal"
-msgstr ""
+msgstr "Nasal"
 
 msgid "Nasarian"
-msgstr ""
+msgstr "Nasarian"
 
 msgid "Naskapi"
-msgstr ""
+msgstr "Naskapi"
 
 msgid "Nasu, Wumeng"
-msgstr ""
+msgstr "Nasu, Wumeng"
 
 msgid "Nasu, Wusa"
-msgstr ""
+msgstr "Nasu, Wusa"
 
 msgid "Natanzi"
-msgstr ""
+msgstr "Natanzi"
 
 msgid "Natchez"
-msgstr ""
+msgstr "Natchez"
 
 msgid "Nateni"
-msgstr ""
+msgstr "Nateni"
 
 msgid "Nathembo"
-msgstr ""
+msgstr "Nathembo"
 
 msgid "Natioro"
-msgstr ""
+msgstr "Natioro"
 
 msgid "Natügu"
-msgstr ""
+msgstr "Natügu"
 
 msgid "Nauete"
-msgstr ""
+msgstr "Nauete"
 
 msgid "Nauna"
-msgstr ""
+msgstr "Nauna"
 
 msgid "Nauo"
-msgstr ""
+msgstr "Nauo"
 
 msgid "Nauru"
 msgstr "ナウル語"
 
 msgid "Navajo"
-msgstr ""
+msgstr "Navajo"
 
 msgid "Navut"
-msgstr ""
+msgstr "Navut"
 
 msgid "Nawaru"
-msgstr ""
+msgstr "Nawaru"
 
 msgid "Nawathinehena"
-msgstr ""
+msgstr "Nawathinehena"
 
 msgid "Nawdm"
-msgstr ""
+msgstr "Nawdm"
 
 msgid "Nawuri"
-msgstr ""
+msgstr "Nawuri"
 
 msgid "Naxi"
-msgstr ""
+msgstr "Naxi"
 
 msgid "Nayi"
-msgstr ""
+msgstr "Nayi"
 
 msgid "Nayini"
-msgstr ""
+msgstr "Nayini"
 
 msgid "Ncane"
-msgstr ""
+msgstr "Ncane"
 
 msgid "Nchumbulu"
-msgstr ""
+msgstr "Nchumbulu"
 
 msgid "Nda'nda'"
-msgstr ""
+msgstr "Nda'nda'"
 
 msgid "Ndai"
-msgstr ""
+msgstr "Ndai"
 
 msgid "Ndaka"
-msgstr ""
+msgstr "Ndaka"
 
 msgid "Ndaktup"
-msgstr ""
+msgstr "Ndaktup"
 
 msgid "Ndali"
-msgstr ""
+msgstr "Ndali"
 
 msgid "Ndam"
-msgstr ""
+msgstr "Ndam"
 
 msgid "Ndamba"
-msgstr ""
+msgstr "Ndamba"
 
 msgid "Ndambomo"
-msgstr ""
+msgstr "Ndambomo"
 
 msgid "Ndasa"
-msgstr ""
+msgstr "Ndasa"
 
 msgid "Ndau"
-msgstr ""
+msgstr "Ndau"
 
 msgid "Nde-Gbite"
-msgstr ""
+msgstr "Nde-Gbite"
 
 msgid "Nde-Nsele-Nta"
-msgstr ""
+msgstr "Nde-Nsele-Nta"
 
 msgid "Ndebele, North"
-msgstr ""
+msgstr "Ndebele, North"
 
 msgid "Ndebele, South"
-msgstr ""
+msgstr "Ndebele, South"
 
 msgid "Ndemli"
-msgstr ""
+msgstr "Ndemli"
 
 msgid "Ndendeule"
-msgstr ""
+msgstr "Ndendeule"
 
 msgid "Ndengereko"
-msgstr ""
+msgstr "Ndengereko"
 
 msgid "Nding"
-msgstr ""
+msgstr "Nding"
 
 msgid "Ndo"
-msgstr ""
+msgstr "Ndo"
 
 msgid "Ndobo"
-msgstr ""
+msgstr "Ndobo"
 
 msgid "Ndoe"
-msgstr ""
+msgstr "Ndoe"
 
 msgid "Ndogo"
-msgstr ""
+msgstr "Ndogo"
 
 msgid "Ndolo"
-msgstr ""
+msgstr "Ndolo"
 
 msgid "Ndom"
-msgstr ""
+msgstr "Ndom"
 
 msgid "Ndombe"
-msgstr ""
+msgstr "Ndombe"
 
 msgid "Ndonde Hamba"
-msgstr ""
+msgstr "Ndonde Hamba"
 
 msgid "Ndonga"
 msgstr "ンドンガ語"
 
 msgid "Ndoola"
-msgstr ""
+msgstr "Ndoola"
 
 msgid "Ndra'ngith"
-msgstr ""
+msgstr "Ndra'ngith"
 
 msgid "Nduga"
-msgstr ""
+msgstr "Nduga"
 
 msgid "Ndumu"
-msgstr ""
+msgstr "Ndumu"
 
 msgid "Ndunda"
-msgstr ""
+msgstr "Ndunda"
 
 msgid "Ndunga"
-msgstr ""
+msgstr "Ndunga"
 
 msgid "Ndut"
-msgstr ""
+msgstr "Ndut"
 
 msgid "Ndyuka-Trio Pidgin"
-msgstr ""
+msgstr "Ndyuka-Trio Pidgin"
 
 msgid "Neapolitan"
 msgstr "ナポリ語"
 
 msgid "Nedebang"
-msgstr ""
+msgstr "Nedebang"
 
 msgid "Nefamese"
-msgstr ""
+msgstr "Nefamese"
 
 msgid "Negerhollands"
-msgstr ""
+msgstr "Negerhollands"
 
 msgid "Negeri Sembilan Malay"
-msgstr ""
+msgstr "Negeri Sembilan Malay"
 
 msgid "Negidal"
-msgstr ""
+msgstr "Negidal"
 
 msgid "Nehan"
-msgstr ""
+msgstr "Nehan"
 
 msgid "Nek"
-msgstr ""
+msgstr "Nek"
 
 msgid "Nekgini"
-msgstr ""
+msgstr "Nekgini"
 
 msgid "Neko"
-msgstr ""
+msgstr "Neko"
 
 msgid "Neku"
-msgstr ""
+msgstr "Neku"
 
 msgid "Nema"
-msgstr ""
+msgstr "Nema"
 
 msgid "Neme"
-msgstr ""
+msgstr "Neme"
 
 msgid "Nemi"
-msgstr ""
+msgstr "Nemi"
 
 msgid "Nen"
-msgstr ""
+msgstr "Nen"
 
 msgid "Nend"
-msgstr ""
+msgstr "Nend"
 
 msgid "Nenets"
-msgstr ""
+msgstr "Nenets"
 
 msgid "Nengone"
-msgstr ""
+msgstr "Nengone"
 
 msgid "Neo"
-msgstr ""
+msgstr "Neo"
 
 msgid "Neo-Aramaic, Assyrian"
-msgstr ""
+msgstr "Neo-Aramaic, Assyrian"
 
 msgid "Neo-Aramaic, Barzani Jewish"
-msgstr ""
+msgstr "Neo-Aramaic, Barzani Jewish"
 
 msgid "Neo-Aramaic, Bohtan"
-msgstr ""
+msgstr "Neo-Aramaic, Bohtan"
 
 msgid "Neo-Aramaic, Chaldean"
-msgstr ""
+msgstr "Neo-Aramaic, Chaldean"
 
 msgid "Neo-Aramaic, Western"
-msgstr ""
+msgstr "Neo-Aramaic, Western"
 
 msgid "Nepalese Sign Language"
-msgstr ""
+msgstr "Nepalese Sign Language"
 
 msgid "Nepali (individual language)"
-msgstr ""
+msgstr "Nepali (individual language)"
 
 msgid "Nepali (macrolanguage)"
-msgstr ""
+msgstr "Nepali (macrolanguage)"
 
 msgid "Nete"
-msgstr ""
+msgstr "Nete"
 
 msgid "New Zealand Sign Language"
-msgstr ""
+msgstr "New Zealand Sign Language"
 
 msgid "Newar, Middle"
-msgstr ""
+msgstr "Newar, Middle"
 
 msgid "Newari"
-msgstr ""
+msgstr "Newari"
 
 msgid "Newari, Classical"
-msgstr ""
+msgstr "Newari, Classical"
 
 msgid "Neyo"
-msgstr ""
+msgstr "Neyo"
 
 msgid "Nez Perce"
-msgstr ""
+msgstr "Nez Perce"
 
 msgid "Ngaanyatjarra"
-msgstr ""
+msgstr "Ngaanyatjarra"
 
 msgid "Ngad'a"
-msgstr ""
+msgstr "Ngad'a"
 
 msgid "Ngad'a, Eastern"
-msgstr ""
+msgstr "Ngad'a, Eastern"
 
 msgid "Ngadjunmaya"
-msgstr ""
+msgstr "Ngadjunmaya"
 
 msgid "Ngadjuri"
-msgstr ""
+msgstr "Ngadjuri"
 
 msgid "Ngaing"
-msgstr ""
+msgstr "Ngaing"
 
 msgid "Ngaju"
-msgstr ""
+msgstr "Ngaju"
 
 msgid "Ngala"
-msgstr ""
+msgstr "Ngala"
 
 msgid "Ngalakan"
-msgstr ""
+msgstr "Ngalakan"
 
 msgid "Ngalum"
-msgstr ""
+msgstr "Ngalum"
 
 msgid "Ngam"
-msgstr ""
+msgstr "Ngam"
 
 msgid "Ngamambo"
-msgstr ""
+msgstr "Ngamambo"
 
 msgid "Ngambay"
-msgstr ""
+msgstr "Ngambay"
 
 msgid "Ngamini"
-msgstr ""
+msgstr "Ngamini"
 
 msgid "Ngamo"
-msgstr ""
+msgstr "Ngamo"
 
 msgid "Ngan'gityemerri"
-msgstr ""
+msgstr "Ngan'gityemerri"
 
 msgid "Nganakarti"
-msgstr ""
+msgstr "Nganakarti"
 
 msgid "Nganasan"
-msgstr ""
+msgstr "Nganasan"
 
 msgid "Ngandi"
-msgstr ""
+msgstr "Ngandi"
 
 msgid "Ngando (Central African Republic)"
-msgstr ""
+msgstr "Ngando (Central African Republic)"
 
 msgid "Ngando (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Ngando (Democratic Republic of Congo)"
 
 msgid "Ngandyera"
-msgstr ""
+msgstr "Ngandyera"
 
 msgid "Ngangam"
-msgstr ""
+msgstr "Ngangam"
 
 msgid "Ngantangarra"
-msgstr ""
+msgstr "Ngantangarra"
 
 msgid "Nganyaywana"
-msgstr ""
+msgstr "Nganyaywana"
 
 msgid "Ngardi"
-msgstr ""
+msgstr "Ngardi"
 
 msgid "Ngarigu"
-msgstr ""
+msgstr "Ngarigu"
 
 msgid "Ngarinman"
-msgstr ""
+msgstr "Ngarinman"
 
 msgid "Ngarinyin"
-msgstr ""
+msgstr "Ngarinyin"
 
 msgid "Ngarla"
-msgstr ""
+msgstr "Ngarla"
 
 msgid "Ngarluma"
-msgstr ""
+msgstr "Ngarluma"
 
 msgid "Ngas"
-msgstr ""
+msgstr "Ngas"
 
 msgid "Ngasa"
-msgstr ""
+msgstr "Ngasa"
 
 msgid "Ngatik Men's Creole"
-msgstr ""
+msgstr "Ngatik Men's Creole"
 
 msgid "Ngawun"
-msgstr ""
+msgstr "Ngawun"
 
 msgid "Ngayawung"
-msgstr ""
+msgstr "Ngayawung"
 
 msgid "Ngbaka"
-msgstr ""
+msgstr "Ngbaka"
 
 msgid "Ngbaka Ma'bo"
-msgstr ""
+msgstr "Ngbaka Ma'bo"
 
 msgid "Ngbaka Manza"
-msgstr ""
+msgstr "Ngbaka Manza"
 
 msgid "Ngbandi, Northern"
-msgstr ""
+msgstr "Ngbandi, Northern"
 
 msgid "Ngbandi, Southern"
-msgstr ""
+msgstr "Ngbandi, Southern"
 
 msgid "Ngbee"
-msgstr ""
+msgstr "Ngbee"
 
 msgid "Ngbinda"
-msgstr ""
+msgstr "Ngbinda"
 
 msgid "Ngbundu"
-msgstr ""
+msgstr "Ngbundu"
 
 msgid "Ngelima"
-msgstr ""
+msgstr "Ngelima"
 
 msgid "Ngemba"
-msgstr ""
+msgstr "Ngemba"
 
 msgid "Ngeq"
-msgstr ""
+msgstr "Ngeq"
 
 msgid "Ngete"
-msgstr ""
+msgstr "Ngete"
 
 msgid "Nggem"
-msgstr ""
+msgstr "Nggem"
 
 msgid "Nggwahyi"
-msgstr ""
+msgstr "Nggwahyi"
 
 msgid "Ngie"
-msgstr ""
+msgstr "Ngie"
 
 msgid "Ngiemboon"
-msgstr ""
+msgstr "Ngiemboon"
 
 msgid "Ngile"
-msgstr ""
+msgstr "Ngile"
 
 msgid "Ngindo"
-msgstr ""
+msgstr "Ngindo"
 
 msgid "Ngiti"
-msgstr ""
+msgstr "Ngiti"
 
 msgid "Ngizim"
-msgstr ""
+msgstr "Ngizim"
 
 msgid "Ngom"
-msgstr ""
+msgstr "Ngom"
 
 msgid "Ngomba"
-msgstr ""
+msgstr "Ngomba"
 
 msgid "Ngombale"
-msgstr ""
+msgstr "Ngombale"
 
 msgid "Ngombe (Central African Republic)"
-msgstr ""
+msgstr "Ngombe (Central African Republic)"
 
 msgid "Ngombe (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Ngombe (Democratic Republic of Congo)"
 
 msgid "Ngongo"
-msgstr ""
+msgstr "Ngongo"
 
 msgid "Ngoni"
-msgstr ""
+msgstr "Ngoni"
 
 msgid "Ngoshie"
-msgstr ""
+msgstr "Ngoshie"
 
 msgid "Ngul"
-msgstr ""
+msgstr "Ngul"
 
 msgid "Ngulu"
-msgstr ""
+msgstr "Ngulu"
 
 msgid "Nguluwan"
-msgstr ""
+msgstr "Nguluwan"
 
 msgid "Ngumbi"
-msgstr ""
+msgstr "Ngumbi"
 
 msgid "Ngunawal"
-msgstr ""
+msgstr "Ngunawal"
 
 msgid "Ngundi"
-msgstr ""
+msgstr "Ngundi"
 
 msgid "Ngundu"
-msgstr ""
+msgstr "Ngundu"
 
 msgid "Ngungwel"
-msgstr ""
+msgstr "Ngungwel"
 
 msgid "Ngurimi"
-msgstr ""
+msgstr "Ngurimi"
 
 msgid "Ngurmbur"
-msgstr ""
+msgstr "Ngurmbur"
 
 msgid "Nguôn"
-msgstr ""
+msgstr "Nguôn"
 
 msgid "Ngwaba"
-msgstr ""
+msgstr "Ngwaba"
 
 msgid "Ngwe"
-msgstr ""
+msgstr "Ngwe"
 
 msgid "Ngwo"
-msgstr ""
+msgstr "Ngwo"
 
 msgid "Ngäbere"
-msgstr ""
+msgstr "Ngäbere"
 
 msgid "Nhanda"
-msgstr ""
+msgstr "Nhanda"
 
 msgid "Nhengatu"
-msgstr ""
+msgstr "Nhengatu"
 
 msgid "Nhirrpi"
-msgstr ""
+msgstr "Nhirrpi"
 
 msgid "Nhuwala"
-msgstr ""
+msgstr "Nhuwala"
 
 msgid "Nias"
 msgstr "ニアス語"
 
 msgid "Nicaraguan Sign Language"
-msgstr ""
+msgstr "Nicaraguan Sign Language"
 
 msgid "Nicobarese, Car"
-msgstr ""
+msgstr "Nicobarese, Car"
 
 msgid "Nicobarese, Central"
-msgstr ""
+msgstr "Nicobarese, Central"
 
 msgid "Nicobarese, Southern"
-msgstr ""
+msgstr "Nicobarese, Southern"
 
 msgid "Niellim"
-msgstr ""
+msgstr "Niellim"
 
 msgid "Nigerian Sign Language"
-msgstr ""
+msgstr "Nigerian Sign Language"
 
 msgid "Nihali"
-msgstr ""
+msgstr "Nihali"
 
 msgid "Nii"
-msgstr ""
+msgstr "Nii"
 
 msgid "Niksek"
-msgstr ""
+msgstr "Niksek"
 
 msgid "Nila"
-msgstr ""
+msgstr "Nila"
 
 msgid "Nilamba"
-msgstr ""
+msgstr "Nilamba"
 
 msgid "Nimadi"
-msgstr ""
+msgstr "Nimadi"
 
 msgid "Nimanbur"
-msgstr ""
+msgstr "Nimanbur"
 
 msgid "Nimbari"
-msgstr ""
+msgstr "Nimbari"
 
 msgid "Nimboran"
-msgstr ""
+msgstr "Nimboran"
 
 msgid "Nimi"
-msgstr ""
+msgstr "Nimi"
 
 msgid "Nimo"
-msgstr ""
+msgstr "Nimo"
 
 msgid "Nimoa"
-msgstr ""
+msgstr "Nimoa"
 
 msgid "Ninam"
-msgstr ""
+msgstr "Ninam"
 
 msgid "Nindi"
-msgstr ""
+msgstr "Nindi"
 
 msgid "Ningera"
-msgstr ""
+msgstr "Ningera"
 
 msgid "Ninggerum"
-msgstr ""
+msgstr "Ninggerum"
 
 msgid "Ningil"
-msgstr ""
+msgstr "Ningil"
 
 msgid "Ningye"
-msgstr ""
+msgstr "Ningye"
 
 msgid "Ninzo"
-msgstr ""
+msgstr "Ninzo"
 
 msgid "Nipsan"
-msgstr ""
+msgstr "Nipsan"
 
 msgid "Nisa"
-msgstr ""
+msgstr "Nisa"
 
 msgid "Nisenan"
-msgstr ""
+msgstr "Nisenan"
 
 msgid "Nisga'a"
-msgstr ""
+msgstr "Nisga'a"
 
 msgid "Nisi (China)"
-msgstr ""
+msgstr "Nisi (China)"
 
 msgid "Nisu, Eastern"
-msgstr ""
+msgstr "Nisu, Eastern"
 
 msgid "Nisu, Northern"
-msgstr ""
+msgstr "Nisu, Northern"
 
 msgid "Nisu, Northwestern"
-msgstr ""
+msgstr "Nisu, Northwestern"
 
 msgid "Nisu, Southern"
-msgstr ""
+msgstr "Nisu, Southern"
 
 msgid "Nisu, Southwestern"
-msgstr ""
+msgstr "Nisu, Southwestern"
 
 msgid "Niuafo'ou"
-msgstr ""
+msgstr "Niuafo'ou"
 
 msgid "Niuatoputapu"
-msgstr ""
+msgstr "Niuatoputapu"
 
 msgid "Niuean"
 msgstr "ニウーエイ語"
 
 msgid "Nivaclé"
-msgstr ""
+msgstr "Nivaclé"
 
 msgid "Niwer Mil"
-msgstr ""
+msgstr "Niwer Mil"
 
 msgid "Njalgulgule"
-msgstr ""
+msgstr "Njalgulgule"
 
 msgid "Njebi"
-msgstr ""
+msgstr "Njebi"
 
 msgid "Njen"
-msgstr ""
+msgstr "Njen"
 
 msgid "Njerep"
-msgstr ""
+msgstr "Njerep"
 
 msgid "Njyem"
-msgstr ""
+msgstr "Njyem"
 
 msgid "Nkami"
-msgstr ""
+msgstr "Nkami"
 
 msgid "Nkangala"
-msgstr ""
+msgstr "Nkangala"
 
 msgid "Nkari"
-msgstr ""
+msgstr "Nkari"
 
 msgid "Nkem-Nkum"
-msgstr ""
+msgstr "Nkem-Nkum"
 
 msgid "Nkhumbi"
-msgstr ""
+msgstr "Nkhumbi"
 
 msgid "Nkongho"
-msgstr ""
+msgstr "Nkongho"
 
 msgid "Nkonya"
-msgstr ""
+msgstr "Nkonya"
 
 msgid "Nkoroo"
-msgstr ""
+msgstr "Nkoroo"
 
 msgid "Nkoya"
-msgstr ""
+msgstr "Nkoya"
 
 msgid "Nkukoli"
-msgstr ""
+msgstr "Nkukoli"
 
 msgid "Nkutu"
-msgstr ""
+msgstr "Nkutu"
 
 msgid "Nnam"
-msgstr ""
+msgstr "Nnam"
 
 msgid "No linguistic content"
-msgstr ""
+msgstr "No linguistic content"
 
 msgid "Nobiin"
-msgstr ""
+msgstr "Nobiin"
 
 msgid "Nobonob"
-msgstr ""
+msgstr "Nobonob"
 
 msgid "Nocamán"
-msgstr ""
+msgstr "Nocamán"
 
 msgid "Nogai"
 msgstr "ノガイ語"
 
 msgid "Noiri"
-msgstr ""
+msgstr "Noiri"
 
 msgid "Nokuku"
-msgstr ""
+msgstr "Nokuku"
 
 msgid "Nomaande"
-msgstr ""
+msgstr "Nomaande"
 
 msgid "Nomane"
-msgstr ""
+msgstr "Nomane"
 
 msgid "Nomatsiguenga"
-msgstr ""
+msgstr "Nomatsiguenga"
 
 msgid "Nomlaki"
-msgstr ""
+msgstr "Nomlaki"
 
 msgid "Nomu"
-msgstr ""
+msgstr "Nomu"
 
 msgid "Nonuya"
-msgstr ""
+msgstr "Nonuya"
 
 msgid "Nooksack"
-msgstr ""
+msgstr "Nooksack"
 
 msgid "Noon"
-msgstr ""
+msgstr "Noon"
 
 msgid "Noone"
-msgstr ""
+msgstr "Noone"
 
 msgid "Noric"
-msgstr ""
+msgstr "Noric"
 
 msgid "Norn"
-msgstr ""
+msgstr "Norn"
 
 msgid "Norra"
-msgstr ""
+msgstr "Norra"
 
 msgid "Norse, Old"
-msgstr ""
+msgstr "Norse, Old"
 
 msgid "North Arabian, Ancient"
-msgstr ""
+msgstr "North Arabian, Ancient"
 
 msgid "Norwegian"
 msgstr "ノルウェー語"
 
 msgid "Norwegian Bokmål"
-msgstr ""
+msgstr "Norwegian Bokmål"
 
 msgid "Norwegian Nynorsk"
 msgstr "ニーノシュク・ノルウェー語"
 
 msgid "Norwegian Sign Language"
-msgstr ""
+msgstr "Norwegian Sign Language"
 
 msgid "Norwegian, Traveller"
-msgstr ""
+msgstr "Norwegian, Traveller"
 
 msgid "Notre"
-msgstr ""
+msgstr "Notre"
 
 msgid "Notsi"
-msgstr ""
+msgstr "Notsi"
 
 msgid "Nottoway"
-msgstr ""
+msgstr "Nottoway"
 
 msgid "Nottoway-Meherrin"
-msgstr ""
+msgstr "Nottoway-Meherrin"
 
 msgid "Novial"
-msgstr ""
+msgstr "Novial"
 
 msgid "Noy"
-msgstr ""
+msgstr "Noy"
 
 msgid "Nsenga"
-msgstr ""
+msgstr "Nsenga"
 
 msgid "Nshi"
-msgstr ""
+msgstr "Nshi"
 
 msgid "Nsongo"
-msgstr ""
+msgstr "Nsongo"
 
 msgid "Ntcham"
-msgstr ""
+msgstr "Ntcham"
 
 msgid "Ntomba"
-msgstr ""
+msgstr "Ntomba"
 
 msgid "Nuaulu, North"
-msgstr ""
+msgstr "Nuaulu, North"
 
 msgid "Nuaulu, South"
-msgstr ""
+msgstr "Nuaulu, South"
 
 msgid "Nubaca"
-msgstr ""
+msgstr "Nubaca"
 
 msgid "Nubi"
-msgstr ""
+msgstr "Nubi"
 
 msgid "Nubian, Old"
-msgstr ""
+msgstr "Nubian, Old"
 
 msgid "Nubri"
-msgstr ""
+msgstr "Nubri"
 
 msgid "Nuer"
-msgstr ""
+msgstr "Nuer"
 
 msgid "Nugunu (Australia)"
-msgstr ""
+msgstr "Nugunu (Australia)"
 
 msgid "Nugunu (Cameroon)"
-msgstr ""
+msgstr "Nugunu (Cameroon)"
 
 msgid "Nuk"
-msgstr ""
+msgstr "Nuk"
 
 msgid "Nukak Makú"
-msgstr ""
+msgstr "Nukak Makú"
 
 msgid "Nukna"
-msgstr ""
+msgstr "Nukna"
 
 msgid "Nukuini"
-msgstr ""
+msgstr "Nukuini"
 
 msgid "Nukumanu"
-msgstr ""
+msgstr "Nukumanu"
 
 msgid "Nukunul"
-msgstr ""
+msgstr "Nukunul"
 
 msgid "Nukuoro"
-msgstr ""
+msgstr "Nukuoro"
 
 msgid "Nukuria"
-msgstr ""
+msgstr "Nukuria"
 
 msgid "Numana-Nunku-Gbantu-Numbu"
-msgstr ""
+msgstr "Numana-Nunku-Gbantu-Numbu"
 
 msgid "Numanggang"
-msgstr ""
+msgstr "Numanggang"
 
 msgid "Numbami"
-msgstr ""
+msgstr "Numbami"
 
 msgid "Nume"
-msgstr ""
+msgstr "Nume"
 
 msgid "Numidian"
-msgstr ""
+msgstr "Numidian"
 
 msgid "Numèè"
-msgstr ""
+msgstr "Numèè"
 
 msgid "Nung (Viet Nam)"
-msgstr ""
+msgstr "Nung (Viet Nam)"
 
 msgid "Nungali"
-msgstr ""
+msgstr "Nungali"
 
 msgid "Nunggubuyu"
-msgstr ""
+msgstr "Nunggubuyu"
 
 msgid "Nungu"
-msgstr ""
+msgstr "Nungu"
 
 msgid "Nuni, Northern"
-msgstr ""
+msgstr "Nuni, Northern"
 
 msgid "Nuni, Southern"
-msgstr ""
+msgstr "Nuni, Southern"
 
 msgid "Nupbikha"
-msgstr ""
+msgstr "Nupbikha"
 
 msgid "Nupe-Nupe-Tako"
-msgstr ""
+msgstr "Nupe-Nupe-Tako"
 
 msgid "Nusa Laut"
-msgstr ""
+msgstr "Nusa Laut"
 
 msgid "Nusu"
-msgstr ""
+msgstr "Nusu"
 
 msgid "Nuu-chah-nulth"
-msgstr ""
+msgstr "Nuu-chah-nulth"
 
 msgid "Nyabwa"
-msgstr ""
+msgstr "Nyabwa"
 
 msgid "Nyaheun"
-msgstr ""
+msgstr "Nyaheun"
 
 msgid "Nyahkur"
-msgstr ""
+msgstr "Nyahkur"
 
 msgid "Nyakyusa-Ngonde"
-msgstr ""
+msgstr "Nyakyusa-Ngonde"
 
 msgid "Nyala, East"
-msgstr ""
+msgstr "Nyala, East"
 
 msgid "Nyali"
-msgstr ""
+msgstr "Nyali"
 
 msgid "Nyam"
-msgstr ""
+msgstr "Nyam"
 
 msgid "Nyamal"
-msgstr ""
+msgstr "Nyamal"
 
 msgid "Nyambo"
-msgstr ""
+msgstr "Nyambo"
 
 msgid "Nyamusa-Molo"
-msgstr ""
+msgstr "Nyamusa-Molo"
 
 msgid "Nyamwanga"
-msgstr ""
+msgstr "Nyamwanga"
 
 msgid "Nyamwezi"
 msgstr "ムエジ語"
 
 msgid "Nyaneka"
-msgstr ""
+msgstr "Nyaneka"
 
 msgid "Nyang'i"
-msgstr ""
+msgstr "Nyang'i"
 
 msgid "Nyanga"
-msgstr ""
+msgstr "Nyanga"
 
 msgid "Nyanga-li"
-msgstr ""
+msgstr "Nyanga-li"
 
 msgid "Nyangatom"
-msgstr ""
+msgstr "Nyangatom"
 
 msgid "Nyangbo"
-msgstr ""
+msgstr "Nyangbo"
 
 msgid "Nyangga"
-msgstr ""
+msgstr "Nyangga"
 
 msgid "Nyangumarta"
-msgstr ""
+msgstr "Nyangumarta"
 
 msgid "Nyanja"
-msgstr ""
+msgstr "Nyanja"
 
 msgid "Nyankole"
 msgstr "ニャンコール語"
 
 msgid "Nyankpa"
-msgstr ""
+msgstr "Nyankpa"
 
 msgid "Nyaturu"
-msgstr ""
+msgstr "Nyaturu"
 
 msgid "Nyaw"
-msgstr ""
+msgstr "Nyaw"
 
 msgid "Nyawaygi"
-msgstr ""
+msgstr "Nyawaygi"
 
 msgid "Nyemba"
-msgstr ""
+msgstr "Nyemba"
 
 msgid "Nyengo"
-msgstr ""
+msgstr "Nyengo"
 
 msgid "Nyenkha"
-msgstr ""
+msgstr "Nyenkha"
 
 msgid "Nyeu"
-msgstr ""
+msgstr "Nyeu"
 
 msgid "Nyigina"
-msgstr ""
+msgstr "Nyigina"
 
 msgid "Nyiha (Malawi)"
-msgstr ""
+msgstr "Nyiha (Malawi)"
 
 msgid "Nyiha (Tanzania)"
-msgstr ""
+msgstr "Nyiha (Tanzania)"
 
 msgid "Nyika (Malawi and Zambia)"
-msgstr ""
+msgstr "Nyika (Malawi and Zambia)"
 
 msgid "Nyika (Tanzania)"
-msgstr ""
+msgstr "Nyika (Tanzania)"
 
 msgid "Nyindrou"
-msgstr ""
+msgstr "Nyindrou"
 
 msgid "Nyindu"
-msgstr ""
+msgstr "Nyindu"
 
 msgid "Nyishi"
-msgstr ""
+msgstr "Nyishi"
 
 msgid "Nyiyaparli"
-msgstr ""
+msgstr "Nyiyaparli"
 
 msgid "Nyokon"
-msgstr ""
+msgstr "Nyokon"
 
 msgid "Nyole"
-msgstr ""
+msgstr "Nyole"
 
 msgid "Nyong"
-msgstr ""
+msgstr "Nyong"
 
 msgid "Nyore"
-msgstr ""
+msgstr "Nyore"
 
 msgid "Nyoro"
 msgstr "Nyoro"
 
 msgid "Nyulnyul"
-msgstr ""
+msgstr "Nyulnyul"
 
 msgid "Nyunga"
-msgstr ""
+msgstr "Nyunga"
 
 msgid "Nyungwe"
-msgstr ""
+msgstr "Nyungwe"
 
 msgid "Nyâlayu"
-msgstr ""
+msgstr "Nyâlayu"
 
 msgid "Nzakambay"
-msgstr ""
+msgstr "Nzakambay"
 
 msgid "Nzakara"
-msgstr ""
+msgstr "Nzakara"
 
 msgid "Nzanyi"
-msgstr ""
+msgstr "Nzanyi"
 
 msgid "Nzima"
 msgstr "ンゼマ語"
 
 msgid "Ná-Meo"
-msgstr ""
+msgstr "Ná-Meo"
 
 msgid "Nêlêmwa-Nixumwak"
-msgstr ""
+msgstr "Nêlêmwa-Nixumwak"
 
 msgid "O'chi'chi'"
-msgstr ""
+msgstr "O'chi'chi'"
 
 msgid "O'du"
-msgstr ""
+msgstr "O'du"
 
 msgid "Obanliku"
-msgstr ""
+msgstr "Obanliku"
 
 msgid "Obispeño"
-msgstr ""
+msgstr "Obispeño"
 
 msgid "Oblo"
-msgstr ""
+msgstr "Oblo"
 
 msgid "Obokuitai"
-msgstr ""
+msgstr "Obokuitai"
 
 msgid "Obolo"
-msgstr ""
+msgstr "Obolo"
 
 msgid "Obulom"
-msgstr ""
+msgstr "Obulom"
 
 msgid "Ocaina"
-msgstr ""
+msgstr "Ocaina"
 
 msgid "Occitan (post 1500)"
-msgstr ""
+msgstr "Occitan (post 1500)"
 
 msgid "Od"
-msgstr ""
+msgstr "Od"
 
 msgid "Odia"
-msgstr ""
+msgstr "Odia"
 
 msgid "Odiai"
-msgstr ""
+msgstr "Odiai"
 
 msgid "Odoodee"
-msgstr ""
+msgstr "Odoodee"
 
 msgid "Odual"
-msgstr ""
+msgstr "Odual"
 
 msgid "Odut"
-msgstr ""
+msgstr "Odut"
 
 msgid "Ofayé"
-msgstr ""
+msgstr "Ofayé"
 
 msgid "Ofo"
-msgstr ""
+msgstr "Ofo"
 
 msgid "Ogbah"
-msgstr ""
+msgstr "Ogbah"
 
 msgid "Ogbia"
-msgstr ""
+msgstr "Ogbia"
 
 msgid "Ogbogolo"
-msgstr ""
+msgstr "Ogbogolo"
 
 msgid "Ogbronuagum"
-msgstr ""
+msgstr "Ogbronuagum"
 
 msgid "Ogea"
-msgstr ""
+msgstr "Ogea"
 
 msgid "Ohlone, Northern"
-msgstr ""
+msgstr "Ohlone, Northern"
 
 msgid "Ohlone, Southern"
-msgstr ""
+msgstr "Ohlone, Southern"
 
 msgid "Oirat, Written"
-msgstr ""
+msgstr "Oirat, Written"
 
 msgid "Oirata"
-msgstr ""
+msgstr "Oirata"
 
 msgid "Ojibwa"
 msgstr "Ojibwa"
 
 msgid "Ojibwa, Central"
-msgstr ""
+msgstr "Ojibwa, Central"
 
 msgid "Ojibwa, Eastern"
-msgstr ""
+msgstr "Ojibwa, Eastern"
 
 msgid "Ojibwa, Northwestern"
-msgstr ""
+msgstr "Ojibwa, Northwestern"
 
 msgid "Ojibwa, Severn"
-msgstr ""
+msgstr "Ojibwa, Severn"
 
 msgid "Ojibwa, Western"
-msgstr ""
+msgstr "Ojibwa, Western"
 
 msgid "Okanagan"
-msgstr ""
+msgstr "Okanagan"
 
 msgid "Oki-No-Erabu"
-msgstr ""
+msgstr "沖永良部島方言"
 
 msgid "Okiek"
-msgstr ""
+msgstr "Okiek"
 
 msgid "Okinawan, Central"
-msgstr ""
+msgstr "Okinawan, Central（沖縄）"
 
 msgid "Oko-Eni-Osayen"
-msgstr ""
+msgstr "Oko-Eni-Osayen"
 
 msgid "Oko-Juwoi"
-msgstr ""
+msgstr "Oko-Juwoi"
 
 msgid "Okobo"
-msgstr ""
+msgstr "Okobo"
 
 msgid "Okodia"
-msgstr ""
+msgstr "Okodia"
 
 msgid "Okolod"
-msgstr ""
+msgstr "Okolod"
 
 msgid "Okpamheri"
-msgstr ""
+msgstr "Okpamheri"
 
 msgid "Okpe (Northwestern Edo)"
-msgstr ""
+msgstr "Okpe (Northwestern Edo)"
 
 msgid "Okpe (Southwestern Edo)"
-msgstr ""
+msgstr "Okpe (Southwestern Edo)"
 
 msgid "Oksapmin"
-msgstr ""
+msgstr "Oksapmin"
 
 msgid "Oku"
-msgstr ""
+msgstr "Oku"
 
 msgid "Olekha"
-msgstr ""
+msgstr "Olekha"
 
 msgid "Olkol"
-msgstr ""
+msgstr "Olkol"
 
 msgid "Olo"
-msgstr ""
+msgstr "Olo"
 
 msgid "Oloma"
-msgstr ""
+msgstr "Oloma"
 
 msgid "Olrat"
-msgstr ""
+msgstr "Olrat"
 
 msgid "Olu'bo"
-msgstr ""
+msgstr "Olu'bo"
 
 msgid "Olulumo-Ikom"
-msgstr ""
+msgstr "Olulumo-Ikom"
 
 msgid "Omagua"
-msgstr ""
+msgstr "Omagua"
 
 msgid "Omaha-Ponca"
-msgstr ""
+msgstr "Omaha-Ponca"
 
 msgid "Ombamba"
-msgstr ""
+msgstr "Ombamba"
 
 msgid "Ombo"
-msgstr ""
+msgstr "Ombo"
 
 msgid "Omi"
-msgstr ""
+msgstr "Omi"
 
 msgid "Omok"
-msgstr ""
+msgstr "Omok"
 
 msgid "Omotik"
-msgstr ""
+msgstr "Omotik"
 
 msgid "Omurano"
-msgstr ""
+msgstr "Omurano"
 
 msgid "Ona"
-msgstr ""
+msgstr "Ona"
 
 msgid "One, Inebu"
-msgstr ""
+msgstr "One, Inebu"
 
 msgid "One, Kabore"
-msgstr ""
+msgstr "One, Kabore"
 
 msgid "One, Kwamtim"
-msgstr ""
+msgstr "One, Kwamtim"
 
 msgid "One, Molmo"
-msgstr ""
+msgstr "One, Molmo"
 
 msgid "One, Northern"
-msgstr ""
+msgstr "One, Northern"
 
 msgid "One, Southern"
-msgstr ""
+msgstr "One, Southern"
 
 msgid "Oneida"
-msgstr ""
+msgstr "Oneida"
 
 msgid "Ong"
-msgstr ""
+msgstr "Ong"
 
 msgid "Onin"
-msgstr ""
+msgstr "Onin"
 
 msgid "Onin Based Pidgin"
-msgstr ""
+msgstr "Onin Based Pidgin"
 
 msgid "Onjob"
-msgstr ""
+msgstr "Onjob"
 
 msgid "Ono"
-msgstr ""
+msgstr "Ono"
 
 msgid "Onobasulu"
-msgstr ""
+msgstr "Onobasulu"
 
 msgid "Onondaga"
-msgstr ""
+msgstr "Onondaga"
 
 msgid "Ontenu"
-msgstr ""
+msgstr "Ontenu"
 
 msgid "Ontong Java"
-msgstr ""
+msgstr "Ontong Java"
 
 msgid "Oorlams"
-msgstr ""
+msgstr "Oorlams"
 
 msgid "Opao"
-msgstr ""
+msgstr "Opao"
 
 msgid "Opata"
-msgstr ""
+msgstr "Opata"
 
 msgid "Opuuo"
-msgstr ""
+msgstr "Opuuo"
 
 msgid "Orang Kanaq"
-msgstr ""
+msgstr "Orang Kanaq"
 
 msgid "Orang Seletar"
-msgstr ""
+msgstr "Orang Seletar"
 
 msgid "Orejón"
-msgstr ""
+msgstr "Orejón"
 
 msgid "Oring"
-msgstr ""
+msgstr "Oring"
 
 msgid "Oriya (macrolanguage)"
-msgstr ""
+msgstr "Oriya (macrolanguage)"
 
 msgid "Oriya, Adivasi"
-msgstr ""
+msgstr "Oriya, Adivasi"
 
 msgid "Orma"
-msgstr ""
+msgstr "Orma"
 
 msgid "Ormu"
-msgstr ""
+msgstr "Ormu"
 
 msgid "Ormuri"
-msgstr ""
+msgstr "Ormuri"
 
 msgid "Oro"
-msgstr ""
+msgstr "Oro"
 
 msgid "Oro Win"
-msgstr ""
+msgstr "Oro Win"
 
 msgid "Oroch"
-msgstr ""
+msgstr "Oroch"
 
 msgid "Oroha"
-msgstr ""
+msgstr "Oroha"
 
 msgid "Orok"
-msgstr ""
+msgstr "Orok"
 
 msgid "Orokaiva"
-msgstr ""
+msgstr "Orokaiva"
 
 msgid "Oroko"
-msgstr ""
+msgstr "Oroko"
 
 msgid "Orokolo"
-msgstr ""
+msgstr "Orokolo"
 
 msgid "Oromo"
 msgstr "オロモ語"
 
 msgid "Oromo, Borana-Arsi-Guji"
-msgstr ""
+msgstr "Oromo, Borana-Arsi-Guji"
 
 msgid "Oromo, Eastern"
-msgstr ""
+msgstr "Oromo, Eastern"
 
 msgid "Oromo, West Central"
-msgstr ""
+msgstr "Oromo, West Central"
 
 msgid "Oroqen"
-msgstr ""
+msgstr "Oroqen"
 
 msgid "Orowe"
-msgstr ""
+msgstr "Orowe"
 
 msgid "Oruma"
-msgstr ""
+msgstr "Oruma"
 
 msgid "Orya"
-msgstr ""
+msgstr "Orya"
 
 msgid "Osage"
 msgstr "オーセージ語"
 
 msgid "Osatu"
-msgstr ""
+msgstr "Osatu"
 
 msgid "Oscan"
-msgstr ""
+msgstr "Oscan"
 
 msgid "Osing"
-msgstr ""
+msgstr "Osing"
 
 msgid "Ososo"
-msgstr ""
+msgstr "Ososo"
 
 msgid "Ossetian"
-msgstr ""
+msgstr "Ossetian"
 
 msgid "Ossetic, Old"
-msgstr ""
+msgstr "Ossetic, Old"
 
 msgid "Ot Danum"
-msgstr ""
+msgstr "Ot Danum"
 
 msgid "Otank"
-msgstr ""
+msgstr "Otank"
 
 msgid "Oti"
-msgstr ""
+msgstr "Oti"
 
 msgid "Otomi, Eastern Highland"
-msgstr ""
+msgstr "Otomi, Eastern Highland"
 
 msgid "Otomi, Estado de México"
-msgstr ""
+msgstr "Otomi, Estado de México"
 
 msgid "Otomi, Ixtenco"
-msgstr ""
+msgstr "Otomi, Ixtenco"
 
 msgid "Otomi, Mezquital"
-msgstr ""
+msgstr "Otomi, Mezquital"
 
 msgid "Otomi, Querétaro"
-msgstr ""
+msgstr "Otomi, Querétaro"
 
 msgid "Otomi, Temoaya"
-msgstr ""
+msgstr "Otomi, Temoaya"
 
 msgid "Otomi, Tenango"
-msgstr ""
+msgstr "Otomi, Tenango"
 
 msgid "Otomi, Texcatepec"
-msgstr ""
+msgstr "Otomi, Texcatepec"
 
 msgid "Otomi, Tilapa"
-msgstr ""
+msgstr "Otomi, Tilapa"
 
 msgid "Otoro"
-msgstr ""
+msgstr "Otoro"
 
 msgid "Ottawa"
-msgstr ""
+msgstr "Ottawa"
 
 msgid "Otuho"
-msgstr ""
+msgstr "Otuho"
 
 msgid "Otuke"
-msgstr ""
+msgstr "Otuke"
 
 msgid "Ouma"
-msgstr ""
+msgstr "Ouma"
 
 msgid "Oune"
-msgstr ""
+msgstr "Oune"
 
 msgid "Owa"
-msgstr ""
+msgstr "Owa"
 
 msgid "Owenia"
-msgstr ""
+msgstr "Owenia"
 
 msgid "Owiniga"
-msgstr ""
+msgstr "Owiniga"
 
 msgid "Oy"
-msgstr ""
+msgstr "Oy"
 
 msgid "Oya'oya"
-msgstr ""
+msgstr "Oya'oya"
 
 msgid "Oyda"
-msgstr ""
+msgstr "Oyda"
 
 msgid "Pa Di"
-msgstr ""
+msgstr "Pa Di"
 
 msgid "Pa'a"
-msgstr ""
+msgstr "Pa'a"
 
 msgid "Pa-Hng"
-msgstr ""
+msgstr "Pa-Hng"
 
 msgid "Paakantyi"
-msgstr ""
+msgstr "Paakantyi"
 
 msgid "Paama"
-msgstr ""
+msgstr "Paama"
 
 msgid "Paasaal"
-msgstr ""
+msgstr "Paasaal"
 
 msgid "Pacahuara"
-msgstr ""
+msgstr "Pacahuara"
 
 msgid "Pacoh"
-msgstr ""
+msgstr "Pacoh"
 
 msgid "Padoe"
-msgstr ""
+msgstr "Padoe"
 
 msgid "Paekche"
-msgstr ""
+msgstr "Paekche"
 
 msgid "Paelignian"
-msgstr ""
+msgstr "Paelignian"
 
 msgid "Pagi"
-msgstr ""
+msgstr "Pagi"
 
 msgid "Pagibete"
-msgstr ""
+msgstr "Pagibete"
 
 msgid "Pagu"
-msgstr ""
+msgstr "Pagu"
 
 msgid "Pahari, Kullu"
-msgstr ""
+msgstr "Pahari, Kullu"
 
 msgid "Pahari, Mahasu"
-msgstr ""
+msgstr "Pahari, Mahasu"
 
 msgid "Pahari-Potwari"
-msgstr ""
+msgstr "Pahari-Potwari"
 
 msgid "Pahi"
-msgstr ""
+msgstr "Pahi"
 
 msgid "Pahlavani"
-msgstr ""
+msgstr "Pahlavani"
 
 msgid "Pahlavi"
 msgstr "パーラヴィー語"
 
 msgid "Pai Tavytera"
-msgstr ""
+msgstr "Pai Tavytera"
 
 msgid "Paicî"
-msgstr ""
+msgstr "Paicî"
 
 msgid "Paipai"
-msgstr ""
+msgstr "Paipai"
 
 msgid "Paiute, Northern"
-msgstr ""
+msgstr "Paiute, Northern"
 
 msgid "Paiwan"
-msgstr ""
+msgstr "Paiwan"
 
 msgid "Pak-Tong"
-msgstr ""
+msgstr "Pak-Tong"
 
 msgid "Pakanha"
-msgstr ""
+msgstr "Pakanha"
 
 msgid "Pakaásnovos"
-msgstr ""
+msgstr "Pakaásnovos"
 
 msgid "Pakistan Sign Language"
-msgstr ""
+msgstr "Pakistan Sign Language"
 
 msgid "Paku"
-msgstr ""
+msgstr "Paku"
 
 msgid "Pal"
 msgstr "パーリ語"
 
 msgid "Palaic"
-msgstr ""
+msgstr "Palaic"
 
 msgid "Palauan"
 msgstr "パラオ語"
 
 msgid "Palaung, Ruching"
-msgstr ""
+msgstr "Palaung, Ruching"
 
 msgid "Palaung, Rumai"
-msgstr ""
+msgstr "Palaung, Rumai"
 
 msgid "Palaung, Shwe"
-msgstr ""
+msgstr "Palaung, Shwe"
 
 msgid "Palawano, Brooke's Point"
-msgstr ""
+msgstr "Palawano, Brooke's Point"
 
 msgid "Palawano, Central"
-msgstr ""
+msgstr "Palawano, Central"
 
 msgid "Palawano, Southwest"
-msgstr ""
+msgstr "Palawano, Southwest"
 
 msgid "Paleni"
-msgstr ""
+msgstr "Paleni"
 
 msgid "Palenquero"
-msgstr ""
+msgstr "Palenquero"
 
 msgid "Pali"
 msgstr "Pali"
 
 msgid "Palikúr"
-msgstr ""
+msgstr "Palikúr"
 
 msgid "Paliyan"
-msgstr ""
+msgstr "Paliyan"
 
 msgid "Pallanganmiddang"
-msgstr ""
+msgstr "Pallanganmiddang"
 
 msgid "Palor"
-msgstr ""
+msgstr "Palor"
 
 msgid "Palpa"
-msgstr ""
+msgstr "Palpa"
 
 msgid "Palu'e"
-msgstr ""
+msgstr "Palu'e"
 
 msgid "Paluan"
-msgstr ""
+msgstr "Paluan"
 
 msgid "Pam"
-msgstr ""
+msgstr "Pam"
 
 msgid "Pambia"
-msgstr ""
+msgstr "Pambia"
 
 msgid "Pame, Central"
-msgstr ""
+msgstr "Pame, Central"
 
 msgid "Pame, Northern"
-msgstr ""
+msgstr "Pame, Northern"
 
 msgid "Pame, Southern"
-msgstr ""
+msgstr "Pame, Southern"
 
 msgid "Pamlico"
-msgstr ""
+msgstr "Pamlico"
 
 msgid "Pamona"
-msgstr ""
+msgstr "Pamona"
 
 msgid "Pamosu"
-msgstr ""
+msgstr "Pamosu"
 
 msgid "Pampanga"
 msgstr "パンパンガ語"
 
 msgid "Pana (Burkina Faso)"
-msgstr ""
+msgstr "Pana (Burkina Faso)"
 
 msgid "Pana (Central African Republic)"
-msgstr ""
+msgstr "Pana (Central African Republic)"
 
 msgid "Panamanian Sign Language"
-msgstr ""
+msgstr "Panamanian Sign Language"
 
 msgid "Panamint"
-msgstr ""
+msgstr "Panamint"
 
 msgid "Panará"
-msgstr ""
+msgstr "Panará"
 
 msgid "Panasuan"
-msgstr ""
+msgstr "Panasuan"
 
 msgid "Panawa"
-msgstr ""
+msgstr "Panawa"
 
 msgid "Pancana"
-msgstr ""
+msgstr "Pancana"
 
 msgid "Panchpargania"
-msgstr ""
+msgstr "Panchpargania"
 
 msgid "Pande"
-msgstr ""
+msgstr "Pande"
 
 msgid "Pangasinan"
 msgstr "パンガシナーン語"
 
 msgid "Pangseng"
-msgstr ""
+msgstr "Pangseng"
 
 msgid "Pangwa"
-msgstr ""
+msgstr "Pangwa"
 
 msgid "Pangwali"
-msgstr ""
+msgstr "Pangwali"
 
 msgid "Panim"
-msgstr ""
+msgstr "Panim"
 
 msgid "Paniya"
-msgstr ""
+msgstr "Paniya"
 
 msgid "Panjabi"
-msgstr ""
+msgstr "Panjabi"
 
 msgid "Panjabi, Western"
-msgstr ""
+msgstr "Panjabi, Western"
 
 msgid "Pankararé"
-msgstr ""
+msgstr "Pankararé"
 
 msgid "Pankararú"
-msgstr ""
+msgstr "Pankararú"
 
 msgid "Pankhu"
-msgstr ""
+msgstr "Pankhu"
 
 msgid "Pannei"
-msgstr ""
+msgstr "Pannei"
 
 msgid "Pano"
-msgstr ""
+msgstr "Pano"
 
 msgid "Pano, Kulina"
-msgstr ""
+msgstr "Pano, Kulina"
 
 msgid "Panobo"
-msgstr ""
+msgstr "Panobo"
 
 msgid "Panytyima"
-msgstr ""
+msgstr "Panytyima"
 
 msgid "Papapana"
-msgstr ""
+msgstr "Papapana"
 
 msgid "Papar"
-msgstr ""
+msgstr "Papar"
 
 msgid "Papasena"
-msgstr ""
+msgstr "Papasena"
 
 msgid "Papel"
-msgstr ""
+msgstr "Papel"
 
 msgid "Papi"
-msgstr ""
+msgstr "Papi"
 
 msgid "Papiamento"
 msgstr "パピアメント"
 
 msgid "Papitalai"
-msgstr ""
+msgstr "Papitalai"
 
 msgid "Papora"
-msgstr ""
+msgstr "Papora"
 
 msgid "Papua New Guinean Sign Language"
-msgstr ""
+msgstr "Papua New Guinean Sign Language"
 
 msgid "Papuma"
-msgstr ""
+msgstr "Papuma"
 
 msgid "Parachi"
-msgstr ""
+msgstr "Parachi"
 
 msgid "Paraguayan Sign Language"
-msgstr ""
+msgstr "Paraguayan Sign Language"
 
 msgid "Parakanã"
-msgstr ""
+msgstr "Parakanã"
 
 msgid "Paranan"
-msgstr ""
+msgstr "Paranan"
 
 msgid "Paranawát"
-msgstr ""
+msgstr "Paranawát"
 
 msgid "Paraujano"
-msgstr ""
+msgstr "Paraujano"
 
 msgid "Parauk"
-msgstr ""
+msgstr "Parauk"
 
 msgid "Parawen"
-msgstr ""
+msgstr "Parawen"
 
 msgid "Pardhan"
-msgstr ""
+msgstr "Pardhan"
 
 msgid "Pardhi"
-msgstr ""
+msgstr "Pardhi"
 
 msgid "Pare"
-msgstr ""
+msgstr "Pare"
 
 msgid "Parecís"
-msgstr ""
+msgstr "Parecís"
 
 msgid "Parenga"
-msgstr ""
+msgstr "Parenga"
 
 msgid "Parkwa"
-msgstr ""
+msgstr "Parkwa"
 
 msgid "Parsi"
-msgstr ""
+msgstr "Parsi"
 
 msgid "Parsi-Dari"
-msgstr ""
+msgstr "Parsi-Dari"
 
 msgid "Parthian"
-msgstr ""
+msgstr "Parthian"
 
 msgid "Parya"
-msgstr ""
+msgstr "Parya"
 
 msgid "Pashai, Northeast"
-msgstr ""
+msgstr "Pashai, Northeast"
 
 msgid "Pashai, Northwest"
-msgstr ""
+msgstr "Pashai, Northwest"
 
 msgid "Pashai, Southeast"
-msgstr ""
+msgstr "Pashai, Southeast"
 
 msgid "Pashai, Southwest"
-msgstr ""
+msgstr "Pashai, Southwest"
 
 msgid "Pashto, Central"
-msgstr ""
+msgstr "Pashto, Central"
 
 msgid "Pashto, Northern"
-msgstr ""
+msgstr "Pashto, Northern"
 
 msgid "Pashto, Southern"
-msgstr ""
+msgstr "Pashto, Southern"
 
 msgid "Pasi"
-msgstr ""
+msgstr "Pasi"
 
 msgid "Patamona"
-msgstr ""
+msgstr "Patamona"
 
 msgid "Patani"
-msgstr ""
+msgstr "Patani"
 
 msgid "Pataxó Hã-Ha-Hãe"
-msgstr ""
+msgstr "Pataxó Hã-Ha-Hãe"
 
 msgid "Patep"
-msgstr ""
+msgstr "Patep"
 
 msgid "Pathiya"
-msgstr ""
+msgstr "Pathiya"
 
 msgid "Patpatar"
-msgstr ""
+msgstr "Patpatar"
 
 msgid "Pattani"
-msgstr ""
+msgstr "Pattani"
 
 msgid "Pattapu"
-msgstr ""
+msgstr "Pattapu"
 
 msgid "Patwin"
-msgstr ""
+msgstr "Patwin"
 
 msgid "Paulohi"
-msgstr ""
+msgstr "Paulohi"
 
 msgid "Paumarí"
-msgstr ""
+msgstr "Paumarí"
 
 msgid "Paunaka"
-msgstr ""
+msgstr "Paunaka"
 
 msgid "Pauserna"
-msgstr ""
+msgstr "Pauserna"
 
 msgid "Pawaia"
-msgstr ""
+msgstr "Pawaia"
 
 msgid "Pawnee"
-msgstr ""
+msgstr "Pawnee"
 
 msgid "Paynamar"
-msgstr ""
+msgstr "Paynamar"
 
 msgid "Pe"
-msgstr ""
+msgstr "Pe"
 
 msgid "Pear"
-msgstr ""
+msgstr "Pear"
 
 msgid "Pech"
-msgstr ""
+msgstr "Pech"
 
 msgid "Pecheneg"
-msgstr ""
+msgstr "Pecheneg"
 
 msgid "Pedi"
-msgstr ""
+msgstr "Pedi"
 
 msgid "Peere"
-msgstr ""
+msgstr "Peere"
 
 msgid "Pei"
-msgstr ""
+msgstr "Pei"
 
 msgid "Pekal"
-msgstr ""
+msgstr "Pekal"
 
 msgid "Pela"
-msgstr ""
+msgstr "Pela"
 
 msgid "Pele-Ata"
-msgstr ""
+msgstr "Pele-Ata"
 
 msgid "Pelende"
-msgstr ""
+msgstr "Pelende"
 
 msgid "Pemon"
-msgstr ""
+msgstr "Pemon"
 
 msgid "Penan, Eastern"
-msgstr ""
+msgstr "Penan, Eastern"
 
 msgid "Penan, Western"
-msgstr ""
+msgstr "Penan, Western"
 
 msgid "Penang Sign Language"
-msgstr ""
+msgstr "Penang Sign Language"
 
 msgid "Penchal"
-msgstr ""
+msgstr "Penchal"
 
 msgid "Pendau"
-msgstr ""
+msgstr "Pendau"
 
 msgid "Pengo"
-msgstr ""
+msgstr "Pengo"
 
 msgid "Penrhyn"
-msgstr ""
+msgstr "Penrhyn"
 
 msgid "Pentlatch"
-msgstr ""
+msgstr "Pentlatch"
 
 msgid "Perai"
-msgstr ""
+msgstr "Perai"
 
 msgid "Pero"
-msgstr ""
+msgstr "Pero"
 
 msgid "Persian"
 msgstr "ペルシア語"
 
 msgid "Persian Sign Language"
-msgstr ""
+msgstr "Persian Sign Language"
 
 msgid "Persian, Iranian"
-msgstr ""
+msgstr "Persian, Iranian"
 
 msgid "Persian, Manichaean Middle"
-msgstr ""
+msgstr "Persian, Manichaean Middle"
 
 msgid "Persian, Old (ca. 600-400 B.C.)"
-msgstr ""
+msgstr "Persian, Old (ca. 600-400 B.C.)"
 
 msgid "Peruvian Sign Language"
-msgstr ""
+msgstr "Peruvian Sign Language"
 
 msgid "Petats"
-msgstr ""
+msgstr "Petats"
 
 msgid "Petjo"
-msgstr ""
+msgstr "Petjo"
 
 msgid "Pfaelzisch"
-msgstr ""
+msgstr "Pfaelzisch"
 
 msgid "Phai"
-msgstr ""
+msgstr "Phai"
 
 msgid "Phake"
-msgstr ""
+msgstr "Phake"
 
 msgid "Phala"
-msgstr ""
+msgstr "Phala"
 
 msgid "Phalura"
-msgstr ""
+msgstr "Phalura"
 
 msgid "Phana'"
-msgstr ""
+msgstr "Phana'"
 
 msgid "Phangduwali"
-msgstr ""
+msgstr "Phangduwali"
 
 msgid "Phende"
-msgstr ""
+msgstr "Phende"
 
 msgid "Philippine Sign Language"
-msgstr ""
+msgstr "Philippine Sign Language"
 
 msgid "Phimbi"
-msgstr ""
+msgstr "Phimbi"
 
 msgid "Phoenician"
 msgstr "フェニキア語"
 
 msgid "Phola"
-msgstr ""
+msgstr "Phola"
 
 msgid "Phola, Alo"
-msgstr ""
+msgstr "Phola, Alo"
 
 msgid "Pholo"
-msgstr ""
+msgstr "Pholo"
 
 msgid "Phong-Kniang"
-msgstr ""
+msgstr "Phong-Kniang"
 
 msgid "Phowa, Ani"
-msgstr ""
+msgstr "Phowa, Ani"
 
 msgid "Phowa, Hlepho"
-msgstr ""
+msgstr "Phowa, Hlepho"
 
 msgid "Phowa, Labo"
-msgstr ""
+msgstr "Phowa, Labo"
 
 msgid "Phrygian"
-msgstr ""
+msgstr "Phrygian"
 
 msgid "Phu Thai"
-msgstr ""
+msgstr "Phu Thai"
 
 msgid "Phuan"
-msgstr ""
+msgstr "Phuan"
 
 msgid "Phudagi"
-msgstr ""
+msgstr "Phudagi"
 
 msgid "Phuie"
-msgstr ""
+msgstr "Phuie"
 
 msgid "Phukha"
-msgstr ""
+msgstr "Phukha"
 
 msgid "Phuma"
-msgstr ""
+msgstr "Phuma"
 
 msgid "Phunoi"
-msgstr ""
+msgstr "Phunoi"
 
 msgid "Phuong"
-msgstr ""
+msgstr "Phuong"
 
 msgid "Phupa"
-msgstr ""
+msgstr "Phupa"
 
 msgid "Phupha"
-msgstr ""
+msgstr "Phupha"
 
 msgid "Phuza"
-msgstr ""
+msgstr "Phuza"
 
 msgid "Piamatsina"
-msgstr ""
+msgstr "Piamatsina"
 
 msgid "Piame"
-msgstr ""
+msgstr "Piame"
 
 msgid "Piapoco"
-msgstr ""
+msgstr "Piapoco"
 
 msgid "Piaroa"
-msgstr ""
+msgstr "Piaroa"
 
 msgid "Picard"
-msgstr ""
+msgstr "Picard"
 
 msgid "Picene, North"
-msgstr ""
+msgstr "Picene, North"
 
 msgid "Picene, South"
-msgstr ""
+msgstr "Picene, South"
 
 msgid "Pictish"
-msgstr ""
+msgstr "Pictish"
 
 msgid "Pidgin English, Chinese"
-msgstr ""
+msgstr "Pidgin English, Chinese"
 
 msgid "Pidgin English, Ghanaian"
-msgstr ""
+msgstr "Pidgin English, Ghanaian"
 
 msgid "Pidgin, Cameroon"
-msgstr ""
+msgstr "Pidgin, Cameroon"
 
 msgid "Pidgin, Nigerian"
-msgstr ""
+msgstr "Pidgin, Nigerian"
 
 msgid "Pidgin, Timor"
-msgstr ""
+msgstr "Pidgin, Timor"
 
 msgid "Piemontese"
-msgstr ""
+msgstr "Piemontese"
 
 msgid "Pijao"
-msgstr ""
+msgstr "Pijao"
 
 msgid "Pije"
-msgstr ""
+msgstr "Pije"
 
 msgid "Pijin"
-msgstr ""
+msgstr "Pijin"
 
 msgid "Pilagá"
-msgstr ""
+msgstr "Pilagá"
 
 msgid "Pileni"
-msgstr ""
+msgstr "Pileni"
 
 msgid "Pima Bajo"
-msgstr ""
+msgstr "Pima Bajo"
 
 msgid "Pimbwe"
-msgstr ""
+msgstr "Pimbwe"
 
 msgid "Pinai-Hagahai"
-msgstr ""
+msgstr "Pinai-Hagahai"
 
 msgid "Pingelapese"
-msgstr ""
+msgstr "Pingelapese"
 
 msgid "Pini"
-msgstr ""
+msgstr "Pini"
 
 msgid "Pinigura"
-msgstr ""
+msgstr "Pinigura"
 
 msgid "Pinjarup"
-msgstr ""
+msgstr "Pinjarup"
 
 msgid "Pinji"
-msgstr ""
+msgstr "Pinji"
 
 msgid "Pintiini"
-msgstr ""
+msgstr "Pintiini"
 
 msgid "Pintupi-Luritja"
-msgstr ""
+msgstr "Pintupi-Luritja"
 
 msgid "Pinyin"
-msgstr ""
+msgstr "Pinyin"
 
 msgid "Pipil"
-msgstr ""
+msgstr "Pipil"
 
 msgid "Pirahã"
-msgstr ""
+msgstr "Pirahã"
 
 msgid "Piratapuyo"
-msgstr ""
+msgstr "Piratapuyo"
 
 msgid "Pirlatapa"
-msgstr ""
+msgstr "Pirlatapa"
 
 msgid "Piro"
-msgstr ""
+msgstr "Piro"
 
 msgid "Pirriya"
-msgstr ""
+msgstr "Pirriya"
 
 msgid "Pisabo"
-msgstr ""
+msgstr "Pisabo"
 
 msgid "Piscataway"
-msgstr ""
+msgstr "Piscataway"
 
 msgid "Pisidian"
-msgstr ""
+msgstr "Pisidian"
 
 msgid "Pitcairn-Norfolk"
-msgstr ""
+msgstr "Pitcairn-Norfolk"
 
 msgid "Piti"
-msgstr ""
+msgstr "Piti"
 
 msgid "Pitjantjatjara"
-msgstr ""
+msgstr "Pitjantjatjara"
 
 msgid "Pitta Pitta"
-msgstr ""
+msgstr "Pitta Pitta"
 
 msgid "Piu"
-msgstr ""
+msgstr "Piu"
 
 msgid "Piya-Kwonci"
-msgstr ""
+msgstr "Piya-Kwonci"
 
 msgid "Plains Indian Sign Language"
-msgstr ""
+msgstr "Plains Indian Sign Language"
 
 msgid "Plautdietsch"
-msgstr ""
+msgstr "Plautdietsch"
 
 msgid "Playero"
-msgstr ""
+msgstr "Playero"
 
 msgid "Pnar"
-msgstr ""
+msgstr "Pnar"
 
 msgid "Pochutec"
-msgstr ""
+msgstr "Pochutec"
 
 msgid "Podena"
-msgstr ""
+msgstr "Podena"
 
 msgid "Pogolo"
-msgstr ""
+msgstr "Pogolo"
 
 msgid "Pohnpeian"
 msgstr "ポナペ語"
 
 msgid "Pokangá"
-msgstr ""
+msgstr "Pokangá"
 
 msgid "Poke"
-msgstr ""
+msgstr "Poke"
 
 msgid "Pokomo"
-msgstr ""
+msgstr "Pokomo"
 
 msgid "Polabian"
-msgstr ""
+msgstr "Polabian"
 
 msgid "Polari"
-msgstr ""
+msgstr "Polari"
 
 msgid "Polci"
-msgstr ""
+msgstr "Polci"
 
 msgid "Polish"
 msgstr "ポーランド語"
 
 msgid "Polish Sign Language"
-msgstr ""
+msgstr "Polish Sign Language"
 
 msgid "Polonombauk"
-msgstr ""
+msgstr "Polonombauk"
 
 msgid "Pom"
-msgstr ""
+msgstr "Pom"
 
 msgid "Pomo"
-msgstr ""
+msgstr "Pomo"
 
 msgid "Pomo, Central"
-msgstr ""
+msgstr "Pomo, Central"
 
 msgid "Pomo, Eastern"
-msgstr ""
+msgstr "Pomo, Eastern"
 
 msgid "Pomo, Northeastern"
-msgstr ""
+msgstr "Pomo, Northeastern"
 
 msgid "Pomo, Northern"
-msgstr ""
+msgstr "Pomo, Northern"
 
 msgid "Pomo, Southeastern"
-msgstr ""
+msgstr "Pomo, Southeastern"
 
 msgid "Pomo, Southern"
-msgstr ""
+msgstr "Pomo, Southern"
 
 msgid "Ponam"
-msgstr ""
+msgstr "Ponam"
 
 msgid "Pongu"
-msgstr ""
+msgstr "Pongu"
 
 msgid "Ponosakan"
-msgstr ""
+msgstr "Ponosakan"
 
 msgid "Pontic"
-msgstr ""
+msgstr "Pontic"
 
 msgid "Popoloca, Coyotepec"
-msgstr ""
+msgstr "Popoloca, Coyotepec"
 
 msgid "Popoloca, Mezontla"
-msgstr ""
+msgstr "Popoloca, Mezontla"
 
 msgid "Popoloca, San Felipe Otlaltepec"
-msgstr ""
+msgstr "Popoloca, San Felipe Otlaltepec"
 
 msgid "Popoloca, San Juan Atzingo"
-msgstr ""
+msgstr "Popoloca, San Juan Atzingo"
 
 msgid "Popoloca, San Luís Temalacayuca"
-msgstr ""
+msgstr "Popoloca, San Luís Temalacayuca"
 
 msgid "Popoloca, San Marcos Tlacoyalco"
-msgstr ""
+msgstr "Popoloca, San Marcos Tlacoyalco"
 
 msgid "Popoloca, Santa Inés Ahuatempan"
-msgstr ""
+msgstr "Popoloca, Santa Inés Ahuatempan"
 
 msgid "Popoluca, Highland"
-msgstr ""
+msgstr "Popoluca, Highland"
 
 msgid "Popoluca, Oluta"
-msgstr ""
+msgstr "Popoluca, Oluta"
 
 msgid "Popoluca, Sayula"
-msgstr ""
+msgstr "Popoluca, Sayula"
 
 msgid "Popoluca, Texistepec"
-msgstr ""
+msgstr "Popoluca, Texistepec"
 
 msgid "Popti'"
-msgstr ""
+msgstr "Popti'"
 
 msgid "Poqomam"
-msgstr ""
+msgstr "Poqomam"
 
 msgid "Poqomchi'"
-msgstr ""
+msgstr "Poqomchi'"
 
 msgid "Porohanon"
-msgstr ""
+msgstr "Porohanon"
 
 msgid "Port Sandwich"
-msgstr ""
+msgstr "Port Sandwich"
 
 msgid "Port Vato"
-msgstr ""
+msgstr "Port Vato"
 
 msgid "Portuguese"
 msgstr "ポルトガル語"
 
 msgid "Portuguese Sign Language"
-msgstr ""
+msgstr "Portuguese Sign Language"
 
 msgid "Potawatomi"
-msgstr ""
+msgstr "Potawatomi"
 
 msgid "Potiguára"
-msgstr ""
+msgstr "Potiguára"
 
 msgid "Pouye"
-msgstr ""
+msgstr "Pouye"
 
 msgid "Powari"
-msgstr ""
+msgstr "Powari"
 
 msgid "Powhatan"
-msgstr ""
+msgstr "Powhatan"
 
 msgid "Poyanáwa"
-msgstr ""
+msgstr "Poyanáwa"
 
 msgid "Prasuni"
-msgstr ""
+msgstr "Prasuni"
 
 msgid "Principense"
-msgstr ""
+msgstr "Principense"
 
 msgid "Provençal, Old (to 1500)"
-msgstr ""
+msgstr "Provençal, Old (to 1500)"
 
 msgid "Providencia Sign Language"
-msgstr ""
+msgstr "Providencia Sign Language"
 
 msgid "Prussian"
-msgstr ""
+msgstr "Prussian"
 
 msgid "Prākrit, Ardhamāgadhī"
-msgstr ""
+msgstr "Prākrit, Ardhamāgadhī"
 
 msgid "Prākrit, Māhārāṣṭri"
-msgstr ""
+msgstr "Prākrit, Māhārāṣṭri"
 
 msgid "Prākrit, Sauraseni"
-msgstr ""
+msgstr "Prākrit, Sauraseni"
 
 msgid "Psikye"
-msgstr ""
+msgstr "Psikye"
 
 msgid "Pu Ko"
-msgstr ""
+msgstr "Pu Ko"
 
 msgid "Puare"
-msgstr ""
+msgstr "Puare"
 
 msgid "Puelche"
-msgstr ""
+msgstr "Puelche"
 
 msgid "Puerto Rican Sign Language"
-msgstr ""
+msgstr "Puerto Rican Sign Language"
 
 msgid "Puinave"
-msgstr ""
+msgstr "Puinave"
 
 msgid "Pukapuka"
-msgstr ""
+msgstr "Pukapuka"
 
 msgid "Pulaar"
-msgstr ""
+msgstr "Pulaar"
 
 msgid "Pulabu"
-msgstr ""
+msgstr "Pulabu"
 
 msgid "Pular"
-msgstr ""
+msgstr "Pular"
 
 msgid "Puluwatese"
-msgstr ""
+msgstr "Puluwatese"
 
 msgid "Puma"
-msgstr ""
+msgstr "Puma"
 
 msgid "Pumi, Northern"
-msgstr ""
+msgstr "Pumi, Northern"
 
 msgid "Pumi, Southern"
-msgstr ""
+msgstr "Pumi, Southern"
 
 msgid "Pumpokol"
-msgstr ""
+msgstr "Pumpokol"
 
 msgid "Pumé"
-msgstr ""
+msgstr "Pumé"
 
 msgid "Punan Aput"
-msgstr ""
+msgstr "Punan Aput"
 
 msgid "Punan Bah-Biau"
-msgstr ""
+msgstr "Punan Bah-Biau"
 
 msgid "Punan Batu 1"
-msgstr ""
+msgstr "Punan Batu 1"
 
 msgid "Punan Merah"
-msgstr ""
+msgstr "Punan Merah"
 
 msgid "Punan Merap"
-msgstr ""
+msgstr "Punan Merap"
 
 msgid "Punan Tubu"
-msgstr ""
+msgstr "Punan Tubu"
 
 msgid "Punic"
-msgstr ""
+msgstr "Punic"
 
 msgid "Punthamara"
-msgstr ""
+msgstr "Punthamara"
 
 msgid "Punu"
-msgstr ""
+msgstr "Punu"
 
 msgid "Puoc"
-msgstr ""
+msgstr "Puoc"
 
 msgid "Puquina"
-msgstr ""
+msgstr "Puquina"
 
 msgid "Puragi"
-msgstr ""
+msgstr "Puragi"
 
 msgid "Purari"
-msgstr ""
+msgstr "Purari"
 
 msgid "Purepecha"
-msgstr ""
+msgstr "Purepecha"
 
 msgid "Purepecha, Western Highland"
-msgstr ""
+msgstr "Purepecha, Western Highland"
 
 msgid "Puri"
-msgstr ""
+msgstr "Puri"
 
 msgid "Purik"
-msgstr ""
+msgstr "Purik"
 
 msgid "Purisimeño"
-msgstr ""
+msgstr "Purisimeño"
 
 msgid "Puroik"
-msgstr ""
+msgstr "Puroik"
 
 msgid "Puruborá"
-msgstr ""
+msgstr "Puruborá"
 
 msgid "Purum"
-msgstr ""
+msgstr "Purum"
 
 msgid "Pushto"
 msgstr "プシュトゥー語"
 
 msgid "Putai"
-msgstr ""
+msgstr "Putai"
 
 msgid "Putoh"
-msgstr ""
+msgstr "Putoh"
 
 msgid "Putukwam"
-msgstr ""
+msgstr "Putukwam"
 
 msgid "Puyo"
-msgstr ""
+msgstr "Puyo"
 
 msgid "Puyo-Paekche"
-msgstr ""
+msgstr "Puyo-Paekche"
 
 msgid "Puyuma"
-msgstr ""
+msgstr "Puyuma"
 
 msgid "Pwaamei"
-msgstr ""
+msgstr "Pwaamei"
 
 msgid "Pwapwâ"
-msgstr ""
+msgstr "Pwapwâ"
 
 msgid "Pyapun"
-msgstr ""
+msgstr "Pyapun"
 
 msgid "Pyen"
-msgstr ""
+msgstr "Pyen"
 
 msgid "Pyu (Myanmar)"
-msgstr ""
+msgstr "Pyu (Myanmar)"
 
 msgid "Pyu (Papua New Guinea)"
-msgstr ""
+msgstr "Pyu (Papua New Guinea)"
 
 msgid "Páez"
-msgstr ""
+msgstr "Páez"
 
 msgid "Pááfang"
-msgstr ""
+msgstr "Pááfang"
 
 msgid "Päri"
-msgstr ""
+msgstr "Päri"
 
 msgid "Pémono"
-msgstr ""
+msgstr "Pémono"
 
 msgid "Pévé"
-msgstr ""
+msgstr "Pévé"
 
 msgid "Pökoot"
-msgstr ""
+msgstr "Pökoot"
 
 msgid "Q'anjob'al"
-msgstr ""
+msgstr "Q'anjob'al"
 
 msgid "Qabiao"
-msgstr ""
+msgstr "Qabiao"
 
 msgid "Qaqet"
-msgstr ""
+msgstr "Qaqet"
 
 msgid "Qashqa'i"
-msgstr ""
+msgstr "Qashqa'i"
 
 msgid "Qatabanian"
-msgstr ""
+msgstr "Qatabanian"
 
 msgid "Qau"
-msgstr ""
+msgstr "Qau"
 
 msgid "Qawasqar"
 msgstr "マカッサル語"
 
 msgid "Qiang, Northern"
-msgstr ""
+msgstr "Qiang, Northern"
 
 msgid "Qiang, Southern"
-msgstr ""
+msgstr "Qiang, Southern"
 
 msgid "Qimant"
-msgstr ""
+msgstr "Qimant"
 
 msgid "Quapaw"
-msgstr ""
+msgstr "Quapaw"
 
 msgid "Quebec Sign Language"
-msgstr ""
+msgstr "Quebec Sign Language"
 
 msgid "Quechan"
-msgstr ""
+msgstr "Quechan"
 
 msgid "Quechua"
 msgstr "Quechua"
 
 msgid "Quechua, Ambo-Pasco"
-msgstr ""
+msgstr "Quechua, Ambo-Pasco"
 
 msgid "Quechua, Arequipa-La Unión"
-msgstr ""
+msgstr "Quechua, Arequipa-La Unión"
 
 msgid "Quechua, Ayacucho"
-msgstr ""
+msgstr "Quechua, Ayacucho"
 
 msgid "Quechua, Cajamarca"
-msgstr ""
+msgstr "Quechua, Cajamarca"
 
 msgid "Quechua, Cajatambo North Lima"
-msgstr ""
+msgstr "Quechua, Cajatambo North Lima"
 
 msgid "Quechua, Chachapoyas"
-msgstr ""
+msgstr "Quechua, Chachapoyas"
 
 msgid "Quechua, Chincha"
-msgstr ""
+msgstr "Quechua, Chincha"
 
 msgid "Quechua, Chiquián Ancash"
-msgstr ""
+msgstr "Quechua, Chiquián Ancash"
 
 msgid "Quechua, Classical"
-msgstr ""
+msgstr "Quechua, Classical"
 
 msgid "Quechua, Corongo Ancash"
-msgstr ""
+msgstr "Quechua, Corongo Ancash"
 
 msgid "Quechua, Cusco"
-msgstr ""
+msgstr "Quechua, Cusco"
 
 msgid "Quechua, Eastern Apurímac"
-msgstr ""
+msgstr "Quechua, Eastern Apurímac"
 
 msgid "Quechua, Huallaga Huánuco"
-msgstr ""
+msgstr "Quechua, Huallaga Huánuco"
 
 msgid "Quechua, Huamalíes-Dos de Mayo Huánuco"
-msgstr ""
+msgstr "Quechua, Huamalíes-Dos de Mayo Huánuco"
 
 msgid "Quechua, Huaylas Ancash"
-msgstr ""
+msgstr "Quechua, Huaylas Ancash"
 
 msgid "Quechua, Huaylla Wanca"
-msgstr ""
+msgstr "Quechua, Huaylla Wanca"
 
 msgid "Quechua, Jauja Wanca"
-msgstr ""
+msgstr "Quechua, Jauja Wanca"
 
 msgid "Quechua, Lambayeque"
-msgstr ""
+msgstr "Quechua, Lambayeque"
 
 msgid "Quechua, Margos-Yarowilca-Lauricocha"
-msgstr ""
+msgstr "Quechua, Margos-Yarowilca-Lauricocha"
 
 msgid "Quechua, Napo Lowland"
-msgstr ""
+msgstr "Quechua, Napo Lowland"
 
 msgid "Quechua, North Bolivian"
-msgstr ""
+msgstr "Quechua, North Bolivian"
 
 msgid "Quechua, North Junín"
-msgstr ""
+msgstr "Quechua, North Junín"
 
 msgid "Quechua, Northern Conchucos Ancash"
-msgstr ""
+msgstr "Quechua, Northern Conchucos Ancash"
 
 msgid "Quechua, Pacaraos"
-msgstr ""
+msgstr "Quechua, Pacaraos"
 
 msgid "Quechua, Panao Huánuco"
-msgstr ""
+msgstr "Quechua, Panao Huánuco"
 
 msgid "Quechua, Puno"
-msgstr ""
+msgstr "Quechua, Puno"
 
 msgid "Quechua, San Martín"
-msgstr ""
+msgstr "Quechua, San Martín"
 
 msgid "Quechua, Santa Ana de Tusi Pasco"
-msgstr ""
+msgstr "Quechua, Santa Ana de Tusi Pasco"
 
 msgid "Quechua, Sihuas Ancash"
-msgstr ""
+msgstr "Quechua, Sihuas Ancash"
 
 msgid "Quechua, South Bolivian"
-msgstr ""
+msgstr "Quechua, South Bolivian"
 
 msgid "Quechua, Southern Conchucos Ancash"
-msgstr ""
+msgstr "Quechua, Southern Conchucos Ancash"
 
 msgid "Quechua, Southern Pastaza"
-msgstr ""
+msgstr "Quechua, Southern Pastaza"
 
 msgid "Quechua, Yanahuanca Pasco"
-msgstr ""
+msgstr "Quechua, Yanahuanca Pasco"
 
 msgid "Quechua, Yauyos"
-msgstr ""
+msgstr "Quechua, Yauyos"
 
 msgid "Quenya"
-msgstr ""
+msgstr "Quenya"
 
 msgid "Queyu"
-msgstr ""
+msgstr "Queyu"
 
 msgid "Quichua, Calderón Highland"
-msgstr ""
+msgstr "Quichua, Calderón Highland"
 
 msgid "Quichua, Cañar Highland"
-msgstr ""
+msgstr "Quichua, Cañar Highland"
 
 msgid "Quichua, Chimborazo Highland"
-msgstr ""
+msgstr "Quichua, Chimborazo Highland"
 
 msgid "Quichua, Imbabura Highland"
-msgstr ""
+msgstr "Quichua, Imbabura Highland"
 
 msgid "Quichua, Loja Highland"
-msgstr ""
+msgstr "Quichua, Loja Highland"
 
 msgid "Quichua, Northern Pastaza"
-msgstr ""
+msgstr "Quichua, Northern Pastaza"
 
 msgid "Quichua, Salasaca Highland"
-msgstr ""
+msgstr "Quichua, Salasaca Highland"
 
 msgid "Quichua, Santiago del Estero"
-msgstr ""
+msgstr "Quichua, Santiago del Estero"
 
 msgid "Quichua, Tena Lowland"
-msgstr ""
+msgstr "Quichua, Tena Lowland"
 
 msgid "Quileute"
-msgstr ""
+msgstr "Quileute"
 
 msgid "Quinault"
-msgstr ""
+msgstr "Quinault"
 
 msgid "Quinqui"
-msgstr ""
+msgstr "Quinqui"
 
 msgid "Quiripi"
-msgstr ""
+msgstr "Quiripi"
 
 msgid "Rabha"
-msgstr ""
+msgstr "Rabha"
 
 msgid "Rade"
-msgstr ""
+msgstr "Rade"
 
 msgid "Raetic"
-msgstr ""
+msgstr "Raetic"
 
 msgid "Rahambuu"
-msgstr ""
+msgstr "Rahambuu"
 
 msgid "Rajasthani"
 msgstr "ラージャスターニー語"
 
 msgid "Rajbanshi"
-msgstr ""
+msgstr "Rajbanshi"
 
 msgid "Raji"
-msgstr ""
+msgstr "Raji"
 
 msgid "Rajong"
-msgstr ""
+msgstr "Rajong"
 
 msgid "Rakahanga-Manihiki"
-msgstr ""
+msgstr "Rakahanga-Manihiki"
 
 msgid "Rakhine"
-msgstr ""
+msgstr "Rakhine"
 
 msgid "Ralte"
-msgstr ""
+msgstr "Ralte"
 
 msgid "Rama"
-msgstr ""
+msgstr "Rama"
 
 msgid "Ramoaaina"
-msgstr ""
+msgstr "Ramoaaina"
 
 msgid "Ramopa"
-msgstr ""
+msgstr "Ramopa"
 
 msgid "Rampi"
-msgstr ""
+msgstr "Rampi"
 
 msgid "Rang"
-msgstr ""
+msgstr "Rang"
 
 msgid "Rangkas"
-msgstr ""
+msgstr "Rangkas"
 
 msgid "Ranglong"
-msgstr ""
+msgstr "Ranglong"
 
 msgid "Rangpuri"
-msgstr ""
+msgstr "Rangpuri"
 
 msgid "Rao"
-msgstr ""
+msgstr "Rao"
 
 msgid "Rapa"
-msgstr ""
+msgstr "Rapa"
 
 msgid "Rapanui"
 msgstr "ラパヌーイ語"
 
 msgid "Rapoisi"
-msgstr ""
+msgstr "Rapoisi"
 
 msgid "Rapting"
-msgstr ""
+msgstr "Rapting"
 
 msgid "Rara Bakati'"
-msgstr ""
+msgstr "Rara Bakati'"
 
 msgid "Rarotongan"
-msgstr ""
+msgstr "Rarotongan"
 
 msgid "Rasawa"
-msgstr ""
+msgstr "Rasawa"
 
 msgid "Ratagnon"
-msgstr ""
+msgstr "Ratagnon"
 
 msgid "Ratahan"
-msgstr ""
+msgstr "Ratahan"
 
 msgid "Rathawi"
-msgstr ""
+msgstr "Rathawi"
 
 msgid "Raute"
-msgstr ""
+msgstr "Raute"
 
 msgid "Ravula"
-msgstr ""
+msgstr "Ravula"
 
 msgid "Rawa"
-msgstr ""
+msgstr "Rawa"
 
 msgid "Rawang"
-msgstr ""
+msgstr "Rawang"
 
 msgid "Rawat"
-msgstr ""
+msgstr "Rawat"
 
 msgid "Rawo"
-msgstr ""
+msgstr "Rawo"
 
 msgid "Razajerdi"
-msgstr ""
+msgstr "Razajerdi"
 
 msgid "Reel"
-msgstr ""
+msgstr "Reel"
 
 msgid "Rejang"
 msgstr "レジャン文字"
 
 msgid "Reli"
-msgstr ""
+msgstr "Reli"
 
 msgid "Rema"
-msgstr ""
+msgstr "Rema"
 
 msgid "Rembarunga"
-msgstr ""
+msgstr "Rembarunga"
 
 msgid "Rembong"
-msgstr ""
+msgstr "Rembong"
 
 msgid "Remo"
-msgstr ""
+msgstr "Remo"
 
 msgid "Rempi"
-msgstr ""
+msgstr "Rempi"
 
 msgid "Remun"
-msgstr ""
+msgstr "Remun"
 
 msgid "Rendille"
-msgstr ""
+msgstr "Rendille"
 
 msgid "Rengao"
-msgstr ""
+msgstr "Rengao"
 
 msgid "Rennell-Bellona"
-msgstr ""
+msgstr "Rennell-Bellona"
 
 msgid "Rennellese Sign Language"
-msgstr ""
+msgstr "Rennellese Sign Language"
 
 msgid "Repanbitip"
-msgstr ""
+msgstr "Repanbitip"
 
 msgid "Rer Bare"
-msgstr ""
+msgstr "Rer Bare"
 
 msgid "Rerau"
-msgstr ""
+msgstr "Rerau"
 
 msgid "Rerep"
-msgstr ""
+msgstr "Rerep"
 
 msgid "Reshe"
-msgstr ""
+msgstr "Reshe"
 
 msgid "Resígaro"
-msgstr ""
+msgstr "Resígaro"
 
 msgid "Retta"
-msgstr ""
+msgstr "Retta"
 
 msgid "Reyesano"
-msgstr ""
+msgstr "Reyesano"
 
 msgid "Riang (India)"
-msgstr ""
+msgstr "Riang (India)"
 
 msgid "Riang (Myanmar)"
-msgstr ""
+msgstr "Riang (Myanmar)"
 
 msgid "Riantana"
-msgstr ""
+msgstr "Riantana"
 
 msgid "Ribun"
-msgstr ""
+msgstr "Ribun"
 
 msgid "Rien"
-msgstr ""
+msgstr "Rien"
 
 msgid "Rikbaktsa"
-msgstr ""
+msgstr "Rikbaktsa"
 
 msgid "Ringgou"
-msgstr ""
+msgstr "Ringgou"
 
 msgid "Ririo"
-msgstr ""
+msgstr "Ririo"
 
 msgid "Ritarungo"
-msgstr ""
+msgstr "Ritarungo"
 
 msgid "Riung"
-msgstr ""
+msgstr "Riung"
 
 msgid "Roglai, Cacgia"
-msgstr ""
+msgstr "Roglai, Cacgia"
 
 msgid "Roglai, Northern"
-msgstr ""
+msgstr "Roglai, Northern"
 
 msgid "Roglai, Southern"
-msgstr ""
+msgstr "Roglai, Southern"
 
 msgid "Rogo"
-msgstr ""
+msgstr "Rogo"
 
 msgid "Rohingya"
-msgstr ""
+msgstr "Rohingya"
 
 msgid "Roma"
-msgstr ""
+msgstr "Roma"
 
 msgid "Romagnol"
-msgstr ""
+msgstr "Romagnol"
 
 msgid "Romam"
-msgstr ""
+msgstr "Romam"
 
 msgid "Romani, Balkan"
-msgstr ""
+msgstr "Romani, Balkan"
 
 msgid "Romani, Baltic"
-msgstr ""
+msgstr "Romani, Baltic"
 
 msgid "Romani, Carpathian"
-msgstr ""
+msgstr "Romani, Carpathian"
 
 msgid "Romani, Kalo Finnish"
-msgstr ""
+msgstr "Romani, Kalo Finnish"
 
 msgid "Romani, Sinte"
-msgstr ""
+msgstr "Romani, Sinte"
 
 msgid "Romani, Tavringer"
-msgstr ""
+msgstr "Romani, Tavringer"
 
 msgid "Romani, Vlax"
-msgstr ""
+msgstr "Romani, Vlax"
 
 msgid "Romani, Welsh"
-msgstr ""
+msgstr "Romani, Welsh"
 
 msgid "Romanian"
 msgstr "ルーマニア語"
 
 msgid "Romanian Sign Language"
-msgstr ""
+msgstr "Romanian Sign Language"
 
 msgid "Romanian, Istro"
-msgstr ""
+msgstr "Romanian, Istro"
 
 msgid "Romanian, Macedo-"
-msgstr ""
+msgstr "Romanian, Macedo-"
 
 msgid "Romanian, Megleno"
-msgstr ""
+msgstr "Romanian, Megleno"
 
 msgid "Romano-Greek"
-msgstr ""
+msgstr "Romano-Greek"
 
 msgid "Romano-Serbian"
-msgstr ""
+msgstr "Romano-Serbian"
 
 msgid "Romanova"
-msgstr ""
+msgstr "Romanova"
 
 msgid "Romansh"
-msgstr ""
+msgstr "Romansh"
 
 msgid "Romany"
 msgstr "ロマニ語"
 
 msgid "Romblomanon"
-msgstr ""
+msgstr "Romblomanon"
 
 msgid "Rombo"
-msgstr ""
+msgstr "Rombo"
 
 msgid "Romkun"
-msgstr ""
+msgstr "Romkun"
 
 msgid "Ron"
-msgstr ""
+msgstr "Ron"
 
 msgid "Ronga"
-msgstr ""
+msgstr "Ronga"
 
 msgid "Rongga"
-msgstr ""
+msgstr "Rongga"
 
 msgid "Rongpo"
-msgstr ""
+msgstr "Rongpo"
 
 msgid "Ronji"
-msgstr ""
+msgstr "Ronji"
 
 msgid "Roon"
-msgstr ""
+msgstr "Roon"
 
 msgid "Roria"
-msgstr ""
+msgstr "Roria"
 
 msgid "Rotokas"
-msgstr ""
+msgstr "Rotokas"
 
 msgid "Rotuman"
-msgstr ""
+msgstr "Rotuman"
 
 msgid "Roviana"
-msgstr ""
+msgstr "Roviana"
 
 msgid "Rudbari"
-msgstr ""
+msgstr "Rudbari"
 
 msgid "Rufiji"
-msgstr ""
+msgstr "Rufiji"
 
 msgid "Ruga"
-msgstr ""
+msgstr "Ruga"
 
 msgid "Rukai"
-msgstr ""
+msgstr "Rukai"
 
 msgid "Ruma"
-msgstr ""
+msgstr "Ruma"
 
 msgid "Rumu"
-msgstr ""
+msgstr "Rumu"
 
 msgid "Rundi"
 msgstr "ルンディ語"
 
 msgid "Runga"
-msgstr ""
+msgstr "Runga"
 
 msgid "Rungus"
-msgstr ""
+msgstr "Rungus"
 
 msgid "Rungwa"
-msgstr ""
+msgstr "Rungwa"
 
 msgid "Russian"
 msgstr "ロシア語"
 
 msgid "Russian Sign Language"
-msgstr ""
+msgstr "Russian Sign Language"
 
 msgid "Russian, Old"
-msgstr ""
+msgstr "Russian, Old"
 
 msgid "Rusyn"
-msgstr ""
+msgstr "Rusyn"
 
 msgid "Rutul"
-msgstr ""
+msgstr "Rutul"
 
 msgid "Ruuli"
-msgstr ""
+msgstr "Ruuli"
 
 msgid "Ruund"
-msgstr ""
+msgstr "Ruund"
 
 msgid "Rwa"
-msgstr ""
+msgstr "Rwa"
 
 msgid "Rāziḥī"
-msgstr ""
+msgstr "Rāziḥī"
 
 msgid "Sa"
-msgstr ""
+msgstr "Sa"
 
 msgid "Sa'a"
 msgstr "ササク語"
 
 msgid "Sa'ban"
-msgstr ""
+msgstr "Sa'ban"
 
 msgid "Sa'och"
-msgstr ""
+msgstr "Sa'och"
 
 msgid "Saafi-Saafi"
-msgstr ""
+msgstr "Saafi-Saafi"
 
 msgid "Saam"
-msgstr ""
+msgstr "Saam"
 
 msgid "Saamia"
-msgstr ""
+msgstr "Saamia"
 
 msgid "Saaroa"
-msgstr ""
+msgstr "Saaroa"
 
 msgid "Saba"
-msgstr ""
+msgstr "Saba"
 
 msgid "Sabaean"
-msgstr ""
+msgstr "Sabaean"
 
 msgid "Sabanê"
-msgstr ""
+msgstr "Sabanê"
 
 msgid "Sabaot"
-msgstr ""
+msgstr "Sabaot"
 
 msgid "Sabine"
-msgstr ""
+msgstr "Sabine"
 
 msgid "Sabu"
-msgstr ""
+msgstr "Sabu"
 
 msgid "Sabüm"
-msgstr ""
+msgstr "Sabüm"
 
 msgid "Sacapulteco"
-msgstr ""
+msgstr "Sacapulteco"
 
 msgid "Sadri"
-msgstr ""
+msgstr "Sadri"
 
 msgid "Sadri, Oraon"
-msgstr ""
+msgstr "Sadri, Oraon"
 
 msgid "Saek"
-msgstr ""
+msgstr "Saek"
 
 msgid "Saep"
-msgstr ""
+msgstr "Saep"
 
 msgid "Safaliba"
-msgstr ""
+msgstr "Safaliba"
 
 msgid "Safeyoka"
-msgstr ""
+msgstr "Safeyoka"
 
 msgid "Safwa"
-msgstr ""
+msgstr "Safwa"
 
 msgid "Sagala"
-msgstr ""
+msgstr "Sagala"
 
 msgid "Sagalla"
-msgstr ""
+msgstr "Sagalla"
 
 msgid "Saho"
-msgstr ""
+msgstr "Saho"
 
 msgid "Sahu"
-msgstr ""
+msgstr "Sahu"
 
 msgid "Saisiyat"
-msgstr ""
+msgstr "Saisiyat"
 
 msgid "Sajalong"
-msgstr ""
+msgstr "Sajalong"
 
 msgid "Sajau Basap"
-msgstr ""
+msgstr "Sajau Basap"
 
 msgid "Sakachep"
-msgstr ""
+msgstr "Sakachep"
 
 msgid "Sakao"
-msgstr ""
+msgstr "Sakao"
 
 msgid "Sakata"
-msgstr ""
+msgstr "Sakata"
 
 msgid "Sake"
-msgstr ""
+msgstr "Sake"
 
 msgid "Sakirabiá"
-msgstr ""
+msgstr "Sakirabiá"
 
 msgid "Sala"
-msgstr ""
+msgstr "Sala"
 
 msgid "Salampasu"
-msgstr ""
+msgstr "Salampasu"
 
 msgid "Salar"
-msgstr ""
+msgstr "Salar"
 
 msgid "Salas"
-msgstr ""
+msgstr "Salas"
 
 msgid "Salchuq"
-msgstr ""
+msgstr "Salchuq"
 
 msgid "Saleman"
-msgstr ""
+msgstr "Saleman"
 
 msgid "Saliba"
-msgstr ""
+msgstr "Saliba"
 
 msgid "Salinan"
-msgstr ""
+msgstr "Salinan"
 
 msgid "Salish, Southern Puget Sound"
-msgstr ""
+msgstr "Salish, Southern Puget Sound"
 
 msgid "Salish, Straits"
-msgstr ""
+msgstr "Salish, Straits"
 
 msgid "Sallands"
-msgstr ""
+msgstr "Sallands"
 
 msgid "Salt-Yui"
-msgstr ""
+msgstr "Salt-Yui"
 
 msgid "Saluan"
-msgstr ""
+msgstr "Saluan"
 
 msgid "Salumá"
-msgstr ""
+msgstr "Salumá"
 
 msgid "Salvadoran Sign Language"
-msgstr ""
+msgstr "Salvadoran Sign Language"
 
 msgid "Sam"
-msgstr ""
+msgstr "Sam"
 
 msgid "Sama"
-msgstr ""
+msgstr "Sama"
 
 msgid "Sama, Central"
-msgstr ""
+msgstr "Sama, Central"
 
 msgid "Sama, Pangutaran"
-msgstr ""
+msgstr "Sama, Pangutaran"
 
 msgid "Sama, Southern"
-msgstr ""
+msgstr "Sama, Southern"
 
 msgid "Samaritan"
 msgstr "サマリア文字"
 
 msgid "Samarokena"
-msgstr ""
+msgstr "Samarokena"
 
 msgid "Samatao"
-msgstr ""
+msgstr "Samatao"
 
 msgid "Samay"
-msgstr ""
+msgstr "Samay"
 
 msgid "Samba"
-msgstr ""
+msgstr "Samba"
 
 msgid "Samba Leko"
-msgstr ""
+msgstr "Samba Leko"
 
 msgid "Sambal"
-msgstr ""
+msgstr "Sambal"
 
 msgid "Sambal, Botolan"
-msgstr ""
+msgstr "Sambal, Botolan"
 
 msgid "Sambalpuri"
-msgstr ""
+msgstr "Sambalpuri"
 
 msgid "Sambe"
-msgstr ""
+msgstr "Sambe"
 
 msgid "Samberigi"
-msgstr ""
+msgstr "Samberigi"
 
 msgid "Samburu"
-msgstr ""
+msgstr "Samburu"
 
 msgid "Samei"
-msgstr ""
+msgstr "Samei"
 
 msgid "Sami, Akkala"
-msgstr ""
+msgstr "Sami, Akkala"
 
 msgid "Sami, Inari"
-msgstr ""
+msgstr "Sami, Inari"
 
 msgid "Sami, Kemi"
-msgstr ""
+msgstr "Sami, Kemi"
 
 msgid "Sami, Kildin"
-msgstr ""
+msgstr "Sami, Kildin"
 
 msgid "Sami, Northern"
-msgstr ""
+msgstr "Sami, Northern"
 
 msgid "Sami, Pite"
-msgstr ""
+msgstr "Sami, Pite"
 
 msgid "Sami, Skolt"
-msgstr ""
+msgstr "Sami, Skolt"
 
 msgid "Sami, Southern"
-msgstr ""
+msgstr "Sami, Southern"
 
 msgid "Sami, Ter"
-msgstr ""
+msgstr "Sami, Ter"
 
 msgid "Sami, Ume"
-msgstr ""
+msgstr "Sami, Ume"
 
 msgid "Samo"
-msgstr ""
+msgstr "Samo"
 
 msgid "Samo, Matya"
-msgstr ""
+msgstr "Samo, Matya"
 
 msgid "Samo, Maya"
-msgstr ""
+msgstr "Samo, Maya"
 
 msgid "Samo, Southern"
-msgstr ""
+msgstr "Samo, Southern"
 
 msgid "Samoan"
 msgstr "サモア語"
 
 msgid "Samogitian"
-msgstr ""
+msgstr "Samogitian"
 
 msgid "Samosa"
-msgstr ""
+msgstr "Samosa"
 
 msgid "Sampang"
-msgstr ""
+msgstr "Sampang"
 
 msgid "Samre"
-msgstr ""
+msgstr "Samre"
 
 msgid "Samtao"
-msgstr ""
+msgstr "Samtao"
 
 msgid "Samvedi"
-msgstr ""
+msgstr "Samvedi"
 
 msgid "Sanapaná"
-msgstr ""
+msgstr "Sanapaná"
 
 msgid "Sandawe"
 msgstr "サンダウェ語"
 
 msgid "Sanga (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Sanga (Democratic Republic of Congo)"
 
 msgid "Sanga (Nigeria)"
-msgstr ""
+msgstr "Sanga (Nigeria)"
 
 msgid "Sanggau"
-msgstr ""
+msgstr "Sanggau"
 
 msgid "Sangil"
-msgstr ""
+msgstr "Sangil"
 
 msgid "Sangir"
-msgstr ""
+msgstr "Sangir"
 
 msgid "Sangisari"
-msgstr ""
+msgstr "Sangisari"
 
 msgid "Sangkong"
-msgstr ""
+msgstr "Sangkong"
 
 msgid "Sanglechi"
-msgstr ""
+msgstr "Sanglechi"
 
 msgid "Sango"
 msgstr "Sango"
 
 msgid "Sango, Riverain"
-msgstr ""
+msgstr "Sango, Riverain"
 
 msgid "Sangu (Gabon)"
-msgstr ""
+msgstr "Sangu (Gabon)"
 
 msgid "Sangu (Tanzania)"
-msgstr ""
+msgstr "Sangu (Tanzania)"
 
 msgid "Sani"
-msgstr ""
+msgstr "Sani"
 
 msgid "Sanie"
-msgstr ""
+msgstr "Sanie"
 
 msgid "Saniyo-Hiyewe"
-msgstr ""
+msgstr "Saniyo-Hiyewe"
 
 msgid "Sansi"
-msgstr ""
+msgstr "Sansi"
 
 msgid "Sanskrit"
 msgstr "梵語"
@@ -18438,151 +18439,151 @@ msgid "Santali"
 msgstr "サンターリー語"
 
 msgid "Sanumá"
-msgstr ""
+msgstr "Sanumá"
 
 msgid "Saparua"
-msgstr ""
+msgstr "Saparua"
 
 msgid "Sapo"
-msgstr ""
+msgstr "Sapo"
 
 msgid "Saponi"
-msgstr ""
+msgstr "Saponi"
 
 msgid "Saposa"
-msgstr ""
+msgstr "Saposa"
 
 msgid "Sapuan"
-msgstr ""
+msgstr "Sapuan"
 
 msgid "Sapé"
-msgstr ""
+msgstr "Sapé"
 
 msgid "Sar"
-msgstr ""
+msgstr "Sar"
 
 msgid "Sara"
-msgstr ""
+msgstr "Sara"
 
 msgid "Sara Kaba"
-msgstr ""
+msgstr "Sara Kaba"
 
 msgid "Sara Kaba Deme"
-msgstr ""
+msgstr "Sara Kaba Deme"
 
 msgid "Sara Kaba Náà"
-msgstr ""
+msgstr "Sara Kaba Náà"
 
 msgid "Saraiki"
-msgstr ""
+msgstr "Saraiki"
 
 msgid "Saramaccan"
-msgstr ""
+msgstr "Saramaccan"
 
 msgid "Sarasira"
-msgstr ""
+msgstr "Sarasira"
 
 msgid "Saraveca"
-msgstr ""
+msgstr "Saraveca"
 
 msgid "Sardinian"
 msgstr "サルデーニャ語"
 
 msgid "Sardinian, Campidanese"
-msgstr ""
+msgstr "Sardinian, Campidanese"
 
 msgid "Sardinian, Gallurese"
-msgstr ""
+msgstr "Sardinian, Gallurese"
 
 msgid "Sardinian, Logudorese"
-msgstr ""
+msgstr "Sardinian, Logudorese"
 
 msgid "Sardinian, Sassarese"
-msgstr ""
+msgstr "Sardinian, Sassarese"
 
 msgid "Sari"
-msgstr ""
+msgstr "Sari"
 
 msgid "Sarikoli"
-msgstr ""
+msgstr "Sarikoli"
 
 msgid "Sarli"
-msgstr ""
+msgstr "Sarli"
 
 msgid "Sarsi"
-msgstr ""
+msgstr "Sarsi"
 
 msgid "Sartang"
-msgstr ""
+msgstr "Sartang"
 
 msgid "Sarua"
-msgstr ""
+msgstr "Sarua"
 
 msgid "Sarudu"
-msgstr ""
+msgstr "Sarudu"
 
 msgid "Saruga"
-msgstr ""
+msgstr "Saruga"
 
 msgid "Sasak"
 msgstr "Sasak"
 
 msgid "Sasaru"
-msgstr ""
+msgstr "Sasaru"
 
 msgid "Satawalese"
-msgstr ""
+msgstr "Satawalese"
 
 msgid "Saterfriesisch"
-msgstr ""
+msgstr "Saterfriesisch"
 
 msgid "Sateré-Mawé"
-msgstr ""
+msgstr "Sateré-Mawé"
 
 msgid "Saudi Arabian Sign Language"
-msgstr ""
+msgstr "Saudi Arabian Sign Language"
 
 msgid "Saurashtra"
 msgstr "サウラーシュトラ文字"
 
 msgid "Sauri"
-msgstr ""
+msgstr "Sauri"
 
 msgid "Sauria Paharia"
-msgstr ""
+msgstr "Sauria Paharia"
 
 msgid "Sause"
-msgstr ""
+msgstr "Sause"
 
 msgid "Sausi"
-msgstr ""
+msgstr "Sausi"
 
 msgid "Savi"
-msgstr ""
+msgstr "Savi"
 
 msgid "Savosavo"
-msgstr ""
+msgstr "Savosavo"
 
 msgid "Sawai"
-msgstr ""
+msgstr "Sawai"
 
 msgid "Saweru"
-msgstr ""
+msgstr "Saweru"
 
 msgid "Sawi"
-msgstr ""
+msgstr "Sawi"
 
 msgid "Sawila"
-msgstr ""
+msgstr "Sawila"
 
 msgid "Sawknah"
-msgstr ""
+msgstr "Sawknah"
 
 msgid "Saxon, Old"
-msgstr ""
+msgstr "Saxon, Old"
 
 msgid "Saxon, Upper"
-msgstr ""
+msgstr "Saxon, Upper"
 
 msgid "Saya"
 msgstr "Saya"
@@ -18591,463 +18592,463 @@ msgid "Scots"
 msgstr "スコットランド語"
 
 msgid "Scottish, Traveller"
-msgstr ""
+msgstr "Scottish, Traveller"
 
 msgid "Scythian"
-msgstr ""
+msgstr "Scythian"
 
 msgid "Seba"
-msgstr ""
+msgstr "Seba"
 
 msgid "Sebat Bet Gurage"
-msgstr ""
+msgstr "Sebat Bet Gurage"
 
 msgid "Seberuang"
-msgstr ""
+msgstr "Seberuang"
 
 msgid "Sebop"
-msgstr ""
+msgstr "Sebop"
 
 msgid "Sebuyau"
-msgstr ""
+msgstr "Sebuyau"
 
 msgid "Sechelt"
-msgstr ""
+msgstr "Sechelt"
 
 msgid "Secoya"
-msgstr ""
+msgstr "Secoya"
 
 msgid "Sedang"
-msgstr ""
+msgstr "Sedang"
 
 msgid "Sedoa"
-msgstr ""
+msgstr "Sedoa"
 
 msgid "Seeku"
-msgstr ""
+msgstr "Seeku"
 
 msgid "Segai"
-msgstr ""
+msgstr "Segai"
 
 msgid "Segeju"
-msgstr ""
+msgstr "Segeju"
 
 msgid "Seget"
-msgstr ""
+msgstr "Seget"
 
 msgid "Sehwi"
-msgstr ""
+msgstr "Sehwi"
 
 msgid "Seimat"
-msgstr ""
+msgstr "Seimat"
 
 msgid "Seit-Kaitetu"
-msgstr ""
+msgstr "Seit-Kaitetu"
 
 msgid "Sekani"
-msgstr ""
+msgstr "Sekani"
 
 msgid "Sekapan"
-msgstr ""
+msgstr "Sekapan"
 
 msgid "Sekar"
-msgstr ""
+msgstr "Sekar"
 
 msgid "Seke (Nepal)"
-msgstr ""
+msgstr "Seke (Nepal)"
 
 msgid "Seke (Vanuatu)"
-msgstr ""
+msgstr "Seke (Vanuatu)"
 
 msgid "Sekele"
-msgstr ""
+msgstr "Sekele"
 
 msgid "Seki"
-msgstr ""
+msgstr "Seki"
 
 msgid "Seko Padang"
-msgstr ""
+msgstr "Seko Padang"
 
 msgid "Seko Tengah"
-msgstr ""
+msgstr "Seko Tengah"
 
 msgid "Sekpele"
-msgstr ""
+msgstr "Sekpele"
 
 msgid "Selangor Sign Language"
-msgstr ""
+msgstr "Selangor Sign Language"
 
 msgid "Selaru"
-msgstr ""
+msgstr "Selaru"
 
 msgid "Selayar"
-msgstr ""
+msgstr "Selayar"
 
 msgid "Selee"
-msgstr ""
+msgstr "Selee"
 
 msgid "Selepet"
-msgstr ""
+msgstr "Selepet"
 
 msgid "Selian"
-msgstr ""
+msgstr "Selian"
 
 msgid "Selkup"
 msgstr "セリクプ語"
 
 msgid "Selungai Murut"
-msgstr ""
+msgstr "Selungai Murut"
 
 msgid "Seluwasan"
-msgstr ""
+msgstr "Seluwasan"
 
 msgid "Semai"
-msgstr ""
+msgstr "Semai"
 
 msgid "Semandang"
-msgstr ""
+msgstr "Semandang"
 
 msgid "Semaq Beri"
-msgstr ""
+msgstr "Semaq Beri"
 
 msgid "Sembakung Murut"
-msgstr ""
+msgstr "Sembakung Murut"
 
 msgid "Semelai"
-msgstr ""
+msgstr "Semelai"
 
 msgid "Semimi"
-msgstr ""
+msgstr "Semimi"
 
 msgid "Semnam"
-msgstr ""
+msgstr "Semnam"
 
 msgid "Semnani"
-msgstr ""
+msgstr "Semnani"
 
 msgid "Sempan"
-msgstr ""
+msgstr "Sempan"
 
 msgid "Sena"
-msgstr ""
+msgstr "Sena"
 
 msgid "Sena, Malawi"
-msgstr ""
+msgstr "Sena, Malawi"
 
 msgid "Senaya"
-msgstr ""
+msgstr "Senaya"
 
 msgid "Sene"
-msgstr ""
+msgstr "Sene"
 
 msgid "Seneca"
-msgstr ""
+msgstr "Seneca"
 
 msgid "Sened"
-msgstr ""
+msgstr "Sened"
 
 msgid "Sengele"
-msgstr ""
+msgstr "Sengele"
 
 msgid "Senggi"
-msgstr ""
+msgstr "Senggi"
 
 msgid "Sengo"
-msgstr ""
+msgstr "Sengo"
 
 msgid "Sengseng"
-msgstr ""
+msgstr "Sengseng"
 
 msgid "Senhaja De Srair"
-msgstr ""
+msgstr "Senhaja De Srair"
 
 msgid "Senoufo, Cebaara"
-msgstr ""
+msgstr "Senoufo, Cebaara"
 
 msgid "Senoufo, Djimini"
-msgstr ""
+msgstr "Senoufo, Djimini"
 
 msgid "Senoufo, Mamara"
-msgstr ""
+msgstr "Senoufo, Mamara"
 
 msgid "Senoufo, Nyarafolo"
-msgstr ""
+msgstr "Senoufo, Nyarafolo"
 
 msgid "Senoufo, Palaka"
-msgstr ""
+msgstr "Senoufo, Palaka"
 
 msgid "Senoufo, Shempire"
-msgstr ""
+msgstr "Senoufo, Shempire"
 
 msgid "Senoufo, Supyire"
-msgstr ""
+msgstr "Senoufo, Supyire"
 
 msgid "Senoufo, Syenara"
-msgstr ""
+msgstr "Senoufo, Syenara"
 
 msgid "Senoufo, Tagwana"
-msgstr ""
+msgstr "Senoufo, Tagwana"
 
 msgid "Sensi"
-msgstr ""
+msgstr "Sensi"
 
 msgid "Sentani"
-msgstr ""
+msgstr "Sentani"
 
 msgid "Sentinel"
-msgstr ""
+msgstr "Sentinel"
 
 msgid "Sepa (Indonesia)"
-msgstr ""
+msgstr "Sepa (Indonesia)"
 
 msgid "Sepa (Papua New Guinea)"
-msgstr ""
+msgstr "Sepa (Papua New Guinea)"
 
 msgid "Sera"
-msgstr ""
+msgstr "Sera"
 
 msgid "Serbian"
 msgstr "セルビア語"
 
 msgid "Serbo-Croatian"
-msgstr ""
+msgstr "Serbo-Croatian"
 
 msgid "Sere"
-msgstr ""
+msgstr "Sere"
 
 msgid "Serer"
 msgstr "Serer"
 
 msgid "Seri"
-msgstr ""
+msgstr "Seri"
 
 msgid "Serili"
-msgstr ""
+msgstr "Serili"
 
 msgid "Seroa"
-msgstr ""
+msgstr "Seroa"
 
 msgid "Serrano"
-msgstr ""
+msgstr "Serrano"
 
 msgid "Seru"
-msgstr ""
+msgstr "Seru"
 
 msgid "Serua"
-msgstr ""
+msgstr "Serua"
 
 msgid "Serudung Murut"
-msgstr ""
+msgstr "Serudung Murut"
 
 msgid "Serui-Laut"
-msgstr ""
+msgstr "Serui-Laut"
 
 msgid "Seta"
-msgstr ""
+msgstr "Seta"
 
 msgid "Setaman"
-msgstr ""
+msgstr "Setaman"
 
 msgid "Seti"
-msgstr ""
+msgstr "Seti"
 
 msgid "Settla"
-msgstr ""
+msgstr "Settla"
 
 msgid "Sewa Bay"
-msgstr ""
+msgstr "Sewa Bay"
 
 msgid "Seze"
-msgstr ""
+msgstr "Seze"
 
 msgid "Sha"
-msgstr ""
+msgstr "Sha"
 
 msgid "Shabak"
-msgstr ""
+msgstr "Shabak"
 
 msgid "Shahmirzadi"
-msgstr ""
+msgstr "Shahmirzadi"
 
 msgid "Shahrudi"
-msgstr ""
+msgstr "Shahrudi"
 
 msgid "Shall-Zwall"
-msgstr ""
+msgstr "Shall-Zwall"
 
 msgid "Shama-Sambuga"
-msgstr ""
+msgstr "Shama-Sambuga"
 
 msgid "Shamang"
-msgstr ""
+msgstr "Shamang"
 
 msgid "Shambala"
-msgstr ""
+msgstr "Shambala"
 
 msgid "Shan"
 msgstr "シャン語"
 
 msgid "Shanenawa"
-msgstr ""
+msgstr "Shanenawa"
 
 msgid "Shanga"
-msgstr ""
+msgstr "Shanga"
 
 msgid "Sharanahua"
-msgstr ""
+msgstr "Sharanahua"
 
 msgid "Shark Bay"
-msgstr ""
+msgstr "Shark Bay"
 
 msgid "Sharwa"
-msgstr ""
+msgstr "Sharwa"
 
 msgid "Shasta"
-msgstr ""
+msgstr "Shasta"
 
 msgid "Shatt"
-msgstr ""
+msgstr "Shatt"
 
 msgid "Shau"
-msgstr ""
+msgstr "Shau"
 
 msgid "Shawnee"
-msgstr ""
+msgstr "Shawnee"
 
 msgid "She"
-msgstr ""
+msgstr "She"
 
 msgid "Shehri"
-msgstr ""
+msgstr "Shehri"
 
 msgid "Shekhawati"
-msgstr ""
+msgstr "Shekhawati"
 
 msgid "Shekkacho"
-msgstr ""
+msgstr "Shekkacho"
 
 msgid "Sheko"
-msgstr ""
+msgstr "Sheko"
 
 msgid "Shelta"
-msgstr ""
+msgstr "Shelta"
 
 msgid "Shendu"
-msgstr ""
+msgstr "Shendu"
 
 msgid "Sheni"
-msgstr ""
+msgstr "Sheni"
 
 msgid "Sherbro"
-msgstr ""
+msgstr "Sherbro"
 
 msgid "Sherdukpen"
-msgstr ""
+msgstr "Sherdukpen"
 
 msgid "Sherpa"
-msgstr ""
+msgstr "Sherpa"
 
 msgid "Shi"
-msgstr ""
+msgstr "Shi"
 
 msgid "Shiki"
-msgstr ""
+msgstr "Shiki"
 
 msgid "Shilluk"
-msgstr ""
+msgstr "Shilluk"
 
 msgid "Shina"
-msgstr ""
+msgstr "Shina"
 
 msgid "Shina, Kohistani"
-msgstr ""
+msgstr "Shina, Kohistani"
 
 msgid "Shinabo"
-msgstr ""
+msgstr "Shinabo"
 
 msgid "Shipibo-Conibo"
-msgstr ""
+msgstr "Shipibo-Conibo"
 
 msgid "Shixing"
-msgstr ""
+msgstr "Shixing"
 
 msgid "Sholaga"
-msgstr ""
+msgstr "Sholaga"
 
 msgid "Shom Peng"
-msgstr ""
+msgstr "Shom Peng"
 
 msgid "Shona"
 msgstr "ショナ語"
 
 msgid "Shoo-Minda-Nye"
-msgstr ""
+msgstr "Shoo-Minda-Nye"
 
 msgid "Shor"
-msgstr ""
+msgstr "Shor"
 
 msgid "Shoshoni"
-msgstr ""
+msgstr "Shoshoni"
 
 msgid "Shua"
-msgstr ""
+msgstr "Shua"
 
 msgid "Shuadit"
-msgstr ""
+msgstr "Shuadit"
 
 msgid "Shuar"
-msgstr ""
+msgstr "Shuar"
 
 msgid "Shubi"
-msgstr ""
+msgstr "Shubi"
 
 msgid "Shughni"
-msgstr ""
+msgstr "Shughni"
 
 msgid "Shumashti"
-msgstr ""
+msgstr "Shumashti"
 
 msgid "Shumcho"
-msgstr ""
+msgstr "Shumcho"
 
 msgid "Shuswap"
-msgstr ""
+msgstr "Shuswap"
 
 msgid "Shuwa-Zamani"
-msgstr ""
+msgstr "Shuwa-Zamani"
 
 msgid "Shwai"
-msgstr ""
+msgstr "Shwai"
 
 msgid "Sialum"
-msgstr ""
+msgstr "Sialum"
 
 msgid "Siamou"
-msgstr ""
+msgstr "Siamou"
 
 msgid "Sian"
-msgstr ""
+msgstr "Sian"
 
 msgid "Siane"
-msgstr ""
+msgstr "Siane"
 
 msgid "Siang"
-msgstr ""
+msgstr "Siang"
 
 msgid "Siar-Lak"
-msgstr ""
+msgstr "Siar-Lak"
 
 msgid "Siawi"
-msgstr ""
+msgstr "Siawi"
 
 msgid "Sibe"
-msgstr ""
+msgstr "Sibe"
 
 msgid "Sicanian"
-msgstr ""
+msgstr "Sicanian"
 
 msgid "Sicel"
-msgstr ""
+msgstr "Sicel"
 
 msgid "Sicilian"
 msgstr "シチリア語"
@@ -19056,589 +19057,589 @@ msgid "Sidamo"
 msgstr "シダモ語"
 
 msgid "Sidetic"
-msgstr ""
+msgstr "Sidetic"
 
 msgid "Sie"
-msgstr ""
+msgstr "Sie"
 
 msgid "Sierra Leone Sign Language"
-msgstr ""
+msgstr "Sierra Leone Sign Language"
 
 msgid "Sighu"
-msgstr ""
+msgstr "Sighu"
 
 msgid "Sihan"
-msgstr ""
+msgstr "Sihan"
 
 msgid "Sika"
-msgstr ""
+msgstr "Sika"
 
 msgid "Sikaiana"
-msgstr ""
+msgstr "Sikaiana"
 
 msgid "Sikaritai"
-msgstr ""
+msgstr "Sikaritai"
 
 msgid "Sikiana"
-msgstr ""
+msgstr "Sikiana"
 
 msgid "Sikkimese"
-msgstr ""
+msgstr "Sikkimese"
 
 msgid "Siksika"
 msgstr "ブラックフット語"
 
 msgid "Sikule"
-msgstr ""
+msgstr "Sikule"
 
 msgid "Sila"
-msgstr ""
+msgstr "Sila"
 
 msgid "Sileibi"
-msgstr ""
+msgstr "Sileibi"
 
 msgid "Silesian"
-msgstr ""
+msgstr "Silesian"
 
 msgid "Silesian, Lower"
-msgstr ""
+msgstr "Silesian, Lower"
 
 msgid "Silimo"
-msgstr ""
+msgstr "Silimo"
 
 msgid "Siliput"
-msgstr ""
+msgstr "Siliput"
 
 msgid "Silopi"
-msgstr ""
+msgstr "Silopi"
 
 msgid "Silt'e"
-msgstr ""
+msgstr "Silt'e"
 
 msgid "Simaa"
-msgstr ""
+msgstr "Simaa"
 
 msgid "Simba"
-msgstr ""
+msgstr "Simba"
 
 msgid "Simbali"
-msgstr ""
+msgstr "Simbali"
 
 msgid "Simbari"
-msgstr ""
+msgstr "Simbari"
 
 msgid "Simbo"
-msgstr ""
+msgstr "Simbo"
 
 msgid "Simeku"
-msgstr ""
+msgstr "Simeku"
 
 msgid "Simeulue"
-msgstr ""
+msgstr "Simeulue"
 
 msgid "Simte"
-msgstr ""
+msgstr "Simte"
 
 msgid "Sinagen"
-msgstr ""
+msgstr "Sinagen"
 
 msgid "Sinasina"
-msgstr ""
+msgstr "Sinasina"
 
 msgid "Sinaugoro"
-msgstr ""
+msgstr "Sinaugoro"
 
 msgid "Sindarin"
-msgstr ""
+msgstr "Sindarin"
 
 msgid "Sindhi"
 msgstr "シンディー語"
 
 msgid "Singa"
-msgstr ""
+msgstr "Singa"
 
 msgid "Singapore Sign Language"
-msgstr ""
+msgstr "Singapore Sign Language"
 
 msgid "Singpho"
-msgstr ""
+msgstr "Singpho"
 
 msgid "Sinhala"
 msgstr "シンハラ文字"
 
 msgid "Sininkere"
-msgstr ""
+msgstr "Sininkere"
 
 msgid "Sinsauru"
-msgstr ""
+msgstr "Sinsauru"
 
 msgid "Sinyar"
-msgstr ""
+msgstr "Sinyar"
 
 msgid "Sio"
-msgstr ""
+msgstr "Sio"
 
 msgid "Siona"
-msgstr ""
+msgstr "Siona"
 
 msgid "Sipacapense"
-msgstr ""
+msgstr "Sipacapense"
 
 msgid "Sira"
-msgstr ""
+msgstr "Sira"
 
 msgid "Siraya"
-msgstr ""
+msgstr "Siraya"
 
 msgid "Siri"
-msgstr ""
+msgstr "Siri"
 
 msgid "Siriano"
-msgstr ""
+msgstr "Siriano"
 
 msgid "Sirionó"
-msgstr ""
+msgstr "Sirionó"
 
 msgid "Sirmauri"
-msgstr ""
+msgstr "Sirmauri"
 
 msgid "Siroi"
-msgstr ""
+msgstr "Siroi"
 
 msgid "Sisaala, Tumulung"
-msgstr ""
+msgstr "Sisaala, Tumulung"
 
 msgid "Sisaala, Western"
-msgstr ""
+msgstr "Sisaala, Western"
 
 msgid "Sissala"
-msgstr ""
+msgstr "Sissala"
 
 msgid "Sissano"
-msgstr ""
+msgstr "Sissano"
 
 msgid "Siuslaw"
-msgstr ""
+msgstr "Siuslaw"
 
 msgid "Sivandi"
-msgstr ""
+msgstr "Sivandi"
 
 msgid "Siwai"
-msgstr ""
+msgstr "Siwai"
 
 msgid "Siwi"
-msgstr ""
+msgstr "Siwi"
 
 msgid "Siwu"
-msgstr ""
+msgstr "Siwu"
 
 msgid "Skagit"
-msgstr ""
+msgstr "Skagit"
 
 msgid "Skalvian"
-msgstr ""
+msgstr "Skalvian"
 
 msgid "Skou"
-msgstr ""
+msgstr "Skou"
 
 msgid "Slave (Athapascan)"
 msgstr "スレーブ語 (アサパスカン語)"
 
 msgid "Slavey, North"
-msgstr ""
+msgstr "Slavey, North"
 
 msgid "Slavey, South"
-msgstr ""
+msgstr "Slavey, South"
 
 msgid "Slavic, Church"
-msgstr ""
+msgstr "Slavic, Church"
 
 msgid "Slavomolisano"
-msgstr ""
+msgstr "Slavomolisano"
 
 msgid "Slovak"
 msgstr "スロヴァキア語"
 
 msgid "Slovakian Sign Language"
-msgstr ""
+msgstr "Slovakian Sign Language"
 
 msgid "Slovenian"
 msgstr "スロヴェニア語"
 
 msgid "Snohomish"
-msgstr ""
+msgstr "Snohomish"
 
 msgid "So (Democratic Republic of Congo)"
-msgstr ""
+msgstr "So (Democratic Republic of Congo)"
 
 msgid "So'a"
 msgstr "So'a"
 
 msgid "Sobei"
-msgstr ""
+msgstr "Sobei"
 
 msgid "Soga"
-msgstr ""
+msgstr "Soga"
 
 msgid "Sogdian"
 msgstr "ソグド語"
 
 msgid "Soi"
-msgstr ""
+msgstr "Soi"
 
 msgid "Sok"
-msgstr ""
+msgstr "Sok"
 
 msgid "Sokoro"
-msgstr ""
+msgstr "Sokoro"
 
 msgid "Solano"
-msgstr ""
+msgstr "Solano"
 
 msgid "Soli"
-msgstr ""
+msgstr "Soli"
 
 msgid "Solong"
-msgstr ""
+msgstr "Solong"
 
 msgid "Solos"
-msgstr ""
+msgstr "Solos"
 
 msgid "Som"
-msgstr ""
+msgstr "Som"
 
 msgid "Somali"
 msgstr "ソマリ語"
 
 msgid "Somba-Siawari"
-msgstr ""
+msgstr "Somba-Siawari"
 
 msgid "Somrai"
-msgstr ""
+msgstr "Somrai"
 
 msgid "Somray"
-msgstr ""
+msgstr "Somray"
 
 msgid "Somyev"
-msgstr ""
+msgstr "Somyev"
 
 msgid "Sonaga"
-msgstr ""
+msgstr "Sonaga"
 
 msgid "Sonde"
-msgstr ""
+msgstr "Sonde"
 
 msgid "Songe"
-msgstr ""
+msgstr "Songe"
 
 msgid "Songhai, Koyraboro Senni"
-msgstr ""
+msgstr "Songhai, Koyraboro Senni"
 
 msgid "Songhay, Humburi Senni"
-msgstr ""
+msgstr "Songhay, Humburi Senni"
 
 msgid "Songhay, Koyra Chiini"
-msgstr ""
+msgstr "Songhay, Koyra Chiini"
 
 msgid "Songo"
-msgstr ""
+msgstr "Songo"
 
 msgid "Songomeno"
-msgstr ""
+msgstr "Songomeno"
 
 msgid "Songoora"
-msgstr ""
+msgstr "Songoora"
 
 msgid "Songway Kiini, Tondi"
-msgstr ""
+msgstr "Songway Kiini, Tondi"
 
 msgid "Sonha"
-msgstr ""
+msgstr "Sonha"
 
 msgid "Sonia"
-msgstr ""
+msgstr "Sonia"
 
 msgid "Soninke"
 msgstr "ソニンケ語"
 
 msgid "Sonsorol"
-msgstr ""
+msgstr "Sonsorol"
 
 msgid "Soo"
-msgstr ""
+msgstr "Soo"
 
 msgid "Sop"
-msgstr ""
+msgstr "Sop"
 
 msgid "Soqotri"
-msgstr ""
+msgstr "Soqotri"
 
 msgid "Sora"
-msgstr ""
+msgstr "Sora"
 
 msgid "Sorbian, Lower"
-msgstr ""
+msgstr "Sorbian, Lower"
 
 msgid "Sorbian, Upper"
-msgstr ""
+msgstr "Sorbian, Upper"
 
 msgid "Sori-Harengan"
-msgstr ""
+msgstr "Sori-Harengan"
 
 msgid "Sorkhei"
-msgstr ""
+msgstr "Sorkhei"
 
 msgid "Sorothaptic"
-msgstr ""
+msgstr "Sorothaptic"
 
 msgid "Sorsoganon, Northern"
-msgstr ""
+msgstr "Sorsoganon, Northern"
 
 msgid "Sorsoganon, Southern"
-msgstr ""
+msgstr "Sorsoganon, Southern"
 
 msgid "Sos Kundi"
-msgstr ""
+msgstr "Sos Kundi"
 
 msgid "Sotho, Southern"
-msgstr ""
+msgstr "Sotho, Southern"
 
 msgid "Sou"
-msgstr ""
+msgstr "Sou"
 
 msgid "Sou Nama"
-msgstr ""
+msgstr "Sou Nama"
 
 msgid "Sou Upaa"
-msgstr ""
+msgstr "Sou Upaa"
 
 msgid "South African Sign Language"
-msgstr ""
+msgstr "South African Sign Language"
 
 msgid "South West Bay"
-msgstr ""
+msgstr "South West Bay"
 
 msgid "Sowa"
-msgstr ""
+msgstr "Sowa"
 
 msgid "Sowanda"
-msgstr ""
+msgstr "Sowanda"
 
 msgid "Spanish"
 msgstr "スペイン語"
 
 msgid "Spanish Sign Language"
-msgstr ""
+msgstr "Spanish Sign Language"
 
 msgid "Spanish, Loreto-Ucayali"
-msgstr ""
+msgstr "Spanish, Loreto-Ucayali"
 
 msgid "Spanish, Old"
-msgstr ""
+msgstr "Spanish, Old"
 
 msgid "Spokane"
-msgstr ""
+msgstr "Spokane"
 
 msgid "Squamish"
-msgstr ""
+msgstr "Squamish"
 
 msgid "Sranan Tongo"
-msgstr ""
+msgstr "Sranan Tongo"
 
 msgid "Sri Lankan Sign Language"
-msgstr ""
+msgstr "Sri Lankan Sign Language"
 
 msgid "Stellingwerfs"
-msgstr ""
+msgstr "Stellingwerfs"
 
 msgid "Stieng, Budeh"
-msgstr ""
+msgstr "Stieng, Budeh"
 
 msgid "Stieng, Bulo"
-msgstr ""
+msgstr "Stieng, Bulo"
 
 msgid "sTodsde"
-msgstr ""
+msgstr "sTodsde"
 
 msgid "Stoney"
-msgstr ""
+msgstr "Stoney"
 
 msgid "Suabo"
-msgstr ""
+msgstr "Suabo"
 
 msgid "Suarmin"
-msgstr ""
+msgstr "Suarmin"
 
 msgid "Suau"
-msgstr ""
+msgstr "Suau"
 
 msgid "Suba"
-msgstr ""
+msgstr "Suba"
 
 msgid "Suba-Simbiti"
-msgstr ""
+msgstr "Suba-Simbiti"
 
 msgid "Subanen, Central"
-msgstr ""
+msgstr "Subanen, Central"
 
 msgid "Subanen, Eastern"
-msgstr ""
+msgstr "Subanen, Eastern"
 
 msgid "Subanen, Northern"
-msgstr ""
+msgstr "Subanen, Northern"
 
 msgid "Subanen, Southern"
-msgstr ""
+msgstr "Subanen, Southern"
 
 msgid "Subanon, Kolibugan"
-msgstr ""
+msgstr "Subanon, Kolibugan"
 
 msgid "Subanon, Western"
-msgstr ""
+msgstr "Subanon, Western"
 
 msgid "Subiya"
-msgstr ""
+msgstr "Subiya"
 
 msgid "Subtiaba"
-msgstr ""
+msgstr "Subtiaba"
 
 msgid "Sudest"
-msgstr ""
+msgstr "Sudest"
 
 msgid "Sudovian"
-msgstr ""
+msgstr "Sudovian"
 
 msgid "Suena"
-msgstr ""
+msgstr "Suena"
 
 msgid "Suga"
-msgstr ""
+msgstr "Suga"
 
 msgid "Suganga"
-msgstr ""
+msgstr "Suganga"
 
 msgid "Sui"
-msgstr ""
+msgstr "Sui"
 
 msgid "Suki"
-msgstr ""
+msgstr "Suki"
 
 msgid "Suku"
-msgstr ""
+msgstr "Suku"
 
 msgid "Sukuma"
 msgstr "スクマ語"
 
 msgid "Sukur"
-msgstr ""
+msgstr "Sukur"
 
 msgid "Sukurum"
-msgstr ""
+msgstr "Sukurum"
 
 msgid "Sula"
-msgstr ""
+msgstr "Sula"
 
 msgid "Sulka"
-msgstr ""
+msgstr "Sulka"
 
 msgid "Sulod"
-msgstr ""
+msgstr "Sulod"
 
 msgid "Suma"
-msgstr ""
+msgstr "Suma"
 
 msgid "Sumariup"
-msgstr ""
+msgstr "Sumariup"
 
 msgid "Sumau"
-msgstr ""
+msgstr "Sumau"
 
 msgid "Sumbawa"
-msgstr ""
+msgstr "Sumbawa"
 
 msgid "Sumbwa"
-msgstr ""
+msgstr "Sumbwa"
 
 msgid "Sumerian"
 msgstr "シュメール語"
 
 msgid "Sunam"
-msgstr ""
+msgstr "Sunam"
 
 msgid "Sundanese"
 msgstr "スンダ語"
 
 msgid "Sunwar"
-msgstr ""
+msgstr "Sunwar"
 
 msgid "Suoy"
-msgstr ""
+msgstr "Suoy"
 
 msgid "Sur"
-msgstr ""
+msgstr "Sur"
 
 msgid "Surbakhal"
-msgstr ""
+msgstr "Surbakhal"
 
 msgid "Surgujia"
-msgstr ""
+msgstr "Surgujia"
 
 msgid "Suri"
-msgstr ""
+msgstr "Suri"
 
 msgid "Surigaonon"
-msgstr ""
+msgstr "Surigaonon"
 
 msgid "Surjapuri"
-msgstr ""
+msgstr "Surjapuri"
 
 msgid "Sursurunga"
-msgstr ""
+msgstr "Sursurunga"
 
 msgid "Suruahá"
-msgstr ""
+msgstr "Suruahá"
 
 msgid "Surubu"
-msgstr ""
+msgstr "Surubu"
 
 msgid "Suruí"
-msgstr ""
+msgstr "Suruí"
 
 msgid "Suruí Do Pará"
-msgstr ""
+msgstr "Suruí Do Pará"
 
 msgid "Susquehannock"
-msgstr ""
+msgstr "Susquehannock"
 
 msgid "Susu"
 msgstr "スス語"
 
 msgid "Susuami"
-msgstr ""
+msgstr "Susuami"
 
 msgid "Suundi"
-msgstr ""
+msgstr "Suundi"
 
 msgid "Suwawa"
-msgstr ""
+msgstr "Suwawa"
 
 msgid "Suyá"
-msgstr ""
+msgstr "Suyá"
 
 msgid "Svan"
-msgstr ""
+msgstr "Svan"
 
 msgid "Swabian"
-msgstr ""
+msgstr "Swabian"
 
 msgid "Swahili (individual language)"
-msgstr ""
+msgstr "Swahili (individual language)"
 
 msgid "Swahili (macrolanguage)"
-msgstr ""
+msgstr "Swahili (macrolanguage)"
 
 msgid "Swahili, Congo"
-msgstr ""
+msgstr "Swahili, Congo"
 
 msgid "Swati"
 msgstr "シスワティ語"
@@ -19647,319 +19648,319 @@ msgid "Swedish"
 msgstr "スウェーデン語"
 
 msgid "Swedish Sign Language"
-msgstr ""
+msgstr "Swedish Sign Language"
 
 msgid "Swiss-French Sign Language"
-msgstr ""
+msgstr "Swiss-French Sign Language"
 
 msgid "Swiss-German Sign Language"
-msgstr ""
+msgstr "Swiss-German Sign Language"
 
 msgid "Swiss-Italian Sign Language"
-msgstr ""
+msgstr "Swiss-Italian Sign Language"
 
 msgid "Swo"
-msgstr ""
+msgstr "Swo"
 
 msgid "Sylheti"
-msgstr ""
+msgstr "Sylheti"
 
 msgid "Syriac"
 msgstr "シリア語"
 
 msgid "Syriac, Classical"
-msgstr ""
+msgstr "Syriac, Classical"
 
 msgid "Sáliba"
-msgstr ""
+msgstr "Sáliba"
 
 msgid "Sãotomense"
-msgstr ""
+msgstr "Sãotomense"
 
 msgid "Sénoufo, Nanerigé"
-msgstr ""
+msgstr "Sénoufo, Nanerigé"
 
 msgid "Sénoufo, Senara"
-msgstr ""
+msgstr "Sénoufo, Senara"
 
 msgid "Sénoufo, Sìcìté"
-msgstr ""
+msgstr "Sénoufo, Sìcìté"
 
 msgid "Sô"
-msgstr ""
+msgstr "Sô"
 
 msgid "T'en"
-msgstr ""
+msgstr "T'en"
 
 msgid "Ta'oih, Lower"
-msgstr ""
+msgstr "Ta'oih, Lower"
 
 msgid "Ta'oih, Upper"
-msgstr ""
+msgstr "Ta'oih, Upper"
 
 msgid "Taabwa"
-msgstr ""
+msgstr "Taabwa"
 
 msgid "Tabaru"
-msgstr ""
+msgstr "Tabaru"
 
 msgid "Tabassaran"
-msgstr ""
+msgstr "Tabassaran"
 
 msgid "Tabla"
-msgstr ""
+msgstr "Tabla"
 
 msgid "Tabo"
-msgstr ""
+msgstr "Tabo"
 
 msgid "Tabriak"
-msgstr ""
+msgstr "Tabriak"
 
 msgid "Tacana"
-msgstr ""
+msgstr "Tacana"
 
 msgid "Tachawit"
-msgstr ""
+msgstr "Tachawit"
 
 msgid "Tachelhit"
-msgstr ""
+msgstr "Tachelhit"
 
 msgid "Tachoni"
-msgstr ""
+msgstr "Tachoni"
 
 msgid "Tadaksahak"
-msgstr ""
+msgstr "Tadaksahak"
 
 msgid "Tadyawan"
-msgstr ""
+msgstr "Tadyawan"
 
 msgid "Tae'"
-msgstr ""
+msgstr "Tae'"
 
 msgid "Tafi"
-msgstr ""
+msgstr "Tafi"
 
 msgid "Tagabawa"
-msgstr ""
+msgstr "Tagabawa"
 
 msgid "Tagakaulo"
-msgstr ""
+msgstr "Tagakaulo"
 
 msgid "Tagalaka"
-msgstr ""
+msgstr "Tagalaka"
 
 msgid "Tagalog"
 msgstr "タガログ語"
 
 msgid "Tagargrent"
-msgstr ""
+msgstr "Tagargrent"
 
 msgid "Tagbanwa"
 msgstr "タグバヌア文字"
 
 msgid "Tagbanwa, Calamian"
-msgstr ""
+msgstr "Tagbanwa, Calamian"
 
 msgid "Tagbanwa, Central"
-msgstr ""
+msgstr "Tagbanwa, Central"
 
 msgid "Tagbu"
-msgstr ""
+msgstr "Tagbu"
 
 msgid "Tagdal"
-msgstr ""
+msgstr "Tagdal"
 
 msgid "Tagin"
-msgstr ""
+msgstr "Tagin"
 
 msgid "Tagish"
-msgstr ""
+msgstr "Tagish"
 
 msgid "Tagoi"
-msgstr ""
+msgstr "Tagoi"
 
 msgid "Tahitian"
 msgstr "タヒチ語"
 
 msgid "Tahltan"
-msgstr ""
+msgstr "Tahltan"
 
 msgid "Tai"
-msgstr ""
+msgstr "Tai"
 
 msgid "Tai Daeng"
-msgstr ""
+msgstr "Tai Daeng"
 
 msgid "Tai Dam"
-msgstr ""
+msgstr "Tai Dam"
 
 msgid "Tai Do"
-msgstr ""
+msgstr "Tai Do"
 
 msgid "Tai Dón"
-msgstr ""
+msgstr "Tai Dón"
 
 msgid "Tai Hongjin"
-msgstr ""
+msgstr "Tai Hongjin"
 
 msgid "Tai Laing"
-msgstr ""
+msgstr "Tai Laing"
 
 msgid "Tai Loi"
-msgstr ""
+msgstr "Tai Loi"
 
 msgid "Tai Long"
-msgstr ""
+msgstr "Tai Long"
 
 msgid "Tai Nüa"
-msgstr ""
+msgstr "Tai Nüa"
 
 msgid "Tai Pao"
-msgstr ""
+msgstr "Tai Pao"
 
 msgid "Tai Thanh"
-msgstr ""
+msgstr "Tai Thanh"
 
 msgid "Tai Ya"
-msgstr ""
+msgstr "Tai Ya"
 
 msgid "Taiap"
-msgstr ""
+msgstr "Taiap"
 
 msgid "Taikat"
-msgstr ""
+msgstr "Taikat"
 
 msgid "Tainae"
-msgstr ""
+msgstr "Tainae"
 
 msgid "Taino"
-msgstr ""
+msgstr "Taino"
 
 msgid "Tairaha"
-msgstr ""
+msgstr "Tairaha"
 
 msgid "Tairora, North"
-msgstr ""
+msgstr "Tairora, North"
 
 msgid "Tairora, South"
-msgstr ""
+msgstr "Tairora, South"
 
 msgid "Tairuma"
-msgstr ""
+msgstr "Tairuma"
 
 msgid "Taita"
-msgstr ""
+msgstr "Taita"
 
 msgid "Taiwan Sign Language"
-msgstr ""
+msgstr "Taiwan Sign Language"
 
 msgid "Taje"
-msgstr ""
+msgstr "Taje"
 
 msgid "Tajik"
 msgstr "タジク語"
 
 msgid "Tajio"
-msgstr ""
+msgstr "Tajio"
 
 msgid "Tajuasohn"
-msgstr ""
+msgstr "Tajuasohn"
 
 msgid "Takelma"
-msgstr ""
+msgstr "Takelma"
 
 msgid "Takestani"
-msgstr ""
+msgstr "Takestani"
 
 msgid "Takia"
-msgstr ""
+msgstr "Takia"
 
 msgid "Takua"
-msgstr ""
+msgstr "Takua"
 
 msgid "Takuu"
-msgstr ""
+msgstr "Takuu"
 
 msgid "Takwane"
-msgstr ""
+msgstr "Takwane"
 
 msgid "Tal"
-msgstr ""
+msgstr "Tal"
 
 msgid "Tala"
-msgstr ""
+msgstr "Tala"
 
 msgid "Talaud"
-msgstr ""
+msgstr "Talaud"
 
 msgid "Taliabu"
-msgstr ""
+msgstr "Taliabu"
 
 msgid "Talieng"
-msgstr ""
+msgstr "Talieng"
 
 msgid "Talinga-Bwisi"
-msgstr ""
+msgstr "Talinga-Bwisi"
 
 msgid "Talise"
-msgstr ""
+msgstr "Talise"
 
 msgid "Talodi"
-msgstr ""
+msgstr "Talodi"
 
 msgid "Taloki"
-msgstr ""
+msgstr "Taloki"
 
 msgid "Talondo'"
-msgstr ""
+msgstr "Talondo'"
 
 msgid "Talossan"
-msgstr ""
+msgstr "Talossan"
 
 msgid "Talu"
-msgstr ""
+msgstr "Talu"
 
 msgid "Talysh"
-msgstr ""
+msgstr "Talysh"
 
 msgid "Tama (Chad)"
-msgstr ""
+msgstr "Tama (Chad)"
 
 msgid "Tama (Colombia)"
-msgstr ""
+msgstr "Tama (Colombia)"
 
 msgid "Tamagario"
-msgstr ""
+msgstr "Tamagario"
 
 msgid "Tamahaq, Tahaggart"
-msgstr ""
+msgstr "Tamahaq, Tahaggart"
 
 msgid "Tamajaq, Tawallammat"
-msgstr ""
+msgstr "Tamajaq, Tawallammat"
 
 msgid "Tamajeq, Tayart"
-msgstr ""
+msgstr "Tamajeq, Tayart"
 
 msgid "Taman (Indonesia)"
-msgstr ""
+msgstr "Taman (Indonesia)"
 
 msgid "Taman (Myanmar)"
-msgstr ""
+msgstr "Taman (Myanmar)"
 
 msgid "Tamanaku"
-msgstr ""
+msgstr "Tamanaku"
 
 msgid "Tamang, Eastern"
-msgstr ""
+msgstr "Tamang, Eastern"
 
 msgid "Tamang, Eastern Gorkha"
-msgstr ""
+msgstr "Tamang, Eastern Gorkha"
 
 msgid "Tamang, Northwestern"
-msgstr ""
+msgstr "Tamang, Northwestern"
 
 msgid "Tamang, Western"
-msgstr ""
+msgstr "Tamang, Western"
 
 msgid "Tamashek"
 msgstr "Tamashek"
@@ -19968,616 +19969,616 @@ msgid "Tamasheq"
 msgstr "タマシェク語"
 
 msgid "Tamazight, Central Atlas"
-msgstr ""
+msgstr "Tamazight, Central Atlas"
 
 msgid "Tamazight, Standard Moroccan"
-msgstr ""
+msgstr "Tamazight, Standard Moroccan"
 
 msgid "Tamazight, Temacine"
-msgstr ""
+msgstr "Tamazight, Temacine"
 
 msgid "Tamazight, Tidikelt"
-msgstr ""
+msgstr "Tamazight, Tidikelt"
 
 msgid "Tambas"
-msgstr ""
+msgstr "Tambas"
 
 msgid "Tambora"
-msgstr ""
+msgstr "Tambora"
 
 msgid "Tambotalo"
-msgstr ""
+msgstr "Tambotalo"
 
 msgid "Tami"
-msgstr ""
+msgstr "Tami"
 
 msgid "Tamil"
 msgstr "タミル語"
 
 msgid "Tamil, Old"
-msgstr ""
+msgstr "Tamil, Old"
 
 msgid "Tamki"
-msgstr ""
+msgstr "Tamki"
 
 msgid "Tampuan"
-msgstr ""
+msgstr "Tampuan"
 
 msgid "Tampulma"
-msgstr ""
+msgstr "Tampulma"
 
 msgid "Tanacross"
-msgstr ""
+msgstr "Tanacross"
 
 msgid "Tanahmerah"
-msgstr ""
+msgstr "Tanahmerah"
 
 msgid "Tanaina"
-msgstr ""
+msgstr "Tanaina"
 
 msgid "Tanana, Lower"
-msgstr ""
+msgstr "Tanana, Lower"
 
 msgid "Tanana, Upper"
-msgstr ""
+msgstr "Tanana, Upper"
 
 msgid "Tanapag"
-msgstr ""
+msgstr "Tanapag"
 
 msgid "Tandaganon"
-msgstr ""
+msgstr "Tandaganon"
 
 msgid "Tandia"
-msgstr ""
+msgstr "Tandia"
 
 msgid "Tanema"
-msgstr ""
+msgstr "Tanema"
 
 msgid "Tangale"
-msgstr ""
+msgstr "Tangale"
 
 msgid "Tangchangya"
-msgstr ""
+msgstr "Tangchangya"
 
 msgid "Tanggu"
-msgstr ""
+msgstr "Tanggu"
 
 msgid "Tangko"
-msgstr ""
+msgstr "Tangko"
 
 msgid "Tanglang"
-msgstr ""
+msgstr "Tanglang"
 
 msgid "Tangoa"
-msgstr ""
+msgstr "Tangoa"
 
 msgid "Tanguat"
-msgstr ""
+msgstr "Tanguat"
 
 msgid "Tangut"
-msgstr ""
+msgstr "Tangut"
 
 msgid "Tanimbili"
-msgstr ""
+msgstr "Tanimbili"
 
 msgid "Tanimuca-Retuarã"
-msgstr ""
+msgstr "Tanimuca-Retuarã"
 
 msgid "Tanjijili"
-msgstr ""
+msgstr "Tanjijili"
 
 msgid "Tanna, North"
-msgstr ""
+msgstr "Tanna, North"
 
 msgid "Tanna, Southwest"
-msgstr ""
+msgstr "Tanna, Southwest"
 
 msgid "Tanzanian Sign Language"
-msgstr ""
+msgstr "Tanzanian Sign Language"
 
 msgid "Tapeba"
-msgstr ""
+msgstr "Tapeba"
 
 msgid "Tapei"
-msgstr ""
+msgstr "Tapei"
 
 msgid "Tapieté"
-msgstr ""
+msgstr "Tapieté"
 
 msgid "Tapirapé"
-msgstr ""
+msgstr "Tapirapé"
 
 msgid "Tarahumara, Central"
-msgstr ""
+msgstr "Tarahumara, Central"
 
 msgid "Tarahumara, Lowland"
-msgstr ""
+msgstr "Tarahumara, Lowland"
 
 msgid "Tarahumara, Northern"
-msgstr ""
+msgstr "Tarahumara, Northern"
 
 msgid "Tarahumara, Southeastern"
-msgstr ""
+msgstr "Tarahumara, Southeastern"
 
 msgid "Tarahumara, Southwestern"
-msgstr ""
+msgstr "Tarahumara, Southwestern"
 
 msgid "Tarangan, East"
-msgstr ""
+msgstr "Tarangan, East"
 
 msgid "Tarangan, West"
-msgstr ""
+msgstr "Tarangan, West"
 
 msgid "Tareng"
-msgstr ""
+msgstr "Tareng"
 
 msgid "Tariana"
-msgstr ""
+msgstr "Tariana"
 
 msgid "Tarifit"
-msgstr ""
+msgstr "Tarifit"
 
 msgid "Tarjumo"
-msgstr ""
+msgstr "Tarjumo"
 
 msgid "Tarok"
-msgstr ""
+msgstr "Tarok"
 
 msgid "Taroko"
-msgstr ""
+msgstr "Taroko"
 
 msgid "Taromi, Upper"
-msgstr ""
+msgstr "Taromi, Upper"
 
 msgid "Tarpia"
-msgstr ""
+msgstr "Tarpia"
 
 msgid "Tartessian"
-msgstr ""
+msgstr "Tartessian"
 
 msgid "Taruma"
-msgstr ""
+msgstr "Taruma"
 
 msgid "Tasawaq"
-msgstr ""
+msgstr "Tasawaq"
 
 msgid "Tasmanian"
-msgstr ""
+msgstr "Tasmanian"
 
 msgid "Tasmate"
-msgstr ""
+msgstr "Tasmate"
 
 msgid "Tat, Muslim"
-msgstr ""
+msgstr "Tat, Muslim"
 
 msgid "Tatana"
-msgstr ""
+msgstr "Tatana"
 
 msgid "Tatar"
 msgstr "タタール語"
 
 msgid "Tatar, Crimean"
-msgstr ""
+msgstr "Tatar, Crimean"
 
 msgid "Tatar, Siberian"
-msgstr ""
+msgstr "Tatar, Siberian"
 
 msgid "Tatuyo"
-msgstr ""
+msgstr "Tatuyo"
 
 msgid "Tauade"
-msgstr ""
+msgstr "Tauade"
 
 msgid "Taulil"
-msgstr ""
+msgstr "Taulil"
 
 msgid "Taungyo"
-msgstr ""
+msgstr "Taungyo"
 
 msgid "Taupota"
-msgstr ""
+msgstr "Taupota"
 
 msgid "Tause"
-msgstr ""
+msgstr "Tause"
 
 msgid "Taushiro"
-msgstr ""
+msgstr "Taushiro"
 
 msgid "Tausug"
-msgstr ""
+msgstr "Tausug"
 
 msgid "Tauya"
-msgstr ""
+msgstr "Tauya"
 
 msgid "Taveta"
-msgstr ""
+msgstr "Taveta"
 
 msgid "Tavoyan"
-msgstr ""
+msgstr "Tavoyan"
 
 msgid "Tawala"
-msgstr ""
+msgstr "Tawala"
 
 msgid "Tawandê"
-msgstr ""
+msgstr "Tawandê"
 
 msgid "Tawara"
-msgstr ""
+msgstr "Tawara"
 
 msgid "Tawbuid, Eastern"
-msgstr ""
+msgstr "Tawbuid, Eastern"
 
 msgid "Tawbuid, Western"
-msgstr ""
+msgstr "Tawbuid, Western"
 
 msgid "Taworta"
-msgstr ""
+msgstr "Taworta"
 
 msgid "Tawoyan"
-msgstr ""
+msgstr "Tawoyan"
 
 msgid "Tay Boi"
-msgstr ""
+msgstr "Tay Boi"
 
 msgid "Tay Khang"
-msgstr ""
+msgstr "Tay Khang"
 
 msgid "Tayo"
-msgstr ""
+msgstr "Tayo"
 
 msgid "Taznatit"
-msgstr ""
+msgstr "Taznatit"
 
 msgid "Tboli"
-msgstr ""
+msgstr "Tboli"
 
 msgid "Tchitchege"
-msgstr ""
+msgstr "Tchitchege"
 
 msgid "Tchumbuli"
-msgstr ""
+msgstr "Tchumbuli"
 
 msgid "Te'un"
-msgstr ""
+msgstr "Te'un"
 
 msgid "Teanu"
-msgstr ""
+msgstr "Teanu"
 
 msgid "Tebul Sign Language"
-msgstr ""
+msgstr "Tebul Sign Language"
 
 msgid "Tedaga"
-msgstr ""
+msgstr "Tedaga"
 
 msgid "Tee"
-msgstr ""
+msgstr "Tee"
 
 msgid "Tefaro"
-msgstr ""
+msgstr "Tefaro"
 
 msgid "Tegali"
-msgstr ""
+msgstr "Tegali"
 
 msgid "Tehit"
-msgstr ""
+msgstr "Tehit"
 
 msgid "Tehuelche"
-msgstr ""
+msgstr "Tehuelche"
 
 msgid "Teke, Ibali"
-msgstr ""
+msgstr "Teke, Ibali"
 
 msgid "Teke-Ebo"
-msgstr ""
+msgstr "Teke-Ebo"
 
 msgid "Teke-Fuumu"
-msgstr ""
+msgstr "Teke-Fuumu"
 
 msgid "Teke-Kukuya"
-msgstr ""
+msgstr "Teke-Kukuya"
 
 msgid "Teke-Laali"
-msgstr ""
+msgstr "Teke-Laali"
 
 msgid "Teke-Nzikou"
-msgstr ""
+msgstr "Teke-Nzikou"
 
 msgid "Teke-Tege"
-msgstr ""
+msgstr "Teke-Tege"
 
 msgid "Teke-Tsaayi"
-msgstr ""
+msgstr "Teke-Tsaayi"
 
 msgid "Teke-Tyee"
-msgstr ""
+msgstr "Teke-Tyee"
 
 msgid "Tektiteko"
-msgstr ""
+msgstr "Tektiteko"
 
 msgid "Tela-Masbuar"
-msgstr ""
+msgstr "Tela-Masbuar"
 
 msgid "Telefol"
-msgstr ""
+msgstr "Telefol"
 
 msgid "Telugu"
 msgstr "Telugu"
 
 msgid "Tem"
-msgstr ""
+msgstr "Tem"
 
 msgid "Tembo (Kitembo)"
-msgstr ""
+msgstr "Tembo (Kitembo)"
 
 msgid "Tembo (Motembo)"
-msgstr ""
+msgstr "Tembo (Motembo)"
 
 msgid "Tembé"
-msgstr ""
+msgstr "Tembé"
 
 msgid "Teme"
-msgstr ""
+msgstr "Teme"
 
 msgid "Temein"
-msgstr ""
+msgstr "Temein"
 
 msgid "Temi"
-msgstr ""
+msgstr "Temi"
 
 msgid "Temiar"
-msgstr ""
+msgstr "Temiar"
 
 msgid "Temoq"
-msgstr ""
+msgstr "Temoq"
 
 msgid "Temuan"
-msgstr ""
+msgstr "Temuan"
 
 msgid "Ten'edn"
-msgstr ""
+msgstr "Ten'edn"
 
 msgid "Tengger"
-msgstr ""
+msgstr "Tengger"
 
 msgid "Tenharim"
-msgstr ""
+msgstr "Tenharim"
 
 msgid "Tenino"
-msgstr ""
+msgstr "Tenino"
 
 msgid "Tenis"
-msgstr ""
+msgstr "Tenis"
 
 msgid "Tennet"
-msgstr ""
+msgstr "Tennet"
 
 msgid "Teop"
-msgstr ""
+msgstr "Teop"
 
 msgid "Teor"
-msgstr ""
+msgstr "Teor"
 
 msgid "Tepecano"
-msgstr ""
+msgstr "Tepecano"
 
 msgid "Tepehua, Huehuetla"
-msgstr ""
+msgstr "Tepehua, Huehuetla"
 
 msgid "Tepehua, Pisaflores"
-msgstr ""
+msgstr "Tepehua, Pisaflores"
 
 msgid "Tepehua, Tlachichilco"
-msgstr ""
+msgstr "Tepehua, Tlachichilco"
 
 msgid "Tepehuan, Northern"
-msgstr ""
+msgstr "Tepehuan, Northern"
 
 msgid "Tepehuan, Southeastern"
-msgstr ""
+msgstr "Tepehuan, Southeastern"
 
 msgid "Tepehuan, Southwestern"
-msgstr ""
+msgstr "Tepehuan, Southwestern"
 
 msgid "Tera"
-msgstr ""
+msgstr "Tera"
 
 msgid "Terebu"
-msgstr ""
+msgstr "Terebu"
 
 msgid "Terei"
-msgstr ""
+msgstr "Terei"
 
 msgid "Tereno"
 msgstr "テレーノ語"
 
 msgid "Teressa"
-msgstr ""
+msgstr "Teressa"
 
 msgid "Tereweng"
-msgstr ""
+msgstr "Tereweng"
 
 msgid "Teribe"
-msgstr ""
+msgstr "Teribe"
 
 msgid "Terik"
-msgstr ""
+msgstr "Terik"
 
 msgid "Termanu"
-msgstr ""
+msgstr "Termanu"
 
 msgid "Ternate"
-msgstr ""
+msgstr "Ternate"
 
 msgid "Ternateño"
-msgstr ""
+msgstr "Ternateño"
 
 msgid "Tese"
-msgstr ""
+msgstr "Tese"
 
 msgid "Teshenawa"
-msgstr ""
+msgstr "Teshenawa"
 
 msgid "Teso"
-msgstr ""
+msgstr "Teso"
 
 msgid "Tetela"
-msgstr ""
+msgstr "Tetela"
 
 msgid "Tetete"
-msgstr ""
+msgstr "Tetete"
 
 msgid "Tetum"
 msgstr "テトゥン語"
 
 msgid "Tetun Dili"
-msgstr ""
+msgstr "Tetun Dili"
 
 msgid "Tewa (Indonesia)"
-msgstr ""
+msgstr "Tewa (Indonesia)"
 
 msgid "Tewa (USA)"
-msgstr ""
+msgstr "Tewa (USA)"
 
 msgid "Tewe"
-msgstr ""
+msgstr "Tewe"
 
 msgid "Tha"
-msgstr ""
+msgstr "Tha"
 
 msgid "Thachanadan"
-msgstr ""
+msgstr "Thachanadan"
 
 msgid "Thai"
 msgstr "タイ語"
 
 msgid "Thai Sign Language"
-msgstr ""
+msgstr "Thai Sign Language"
 
 msgid "Thai Song"
-msgstr ""
+msgstr "Thai Song"
 
 msgid "Thai, Northeastern"
-msgstr ""
+msgstr "Thai, Northeastern"
 
 msgid "Thai, Northern"
-msgstr ""
+msgstr "Thai, Northern"
 
 msgid "Thai, Southern"
-msgstr ""
+msgstr "Thai, Southern"
 
 msgid "Thakali"
-msgstr ""
+msgstr "Thakali"
 
 msgid "Thangmi"
-msgstr ""
+msgstr "Thangmi"
 
 msgid "Thao"
-msgstr ""
+msgstr "Thao"
 
 msgid "Tharaka"
-msgstr ""
+msgstr "Tharaka"
 
 msgid "Tharu, Chitwania"
-msgstr ""
+msgstr "Tharu, Chitwania"
 
 msgid "Tharu, Dangaura"
-msgstr ""
+msgstr "Tharu, Dangaura"
 
 msgid "Tharu, Kathoriya"
-msgstr ""
+msgstr "Tharu, Kathoriya"
 
 msgid "Tharu, Kochila"
-msgstr ""
+msgstr "Tharu, Kochila"
 
 msgid "Tharu, Rana"
-msgstr ""
+msgstr "Tharu, Rana"
 
 msgid "Thawa"
-msgstr ""
+msgstr "Thawa"
 
 msgid "Thayore"
-msgstr ""
+msgstr "Thayore"
 
 msgid "Thaypan"
-msgstr ""
+msgstr "Thaypan"
 
 msgid "Thiin"
-msgstr ""
+msgstr "Thiin"
 
 msgid "Tho"
-msgstr ""
+msgstr "Tho"
 
 msgid "Thompson"
-msgstr ""
+msgstr "Thompson"
 
 msgid "Thopho"
-msgstr ""
+msgstr "Thopho"
 
 msgid "Thracian"
-msgstr ""
+msgstr "Thracian"
 
 msgid "Thu Lao"
-msgstr ""
+msgstr "Thu Lao"
 
 msgid "Thudam"
-msgstr ""
+msgstr "Thudam"
 
 msgid "Thulung"
-msgstr ""
+msgstr "Thulung"
 
 msgid "Thurawal"
-msgstr ""
+msgstr "Thurawal"
 
 msgid "Thuri"
-msgstr ""
+msgstr "Thuri"
 
 msgid "Tiale"
-msgstr ""
+msgstr "Tiale"
 
 msgid "Tiang"
-msgstr ""
+msgstr "Tiang"
 
 msgid "Tibea"
-msgstr ""
+msgstr "Tibea"
 
 msgid "Tibetan"
 msgstr "チベット語"
 
 msgid "Tibetan, Amdo"
-msgstr ""
+msgstr "Tibetan, Amdo"
 
 msgid "Tibetan, Classical"
-msgstr ""
+msgstr "Tibetan, Classical"
 
 msgid "Tibetan, Khams"
-msgstr ""
+msgstr "Tibetan, Khams"
 
 msgid "Tibetan, Old"
-msgstr ""
+msgstr "Tibetan, Old"
 
 msgid "Tichurong"
-msgstr ""
+msgstr "Tichurong"
 
 msgid "Ticuna"
-msgstr ""
+msgstr "Ticuna"
 
 msgid "Tidore"
-msgstr ""
+msgstr "Tidore"
 
 msgid "Tidung, Northern"
-msgstr ""
+msgstr "Tidung, Northern"
 
 msgid "Tidung, Southern"
-msgstr ""
+msgstr "Tidung, Southern"
 
 msgid "Tiene"
-msgstr ""
+msgstr "Tiene"
 
 msgid "Tifal"
-msgstr ""
+msgstr "Tifal"
 
 msgid "Tigak"
-msgstr ""
+msgstr "Tigak"
 
 msgid "Tigre"
 msgstr "ティグレ語"
@@ -20586,199 +20587,199 @@ msgid "Tigrinya"
 msgstr "ティグリニア語"
 
 msgid "Tii"
-msgstr ""
+msgstr "Tii"
 
 msgid "Tikar"
-msgstr ""
+msgstr "Tikar"
 
 msgid "Tikopia"
-msgstr ""
+msgstr "Tikopia"
 
 msgid "Tillamook"
-msgstr ""
+msgstr "Tillamook"
 
 msgid "Tilung"
-msgstr ""
+msgstr "Tilung"
 
 msgid "Tima"
-msgstr ""
+msgstr "Tima"
 
 msgid "Timbe"
-msgstr ""
+msgstr "Timbe"
 
 msgid "Timne"
 msgstr "テムネ語"
 
 msgid "Timucua"
-msgstr ""
+msgstr "Timucua"
 
 msgid "Tinani"
-msgstr ""
+msgstr "Tinani"
 
 msgid "Tindi"
-msgstr ""
+msgstr "Tindi"
 
 msgid "Tingui-Boto"
-msgstr ""
+msgstr "Tingui-Boto"
 
 msgid "Tinigua"
-msgstr ""
+msgstr "Tinigua"
 
 msgid "Tinputz"
-msgstr ""
+msgstr "Tinputz"
 
 msgid "Tippera"
-msgstr ""
+msgstr "Tippera"
 
 msgid "Tira"
-msgstr ""
+msgstr "Tira"
 
 msgid "Tirahi"
-msgstr ""
+msgstr "Tirahi"
 
 msgid "Tiri"
-msgstr ""
+msgstr "Tiri"
 
 msgid "Tiruray"
-msgstr ""
+msgstr "Tiruray"
 
 msgid "Tita"
-msgstr ""
+msgstr "Tita"
 
 msgid "Titan"
-msgstr ""
+msgstr "Titan"
 
 msgid "Tiv"
 msgstr "ティブ語"
 
 msgid "Tiwa"
-msgstr ""
+msgstr "Tiwa"
 
 msgid "Tiwa, Northern"
-msgstr ""
+msgstr "Tiwa, Northern"
 
 msgid "Tiwa, Southern"
-msgstr ""
+msgstr "Tiwa, Southern"
 
 msgid "Tiwi"
-msgstr ""
+msgstr "Tiwi"
 
 msgid "Tiéfo"
-msgstr ""
+msgstr "Tiéfo"
 
 msgid "Tjurruru"
-msgstr ""
+msgstr "Tjurruru"
 
 msgid "Tlingit"
 msgstr "トリンギット語"
 
 msgid "To"
-msgstr ""
+msgstr "To"
 
 msgid "To'abaita"
-msgstr ""
+msgstr "To'abaita"
 
 msgid "Toaripi"
-msgstr ""
+msgstr "Toaripi"
 
 msgid "Toba"
-msgstr ""
+msgstr "Toba"
 
 msgid "Toba-Maskoy"
-msgstr ""
+msgstr "Toba-Maskoy"
 
 msgid "Tobanga"
-msgstr ""
+msgstr "Tobanga"
 
 msgid "Tobati"
-msgstr ""
+msgstr "Tobati"
 
 msgid "Tobelo"
-msgstr ""
+msgstr "Tobelo"
 
 msgid "Tobian"
-msgstr ""
+msgstr "Tobian"
 
 msgid "Tobilung"
-msgstr ""
+msgstr "Tobilung"
 
 msgid "Tobo"
-msgstr ""
+msgstr "Tobo"
 
 msgid "Tocho"
-msgstr ""
+msgstr "Tocho"
 
 msgid "Toda"
-msgstr ""
+msgstr "Toda"
 
 msgid "Todrah"
-msgstr ""
+msgstr "Todrah"
 
 msgid "Tofanma"
-msgstr ""
+msgstr "Tofanma"
 
 msgid "Togoyo"
-msgstr ""
+msgstr "Togoyo"
 
 msgid "Tohono O'odham"
-msgstr ""
+msgstr "Tohono O'odham"
 
 msgid "Tojolabal"
-msgstr ""
+msgstr "Tojolabal"
 
 msgid "Tok Pisin"
 msgstr "トック・ピジン"
 
 msgid "Tokano"
-msgstr ""
+msgstr "Tokano"
 
 msgid "Tokelau"
 msgstr "トケラウ語"
 
 msgid "Tokharian A"
-msgstr ""
+msgstr "Tokharian A"
 
 msgid "Tokharian B"
-msgstr ""
+msgstr "Tokharian B"
 
 msgid "Toku-No-Shima"
-msgstr ""
+msgstr "Toku-No-Shima"
 
 msgid "Tol"
-msgstr ""
+msgstr "Tol"
 
 msgid "Tolaki"
-msgstr ""
+msgstr "Tolaki"
 
 msgid "Tolomako"
-msgstr ""
+msgstr "Tolomako"
 
 msgid "Tolowa"
-msgstr ""
+msgstr "Tolowa"
 
 msgid "Toma"
-msgstr ""
+msgstr "Toma"
 
 msgid "Tomadino"
-msgstr ""
+msgstr "Tomadino"
 
 msgid "Tombelala"
-msgstr ""
+msgstr "Tombelala"
 
 msgid "Tombonuo"
-msgstr ""
+msgstr "Tombonuo"
 
 msgid "Tombulu"
-msgstr ""
+msgstr "Tombulu"
 
 msgid "Tomini"
-msgstr ""
+msgstr "Tomini"
 
 msgid "Tomoip"
-msgstr ""
+msgstr "Tomoip"
 
 msgid "Tondano"
-msgstr ""
+msgstr "Tondano"
 
 msgid "Tonga (Nyasa)"
 msgstr "トンガ語 (ニアサ)"
@@ -20787,445 +20788,445 @@ msgid "Tonga (Tonga Islands)"
 msgstr "トンガ語 (トンガ諸島)"
 
 msgid "Tonga (Zambia)"
-msgstr ""
+msgstr "Tonga (Zambia)"
 
 msgid "Tongwe"
-msgstr ""
+msgstr "Tongwe"
 
 msgid "Tonjon"
-msgstr ""
+msgstr "Tonjon"
 
 msgid "Tonkawa"
-msgstr ""
+msgstr "Tonkawa"
 
 msgid "Tonsawang"
-msgstr ""
+msgstr "Tonsawang"
 
 msgid "Tonsea"
-msgstr ""
+msgstr "Tonsea"
 
 msgid "Tontemboan"
-msgstr ""
+msgstr "Tontemboan"
 
 msgid "Tooro"
-msgstr ""
+msgstr "Tooro"
 
 msgid "Topoiyo"
-msgstr ""
+msgstr "Topoiyo"
 
 msgid "Toposa"
-msgstr ""
+msgstr "Toposa"
 
 msgid "Toraja-Sa'dan"
-msgstr ""
+msgstr "Toraja-Sa'dan"
 
 msgid "Toram"
-msgstr ""
+msgstr "Toram"
 
 msgid "Torau"
 msgstr "Torau"
 
 msgid "Toro"
-msgstr ""
+msgstr "Toro"
 
 msgid "Toromono"
-msgstr ""
+msgstr "Toromono"
 
 msgid "Torona"
-msgstr ""
+msgstr "Torona"
 
 msgid "Torricelli"
-msgstr ""
+msgstr "Torricelli"
 
 msgid "Torwali"
-msgstr ""
+msgstr "Torwali"
 
 msgid "Torá"
-msgstr ""
+msgstr "Torá"
 
 msgid "Totela"
-msgstr ""
+msgstr "Totela"
 
 msgid "Toto"
-msgstr ""
+msgstr "Toto"
 
 msgid "Totoli"
-msgstr ""
+msgstr "Totoli"
 
 msgid "Totonac, Coyutla"
-msgstr ""
+msgstr "Totonac, Coyutla"
 
 msgid "Totonac, Filomena Mata-Coahuitlán"
-msgstr ""
+msgstr "Totonac, Filomena Mata-Coahuitlán"
 
 msgid "Totonac, Highland"
-msgstr ""
+msgstr "Totonac, Highland"
 
 msgid "Totonac, Papantla"
-msgstr ""
+msgstr "Totonac, Papantla"
 
 msgid "Totonac, Tecpatlán"
-msgstr ""
+msgstr "Totonac, Tecpatlán"
 
 msgid "Totonac, Upper Necaxa"
-msgstr ""
+msgstr "Totonac, Upper Necaxa"
 
 msgid "Totonac, Western"
-msgstr ""
+msgstr "Totonac, Western"
 
 msgid "Totonac, Xicotepec De Juárez"
-msgstr ""
+msgstr "Totonac, Xicotepec De Juárez"
 
 msgid "Totonac, Yecuatla"
-msgstr ""
+msgstr "Totonac, Yecuatla"
 
 msgid "Totoro"
-msgstr ""
+msgstr "Totoro"
 
 msgid "Touo"
-msgstr ""
+msgstr "Touo"
 
 msgid "Toura (Côte d'Ivoire)"
-msgstr ""
+msgstr "Toura (Côte d'Ivoire)"
 
 msgid "Toura (Papua New Guinea)"
-msgstr ""
+msgstr "Toura (Papua New Guinea)"
 
 msgid "Toussian, Northern"
-msgstr ""
+msgstr "Toussian, Northern"
 
 msgid "Toussian, Southern"
-msgstr ""
+msgstr "Toussian, Southern"
 
 msgid "Towei"
-msgstr ""
+msgstr "Towei"
 
 msgid "Tregami"
-msgstr ""
+msgstr "Tregami"
 
 msgid "Tremembé"
-msgstr ""
+msgstr "Tremembé"
 
 msgid "Trieng"
-msgstr ""
+msgstr "Trieng"
 
 msgid "Trimuris"
-msgstr ""
+msgstr "Trimuris"
 
 msgid "Tring"
-msgstr ""
+msgstr "Tring"
 
 msgid "Trinidad and Tobago Sign Language"
-msgstr ""
+msgstr "Trinidad and Tobago Sign Language"
 
 msgid "Trinitario"
-msgstr ""
+msgstr "Trinitario"
 
 msgid "Tripuri, Early"
-msgstr ""
+msgstr "Tripuri, Early"
 
 msgid "Triqui, Chicahuaxtla"
-msgstr ""
+msgstr "Triqui, Chicahuaxtla"
 
 msgid "Triqui, Copala"
-msgstr ""
+msgstr "Triqui, Copala"
 
 msgid "Triqui, San Martín Itunyoso"
-msgstr ""
+msgstr "Triqui, San Martín Itunyoso"
 
 msgid "Trió"
-msgstr ""
+msgstr "Trió"
 
 msgid "Truká"
-msgstr ""
+msgstr "Truká"
 
 msgid "Trumai"
-msgstr ""
+msgstr "Trumai"
 
 msgid "Ts'ün-Lao"
-msgstr ""
+msgstr "Ts'ün-Lao"
 
 msgid "Tsaangi"
-msgstr ""
+msgstr "Tsaangi"
 
 msgid "Tsakhur"
-msgstr ""
+msgstr "Tsakhur"
 
 msgid "Tsakonian"
-msgstr ""
+msgstr "Tsakonian"
 
 msgid "Tsakwambo"
-msgstr ""
+msgstr "Tsakwambo"
 
 msgid "Tsamai"
-msgstr ""
+msgstr "Tsamai"
 
 msgid "Tsat"
-msgstr ""
+msgstr "Tsat"
 
 msgid "Tseku"
-msgstr ""
+msgstr "Tseku"
 
 msgid "Tsetsaut"
-msgstr ""
+msgstr "Tsetsaut"
 
 msgid "Tshangla"
-msgstr ""
+msgstr "Tshangla"
 
 msgid "Tsikimba"
-msgstr ""
+msgstr "Tsikimba"
 
 msgid "Tsimané"
-msgstr ""
+msgstr "Tsimané"
 
 msgid "Tsimshian"
 msgstr "チムシュ語"
 
 msgid "Tsishingini"
-msgstr ""
+msgstr "Tsishingini"
 
 msgid "Tso"
-msgstr ""
+msgstr "Tso"
 
 msgid "Tsoa"
-msgstr ""
+msgstr "Tsoa"
 
 msgid "Tsogo"
-msgstr ""
+msgstr "Tsogo"
 
 msgid "Tsonga"
 msgstr "ツォンガ語"
 
 msgid "Tsotso"
-msgstr ""
+msgstr "Tsotso"
 
 msgid "Tsou"
-msgstr ""
+msgstr "Tsou"
 
 msgid "Tsucuba"
-msgstr ""
+msgstr "Tsucuba"
 
 msgid "Tsum"
-msgstr ""
+msgstr "Tsum"
 
 msgid "Tsuvadi"
-msgstr ""
+msgstr "Tsuvadi"
 
 msgid "Tsuvan"
-msgstr ""
+msgstr "Tsuvan"
 
 msgid "Tswa"
-msgstr ""
+msgstr "Tswa"
 
 msgid "Tswana"
 msgstr "ツワナ語"
 
 msgid "Tswapong"
-msgstr ""
+msgstr "Tswapong"
 
 msgid "Tu"
-msgstr ""
+msgstr "Tu"
 
 msgid "Tuamotuan"
-msgstr ""
+msgstr "Tuamotuan"
 
 msgid "Tubar"
-msgstr ""
+msgstr "Tubar"
 
 msgid "Tucano"
-msgstr ""
+msgstr "Tucano"
 
 msgid "Tugen"
-msgstr ""
+msgstr "Tugen"
 
 msgid "Tugun"
-msgstr ""
+msgstr "Tugun"
 
 msgid "Tugutil"
-msgstr ""
+msgstr "Tugutil"
 
 msgid "Tujia, Northern"
-msgstr ""
+msgstr "Tujia, Northern"
 
 msgid "Tujia, Southern"
-msgstr ""
+msgstr "Tujia, Southern"
 
 msgid "Tukang Besi North"
-msgstr ""
+msgstr "Tukang Besi North"
 
 msgid "Tukang Besi South"
-msgstr ""
+msgstr "Tukang Besi South"
 
 msgid "Tuki"
-msgstr ""
+msgstr "Tuki"
 
 msgid "Tukpa"
-msgstr ""
+msgstr "Tukpa"
 
 msgid "Tukudede"
-msgstr ""
+msgstr "Tukudede"
 
 msgid "Tukumanféd"
-msgstr ""
+msgstr "Tukumanféd"
 
 msgid "Tula"
-msgstr ""
+msgstr "Tula"
 
 msgid "Tulehu"
-msgstr ""
+msgstr "Tulehu"
 
 msgid "Tulishi"
-msgstr ""
+msgstr "Tulishi"
 
 msgid "Tulu"
-msgstr ""
+msgstr "Tulu"
 
 msgid "Tulu-Bohuai"
-msgstr ""
+msgstr "Tulu-Bohuai"
 
 msgid "Tuma-Irumu"
-msgstr ""
+msgstr "Tuma-Irumu"
 
 msgid "Tumak"
-msgstr ""
+msgstr "Tumak"
 
 msgid "Tumbuka"
 msgstr "タンブカ語"
 
 msgid "Tumi"
-msgstr ""
+msgstr "Tumi"
 
 msgid "Tumleo"
-msgstr ""
+msgstr "Tumleo"
 
 msgid "Tumshuqese"
-msgstr ""
+msgstr "Tumshuqese"
 
 msgid "Tumtum"
-msgstr ""
+msgstr "Tumtum"
 
 msgid "Tumzabt"
-msgstr ""
+msgstr "Tumzabt"
 
 msgid "Tunebo, Angosturas"
-msgstr ""
+msgstr "Tunebo, Angosturas"
 
 msgid "Tunebo, Barro Negro"
-msgstr ""
+msgstr "Tunebo, Barro Negro"
 
 msgid "Tunebo, Central"
-msgstr ""
+msgstr "Tunebo, Central"
 
 msgid "Tunebo, Western"
-msgstr ""
+msgstr "Tunebo, Western"
 
 msgid "Tunen"
-msgstr ""
+msgstr "Tunen"
 
 msgid "Tungag"
-msgstr ""
+msgstr "Tungag"
 
 msgid "Tunggare"
-msgstr ""
+msgstr "Tunggare"
 
 msgid "Tunia"
-msgstr ""
+msgstr "Tunia"
 
 msgid "Tunica"
-msgstr ""
+msgstr "Tunica"
 
 msgid "Tunisian Sign Language"
-msgstr ""
+msgstr "Tunisian Sign Language"
 
 msgid "Tunjung"
-msgstr ""
+msgstr "Tunjung"
 
 msgid "Tunni"
-msgstr ""
+msgstr "Tunni"
 
 msgid "Tunzu"
-msgstr ""
+msgstr "Tunzu"
 
 msgid "Tuotomb"
-msgstr ""
+msgstr "Tuotomb"
 
 msgid "Tuparí"
-msgstr ""
+msgstr "Tuparí"
 
 msgid "Tupinambá"
-msgstr ""
+msgstr "Tupinambá"
 
 msgid "Tupinikin"
-msgstr ""
+msgstr "Tupinikin"
 
 msgid "Tupuri"
-msgstr ""
+msgstr "Tupuri"
 
 msgid "Tupí"
-msgstr ""
+msgstr "Tupí"
 
 msgid "Turaka"
-msgstr ""
+msgstr "Turaka"
 
 msgid "Turi"
-msgstr ""
+msgstr "Turi"
 
 msgid "Turiwára"
-msgstr ""
+msgstr "Turiwára"
 
 msgid "Turka"
-msgstr ""
+msgstr "Turka"
 
 msgid "Turkana"
-msgstr ""
+msgstr "Turkana"
 
 msgid "Turkish"
 msgstr "トルコ語"
 
 msgid "Turkish Sign Language"
-msgstr ""
+msgstr "Turkish Sign Language"
 
 msgid "Turkish, Balkan Gagauz"
-msgstr ""
+msgstr "Turkish, Balkan Gagauz"
 
 msgid "Turkish, Old"
-msgstr ""
+msgstr "Turkish, Old"
 
 msgid "Turkish, Ottoman (1500-1928)"
-msgstr ""
+msgstr "Turkish, Ottoman (1500-1928)"
 
 msgid "Turkmen"
 msgstr "トゥルクメン語"
 
 msgid "Turoyo"
-msgstr ""
+msgstr "Turoyo"
 
 msgid "Turumsa"
-msgstr ""
+msgstr "Turumsa"
 
 msgid "Turung"
-msgstr ""
+msgstr "Turung"
 
 msgid "Tuscarora"
-msgstr ""
+msgstr "Tuscarora"
 
 msgid "Tutchone, Northern"
-msgstr ""
+msgstr "Tutchone, Northern"
 
 msgid "Tutchone, Southern"
-msgstr ""
+msgstr "Tutchone, Southern"
 
 msgid "Tutelo"
-msgstr ""
+msgstr "Tutelo"
 
 msgid "Tutong"
-msgstr ""
+msgstr "Tutong"
 
 msgid "Tutuba"
-msgstr ""
+msgstr "Tutuba"
 
 msgid "Tututni"
-msgstr ""
+msgstr "Tututni"
 
 msgid "Tuvalu"
 msgstr "ツバル語"
@@ -21234,2332 +21235,2332 @@ msgid "Tuvinian"
 msgstr "ツバニア語"
 
 msgid "Tuwari"
-msgstr ""
+msgstr "Tuwari"
 
 msgid "Tuwuli"
-msgstr ""
+msgstr "Tuwuli"
 
 msgid "Tuxináwa"
-msgstr ""
+msgstr "Tuxináwa"
 
 msgid "Tuxá"
-msgstr ""
+msgstr "Tuxá"
 
 msgid "Tuyuca"
-msgstr ""
+msgstr "Tuyuca"
 
 msgid "Twana"
-msgstr ""
+msgstr "Twana"
 
 msgid "Twendi"
-msgstr ""
+msgstr "Twendi"
 
 msgid "Twents"
-msgstr ""
+msgstr "Twents"
 
 msgid "Twi"
 msgstr "トウィ語"
 
 msgid "Tyap"
-msgstr ""
+msgstr "Tyap"
 
 msgid "Tyaraity"
-msgstr ""
+msgstr "Tyaraity"
 
 msgid "Tz'utujil"
-msgstr ""
+msgstr "Tz'utujil"
 
 msgid "Tzeltal"
-msgstr ""
+msgstr "Tzeltal"
 
 msgid "Tzotzil"
-msgstr ""
+msgstr "Tzotzil"
 
 msgid "Tày"
-msgstr ""
+msgstr "Tày"
 
 msgid "Tày Sa Pa"
-msgstr ""
+msgstr "Tày Sa Pa"
 
 msgid "Tày Tac"
-msgstr ""
+msgstr "Tày Tac"
 
 msgid "Téén"
-msgstr ""
+msgstr "Téén"
 
 msgid "Tübatulabal"
-msgstr ""
+msgstr "Tübatulabal"
 
 msgid "U"
-msgstr ""
+msgstr "U"
 
 msgid "Uab Meto"
-msgstr ""
+msgstr "Uab Meto"
 
 msgid "Uamué"
-msgstr ""
+msgstr "Uamué"
 
 msgid "Uare"
-msgstr ""
+msgstr "Uare"
 
 msgid "Ubaghara"
-msgstr ""
+msgstr "Ubaghara"
 
 msgid "Ubang"
-msgstr ""
+msgstr "Ubang"
 
 msgid "Ubi"
-msgstr ""
+msgstr "Ubi"
 
 msgid "Ubir"
-msgstr ""
+msgstr "Ubir"
 
 msgid "Ubykh"
-msgstr ""
+msgstr "Ubykh"
 
 msgid "Uda"
-msgstr ""
+msgstr "Uda"
 
 msgid "Udi"
-msgstr ""
+msgstr "Udi"
 
 msgid "Udihe"
-msgstr ""
+msgstr "Udihe"
 
 msgid "Udmurt"
 msgstr "ウドムルト語"
 
 msgid "Uduk"
-msgstr ""
+msgstr "Uduk"
 
 msgid "Ufim"
-msgstr ""
+msgstr "Ufim"
 
 msgid "Ugandan Sign Language"
-msgstr ""
+msgstr "Ugandan Sign Language"
 
 msgid "Ugaritic"
 msgstr "ウガリット語"
 
 msgid "Ughele"
-msgstr ""
+msgstr "Ughele"
 
 msgid "Ugong"
-msgstr ""
+msgstr "Ugong"
 
 msgid "Uhami"
-msgstr ""
+msgstr "Uhami"
 
 msgid "Uighur"
 msgstr "ウイグル語"
 
 msgid "Uighur, Old"
-msgstr ""
+msgstr "Uighur, Old"
 
 msgid "Uisai"
-msgstr ""
+msgstr "Uisai"
 
 msgid "Ujir"
-msgstr ""
+msgstr "Ujir"
 
 msgid "Ukaan"
-msgstr ""
+msgstr "Ukaan"
 
 msgid "Ukhwejo"
-msgstr ""
+msgstr "Ukhwejo"
 
 msgid "Ukit"
-msgstr ""
+msgstr "Ukit"
 
 msgid "Ukpe-Bayobiri"
-msgstr ""
+msgstr "Ukpe-Bayobiri"
 
 msgid "Ukpet-Ehom"
-msgstr ""
+msgstr "Ukpet-Ehom"
 
 msgid "Ukrainian"
 msgstr "ウクライナ語"
 
 msgid "Ukrainian Sign Language"
-msgstr ""
+msgstr "Ukrainian Sign Language"
 
 msgid "Ukue"
-msgstr ""
+msgstr "Ukue"
 
 msgid "Ukuriguma"
-msgstr ""
+msgstr "Ukuriguma"
 
 msgid "Ukwa"
-msgstr ""
+msgstr "Ukwa"
 
 msgid "Ukwuani-Aboh-Ndoni"
-msgstr ""
+msgstr "Ukwuani-Aboh-Ndoni"
 
 msgid "Ulau-Suain"
-msgstr ""
+msgstr "Ulau-Suain"
 
 msgid "Ulch"
-msgstr ""
+msgstr "Ulch"
 
 msgid "Ulithian"
-msgstr ""
+msgstr "Ulithian"
 
 msgid "Ullatan"
-msgstr ""
+msgstr "Ullatan"
 
 msgid "Ulukwumi"
-msgstr ""
+msgstr "Ulukwumi"
 
 msgid "Ulumanda'"
-msgstr ""
+msgstr "Ulumanda'"
 
 msgid "Ulwa"
-msgstr ""
+msgstr "Ulwa"
 
 msgid "Uma"
-msgstr ""
+msgstr "Uma"
 
 msgid "Uma' Lasan"
-msgstr ""
+msgstr "Uma' Lasan"
 
 msgid "Uma' Lung"
-msgstr ""
+msgstr "Uma' Lung"
 
 msgid "Umanakaina"
-msgstr ""
+msgstr "Umanakaina"
 
 msgid "Umatilla"
-msgstr ""
+msgstr "Umatilla"
 
 msgid "Umbindhamu"
-msgstr ""
+msgstr "Umbindhamu"
 
 msgid "Umbrian"
-msgstr ""
+msgstr "Umbrian"
 
 msgid "Umbu-Ungu"
-msgstr ""
+msgstr "Umbu-Ungu"
 
 msgid "Umbugarla"
-msgstr ""
+msgstr "Umbugarla"
 
 msgid "Umbundu"
 msgstr "アンブンドゥ語"
 
 msgid "Umbuygamu"
-msgstr ""
+msgstr "Umbuygamu"
 
 msgid "Umeda"
-msgstr ""
+msgstr "Umeda"
 
 msgid "Umiida"
-msgstr ""
+msgstr "Umiida"
 
 msgid "Umon"
-msgstr ""
+msgstr "Umon"
 
 msgid "Umotína"
-msgstr ""
+msgstr "Umotína"
 
 msgid "Umpila"
-msgstr ""
+msgstr "Umpila"
 
 msgid "Umpqua, Upper"
-msgstr ""
+msgstr "Umpqua, Upper"
 
 msgid "Una"
-msgstr ""
+msgstr "Una"
 
 msgid "Unami"
-msgstr ""
+msgstr "Unami"
 
 msgid "Uncoded languages"
-msgstr ""
+msgstr "Uncoded languages"
 
 msgid "Undetermined"
 msgstr "言語名不明"
 
 msgid "Uneapa"
-msgstr ""
+msgstr "Uneapa"
 
 msgid "Uneme"
-msgstr ""
+msgstr "Uneme"
 
 msgid "Unggaranggu"
-msgstr ""
+msgstr "Unggaranggu"
 
 msgid "Unggumi"
-msgstr ""
+msgstr "Unggumi"
 
 msgid "Unserdeutsch"
-msgstr ""
+msgstr "Unserdeutsch"
 
 msgid "Unua"
-msgstr ""
+msgstr "Unua"
 
 msgid "Unubahe"
-msgstr ""
+msgstr "Unubahe"
 
 msgid "Ura (Papua New Guinea)"
-msgstr ""
+msgstr "Ura (Papua New Guinea)"
 
 msgid "Ura (Vanuatu)"
-msgstr ""
+msgstr "Ura (Vanuatu)"
 
 msgid "Uradhi"
-msgstr ""
+msgstr "Uradhi"
 
 msgid "Urak Lawoi'"
-msgstr ""
+msgstr "Urak Lawoi'"
 
 msgid "Urali"
-msgstr ""
+msgstr "Urali"
 
 msgid "Urapmin"
-msgstr ""
+msgstr "Urapmin"
 
 msgid "Urarina"
-msgstr ""
+msgstr "Urarina"
 
 msgid "Urartian"
-msgstr ""
+msgstr "Urartian"
 
 msgid "Urat"
-msgstr ""
+msgstr "Urat"
 
 msgid "Urdu"
 msgstr "ウルドゥー語"
 
 msgid "Urhobo"
-msgstr ""
+msgstr "Urhobo"
 
 msgid "Uri"
-msgstr ""
+msgstr "Uri"
 
 msgid "Urigina"
-msgstr ""
+msgstr "Urigina"
 
 msgid "Urim"
-msgstr ""
+msgstr "Urim"
 
 msgid "Urimo"
-msgstr ""
+msgstr "Urimo"
 
 msgid "Uripiv-Wala-Rano-Atchin"
-msgstr ""
+msgstr "Uripiv-Wala-Rano-Atchin"
 
 msgid "Urningangg"
-msgstr ""
+msgstr "Urningangg"
 
 msgid "Uru"
-msgstr ""
+msgstr "Uru"
 
 msgid "Uru-Eu-Wau-Wau"
-msgstr ""
+msgstr "Uru-Eu-Wau-Wau"
 
 msgid "Uru-Pa-In"
-msgstr ""
+msgstr "Uru-Pa-In"
 
 msgid "Uruangnirin"
-msgstr ""
+msgstr "Uruangnirin"
 
 msgid "Uruava"
-msgstr ""
+msgstr "Uruava"
 
 msgid "Urubú-Kaapor"
-msgstr ""
+msgstr "Urubú-Kaapor"
 
 msgid "Urubú-Kaapor Sign Language"
-msgstr ""
+msgstr "Urubú-Kaapor Sign Language"
 
 msgid "Uruguayan Sign Language"
-msgstr ""
+msgstr "Uruguayan Sign Language"
 
 msgid "Urum"
-msgstr ""
+msgstr "Urum"
 
 msgid "Urumi"
-msgstr ""
+msgstr "Urumi"
 
 msgid "Usaghade"
-msgstr ""
+msgstr "Usaghade"
 
 msgid "Usan"
-msgstr ""
+msgstr "Usan"
 
 msgid "Usarufa"
-msgstr ""
+msgstr "Usarufa"
 
 msgid "Ushojo"
-msgstr ""
+msgstr "Ushojo"
 
 msgid "Usku"
-msgstr ""
+msgstr "Usku"
 
 msgid "Uspanteco"
-msgstr ""
+msgstr "Uspanteco"
 
 msgid "Usui"
-msgstr ""
+msgstr "Usui"
 
 msgid "ut-Ma'in"
-msgstr ""
+msgstr "ut-Ma'in"
 
 msgid "Utarmbung"
-msgstr ""
+msgstr "Utarmbung"
 
 msgid "Ute-Southern Paiute"
-msgstr ""
+msgstr "Ute-Southern Paiute"
 
 msgid "Utu"
-msgstr ""
+msgstr "Utu"
 
 msgid "Uvbie"
-msgstr ""
+msgstr "Uvbie"
 
 msgid "Uvean, West"
-msgstr ""
+msgstr "Uvean, West"
 
 msgid "Uya"
-msgstr ""
+msgstr "Uya"
 
 msgid "Uyajitaya"
-msgstr ""
+msgstr "Uyajitaya"
 
 msgid "Uzbek"
 msgstr "ウズベク語"
 
 msgid "Uzbek, Northern"
-msgstr ""
+msgstr "Uzbek, Northern"
 
 msgid "Uzbek, Southern"
-msgstr ""
+msgstr "Uzbek, Southern"
 
 msgid "Uzekwe"
-msgstr ""
+msgstr "Uzekwe"
 
 msgid "Vaagri Booli"
-msgstr ""
+msgstr "Vaagri Booli"
 
 msgid "Vafsi"
-msgstr ""
+msgstr "Vafsi"
 
 msgid "Vaghat-Ya-Bijim-Legeri"
-msgstr ""
+msgstr "Vaghat-Ya-Bijim-Legeri"
 
 msgid "Vaghri"
-msgstr ""
+msgstr "Vaghri"
 
 msgid "Vaghua"
-msgstr ""
+msgstr "Vaghua"
 
 msgid "Vagla"
-msgstr ""
+msgstr "Vagla"
 
 msgid "Vai"
 msgstr "ヴァイ語"
 
 msgid "Vaiphei"
-msgstr ""
+msgstr "Vaiphei"
 
 msgid "Vale"
-msgstr ""
+msgstr "Vale"
 
 msgid "Valencian Sign Language"
-msgstr ""
+msgstr "Valencian Sign Language"
 
 msgid "Valman"
-msgstr ""
+msgstr "Valman"
 
 msgid "Valpei"
-msgstr ""
+msgstr "Valpei"
 
 msgid "Vamale"
-msgstr ""
+msgstr "Vamale"
 
 msgid "Vame"
-msgstr ""
+msgstr "Vame"
 
 msgid "Vandalic"
-msgstr ""
+msgstr "Vandalic"
 
 msgid "Vangunu"
-msgstr ""
+msgstr "Vangunu"
 
 msgid "Vanimo"
-msgstr ""
+msgstr "Vanimo"
 
 msgid "Vano"
-msgstr ""
+msgstr "Vano"
 
 msgid "Vanuma"
-msgstr ""
+msgstr "Vanuma"
 
 msgid "Vao"
-msgstr ""
+msgstr "Vao"
 
 msgid "Varhadi-Nagpuri"
-msgstr ""
+msgstr "Varhadi-Nagpuri"
 
 msgid "Varisi"
-msgstr ""
+msgstr "Varisi"
 
 msgid "Varli"
-msgstr ""
+msgstr "Varli"
 
 msgid "Vasavi"
-msgstr ""
+msgstr "Vasavi"
 
 msgid "Veddah"
-msgstr ""
+msgstr "Veddah"
 
 msgid "Vehes"
-msgstr ""
+msgstr "Vehes"
 
 msgid "Veluws"
-msgstr ""
+msgstr "Veluws"
 
 msgid "Vemgo-Mabas"
-msgstr ""
+msgstr "Vemgo-Mabas"
 
 msgid "Venda"
 msgstr "ベンダ語"
 
 msgid "Venetian"
-msgstr ""
+msgstr "Venetian"
 
 msgid "Venetic"
-msgstr ""
+msgstr "Venetic"
 
 msgid "Venezuelan Sign Language"
-msgstr ""
+msgstr "Venezuelan Sign Language"
 
 msgid "Vengo"
-msgstr ""
+msgstr "Vengo"
 
 msgid "Ventureño"
-msgstr ""
+msgstr "Ventureño"
 
 msgid "Veps"
-msgstr ""
+msgstr "Veps"
 
 msgid "Vera'a"
-msgstr ""
+msgstr "Vera'a"
 
 msgid "Vestinian"
-msgstr ""
+msgstr "Vestinian"
 
 msgid "Vidunda"
-msgstr ""
+msgstr "Vidunda"
 
 msgid "Viemo"
-msgstr ""
+msgstr "Viemo"
 
 msgid "Vietnamese"
 msgstr "ベトナム語"
 
 msgid "Vilela"
-msgstr ""
+msgstr "Vilela"
 
 msgid "Vili"
-msgstr ""
+msgstr "Vili"
 
 msgid "Vinmavis"
-msgstr ""
+msgstr "Vinmavis"
 
 msgid "Vinza"
-msgstr ""
+msgstr "Vinza"
 
 msgid "Vishavan"
-msgstr ""
+msgstr "Vishavan"
 
 msgid "Viti"
-msgstr ""
+msgstr "Viti"
 
 msgid "Vitou"
-msgstr ""
+msgstr "Vitou"
 
 msgid "Vitu"
-msgstr ""
+msgstr "Vitu"
 
 msgid "Vlaams"
-msgstr ""
+msgstr "Vlaams"
 
 msgid "Vlaamse Gebarentaal"
-msgstr ""
+msgstr "Vlaamse Gebarentaal"
 
 msgid "Volapük"
 msgstr "ボラピューク語"
 
 msgid "Volscian"
-msgstr ""
+msgstr "Volscian"
 
 msgid "Vono"
-msgstr ""
+msgstr "Vono"
 
 msgid "Voro"
-msgstr ""
+msgstr "Voro"
 
 msgid "Votic"
 msgstr "ヴォート語"
 
 msgid "Vumbu"
-msgstr ""
+msgstr "Vumbu"
 
 msgid "Vunapu"
-msgstr ""
+msgstr "Vunapu"
 
 msgid "Vunjo"
-msgstr ""
+msgstr "Vunjo"
 
 msgid "Vurës"
-msgstr ""
+msgstr "Vurës"
 
 msgid "Vute"
-msgstr ""
+msgstr "Vute"
 
 msgid "Vwanji"
-msgstr ""
+msgstr "Vwanji"
 
 msgid "Võro"
-msgstr ""
+msgstr "Võro"
 
 msgid "Wa"
-msgstr ""
+msgstr "Wa"
 
 msgid "Wa'ema"
-msgstr ""
+msgstr "Wa'ema"
 
 msgid "Waama"
-msgstr ""
+msgstr "Waama"
 
 msgid "Waamwang"
-msgstr ""
+msgstr "Waamwang"
 
 msgid "Waata"
-msgstr ""
+msgstr "Waata"
 
 msgid "Wab"
-msgstr ""
+msgstr "Wab"
 
 msgid "Wabo"
-msgstr ""
+msgstr "Wabo"
 
 msgid "Waboda"
-msgstr ""
+msgstr "Waboda"
 
 msgid "Wadaginam"
-msgstr ""
+msgstr "Wadaginam"
 
 msgid "Waddar"
-msgstr ""
+msgstr "Waddar"
 
 msgid "Wadi Wadi"
-msgstr ""
+msgstr "Wadi Wadi"
 
 msgid "Wadikali"
-msgstr ""
+msgstr "Wadikali"
 
 msgid "Wadjabangayi"
-msgstr ""
+msgstr "Wadjabangayi"
 
 msgid "Wadjiginy"
-msgstr ""
+msgstr "Wadjiginy"
 
 msgid "Wadjigu"
-msgstr ""
+msgstr "Wadjigu"
 
 msgid "Wae Rana"
-msgstr ""
+msgstr "Wae Rana"
 
 msgid "Waffa"
-msgstr ""
+msgstr "Waffa"
 
 msgid "Wagawaga"
-msgstr ""
+msgstr "Wagawaga"
 
 msgid "Wagaya"
-msgstr ""
+msgstr "Wagaya"
 
 msgid "Wagdi"
-msgstr ""
+msgstr "Wagdi"
 
 msgid "Wageman"
-msgstr ""
+msgstr "Wageman"
 
 msgid "Wagi"
-msgstr ""
+msgstr "Wagi"
 
 msgid "Wahgi"
-msgstr ""
+msgstr "Wahgi"
 
 msgid "Wahgi, North"
-msgstr ""
+msgstr "Wahgi, North"
 
 msgid "Waigali"
-msgstr ""
+msgstr "Waigali"
 
 msgid "Waigeo"
-msgstr ""
+msgstr "Waigeo"
 
 msgid "Wailaki"
-msgstr ""
+msgstr "Wailaki"
 
 msgid "Wailapa"
-msgstr ""
+msgstr "Wailapa"
 
 msgid "Waima"
-msgstr ""
+msgstr "Waima"
 
 msgid "Waima'a"
-msgstr ""
+msgstr "Waima'a"
 
 msgid "Waimaha"
-msgstr ""
+msgstr "Waimaha"
 
 msgid "Waimiri-Atroari"
-msgstr ""
+msgstr "Waimiri-Atroari"
 
 msgid "Waioli"
-msgstr ""
+msgstr "Waioli"
 
 msgid "Waiwai"
-msgstr ""
+msgstr "Waiwai"
 
 msgid "Waja"
-msgstr ""
+msgstr "Waja"
 
 msgid "Wajarri"
-msgstr ""
+msgstr "Wajarri"
 
 msgid "Wajuk"
-msgstr ""
+msgstr "Wajuk"
 
 msgid "Waka"
-msgstr ""
+msgstr "Waka"
 
 msgid "Wakabunga"
-msgstr ""
+msgstr "Wakabunga"
 
 msgid "Wakawaka"
-msgstr ""
+msgstr "Wakawaka"
 
 msgid "Wakde"
-msgstr ""
+msgstr "Wakde"
 
 msgid "Wakhi"
-msgstr ""
+msgstr "Wakhi"
 
 msgid "Wakoná"
-msgstr ""
+msgstr "Wakoná"
 
 msgid "Wala"
-msgstr ""
+msgstr "Wala"
 
 msgid "Walak"
-msgstr ""
+msgstr "Walak"
 
 msgid "Walangama"
-msgstr ""
+msgstr "Walangama"
 
 msgid "Wali (Ghana)"
-msgstr ""
+msgstr "Wali (Ghana)"
 
 msgid "Wali (Sudan)"
-msgstr ""
+msgstr "Wali (Sudan)"
 
 msgid "Waling"
-msgstr ""
+msgstr "Waling"
 
 msgid "Walio"
-msgstr ""
+msgstr "Walio"
 
 msgid "Walla Walla"
-msgstr ""
+msgstr "Walla Walla"
 
 msgid "Wallisian"
-msgstr ""
+msgstr "Wallisian"
 
 msgid "Walloon"
 msgstr "ワロン語"
 
 msgid "Walmajarri"
-msgstr ""
+msgstr "Walmajarri"
 
 msgid "Walser"
-msgstr ""
+msgstr "Walser"
 
 msgid "Walungge"
-msgstr ""
+msgstr "Walungge"
 
 msgid "Wamas"
-msgstr ""
+msgstr "Wamas"
 
 msgid "Wambaya"
-msgstr ""
+msgstr "Wambaya"
 
 msgid "Wambon"
-msgstr ""
+msgstr "Wambon"
 
 msgid "Wambule"
-msgstr ""
+msgstr "Wambule"
 
 msgid "Wamey"
-msgstr ""
+msgstr "Wamey"
 
 msgid "Wamin"
-msgstr ""
+msgstr "Wamin"
 
 msgid "Wampanoag"
-msgstr ""
+msgstr "Wampanoag"
 
 msgid "Wampar"
-msgstr ""
+msgstr "Wampar"
 
 msgid "Wampur"
-msgstr ""
+msgstr "Wampur"
 
 msgid "Wan"
-msgstr ""
+msgstr "Wan"
 
 msgid "Wanambre"
-msgstr ""
+msgstr "Wanambre"
 
 msgid "Wanap"
-msgstr ""
+msgstr "Wanap"
 
 msgid "Wanda"
-msgstr ""
+msgstr "Wanda"
 
 msgid "Wandala"
-msgstr ""
+msgstr "Wandala"
 
 msgid "Wandamen"
-msgstr ""
+msgstr "Wandamen"
 
 msgid "Wandarang"
-msgstr ""
+msgstr "Wandarang"
 
 msgid "Wandji"
-msgstr ""
+msgstr "Wandji"
 
 msgid "Waneci"
-msgstr ""
+msgstr "Waneci"
 
 msgid "Wanga"
-msgstr ""
+msgstr "Wanga"
 
 msgid "Wangaaybuwan-Ngiyambaa"
-msgstr ""
+msgstr "Wangaaybuwan-Ngiyambaa"
 
 msgid "Wanggamala"
-msgstr ""
+msgstr "Wanggamala"
 
 msgid "Wangganguru"
-msgstr ""
+msgstr "Wangganguru"
 
 msgid "Wanggom"
-msgstr ""
+msgstr "Wanggom"
 
 msgid "Wangkayutyuru"
-msgstr ""
+msgstr "Wangkayutyuru"
 
 msgid "Wangkumara"
-msgstr ""
+msgstr "Wangkumara"
 
 msgid "Wanman"
-msgstr ""
+msgstr "Wanman"
 
 msgid "Wannu"
-msgstr ""
+msgstr "Wannu"
 
 msgid "Wano"
-msgstr ""
+msgstr "Wano"
 
 msgid "Wantoat"
-msgstr ""
+msgstr "Wantoat"
 
 msgid "Wanukaka"
-msgstr ""
+msgstr "Wanukaka"
 
 msgid "Wanyi"
-msgstr ""
+msgstr "Wanyi"
 
 msgid "Wané"
-msgstr ""
+msgstr "Wané"
 
 msgid "Waorani"
-msgstr ""
+msgstr "Waorani"
 
 msgid "Wapan"
-msgstr ""
+msgstr "Wapan"
 
 msgid "Wapishana"
-msgstr ""
+msgstr "Wapishana"
 
 msgid "Wappo"
-msgstr ""
+msgstr "Wappo"
 
 msgid "War-Jaintia"
-msgstr ""
+msgstr "War-Jaintia"
 
 msgid "Wara"
-msgstr ""
+msgstr "Wara"
 
 msgid "Warao"
-msgstr ""
+msgstr "Warao"
 
 msgid "Warapu"
-msgstr ""
+msgstr "Warapu"
 
 msgid "Waray (Australia)"
-msgstr ""
+msgstr "Waray (Australia)"
 
 msgid "Waray (Philippines)"
-msgstr ""
+msgstr "Waray (Philippines)"
 
 msgid "Wardaman"
-msgstr ""
+msgstr "Wardaman"
 
 msgid "Wardandi"
-msgstr ""
+msgstr "Wardandi"
 
 msgid "Warduji"
-msgstr ""
+msgstr "Warduji"
 
 msgid "Warembori"
-msgstr ""
+msgstr "Warembori"
 
 msgid "Wares"
-msgstr ""
+msgstr "Wares"
 
 msgid "Waris"
-msgstr ""
+msgstr "Waris"
 
 msgid "Waritai"
-msgstr ""
+msgstr "Waritai"
 
 msgid "Wariyangga"
-msgstr ""
+msgstr "Wariyangga"
 
 msgid "Warji"
-msgstr ""
+msgstr "Warji"
 
 msgid "Warkay-Bipim"
-msgstr ""
+msgstr "Warkay-Bipim"
 
 msgid "Warlmanpa"
-msgstr ""
+msgstr "Warlmanpa"
 
 msgid "Warlpiri"
-msgstr ""
+msgstr "Warlpiri"
 
 msgid "Warluwara"
-msgstr ""
+msgstr "Warluwara"
 
 msgid "Warnang"
-msgstr ""
+msgstr "Warnang"
 
 msgid "Waropen"
-msgstr ""
+msgstr "Waropen"
 
 msgid "Warrgamay"
-msgstr ""
+msgstr "Warrgamay"
 
 msgid "Warrwa"
-msgstr ""
+msgstr "Warrwa"
 
 msgid "Waru"
-msgstr ""
+msgstr "Waru"
 
 msgid "Warumungu"
-msgstr ""
+msgstr "Warumungu"
 
 msgid "Waruna"
-msgstr ""
+msgstr "Waruna"
 
 msgid "Warungu"
-msgstr ""
+msgstr "Warungu"
 
 msgid "Warwar Feni"
-msgstr ""
+msgstr "Warwar Feni"
 
 msgid "Wasa"
-msgstr ""
+msgstr "Wasa"
 
 msgid "Wasco-Wishram"
-msgstr ""
+msgstr "Wasco-Wishram"
 
 msgid "Wasembo"
-msgstr ""
+msgstr "Wasembo"
 
 msgid "Washo"
 msgstr "ワショ語"
 
 msgid "Waskia"
-msgstr ""
+msgstr "Waskia"
 
 msgid "Wasu"
-msgstr ""
+msgstr "Wasu"
 
 msgid "Watakataui"
-msgstr ""
+msgstr "Watakataui"
 
 msgid "Watam"
-msgstr ""
+msgstr "Watam"
 
 msgid "Wathawurrung"
-msgstr ""
+msgstr "Wathawurrung"
 
 msgid "Watiwa"
-msgstr ""
+msgstr "Watiwa"
 
 msgid "Watubela"
-msgstr ""
+msgstr "Watubela"
 
 msgid "Watut, Middle"
-msgstr ""
+msgstr "Watut, Middle"
 
 msgid "Watut, North"
-msgstr ""
+msgstr "Watut, North"
 
 msgid "Watut, South"
-msgstr ""
+msgstr "Watut, South"
 
 msgid "Waube"
-msgstr ""
+msgstr "Waube"
 
 msgid "Waurá"
-msgstr ""
+msgstr "Waurá"
 
 msgid "Wauyai"
-msgstr ""
+msgstr "Wauyai"
 
 msgid "Wawa"
-msgstr ""
+msgstr "Wawa"
 
 msgid "Wawonii"
-msgstr ""
+msgstr "Wawonii"
 
 msgid "Waxianghua"
-msgstr ""
+msgstr "Waxianghua"
 
 msgid "Wayampi"
-msgstr ""
+msgstr "Wayampi"
 
 msgid "Wayana"
-msgstr ""
+msgstr "Wayana"
 
 msgid "Wayoró"
-msgstr ""
+msgstr "Wayoró"
 
 msgid "Wayu"
-msgstr ""
+msgstr "Wayu"
 
 msgid "Wayuu"
-msgstr ""
+msgstr "Wayuu"
 
 msgid "Wedau"
-msgstr ""
+msgstr "Wedau"
 
 msgid "Weh"
-msgstr ""
+msgstr "Weh"
 
 msgid "Wejewa"
-msgstr ""
+msgstr "Wejewa"
 
 msgid "Weliki"
-msgstr ""
+msgstr "Weliki"
 
 msgid "Welsh"
 msgstr "ウェールズ語"
 
 msgid "Welsh, Middle"
-msgstr ""
+msgstr "Welsh, Middle"
 
 msgid "Welsh, Old"
-msgstr ""
+msgstr "Welsh, Old"
 
 msgid "Wemale"
-msgstr ""
+msgstr "Wemale"
 
 msgid "Wemba Wemba"
-msgstr ""
+msgstr "Wemba Wemba"
 
 msgid "Wergaia"
-msgstr ""
+msgstr "Wergaia"
 
 msgid "Weri"
-msgstr ""
+msgstr "Weri"
 
 msgid "Wersing"
-msgstr ""
+msgstr "Wersing"
 
 msgid "Westphalien"
-msgstr ""
+msgstr "Westphalien"
 
 msgid "Wetamut"
-msgstr ""
+msgstr "Wetamut"
 
 msgid "Wewaw"
-msgstr ""
+msgstr "Wewaw"
 
 msgid "Weyto"
-msgstr ""
+msgstr "Weyto"
 
 msgid "Whitesands"
-msgstr ""
+msgstr "Whitesands"
 
 msgid "Wiarumus"
-msgstr ""
+msgstr "Wiarumus"
 
 msgid "Wichita"
-msgstr ""
+msgstr "Wichita"
 
 msgid "Wichí Lhamtés Güisnay"
-msgstr ""
+msgstr "Wichí Lhamtés Güisnay"
 
 msgid "Wichí Lhamtés Nocten"
-msgstr ""
+msgstr "Wichí Lhamtés Nocten"
 
 msgid "Wichí Lhamtés Vejoz"
-msgstr ""
+msgstr "Wichí Lhamtés Vejoz"
 
 msgid "Wik-Epa"
-msgstr ""
+msgstr "Wik-Epa"
 
 msgid "Wik-Iiyanh"
-msgstr ""
+msgstr "Wik-Iiyanh"
 
 msgid "Wik-Keyangan"
-msgstr ""
+msgstr "Wik-Keyangan"
 
 msgid "Wik-Me'anha"
-msgstr ""
+msgstr "Wik-Me'anha"
 
 msgid "Wik-Mungkan"
-msgstr ""
+msgstr "Wik-Mungkan"
 
 msgid "Wik-Ngathana"
-msgstr ""
+msgstr "Wik-Ngathana"
 
 msgid "Wikalkan"
-msgstr ""
+msgstr "Wikalkan"
 
 msgid "Wikngenchera"
-msgstr ""
+msgstr "Wikngenchera"
 
 msgid "Wilawila"
-msgstr ""
+msgstr "Wilawila"
 
 msgid "Wintu"
-msgstr ""
+msgstr "Wintu"
 
 msgid "Winyé"
-msgstr ""
+msgstr "Winyé"
 
 msgid "Wipi"
-msgstr ""
+msgstr "Wipi"
 
 msgid "Wiradhuri"
-msgstr ""
+msgstr "Wiradhuri"
 
 msgid "Wiraféd"
-msgstr ""
+msgstr "Wiraféd"
 
 msgid "Wirangu"
-msgstr ""
+msgstr "Wirangu"
 
 msgid "Wiru"
-msgstr ""
+msgstr "bWiru"
 
 msgid "Wiyot"
-msgstr ""
+msgstr "Wiyot"
 
 msgid "Woccon"
-msgstr ""
+msgstr "Woccon"
 
 msgid "Wogamusin"
-msgstr ""
+msgstr "Wogamusin"
 
 msgid "Wogeo"
-msgstr ""
+msgstr "Wogeo"
 
 msgid "Woi"
-msgstr ""
+msgstr "Woi"
 
 msgid "Woiwurrung"
-msgstr ""
+msgstr "Woiwurrung"
 
 msgid "Wojenaka"
-msgstr ""
+msgstr "Wojenaka"
 
 msgid "Wolane"
-msgstr ""
+msgstr "Wolane"
 
 msgid "Wolani"
-msgstr ""
+msgstr "Wolani"
 
 msgid "Wolaytta"
-msgstr ""
+msgstr "Wolaytta"
 
 msgid "Woleaian"
-msgstr ""
+msgstr "Woleaian"
 
 msgid "Wolio"
-msgstr ""
+msgstr "Wolio"
 
 msgid "Wolof"
 msgstr "ウォロフ語"
 
 msgid "Wolof, Gambian"
-msgstr ""
+msgstr "Wolof, Gambian"
 
 msgid "Wom (Nigeria)"
-msgstr ""
+msgstr "Wom (Nigeria)"
 
 msgid "Wom (Papua New Guinea)"
-msgstr ""
+msgstr "Wom (Papua New Guinea)"
 
 msgid "Womo"
-msgstr ""
+msgstr "Womo"
 
 msgid "Wongo"
-msgstr ""
+msgstr "Wongo"
 
 msgid "Woria"
-msgstr ""
+msgstr "Woria"
 
 msgid "Worimi"
-msgstr ""
+msgstr "Worimi"
 
 msgid "Worodougou"
-msgstr ""
+msgstr "Worodougou"
 
 msgid "Worrorra"
-msgstr ""
+msgstr "Worrorra"
 
 msgid "Wotapuri-Katarqalai"
-msgstr ""
+msgstr "Wotapuri-Katarqalai"
 
 msgid "Wotjobaluk"
-msgstr ""
+msgstr "Wotjobaluk"
 
 msgid "Wotu"
-msgstr ""
+msgstr "Wotu"
 
 msgid "Woun Meu"
-msgstr ""
+msgstr "Woun Meu"
 
 msgid "Wudu"
-msgstr ""
+msgstr "Wudu"
 
 msgid "Wuliwuli"
-msgstr ""
+msgstr "Wuliwuli"
 
 msgid "Wulna"
-msgstr ""
+msgstr "Wulna"
 
 msgid "Wumboko"
-msgstr ""
+msgstr "Wumboko"
 
 msgid "Wumbvu"
-msgstr ""
+msgstr "Wumbvu"
 
 msgid "Wunambal"
-msgstr ""
+msgstr "Wunambal"
 
 msgid "Wunumara"
-msgstr ""
+msgstr "Wunumara"
 
 msgid "Wurrugu"
-msgstr ""
+msgstr "Wurrugu"
 
 msgid "Wushi"
-msgstr ""
+msgstr "Wushi"
 
 msgid "Wusi"
-msgstr ""
+msgstr "Wusi"
 
 msgid "Wutung"
-msgstr ""
+msgstr "Wutung"
 
 msgid "Wutunhua"
-msgstr ""
+msgstr "Wutunhua"
 
 msgid "Wuvulu-Aua"
-msgstr ""
+msgstr "Wuvulu-Aua"
 
 msgid "Wuzlam"
-msgstr ""
+msgstr "Wuzlam"
 
 msgid "Wyandot"
-msgstr ""
+msgstr "Wyandot"
 
 msgid "Wymysorys"
-msgstr ""
+msgstr "Wymysorys"
 
 msgid "Wára"
-msgstr ""
+msgstr "Wára"
 
 msgid "Wãpha"
-msgstr ""
+msgstr "Wãpha"
 
 msgid "Wè Northern"
-msgstr ""
+msgstr "Wè Northern"
 
 msgid "Wè Southern"
-msgstr ""
+msgstr "Wè Southern"
 
 msgid "Wè Western"
-msgstr ""
+msgstr "Wè Western"
 
 msgid "Xaasongaxango"
-msgstr ""
+msgstr "Xaasongaxango"
 
 msgid "Xakriabá"
-msgstr ""
+msgstr "Xakriabá"
 
 msgid "Xamtanga"
-msgstr ""
+msgstr "Xamtanga"
 
 msgid "Xavánte"
-msgstr ""
+msgstr "Xavánte"
 
 msgid "Xerénte"
-msgstr ""
+msgstr "Xerénte"
 
 msgid "Xetá"
-msgstr ""
+msgstr "Xetá"
 
 msgid "Xhosa"
 msgstr "ホサ語"
 
 msgid "Xibe"
-msgstr ""
+msgstr "Xibe"
 
 msgid "Xinca"
-msgstr ""
+msgstr "Xinca"
 
 msgid "Xipaya"
-msgstr ""
+msgstr "Xipaya"
 
 msgid "Xiri"
-msgstr ""
+msgstr "Xiri"
 
 msgid "Xiriâna"
-msgstr ""
+msgstr "Xiriâna"
 
 msgid "Xokleng"
-msgstr ""
+msgstr "Xokleng"
 
 msgid "Xukurú"
-msgstr ""
+msgstr "Xukurú"
 
 msgid "Xârâcùù"
-msgstr ""
+msgstr "Xârâcùù"
 
 msgid "Xârâgurè"
-msgstr ""
+msgstr "Xârâgurè"
 
 msgid "Yaaku"
-msgstr ""
+msgstr "Yaaku"
 
 msgid "Yabarana"
-msgstr ""
+msgstr "Yabarana"
 
 msgid "Yabaâna"
-msgstr ""
+msgstr "Yabaâna"
 
 msgid "Yabem"
-msgstr ""
+msgstr "Yabem"
 
 msgid "Yaben"
-msgstr ""
+msgstr "Yaben"
 
 msgid "Yabong"
-msgstr ""
+msgstr "Yabong"
 
 msgid "Yabula Yabula"
-msgstr ""
+msgstr "Yabula Yabula"
 
 msgid "Yace"
-msgstr ""
+msgstr "Yace"
 
 msgid "Yaeyama"
-msgstr ""
+msgstr "Yaeyama"
 
 msgid "Yafi"
-msgstr ""
+msgstr "Yafi"
 
 msgid "Yagara"
-msgstr ""
+msgstr "Yagara"
 
 msgid "Yagaria"
-msgstr ""
+msgstr "Yagaria"
 
 msgid "Yagnobi"
-msgstr ""
+msgstr "Yagnobi"
 
 msgid "Yagomi"
-msgstr ""
+msgstr "Yagomi"
 
 msgid "Yagua"
-msgstr ""
+msgstr "Yagua"
 
 msgid "Yagwoia"
-msgstr ""
+msgstr "Yagwoia"
 
 msgid "Yahadian"
-msgstr ""
+msgstr "Yahadian"
 
 msgid "Yahang"
-msgstr ""
+msgstr "Yahang"
 
 msgid "Yahuna"
-msgstr ""
+msgstr "Yahuna"
 
 msgid "Yaka (Central African Republic)"
-msgstr ""
+msgstr "Yaka (Central African Republic)"
 
 msgid "Yaka (Congo)"
-msgstr ""
+msgstr "Yaka (Congo)"
 
 msgid "Yaka (Democratic Republic of Congo)"
-msgstr ""
+msgstr "Yaka (Democratic Republic of Congo)"
 
 msgid "Yakaikeke"
-msgstr ""
+msgstr "Yakaikeke"
 
 msgid "Yakama"
-msgstr ""
+msgstr "Yakama"
 
 msgid "Yakan"
-msgstr ""
+msgstr "Yakan"
 
 msgid "Yakha"
-msgstr ""
+msgstr "Yakha"
 
 msgid "Yakoma"
-msgstr ""
+msgstr "Yakoma"
 
 msgid "Yakut"
 msgstr "ヤクート語"
 
 msgid "Yala"
-msgstr ""
+msgstr "Yala"
 
 msgid "Yalahatan"
-msgstr ""
+msgstr "Yalahatan"
 
 msgid "Yalakalore"
-msgstr ""
+msgstr "Yalakalore"
 
 msgid "Yalarnnga"
-msgstr ""
+msgstr "Yalarnnga"
 
 msgid "Yale"
-msgstr ""
+msgstr "Yale"
 
 msgid "Yale, Kosarek"
-msgstr ""
+msgstr "Yale, Kosarek"
 
 msgid "Yaleba"
-msgstr ""
+msgstr "Yaleba"
 
 msgid "Yali, Angguruk"
-msgstr ""
+msgstr "Yali, Angguruk"
 
 msgid "Yali, Ninia"
-msgstr ""
+msgstr "Yali, Ninia"
 
 msgid "Yali, Pass Valley"
-msgstr ""
+msgstr "Yali, Pass Valley"
 
 msgid "Yalunka"
-msgstr ""
+msgstr "Yalunka"
 
 msgid "Yamap"
-msgstr ""
+msgstr "Yamap"
 
 msgid "Yamba"
-msgstr ""
+msgstr "Yamba"
 
 msgid "Yambes"
-msgstr ""
+msgstr "Yambes"
 
 msgid "Yambeta"
-msgstr ""
+msgstr "Yambeta"
 
 msgid "Yamdena"
-msgstr ""
+msgstr "Yamdena"
 
 msgid "Yameo"
-msgstr ""
+msgstr "Yameo"
 
 msgid "Yami"
-msgstr ""
+msgstr "Yami"
 
 msgid "Yaminahua"
-msgstr ""
+msgstr "Yaminahua"
 
 msgid "Yamna"
-msgstr ""
+msgstr "Yamna"
 
 msgid "Yamongeri"
-msgstr ""
+msgstr "Yamongeri"
 
 msgid "Yamphu"
-msgstr ""
+msgstr "Yamphu"
 
 msgid "Yamphu, Southern"
-msgstr ""
+msgstr "Yamphu, Southern"
 
 msgid "Yan-nhangu"
-msgstr ""
+msgstr "Yan-nhangu"
 
 msgid "Yan-nhaŋu Sign Language"
-msgstr ""
+msgstr "Yan-nhaŋu Sign Language"
 
 msgid "Yana"
 msgstr "Yana"
 
 msgid "Yanda"
-msgstr ""
+msgstr "Yanda"
 
 msgid "Yandjibara"
-msgstr ""
+msgstr "Yandjibara"
 
 msgid "Yandruwandha"
-msgstr ""
+msgstr "Yandruwandha"
 
 msgid "Yanesha'"
-msgstr ""
+msgstr "Yanesha'"
 
 msgid "Yangben"
-msgstr ""
+msgstr "Yangben"
 
 msgid "Yangkam"
-msgstr ""
+msgstr "Yangkam"
 
 msgid "Yangman"
-msgstr ""
+msgstr "Yangman"
 
 msgid "Yango"
-msgstr ""
+msgstr "Yango"
 
 msgid "Yangulam"
-msgstr ""
+msgstr "Yangulam"
 
 msgid "Yangum Dey"
-msgstr ""
+msgstr "Yangum Dey"
 
 msgid "Yangum Gel"
-msgstr ""
+msgstr "Yangum Gel"
 
 msgid "Yangum Mon"
-msgstr ""
+msgstr "Yangum Mon"
 
 msgid "Yankunytjatjara"
-msgstr ""
+msgstr "Yankunytjatjara"
 
 msgid "Yanomamö"
-msgstr ""
+msgstr "Yanomamö"
 
 msgid "Yanomámi"
-msgstr ""
+msgstr "Yanomámi"
 
 msgid "Yansi"
-msgstr ""
+msgstr "Yansi"
 
 msgid "Yanyuwa"
-msgstr ""
+msgstr "Yanyuwa"
 
 msgid "Yao"
 msgstr "ヤオ語"
 
 msgid "Yaouré"
-msgstr ""
+msgstr "Yaouré"
 
 msgid "Yapese"
 msgstr "ヤップ語"
 
 msgid "Yapunda"
-msgstr ""
+msgstr "Yapunda"
 
 msgid "Yaqay"
-msgstr ""
+msgstr "Yaqay"
 
 msgid "Yaqui"
-msgstr ""
+msgstr "Yaqui"
 
 msgid "Yarawata"
-msgstr ""
+msgstr "Yarawata"
 
 msgid "Yardliyawarra"
-msgstr ""
+msgstr "Yardliyawarra"
 
 msgid "Yareba"
-msgstr ""
+msgstr "Yareba"
 
 msgid "Yarluyandi"
-msgstr ""
+msgstr "Yarluyandi"
 
 msgid "Yaroamë"
-msgstr ""
+msgstr "Yaroamë"
 
 msgid "Yarsun"
-msgstr ""
+msgstr "Yarsun"
 
 msgid "Yasa"
-msgstr ""
+msgstr "Yasa"
 
 msgid "Yassic"
-msgstr ""
+msgstr "Yassic"
 
 msgid "Yatay"
-msgstr ""
+msgstr "Yatay"
 
 msgid "Yau (Morobe Province)"
-msgstr ""
+msgstr "Yau (Morobe Province)"
 
 msgid "Yau (Sandaun Province)"
-msgstr ""
+msgstr "Yau (Sandaun Province)"
 
 msgid "Yaul"
-msgstr ""
+msgstr "Yaul"
 
 msgid "Yauma"
-msgstr ""
+msgstr "Yauma"
 
 msgid "Yaur"
-msgstr ""
+msgstr "Yaur"
 
 msgid "Yavitero"
-msgstr ""
+msgstr "Yavitero"
 
 msgid "Yawa"
-msgstr ""
+msgstr "Yawa"
 
 msgid "Yawalapití"
-msgstr ""
+msgstr "Yawalapití"
 
 msgid "Yawanawa"
-msgstr ""
+msgstr "Yawanawa"
 
 msgid "Yawarawarga"
-msgstr ""
+msgstr "Yawarawarga"
 
 msgid "Yaweyuha"
-msgstr ""
+msgstr "Yaweyuha"
 
 msgid "Yawijibaya"
-msgstr ""
+msgstr "Yawijibaya"
 
 msgid "Yawiyo"
-msgstr ""
+msgstr "Yawiyo"
 
 msgid "Yawuru"
-msgstr ""
+msgstr "Yawuru"
 
 msgid "Yaygir"
-msgstr ""
+msgstr "Yaygir"
 
 msgid "Yazgulyam"
-msgstr ""
+msgstr "Yazgulyam"
 
 msgid "Yei"
-msgstr ""
+msgstr "Yei"
 
 msgid "Yekhee"
-msgstr ""
+msgstr "Yekhee"
 
 msgid "Yekora"
-msgstr ""
+msgstr "Yekora"
 
 msgid "Yela"
-msgstr ""
+msgstr "Yela"
 
 msgid "Yele"
-msgstr ""
+msgstr "Yele"
 
 msgid "Yelmek"
-msgstr ""
+msgstr "Yelmek"
 
 msgid "Yelogu"
-msgstr ""
+msgstr "Yelogu"
 
 msgid "Yemba"
-msgstr ""
+msgstr "Yemba"
 
 msgid "Yemsa"
-msgstr ""
+msgstr "Yemsa"
 
 msgid "Yendang"
-msgstr ""
+msgstr "Yendang"
 
 msgid "Yeni"
-msgstr ""
+msgstr "Yeni"
 
 msgid "Yeniche"
-msgstr ""
+msgstr "Yeniche"
 
 msgid "Yerakai"
-msgstr ""
+msgstr "Yerakai"
 
 msgid "Yeretuar"
-msgstr ""
+msgstr "Yeretuar"
 
 msgid "Yerong"
-msgstr ""
+msgstr "Yerong"
 
 msgid "Yerukula"
-msgstr ""
+msgstr "Yerukula"
 
 msgid "Yessan-Mayo"
-msgstr ""
+msgstr "Yessan-Mayo"
 
 msgid "Yetfa"
-msgstr ""
+msgstr "Yetfa"
 
 msgid "Yevanic"
-msgstr ""
+msgstr "Yevanic"
 
 msgid "Yeyi"
-msgstr ""
+msgstr "Yeyi"
 
 msgid "Yi, Axi"
-msgstr ""
+msgstr "Yi, Axi"
 
 msgid "Yi, Naluo"
-msgstr ""
+msgstr "Yi, Naluo"
 
 msgid "Yi, Sichuan"
-msgstr ""
+msgstr "Yi, Sichuan"
 
 msgid "Yi, Wuding-Luquan"
-msgstr ""
+msgstr "Yi, Wuding-Luquan"
 
 msgid "Yiddish"
 msgstr "イディッシュ語"
 
 msgid "Yiddish, Eastern"
-msgstr ""
+msgstr "Yiddish, Eastern"
 
 msgid "Yiddish, Western"
-msgstr ""
+msgstr "Yiddish, Western"
 
 msgid "Yidgha"
-msgstr ""
+msgstr "Yidgha"
 
 msgid "Yidiny"
-msgstr ""
+msgstr "Yidiny"
 
 msgid "Yil"
-msgstr ""
+msgstr "Yil"
 
 msgid "Yimas"
-msgstr ""
+msgstr "Yimas"
 
 msgid "Yinchia"
-msgstr ""
+msgstr "Yinchia"
 
 msgid "Yindjibarndi"
-msgstr ""
+msgstr "Yindjibarndi"
 
 msgid "Yindjilandji"
-msgstr ""
+msgstr "Yindjilandji"
 
 msgid "Yine"
-msgstr ""
+msgstr "Yine"
 
 msgid "Yinggarda"
-msgstr ""
+msgstr "Yinggarda"
 
 msgid "Yinhawangka"
-msgstr ""
+msgstr "Yinhawangka"
 
 msgid "Yiningayi"
-msgstr ""
+msgstr "Yiningayi"
 
 msgid "Yinwum"
-msgstr ""
+msgstr "Yinwum"
 
 msgid "Yir Yoront"
-msgstr ""
+msgstr "Yir Yoront"
 
 msgid "Yirandali"
-msgstr ""
+msgstr "Yirandali"
 
 msgid "Yirrk-Mel"
-msgstr ""
+msgstr "Yirrk-Mel"
 
 msgid "Yis"
-msgstr ""
+msgstr "Yis"
 
 msgid "Yitha Yitha"
-msgstr ""
+msgstr "Yitha Yitha"
 
 msgid "Yoba"
-msgstr ""
+msgstr "Yoba"
 
 msgid "Yogad"
-msgstr ""
+msgstr "Yogad"
 
 msgid "Yoidik"
-msgstr ""
+msgstr "Yoidik"
 
 msgid "Yoke"
-msgstr ""
+msgstr "Yoke"
 
 msgid "Yokuts"
-msgstr ""
+msgstr "Yokuts"
 
 msgid "Yola"
-msgstr ""
+msgstr "Yola"
 
 msgid "Yolŋu Sign Language"
-msgstr ""
+msgstr "Yolŋu Sign Language"
 
 msgid "Yom"
-msgstr ""
+msgstr "Yom"
 
 msgid "Yombe"
-msgstr ""
+msgstr "Yombe"
 
 msgid "Yonaguni"
-msgstr ""
+msgstr "Yonaguni"
 
 msgid "Yong"
-msgstr ""
+msgstr "Yong"
 
 msgid "Yongkom"
-msgstr ""
+msgstr "Yongkom"
 
 msgid "Yopno"
-msgstr ""
+msgstr "Yopno"
 
 msgid "Yora"
-msgstr ""
+msgstr "Yora"
 
 msgid "Yoron"
-msgstr ""
+msgstr "Yoron"
 
 msgid "Yorta Yorta"
-msgstr ""
+msgstr "Yorta Yorta"
 
 msgid "Yoruba"
 msgstr "ヨルバ語"
 
 msgid "Yotti"
-msgstr ""
+msgstr "Yotti"
 
 msgid "Yout Wam"
-msgstr ""
+msgstr "Yout Wam"
 
 msgid "Yoy"
-msgstr ""
+msgstr "Yoy"
 
 msgid "Yuanga"
-msgstr ""
+msgstr "Yuanga"
 
 msgid "Yucatec Maya Sign Language"
-msgstr ""
+msgstr "Yucatec Maya Sign Language"
 
 msgid "Yucateco"
-msgstr ""
+msgstr "Yucateco"
 
 msgid "Yuchi"
-msgstr ""
+msgstr "Yuchi"
 
 msgid "Yucuna"
-msgstr ""
+msgstr "Yucuna"
 
 msgid "Yug"
-msgstr ""
+msgstr "Yug"
 
 msgid "Yugambal"
-msgstr ""
+msgstr "Yugambal"
 
 msgid "Yugoslavian Sign Language"
-msgstr ""
+msgstr "Yugoslavian Sign Language"
 
 msgid "Yugul"
-msgstr ""
+msgstr "Yugul"
 
 msgid "Yugur, East"
-msgstr ""
+msgstr "Yugur, East"
 
 msgid "Yugur, West"
-msgstr ""
+msgstr "Yugur, West"
 
 msgid "Yuhup"
-msgstr ""
+msgstr "Yuhup"
 
 msgid "Yukaghir, Northern"
-msgstr ""
+msgstr "Yukaghir, Northern"
 
 msgid "Yukaghir, Southern"
-msgstr ""
+msgstr "Yukaghir, Southern"
 
 msgid "Yuki"
-msgstr ""
+msgstr "Yuki"
 
 msgid "Yukpa"
-msgstr ""
+msgstr "Yukpa"
 
 msgid "Yukuben"
-msgstr ""
+msgstr "Yukuben"
 
 msgid "Yulu"
-msgstr ""
+msgstr "Yulu"
 
 msgid "Yupik, Central"
-msgstr ""
+msgstr "Yupik, Central"
 
 msgid "Yupik, Central Siberian"
-msgstr ""
+msgstr "Yupik, Central Siberian"
 
 msgid "Yupik, Naukan"
-msgstr ""
+msgstr "Yupik, Naukan"
 
 msgid "Yupik, Pacific Gulf"
-msgstr ""
+msgstr "Yupik, Pacific Gulf"
 
 msgid "Yupik, Sirenik"
-msgstr ""
+msgstr "Yupik, Sirenik"
 
 msgid "Yuqui"
-msgstr ""
+msgstr "Yuqui"
 
 msgid "Yuracare"
-msgstr ""
+msgstr "Yuracare"
 
 msgid "Yurats"
-msgstr ""
+msgstr "Yurats"
 
 msgid "Yurok"
-msgstr ""
+msgstr "Yurok"
 
 msgid "Yuru"
-msgstr ""
+msgstr "Yuru"
 
 msgid "Yurutí"
-msgstr ""
+msgstr "Yurutí"
 
 msgid "Yuwana"
-msgstr ""
+msgstr "Yuwana"
 
 msgid "Yuyu"
-msgstr ""
+msgstr "Yuyu"
 
 msgid "Ywom"
-msgstr ""
+msgstr "Ywom"
 
 msgid "Yámana"
-msgstr ""
+msgstr "Yámana"
 
 msgid "Zabana"
-msgstr ""
+msgstr "Zabana"
 
 msgid "Zaghawa"
-msgstr ""
+msgstr "Zaghawa"
 
 msgid "Zaiwa"
-msgstr ""
+msgstr "Zaiwa"
 
 msgid "Zakhring"
-msgstr ""
+msgstr "Zakhring"
 
 msgid "Zambian Sign Language"
-msgstr ""
+msgstr "Zambian Sign Language"
 
 msgid "Zan Gula"
-msgstr ""
+msgstr "Zan Gula"
 
 msgid "Zanaki"
-msgstr ""
+msgstr "Zanaki"
 
 msgid "Zande (individual language)"
-msgstr ""
+msgstr "Zande (individual language)"
 
 msgid "Zangskari"
-msgstr ""
+msgstr "Zangskari"
 
 msgid "Zangwal"
-msgstr ""
+msgstr "Zangwal"
 
 msgid "Zapotec"
 msgstr "Zapotec"
 
 msgid "Zapotec, Aloápam"
-msgstr ""
+msgstr "Zapotec, Aloápam"
 
 msgid "Zapotec, Amatlán"
-msgstr ""
+msgstr "Zapotec, Amatlán"
 
 msgid "Zapotec, Ancient"
-msgstr ""
+msgstr "Zapotec, Ancient"
 
 msgid "Zapotec, Asunción Mixtepec"
-msgstr ""
+msgstr "Zapotec, Asunción Mixtepec"
 
 msgid "Zapotec, Ayoquesco"
-msgstr ""
+msgstr "Zapotec, Ayoquesco"
 
 msgid "Zapotec, Cajonos"
-msgstr ""
+msgstr "Zapotec, Cajonos"
 
 msgid "Zapotec, Chichicapan"
-msgstr ""
+msgstr "Zapotec, Chichicapan"
 
 msgid "Zapotec, Choapan"
-msgstr ""
+msgstr "Zapotec, Choapan"
 
 msgid "Zapotec, Coatecas Altas"
-msgstr ""
+msgstr "Zapotec, Coatecas Altas"
 
 msgid "Zapotec, Coatlán"
-msgstr ""
+msgstr "Zapotec, Coatlán"
 
 msgid "Zapotec, El Alto"
-msgstr ""
+msgstr "Zapotec, El Alto"
 
 msgid "Zapotec, Elotepec"
-msgstr ""
+msgstr "Zapotec, Elotepec"
 
 msgid "Zapotec, Guevea De Humboldt"
-msgstr ""
+msgstr "Zapotec, Guevea De Humboldt"
 
 msgid "Zapotec, Güilá"
-msgstr ""
+msgstr "Zapotec, Güilá"
 
 msgid "Zapotec, Isthmus"
-msgstr ""
+msgstr "Zapotec, Isthmus"
 
 msgid "Zapotec, Lachiguiri"
-msgstr ""
+msgstr "Zapotec, Lachiguiri"
 
 msgid "Zapotec, Lachixío"
-msgstr ""
+msgstr "Zapotec, Lachixío"
 
 msgid "Zapotec, Lapaguía-Guivini"
-msgstr ""
+msgstr "Zapotec, Lapaguía-Guivini"
 
 msgid "Zapotec, Loxicha"
-msgstr ""
+msgstr "Zapotec, Loxicha"
 
 msgid "Zapotec, Mazaltepec"
-msgstr ""
+msgstr "Zapotec, Mazaltepec"
 
 msgid "Zapotec, Miahuatlán"
-msgstr ""
+msgstr "Zapotec, Miahuatlán"
 
 msgid "Zapotec, Mitla"
-msgstr ""
+msgstr "Zapotec, Mitla"
 
 msgid "Zapotec, Mixtepec"
-msgstr ""
+msgstr "Zapotec, Mixtepec"
 
 msgid "Zapotec, Ocotlán"
-msgstr ""
+msgstr "Zapotec, Ocotlán"
 
 msgid "Zapotec, Ozolotepec"
-msgstr ""
+msgstr "Zapotec, Ozolotepec"
 
 msgid "Zapotec, Petapa"
-msgstr ""
+msgstr "Zapotec, Petapa"
 
 msgid "Zapotec, Quiavicuzas"
-msgstr ""
+msgstr "Zapotec, Quiavicuzas"
 
 msgid "Zapotec, Quioquitani-Quierí"
-msgstr ""
+msgstr "Zapotec, Quioquitani-Quierí"
 
 msgid "Zapotec, Rincón"
-msgstr ""
+msgstr "Zapotec, Rincón"
 
 msgid "Zapotec, San Agustín Mixtepec"
-msgstr ""
+msgstr "Zapotec, San Agustín Mixtepec"
 
 msgid "Zapotec, San Baltazar Loxicha"
-msgstr ""
+msgstr "Zapotec, San Baltazar Loxicha"
 
 msgid "Zapotec, San Pedro Quiatoni"
-msgstr ""
+msgstr "Zapotec, San Pedro Quiatoni"
 
 msgid "Zapotec, San Vicente Coatlán"
-msgstr ""
+msgstr "Zapotec, San Vicente Coatlán"
 
 msgid "Zapotec, Santa Catarina Albarradas"
-msgstr ""
+msgstr "Zapotec, Santa Catarina Albarradas"
 
 msgid "Zapotec, Santa Inés Yatzechi"
-msgstr ""
+msgstr "Zapotec, Santa Inés Yatzechi"
 
 msgid "Zapotec, Santa María Quiegolani"
-msgstr ""
+msgstr "Zapotec, Santa María Quiegolani"
 
 msgid "Zapotec, Santiago Xanica"
-msgstr ""
+msgstr "Zapotec, Santiago Xanica"
 
 msgid "Zapotec, Santo Domingo Albarradas"
-msgstr ""
+msgstr "Zapotec, Santo Domingo Albarradas"
 
 msgid "Zapotec, Sierra de Juárez"
-msgstr ""
+msgstr "Zapotec, Sierra de Juárez"
 
 msgid "Zapotec, Southeastern Ixtlán"
-msgstr ""
+msgstr "Zapotec, Southeastern Ixtlán"
 
 msgid "Zapotec, Southern Rincon"
-msgstr ""
+msgstr "Zapotec, Southern Rincon"
 
 msgid "Zapotec, Tabaa"
-msgstr ""
+msgstr "Zapotec, Tabaa"
 
 msgid "Zapotec, Tejalapan"
-msgstr ""
+msgstr "Zapotec, Tejalapan"
 
 msgid "Zapotec, Texmelucan"
-msgstr ""
+msgstr "Zapotec, Texmelucan"
 
 msgid "Zapotec, Tilquiapan"
-msgstr ""
+msgstr "Zapotec, Tilquiapan"
 
 msgid "Zapotec, Tlacolulita"
-msgstr ""
+msgstr "Zapotec, Tlacolulita"
 
 msgid "Zapotec, Totomachapan"
-msgstr ""
+msgstr "Zapotec, Totomachapan"
 
 msgid "Zapotec, Western Tlacolula Valley"
-msgstr ""
+msgstr "Zapotec, Western Tlacolula Valley"
 
 msgid "Zapotec, Xadani"
-msgstr ""
+msgstr "Zapotec, Xadani"
 
 msgid "Zapotec, Xanaguía"
-msgstr ""
+msgstr "Zapotec, Xanaguía"
 
 msgid "Zapotec, Yalálag"
-msgstr ""
+msgstr "Zapotec, Yalálag"
 
 msgid "Zapotec, Yareni"
-msgstr ""
+msgstr "Zapotec, Yareni"
 
 msgid "Zapotec, Yatee"
-msgstr ""
+msgstr "Zapotec, Yatee"
 
 msgid "Zapotec, Yatzachi"
-msgstr ""
+msgstr "Zapotec, Yatzachi"
 
 msgid "Zapotec, Yautepec"
-msgstr ""
+msgstr "Zapotec, Yautepec"
 
 msgid "Zapotec, Zaachila"
-msgstr ""
+msgstr "Zapotec, Zaachila"
 
 msgid "Zapotec, Zaniza"
-msgstr ""
+msgstr "Zapotec, Zaniza"
 
 msgid "Zapotec, Zoogocho"
-msgstr ""
+msgstr "Zapotec, Zoogocho"
 
 msgid "Zaramo"
-msgstr ""
+msgstr "Zaramo"
 
 msgid "Zari"
-msgstr ""
+msgstr "Zari"
 
 msgid "Zarma"
-msgstr ""
+msgstr "Zarma"
 
 msgid "Zarphatic"
-msgstr ""
+msgstr "Zarphatic"
 
 msgid "Zauzou"
-msgstr ""
+msgstr "Zauzou"
 
 msgid "Zay"
-msgstr ""
+msgstr "Zay"
 
 msgid "Zayse-Zergulla"
-msgstr ""
+msgstr "Zayse-Zergulla"
 
 msgid "Zaza"
-msgstr ""
+msgstr "Zaza"
 
 msgid "Zazao"
-msgstr ""
+msgstr "Zazao"
 
 msgid "Zeem"
-msgstr ""
+msgstr "Zeem"
 
 msgid "Zeeuws"
-msgstr ""
+msgstr "Zeeuws"
 
 msgid "Zemba"
-msgstr ""
+msgstr "Zemba"
 
 msgid "Zemgalian"
-msgstr ""
+msgstr "Zemgalian"
 
 msgid "Zenag"
-msgstr ""
+msgstr "Zenag"
 
 msgid "Zenaga"
 msgstr "ゼナガ語"
 
 msgid "Zerenkel"
-msgstr ""
+msgstr "Zerenkel"
 
 msgid "Zhaba"
-msgstr ""
+msgstr "Zhaba"
 
 msgid "Zhang-Zhung"
-msgstr ""
+msgstr "Zhang-Zhung"
 
 msgid "Zhire"
-msgstr ""
+msgstr "Zhire"
 
 msgid "Zhoa"
-msgstr ""
+msgstr "Zhoa"
 
 msgid "Zhuang"
-msgstr ""
+msgstr "Zhuang"
 
 msgid "Zhuang, Central Hongshuihe"
-msgstr ""
+msgstr "Zhuang, Central Hongshuihe"
 
 msgid "Zhuang, Dai"
-msgstr ""
+msgstr "Zhuang, Dai"
 
 msgid "Zhuang, Eastern Hongshuihe"
-msgstr ""
+msgstr "Zhuang, Eastern Hongshuihe"
 
 msgid "Zhuang, Guibei"
-msgstr ""
+msgstr "Zhuang, Guibei"
 
 msgid "Zhuang, Guibian"
-msgstr ""
+msgstr "Zhuang, Guibian"
 
 msgid "Zhuang, Lianshan"
-msgstr ""
+msgstr "Zhuang, Lianshan"
 
 msgid "Zhuang, Liujiang"
-msgstr ""
+msgstr "Zhuang, Liujiang"
 
 msgid "Zhuang, Liuqian"
-msgstr ""
+msgstr "Zhuang, Liuqian"
 
 msgid "Zhuang, Minz"
-msgstr ""
+msgstr "Zhuang, Minz"
 
 msgid "Zhuang, Nong"
-msgstr ""
+msgstr "Zhuang, Nong"
 
 msgid "Zhuang, Qiubei"
-msgstr ""
+msgstr "Zhuang, Qiubei"
 
 msgid "Zhuang, Yang"
-msgstr ""
+msgstr "Zhuang, Yang"
 
 msgid "Zhuang, Yongbei"
-msgstr ""
+msgstr "Zhuang, Yongbei"
 
 msgid "Zhuang, Yongnan"
-msgstr ""
+msgstr "Zhuang, Yongnan"
 
 msgid "Zhuang, Youjiang"
-msgstr ""
+msgstr "Zhuang, Youjiang"
 
 msgid "Zhuang, Zuojiang"
-msgstr ""
+msgstr "Zhuang, Zuojiang"
 
 msgid "Zia"
-msgstr ""
+msgstr "Zia"
 
 msgid "Zialo"
-msgstr ""
+msgstr "Zialo"
 
 msgid "Zigula"
-msgstr ""
+msgstr "Zigula"
 
 msgid "Zimakani"
-msgstr ""
+msgstr "Zimakani"
 
 msgid "Zimba"
-msgstr ""
+msgstr "Zimba"
 
 msgid "Zimbabwe Sign Language"
-msgstr ""
+msgstr "Zimbabwe Sign Language"
 
 msgid "Zinza"
-msgstr ""
+msgstr "Zinza"
 
 msgid "Zire"
-msgstr ""
+msgstr "Zire"
 
 msgid "Ziriya"
-msgstr ""
+msgstr "Ziriya"
 
 msgid "Zizilivakan"
-msgstr ""
+msgstr "Zizilivakan"
 
 msgid "Zo'é"
-msgstr ""
+msgstr "Zo'é"
 
 msgid "Zokhuo"
-msgstr ""
+msgstr "Zokhuo"
 
 msgid "Zoque, Chimalapa"
-msgstr ""
+msgstr "Zoque, Chimalapa"
 
 msgid "Zoque, Copainalá"
-msgstr ""
+msgstr "Zoque, Copainalá"
 
 msgid "Zoque, Francisco León"
-msgstr ""
+msgstr "Zoque, Francisco León"
 
 msgid "Zoque, Rayón"
-msgstr ""
+msgstr "Zoque, Rayón"
 
 msgid "Zoque, Tabasco"
-msgstr ""
+msgstr "Zoque, Tabasco"
 
 msgid "Zou"
-msgstr ""
+msgstr "Zou"
 
 msgid "Zulgo-Gemzek"
-msgstr ""
+msgstr "Zulgo-Gemzek"
 
 msgid "Zulu"
 msgstr "ズールー語"
 
 msgid "Zumaya"
-msgstr ""
+msgstr "Zumaya"
 
 msgid "Zumbun"
-msgstr ""
+msgstr "Zumbun"
 
 msgid "Zuni"
 msgstr "ズニ語"
 
 msgid "Záparo"
-msgstr ""
+msgstr "Záparo"
 
 msgid "Àhàn"
-msgstr ""
+msgstr "Àhàn"
 
 msgid "Áncá"
-msgstr ""
+msgstr "Áncá"
 
 msgid "Ömie"
-msgstr ""
+msgstr "Ömie"
 
 msgid "Önge"
-msgstr ""
+msgstr "Önge"
 
 msgid "ǂUngkue"
-msgstr ""
+msgstr "ǂUngkue"
diff -pruN 5.9.0+dfsg-3/translations/iso_639/sv.po 5.10.0+dfsg-1/translations/iso_639/sv.po
--- 5.9.0+dfsg-3/translations/iso_639/sv.po	2020-11-12 05:09:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/iso_639/sv.po	2021-01-20 15:28:41.000000000 +0000
@@ -1,19 +1,19 @@
 # Translation template file..
-# Copyright (C) 2020 Kovid Goyal
+# Copyright (C) 2021 Kovid Goyal
 # 
 # Translators:
 # Christian Rose <menthos@menthos.com>, 2004
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
 # Jonatan Nyberg, 2019
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2019-2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2019-2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: https://bugs.launchpad.net/calibre\n"
-"POT-Creation-Date: 2020-11-12 05:07+UTC\n"
-"PO-Revision-Date: 2020-10-29 09:32+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+UTC\n"
+"PO-Revision-Date: 2021-01-17 07:33+0000\n"
+"Last-Translator: efef6ec5b435a041fce803c7f8af77d2_2341d43\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -1096,7 +1096,7 @@ msgid "Arabic, South Levantine"
 msgstr ""
 
 msgid "Arabic, Standard"
-msgstr ""
+msgstr "Arabiska, standard"
 
 msgid "Arabic, Sudanese"
 msgstr ""
@@ -5779,7 +5779,7 @@ msgid "Estonian Sign Language"
 msgstr "Estniskt teckenspråk"
 
 msgid "Estonian, Standard"
-msgstr ""
+msgstr "Estniska, standard"
 
 msgid "Esuma"
 msgstr "Esuma"
@@ -11248,7 +11248,7 @@ msgid "Latvian Sign Language"
 msgstr "Lettiskt teckenspråk"
 
 msgid "Latvian, Standard"
-msgstr ""
+msgstr "Lettiska, standard"
 
 msgid "Lau"
 msgstr "Lau"
@@ -12382,7 +12382,7 @@ msgid "Malay, Sabah"
 msgstr ""
 
 msgid "Malay, Standard"
-msgstr ""
+msgstr "Malajiska, standard"
 
 msgid "Malay, Tenggarong Kutai"
 msgstr ""
@@ -19969,7 +19969,7 @@ msgid "Tamazight, Central Atlas"
 msgstr ""
 
 msgid "Tamazight, Standard Moroccan"
-msgstr ""
+msgstr "Tamazight, standard marockanska"
 
 msgid "Tamazight, Temacine"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/af/db_api.po 5.10.0+dfsg-1/translations/manual/af/db_api.po
--- 5.9.0+dfsg-3/translations/manual/af/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/af/db_api.po	2021-01-20 15:30:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/af/edit.po 5.10.0+dfsg-1/translations/manual/af/edit.po
--- 5.9.0+dfsg-3/translations/manual/af/edit.po	2020-12-10 03:01:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/af/edit.po	2021-01-20 15:29:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: af\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Wysig e-boeke"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Inhoud"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Bewaarde soektogte"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/af/faq.po 5.10.0+dfsg-1/translations/manual/af/faq.po
--- 5.9.0+dfsg-3/translations/manual/af/faq.po	2021-01-06 15:34:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/af/faq.po	2021-01-20 15:28:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/af/stats.json 5.10.0+dfsg-1/translations/manual/af/stats.json
--- 5.9.0+dfsg-3/translations/manual/af/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/af/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 116,
-    "untranslated": 2909
+    "untranslated": 2915
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/af/template_lang.po 5.10.0+dfsg-1/translations/manual/af/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/af/template_lang.po	2021-01-06 15:34:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/af/template_lang.po	2021-01-20 15:28:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/af/viewer.po 5.10.0+dfsg-1/translations/manual/af/viewer.po
--- 5.9.0+dfsg-3/translations/manual/af/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/af/viewer.po	2021-01-20 15:29:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Afrikaans (http://www.transifex.com/calibre/calibre/language/af/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/am/db_api.po 5.10.0+dfsg-1/translations/manual/am/db_api.po
--- 5.9.0+dfsg-3/translations/manual/am/db_api.po	2020-12-23 14:20:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/am/db_api.po	2021-01-20 15:31:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/am/edit.po 5.10.0+dfsg-1/translations/manual/am/edit.po
--- 5.9.0+dfsg-3/translations/manual/am/edit.po	2020-12-10 03:00:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/am/edit.po	2021-01-20 15:30:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: am\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/am/faq.po 5.10.0+dfsg-1/translations/manual/am/faq.po
--- 5.9.0+dfsg-3/translations/manual/am/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/am/faq.po	2021-01-20 15:29:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/am/stats.json 5.10.0+dfsg-1/translations/manual/am/stats.json
--- 5.9.0+dfsg-3/translations/manual/am/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/am/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 1,
-    "untranslated": 3024
+    "untranslated": 3030
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/am/template_lang.po 5.10.0+dfsg-1/translations/manual/am/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/am/template_lang.po	2021-01-06 15:34:27.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/am/template_lang.po	2021-01-20 15:28:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/am/viewer.po 5.10.0+dfsg-1/translations/manual/am/viewer.po
--- 5.9.0+dfsg-3/translations/manual/am/viewer.po	2021-01-06 15:35:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/am/viewer.po	2021-01-20 15:29:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Amharic (http://www.transifex.com/calibre/calibre/language/am/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ar/db_api.po 5.10.0+dfsg-1/translations/manual/ar/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ar/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ar/db_api.po	2021-01-20 15:30:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ar/edit.po 5.10.0+dfsg-1/translations/manual/ar/edit.po
--- 5.9.0+dfsg-3/translations/manual/ar/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ar/edit.po	2021-01-20 15:29:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ar\n"
 "Plural-Forms: nplurals=6; plural=n==0 ? 0 : n==1 ? 1 : n==2 ? 2 : n%100>=3 && n%100<=10 ? 3 : n%100>=11 && n%100<=99 ? 4 : 5;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "تحرير الكتب الإلكترونية"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "المحتويات"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "عمليات البحث المحفوظة"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "أبرزهم أسرة الخطوط دون الترويس"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "أبرزهم أسرة الخطوط دون الترويس"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ar/faq.po 5.10.0+dfsg-1/translations/manual/ar/faq.po
--- 5.9.0+dfsg-3/translations/manual/ar/faq.po	2021-01-06 15:34:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ar/faq.po	2021-01-20 15:29:03.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -48,9 +48,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -168,8 +168,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -409,7 +409,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -805,7 +805,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -939,7 +939,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1621,12 +1621,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1637,7 +1652,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1646,22 +1661,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1671,14 +1686,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1689,11 +1704,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1703,26 +1718,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1730,13 +1745,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1746,7 +1761,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1754,11 +1769,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1767,7 +1782,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1781,11 +1796,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1794,7 +1809,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1802,7 +1817,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1812,13 +1827,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1831,44 +1846,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1876,18 +1891,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1900,7 +1915,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1909,11 +1924,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1926,21 +1941,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1951,15 +1966,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1967,7 +1982,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1975,7 +1990,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1983,25 +1998,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2014,30 +2029,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2050,34 +2065,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ar/stats.json 5.10.0+dfsg-1/translations/manual/ar/stats.json
--- 5.9.0+dfsg-3/translations/manual/ar/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ar/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 147,
-    "untranslated": 2878
+    "untranslated": 2884
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ar/template_lang.po 5.10.0+dfsg-1/translations/manual/ar/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ar/template_lang.po	2021-01-06 15:34:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ar/template_lang.po	2021-01-20 15:28:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ar/viewer.po 5.10.0+dfsg-1/translations/manual/ar/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ar/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ar/viewer.po	2021-01-20 15:29:33.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Arabic (http://www.transifex.com/calibre/calibre/language/ar/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ast/db_api.po 5.10.0+dfsg-1/translations/manual/ast/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ast/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ast/db_api.po	2021-01-20 15:30:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ast/edit.po 5.10.0+dfsg-1/translations/manual/ast/edit.po
--- 5.9.0+dfsg-3/translations/manual/ast/edit.po	2020-12-10 03:01:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ast/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ast\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ast/faq.po 5.10.0+dfsg-1/translations/manual/ast/faq.po
--- 5.9.0+dfsg-3/translations/manual/ast/faq.po	2021-01-06 15:34:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ast/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ast/stats.json 5.10.0+dfsg-1/translations/manual/ast/stats.json
--- 5.9.0+dfsg-3/translations/manual/ast/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ast/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 2,
-    "untranslated": 3023
+    "untranslated": 3029
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ast/template_lang.po 5.10.0+dfsg-1/translations/manual/ast/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ast/template_lang.po	2021-01-06 15:34:29.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ast/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ast/viewer.po 5.10.0+dfsg-1/translations/manual/ast/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ast/viewer.po	2021-01-06 15:35:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ast/viewer.po	2021-01-20 15:29:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Asturian (http://www.transifex.com/calibre/calibre/language/ast/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/az/db_api.po 5.10.0+dfsg-1/translations/manual/az/db_api.po
--- 5.9.0+dfsg-3/translations/manual/az/db_api.po	2020-12-23 14:21:05.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/az/db_api.po	2021-01-20 15:30:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/az/edit.po 5.10.0+dfsg-1/translations/manual/az/edit.po
--- 5.9.0+dfsg-3/translations/manual/az/edit.po	2020-12-10 03:01:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/az/edit.po	2021-01-20 15:29:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: az\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "İstifadə olunmayan CSS qaydaları silinir"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/az/faq.po 5.10.0+dfsg-1/translations/manual/az/faq.po
--- 5.9.0+dfsg-3/translations/manual/az/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/az/faq.po	2021-01-20 15:29:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/az/stats.json 5.10.0+dfsg-1/translations/manual/az/stats.json
--- 5.9.0+dfsg-3/translations/manual/az/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/az/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 38,
-    "untranslated": 2987
+    "untranslated": 2993
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/az/template_lang.po 5.10.0+dfsg-1/translations/manual/az/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/az/template_lang.po	2021-01-06 15:34:28.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/az/template_lang.po	2021-01-20 15:28:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/az/viewer.po 5.10.0+dfsg-1/translations/manual/az/viewer.po
--- 5.9.0+dfsg-3/translations/manual/az/viewer.po	2021-01-06 15:35:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/az/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Azerbaijani (http://www.transifex.com/calibre/calibre/language/az/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/be/db_api.po 5.10.0+dfsg-1/translations/manual/be/db_api.po
--- 5.9.0+dfsg-3/translations/manual/be/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/be/db_api.po	2021-01-20 15:30:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/be/edit.po 5.10.0+dfsg-1/translations/manual/be/edit.po
--- 5.9.0+dfsg-3/translations/manual/be/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/be/edit.po	2021-01-20 15:29:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: be\n"
 "Plural-Forms: nplurals=4; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<12 || n%100>14) ? 1 : n%10==0 || (n%10>=5 && n%10<=9) || (n%100>=11 && n%100<=14)? 2 : 3);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Змесціва"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/be/faq.po 5.10.0+dfsg-1/translations/manual/be/faq.po
--- 5.9.0+dfsg-3/translations/manual/be/faq.po	2021-01-06 15:34:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/be/faq.po	2021-01-20 15:29:05.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -47,9 +47,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,7 +938,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/be/stats.json 5.10.0+dfsg-1/translations/manual/be/stats.json
--- 5.9.0+dfsg-3/translations/manual/be/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/be/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 73,
-    "untranslated": 2952
+    "untranslated": 2958
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/be/template_lang.po 5.10.0+dfsg-1/translations/manual/be/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/be/template_lang.po	2021-01-06 15:34:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/be/template_lang.po	2021-01-20 15:28:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/be/viewer.po 5.10.0+dfsg-1/translations/manual/be/viewer.po
--- 5.9.0+dfsg-3/translations/manual/be/viewer.po	2021-01-06 15:35:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/be/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Belarusian (http://www.transifex.com/calibre/calibre/language/be/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/bg/db_api.po 5.10.0+dfsg-1/translations/manual/bg/db_api.po
--- 5.9.0+dfsg-3/translations/manual/bg/db_api.po	2020-12-23 14:21:14.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bg/db_api.po	2021-01-20 15:30:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/bg/edit.po 5.10.0+dfsg-1/translations/manual/bg/edit.po
--- 5.9.0+dfsg-3/translations/manual/bg/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bg/edit.po	2021-01-20 15:29:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: bg\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Съдържание"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/bg/faq.po 5.10.0+dfsg-1/translations/manual/bg/faq.po
--- 5.9.0+dfsg-3/translations/manual/bg/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bg/faq.po	2021-01-20 15:29:02.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -47,9 +47,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,7 +938,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/bg/stats.json 5.10.0+dfsg-1/translations/manual/bg/stats.json
--- 5.9.0+dfsg-3/translations/manual/bg/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bg/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 61,
-    "untranslated": 2964
+    "untranslated": 2970
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/bg/template_lang.po 5.10.0+dfsg-1/translations/manual/bg/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/bg/template_lang.po	2021-01-06 15:34:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bg/template_lang.po	2021-01-20 15:28:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/bg/viewer.po 5.10.0+dfsg-1/translations/manual/bg/viewer.po
--- 5.9.0+dfsg-3/translations/manual/bg/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bg/viewer.po	2021-01-20 15:29:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bulgarian (http://www.transifex.com/calibre/calibre/language/bg/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/bn/db_api.po 5.10.0+dfsg-1/translations/manual/bn/db_api.po
--- 5.9.0+dfsg-3/translations/manual/bn/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn/db_api.po	2021-01-20 15:30:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/bn/edit.po 5.10.0+dfsg-1/translations/manual/bn/edit.po
--- 5.9.0+dfsg-3/translations/manual/bn/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: bn\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/bn/faq.po 5.10.0+dfsg-1/translations/manual/bn/faq.po
--- 5.9.0+dfsg-3/translations/manual/bn/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/bn/stats.json 5.10.0+dfsg-1/translations/manual/bn/stats.json
--- 5.9.0+dfsg-3/translations/manual/bn/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 6,
-    "untranslated": 3019
+    "untranslated": 3025
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/bn/template_lang.po 5.10.0+dfsg-1/translations/manual/bn/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/bn/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/bn/viewer.po 5.10.0+dfsg-1/translations/manual/bn/viewer.po
--- 5.9.0+dfsg-3/translations/manual/bn/viewer.po	2021-01-06 15:35:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (http://www.transifex.com/calibre/calibre/language/bn/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_BD/db_api.po 5.10.0+dfsg-1/translations/manual/bn_BD/db_api.po
--- 5.9.0+dfsg-3/translations/manual/bn_BD/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_BD/db_api.po	2021-01-20 15:30:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_BD/edit.po 5.10.0+dfsg-1/translations/manual/bn_BD/edit.po
--- 5.9.0+dfsg-3/translations/manual/bn_BD/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_BD/edit.po	2021-01-20 15:30:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: bn_BD\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_BD/faq.po 5.10.0+dfsg-1/translations/manual/bn_BD/faq.po
--- 5.9.0+dfsg-3/translations/manual/bn_BD/faq.po	2021-01-06 15:34:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_BD/faq.po	2021-01-20 15:29:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_BD/stats.json 5.10.0+dfsg-1/translations/manual/bn_BD/stats.json
--- 5.9.0+dfsg-3/translations/manual/bn_BD/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_BD/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 5,
-    "untranslated": 3020
+    "untranslated": 3026
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_BD/template_lang.po 5.10.0+dfsg-1/translations/manual/bn_BD/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/bn_BD/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_BD/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_BD/viewer.po 5.10.0+dfsg-1/translations/manual/bn_BD/viewer.po
--- 5.9.0+dfsg-3/translations/manual/bn_BD/viewer.po	2021-01-06 15:35:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_BD/viewer.po	2021-01-20 15:29:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (Bangladesh) (http://www.transifex.com/calibre/calibre/language/bn_BD/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_IN/db_api.po 5.10.0+dfsg-1/translations/manual/bn_IN/db_api.po
--- 5.9.0+dfsg-3/translations/manual/bn_IN/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_IN/db_api.po	2021-01-20 15:30:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_IN/edit.po 5.10.0+dfsg-1/translations/manual/bn_IN/edit.po
--- 5.9.0+dfsg-3/translations/manual/bn_IN/edit.po	2020-12-10 03:01:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_IN/edit.po	2021-01-20 15:29:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: bn_IN\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_IN/faq.po 5.10.0+dfsg-1/translations/manual/bn_IN/faq.po
--- 5.9.0+dfsg-3/translations/manual/bn_IN/faq.po	2021-01-06 15:34:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_IN/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_IN/stats.json 5.10.0+dfsg-1/translations/manual/bn_IN/stats.json
--- 5.9.0+dfsg-3/translations/manual/bn_IN/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_IN/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_IN/template_lang.po 5.10.0+dfsg-1/translations/manual/bn_IN/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/bn_IN/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_IN/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/bn_IN/viewer.po 5.10.0+dfsg-1/translations/manual/bn_IN/viewer.po
--- 5.9.0+dfsg-3/translations/manual/bn_IN/viewer.po	2021-01-06 15:35:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bn_IN/viewer.po	2021-01-20 15:29:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bengali (India) (http://www.transifex.com/calibre/calibre/language/bn_IN/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/br/db_api.po 5.10.0+dfsg-1/translations/manual/br/db_api.po
--- 5.9.0+dfsg-3/translations/manual/br/db_api.po	2020-12-23 14:21:12.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/br/db_api.po	2021-01-20 15:30:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/br/edit.po 5.10.0+dfsg-1/translations/manual/br/edit.po
--- 5.9.0+dfsg-3/translations/manual/br/edit.po	2020-12-10 03:01:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/br/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: br\n"
 "Plural-Forms: nplurals=5; plural=((n%10 == 1) && (n%100 != 11) && (n%100 !=71) && (n%100 !=91) ? 0 :(n%10 == 2) && (n%100 != 12) && (n%100 !=72) && (n%100 !=92) ? 1 :(n%10 ==3 || n%10==4 || n%10==9) && (n%100 < 10 || n% 100 > 19) && (n%100 < 70 || n%100 > 79) && (n%100 < 90 || n%100 > 99) ? 2 :(n != 0 && n % 1000000 == 0) ? 3 : 4);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/br/faq.po 5.10.0+dfsg-1/translations/manual/br/faq.po
--- 5.9.0+dfsg-3/translations/manual/br/faq.po	2021-01-06 15:34:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/br/faq.po	2021-01-20 15:29:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/br/stats.json 5.10.0+dfsg-1/translations/manual/br/stats.json
--- 5.9.0+dfsg-3/translations/manual/br/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/br/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 4,
-    "untranslated": 3021
+    "untranslated": 3027
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/br/template_lang.po 5.10.0+dfsg-1/translations/manual/br/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/br/template_lang.po	2021-01-06 15:34:30.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/br/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/br/viewer.po 5.10.0+dfsg-1/translations/manual/br/viewer.po
--- 5.9.0+dfsg-3/translations/manual/br/viewer.po	2021-01-06 15:35:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/br/viewer.po	2021-01-20 15:29:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Breton (http://www.transifex.com/calibre/calibre/language/br/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/bs/db_api.po 5.10.0+dfsg-1/translations/manual/bs/db_api.po
--- 5.9.0+dfsg-3/translations/manual/bs/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bs/db_api.po	2021-01-20 15:30:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/bs/edit.po 5.10.0+dfsg-1/translations/manual/bs/edit.po
--- 5.9.0+dfsg-3/translations/manual/bs/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bs/edit.po	2021-01-20 15:29:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: bs\n"
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Sadržaji"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/bs/faq.po 5.10.0+dfsg-1/translations/manual/bs/faq.po
--- 5.9.0+dfsg-3/translations/manual/bs/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bs/faq.po	2021-01-20 15:29:01.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -48,9 +48,9 @@ msgstr "calibre podržava pretvaranje ve
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -168,8 +168,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -179,7 +179,7 @@ msgid ""
 "resulting MOBI file may not function correctly on a Kindle, since the "
 "Kindle's use the metadata ToC for many things, including the Page Flip "
 "feature."
-msgstr "Prilikom pretvaranja u MOBI, Calibre otkriva *Sadržaj meta podataka* u ulaznom dokumentu i kreira Sadržaj na kraju datoteke u izlaznoj MOBI datoteci. Ovo se može isključiti opcijom u MOBI Izlazne postavke. Može se naznačiti da ga Calibre stavi na početku ili na kraju knjige putem opcije u MOBI Izlazne postavke. Zapamtite da ovaj Sadržaj semantički *Sadržaj meta podataka*, u bilo kojem drugom formatu od MOBI *ne može biti dio teksta*. Činjenica da je ipak dio teksta u MOBI-ju je slučajnost koju je izazvala ograničenost MOBI-ja. Ako Sadržaj treba da bude na određenom mjestu u tekstu dokumenta, kreirajte jedan ručno. Preporučujem da ostavite preporučene vrijednost, npr. sa sadržinskim sadržajem na kraju knjige. Također možete zapaziti da ako isključite generaciju Sadržaja na kraju knjige kreirana MOBI datoteka možda neće funkcionisati kako treba u Kindle-u, iako Kindle koristi Sadržaj meta podataka za mnoge stvari, uključujući i opciju za prevrtanje strane."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:66
 msgid ""
@@ -409,7 +409,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -805,7 +805,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -939,7 +939,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1621,12 +1621,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1637,7 +1652,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1646,22 +1661,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1671,14 +1686,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1689,11 +1704,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1703,26 +1718,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1730,13 +1745,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1746,7 +1761,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1754,11 +1769,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1767,7 +1782,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1781,11 +1796,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1794,7 +1809,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1802,7 +1817,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1812,13 +1827,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1831,44 +1846,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1876,18 +1891,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1900,7 +1915,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1909,11 +1924,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1926,21 +1941,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1951,15 +1966,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1967,7 +1982,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1975,7 +1990,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1983,25 +1998,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Kako se calibre licencira?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2014,30 +2029,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Kako da pokrenem Calibre sa svog USB memorijskog stika?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Prenosna verzija calibre je dostupna `ovdje <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2050,34 +2065,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "calibre server se može pokrenuti komandom::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "Ako želite kreirati MOBI, koristiti outputfile.mobi i koristite ``--output-profile kindle``."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "Možeš poslati e-mailom skinute vijesti s komandom::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr "Ostavljam čitaocu da, za vježbu, sam pronađe tačnu komandnu liniju."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Konačno, možete dodati skinute vijesti u calibre biblioteku sa::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/bs/stats.json 5.10.0+dfsg-1/translations/manual/bs/stats.json
--- 5.9.0+dfsg-3/translations/manual/bs/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bs/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 79,
-    "untranslated": 2946
+    "translated": 78,
+    "untranslated": 2953
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/bs/template_lang.po 5.10.0+dfsg-1/translations/manual/bs/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/bs/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bs/template_lang.po	2021-01-20 15:28:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/bs/viewer.po 5.10.0+dfsg-1/translations/manual/bs/viewer.po
--- 5.9.0+dfsg-3/translations/manual/bs/viewer.po	2021-01-06 15:35:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/bs/viewer.po	2021-01-20 15:29:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Bosnian (http://www.transifex.com/calibre/calibre/language/bs/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ca/db_api.po 5.10.0+dfsg-1/translations/manual/ca/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ca/db_api.po	2020-12-23 14:21:12.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ca/db_api.po	2021-01-20 15:30:43.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -186,6 +186,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ca/edit.po 5.10.0+dfsg-1/translations/manual/ca/edit.po
--- 5.9.0+dfsg-3/translations/manual/ca/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ca/edit.po	2021-01-20 15:30:02.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -19,11 +19,11 @@ msgstr ""
 "Language: ca\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -32,27 +32,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Contingut"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Flux de treball bàsic"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -63,7 +63,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -71,7 +71,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -85,18 +85,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -107,7 +107,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -115,7 +115,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -128,16 +128,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -145,7 +145,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -159,18 +159,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Fusió de fitxers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -178,7 +178,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -189,11 +189,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Canvi de l'ordre dels fitxers de text"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -202,11 +202,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Indicació de la portada"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -214,7 +214,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -226,11 +226,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Supressió de fitxers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -239,11 +239,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Exportació de fitxers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -251,7 +251,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -259,7 +259,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -268,11 +268,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "Afegiment d'imatges noves (o lletres) o creació de fitxers en blanc nous"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -281,17 +281,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Substitució de fitxers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -299,22 +299,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr "Enllaçament eficient de fulls d'estil a fitxers HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Cerca i substitució"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -323,20 +323,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -344,37 +344,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Cerques desades"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -383,22 +383,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "Mode funció"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr "Cerca ignorant etiquetes HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -407,27 +407,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Eines automatitzades"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Edició de la taula del contingut"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -435,7 +435,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -443,7 +443,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -453,18 +453,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "Comprovació del llibre"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -473,11 +473,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -488,7 +488,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -496,36 +496,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Afegiment d'una portada"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -536,11 +536,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "S'estan incrustant les lletres referenciades"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -549,11 +549,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "S'està fent un subconjunt de les lletres incrustades"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -563,11 +563,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Fer elegant la puntuació"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -576,40 +576,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr "Transformació de les propietats CSS"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr "Accés a través de :guilabel:`Eines->Transformació dels estils`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "S'estan suprimint les regles CSS que no s'utilitzen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -618,11 +618,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Correcció de l'HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -634,11 +634,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Embelliment dels fitxers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -648,7 +648,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -662,11 +662,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr "Inserció d'una taula del contingut en línia"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -675,7 +675,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -683,11 +683,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr "Establiment de la semàntica"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -698,11 +698,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr "Filtratge de la informació d'estil"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -713,22 +713,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Punts de control"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -737,13 +737,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -751,7 +751,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -761,11 +761,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -778,7 +778,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -787,7 +787,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -799,18 +799,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "Divisió de fitxers HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -821,14 +821,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -837,11 +837,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "El plafó del CSS en directe"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -849,7 +849,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -858,30 +858,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -890,15 +890,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Comprovació ortogràfica de les paraules al llibre"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -909,14 +909,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -926,7 +926,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -935,7 +935,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -943,7 +943,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -951,11 +951,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Afegiment de diccionaris"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -965,11 +965,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Inserció de caràcters especials"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -980,7 +980,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -991,7 +991,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1002,7 +1002,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1010,11 +1010,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr "La visualització de l'inspector de codi"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1026,11 +1026,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Comprovació d'enllaços externs"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1038,11 +1038,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr "Baixada dels recursos externs"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1051,11 +1051,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr "Organització de fitxer en carpetes segons el tipus"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1065,11 +1065,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr "Importació de fitxers en altres formats de llibres electrònics com ara EPUB"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1078,11 +1078,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "L'eina d'informes"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1094,31 +1094,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Característiques especials en l'editor de codi"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1126,55 +1126,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Autocompleció"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1182,7 +1182,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1192,7 +1192,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1204,11 +1204,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Fragments"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ca/faq.po 5.10.0+dfsg-1/translations/manual/ca/faq.po
--- 5.9.0+dfsg-3/translations/manual/ca/faq.po	2021-01-06 15:34:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ca/faq.po	2021-01-20 15:29:23.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -48,9 +48,9 @@ msgstr "Calibre pot convertir des de mol
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -168,8 +168,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -409,7 +409,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -805,7 +805,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -939,8 +939,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Gestió de la biblioteca"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1621,12 +1621,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1637,7 +1652,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1646,22 +1661,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1671,14 +1686,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1689,11 +1704,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1703,26 +1718,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1730,13 +1745,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1746,7 +1761,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1754,11 +1769,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1767,7 +1782,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1781,11 +1796,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1794,7 +1809,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1802,7 +1817,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1812,13 +1827,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1831,44 +1846,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1876,18 +1891,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1900,7 +1915,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1909,11 +1924,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1926,21 +1941,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1951,15 +1966,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1967,7 +1982,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1975,7 +1990,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1983,25 +1998,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2014,30 +2029,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2050,34 +2065,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ca/stats.json 5.10.0+dfsg-1/translations/manual/ca/stats.json
--- 5.9.0+dfsg-3/translations/manual/ca/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ca/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 277,
-    "untranslated": 2748
+    "translated": 275,
+    "untranslated": 2756
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ca/template_lang.po 5.10.0+dfsg-1/translations/manual/ca/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ca/template_lang.po	2021-01-06 15:34:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ca/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Notes especials per a les plantilles de desament i enviament"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ca/viewer.po 5.10.0+dfsg-1/translations/manual/ca/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ca/viewer.po	2021-01-06 15:35:49.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ca/viewer.po	2021-01-20 15:29:44.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Catalan (http://www.transifex.com/calibre/calibre/language/ca/)\n"
 "MIME-Version: 1.0\n"
@@ -247,11 +247,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -261,7 +269,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -269,37 +277,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Personalització de l'aparença de la vostra experiència de lectura"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -309,11 +317,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Consulta al diccionari"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -321,11 +329,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Còpia de text i imatges"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -333,22 +341,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/catalogs.pot 5.10.0+dfsg-1/translations/manual/catalogs.pot
--- 5.9.0+dfsg-3/translations/manual/catalogs.pot	2021-01-08 03:54:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/catalogs.pot	2021-01-22 02:29:54.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/conversion.pot 5.10.0+dfsg-1/translations/manual/conversion.pot
--- 5.9.0+dfsg-3/translations/manual/conversion.pot	2021-01-08 03:54:22.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/conversion.pot	2021-01-22 02:29:51.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/creating_plugins.pot 5.10.0+dfsg-1/translations/manual/creating_plugins.pot
--- 5.9.0+dfsg-3/translations/manual/creating_plugins.pot	2021-01-08 03:54:19.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/creating_plugins.pot	2021-01-22 02:29:48.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/crh/db_api.po 5.10.0+dfsg-1/translations/manual/crh/db_api.po
--- 5.9.0+dfsg-3/translations/manual/crh/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/crh/db_api.po	2021-01-20 15:30:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/crh/edit.po 5.10.0+dfsg-1/translations/manual/crh/edit.po
--- 5.9.0+dfsg-3/translations/manual/crh/edit.po	2020-12-10 03:00:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/crh/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: crh\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/crh/faq.po 5.10.0+dfsg-1/translations/manual/crh/faq.po
--- 5.9.0+dfsg-3/translations/manual/crh/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/crh/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/crh/stats.json 5.10.0+dfsg-1/translations/manual/crh/stats.json
--- 5.9.0+dfsg-3/translations/manual/crh/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/crh/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/crh/template_lang.po 5.10.0+dfsg-1/translations/manual/crh/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/crh/template_lang.po	2021-01-06 15:34:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/crh/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/crh/viewer.po 5.10.0+dfsg-1/translations/manual/crh/viewer.po
--- 5.9.0+dfsg-3/translations/manual/crh/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/crh/viewer.po	2021-01-20 15:29:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Crimean Turkish (http://www.transifex.com/calibre/calibre/language/crh/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/cs/conversion.po 5.10.0+dfsg-1/translations/manual/cs/conversion.po
--- 5.9.0+dfsg-3/translations/manual/cs/conversion.po	2021-01-06 15:33:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cs/conversion.po	2021-01-20 15:28:40.000000000 +0000
@@ -4,14 +4,14 @@
 # 
 # Translators:
 # Tomas Michalek <tomas.michalek.st@vsb.cz>, 2015
-# Trottel <trottel09@gmail.com>, 2014-2020
+# Trottel <trottel09@gmail.com>, 2014-2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-15 21:27+0000\n"
+"Last-Translator: Trottel <trottel09@gmail.com>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -422,7 +422,7 @@ msgid ""
 "want to choose one of the Kindle output profiles. Otherwise, your best bet "
 "for modern E-book reading devices is to choose the :guilabel:`Generic e-ink "
 "HD` output profile."
-msgstr ""
+msgstr "Pokud víte, že soubor, který převádíte, byl zamýšlen k použití na konkrétním zařízení nebo softwarové platformě, zvolte odpovídající vstupní profil, jinak prostě zvolte výchozí vstupní profil. Pokud víte, že soubory, které vytváříte, jsou určeny pro konkrétní typ zařízení, zvolte odpovídající výstupní profil. Pokud víte, že soubory, které vytváříte, jsou určeny pro konkrétní typ zařízení, zvolte odpovídající výstupní profil. V opačném případě zvolte jeden z obecných výstupních profilů. Pokud převádíte na MOBI nebo AZW3, budete téměř vždy chtít zvolit jeden z výstupních profilů Kindle. V opačném případě je nejlepším řešením pro moderní zařízení pro čtení e-knih zvolit výstupní profil :guilabel:`Obecné HD zařízení e-ink`."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:275
 msgid ""
@@ -484,7 +484,7 @@ msgid ""
 "the length of 40% of all lines in the document. If your document only has a "
 "few line breaks which need correction, then this value should be reduced to "
 "somewhere between 0.1 and 0.2."
-msgstr ""
+msgstr "Tato volba určuje algoritmus, který Calibre používá k odebrání pevných konců řádků. Například pokud je hodnota této volby 0,4, znamená to, že Calibre odebere pevné konce řádků z konců řádků, jejichž délky jsou menší než délka 40 % všech řádků v dokumentu. Pokud má váš dokument pouze několik konců řádků, které potřebují opravu, pak by tato hodnota měla být snížena někam mezi 0,1 a 0,2."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:320
 msgid ""
@@ -498,7 +498,7 @@ msgid ""
 "attempt to detect them and surround them with heading tags. <h2> tags are "
 "used for chapter headings; <h3> tags are used for any titles that are "
 "detected."
-msgstr ""
+msgstr "Pokud váš dokument neobsahuje nadpisy kapitol a názvy formátované odlišně od zbytku textu, Calibre může použít tuto volbu, aby se je pokusilo rozpoznat a obklopit je značkami nadpisů. Značky <h2> se používají pro nadpisy kapitol; značky <h3> se používají pro jakékoliv rozpoznané názvy."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:312
 msgid ""
@@ -837,7 +837,7 @@ msgid ""
 ":guilabel:`Number of links` option can be used to control this behavior. If "
 "set to zero, no links are added. If set to a number greater than zero, at "
 "most that number of links is added."
-msgstr ""
+msgstr "Pokud bylo rozpoznáno méně kapitol, než je hodnota :guilabel:`Mezní hodnota kapitol`, Calibre pak přidá do obsahu všechny hypertextové odkazy, které najde ve vstupním dokumentu. Toto často funguje dobře na mnoha vstupních dokumentech, které obsahují hypertextové odkazy obsahu hned na začátku. Volba :guilabel:`Počet odkazů` může být použita k ovládání tohoto chování. Pokud je nastavena na nulu, nejsou přidány žádné odkazy. Pokud je nastavena na číslo větší než nula, je přidán nanejvýše tento počet odkazů."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:488
 msgid ""
diff -pruN 5.9.0+dfsg-3/translations/manual/cs/db_api.po 5.10.0+dfsg-1/translations/manual/cs/db_api.po
--- 5.9.0+dfsg-3/translations/manual/cs/db_api.po	2020-12-23 14:20:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cs/db_api.po	2021-01-20 15:30:42.000000000 +0000
@@ -10,9 +10,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Adam Lesák <wanqer@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -188,6 +188,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/cs/edit.po 5.10.0+dfsg-1/translations/manual/cs/edit.po
--- 5.9.0+dfsg-3/translations/manual/cs/edit.po	2020-12-10 03:01:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cs/edit.po	2021-01-20 15:29:59.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-12-04 06:28+0000\n"
-"Last-Translator: Trottel <trottel09@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: cs\n"
 "Plural-Forms: nplurals=4; plural=(n == 1 && n % 1 == 0) ? 0 : (n >= 2 && n <= 4 && n % 1 == 0) ? 1: (n % 1 != 0 ) ? 2 : 3;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Úprava e-knih"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "Calibre má integrovaný editor e-knih, který může být použit pro úpravu knih ve formátech EPUB a AZW3 (Kindle). Editor vám zobrazí HTML a CSS, které jsou použity uvnitř souborů knih s živým náhledem, který se aktualizace, zatímco provádíte změny. Také obsahuje různé automatizované nástroje pro provedení úkolů běžného vyčištění a oprav."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Tento editor můžete použít kliknutím pravým tlačítkem myši na kteroukoliv knihu v Calibre a výběrem :guilabel:`Upravit knihu`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Obsah"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Základní pracovní postup"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr "Videoprohlídka Editoru e-knih Calibre je dostupná `zde <https://calibre-ebook.com/demo#tutorials>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "Když poprvé otevřete nástrojem pro úpravu knihy, bude vám vlevo nabídnut seznam souborů. Jsou to jednotlivé soubory HTML, šablony stylů, obrázky atd., které tvoří obsah knihy. Jednoduše poklepejte na soubor pro spuštění jeho úpravy. Pamatujte, že pokud chcete udělat něco složitějšího než provedení několika malých vylepšení, budete potřebovat znát `Kurz HTML <http://html.net/tutorials/html/>`_ a `Kurz CSS <http://html.net/tutorials/css/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr "Zatímco provádíte v editoru změny v HTML nebo CSS, bude se vpravo v panelu náhledu zobrazovat živý náhled změn. Pokud jste spokojeni s tím, jak vypadají změny, které jste provedli, klikněte na tlačítko :guilabel:`Uložit` nebo použijte :guilabel:`Soubor->Uložit` pro uložení změn do e-knihy."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr "Jednou z užitečných funkcí jsou :guilabel:`Kontrolní body`. Než se pustíte do nějaké ambiciózní sady úprav, můžete vytvořit kontrolní bod. Kontrolní bod zachová aktuální stav vaší knihy, pak pokud se v budoucnu rozhodnete, že se vám nelíbí změny, které jste provedli, můžete se vrátit do stavu, kdy jste vytvořili kontrolní bod. Abyste vytvořili kontrolní bod, použijte :guilabel:`Úpravy->Vytvořit kontrolní bod`. Kontrolní body budou pro vás také automaticky vytvořeny, kdykoliv spustíte jakýkoliv automatizovaný nástroj, jako je globální hledání a nahrazování. Funkce kontrolních bodů je doplněk k normálnímu mechanismu zpět/znovu při úpravách jednotlivých souborů. Kontrolní body jsou užitečné, když jsou změny rozděleny do více souborů v knize."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "Toto je základní pracovní postup pro úpravy knih -- Otevřete soubor, proveďte změny, zkontrolujte je a uložte. Zbytek této příručky probere různé přítomné nástroje a funkce, které vám umožní efektivně provést konkrétní úkoly."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr "Prohlížeč souborů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ":guilabel:`Prohlížeč souborů` vám poskytuje přehled o různých souborech uvnitř knihy, kterou upravujete. Soubory jsou uspořádány podle kategorie s textovými soubory (HTML) nahoře, následovanými soubory šablon stylů (CSS), obrázky a tak dále. Jednoduše poklepejte na soubor pro spuštění jeho úpravy. Úprava je podporována pro soubory HTML, CSS a obrázky. Pořadí textových souborů je stejné, v jakém by byly zobrazeny, pokud byste četli knihu. Všechny ostatní soubory jsou uspořádány abecedně."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr "Přejetím myší nad položkou můžete vidět její velikost a také úplnou cestu k souboru uvnitř knihy ve spodní části obrazovky. Pamatujte, že soubory uvnitř e-knih jsou komprimované, takže velikost konečné knihy není součtem jednotlivých velikostí souborů."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr "Mnoho souborů má v knize zvláštní význam. Ty budou mít obvykle vedle svých názvů ikonu označující zvláštní význam. Například na obrázku vlevo můžete vidět, že soubory :guilabel:`cover_image.jpg` a :guilabel:`titlepage.xhtml` mají vedle sebe ikonu obálky, to znamená, že jsou to obrázek obálky a titulní stránka knihy. Podobně soubor :guilabel:`content.opf` má vedle sebe ikonu metadat, která označuje, že obsahuje metadata knihy, a soubor :guilabel:`toc.ncx` má vedle sebe ikonu T označující, že je to Obsah."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "Na jednotlivých souborech můžete provádět mnoho akcí kliknutím pravým tlačítkem myši na ně."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Přejmenovávání souborů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr "Jednotlivý soubor můžete přejmenovat kliknutím pravým tlačítkem myši na něj a výběrem :guilabel:`Přejmenovat`. Přejmenování souboru automaticky aktualizuje všechny odkazy na něj v celé knize. Takže musíte pouze zadat nový název, Calibre se postará o zbytek."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr "Můžete také hromadně přejmenovat mnoho souborů najednou. To je užitečné, pokud chcete, aby soubory měly nějaký jednoduchý vzor názvu. Například můžete chtít přejmenovat všechny soubory HTML, aby měly názvy Kapitola-1.html, Kapitola-2.html a tak dále. Vyberte soubory, které chcete hromadně přejmenovat, podržením klávesy :kbd:`Shift` nebo :kbd:`Ctrl` a kliknutím na soubory. Pak klikněte pravým tlačítkem myši a vyberte :guilabel:`Hromadně přejmenovat vybrané soubory`. Zadejte předponu a číslo, kterým má začínat automatické číslování, klikněte na OK a je hotovo. Dialogové okno pro hromadné přejmenování také umožňuje přejmenování souborů podle pořadí, v jakém se objevují v knize namísto pořadí, v jakém jste je vybrali, což je užitečné například pro přejmenování všech obrázků podle pořadí, v jakém se zobrazí."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr "A konečně můžete hromadně změnit příponu souboru pro všechny vybrané soubory. Vyberte více souborů, jak je uvedeno výše, klikněte pravým tlačítkem myši a zvolte :guilabel:`Změnit příponu souboru pro vybrané soubory`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Slučování souborů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr "Někdy můžete chtít sloučit dohromady dva soubory HTML nebo dva soubory CSS. Někdy může být užitečné mít vše v jednom souboru. Ale buďte opatrní, uložení velkého množství obsahu do jednoho souboru způsobí problémy s výkonem při zobrazování knihy v typické čtečce e-knih."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr "Pro sloučení více souborů dohromady je vyberte podržením klávesy :kbd:`Ctrl` a kliknutím na ně (ujistěte se, že vybíráte pouze soubory jednoho typu, buď všechny soubory HTML nebo všechny soubory CSS a tak dále). Pak klikněte pravým tlačítkem myši a vyberte Sloučit. To je všechno, Calibre sloučí soubory, automaticky se postará o migraci všech odkazů na sloučené soubory. Pamatujte, že slučování souborů může někdy způsobit změnu stylu textů, protože jednotlivé soubory mohly používat různé šablony stylů."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Změna pořadí textových souborů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr "Pořadí, ve kterém jsou textové soubory (HTML) otevírány při čtení knihy, můžete přeuspořádat jednoduše jejich přetažením do Prohlížeče souborů. Pro technicky nakloněné, tomu se říká znovu uspořádání páteře knihy. Pamatujte, že musíte přetáhnout položky *mezi* jiné položky, ne nad ně, to může být trochu nešikovné, dokud si na to nezvyknete."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Označování obálky"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr "E-knihy mají obvykle obrázek obálky. Tento obrázek je označen v :guilabel:`Prohlížeči souborů` ikonou hnědé knihy vedle názvu obrázku. Pokud chcete určit nějaký jiný obrázek jako obálku, můžete to provést kliknutím pravým tlačítkem myši na soubor a výběrem :guilabel:`Označit jako obrázek obálky`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr "Navíc soubory EPUB mají koncept *titulní stránky*. Titulní stránka je soubor HTML, který se chová jako titulní stránka nebo obálka knihy. Označit soubor HTML jako titulní stránku při úpravě souborů EPUB můžete kliknutím pravým tlačítkem myši. Dávejte pozor na to, aby označený soubor obsahoval pouze informace o obálce. Pokud obsahuje jiný obsah, jako je první kapitola, pak bude tento obsah ztracen, pokud uživatel někdy převede soubor EPUB v Calibre do jiného formátu. To je proto, že při převodu Calibre předpokládá, že označená titulní stránka obsahuje pouze obálku a žádný jiný obsah."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Odstraňování souborů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr "Soubory můžete odstranit buď kliknutím pravým tlačítkem myši na ně, nebo jejich výběrem a stisknutím klávesy Delete. Odstranění souboru odebere všechny odkazy na soubor ze souboru OPF, což vám ušetří tu práci. Odkazy na jiných místech však odebrány nejsou, pro jejich snadné nalezení a odebrání nebo nahrazení můžete použít nástroj Zkontrolovat knihu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Exportování souborů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr "Soubor zevnitř knihy můžete exportovat někam jinam ve vašem počítači. To je užitečné, pokud chcete pracovat na souboru izolovaně pomocí specializovaných nástrojů. Abyste to udělali, jednoduše klikněte pravým tlačítkem myši na soubor a zvolte :guilabel:`Exportovat`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr "Jakmile dokončíte práci na exportovaném souboru, můžete ho znovu importovat do knihy novým kliknutím pravým tlačítkem myši na soubor a výběrem :guilabel:`Nahradit souborem...`, což vám umožní nahradit soubor v knize dříve exportovaným souborem."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr "Soubory můžete také kopírovat mezi více instancemi editoru. V :guilabel:`Prohlížeči souborů` vyberte soubory, které chcete zkopírovat, klikněte pravým tlačítkem myši a zvolte :guilabel:`Kopírovat vybrané soubory do jiné instance editoru`. Potom v jiné instanci editoru klikněte pravým tlačítkem myši v  :guilabel:`Prohlížeči souborů` a zvolte :guilabel:`Vložit soubor z jiné instance editoru`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "Přidávání nových obrázků, písem atd. nebo vytváření nových prázdných souborů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr "Přidat nový obrázek, písmo, šablonu stylů atd. z vašeho počítače do knihy můžete kliknutím na :guilabel:`Soubor->Nový soubor`. To vám umožní buď importovat soubor kliknutím na tlačítko :guilabel:`Importovat zdrojový soubor`, nebo vytvořit nový prázdný soubor HTML nebo šablonu stylů jednoduše zadáním názvu souboru do pole pro nový soubor."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr "Můžete také importovat více souborů do knihy najednou pomocí Soubor-> Importovat soubory do knihy."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Nahrazování souborů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr "Existující soubory v knize můžete snadno nahradit kliknutím pravým tlačítkem myši na soubor a výběrem nahradit. Tím se automaticky aktualizují všechny odkazy a reference, pokud má nahrazující soubor jiný název než nahrazený soubor."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr "Efektivní propojování šablon stylů se soubory HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr "Pro větší pohodlí můžete v Prohlížeči souborů vybrat více souborů HTML, kliknout pravým tlačítkem myši a vybrat Propojit šablony stylů, aby Calibre automaticky vložilo značky <link> pro tyto šablony stylů do všech vybraných souborů HTML."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Hledat a nahradit"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr "Upravit knihu má velice výkonné rozhraní hledání a nahrazení, které vám umožňuje hledat a nahradit text v aktuálním souboru, napříč všemi soubory a dokonce i v označené oblasti aktuálního souboru. Hledat můžete pomocí normálního hledání nebo pomocí regulárních výrazů. Abyste zjistili, jak používat regulární výrazy pro pokročilé vyhledávání, podívejte se na :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr "Hledání a nahrazení spusťte pomocí položky nabídky :guilabel:`Hledat->Najít a nahradit` (musíte upravovat soubor HTML nebo CSS)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr "Napište text, který chcete najít, do pole Najít a jeho nahrazení do pole Nahradit. Můžete kliknout na příslušná tlačítka pro nalezení další shody, nahrazení aktuální shody a nahrazení všech shod."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr "Pomocí rozevíracích nabídek v dolní části okna můžete nechat hledání pracovat nad aktuálním souborem, všemi textovými soubory, všemi soubory stylů nebo všemi soubory. Můžete také zvolit režim hledání, aby byl normální (řetězec) nebo regulární výraz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr "Všechny shody pro hledaný výraz můžete spočítat pomocí :guilabel:`Hledat->Spočítat vše`. Počítání se spustí nad všemi soubory nebo oblastmi, které jste vybrali v rozevíracím poli."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr "Můžete také přejít na konkrétní řádek v aktuálně otevřeném editoru pomocí :guilabel:`Hledat->Přejít na řádek`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr "Nezapomeňte, že pro využití plného výkonu hledání a nahrazení budete muset použít regulární výrazy. Podívejte se na :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Uložená hledání"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr "Často používané výrazy hledání nebo nahrazení (včetně výrazů režimu funkcí) můžete uložit a vícekrát je znovu použít . Pro uložení hledání jednoduše klikněte pravým tlačítkem myši do pole Najít a vyberte :guilabel:`Uložit aktuální hledání`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr "Uložená hledání můžete vyvolat pomocí :guilabel:`Hledat->Uložená hledání`. To zobrazí seznam výrazů hledání a nahrazení, které můžete použít. Můžete dokonce vybrat více položek v seznamu podržením klávesy :kbd:`Ctrl` při kliknutí, aby se spustilo více výrazů hledání a nahrazení v jedné operaci."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "Režim funkcí"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr "Režim funkcí vám umožňuje psát libovolně výkonné funkce Pythonu, které jsou spuštěny na každém Najít a nahradit. V režimu funkcí můžete provést skoro jakékoliv zpracování textu, jaké chcete. Další informace naleznete v :doc:`function_mode`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr "Hledat a ignorovat značky HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr "Je zde také vyhrazený nástroj pro hledání textu, který ignoruje jakékoliv značky HTML v něm obsažené. Například pokud kniha obsahuje HTML ``Přízvuk na <i>slově</i>.``, můžete hledat ``na slově`` a bude nalezeno, přestože je uprostřed značka ``<i>``. Použijte tento nástroj prostřednictvím položky nabídky :guilabel:`Hledat->Hledat a ignorovat značky HTML`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Automatizované nástroje"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr "Editor knih má různé nástroje pro pomoc s běžnými úkoly. Ty jsou přístupné pomocí nabídky :guilabel:`Nástroje`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Upravování obsahu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr "Pro usnadnění úpravy obsahu je zde specializovaný nástroj. Spustíte ho pomocí :guilabel:`Nástroje->Obsah->Upravit obsah`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr "Nástroj Upravit obsah zobrazí aktuální Obsah (pokud existuje) vlevo. Jednoduše poklepejte na jakoukoliv položku pro změnu jejího textu. Můžete také přeuspořádat položky přetažením nebo pomocí tlačítek vpravo."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr "U knih, které nemají již existující Obsah, vám nástroj dává různé možnosti automatického vygenerování obsahu z textu. Můžete ho vygenerovat z nadpisů v dokumentu, z odkazů, z jednotlivých souborů a tak dále."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr "Jednotlivé položky můžete upravit kliknutím na ně a pak kliknutím na tlačítko :guilabel:`Změnit umístění, na které tato položka ukazuje`. To otevře malý náhled knihy, jednoduše přesuňte kurzor myši nad panel zobrazení knihy a klikněte na umístění, kam chcete, aby položka ukazovala. Tlustá zelená čára vám ukáže umístění. Klikněte na OK, jakmile jste spokojeni s umístěním."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "Kontrola knihy"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
-msgstr "Nástroj :guilabel:`Zkontrolovat knihu` vyhledá ve vaší knize problémy, které by mohly bránit zamýšlenému fungování na skutečných čtecích zařízeních. Aktivujte ho pomocí :guilabel:`Nástroje->Zkontrolovat knihu`."
+":guilabel:`Tools->Check book`."
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr "Všechny nalezené problémy jsou nahlášeny v pěkném, snadno použitelném seznamu. Kliknutí na jakoukoliv položku v seznamu zobrazí nějakou nápovědu k této chybě a také vám dá možnost tuto chybu automaticky opravit, pokud chyba může být automaticky opravena. Můžete také poklepat na chybu pro otevření umístění chyby v editoru, abyste ji mohli opravit sami."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr "Některé z prováděných kontrol jsou:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr "Poškozené značení HTML. Je nahlášeno jakékoliv značení HTML, které není analyzována jako dobře vytvořené XML. Oprava zajistí, že vaše značení funguje ve všech kontextech tak, jak má. Calibre také může automaticky opravit tyto chyby, ale automatická oprava může mít někdy neočekávané účinky, proto používejte opatrně. Jako vždy je před automatickou opravou vytvořen kontrolní bod, takže můžete snadno vrátit všechny změny. Automatická oprava funguje na základě analýzy značení pomocí algoritmu HTML5, který je vysoce odolný proti chybám, a pak převodem na dobře vytvořené XML."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr "Poškozené nebo neznámé styly CSS. Je nahlášeno jakékoliv CSS, které není platné, nebo které má vlastnosti nedefinované ve standardu CSS 2.1 (a několik z CSS 3). CSS je kontrolováno ve všech šablonách stylů, vložených atributů stylů a značkách <style> v souborech HTML."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr "Nefunkční odkazy. Jsou nahlášeny odkazy, které ukazují na soubory uvnitř knihy, které chybí."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr "Neodkazované soubory. Jsou nahlášeny soubory v knize, na které neodkazuje žádný jiný soubor, nebo nejsou v páteři."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr "Různé běžné problémy v souborech OPF, jako jsou duplicitní položky páteře nebo manifestu, poškozené atributy idref nebo metaznačky obálek, chybějící požadované oddíly a tak dále."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr "Různé kontroly kompatibility na známé problémy, které mohou způsobit nefunkčnost knihy ve čtecích zařízeních."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Přidávání obálky"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr "Přidat obálku knize můžete snadno pomocí :guilabel:`Nástroje->Přidat obálku`. To vám umožní vybrat si jako obálku existující obrázek v knize nebo importovat nový obrázek do knihy a udělat z něj obálku. Při úpravě souborů EPUB je pro obálku automaticky vygenerováno obalující HTML. Pokud je v knize nalezena existující obálka, je nahrazena. Nástroj se také automaticky postará o správné označení souborů obálek jako obálek v OPF."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Vkládání odkazovaných písem"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr "Přístupné pomocí :guilabel:`Nástroje->Vložit odkazovaná písma`. Tento nástroj najde všechna písma odkazovaná v knize, a pokud již nejsou vložena, vyhledá je ve vašem počítači a vloží je do knihy, pokud jsou nalezena. Ujistěte se, že máte potřebná autorská práva pro vkládání komerčně licencovaných písem, než to uděláte."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Částečné vkládání písem"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr "Přístupné pomocí :guilabel:`Nástroje->Částečně vložit písma`. Tento nástroj zmenší všechna písma v knize tak, aby obsahovala pouze glyfy pro text skutečně přítomný v knize. Toto běžně zmenší velikost souborů písem o asi 50 %. Je však třeba si uvědomit, že jakmile jsou písma vložena částečně, tak pokud přidáte nový text, jehož znaky nejsou přítomné v částečně vloženém písmu, písmo nebude pro nový text fungovat. Takže toto dělejte pouze jako poslední krok ve vašem pracovním postupu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Vylepšení interpunkce"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr "Převede pomlčky, tři tečky, uvozovky, vícenásobné spojovníky atd. v prostém textu na jejich typograficky správné ekvivalenty. Pamatujte, že algoritmus může někdy generovat nesprávné výsledky, obzvláště pokud jde o jednoduché uvozovky na začátku zkrácených tvarů. Přístupné pomocí :guilabel:`Nástroje->Vylepšit interpunkci`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr "Transformace vlastností CSS"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr "Vytvořte pravidla pro transformaci stylování knihy. Například vytvořte pravidlo pro převod veškerého červeného textu na zelený nebo zdvojnásobte velikost písma veškerého textu v knize nebo změňte text určité rodiny písma na kurzívu atd."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr "Vytváření pravidel je jednoduché, pravidla dodržují formát přirozeného jazyka, který vypadá takto:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr "Pokud vlastnost *color* (barva) je *red* (červená), *změň* ji na *green* (zelená)"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr "Pokud vlastnost *font-size* (velikost písma) je *jakákoliv hodnota*, *vynásob* hodnotu číslem *2*"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr "Dostupné prostřednictvím :guilabel:`Nástroje->Transformace stylů`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Odebírání nepoužívaných pravidel CSS"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr "Odebere všechna nepoužívaná pravidla CSS ze šablon stylů a značek <style>. Některé knihy vytvořené pomocí výrobních šablon mohou mít velký počet nadbytečných pravidel CSS, která neodpovídají žádnému skutečnému obsahu. Tato nadbytečná pravidla mohou zpomalit čtečky, které je musejí všechny zpracovat. Přístupné pomocí :guilabel:`Nástroje->Odebrat nepoužívaná pravidla CSS`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Opravování HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr "Tento nástroj jednoduše převádí HTML, které nemůže být analyzováno jako XML, na dobře vytvořené XML. U e-knih je velice běžné, že nemají dobře vytvořené XML, takže tento nástroj jednoduše automatizuje proces opravy takového HTML. Nástroj funguje analýzou HTML pomocí algoritmu HTML5 (algoritmus použitý ve všech moderních prohlížečích) a poté převedením výsledek na XML. Uvědomte si, že automatické opravy mohou někdy mít neintuitivní výsledky. Pokud tomu dáváte přednost, můžete použít výše probíraný nástroj Zkontrolovat knihu k nalezení a ruční opravě problémů v HTML. Přístupné pomocí :guilabel:`Nástroje->Opravit HTML`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Zkrášlování souborů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr "Tento nástroj se používá pro automatické formátování všech souborů HTML a CSS tak, aby \"vypadali pěkně\". Kód je automaticky odsazený, takže je pěkně řazený, v případě potřeby jsou vloženy prázdné řádky a tak dále. Pamatujte, že zkrášlování také automaticky opraví poškozené HTML nebo CSS. Proto pokud nechcete, aby byly provedeny jakékoliv automatické opravy, použijte nejdříve nástroj Zkontrolovat knihu pro opravu všech problémů, a teprve pak spusťte zkrášlení. Přístupné pomocí :guilabel:`Nástroje->Zkrášlit všechny soubory`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr "V HTML může mít jakýkoliv text významové prázdné znaky podle směrnice CSS o prázdných znacích. Proto by mohlo zkrášlení změnit vykreslení HTML. Aby se tomu zabránilo, pokud je to možné, algoritmus zkrášlení zkrášluje pouze značky na úrovni bloků, které obsahují jiné značky na úrovni bloků. Takže například text uvnitř značky <p> nebude mít změněny prázdné znaky. Ale značka <body>, která obsahuje pouze další značky <p> a <div>, bude zkrášlena. To může někdy znamenat, že určitý soubor nebude zkrášlením ovlivněn, protože nemá žádné vhodné značky na úrovni bloků. V takových případech můžete zkusit různé nástroje zkrášlení, které jsou méně opatrné, například: `HTML Tidy <https://infohound.net/tidy/>` _."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr "Vkládání vloženého obsahu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr "Normálně je v e-knihách obsah oddělen od hlavního textu a je obvykle přístupný prostřednictvím speciálního tlačítka nebo nabídky Obsah ve čtecím zařízení e-knih. Můžete také nechat Calibre automaticky vygenerovat *vložený* obsah, který se stane součástí textu knihy. Je generovaný na základě aktuálně definovaného obsahu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr "Pokud tento nástroj použijete vícekrát, každé vyvolání způsobí že dříve vytvořený vložený obsah bude nahrazen. Nástroj je přístupný pomocí :guilabel:`Nástroje->Obsah->Vložit vložený obsah`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr "Nastavování sémantiky"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr "Tento nástroj se používá k nastavení *sémantiky* v souborech EPUB. Sémantika jsou jednoduše odkazy v souboru OPF, které identifikují určitá umístění v knize, že mají zvláštní význam. Můžete je použít k identifikaci předmluvy, věnování, obálky, obsahu atd. Jednoduše zvolte typ sémantické informace, který chcete zadat, a pak vyberte umístění v knize, na které má odkaz směřovat. Tento nástroj je přístupný pomocí :guilabel:`Nástroje->Nastavit sémantiku`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr "Filtrování informací stylu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr "Tento nástroj může být použit pro snadné odebrání zadaných vlastností stylů CSS z celé knihy. Můžete mu říct, které vlastnosti chcete odebrat, například ``color, background-color, line-height``, a budou odebrány ze všech míst, kde se vyskytují --- šablony stylů, značky ``<style>`` a vložené atributy ``style``. Po odebrání informací o stylu se zobrazí souhrn všech provedených změn, takže můžete vidět, co přesně se změnilo. Nástroj je přístupný pomocí :guilabel:`Nástroje->Filtrovat informace o stylu`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr "Upgradování vnitřních prvků knihy"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr "Tento nástroj může být použit pro upgrade vnitřních prvků knihy. Například upgraduje knihy EPUB 2 na knihy EPUB 3. Nástroj je dostupný prostřednictvím :guilabel:`Upgradovat vnitřní prvky knihy`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Kontrolní body"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ":guilabel:`Kontrolní body` jsou způsob, jak označit aktuální stav knihy jako \"speciální\". Pak můžete pokračovat v provádění jakýchkoliv změn v knize, a pokud se vám nelíbí výsledky, můžete se vrátit do stavu kontrolního bodu. Kontrolní body jsou automaticky vytvořeny při každém spuštění některého z automatizovaných nástrojů popsaných v předchozí části."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr "Kontrolní bod můžete vytvořit pomocí :guilabel:`Úpravy->Vytvořit kontrolní bod`. A vrátit se k předchozímu kontrolnímu bodu pomocí :guilabel:`Úpravy->Vrátit ...`"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr "Funkce kontrolních bodů je doplněk k normálnímu mechanismu Zpět/Znovu při úpravách jednotlivých souborů. Kontrolní body jsou obzvlášť užitečné, když jsou změny rozděleny do více souborů v knize, nebo pokud chcete být schopni vrátit velkou skupinu souvisejících změn jako celku."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr "Seznam dostupných kontrolních bodů můžete zobrazit pomocí :guilabel:`Zobrazení->Kontrolní body`. Porovnat současný stav knihy se zadaným kontrolním bodem můžete pomocí nástroje :ref:`diff` -- výběrem kontrolního bodu a kliknutím na tlačítko :guilabel:`Porovnat`. Tlačítko :guilabel:`Vrátit` obnoví knihu na vybraný kontrolní bod a zruší všechny změny od vytvoření kontrolního bodu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr "Panel Živý náhled"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ":guilabel:`Náhled souboru` vám poskytuje přehled o různých souborech uvnitř knihy. Panel Živý náhled vám živě ukazuje změny, které provádíte (se zpožděním jedné nebo dvou sekund). Jak upravujete soubory HTML nebo CSS, panel náhledu se automaticky aktualizuje, aby odrážel změny. Když pohybujete kurzorem v editoru, panel náhledu sleduje jeho umístění a ukazuje vám odpovídající umístění v knize. Kliknutí do panelu náhledu způsobí, že kurzor v editoru bude umístěn nad prvek, na který jste kliknuli. Pokud kliknete na odkaz směřující na jiný soubor v knize, bude tento soubor automaticky otevřen panelu úprav a náhledu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr "Automatickou synchronizaci pozice a živého náhledu změn můžete vypnout pomocí tlačítek pod panelem náhledu. K živé aktualizaci panelu náhledu dochází pouze tehdy, pokud aktivně nepíšete v editoru, abyste nebyli rušeni nebo zpomalováni čekáním na vykreslení náhledu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr "Panel náhledu vám ukazuje, jak bude text vypadat při zobrazení. Panel náhledu však není náhradou za skutečné testování vaší knihy ve skutečném čtecím zařízení. Je jak více, tak méně schopný než skutečná čtečka. Bude tolerovat chyby a nedbalé značení mnohem lépe než většina čtecích zařízení. Také nezobrazí okraje stránek, konce stránek a vložená písma, která používají aliasy názvu písma. Používejte panel náhledu při práci na knize, ale jakmile skončíte, zkontrolujte ji ve skutečném čtecím zařízení nebo softwarovém emulátoru."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr "Panel náhledu nepodporuje vložená písma, pokud název písma uvnitř souboru písma neodpovídá názvu v pravidle CSS @font-face. Můžete použít nástroj Zkontrolovat knihu pro rychlé nalezení a opravu jakýchkoliv takových problémových písem."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "Rozdělování souborů HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr "Jedno možná ne tak zřejmé použití panelu náhledu je rozdělení dlouhých souborů HTML. Během zobrazení souboru, který chcete rozdělit, klikněte na tlačítko :guilabel:`Režim rozdělení` pod panelem náhledu |spmb|. Pak jednoduše přesuňte myš na místo, kde chcete rozdělit soubor, a klikněte. Tlustá zelená čára vám ukáže, kde přesně dojde k rozdělení, když budete pohybovat myší. Jakmile najdete umístění, které chcete, jednoduše klikněte a rozdělení bude provedeno."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr "Rozdělení souboru automaticky aktualizuje všechny odkazy, které odkazují na dolní polovinu souboru, a otevře nově rozdělený soubor v editoru."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr "Jeden soubor HTML můžete také automaticky rozdělit na více místech kliknutím pravým tlačítkem myši uvnitř souboru v editoru a výběrem :guilabel:`Rozdělit na více místech`. To vám umožní snadno rozdělit velký soubor na všech značkách nadpisů nebo všech značkách, které mají určitou třídu, a tak dále."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "Panel Živé CSS"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr "Panel :guilabel:`Živé CSS` zobrazí všechna pravidla stylů, která jsou použita na značku, kterou právě upravujete. Je zobrazen název značky společně s jejím číslem řádku v editoru následovaný seznamem odpovídajících pravidel stylů."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr "Je to skvělý způsob, jak rychle zjistit, která pravidla stylů jsou použita na jakoukoliv značku. Zobrazení má také kliknutelné odkazy (modře), které vás přenesou přímo na místo, kde byl styl definován, pokud chcete provést jakékoliv změny v pravidlech stylu. Jsou zobrazen pravidla stylů, která jsou použita přímo na značku, stejně jako pravidla, která jsou zděděna z nadřazených značek."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr "Panelu také ukazuje, jaké jsou konečné vypočítané styly pro značku. Vlastnosti v seznamu, které jsou nahrazeny pravidly s vyšší prioritou, jsou zobrazeny přeškrtnuty čárou."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr "Panel Živé CSS můžete povolit pomocí :guilabel:`Zobrazení->Živé CSS`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr "Různé nástroje"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr "Je zde několik dalších nástrojů, které mohou být užitečné při úpravách knihy."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr "Zobrazení obsahu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr "Zobrazení obsahu vám ukazuje aktuální obsah v knize. Poklepáním na jakoukoliv položku se v editoru otevře místo, na které položka ukazuje. Pro úpravu obsahu, aktualizaci zobrazení nebo rozbalení a sbalení všech položek můžete kliknout pravým tlačítkem myši. Toto zobrazení je přístupné pomocí :guilabel:`Zobrazení->Obsah`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Kontrola pravopisu slov v knize"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr "Kontrolu pravopisu můžete spustit pomocí :guilabel:`Nástroje->Zkontrolovat pravopis`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr "Slova jsou zobrazena s počtem výskytů v knize a jazykem, do kterého slovo patří. Informace o jazyku je převzata z metadat knihy a z atributů ``lang`` v souborech HTML. To umožňuje, aby kontrola pravopisu fungovala dobře i s knihami, které obsahují text ve více jazycích. Například v následujícím úryvku HTML, bude slovo ``color`` zkontrolováno pomocí americké angličtiny a slovo ``colour`` pomocí britské angličtiny::"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr "Pro zvýraznění dalšího výskytu slova můžete poklepat na toto slovo v editoru. To je užitečné, pokud chcete ručně upravit slovo, nebo vidět, v jakém je v kontextu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr "Pro změnu slova jednoduše poklepejte na jeden z nabízených alternativních pravopisů vpravo, nebo napište svůj vlastní opravený pravopis a klikněte na tlačítko :guilabel:`Změnit vybrané slovo na`. To nahradí všechny výskyty slova v knize. Můžete také kliknout pravým tlačítkem myši na slovo v hlavním seznamu slov pro pohodlnou změnu slova z nabídky zobrazené po kliknutí pravým tlačítkem myši."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr "Můžete nechat kontrolu pravopisu ignorovat slovo pro aktuální relaci kliknutím na tlačítko :guilabel:`Ignorovat`. Můžete také přidat slovo do uživatelského slovníku kliknutím na tlačítko :guilabel:`Přidat slovo do slovníku`. Kontrola pravopisu podporuje více uživatelských slovníků, takže můžete vybrat slovníku, do kterého chcete slovo přidat."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr "Můžete také nechat kontrolu pravopisu zobrazit všechna slova v knize, ne jen ta špatně napsaná. To je užitečné, abyste viděli, která slova jsou v knize nejčastější a ke spuštění jednoduchého hledání a nahrazení na jednotlivých slovech."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr "Pokud provedete jakékoliv změny v knize úpravou souborů, když je otevřen nástroj kontroly pravopisu, měli byste kliknout na tlačítko :guilabel:`Aktualizovat` v nástroji Kontrola pravopisu. Pokud to neuděláte a budete pokračovat v používání nástroje Kontrola pravopisu, mohli byste přijít o změny provedené v editoru."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Přidávání nových slovníků"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr "Kontrola pravopisu obsahuje vestavěné slovníky pro angličtinu a španělštinu. Vlastní slovníky můžete nainstalovat pomocí :guilabel:`Úpravy->Předvolby->Nastavení editoru->Spravovat pravopisné slovníky`. Kontrola pravopisu může použít slovníky z programu LibreOffice (ve formátu .oxt). Tyto slovníky si můžete stáhnout z `Repozitáře rozšíření LibreOffice <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Vkládání speciálních znaků"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr "Znaky, které jsou obtížně napsat, můžete vložit pomocí nástroje :guilabel:`Úpravy->Vložit speciální znak`. Ten vám zobrazí všechny znaky Unicode, jednoduše klikněte na znak, který chcete zadat. Pokud při kliknutí podržíte klávesu :kbd:`Ctrl`, okno se samo zavře po vložení vybraného znaku. Tento nástroj může být použit k vložení speciálních znaků do hlavního textu, nebo do jakékoliv jiné oblasti uživatelského rozhraní, jako je například nástroj Hledat a nahradit."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr "Protože existuje spousta znaků, můžete definovat své :guilabel:`Oblíbené` znaky, které budou zobrazeny jako první. Jednoduše klikněte pravým tlačítkem myši na znak pro jeho označení jako oblíbeného. Můžete také kliknout pravým tlačítkem myši na znak v oblíbených pro jeho odebrání z oblíbených. A konečně můžete přeuspořádat pořadí znaků v oblíbených kliknutím na tlačítko :guilabel:`Přeuspořádat oblíbené` a přetažením znaku v oblíbených."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr "Můžete také přímo zadat speciální znaky pomocí klávesnice. Abyste to udělali, zadejte kód Unicode pro znak (šestnáctkově) a pak stiskněte :kbd:`Alt+X`, což převede dříve zadaný kód na odpovídající znak. Například abyste napsali ÿ, napsali byste ff a pak :kbd:`Alt+X`. Pro zadání pevné mezery byste použili a0 a pak :kbd:`Alt+X`, pro zadání vodorovných tří teček byste použili 2026 a :kbd:`Alt+X` a tak dále."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr "A nakonec speciální znaky můžete zadat pomocí pojmenovaných entit HTML. Například zadání &nbsp; bude nahrazeno pevnou mezerou, když napíšete středník. K nahrazení dojde, pouze když napíšete středník."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr "Zobrazení kontroly kódu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr "Toto zobrazení vám ukáže kódování HTML a CSS, které jsou použity na aktuální prvek. Otevřete ho kliknutím pravým tlačítkem myši na místo v panelu náhledu a výběrem :guilabel:`Zkontrolovat prvek`. To vám umožní zobrazit kódování HTML pro tento prvek a, co je důležitější, styly CSS, které jsou na něj použity. Můžete dokonce dynamicky upravovat styly a okamžitě uvidíte, jaký vliv mají vaše změny. Pamatujte, že úprava stylů ve skutečnosti neprovádí změny obsahu knihy, umožňuje to pouze rychlé experimentování. Schopnost živé úpravy uvnitř kontroly prvku je ve vývoji."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Kontrola externích odkazů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr "Tento nástroj můžete použít ke kontrole všech odkazů ve své knize, které odkazují na externí webové stránky. Nástroj se pokusí navštívit každou externě odkazovanou webovou stránku, a pokud návštěva selže, nahlásí všechny poškozené odkazy v pro vás vhodném formátu, abyste je opravili."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr "Stahování externích zdrojů"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr "Tento nástroj můžete použít pro automatické stáhnutí jakýchkoliv obrázků, šablon stylů atd. v knize, které nejsou v sadě s knihou (tj. mají adresy URL ukazující na umístění na internetu). Nástroj najde všechny takové zdroje a automaticky je stáhne, přidá je ke knize a nahradí všechny odkazy na ně, aby používaly stažené soubory."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr "Uspořádávání souborů do složek podle typu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr "Při úpravách souborů EPUB, které jste odněkud získali, často zjistíte, že soubory uvnitř EPUB jsou uspořádány nahodile v různých podsložkách. Tento nástroj vám umožňuje automaticky přesunout všechny soubory do podsložek na základě jejich typů. Přístupné je to pomocí :guilabel:`Nástroje->Uspořádat  do složek`. Pamatujte, že tento nástroj pouze mění způsob, jakým jsou soubory uspořádány uvnitř EPUB, ale nemění to, jak jsou zobrazeny v Prohlížeči souborů."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr "Importování souborů v jiných formátech e-knih než EPUB"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr "Editor obsahuje schopnost přímo importovat soubory v některých jiných formátech e-knih jako nový EPUB, aniž by prošly úplným převodem. To je obzvlášť užitečné pro přímé vytvoření souborů EPUB z vašich ručně upravených souborů HTML. Můžete to udělat pomocí :guilabel:`Soubor->Importovat soubor HTML nebo DOCX jako novou knihu`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "Nástroj Hlášení"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr "Editor obsahuje pěkný nástroj *Hlášení* (přes :guilabel:`Nástroje->Hlášení`), který zobrazuje souhrny souborů, obrázků, odkazů, slov, znaků a stylů použitých v knize. Každý řádek v hlášení je propojený. Poklepáním na řádek skočíte na místo v knize, kde je tato položka použita nebo definována (podle potřeby). Například v zobrazení :guilabel:`Odkazy` můžete poklepat na položky sloupce :guilabel:`Zdroj`, abyste skočili tam, kde je odkaz definován, a na položky ve sloupci :guilabel:`Cíl`, abyste skočili, kam odkaz ukazuje."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Speciální funkce v editoru kódu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr "Editor HTML v Calibre je velice výkonný. Má mnoho funkcí, díky kterým je úprava HTML (a CSS) jednodušší."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Zvýraznění syntaxe"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr "Editor HTML má velice propracované zvýraznění syntaxe. Funkce zahrnují:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr "Text uvnitř značek pro tučné písmo, kurzívu a nadpisy jsou tučné nebo kurzívou"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr "Jak přesouváte kurzor přes HTML, zvýrazní se odpovídající značky HTML jsou zvýrazněny a pomocí klávesových zkratek můžete přeskočit na otevírací nebo ukončovací značku :kbd:`Ctrl+{` a :kdb:`Ctrl+}`. Podobně můžete vybrat obsah značky pomocí :kbd:`Ctrl+Alt+T`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "Neplatné HTML je zvýrazněno červeným podtržením"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr "Pravopisné chyby v textu uvnitř značek HTML a atributy, jako jsou názvy, jsou zvýrazněny. Kontrola pravopisu je schopná rozpoznat jazyk na základě hodnoty atributu ``lang`` aktuální značky a celkového jazyka knihy."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr "CSS vložené uvnitř značek ``<style>`` je zvýrazněno"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr "Speciální znaky, které může být těžké rozlišit, jako jsou pevné mezery, různé druhy pomlček atd., jsou zvýrazněny."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr "Odkazy na jiné soubory ve značkách ``<a>``, ``<img>`` a ``<link>`` mají všechny zvýrazněné názvy souborů. Pokud odkazují na název souboru, který neexistuje, je název souboru označen červeným podtržením."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Nápověda závislá na kontextu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr "Pro získání nápovědy ke značce HTML nebo vlastnosti CSS můžete kliknout pravým tlačítkem myši na název této značky nebo vlastnosti."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr "Můžete také podržet klávesu :kbd:`Ctrl` a kliknout na jakýkoliv název souboru uvnitř značky odkazu pro automatické otevření tohoto souboru v editoru."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Automatické dokončování"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr "Při úpravě e-knihy je jedním z nejobtížnějších úkolů vytvořit odkazy na jiné soubory uvnitř knihy, šablony stylů CSS nebo obrázky. Musíte vyřešit správný název souboru a relativní cestu k souboru. Editor má automatické dokončování, aby toto zjednodušil."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr "Během psaní názvu souboru editor automaticky nabízí návrhy. Jednoduše použijte klávesu :kbd:`Tab` pro výběr správného názvu souboru. Editor dokonce nabízí návrhy pro odkazy ukazující na kotvu uvnitř jiného souboru HTML. Po napsání znaku ``#`` zobrazí editor seznam všech kotev v cílovém souboru s malým úryvkem textu, aby vám pomohl zvolit správnou kotvu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr "Pamatujte, že na rozdíl od většiny ostatních systémů dokončování, systém dokončování editoru používá podposloupnou shodu. To znamená, že pro dokončení názvu souboru můžete zadat jen dvě nebo tři písmena odkudkoliv z názvu souboru . Řekněme například, že když chcete název souboru ``../images/arrow1.png``, můžete jednoduše napsat ``ia1`` a stisknout :kbd:`Tab` pro dokončení názvu souboru. Při hledání shod systém dokončování upřednostňuje písmena, která jsou na začátku slova, nebo ihned po oddělovači cesty. Jakmile si zvyknete na tento systém, zjistíte, že vám ušetří spoustu času a úsilí."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Fragmenty"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/cs/faq.po 5.10.0+dfsg-1/translations/manual/cs/faq.po
--- 5.9.0+dfsg-3/translations/manual/cs/faq.po	2021-01-06 15:34:42.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cs/faq.po	2021-01-20 15:29:13.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -51,10 +51,10 @@ msgstr "Calibre podporuje převod z mnoh
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Vstupní formáty:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -171,8 +171,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -182,7 +182,7 @@ msgid ""
 "resulting MOBI file may not function correctly on a Kindle, since the "
 "Kindle's use the metadata ToC for many things, including the Page Flip "
 "feature."
-msgstr "Při převodu do MOBI Calibre rozpoznává ve vstupním dokumentu *metadatový obsah* a generuje ve výstupním souboru MOBI obsah na konci souboru. Toto můžete vypnout volbou v nastavení Výstup MOBI. Můžete také říct Calibre, zda ho má umístit na začátek nebo konec knihy prostřednictvím volby v nastavení Výstup MOBI. Nezapomeňte, že tento obsah je sémanticky *metadatový obsah*, v jakémkoliv jiném formátu než MOBI *nemůže být součástí textu*. Skutečnost, že v MOBI je součástí textu, je nehoda způsobená omezeními MOBI. Pokud chcete mít obsah v konkrétním místě v textu vašeho dokumentu, vytvořte ho ručně. Důrazně doporučujeme, abyste výchozí ponechali tak, jak je, tj. s metadatovým obsahem na konci knihy. Pamatujte také, že pokud zakážete generování obsahu na konci souboru, výsledný soubor MOBI nemusí na Kindle správně fungovat, protože Kindle používá metadatový obsah pro mnoho věcí, včetně funkce překlápění stránky."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:66
 msgid ""
@@ -412,7 +412,7 @@ msgid ""
 msgstr "Pokud připojujete Kindle Fire HD nebo jiné zařízení s Androidem, přečtěte si poznámku pod :ref:`android_usb`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -808,7 +808,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -942,7 +942,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1624,12 +1624,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1640,7 +1655,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1649,22 +1664,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1674,14 +1689,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1692,11 +1707,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "Stáhnul jsem instalační soubor, ale nefunguje?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1706,26 +1721,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1733,13 +1748,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1749,7 +1764,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1757,11 +1772,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1770,7 +1785,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1784,11 +1799,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1797,7 +1812,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1805,7 +1820,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1815,13 +1830,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1834,44 +1849,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1879,18 +1894,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1903,7 +1918,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1912,11 +1927,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1929,21 +1944,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1954,15 +1969,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Z mnoha důvodů:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1970,7 +1985,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1978,7 +1993,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1986,25 +2001,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2017,30 +2032,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2053,34 +2068,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/cs/stats.json 5.10.0+dfsg-1/translations/manual/cs/stats.json
--- 5.9.0+dfsg-3/translations/manual/cs/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cs/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 1847,
-    "untranslated": 1178
+    "translated": 1848,
+    "untranslated": 1183
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/cs/template_lang.po 5.10.0+dfsg-1/translations/manual/cs/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/cs/template_lang.po	2021-01-06 15:34:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cs/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/cs/viewer.po 5.10.0+dfsg-1/translations/manual/cs/viewer.po
--- 5.9.0+dfsg-3/translations/manual/cs/viewer.po	2021-01-06 15:35:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cs/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Czech (http://www.transifex.com/calibre/calibre/language/cs/)\n"
 "MIME-Version: 1.0\n"
@@ -247,11 +247,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr "Na Linux :guilabel:`Číst nahlas` vyžaduje nainstalovaný a funkční `Speech Dispatcher <https://freebsoft.org/speechd>`_."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr "Následování odkazů pouze pomocí klávesnice"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -261,7 +269,7 @@ msgid ""
 "link."
 msgstr "Prohlížeč e-knih má :guilabel:`Režim rad`, který umožňuje klikat na odkazy v textu bez použití myši. Stiskněte klávesy :kbd:`Alt+F` a všechny odkazy na aktuální obrazovce budou zvýrazněny číslem nebo písmenem. Stisknutím písmene na klávesnici kliknete na odkaz. Stisknutím klávesy :kbd:`Esc` přerušíte :guilabel:`Režim rad`, aniž byste vybrali jakýkoliv odkaz."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -269,37 +277,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr "Pokud je na obrazovce více než třicet pět odkazů, některé z nich budou mít více písmen, v takovém případě zadejte první a druhé nebo první a aktivujte je stisknutím :kbd:`Enter`. Klávesu :kbd:`Backspace` můžete také použít k vrácení chyby při psaní."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Přizpůsobení vzhledu a chování vašeho zážitku ze čtení"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr "Velikost písma můžete změnit za běhu pomocí :guilabel:`Velikost písma` v ovládacích prvcích prohlížeče nebo pomocí :kbd:`Ctrl++` a :kbd:`Ctrl+-` nebo držením klávesy :kbd:`Ctrl` a použitím kolečka myši."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr "Barvy lze změnit v oddílu :guilabel:`Barvy` v předvolbách prohlížeče."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr "Počet stránek zobrazených na obrazovce stejně jako okraje stránky můžete změnit v :guilabel:`Rozložení stránky` v předvolbách prohlížeče."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr "Vlastní záhlaví a zápatí, jako je zbývající čas čtení, název aktuální kapitoly, pozice v knize atd., můžete zobrazit prostřednictvím oddílu :guilabel:`Záhlaví a zápatí` předvoleb prohlížeče."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -309,11 +317,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr "Pokročilejší přizpůsobení může být dosaženo nastavením :guilabel:`Stylů`. Zde můžete zadat obrázek pozadí, který bude zobrazen pod textem, a také šablonu stylů, kterou můžete nastavit, aby se použila na každou knihu. Pomocí ní můžete dělat věci, jako jsou změna stylů odstavců, zarovnání textu do bloku atd. Pro příklady vlastních šablon stylů používaných uživateli Calibre navštivte `fórum <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Vyhledávání ve slovníku"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -321,11 +329,11 @@ msgid ""
 "panel."
 msgstr "Význam slov v aktuální knize můžete vyhledat otevřením panelu :guilabel:`Vyhledat nebo hledat slovo` prostřednictvím ovládacích prvků prohlížeče. Pak jednoduše poklepejte na jakékoliv slovo, a jeho definice se zobrazí v panelu Vyhledávání."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Kopírování textu a obrázků"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -333,22 +341,22 @@ msgid ""
 "and images."
 msgstr "Text a obrázky můžete vybrat přetažením obsahu myší a potom kliknutím pravým tlačítkem myši a výběrem :guilabel:`Kopírovat` pro zkopírování do schránky. Zkopírovaný materiál může být vložen do jiné aplikace jako prostý text a obrázky."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Přibližování obrázků"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr "Přiblížit obrázek pro zobrazení v plné velikosti v samostatném okně můžete buď poklepáním nebo dlouhým klepnutím na něj. Můžete na něj také kliknout pravým tlačítkem myši a zvolit :guilabel:`Zobrazit obrázek`."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr "Neplovoucí obsah"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
@@ -356,4 +364,4 @@ msgid ""
 "this content. Alternately, you can also add the following CSS to the "
 ":guilabel:`Styles` section of the viewer preferences to force the viewer to "
 "break up lines of text in :code:`<pre>` tags::"
-msgstr ""
+msgstr "Některé knihy mají velmi široký obsah, který nemůže být zalomen na ohraničeních stránky. Například tabulky nebo značky :code:`<pre>`. V takových případech byste měli přepnout prohlížeč do *plovoucího režimu* stisknutím :kbd:`Ctrl+m` pro čtení tohoto obsahu. Alternativně můžete také přidat následující CSS do oddílu :guilabel:`Styly` v předvolbách prohlížeče, abyste prohlížeč donutili rozdělit řádky textu ve značkách :code:`<pre>`::"
diff -pruN 5.9.0+dfsg-3/translations/manual/customize.pot 5.10.0+dfsg-1/translations/manual/customize.pot
--- 5.9.0+dfsg-3/translations/manual/customize.pot	2021-01-08 03:54:17.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/customize.pot	2021-01-22 02:29:46.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/cy/db_api.po 5.10.0+dfsg-1/translations/manual/cy/db_api.po
--- 5.9.0+dfsg-3/translations/manual/cy/db_api.po	2020-12-23 14:20:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cy/db_api.po	2021-01-20 15:30:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/cy/edit.po 5.10.0+dfsg-1/translations/manual/cy/edit.po
--- 5.9.0+dfsg-3/translations/manual/cy/edit.po	2020-12-10 03:01:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cy/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: cy\n"
 "Plural-Forms: nplurals=4; plural=(n==1) ? 0 : (n==2) ? 1 : (n != 8 && n != 11) ? 2 : 3;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/cy/faq.po 5.10.0+dfsg-1/translations/manual/cy/faq.po
--- 5.9.0+dfsg-3/translations/manual/cy/faq.po	2021-01-06 15:34:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cy/faq.po	2021-01-20 15:29:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/cy/stats.json 5.10.0+dfsg-1/translations/manual/cy/stats.json
--- 5.9.0+dfsg-3/translations/manual/cy/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cy/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 9,
-    "untranslated": 3016
+    "untranslated": 3022
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/cy/template_lang.po 5.10.0+dfsg-1/translations/manual/cy/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/cy/template_lang.po	2021-01-06 15:34:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cy/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/cy/viewer.po 5.10.0+dfsg-1/translations/manual/cy/viewer.po
--- 5.9.0+dfsg-3/translations/manual/cy/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/cy/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Welsh (http://www.transifex.com/calibre/calibre/language/cy/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/da/db_api.po 5.10.0+dfsg-1/translations/manual/da/db_api.po
--- 5.9.0+dfsg-3/translations/manual/da/db_api.po	2020-12-23 14:20:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/db_api.po	2021-01-20 15:30:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/da/diff.po 5.10.0+dfsg-1/translations/manual/da/diff.po
--- 5.9.0+dfsg-3/translations/manual/da/diff.po	2019-06-13 05:18:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/diff.po	2021-01-20 15:29:47.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:00+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 18:26+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -17,18 +17,18 @@ msgstr ""
 "Language: da\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:4
+#: ../../__w/calibre/calibre/manual/diff.rst:4
 msgid "Comparing e-books"
-msgstr ""
+msgstr "Sammenlign e-bøger"
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:6
+#: ../../__w/calibre/calibre/manual/diff.rst:6
 msgid ""
 "calibre includes an integrated e-book comparison tool that can be used to "
 "see what has changed inside an e-book after editing or converting it. It can"
 " compare books in the EPUB and AZW3 formats."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:10
+#: ../../__w/calibre/calibre/manual/diff.rst:10
 msgid ""
 "To use it, either open the e-book in the tool for :ref:`edit` and then click"
 " :guilabel:`File->Compare to other book` or use the :ref:`book_details` "
@@ -37,17 +37,17 @@ msgid ""
 " the Book details panel and choose :guilabel:`Compare to EPUB format`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:16
+#: ../../__w/calibre/calibre/manual/diff.rst:16
 msgid ""
 "The comparison tool that opens will look like the screenshot below. It shows"
 " you the differences in text, styles and images in the chosen books."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:25
+#: ../../__w/calibre/calibre/manual/diff.rst:25
 msgid "Understanding the comparison view"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:27
+#: ../../__w/calibre/calibre/manual/diff.rst:27
 msgid ""
 "As can be seen in the screenshot above, the comparison view shows the "
 "differences between the two books side by side. Only the differences, with a"
@@ -55,13 +55,13 @@ msgid ""
 "glance only what was changed inside a large document like a book."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:32
+#: ../../__w/calibre/calibre/manual/diff.rst:32
 msgid ""
 "Added text is shown with a green background, removed text with a red "
 "background and changed text with a blue background."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:35
+#: ../../__w/calibre/calibre/manual/diff.rst:35
 msgid ""
 "The line numbers of all changed text are show at the sides, making it easy "
 "to go to a particular change in the editor. When you open the comparison "
@@ -69,7 +69,7 @@ msgid ""
 "right panel to go to that line in the editor automatically."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:40
+#: ../../__w/calibre/calibre/manual/diff.rst:40
 msgid ""
 "One useful technique when comparing books is to tell the comparison tool to "
 "beautify the text and style files before calculating differences. This can "
@@ -81,29 +81,29 @@ msgid ""
 " shown around differences via the :guilabel:`Options` button."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:49
+#: ../../__w/calibre/calibre/manual/diff.rst:49
 msgid ""
 "You can search for any text in the differences via the Search bar at the "
 "bottom. You will need to specify which panel to search, the :guilabel:`Left`"
 " or the :guilabel:`Right`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:54
+#: ../../__w/calibre/calibre/manual/diff.rst:54
 msgid "Launching the comparison tool"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:56
+#: ../../__w/calibre/calibre/manual/diff.rst:56
 msgid ""
 "The comparison tool is most useful when you have two versions of the same "
 "book and you want to see what is different between them. To that end, there "
 "are several ways to launch the tool."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:61
+#: ../../__w/calibre/calibre/manual/diff.rst:61
 msgid "Comparing two e-book files"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:63
+#: ../../__w/calibre/calibre/manual/diff.rst:63
 msgid ""
 "Open the first file in the :ref:`edit` tool. Now click "
 ":guilabel:`File->Compare to another book` and choose the second file (it "
@@ -111,11 +111,11 @@ msgid ""
 " the file being edited on the right and the second file on the left."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:69
+#: ../../__w/calibre/calibre/manual/diff.rst:69
 msgid "Comparing the ORIGINAL_FMT to FMT"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:71
+#: ../../__w/calibre/calibre/manual/diff.rst:71
 msgid ""
 "When you do a conversion in calibre from a FMT to itself, the original file "
 "is saved as ORIGINAL_FMT. You can see what was changed by the conversion, by"
@@ -125,11 +125,11 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:78
+#: ../../__w/calibre/calibre/manual/diff.rst:78
 msgid "Comparing a checkpoint to the current state of the book while editing"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/diff.rst:80
+#: ../../__w/calibre/calibre/manual/diff.rst:80
 msgid ""
 "The :ref:`edit` tool has a very useful feature, called :ref:`checkpoints`. "
 "This allows you to save the current state of the book as a named "
diff -pruN 5.9.0+dfsg-3/translations/manual/da/edit.po 5.10.0+dfsg-1/translations/manual/da/edit.po
--- 5.9.0+dfsg-3/translations/manual/da/edit.po	2020-12-10 03:01:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/edit.po	2021-01-20 15:29:53.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-18 15:54+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: da\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
-msgstr ""
+msgstr "Rediger e-bøger"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
-msgstr ""
+msgstr "Gemte søgninger"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/da/faq.po 5.10.0+dfsg-1/translations/manual/da/faq.po
--- 5.9.0+dfsg-3/translations/manual/da/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/faq.po	2021-01-20 15:29:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/da/gui.po 5.10.0+dfsg-1/translations/manual/da/gui.po
--- 5.9.0+dfsg-3/translations/manual/da/gui.po	2021-01-06 15:36:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/gui.po	2021-01-20 15:30:07.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-05 07:50+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 17:14+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -1081,7 +1081,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/gui.rst:480
 msgid "Virtual libraries"
-msgstr ""
+msgstr "Virtuelle biblioteker"
 
 #: ../../__w/calibre/calibre/manual/gui.rst:482
 msgid ""
diff -pruN 5.9.0+dfsg-3/translations/manual/da/index.po 5.10.0+dfsg-1/translations/manual/da/index.po
--- 5.9.0+dfsg-3/translations/manual/da/index.po	2020-04-16 09:58:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/index.po	2021-01-20 15:29:28.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Joe Hansen <joedalton2@yahoo.dk>, 2014-2015
+# Joe Hansen <joedalton2@yahoo.dk>, 2014-2015,2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-27 14:01+0530\n"
-"PO-Revision-Date: 2020-03-27 04:41+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 18:30+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: da\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:4
+#: ../../__w/calibre/calibre/manual/index.rst:4
 msgid "calibre User Manual"
 msgstr "Calibre - brugermanual"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:6
+#: ../../__w/calibre/calibre/manual/index.rst:6
 msgid ""
 "calibre is an e-book library manager. It can view, convert and catalog "
 "e-books in most of the major e-book formats. It can also talk to many e-book"
@@ -30,18 +30,18 @@ msgid ""
 "books. It can download newspapers and convert them into e-books for "
 "convenient reading. It is cross platform, running on Linux, Windows and "
 "macOS."
-msgstr ""
+msgstr "Calibre er et biblioteksprogram for e-bøger. Programmet kan vise, konvertere og katalogisere e-bøger i de vigtigste e-bogformater. Programmet kan også kommunikere med mange e-boglæsere. Programmet kan gå på nettet og hente metadata for dine e-bøger. Det kan hente aviser og konvertere dem til e-bøger for nem læsning. Det fungerer på flere platforme såsom Linux, Windows og macOS."
 
-#: ../../home/kovid/work/calibre/manual/index.rst:8
+#: ../../__w/calibre/calibre/manual/index.rst:8
 msgid ""
 "You've just started calibre. What do you do now? Before calibre can do "
 "anything with your e-books, it first has to know about them. Drag and drop a"
 " few e-book files into calibre, or click the \"Add books\" button and browse"
 " for the e-books you want to work with. Once you've added the books, they "
 "will show up in the main view looking something like this:"
-msgstr ""
+msgstr "Du har netop startet Calibre. Hvad gør du nu? før Calibre kan gøre noget med dine e-bøger, så skal programmet først kende til dem. Træk og slip nogle få e-bogfiler ind i Calibre, eller klik på knappen »Tilføj bøger« og kig efter de e-bøger du ønsker at arbejde med. Når du først har tilføjet bøgerne, så vil de blive vist i hovedbilledet på denne måde:"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:12
+#: ../../__w/calibre/calibre/manual/index.rst:12
 msgid ""
 "Once you've admired the list of books you just added to your heart's "
 "content, you'll probably want to read one. In order to do that you'll have "
@@ -52,9 +52,9 @@ msgid ""
 " now and click \"OK\". The little icon in the bottom right corner will start"
 " spinning. Once it's finished spinning, your converted book is ready. Click "
 "the \"View\" button to read the book."
-msgstr ""
+msgstr "Når du først har beundret listen over bøgerne, du har tilføjet, så er det tid for at læse en. For at gøre dette skal du konvertere bogen til et format din læser forstår. Når du første gang kører Calibre vil velkomstguiden starte og opsætte Calibre for din enhed. Konvertering er rigtig nemt. Bare vælg bogen du ønsker at konvertere, klik så på knappen »Konverter bøger«. Ignorer alle indstillingerne indtil videre og klik på »O.k.« Det lille ikon i bunden af den højre side vil begynde at rotere. Når den er færdig med at rotere, er din konverterede bog klar. Klik på knappen »Vis« for at læse bogen."
 
-#: ../../home/kovid/work/calibre/manual/index.rst:14
+#: ../../__w/calibre/calibre/manual/index.rst:14
 msgid ""
 "If you want to read the book on your reader, connect it to the computer, "
 "wait till calibre detects it (10-20 seconds) and then click the \"Send to "
@@ -63,79 +63,79 @@ msgid ""
 "will auto convert it to the format your reader device understands."
 msgstr "Hvis du ønsker at læse bogen på din læser, så forbinder du den til computere, vent på at Calibre detekterer den (10-20 sekunder) og klik så på knappen »Send til enhed«. Når ikonet stopper med at rotere frakobler du din læser og kan begynde og læse! Hvis du ikke konverterede bogen i det forrige trin vil Calibre konvertere den til formatet din enhed forstår."
 
-#: ../../home/kovid/work/calibre/manual/index.rst:16
+#: ../../__w/calibre/calibre/manual/index.rst:16
 msgid ""
 "To get started with more advanced usage, you should read about :doc:`gui`. "
 "For even more power and versatility, learn the :doc:`generated/en/cli-"
 "index`. You will find the list of :doc:`faq` useful as well."
 msgstr "For at komme i gang med den mere avancerede brug, så bør du læse :doc:`gui`. For endnu mere funktionalitet og alsidighed så lær indholdet i  :doc:`generated/da/cli-index`. Du vil også finde listen i :doc:`faq` nyttig."
 
-#: ../../home/kovid/work/calibre/manual/index.rst:18
+#: ../../__w/calibre/calibre/manual/index.rst:18
 msgid ""
 "If you have more questions, or want to discuss calibre with other users or "
 "ask for help with specific things, there are `forums and other help "
 "resources available <https://calibre-ebook.com/help>`_."
-msgstr ""
+msgstr "Hvis du har yderligere spørgsmål, eller ønsker at diskutere Calibre med andre brugere eller spørge om hjælp med specifikke ting, så er der `fora og andre hjælperessourcer tilgængelige <https://calibre-ebook.com/help>`_."
 
-#: ../../home/kovid/work/calibre/manual/index.rst:24
+#: ../../__w/calibre/calibre/manual/index.rst:24
 msgid ""
 "**An e-book version of this User Manual is available in** `EPUB format "
 "<calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_ and `PDF "
 "format <calibre.pdf>`_."
-msgstr ""
+msgstr "**En e-bogversion af denne brugermanual er tilgængelig i** `EPUB-format <calibre.epub>`_,  `AZW3-format (Kindle Fire) <calibre.azw3>`_ og `PDF-format <calibre.pdf>`_."
 
-#: ../../home/kovid/work/calibre/manual/index.rst:27
+#: ../../__w/calibre/calibre/manual/index.rst:27
 msgid "Sections"
 msgstr "Sektioner"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:49
+#: ../../__w/calibre/calibre/manual/index.rst:50
 msgid "The main calibre user interface"
 msgstr "Caibre - brugergrænsefladen"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:57
+#: ../../__w/calibre/calibre/manual/index.rst:58
 msgid "Adding your favorite news website to calibre"
 msgstr "Tilføjelse af din favorithjemmeside for nyheder til Calibre"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:65
+#: ../../__w/calibre/calibre/manual/index.rst:66
 msgid "The calibre E-book viewer"
-msgstr ""
+msgstr "E-bogfremviseren Calibre"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:73
+#: ../../__w/calibre/calibre/manual/index.rst:74
 msgid "Customizing calibre's e-book conversion"
-msgstr ""
+msgstr "Tilpasning af Calibres e-bogkonvertering"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:81
+#: ../../__w/calibre/calibre/manual/index.rst:82
 msgid "Editing e-books"
-msgstr ""
+msgstr "Rediger e-bøger"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:89
+#: ../../__w/calibre/calibre/manual/index.rst:90
 msgid "The calibre Content server"
-msgstr ""
+msgstr "Calibres indholdsserver"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:97
+#: ../../__w/calibre/calibre/manual/index.rst:98
 msgid "Comparing e-books"
-msgstr ""
+msgstr "Sammenlign e-bøger"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:105
+#: ../../__w/calibre/calibre/manual/index.rst:106
 msgid "Editing e-book metadata"
-msgstr ""
+msgstr "Redigering af e-bogmetadata"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:113
+#: ../../__w/calibre/calibre/manual/index.rst:114
 msgid "Frequently Asked Questions"
 msgstr "Ofte stillede spørgsmål"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:121
+#: ../../__w/calibre/calibre/manual/index.rst:122
 msgid "Tutorials"
 msgstr "Øvelser"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:129
+#: ../../__w/calibre/calibre/manual/index.rst:130
 msgid "Customizing calibre"
 msgstr "Tilpasning af calibre"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:137
+#: ../../__w/calibre/calibre/manual/index.rst:138
 msgid "The Command Line Interface"
 msgstr "Kommandolinjens grænseflade"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:145
+#: ../../__w/calibre/calibre/manual/index.rst:146
 msgid "Setting up a calibre development environment"
 msgstr "Opsætning af et calibre-udviklingsmiljø"
diff -pruN 5.9.0+dfsg-3/translations/manual/da/metadata.po 5.10.0+dfsg-1/translations/manual/da/metadata.po
--- 5.9.0+dfsg-3/translations/manual/da/metadata.po	2020-11-26 07:34:12.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/metadata.po	2021-01-20 15:30:06.000000000 +0000
@@ -3,13 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
+# Joe Hansen <joedalton2@yahoo.dk>, 2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-11-26 07:03+0000\n"
-"PO-Revision-Date: 2020-11-22 03:55+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 18:29+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -17,15 +18,15 @@ msgstr ""
 "Language: da\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:4
+#: ../../__w/calibre/calibre/manual/metadata.rst:4
 msgid "Editing e-book metadata"
-msgstr ""
+msgstr "Redigering af e-bogmetadata"
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:8
+#: ../../__w/calibre/calibre/manual/metadata.rst:8
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:10
+#: ../../__w/calibre/calibre/manual/metadata.rst:10
 msgid ""
 "E-books come in all shapes and sizes and more often than not, their metadata"
 " (things like title/author/series/publisher) is incomplete or incorrect. The"
@@ -34,11 +35,11 @@ msgid ""
 "editing\" use the edit metadata tools discussed below."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:15
+#: ../../__w/calibre/calibre/manual/metadata.rst:15
 msgid "Editing the metadata of one book at a time"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:17
+#: ../../__w/calibre/calibre/manual/metadata.rst:17
 msgid ""
 "Click the book you want to edit and then click the :guilabel:`Edit metadata`"
 " button or press the ``E`` key. A dialog opens that allows you to edit all "
@@ -46,13 +47,13 @@ msgid ""
 "more efficient. A list of the commonly used tips:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:19
+#: ../../__w/calibre/calibre/manual/metadata.rst:19
 msgid ""
 "You can click the button in between title and authors to swap them "
 "automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:20
+#: ../../__w/calibre/calibre/manual/metadata.rst:20
 msgid ""
 "You can click the button next to author sort to have calibre automatically "
 "fill it in using the sort values stored with each author. Use the "
@@ -61,30 +62,30 @@ msgid ""
 " author sort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:21
+#: ../../__w/calibre/calibre/manual/metadata.rst:21
 msgid ""
 "You can click the button next to tags to use the :guilabel:`Tag editor` to "
 "manage the tags associated with the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:22
+#: ../../__w/calibre/calibre/manual/metadata.rst:22
 msgid ""
 "The \"Ids\" box can be used to enter an ISBN (and many other types of id), "
 "it will have a red background if you enter an invalid ISBN. It will be green"
 " for valid ISBNs."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:23
+#: ../../__w/calibre/calibre/manual/metadata.rst:23
 msgid ""
 "The author sort box will be red if the author sort value differs from what "
 "calibre thinks it should be."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:26
+#: ../../__w/calibre/calibre/manual/metadata.rst:26
 msgid "Downloading metadata"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:28
+#: ../../__w/calibre/calibre/manual/metadata.rst:28
 msgid ""
 "The nicest feature of the edit metadata dialog is its ability to "
 "automatically fill in many metadata fields by getting metadata from various "
@@ -93,7 +94,7 @@ msgid ""
 "tags, rating, description and ISBN for you."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:30
+#: ../../__w/calibre/calibre/manual/metadata.rst:30
 msgid ""
 "To use the download, fill in the title and author fields and click the "
 ":guilabel:`Fetch metadata` button. calibre will present you with a list of "
@@ -103,11 +104,11 @@ msgid ""
 "including only some key words in the title and only the author last name."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:33
+#: ../../__w/calibre/calibre/manual/metadata.rst:33
 msgid "Managing book formats"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:35
+#: ../../__w/calibre/calibre/manual/metadata.rst:35
 msgid ""
 "In calibre, a single book entry can have many different *formats* associated"
 " with it. For example you may have obtained the Complete Works of "
@@ -119,11 +120,11 @@ msgid ""
 "the metadata in one of the formats."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:38
+#: ../../__w/calibre/calibre/manual/metadata.rst:38
 msgid "All about covers"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:40
+#: ../../__w/calibre/calibre/manual/metadata.rst:40
 msgid ""
 "You can ask calibre to download book covers for you, provided the book has a"
 " known ISBN. Alternatively you can specify a file on your computer to use as"
@@ -132,17 +133,17 @@ msgid ""
 "also right click to copy/paste cover images."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:42
+#: ../../__w/calibre/calibre/manual/metadata.rst:42
 msgid ""
 "In addition, there is a button to automatically trim borders from the cover,"
 " in case your cover image has an ugly border."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:46
+#: ../../__w/calibre/calibre/manual/metadata.rst:46
 msgid "Editing the metadata of many books at a time"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:48
+#: ../../__w/calibre/calibre/manual/metadata.rst:48
 msgid ""
 "First select the books you want to edit by holding :kbd:`Ctrl` or "
 ":kbd:`Shift` and clicking on them. If you select more than one book, "
@@ -156,18 +157,18 @@ msgid ""
 "to another."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:50
+#: ../../__w/calibre/calibre/manual/metadata.rst:50
 msgid ""
 "The normal edit metadata dialog also has :guilabel:`Next` and "
 ":guilabel:`Previous` buttons that you can use to edit the metadata of "
 "several books one after the other."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:53
+#: ../../__w/calibre/calibre/manual/metadata.rst:53
 msgid "Search and replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:55
+#: ../../__w/calibre/calibre/manual/metadata.rst:55
 msgid ""
 "The :guilabel:`Bulk metadata edit` dialog allows you to perform arbitrarily "
 "powerful search and replace operations on the selected books. By default it "
@@ -175,7 +176,7 @@ msgid ""
 "expressions*. For more on regular expressions, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:57
+#: ../../__w/calibre/calibre/manual/metadata.rst:57
 msgid ""
 "As noted above, there are two search and replace modes: character match and "
 "regular expression. Character match will look in the `Search field` you "
@@ -186,7 +187,7 @@ msgid ""
 "replaced with `HELLO`, then the result will be `HELLO bHELLOd cHELLOt`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:59
+#: ../../__w/calibre/calibre/manual/metadata.rst:59
 msgid ""
 "If the field you are searching on is a `multiple` field like tags, then each"
 " tag is treated separately. For example, if your tags contain `Horror, "
@@ -194,32 +195,32 @@ msgid ""
 "expression will first be applied to `Horror` and then to `Scary`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:61
+#: ../../__w/calibre/calibre/manual/metadata.rst:61
 msgid ""
 "If you want the search to ignore upper/lowercase differences, uncheck the "
 "`Case sensitive` box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:63
+#: ../../__w/calibre/calibre/manual/metadata.rst:63
 msgid ""
 "You can have calibre change the case of the result (information after the "
 "replace has happened) by choosing one of the functions from the `Apply "
 "function after replace` box. The operations available are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:65
+#: ../../__w/calibre/calibre/manual/metadata.rst:65
 msgid "`Lower case` -- change all the characters in the field to lower case"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:66
+#: ../../__w/calibre/calibre/manual/metadata.rst:66
 msgid "`Upper case` -- change all the characters in the field to upper case"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:67
+#: ../../__w/calibre/calibre/manual/metadata.rst:67
 msgid "`Title case` -- capitalize each word in the result."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:69
+#: ../../__w/calibre/calibre/manual/metadata.rst:69
 msgid ""
 "The `Your test` box is provided for you to enter text to check that "
 "search/replace is doing what you want. In the majority of cases the book "
@@ -228,7 +229,7 @@ msgid ""
 "test`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:71
+#: ../../__w/calibre/calibre/manual/metadata.rst:71
 msgid ""
 "Regular expression mode has some differences from character mode, beyond (of"
 " course) using regular expressions. The first is that functions are applied "
@@ -237,7 +238,7 @@ msgid ""
 "the entire field."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:73
+#: ../../__w/calibre/calibre/manual/metadata.rst:73
 msgid ""
 "The third and most important is that the replace string can make reference "
 "to parts of the search string by using backreferences. A backreference is "
@@ -248,7 +249,7 @@ msgid ""
 ":ref:`regexptutorial` for more information on backreferences."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:75
+#: ../../__w/calibre/calibre/manual/metadata.rst:75
 msgid ""
 "One useful pattern: assume you want to change the case of an entire field. "
 "The easiest way to do this is to use character mode, but lets further assume"
@@ -257,7 +258,7 @@ msgid ""
 " function should be selected."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:77
+#: ../../__w/calibre/calibre/manual/metadata.rst:77
 msgid ""
 "Finally, in regular expression mode you can copy values from one field to "
 "another. Simply make the source and destination field different. The copy "
@@ -268,7 +269,7 @@ msgid ""
 "tags), then you cannot uncheck this box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:79
+#: ../../__w/calibre/calibre/manual/metadata.rst:79
 msgid ""
 "Search and replace is done after all the other metadata changes in the other"
 " tabs are applied. This can lead to some confusion, because the test boxes "
@@ -277,11 +278,11 @@ msgid ""
 "going to happen, do not mix search/replace with other changes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:82
+#: ../../__w/calibre/calibre/manual/metadata.rst:82
 msgid "Bulk downloading of metadata"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/metadata.rst:84
+#: ../../__w/calibre/calibre/manual/metadata.rst:84
 msgid ""
 "If you want to download the metadata for multiple books at once, right-click"
 " the :guilabel:`Edit metadata` button and select :guilabel:`Download "
diff -pruN 5.9.0+dfsg-3/translations/manual/da/server.po 5.10.0+dfsg-1/translations/manual/da/server.po
--- 5.9.0+dfsg-3/translations/manual/da/server.po	2020-10-01 03:16:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/server.po	2021-01-20 15:29:47.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-10-01 03:09+0000\n"
-"PO-Revision-Date: 2020-09-28 02:43+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 18:26+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: da\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:2
+#: ../../__w/calibre/calibre/manual/server.rst:2
 msgid "The calibre Content server"
-msgstr ""
+msgstr "Calibres indholdsserver"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:4
+#: ../../__w/calibre/calibre/manual/server.rst:4
 msgid ""
 "The calibre :guilabel:`Content server` allows you to access your calibre "
 "libraries and read books directly in a browser on your favorite mobile phone"
@@ -31,11 +31,11 @@ msgid ""
 "you can read it even when there is no internet connection."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:13
+#: ../../__w/calibre/calibre/manual/server.rst:13
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:15
+#: ../../__w/calibre/calibre/manual/server.rst:15
 msgid ""
 "To start the server, click the :guilabel:`Connect/share` button and choose "
 ":guilabel:`Start Content server`. You might get a message from your "
@@ -45,11 +45,11 @@ msgid ""
 "following address:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:22
+#: ../../__w/calibre/calibre/manual/server.rst:22
 msgid "http://127.0.0.1:8080"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:24
+#: ../../__w/calibre/calibre/manual/server.rst:24
 msgid ""
 "This will open a page in the browser showing you your calibre libraries, "
 "click on any one and browse the books in it. Click on a book, and it will "
@@ -58,7 +58,7 @@ msgid ""
 ":guilabel:`Read book` button to start reading the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:30
+#: ../../__w/calibre/calibre/manual/server.rst:30
 msgid ""
 "The address used above ``http://127.0.0.1:8080`` will only work on the "
 "computer that is running calibre. To access the server from other "
@@ -66,11 +66,11 @@ msgid ""
 "described in the next section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:37
+#: ../../__w/calibre/calibre/manual/server.rst:37
 msgid "Accessing the Content server from other devices"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:39
+#: ../../__w/calibre/calibre/manual/server.rst:39
 msgid ""
 "There are two types of remote device access that you will typically need. "
 "The first, simpler kind is from within your home network. If you are running"
@@ -79,11 +79,11 @@ msgid ""
 "access the server on those devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:46
+#: ../../__w/calibre/calibre/manual/server.rst:46
 msgid "Accessing the server from devices on your home network"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:48
+#: ../../__w/calibre/calibre/manual/server.rst:48
 msgid ""
 "After starting the server in calibre as described above, click the "
 ":guilabel:`Connect/share` button again. Instead of the :guilabel:`Start "
@@ -93,13 +93,13 @@ msgid ""
 "example::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:57
+#: ../../__w/calibre/calibre/manual/server.rst:57
 msgid ""
 "These numbers tell you what address to use to connect to the server in your "
 "devices. Following the example above, the address becomes::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:62
+#: ../../__w/calibre/calibre/manual/server.rst:62
 msgid ""
 "The first part of the address is always ``http://`` the next part is the IP "
 "address, which is the numbers before the comma and finally we have the port "
@@ -108,24 +108,24 @@ msgid ""
 "calibre libraries on your device. If not, read on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:70
+#: ../../__w/calibre/calibre/manual/server.rst:70
 msgid "Trouble-shooting the home network connection"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:72
+#: ../../__w/calibre/calibre/manual/server.rst:72
 msgid ""
 "If you are unable to access the server from your device, try the following "
 "steps:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:75
+#: ../../__w/calibre/calibre/manual/server.rst:75
 msgid ""
 "Check that the server is running by opening the address "
 "``http://127.0.0.1:8080`` in a browser running on the same computer as the "
 "server."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:79
+#: ../../__w/calibre/calibre/manual/server.rst:79
 msgid ""
 "Check that your firewall/anti-virus is allowing connections to your computer"
 " on the port ``8080`` and to the calibre program. The easiest way to "
@@ -135,14 +135,14 @@ msgid ""
 "computer safe."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:86
+#: ../../__w/calibre/calibre/manual/server.rst:86
 msgid ""
 "Check that your device and computer are on the same network. This means they"
 " should both be connected to the same wireless router. In particular neither"
 " should be using a cellular or ISP provided direct-WiFi connection."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:90
+#: ../../__w/calibre/calibre/manual/server.rst:90
 msgid ""
 "If you have non-standard networking setup, it might be that the IP address "
 "shown on the :guilabel:`Connect/share` menu is incorrect. In such a case you"
@@ -151,7 +151,7 @@ msgid ""
 "possible, it is not possible to give you a roadmap for doing so."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:97
+#: ../../__w/calibre/calibre/manual/server.rst:97
 msgid ""
 "If you have setup a username and password, first try it without that to see "
 "if it is causing issues. Some e-ink devices have browsers that do not handle"
@@ -160,16 +160,16 @@ msgid ""
 "``http://username:password@192.168.1.2:8080``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:103
+#: ../../__w/calibre/calibre/manual/server.rst:103
 msgid ""
 "If you are stuck, you can always ask for help in the `calibre user forums`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:107
+#: ../../__w/calibre/calibre/manual/server.rst:107
 msgid "Accessing the server from anywhere on the internet"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:111
+#: ../../__w/calibre/calibre/manual/server.rst:111
 msgid ""
 "Before doing this you should turn on username/password protection in the "
 "server, otherwise anyone in the world will be able to access your books. Go "
@@ -178,34 +178,34 @@ msgid ""
 "server`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:117
+#: ../../__w/calibre/calibre/manual/server.rst:117
 msgid ""
 "While the particular details on setting up internet access vary depending on"
 " the network configuration and type of computer you are using, the basic "
 "schema is as follows."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:121
+#: ../../__w/calibre/calibre/manual/server.rst:121
 msgid ""
 "Find out the external IP address of the computer you are going to run the "
 "server on. You can do that by visiting the site `What is my IP address "
 "<https://www.whatismyip.com/>`_ in a browser running on the computer."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:125
+#: ../../__w/calibre/calibre/manual/server.rst:125
 msgid ""
 "If the computer is behind a router, enable port forwarding on the router to "
 "forward the port ``8080`` (or whatever port you choose to run the calibre "
 "Content server on) to the computer."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:129
+#: ../../__w/calibre/calibre/manual/server.rst:129
 msgid ""
 "Make sure the calibre server is allowed through any firewalls/anti-virus "
 "programs on your computer."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:132
+#: ../../__w/calibre/calibre/manual/server.rst:132
 msgid ""
 "Now you should be able to access the server on any internet-connected device"
 " using the IP address you found in the first step. For example, if the IP "
@@ -214,14 +214,14 @@ msgid ""
 "``http://123.123.123.123:8080``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:138
+#: ../../__w/calibre/calibre/manual/server.rst:138
 msgid ""
 "Optionally, use a service like `no-ip <https://www.noip.com/free>`_ to setup"
 " an easy to remember address to use instead of the IP address you found in "
 "the first step."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:143
+#: ../../__w/calibre/calibre/manual/server.rst:143
 msgid ""
 "For maximum security, you should also enable HTTPS on the content server. "
 "You can either do so directly in the server by providing the path to the "
@@ -230,11 +230,11 @@ msgid ""
 "existing HTTPS setup."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:151
+#: ../../__w/calibre/calibre/manual/server.rst:151
 msgid "The server interface"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:153
+#: ../../__w/calibre/calibre/manual/server.rst:153
 msgid ""
 "The server interface is a simplified version of the main calibre interface, "
 "optimised for use with touch screens. The home screen shows you books you "
@@ -243,11 +243,11 @@ msgid ""
 "libraries, not just a single one, as before."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:160
+#: ../../__w/calibre/calibre/manual/server.rst:160
 msgid "The book list"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:162
+#: ../../__w/calibre/calibre/manual/server.rst:162
 msgid ""
 "The server book list is a simple grid of covers. Tap on a cover to see the "
 "detailed metadata for a book, or to read the book. If you prefer a more "
@@ -255,7 +255,7 @@ msgid ""
 "vertical dots in the top right corner."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:167
+#: ../../__w/calibre/calibre/manual/server.rst:167
 msgid ""
 "Sorting and searching of the book list should be familiar to calibre users. "
 "They can be accessed by clicking their icons in the top right area. They "
@@ -265,18 +265,18 @@ msgid ""
 "program."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:173
+#: ../../__w/calibre/calibre/manual/server.rst:173
 msgid ""
 "A much loved feature of the main program, :guilabel:`Virtual libraries` is "
 "present in the server interface as well. Click the three vertical dots in "
 "the top right corner to choose a Virtual library."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:178
+#: ../../__w/calibre/calibre/manual/server.rst:178
 msgid "The book reader"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:180
+#: ../../__w/calibre/calibre/manual/server.rst:180
 msgid ""
 "You can read any book in your calibre library by simply tapping on it and "
 "then tapping the :guilabel:`Read book` button. The books reader is very "
@@ -285,7 +285,7 @@ msgid ""
 "detailed controls and viewer preferences."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:186
+#: ../../__w/calibre/calibre/manual/server.rst:186
 msgid ""
 "If you leave the Content server running, you can even open the same book on "
 "multiple devices and it will remember your last read position. If it does "
@@ -293,11 +293,11 @@ msgid ""
 ":guilabel:`Sync`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:192
+#: ../../__w/calibre/calibre/manual/server.rst:192
 msgid "Browser support"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:194
+#: ../../__w/calibre/calibre/manual/server.rst:194
 msgid ""
 "The new calibre server makes lots of use of advanced HTML 5 and CSS 3 "
 "features. As such it requires an up-to-date browser to use. It has been "
@@ -307,7 +307,7 @@ msgid ""
 "implementing a few missing standards)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:201
+#: ../../__w/calibre/calibre/manual/server.rst:201
 msgid ""
 "The server is careful to use functionality that has either been already "
 "standardised or is on the standards track. As such if it does not currently "
@@ -315,14 +315,14 @@ msgid ""
 "caught up."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:206
+#: ../../__w/calibre/calibre/manual/server.rst:206
 msgid ""
 "If you are using a particularly old or limited browser or you don't like to "
 "run JavaScript, you can use the *mobile* view, by simply adding ``/mobile`` "
 "to the the server address."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:211
+#: ../../__w/calibre/calibre/manual/server.rst:211
 msgid ""
 "On iOS, Apple allows only a single browser engine, so Firefox, Chrome and "
 "Safari are all actually the same browser under the hood. The new server "
@@ -330,11 +330,11 @@ msgid ""
 "tested with Chrome version 58 and newer."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:217
+#: ../../__w/calibre/calibre/manual/server.rst:217
 msgid "Enabling offline support"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:219
+#: ../../__w/calibre/calibre/manual/server.rst:219
 msgid ""
 "Browser makers have been trying to force people to use SSL by disabling "
 "advanced features in their browsers for plain HTTP connections. One such "
@@ -344,11 +344,11 @@ msgid ""
 "toggle it to ``true``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:227
+#: ../../__w/calibre/calibre/manual/server.rst:227
 msgid "Managing user accounts from the command-line only"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:229
+#: ../../__w/calibre/calibre/manual/server.rst:229
 msgid ""
 "The calibre program has a nice section in :guilabel:`Preferences` to allow "
 "you to manage user accounts for the server. However, if you want to run the "
@@ -357,28 +357,28 @@ msgid ""
 "line."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:234
+#: ../../__w/calibre/calibre/manual/server.rst:234
 msgid ""
 "You can manage user accounts using the ``--manage-users`` option to the "
 "standalone ``calibre-server`` program. Suppose you want to store the user "
 "database in the directory ``/srv/calibre``, then you create it by running::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:241
+#: ../../__w/calibre/calibre/manual/server.rst:241
 msgid ""
 "Just follow the prompts to create user accounts, set their permission, etc. "
 "Once you are done, you can run the server as::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:246
+#: ../../__w/calibre/calibre/manual/server.rst:246
 msgid "It will use the user accounts you created in the previous step."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:250
+#: ../../__w/calibre/calibre/manual/server.rst:250
 msgid "Integrating the calibre Content server into other servers"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:252
+#: ../../__w/calibre/calibre/manual/server.rst:252
 msgid ""
 "Here, we will show you how to integrate the calibre Content server into "
 "another server. The most common reason for this is to make use of SSL or to "
@@ -387,7 +387,7 @@ msgid ""
 "server."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:257
+#: ../../__w/calibre/calibre/manual/server.rst:257
 msgid ""
 "A reverse proxy is when your normal server accepts incoming requests and "
 "passes them onto the calibre server. It then reads the response from the "
@@ -396,36 +396,36 @@ msgid ""
 "with your main server."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:264
+#: ../../__w/calibre/calibre/manual/server.rst:264
 msgid "Using a full virtual host"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:266
+#: ../../__w/calibre/calibre/manual/server.rst:266
 msgid ""
 "The simplest configuration is to dedicate a full virtual host to the calibre"
 " server. In this case, run the calibre server as::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:271
+#: ../../__w/calibre/calibre/manual/server.rst:271
 msgid ""
 "Now setup the virtual host in your main server, for example, for nginx::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:282
+#: ../../__w/calibre/calibre/manual/server.rst:282
 msgid "Or, for Apache::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:297
+#: ../../__w/calibre/calibre/manual/server.rst:297
 msgid "Using a URL prefix"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:299
+#: ../../__w/calibre/calibre/manual/server.rst:299
 msgid ""
 "If you do not want to dedicate a full virtual host to calibre, you can have "
 "it use a URL prefix. Start the calibre server as::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:304
+#: ../../__w/calibre/calibre/manual/server.rst:304
 msgid ""
 "The key parameter here is ``--url-prefix /calibre``. This causes the Content"
 " server to serve all URLs prefixed by ``/calibre``. To see this in action, "
@@ -433,17 +433,17 @@ msgid ""
 "normal Content server website, but now it will run under ``/calibre``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:306
+#: ../../__w/calibre/calibre/manual/server.rst:306
 msgid "With nginx, the required configuration is::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:319
+#: ../../__w/calibre/calibre/manual/server.rst:319
 msgid ""
 "For Apache, first enable the proxy modules in Apache, by adding the "
 "following to :file:`httpd.conf`::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:324
+#: ../../__w/calibre/calibre/manual/server.rst:324
 msgid ""
 "The exact technique for enabling the proxy modules will vary depending on "
 "your Apache installation. Once you have the proxy modules enabled, add the "
@@ -451,7 +451,7 @@ msgid ""
 "the conf file for the virtual host in question)::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:331
+#: ../../__w/calibre/calibre/manual/server.rst:331
 msgid ""
 "That's all, you will now be able to access the calibre Content server under "
 "the ``/calibre`` URL in your main server. The above rules pass all requests "
@@ -460,7 +460,7 @@ msgid ""
 "transparently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:336
+#: ../../__w/calibre/calibre/manual/server.rst:336
 msgid ""
 "When using a reverse proxy, you should tell the calibre Content server to "
 "only listen on localhost, by using ``--listen-on 127.0.0.1``. That way, the "
@@ -468,7 +468,7 @@ msgid ""
 "from the reverse proxy."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:343
+#: ../../__w/calibre/calibre/manual/server.rst:343
 msgid ""
 "If you have setup SSL for your main server, you should tell the calibre "
 "server to use basic authentication instead of digest authentication, as it "
@@ -476,11 +476,11 @@ msgid ""
 "server``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:352
+#: ../../__w/calibre/calibre/manual/server.rst:352
 msgid "Creating a service for the calibre server on a modern Linux system"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:354
+#: ../../__w/calibre/calibre/manual/server.rst:354
 msgid ""
 "You can easily create a service to run calibre at boot on a modern (`systemd"
 " <https://www.freedesktop.org/wiki/Software/systemd/>`_) based Linux system."
@@ -488,7 +488,7 @@ msgid ""
 "the contents shown below::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:373
+#: ../../__w/calibre/calibre/manual/server.rst:373
 msgid ""
 "Change ``mylinuxuser`` and ``mylinuxgroup`` to whatever user and group you "
 "want the server to run as. This should be the same user and group that own "
@@ -498,25 +498,25 @@ msgid ""
 "needed. See the help for the ``calibre-server`` command."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:380
+#: ../../__w/calibre/calibre/manual/server.rst:380
 msgid "Now run::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:384
+#: ../../__w/calibre/calibre/manual/server.rst:384
 msgid "to start the server. Check its status with::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:388
+#: ../../__w/calibre/calibre/manual/server.rst:388
 msgid "To make it start at boot, run::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:394
+#: ../../__w/calibre/calibre/manual/server.rst:394
 msgid ""
 "The calibre server *does not* need a running X server, but it does need the "
 "X libraries installed as some components it uses link against them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:399
+#: ../../__w/calibre/calibre/manual/server.rst:399
 msgid ""
 "The calibre server also supports systemd socket activation, so you can use "
 "that, if needed, as well."
diff -pruN 5.9.0+dfsg-3/translations/manual/da/simple_index.po 5.10.0+dfsg-1/translations/manual/da/simple_index.po
--- 5.9.0+dfsg-3/translations/manual/da/simple_index.po	2020-04-16 10:12:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/simple_index.po	2021-01-20 15:30:59.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Joe Hansen <joedalton2@yahoo.dk>, 2014
+# Joe Hansen <joedalton2@yahoo.dk>, 2014,2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-27 14:01+0530\n"
-"PO-Revision-Date: 2020-03-27 04:42+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 17:44+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: da\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:4
+#: ../../__w/calibre/calibre/manual/simple_index.rst:4
 msgid "calibre User Manual"
 msgstr "Calibre - brugermanual"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:6
+#: ../../__w/calibre/calibre/manual/simple_index.rst:6
 msgid ""
 "calibre is an e-book library manager. It can view, convert and catalog "
 "e-books in most of the major e-book formats. It can also talk to many e-book"
@@ -30,18 +30,18 @@ msgid ""
 "books. It can download newspapers and convert them into e-books for "
 "convenient reading. It is cross platform, running on Linux, Windows and "
 "macOS."
-msgstr ""
+msgstr "Calibre er et biblioteksprogram for e-bøger. Programmet kan vise, konvertere og katalogisere e-bøger i de vigtigste e-bogformater. Programmet kan også kommunikere med mange e-boglæsere. Programmet kan gå på nettet og hente metadata for dine e-bøger. Det kan hente aviser og konvertere dem til e-bøger for nem læsning. Det fungerer på flere platforme såsom Linux, Windows og macOS."
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:8
+#: ../../__w/calibre/calibre/manual/simple_index.rst:8
 msgid ""
 "You've just started calibre. What do you do now? Before calibre can do "
 "anything with your e-books, it first has to know about them. Drag and drop a"
 " few e-book files into calibre, or click the \"Add books\" button and browse"
 " for the e-books you want to work with. Once you've added the books, they "
 "will show up in the main view looking something like this:"
-msgstr ""
+msgstr "Du har netop startet Calibre. Hvad gør du nu? før Calibre kan gøre noget med dine e-bøger, så skal programmet først kende til dem. Træk og slip nogle få e-bogfiler ind i Calibre, eller klik på knappen »Tilføj bøger« og kig efter de e-bøger du ønsker at arbejde med. Når du først har tilføjet bøgerne, så vil de blive vist i hovedbilledet på denne måde:"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:12
+#: ../../__w/calibre/calibre/manual/simple_index.rst:12
 msgid ""
 "Once you've admired the list of books you just added to your heart's "
 "content, you'll probably want to read one. In order to do that you'll have "
@@ -52,38 +52,38 @@ msgid ""
 " now and click \"OK\". The little icon in the bottom right corner will start"
 " spinning. Once it's finished spinning, your converted book is ready. Click "
 "the \"View\" button to read the book."
-msgstr ""
+msgstr "Når du først har beundret listen over bøgerne, du har tilføjet, så er det tid for at læse en. For at gøre dette skal du konvertere bogen til et format din læser forstår. Når du første gang kører Calibre vil velkomstguiden starte og opsætte Calibre for din enhed. Konvertering er rigtig nemt. Bare vælg bogen du ønsker at konvertere, klik så på knappen »Konverter bøger«. Ignorer alle indstillingerne indtil videre og klik på »O.k.« Det lille ikon i bunden af den højre side vil begynde at rotere. Når den er færdig med at rotere, er din konverterede bog klar. Klik på knappen »Vis« for at læse bogen."
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:14
+#: ../../__w/calibre/calibre/manual/simple_index.rst:14
 msgid ""
 "If you want to read the book on your reader, connect it to the computer, "
 "wait till calibre detects it (10-20 seconds) and then click the \"Send to "
 "device\" button. Once the icon stops spinning again, disconnect your reader "
 "and read away! If you didn't convert the book in the previous step, calibre "
 "will auto convert it to the format your reader device understands."
-msgstr "Hvis du ønsker at læse bogen på din læser, så forbinder du den til computere, vent på at Calibre detekterer den (10-20 sekunder) og klik så på knappen »Send til enhed«. Når ikonet stopper med at rotere frakobler du din læser og kan begynde og læse! Hvis du ikke konverterede bogen i det forrige trin vil Calibre konvertere den til formatet din enhed forstår."
+msgstr "Hvis du ønsker at læse bogen på din læser, så forbinder du den til computeren, vent på at Calibre registrerer den (10-20 sekunder) og klik så på knappen »Send til enhed«. Når ikonet stopper med at rotere frakobler du din læser og du kan begynde at læse! Hvis du ikke konverterede bogen i det forrige trin vil Calibre konvertere den til formatet din enhed forstår."
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:16
+#: ../../__w/calibre/calibre/manual/simple_index.rst:16
 msgid ""
 "To get started with more advanced usage, you should read about :doc:`gui`. "
 "For even more power and versatility, learn the :doc:`generated/en/cli-"
 "index`. You will find the list of :doc:`faq` useful as well."
 msgstr "For at komme i gang med den mere avancerede brug, så bør du læse :doc:`gui`. For endnu mere funktionalitet og alsidighed så lær indholdet i  :doc:`generated/da/cli-index`. Du vil også finde listen i :doc:`faq` nyttig."
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:18
+#: ../../__w/calibre/calibre/manual/simple_index.rst:18
 msgid ""
 "If you have more questions, or want to discuss calibre with other users or "
 "ask for help with specific things, there are `forums and other help "
 "resources available <https://calibre-ebook.com/help>`_."
-msgstr ""
+msgstr "Hvis du har yderligere spørgsmål, eller ønsker at diskutere Calibre med andre brugere eller spørge om hjælp med specifikke ting, så er der `fora og andre hjælperessourcer tilgængelige <https://calibre-ebook.com/help>`_."
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:24
+#: ../../__w/calibre/calibre/manual/simple_index.rst:24
 msgid ""
 "**An e-book version of this User Manual is available in** `EPUB format "
 "<calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_ and `PDF "
 "format <calibre.pdf>`_."
-msgstr ""
+msgstr "**En e-bogversion af denne brugermanual er tilgængelig i** `EPUB-format <calibre.epub>`_,  `AZW3-format (Kindle Fire) <calibre.azw3>`_ og `PDF-format <calibre.pdf>`_."
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:27
+#: ../../__w/calibre/calibre/manual/simple_index.rst:27
 msgid "Sections"
 msgstr "Sektioner"
diff -pruN 5.9.0+dfsg-3/translations/manual/da/sphinx.po 5.10.0+dfsg-1/translations/manual/da/sphinx.po
--- 5.9.0+dfsg-3/translations/manual/da/sphinx.po	2020-12-10 03:01:24.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/sphinx.po	2021-01-20 15:30:06.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Joe Hansen <joedalton2@yahoo.dk>, 2014,2019
+# Joe Hansen <joedalton2@yahoo.dk>, 2014,2019,2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-28 09:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 17:38+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -18,37 +18,37 @@ msgstr ""
 "Language: da\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:243
+#: ../../__w/calibre/calibre/manual/templates/layout.html:243
 msgid "&#169; <a href=\"%(path)s\">Copyright</a> %(copyright)s."
-msgstr ""
+msgstr "&#169; <a href=\"%(path)s\">Ophavsret</a> %(copyright)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:245
+#: ../../__w/calibre/calibre/manual/templates/layout.html:245
 msgid "&#169; Copyright %(copyright)s."
-msgstr ""
+msgstr "&#169; Ophavsret %(copyright)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:249
+#: ../../__w/calibre/calibre/manual/templates/layout.html:249
 msgid "Last updated on %(last_updated)s."
-msgstr ""
+msgstr "Sidst opdateret den %(last_updated)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:252
+#: ../../__w/calibre/calibre/manual/templates/layout.html:252
 msgid ""
 "Created using <a href=\"https://www.sphinx-doc.org/\">Sphinx</a> "
 "%(sphinx_version)s."
-msgstr ""
+msgstr "Oprettet via <a href=\"https://www.sphinx-doc.org/\">Sphinx</a> %(sphinx_version)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:8
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:10
-#: ../../home/runner/work/calibre/calibre/manual/templates/searchbox.html:6
+#: ../../__w/calibre/calibre/manual/templates/search.html:8
+#: ../../__w/calibre/calibre/manual/templates/search.html:10
+#: ../../__w/calibre/calibre/manual/templates/searchbox.html:6
 msgid "Search"
 msgstr "Søg"
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:12
+#: ../../__w/calibre/calibre/manual/templates/search.html:12
 msgid ""
 "Please activate JavaScript to enable the search\n"
 "    functionality."
 msgstr "Aktiver venligst JavaScript for at aktivere søge-\nfunktionalitet."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:16
+#: ../../__w/calibre/calibre/manual/templates/search.html:16
 msgid ""
 "From here you can search the User Manual. Enter your search\n"
 "    words into the box below and click \"search\".\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/da/stats.json 5.10.0+dfsg-1/translations/manual/da/stats.json
--- 5.9.0+dfsg-3/translations/manual/da/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 78,
-    "untranslated": 2947
+    "translated": 108,
+    "untranslated": 2923
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/da/template_lang.po 5.10.0+dfsg-1/translations/manual/da/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/da/template_lang.po	2021-01-06 15:34:27.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/template_lang.po	2021-01-20 15:28:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/da/typesetting_math.po 5.10.0+dfsg-1/translations/manual/da/typesetting_math.po
--- 5.9.0+dfsg-3/translations/manual/da/typesetting_math.po	2019-06-13 05:18:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/typesetting_math.po	2021-01-20 15:29:47.000000000 +0000
@@ -3,13 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
+# Joe Hansen <joedalton2@yahoo.dk>, 2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-08-24 00:01+0530\n"
-"PO-Revision-Date: 2017-08-03 12:02+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 18:47+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -17,11 +18,11 @@ msgstr ""
 "Language: da\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:5
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:5
 msgid "Typesetting Math in e-books"
-msgstr ""
+msgstr "Opsætning af matematik i e-bøger"
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:7
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:7
 msgid ""
 "The calibre E-book viewer has the ability to display math embedded in "
 "e-books (EPUB and HTML files). You can typeset the math directly with TeX or"
@@ -31,11 +32,11 @@ msgid ""
 "viewer."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:15
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:15
 msgid "A simple HTML file with mathematics"
-msgstr ""
+msgstr "En simpel HTML-fil med matematik"
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:17
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:17
 msgid ""
 "You can write mathematics inline inside a simple HTML file and the calibre "
 "E-book viewer will render it into properly typeset mathematics. In the "
@@ -45,46 +46,46 @@ msgid ""
 "respectively."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:23
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:23
 msgid ""
 "The first step is to tell calibre that this will contains maths. You do this"
 " by adding the following snippet of code to the <head> section of the HTML "
 "file::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:28
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:28
 msgid ""
 "That's it, now you can type mathematics just as you would in a .tex file. "
 "For example, here are Lorentz's equations::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:41
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:41
 msgid ""
 "This snippet looks like the following screen shot in the calibre E-book "
 "viewer."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:46
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:46
 msgid ":guilabel:`The Lorenz Equations`"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:48
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:48
 msgid ""
 "The complete HTML file, with more equations and inline mathematics is "
 "reproduced below. You can convert this HTML file to EPUB in calibre to end "
 "up with an e-book you can distribute easily to other people."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:54
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:54
 msgid ""
 "Here is the generated EPUB file: `mathjax.epub <_static/mathjax.epub>`_."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:60
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:60
 msgid "More information"
-msgstr ""
+msgstr "Yderligere information"
 
-#: ../../home/kovid/work/calibre/manual/typesetting_math.rst:62
+#: ../../__w/calibre/calibre/manual/typesetting_math.rst:62
 msgid ""
 "Since the calibre E-book viewer uses the MathJax library to render "
 "mathematics, the best place to find out more about math in e-books and get "
diff -pruN 5.9.0+dfsg-3/translations/manual/da/viewer.po 5.10.0+dfsg-1/translations/manual/da/viewer.po
--- 5.9.0+dfsg-3/translations/manual/da/viewer.po	2021-01-06 15:35:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/da/virtual_libraries.po 5.10.0+dfsg-1/translations/manual/da/virtual_libraries.po
--- 5.9.0+dfsg-3/translations/manual/da/virtual_libraries.po	2020-04-30 09:02:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/da/virtual_libraries.po	2021-01-20 15:29:45.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-04-24 07:51+0530\n"
-"PO-Revision-Date: 2020-04-24 02:22+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 17:14+0000\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish (http://www.transifex.com/calibre/calibre/language/da/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: da\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:5
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:5
 msgid "Virtual libraries"
-msgstr ""
+msgstr "Virtuelle biblioteker"
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:7
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:7
 msgid ""
 "In calibre, a Virtual library is a way to tell calibre to open only a subset"
 " of a normal library. For example, you might want to only work with books by"
@@ -33,7 +33,7 @@ msgid ""
 "way to search through multiple separate libraries simultaneously in calibre."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:16
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:16
 msgid ""
 "A Virtual library is different from a simple search. A search will only "
 "restrict the list of books shown in the book list. A Virtual library does "
@@ -44,11 +44,11 @@ msgid ""
 "contains only the restricted set of books."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:24
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:24
 msgid "Creating Virtual libraries"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:29
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:29
 msgid ""
 "|vlb| To use a Virtual library click the :guilabel:`Virtual library` button "
 "located to the left of the Search bar and select the :guilabel:`Create "
@@ -58,7 +58,7 @@ msgid ""
 "you want to use and click OK."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:38
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:38
 msgid ""
 "The Create Virtual library dialog has been filled in for you. Click OK and "
 "you will see that a new Virtual library has been created, and automatically "
@@ -67,14 +67,14 @@ msgid ""
 "the selected author."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:44
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:44
 msgid ""
 "You can switch back to the full library at any time by once again clicking "
 "the :guilabel:`Virtual library` and selecting the entry named "
 ":guilabel:`<None>`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:47
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:47
 msgid ""
 "Virtual libraries are based on *searches*. You can use any search as the "
 "basis of a Virtual library. The Virtual library will contain only the books "
@@ -87,99 +87,99 @@ msgid ""
 "kinds of things you can do with them, see :ref:`search_interface`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:58
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:58
 msgid "Examples of useful Virtual libraries"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:60
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:60
 msgid "Books added to calibre in the last day::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:61
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:61
 msgid "date:>1daysago"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:62
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:62
 msgid "Books added to calibre in the last month::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:63
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:63
 msgid "date:>30daysago"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:64
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:64
 msgid "Books with a rating of 5 stars::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:65
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:65
 msgid "rating:5"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:66
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:66
 msgid "Books with a rating of at least 4 stars::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:67
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:67
 msgid "rating:>=4"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:68
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:68
 msgid "Books with no rating::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:69
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:69
 msgid "rating:false"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:70
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:70
 msgid "Periodicals downloaded by the Fetch News function in calibre::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:71
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:71
 msgid "tags:=News and author:=calibre"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:72
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:72
 msgid "Books with no tags::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:73
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:73
 msgid "tags:false"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:75
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:75
 msgid "Books with no covers::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:75
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:75
 msgid "cover:false"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:78
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:78
 msgid "Working with Virtual libraries"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:80
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:80
 msgid ""
 "You can edit a previously created Virtual library or remove it, by clicking "
 "the :guilabel:`Virtual library` and choosing the appropriate action."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:83
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:83
 msgid ""
 "You can tell calibre that you always want to apply a particular Virtual "
 "library when the current library is opened, by going to "
 ":guilabel:`Preferences->Interface->Behavior`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:87
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:87
 msgid ""
 "You can quickly use the current search as a temporary Virtual library by "
 "clicking the :guilabel:`Virtual library` button and choosing the "
 ":guilabel:`*current search` entry."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:91
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:91
 msgid ""
 "You can display all available Virtual libraries as tabs above the book list."
 " This is particularly handy if you like switching between Virtual libraries "
@@ -189,11 +189,11 @@ msgid ""
 "restored by right-clicking on the tab bar."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:99
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:99
 msgid "Using Virtual libraries in searches"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:101
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:101
 msgid ""
 "You can search for books that are in a Virtual library using the ``vl:`` "
 "prefix. For example, ``vl:Read`` will find all the books in the *Read* "
@@ -202,13 +202,13 @@ msgid ""
 "libraries."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:106
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:106
 msgid ""
 "The value following ``vl:`` must be the name of a Virtual library. If the "
 "Virtual library name contains spaces then surround it with quotes."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:109
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:109
 msgid ""
 "One use for a Virtual library search is in the content server. In "
 ":guilabel:`Preferences->Sharing over the net->Require username and password`"
@@ -218,11 +218,11 @@ msgid ""
 "Virtual library."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:116
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:116
 msgid "Using additional restrictions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:118
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:118
 msgid ""
 "You can further restrict the books shown in a Virtual library by using "
 ":guilabel:`Additional restrictions`. An additional restriction is saved "
diff -pruN 5.9.0+dfsg-3/translations/manual/db_api.pot 5.10.0+dfsg-1/translations/manual/db_api.pot
--- 5.9.0+dfsg-3/translations/manual/db_api.pot	2021-01-08 03:54:14.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/db_api.pot	2021-01-22 02:29:43.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -117,6 +117,14 @@ msgstr ""
 msgid "Return the set of books in the specified virtual library"
 msgstr ""
 
+#: ../../home/kovid/work/calibre/src/calibre/db/cache.py:docstring of calibre.db.cache.Cache.compress_covers:1
+msgid "Compress the cover images for the specified books. A compression quality of 100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/src/calibre/db/cache.py:docstring of calibre.db.cache.Cache.compress_covers:4
+msgid "The progress callback will be called with the book_id and the old and new sizes for each book that has been processed. If an error occurs, the news size will be a string with the error details."
+msgstr ""
+
 #: ../../home/kovid/work/calibre/src/calibre/db/cache.py:docstring of calibre.db.cache.Cache.copy_cover_to:1
 msgid "Copy the cover to the file like object ``dest``. Returns False if no cover exists or dest is the same file as the current cover. dest can also be a path in which case the cover is copied to it if and only if the path is different from the current path (taking case sensitivity into account)."
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/de/db_api.po 5.10.0+dfsg-1/translations/manual/de/db_api.po
--- 5.9.0+dfsg-3/translations/manual/de/db_api.po	2020-12-23 14:20:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/de/db_api.po	2021-01-20 15:30:20.000000000 +0000
@@ -14,9 +14,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: MexicanWithGun <nibirush@inbox.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -192,6 +192,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/de/edit.po 5.10.0+dfsg-1/translations/manual/de/edit.po
--- 5.9.0+dfsg-3/translations/manual/de/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/de/edit.po	2021-01-20 15:29:51.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -24,11 +24,11 @@ msgstr ""
 "Language: de\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Bearbeiten von eBooks"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -37,27 +37,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "Calibre hat einen integrierten eBook Editor, der zum Bearbeiten von Büchern in den Formaten EPUB und AZW3 (Kindle) verwendet werden kann. Der Editor stellt Ihnen die HTML- und CSS-Dateien dar, die innerhalb eines Buches verwendet werden. Dabei werden Änderungen direkt in der Dateivorschau angezeigt. Der Editor enthält auch verschiedene Werkzeuge zum automatischen Säubern und Reparieren von eBooks."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Sie können den Editor verwenden, indem Sie in Calibre auf ein Buch rechtsklicken und :guilabel:`Buch bearbeiten` auswählen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Inhalt"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Grundlagen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -68,7 +68,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "Wenn Sie ein Buch zum ersten Mal im Editor öffnen, wird Ihnen auf der linken Seite der Dateibrowser angezeigt. Dort befinden sich die HTML-Dateien, Stylesheets, Bilder usw., die den Inhalt eines eBooks ausmachen. Doppelklicken Sie einfach auf eine Datei, um mit dem Bearbeiten zu beginnen. Beachten Sie, dass Sie für anspruchsvollere Änderungen das `HTML-Tutorial <http://html.net/tutorials/html/>`_ und das `CSS-Tutorial <http://html.net/tutorials/css/>`_ kennen sollten."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -76,7 +76,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr "Alle Änderungen, die Sie im Editor an HTML- oder CSS-Dateien  vornehmen, werden direkt rechts im Vorschaubereich angezeigt. Wenn Sie mit dem Aussehen der Änderungen zufrieden sind, klicken Sie auf die Schaltfläche \"Speichern\" oder verwenden Sie :guilabel:`Datei → Speichern`, um Ihre Änderungen im eBook zu speichern."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -90,18 +90,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr "Eine sehr nützliche Funktion ist :guilabel:`Sicherungspunkte`. Bevor Sie mit einer Reihe von größeren Änderungen beginnen, sollten Sie einen Sicherungspunkt erstellen. Der Sicherungspunkt hält den aktuellen Buchstatus fest. So können Sie auch später Änderungen wieder rückgängig machen und zu dem Zustand zurückkehren, an dem Sie den Sicherungspunkt angelegt haben. Um einen Sicherungspunkt zu erstellen, verwenden Sie :guilabel:`Bearbeiten → Sicherungspunkt` erstellen. Sicherungspunkte werden automatisch für Sie erstellt, wenn Sie ein automatisches Werkzeug wie globales Suchen und Ersetzen nutzen. Sicherungspunkte werden zusätzlich zur normalen Rückgängig/Wiederholen-Funktion verwendet. Sicherungspunkte sind insbesondere nützlich, wenn Sie Änderungen an mehreren Dateien im Buch durchführen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "Das ist das normale Vorgehen im Editor -- Eine Datei öffnen, Änderungen vornehmen, Vorschau ansehen und Speichern. Der Rest dieses Handbuches wird sich mit den verschiedenen Werkzeugen und Funktionen auseinandersetzen, die es Ihnen erlauben, bestimmte Aufgaben effizient zu lösen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr "Der Dateibrowser"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -112,7 +112,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr "Der :guilabel:`Dateibrowser` gibt Ihnen einen Überblick über die verschiedenen Dateien innerhalb des Buches, das Sie bearbeiten. Die Dateien sind nach Kategorien sortiert, mit Textdateien (HTML) am Anfang, gefolgt von Stylesheets (CSS), Bildern und so weiter. Klicken Sie einfach auf eine Datei, um mit dem Bearbeiten zu beginnen. Es können nur HTML-, CSS- und Bilddateien bearbeitet werden. Die Textdateien werden in der gleichen Reihenfolge angezeigt, in der Sie das Buch lesen würden. Alle anderen Dateien sind alphabetisch sortiert."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -120,7 +120,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr "Wenn Sie die Maus über einen Eintrag bewegen, können Sie die Größe und am unteren Fensterrand den vollständigen Pfad dieser Datei im Buch sehen. Beachten Sie, dass Dateien innerhalb von eBooks komprimiert sind, sodass sich die Größe des fertigen Buches nicht aus der Summe der einzelnen Dateigrößen ergibt."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -133,16 +133,16 @@ msgid ""
 " of Contents."
 msgstr "Einige Dateien in einem eBook haben eine spezielle Bedeutung. Diese haben normalerweise ein Symbol neben ihrem Namen, das auf die spezielle Bedeutung hinweist. Im Bild links können Sie sehen, dass die Dateien :guilabel:`cover_image.jpg` und :guilabel:`titlepage.xhtml` das Symbol für ein Titelbild haben, was bedeutet, dass es sich um das Titelbild des Buches und um die Titelseite handelt. In ähnlicher Weise hat die :guilabel:`content.opf` Datei ein Metadaten-Symbol, was bedeutet, dass die Metadaten des Buches in dieser Datei gespeichert sind. Die :guilabel:`toc.ncx` Datei wird durch ein \"T\"-Symbol gekennzeichnet, was für das Inhaltsverzeichnis steht."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "Sie können viele Aktionen auf einzelne Dateien anwenden, indem Sie diese rechtsklicken."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Umbenennen von Dateien"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -150,7 +150,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr "Sie können eine einzelne Datei umbenennen, indem Sie sie rechtsklicken und :guilabel:`Umbenennen` auswählen. Das Umbenennen einer Datei aktualisiert automatisch alle Verweise und Referenzen auf die Datei im gesamten Buch. Alles, was Sie also tun müssen, ist lediglich die Vergabe eines neuen Namens. Calibre kümmert sich um den Rest."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -164,18 +164,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr "Zum Schluss: Sie können die Dateinamenerweiterung aller ausgewählten Dateien gleichzeitig ändern. Markieren Sie mehrere Dateien, wie oben beschrieben, und wählen Sie nach einem Rechtsklick :guilabel:`Dateinamenerweiterung für ausgewählte Dateien ändern`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Zusammenführen von Dateien"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -183,7 +183,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr "Manchmal will man zwei HTML-Dateien oder zwei CSS-Dateien zusammenführen. Es kann ja nützlich sein, alles in einer einzigen Datei zu haben. Seien Sie aber vorsichtig: Wenn Sie zu viel Inhalt in eine einzige Datei packen, kann es Leistungsprobleme beim Betrachten des Buchs in normalen eBook-Readern geben."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -194,11 +194,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Ändern der Textdateireihenfolge"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -207,11 +207,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr "Sie können die Reihenfolge, in der Textdateien (HTML) beim Lesen des Buchs geöffnet werden, einfach durch Ziehen und Ablegen im Dateibrowser umstellen. Für technisch Interessierte: Das wird als \"Umordnen des Buchrückens\" bezeichnet. Beachten Sie, dass Sie die einzelnen Teile *zwischen* den anderen ablegen müssen und nicht direkt auf ihnen. Es kann ein wenig dauern, bis man sich daran gewöhnt hat."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Kennzeichnen des Titelbildes"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -219,7 +219,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr "Normalerweise haben eBooks ein Titelbild. Dieses Bild wird im Dateibrowser mit einem braunen Buch-Symbol neben der Bildbezeichnung angezeigt. Wenn Sie ein anderes Titelbild möchten, können Sie es per Rechtsklick markieren und danach :guilabel:`Als Titelbild markieren` auswählen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -231,11 +231,11 @@ msgid ""
 " only the cover and no other content."
 msgstr "Zusätzlich haben EPUB-Dateien eine *Titelseite*. Eine Titelseite ist eine HTML-Datei, die als Cover bzw. Titelseite fungiert. Sie können eine HTML-Datei mit einem Rechtsklick als Titelseite festlegen, wenn Sie EPUBs bearbeiten. Achten Sie darauf, dass die so markierte Datei nur die Titelbild-Informationen enthält. Wenn sich dort noch andere Inhalte befinden, wie zum Beispiel das erste Kapitel, dann gehen diese verloren, wenn der Nutzer die EPUB-Datei in Calibre in ein anderes Format umwandelt. Der Grund ist, dass Calibre beim Konvertieren davon ausgeht, dass die markierte Titelseite ausschließlich das Titelbild enthält."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Löschen von Dateien"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -244,11 +244,11 @@ msgid ""
 "remove/replace them."
 msgstr "Sie können Dateien löschen, indem Sie diese entweder rechtsklicken oder indem Sie sie auswählen und dann auf Löschen klicken. Das Löschen entfernt auch alle Verweise zu der Datei aus der OPF-Datei, um Ihnen diese Arbeit abzunehmen. Aber andernorts bleiben die Verweise bestehen. Sie können das Werkzeug \"Buch prüfen\" verwenden, um alle Verweise zu finden und sie zu löschen oder zu ersetzen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Exportieren von Dateien"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -256,7 +256,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr "Sie können eine Datei aus einem Buch heraus auf Ihren Computer exportieren. Das ist nützlich wenn Sie isoliert mit speziellen Programmen an dieser Datei arbeiten wollen. Für den Export rechtsklicken Sie auf die Datei und wählen :guilabel:`exportieren`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -264,7 +264,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr "Sobald Sie mit dem Bearbeiten der exportierten Datei fertig sind, können Sie diese in das Buch re-importieren, indem Sie erneut auf die Datei rechtsklicken und :guilabel:`Ersetzen durch die Datei …` auswählen. Damit können Sie die Datei im Buch mit der zuvor exportierten Datei ersetzen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -273,11 +273,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "Hinzufügen neue Bilder, Schriftarten usw. oder Erstellen neuer, leerer Dateien"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -286,17 +286,17 @@ msgid ""
 " for the new file."
 msgstr "Sie können ein neues Bild, eine Schriftart, ein Stylesheet usw. von Ihrem Computer in das Buch einfügen, indem Sie auf :guilabel:`Datei → Neue Datei` klicken. Dabei können Sie entweder eine Datei importieren, indem Sie auf :guilabel:`Quelldatei importieren` klicken, oder Sie legen eine neue, leere HTML-Datei oder ein Stylesheet an. Geben Sie dafür einfach einen Dateinamen in das Feld für die neue Datei ein."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr "Sie können auch mehrere Dateien auf einmal in das Buch einfügen, indem Sie Datei → Dateien in das Buch importieren auswählen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Ersetzen von Dateien"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -304,22 +304,22 @@ msgid ""
 "being replaced."
 msgstr "Sie können ganz einfach bestehende Dateien im Buch ersetzen, indem Sie auf die Datei rechtsklicken und \"Ersetzen durch die Datei …\" wählen. Damit werden automatisch alle Links und Verweise aktualisiert, falls die neue Datei einen anderen Namen hat als die alte Datei. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr "Effizientes Verknüpfen von Stylesheets mit HTML-Dateien"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr "Praktischerweise können Sie mehrere HTML-Dateien im Dateibrowser auswählen, dann rechtsklicken und \"Stylesheets verknüpfen\" anwählen, damit Calibre automatisch  <link>-Tags für diese Stylesheets in alle ausgewählten HTML-Dateien einfügt."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Suchen & Ersetzen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -328,20 +328,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr "\"Buch bearbeiten\" besitzt eine sehr leistungsstarke \"Suchen und Ersetzen\"-Funktion. Sie können damit einen Text in der aktuellen Datei suchen und ersetzen, aber auch über alle Dateien hinweg oder nur in einem markierten Teil der aktuellen Datei. Sie können eine einfache Suche durchführen oder reguläre Ausdrücke (Regex) verwenden. Um die Verwendung von regulären Ausdrücken zu lernen, schlagen Sie unter :ref:`regexptutorial` nach. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr "Starten Sie Suchen und Ersetzen über den Menüeintrag :guilabel:`Suchen → Suchen/Ersetzen` (falls Sie dabei sind, eine HTML- oder CSS-Datei zu bearbeiten)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr "Geben Sie den zu suchenden Text in das Feld \"Suchen\" und dessen Ersatz in das Feld \"Ersetzen\" ein. Sie können die entsprechenden Schaltflächen anklicken, um die nächste Übereinstimmung zu finden, die aktuelle Übereinstimmung zu ersetzen, oder aber alle Übereinstimmungen zu ersetzen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -349,37 +349,37 @@ msgid ""
 "regular expression search."
 msgstr "Über die Dropdown-Listen am unteren Ende des Feldes können Sie bestimmen, ob die Suche im aktuellen Text läuft, in allen Textdateien, allen style-Dateien oder generell allen Dateien. Außerdem können Sie auswählen, ob Sie normal (Zeichenkette) oder mittels eines regulären Ausdrucks suchen wollen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr "Sie können alle Fundstellen für einen Suchausdruck über :guilabel:`Suchen → Alle(s) zählen` zählen. Die Zählung umfasst dabei alle Dateien und Regionen, die Sie in der Dropdown-Liste ausgewählt haben. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr "Sie können auch mit  :guilabel:`Suchen → Zu Zeile gehen` im momentan geöffneten Editor zu einer bestimmen Zeile wechseln."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr "Nutzen Sie alle Möglichkeiten von \"Suchen und Ersetzen\", indem Sie reguläre Ausdrücke verwenden. Mehr dazu unter :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Gespeicherte Suchen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr "Suchbegriffe (auch reguläre Ausdrücke), nach denen Sie häufig suchen, können Sie speichern und dann bei Bedarf immer wieder nutzen. Um eine Suche zu speichern, rechtsklicken Sie einfach auf das Suchfeld und wählen Sie :guilabel:`Aktuelle Suche speichern`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -388,22 +388,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "Funktionsmodus"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr "Der Funktionsmodus erlaubt Ihnen, beliebig mächtige Python-Funktionen zu schreiben, die bei jedem Suchen/Ersetzen ausgeführt werden. Sie können so ziemlich jede gewünschte Textmanipulation im Funktionsmodus durchführen. Für weitere Informationen siehe :doc:`function_mode`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr "Suchen (HTML-tags ignorieren)"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -412,27 +412,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr "Es existiert auch ein spezielles Werkzeug zur Textsuche, das HTML-tags ignoriert. Enthält das Buch zum Beispiel das HTML \"Betonung eines <i>Wortes<\\i>\", kann mit dem Text \"eines Wortes\" gesucht werden und die Stelle wird trotz des Tags \"<i>\" gefunden werden. Das Werkzeug steht unter dem Menüpunkt 'Suchen -> Suchen (HTML Markup ignorieren)' zur Verfügung."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Automatisierte Werkzeuge"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr "'Buch bearbeiten' hat verschiedene Werkzeuge, die Ihnen bei alltäglichen Aufgaben helfen. Sie sind über das Menü  :guilabel:`Werkzeuge` zu erreichen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Bearbeiten des Inhaltsverzeichnisses"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr "Es gibt ein eigenes Werkzeug für eine leichtere Bearbeitung des Inhaltsverzeichnisses. Rufen Sie es über :guilabel:`Werkzeuge → Inhaltsverzeichnis → Inhaltsverzeichnis bearbeiten` auf."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -440,7 +440,7 @@ msgid ""
 "right."
 msgstr "Das Werkzeug \"Inhaltsverzeichnis bearbeiten\" zeigt Ihnen das aktuelle Inhaltsverzeichnis (soweit vorhanden) auf der linken Seite. Den Text eines Eintrags können Sie nach einem Doppelklick ändern. Sie können Einträge auch durch Ziehen und Ablegen oder über die Schaltflächen auf der rechten Seite verschieben."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -448,7 +448,7 @@ msgid ""
 "files and so on."
 msgstr "Für Bücher ohne ein bestehendes Inhaltsverzeichnis bietet Ihnen dieses Werkzeug verschiedene Möglichkeiten eines aus dem Text anzulegen. Sie können dafür die Überschriften, Links im Dokument verwenden oder eigene Dateien."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -458,18 +458,18 @@ msgid ""
 "location."
 msgstr "Sie können einzelne Beiträge bearbeiten, indem Sie diese anklicken und dann :guilabel:`Den Ort ändern, auf den dieser Eintrag zeigt`. Danach öffnet sich eine Minivorschau des Buches. Bewegen Sie den Mauszeiger einfach über den Buchansichtsbereich und klicken Sie dorthin, wohin der Eintrag verweisen soll. Eine dicke grüne Linie zeigt die Position an. Bestätigen Sie danach mit OK."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "Überprüfen des Buches"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
-msgstr "Das Werkzeug :guilabel:`Buch prüfen` überprüft Ihr Buch auf Probleme, die verhindern könnten, dass es wie geplant auf eBook-Readern angezeigt wird. Aktivieren Sie es über `Werkzeuge → Buch prüfen`."
+":guilabel:`Tools->Check book`."
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -478,11 +478,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr "Falls Fehler aufgetreten sind, werden sie übersichtlich aufgelistet. Wenn Sie auf einen der Einträge klicken, bekommen Sie Hinweise zum Fehler und können ihn unter Umständen automatisch reparieren lassen. Mit einem Doppelklick gelangen Sie in einem Editor zu der Stelle, an der der Fehler aufgetreten ist um ihn selbst zu korrigieren."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr "Einige der durchgeführten Überprüfungen sind:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -493,7 +493,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr "Ungültige HTML-Markups. Alle HTML-Markups, die nicht als wohlgeformtes XML parsen, werden angezeigt. Damit Ihre Markups in jedem Zusammenhang richtig funktionieren, sollten Sie diese Stellen korrigieren. Calibre kann diese Fehler auch automatisch korrigieren, was aber manchmal zu unvorhergesehenen Ergebnissen führt. Benutzen Sie diese Funktion also mit Vorsicht. Vor der automatischen Korrektur wird aber wie immer eine Sicherung erstellt, sodass Sie alle Änderungen rückgängig machen können. Die Autokorrektur nutzt für das Parsen des Markups den HTML5-Algorithmus, der sehr fehlertolerant ist und wandelt diesen dann in wohlgeformtes XML um."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -501,36 +501,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr "Fehlgeformte oder unbekannte CSS-Styles. Jedes CSS, das ungültig ist oder Eigenschaften besitzt, die nicht im CSS 2.1-Standard (plus ein paar aus CSS 3) definiert wurden, wird gemeldet. CSS wird in allen Stylesheets, Inline-style-Attributen und <style>-Tags in HTML-Dateien überprüft."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr "Tote Links. Alle Links, die zu Dateien führen, die es im Buch nicht gibt, werden aufgelistet."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr "Verwaiste Dateien. Dateien, auf die es weder im Buchrücken noch in einer anderen Datei einen Hinweis gibt, werden aufgelistet."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr "Verschiedene übliche Probleme in OPF-Dateien, wie z.B. doppelte Buchrücken oder manifeste Bestandteile, kaputte idrefs oder Meta-Titelbild-Marker, fehlende Bereiche und so weiter."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr "Verschiedene Kompatibilitätsprüfungen für bekannte Probleme, die verhindern, dass das Buch auf einem eBook-Reader angezeigt wird."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Hinzufügen eines Titelbildes"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -541,11 +541,11 @@ msgid ""
 "the OPF."
 msgstr "Sie können ein Titelbild über :guilabel:`Werkzeuge → Titelbild hinzufügen` hinzufügen. Wählen Sie ein bestehendes Bild aus oder importieren Sie ein neues in das Buch um es zum Titelbild zu machen. Bei der Bearbeitung von EPUB-Dateien, wird der HTML-Wrapper automatisch erzeugt. Gibt es schon ein Titelbild für das Buch, wird dieses ersetzt. Das Werkzeug markiert die Titelbild-Dateien auch automatisch als Titelbild im OPF."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Einbetten referenzierter Schriftarten"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -554,11 +554,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr "Über :guilabel:`Werkzeuge → Einbetten von referenzierten Schriftarten` finden Sie alle Schriftarten, die im Buch referenziert sind und ob sie bereits eingebunden wurden. Das Werkzeug durchsucht Ihren Computer und bindet die Schriftarten im Buch ein, wenn sie vorhanden sind. Stellen Sie bitte sicher, dass Sie die nötigen Nutzungsrechte für kommerziell genutzte Schriftarten haben, bevor Sie dieses Werkzeug nutzen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Reduzieren eingebetteter Schriftarten"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -568,11 +568,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr "Über :guilabel:`Werkzeuge → Eingebettete Schriften reduzieren` können Sie alle Schriftarten im Buch auf die tatsächlich verwendeten Zeichen reduzieren. In der Regel werden die Schriftart-Dateien dadurch um ca. 50 % kleiner. Beachten Sie dabei aber bitte, dass jeglicher neuer Text, der eingefügt wird nur die auch schon bisher in dieser Schriftart vorhandenen Zeichen enthalten kann, weil die Schriftart sonst nicht funktioniert. Die Reduktion sollte also immer erst als letzter Schritt erfolgen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Typografisieren von Satzzeichen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -581,40 +581,40 @@ msgid ""
 "punctuation`."
 msgstr "Gewöhnliche Gedankenstriche, Auslassungspunkte, Anführungszeichen, mehrere Bindestriche in Folge usw. in ihre typografisch korrekten Entsprechungen umwandeln. Beachten Sie, dass der Algorithmus manchmal zu falschen Ergebnissen führen kann, insbesondere dann, wenn einfache Anführungszeichen am Beginn von Kontraktionen verwendet werden. Zugriff über :guilabel:`Werkzeuge → Satzzeichen typografisieren`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr "Umwandeln von CSS-Eigenschaften"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr "Erstellen Sie Regeln zum Umwandeln des Stylings des Buchs. Erstellen Sie beispielsweise eine Regel, um allen roten Text in grünen zu konvertieren, oder, um die Schriftgröße des gesamten Textes des Buchs zu verdoppeln, oder, um den Text einer bestimmten Schriftfamilie kursiv zu stellen usw."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr "Das Erstellen der Regeln ist einfach. Das Format der Regeln folgt der natürlichen Sprache und sieht so aus:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr "Falls die Eigenschaft *color* (dt. Farbe) *red* (dt. rot) ist, *ändere* diese in *green* (dt. grün)"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr "Falls die Eigenschaft *font-size* (dt. Schriftgröße) *einem beliebigen Wert* entspricht, *multipliziere* den Wert mit *2*"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr "Aufzurufen über :guilabel:`Werkzeuge → Styles umwandeln`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Entfernen unbenutzter CSS-Regeln"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -623,11 +623,11 @@ msgid ""
 " unused CSS`."
 msgstr "Alle nicht verwendeten CSS-Regeln aus Stylesheets und <style>-Tags entfernen. Manche aus Produktionsvorlagen erstellte Bücher können zahlreiche zusätzliche CSS-Regeln enthalten, die keinem tatsächlichen Inhalt entsprechen. Diese zusätzlichen Regeln können Lesegeräte verlangsamen, die sämtliche Regeln analysieren müssen. Zugriff über :guilabel:`Werkzeuge → Nicht verwendete CSS-Regeln entfernen`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Reparieren von HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -639,11 +639,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr "Dieses Werkzeug wandelt einfach nur HTML, das nicht als XML geparst werden kann in wohlgeformtes XML um. In eBooks findet man nichtwohlgeformtes XML häufiger, weshalb dieses Werkzeug das Verbessern automatisiert. Dafür parst das Werkzeug das HTML mit dem HTML 5-Algorithmus (der in allen modernen Browsern verwendet wird) und wandelt das Ergebnis in XML um. Beachten Sie, dass die automatische Verbesserung manchmal zu unerwarteten Ergebnissen führt. Sie können über das bereits besprochene Werkzeug 'Buch bearbeiten' HTML-Fehler finden und manuell beheben. Sie finden das Werkzeug unter  :guilabel:`Werkzeuge → HTML reparieren - alle Dateien`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Verschönern von Dateien"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -653,7 +653,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr "Dieses Werkzeug wird verwendet um alle HTML- und CSS-Dateien automatisch so zu formatieren, dass sie 'hübsch' aussehen. Die Einrückung des Code wird automatisch angepasst, dass zusammengehörende Teile auf einer Linie sind, an passender Stelle Leerzeilen eingefügt werden usw. Beachten Sie dass dadurch auch ungültiger HTML/CSS-Code korrigiert wird. Deshalb sollten Sie das 'Buch überprüfen'-Werkzeug verwenden um alle Fehler in Ihrem Sinne zu korrigieren, bevor Sie 'Alle Dateien verschönern' verwenden. Zugriff auf dieses Werkzeug haben Sie über :guilabel:`Werkzeuge → Alle Dateien verschönern`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -667,11 +667,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr "In HTML kann jeder Text über die CSS Whitespace-Direktive einen deutlichen Whitespace haben. Deshalb kann die Verschönerung die Umsetzung des HTML-Code möglicherweise verändern. Um das so weit wie möglich zu verhindern, verschönert der Algorithmus nur Block Level Marker, die andere Block Level Marker enthalten. Damit wird zum Beispiel der Whitespace von Text in einem <p> Marker nicht verändert. Aber ein <body> Marker, der nur andere <p> und <div> Marker enthält, wird verschönert. Das bedeutet manchmal dass eine bestimmte Datei nicht von der Verschönerung verändert wird, da sie keine passenden Block Level Marker enthält. In diesen Fällen können Sie verschiedene Werkzeuge zur Verschönerung verwenden, die weniger vorsichtig vorgehen, z.B.:  `HTML Tidy <https://infohound.net/tidy/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr "Einfügen eines Inline-Inhaltsverzeichnisses"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -680,7 +680,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr "In eBooks liegt das Inhaltsverzeichnis normalerweise getrennt vom Haupttext vor und wird über eine eigene Schaltfläche oder ein Menü des eBook-Readers aufgerufen. Sie können von Calibre auch ein *eingebundenes* Inhaltsverzeichnis erstellen lassen, das Teil des Buchtextes ist. Es wird automatisch auf der Grundlage des aktuellen Inhaltsverzeichnisses erzeugt."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -688,11 +688,11 @@ msgid ""
 "Contents`."
 msgstr "Wenn Sie dieses Werkzeug mehrmals verwenden, wird jedes Mal das zuvor erstellte Inline-Inhaltsverzeichnis ersetzt. Sie können hier auf das Werkzeug zugreifen:  :guilabel:`Werkzeuge → Inhaltsverzeichnis → Inline-Inhaltsverzeichnis einfügen`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr "Festlegen der Semantik"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -703,11 +703,11 @@ msgid ""
 "semantics`."
 msgstr "Dieses Werkzeug dient dazu eine *Semantik* in EPUB-Dateien festzulegen. Die Semantik wird einfach durch Links in der OPF-Datei gebildet, die bestimmte Orte im Buch mit einer besonderen Bedeutung kennzeichnen. Sie können sie verwenden, um das Vorwort, die Widmung, das Titelbild, das Inhaltsverzeichnis usw. zu kennzeichnen. Wählen Sie einfach die Art der Semantik-Informationen aus, die Sie festlegen möchten und danach den Ort im Buch, worauf der Link verweisen soll. Sie können auf dieses Werkzeug über :guilabel:`Werkzeuge → Semantik festlegen` zugreifen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr "Filtern von style-Informationen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -718,22 +718,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr "Sie können dieses Werkzeug verwenden, um festgelegte CSS-style-Attribute aus dem kompletten Buch zu entfernen. Sie können bestimmen, welche Eigenschaften entfernt werden sollen, zum Beispiel ``color, background-color, line-height`` (dt. Farbe, Hintergrundfarbe, Zeilenhöhe) und das Werkzeug wird sie überall, wo sie vorkommen, löschen --- Stylesheets, ``<style>``-Tags und Inline-``style``-Attribute. Nach dem Entfernen der style-Informationen wird eine Zusammenfassung aller Änderungen angezeigt, damit Sie diese nachvollziehen können. Das Werkzeug finden Sie unter :guilabel:`Werkzeuge → style-Attribute filtern`. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr "Buchstrukturen upgraden"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr "Dieses Tool kann verwendet werden, um Buchstrukturen zu upgraden, wenn es möglich ist. Es ermöglicht beispielsweise das Upgraden von EPUB 2 Bücher auf EPUB 3. Auf das Tool kann über :guilabel:`Buchstrukturen upgraden` zugegriffen werden."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Sicherungspunkte"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -742,13 +742,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ":guilabel:`Sicherungspunkte` ist eine Möglichkeit den momentanen Stand des Buches als \"besonders\" zu kennzeichnen. Sie können das Buch dann ändern und jederzeit zu diesem besonderen Stand zurückkehren, wenn Ihnen die Änderungen nicht gefallen. Sicherungspunkte werden automatisch erstellt, wenn sie eines der automatischen Werkzeuge verwenden, von denen in den vorhergehenden Abschnitten die Rede war. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr "Sie können einen Sicherungspunkt über :guilabel:`Bearbeiten → Sicherungspunkt erstellen` anlegen. Zurück zu einem vorherigen Sicherungspunkt kommen Sie über :guilabel:`Bearbeiten → Rückgängig zu …`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -756,7 +756,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr "Die Sicherungspunkt-Funktion ist eine Ergänzung zur vorhandenen Funktion Rückgängig / Wiederherstellen für die Bearbeitung einzelner Dateien. Sicherungspunkte sind besonders nützlich, wenn sich die Veränderungen auf viele Dateien eines Buches erstrecken oder wenn Sie auf einen Schlag viele Änderungen rückgängig machen wollen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -766,11 +766,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr "Sie finden unter :guilabel:`Anzeigen → Sicherungspunkte` eine Liste der verfügbaren Sicherungspunkte. Die aktuelle Version des Buches lässt sich über das :ref:`diff` Werkzeug mit anderen vergleichen, indem Sie den entsprechenden Sicherungspunkt auswählen und auf die  :guilabel:`Vergleichen` Schaltfläche klicken. Die Schaltfläche :guilabel:`Rückgängig zu …` stellt den Zustand des Buchs zum ausgewählten Sicherungspunkt wieder her und verwirft alle Änderungen, die seit Anlegen dieses Sicherungspunkts gemacht wurden."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr "Die Echtzeit-Dateivorschau"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -783,7 +783,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr "Die :guilabel:`Dateivorschau` gibt Ihnen einen Überblick über die einzelnen Dateien. Der Bereich zeigt Ihnen Ihre Änderungen in Echtzeit (mit einer kurzen Verzögerung). Wenn Sie HTML- oder CSS-Dateien bearbeiten, wird der Vorschaubereich automatisch aktualisiert, um die Änderungen zu zeigen. Wenn Sie den Cursor im Editor bewegen, zeigt der Vorschaubereich die jeweilige Position im Buch an. Beim Klick in den Vorschaubereich springt der Cursor im Editor auf die angeklickte Stelle. Wenn Sie einen Verweis auf eine andere Datei im Buch anklicken, wird diese Datei automatisch im Editor und im Vorschaubereich geöffnet."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -792,7 +792,7 @@ msgid ""
 "render."
 msgstr "Sie können das automatische Synchronisieren der Position und Echtzeitvorschau der Änderungen mit den Schaltflächen unter dem Vorschaubereich deaktivieren. Die Echtzeitaktualisierung des Vorschaubereichs wird nur dann ausgeführt, wenn Sie gerade nichts in den Editor eingeben, damit Sie nicht abgelenkt werden oder Zeit verlieren, weil Sie auf die Dartstellung der Vorschau warten."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -804,18 +804,18 @@ msgid ""
 "software emulator."
 msgstr "Der Vorschaubereich zeigt Ihnen, wie der Text in der Anzeige aussehen wird. Sie sollten Ihr Buch aber dennoch unbedingt auf einem Gerät testen, denn der Vorschaubereich kann teils mehr, teils weniger als ein E-Reader. Er toleriert Fehler und schlampige Markups viel besser als die meisten Geräte. Außerdem zeigt er keine Seitenränder, Seitenumbrüche und eingebettete Schriftarten, die das Aliasing von Schriftartnamen verwenden. Nutzen Sie den Vorschaubereich für die Arbeit an einem Buch und wechseln Sie zur Kontrolle zu einem Reader oder einem Software-Emulator.  "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr "Der Vorschaubereich unterstützt keine eingebetteten Schriftarten, wenn der Name der Schriftart, der in der Schriftartdatei abgelegt ist, nicht dem Namen in der CSS @font-face-Regel entspricht. Sie können das Werkzeug \"Buch überprüfen\" verwenden, um solche problematischen Schriftarten schnell zu finden und das Problem zu beheben."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "Aufteilen von HTML-Dateien"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -826,14 +826,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr "Beim Teilen einer Datei werden automatisch alle Links und Verweise aktualisiert, die auf die untere Hälfte der Datei verwiesen haben. Außerdem wird die gerade geteilte Datei im Editor geöffnet."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -842,11 +842,11 @@ msgid ""
 "on."
 msgstr "Sie können auch eine einzelne HTML-Datei an mehreren Stellen automatisch aufteilen lassen, indem Sie innerhalb der Datei mit der rechten Maustaste in den Editor klicken und :guilabel:`An unterschiedlichen Stellen teilen` auswählen. Damit können Sie eine große Datei ganz einfach bei allen Markern für Überschriften oder allen Markern, die zu einer bestimmte Klasse gehören, aufteilen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "Der Echtzeit-CSS-Bereich"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -854,7 +854,7 @@ msgid ""
 "rules."
 msgstr "Der :guilabel:`Echtzeit-CSS-Bereich zeigt Ihnen alle style-Regeln an, die auf das von Ihnen gerade bearbeitete Tag angewendet werden. Der Name des Tags wird mit seiner Zeilennummer angezeigt, gefolgt von einer Liste der passenden style-Regeln."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -863,30 +863,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr "Damit kann man schnell sehen, welche style-Regel für einen HTML-Tag gilt. Die Ansicht hat auch klickbare Verweise (in Blau), mit denen Sie direkt zur Position gelangen, an der der Stil definiert wird, um diese zu ändern. style-Regeln, die direkt zum Tag gehören und Regeln, die von übergeordneten Tags geerbt werden, werden ebenfalls angezeigt. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr "Der Bereich zeigt Ihnen auch, was die zuletzt berechneten styles für den Tag sind. Eigenschaften in der Liste, die durch Regeln mit höherer Priorität ersetzt wurden, werden durchgestrichen angezeigt. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr "Sie können den Echtzeit-CSS-Bereich über :guilabel:`Anzeigen → Echtzeit-CSS` aktivieren."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr "Verschiedene Werkzeuge"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr "Es existieren noch einige weitere Werkzeuge, die für die Bearbeitung eines Buches hilfreich sein können."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr "Die Inhaltsverzeichnis-Ansicht"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -895,15 +895,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr "Die Inhaltsverzeichnis-Ansicht zeigt Ihnen das aktuelle Inhaltsverzeichnis des Buchs. Ein Doppelklick auf einen der Einträge öffnet den durch diesen Eintrag verlinkten Ort in einem Editor. Mit einem Rechtsklick kann das Inhaltsverzeichnis bearbeitet, aktualisiert oder seine Einträge aus-/eingeklappt werden. Diese Ansicht ist über :guilabel:`Anzeigen → Inhaltsverzeichnis` zugänglich."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Überprüfen der Rechtschreibung von Wörtern im Buch"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr "Eine Rechtschreibprüfung können Sie über die Option :guilabel:`Werkzeuge → Überprüfung der Rechtschreibung` durchführen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -914,14 +914,14 @@ msgid ""
 "English::"
 msgstr "Wörter werden zusammen mit deren Häufigkeit im Buch und der Sprache des Wortes angezeigt. Die Sprache wird aus den Metadaten des Buches und den ``lang``-Attributen in den HTML-Dateien ermittelt. Damit arbeitet die Rechtschreibprüfung problemlos auch mit solchen Büchern arbeiten zusammen, die Texte in mehreren Sprachen enthalten. Zum Beispiel wird im folgenden HTML-Auszug das Wort \"color\" nach amerikanischer und das Wort \"colour\" nach britischer Rechtschreibung überprüft:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr "Sie können ein Wort doppelklicken um das nächste Vorkommen dieses Wortes im Editor hervorzuheben. Das ist nützlich, um ein Wort manuell zu bearbeiten, oder um es in seinem Kontext zu betrachten."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -931,7 +931,7 @@ msgid ""
 "menu."
 msgstr "Um ein Wort zu ändern, einfach mit einem Doppelklick auf eine der vorgeschlagenen Alternativen auf der rechten Seite klicken oder einen eigenen Vorschlag eingeben und auf die Schaltfläche :guilabel:`Ausgewähltes Wort ändern zu` klicken. Dies ersetzt jedes auftretende Wort im gesamten Buch. Mit einem Rechtsklick auf ein Wort in der Hauptwortliste kann man auch bequem das Wort vom Rechtsklickmenü aus ändern."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -940,7 +940,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr "Mit einem Klick auf die Schaltfläche :guilabel:`Ignore` kann die Rechtschreibkorrektur ein Wort ignorieren. Außerdem kann mithilfe der Schaltfläche :guilabel:`Add to dictionary` ein Wort zum Benutzerwörterbuch hinzugefügt werden. Da die Rechtschreibkorrektur auf mehrere Benutzerwörterbücher zurückgreifen kann, können Sie das Wörterbuch, zu dem das Wort hinzugefügt werden soll, ausgewählt werden."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -948,7 +948,7 @@ msgid ""
 "individual words."
 msgstr "Sie können mit der Rechtschreibprüfung auch alle Wörter Ihres Buchs anzeigen lassen, nicht nur die falsch geschriebenen. Das ist nützlich, wenn Sie sehen möchten, welche Wörter am häufigsten verwendet werden oder wenn Sie bestimmte Wörter einfach suchen und ersetzen möchten."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -956,11 +956,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Hinzufügen von neuen Wörterbüchern"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -970,11 +970,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Einfügen von Sonderzeichen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -985,7 +985,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -996,7 +996,7 @@ msgid ""
 "favorites around."
 msgstr "Da es viele Zeichen gibt, können Sie ihre eigene :guilabel:'Favoriten' Zeichen definieren, die dann an erster Stelle angezeigt werden. Dazu klicken Sie mit der rechten Maustaste auf ein Zeichen, das Sie zu den Favoriten hinzufügen möchten. Durch Klicken mit der rechten Maustaste auf ein Zeichen in den Favoriten, können Sie es wieder aus den Favoriten entfernen. Zum Neu-ordnen der Zeichen in den Favoriten klicken Sie auf die Schaltfläche :guilabel:`Favoriten Neu-ordnen` und ziehen Sie die Zeichen an die gewünschte Stelle."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1007,7 +1007,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1015,11 +1015,11 @@ msgid ""
 "colon."
 msgstr "Schliesslich können spezielle Zeichen auch durch HTML-Entitäten eingegeben werden. &nbsp; wird zum Beispiel zu einem geschützen Leerschlag. Zum Ersetzen muss das Semikolon zwingend eingegeben werden."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr "Die Codeinspektor-Ansicht"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1031,11 +1031,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr "Diese Ansicht zeigt den HTML-Code und das darauf angewandte CSS. Mit einem Rechtsklick auf eine Stelle im Vorschaubereich und der Auswahl :guilabel:`Element Untersuchen` können Sie den Inspektor öffnen. So können Sie den HTML-Code des Elements sehen und – viel wichtiger – die CSS Regeln, die darauf angewandt werden. Sie können sogar dynamisch die Regeln verändern und sofort die jeweilige Änderung sehen. Beachten Sie, dass das Ändern des Styles nicht den Buchinhalt verändert. Es ist nur für schnelles Ausprobieren. Die Möglichkeit etwas live im Inspektor zu bearbeiten ist in Entwicklung"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Überprüfen externer Verweise"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1043,11 +1043,11 @@ msgid ""
 "for you to fix."
 msgstr "Dieses Hilfsmittel wird zur Überprüfung aller Verknüpfungen mit externen Webseiten verwendet. Das Werkzeug wird versuchen, sämtliche extern verknüpften Webseiten zu erreichen und sämtliche fehlerhaften Verknüpfungen zur Korrektur in einem praktischen Format anzeigen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr "Externe Ressourcen werden heruntergeladen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1056,11 +1056,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr "Sie können dieses Werkzeug verwenden, um automatisch alle Bilder, Stylesheets etc. herunterzuladen, welche nicht mit dem Buch gebündelt sind (d. h. wenn diese per URL auf einen Ort im Internet verweisen). Das Werkzeug wird alle dieser Ressourcen finden und sie automatisch herunterladen, sie dem Buch hinzufügen und alle Referenzen auf sie durch Referenzen auf die heruntergeladenen Dateien ersetzen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr "Ordnen von Dateien in Ordner nach Typ"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1070,11 +1070,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr "Wenn Sie EPUB-Dateien bearbeiten, die Sie von irgendwo bekommen haben, werden Sie oft sehen, dass die Dateien willkürlich in verschiedene Unterordner sortiert sind. Dieses Tool ermöglicht Ihnen die Dateien automatisch aufgrund ihrer Typen in Unterordner zu sortieren. Zugriff darauf via :guilabel:`Werkzeuge->In Ordner sortieren`. Beachten Sie, dass dieses Werkzeug nur ändert, wie die Dateien in EPUB sortiert sind, es verändert nicht, wie diese im Dateibrowser angezeigt werden."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr "Importieren von Dateien in anderen eBook-Formaten als EPUB"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1083,11 +1083,11 @@ msgid ""
 " as a new book`."
 msgstr "Der Editor hat die Fähigkeit, Dateien in einigen anderen eBook Formaten direkt als neue EPUB zu importieren, ohne eine komplette Konvertierung zu durchlaufen. Das ist besonders nützlich, wenn sie EPUB Dateien direkt aus Ihren, von Hand bearbeiteten HTML Dateien erstellen möchten. Dazu nutzen Sie die Funktion :guilabel:`Datei → HTML- oder DOCX-Datei als neues Buch importieren`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "Das Berichte-Werkzeug"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1099,31 +1099,31 @@ msgid ""
 "where the link points."
 msgstr "Der Editor enthält ein nettes Werkzeug namens *Berichte* (via :guilabel:`Werkzeuge->Berichte`). Dieses zeigt eine Zusammenfassung von allen Dateien, Bildern, Verweisen, Wörtern, Buchstaben und Stilregeln an, die im Buch genutzt werden. Jede Zeile im Bericht ist verknüpft. Per Doppelklick springt der Editor zu der Stelle im Buch, wo das gewählte Element benutzt bzw. definiert wird  (je nachdem). Zum Beispiel, im :guilabel:`Verweise`, können Sie auf :guilabel:`Quelle` doppelklicken und springen zu der Stelle, wo der Link definert wird. Mit einem Doppelklick auf einen Eintrag unter :guilabel:`Ziele` springen sie zu dem Ort, auf den der Link verweist."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Besondere Funktionen des Code-Editors"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr "Der HTML-Editor in Calibre ist sehr mächtig. Er verfügt über viele Funktionen die das Bearbeiten von HTML (und CSS) leichter machen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Syntaxhervorhebung"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr "Der HTML-Editor verfügt über fortgeschrittenes Syntaxhervorhebung. Seine Funktionen beinhalten:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr "Text zwischen fett, kursiv und Titel tags wird fett/kursiv dargestellt."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1131,55 +1131,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "Ungültiges HTML wird hervorgehoben indem es rot unterstrichen wird"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr "Schreibfehler im Text zwischen HTML tags und Attributen wie zum Beispiel Titeln sind markiert. Die Rechtschreibprüfung ist sprachspezifisch, basierend auf dem Wert des 'lang'-Attributes des gegenwärtigen Tags und der Buchsprache."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr "In ``<style>``-Tags eingebettetes CSS wird hervorgehoben"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr "Spezielle, schwierig zu unterscheidende Zeichen wie geschützte Leerzeichen, verschiedene Bindestriche, etc. werden hervorgehoben."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr "Verweise zu anderen Dateien in ``<a>``-Tags, ``<img>`` und ``<link>`-Tags  haben alle hervorgehobene Dateinamen. Falls der referenzierte Dateiname nicht existiert, ist der Dateiname rot unterstrichen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Kontextspezifische Hilfe"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr "Sie können auf den Namen eines HTML-Tags oder einer CSS-Eigenschaft rechtsklicken, um Hilfe für diesen Tag bzw. diese Eigenschaft zu erhalten."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Automatisches Vervollständigen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1187,7 +1187,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr "Eine der mühsamsten Aufgaben beim Bearbeiten von eBooks ist das Erstellen von Verweisen auf andere Dateien des Buches, auf CSS-Stylesheets oder Bilder, da der korrekte Dateiname und der relative Pfad zur Datei bekannt sein müssen. Die Auto-Vervollständigung des Editors vereinfacht diese Aufgabe."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1197,7 +1197,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1209,11 +1209,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Snippets"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/de/faq.po 5.10.0+dfsg-1/translations/manual/de/faq.po
--- 5.9.0+dfsg-3/translations/manual/de/faq.po	2021-01-06 15:34:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/de/faq.po	2021-01-20 15:29:03.000000000 +0000
@@ -30,8 +30,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -69,10 +69,10 @@ msgstr "Calibre unterstützt bei der Kon
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Eingabe Formate:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -189,8 +189,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -200,7 +200,7 @@ msgid ""
 "resulting MOBI file may not function correctly on a Kindle, since the "
 "Kindle's use the metadata ToC for many things, including the Page Flip "
 "feature."
-msgstr "Wenn Sie in das MOBI-Format konvertieren, erkennt Calibre das *Metadateninhaltsverzeichnis* im Eingabedokument und generiert ein *Inhalts-ToC* am Ende der Datei. Sie können diese Funktion in den Ausgabeeinstellungen ausschalten. Auch können Sie in den MOBI-Ausgabeeinstellungen festlegen, ob es am Anfang oder Ende der Datei eingefügt werden soll. Bedenken Sie, dass dieses Inhaltsverzeichnis ein *Metadateninhaltsverzeichnis* ist und ausschließlich in MOBI-Dateien ein Teil des Textes ist. Der Umstand, dass es im Text der MOBI-Datei sichtbar ist, stellt eigentlich einen Fehler dar, der durch die begrenzten Möglichkeiten von MOBI entsteht. Wir empfehlen Ihnen daher, die Standardeinstellungen zu lassen wie sie sind, also mit dem *Metadateninhaltsverzeichnis* am Ende. Beachten Sie auch, dass das Deaktivieren von *Inhalts-ToCs* dazu führen kann, dass einige MOBI-Dateien auf einem Kindle nicht richtig dargestellt werden. Das liegt daran, dass Kindle das *Metadateninhaltsverzeichnis* für viele Funktionen verwendet, etwa für die Blätterfunktion."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:66
 msgid ""
@@ -430,7 +430,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -826,8 +826,8 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
-msgstr "Weder Kindle noch Nook bieten eine Möglichkeit, Sammlungen über die USB Verbindung zu verändern. Wenn Ihnen die Verwendung von Sammlungen wichtig ist, würde ich Ihnen raten einen Kobo anzuschaffen. Offenbar scheint nur Kobo verstanden zu haben, dass das Leben zu kurz ist, um Sammlungen per Hand auf einem eInk Bildschirm einzugeben :)"
+"an e-ink screen 😇"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
 msgid ""
@@ -960,8 +960,8 @@ msgid ""
 msgstr "Auf den Kindle übertragene Bücher tauchen dort erst auf, nachdem Sie von diesem *indexiert* worden sind. Das kann eine Weile dauern. Wenn das Buch nach einiger Zeit noch immer nicht aufgetaucht ist, ist vermutlich der Indexier-Dienst des Kindle abgestürzt. Manchmal kann ein bestimmtes Buch zu diesem Absturz führen. Leider bietet Amazon hier keine Möglichkeit den Absturz des Kindle auf ein Buch zurückzuführen. Sie können nur auf folgende zwei Maßnahmen zurückgreifen: Entweder Sie setzen den Kindle zurück, oder Sie löschen mit dem Windows Explorer (oder der Dateiverwaltung, die Sie stattdessen verwenden) alle Dateien aus dessen Speicher, senden die Bücher diesem dann erneut, aber eines nach dem anderen, zu, bis Sie das problematische Buch gefunden haben, entfernen dieses dann vom Kindle, konvertieren es in Calibre von MOBI nach MOBI oder nach AZW3 und senden es dann zurück. Das wird das Problem höchstwahrscheinlich beseitigen."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Bibliotheksverwaltung"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1642,12 +1642,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1658,7 +1673,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1667,22 +1682,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr "Manche Benutzer berichten, dass die Deaktivierung von UAC das Problem löst."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1692,14 +1707,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1710,11 +1725,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "Ich habe das Installationsprogramm heruntergeladen, aber es funktioniert nicht?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1724,26 +1739,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1751,13 +1766,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1767,7 +1782,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1775,11 +1790,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Mein Antivirenprogramm behauptet, Calibre sei ein Virus/Trojaner?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1788,7 +1803,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1802,11 +1817,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Wie erstelle ich eine Datensicherung von Calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1815,7 +1830,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1823,7 +1838,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1833,13 +1848,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr "Wie verwende ich gekaufte EPUB-Bücher mit Calibre (oder was mache ich mit .acsm-Dateien)?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1852,44 +1867,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "Ich bekomme einen \"Zugriff verweigert\"-Fehler"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr "Ein \"Zugriff verweigert\"-Fehler kann aus verschiedenen Gründen auftreten, keine haben aber ihre Ursache bei Calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Wenn deine Datei in einem anderen Programm geöffnet ist."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1897,18 +1912,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr "Kann ich die Metadaten-Kommentare auf meinem Reader anzeigen lassen?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1921,7 +1936,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1930,11 +1945,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "Wie kann ich Calibre dazu bringen, meinen HTTP-Proxy zu verwenden?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1947,21 +1962,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "Ich möchte, dass eine neue Funktion zu Calibre hinzugefügt wird. Was kann ich tun?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Du hast zwei Auswahlmöglichkeiten:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1972,15 +1987,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Warum verfügt Calibre nicht über eine automatische Aktualisierung?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Aus vielen Gründen:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1988,7 +2003,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*Es ist nicht notwendig, Calibre jede Woche zu aktualisieren*. Wenn Sie damit zufrieden sind, wie Calibre bei Ihnen läuft, können Sie die automatische Benachrichtigung für Aktualisierungen abschalten. Sie können es jeder Zeit wieder aktivieren. Die Benachrichtigungen können Sie direkt im Benachrichtigungsfenster deaktivieren."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1996,7 +2011,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -2004,25 +2019,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Wie ist Calibre lizenziert?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2035,30 +2050,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Wie kann ich Calibre von meinem USB-Stick aus ausführen?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Eine portable Version von Calibre ist `hier <https://calibre-ebook.com/download_portable>`_ erhältlich."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2071,34 +2086,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Sie können den Calibre Netzwerkserver mit dem folgenden Befehl starten::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "Sie können mit folgendem Befehl heruntergeladene Nachrichten per E-Mail verschicken::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Schlussendlich können Sie heruntergeladene Nachrichten wie folgt zur Calibre-Bibliothek hinzufügen:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/de/stats.json 5.10.0+dfsg-1/translations/manual/de/stats.json
--- 5.9.0+dfsg-3/translations/manual/de/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/de/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 1306,
-    "untranslated": 1719
+    "translated": 1299,
+    "untranslated": 1732
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/de/template_lang.po 5.10.0+dfsg-1/translations/manual/de/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/de/template_lang.po	2021-01-06 15:34:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/de/template_lang.po	2021-01-20 15:28:45.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -715,9 +715,9 @@ msgstr "``and(Wert, Wert, …)`` -- gibt
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
-msgstr "``add(x, y)`` -- Gibt `x` + `y` zurück. Löst einen Ausnahmefehler aus, falls `x` und/oder `y` keine Zahl ist."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
 msgid ""
@@ -857,6 +857,12 @@ msgstr "``field(Name)`` -- gibt das durc
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -866,14 +872,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -881,33 +887,33 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(Wert, Vergleichswert1, Ergebnis1, Vergleichswert2, Ergebnis2, …, sonst_Ergebnis)`` -- vergleicht nacheinander `Wert` < `VergleichswertN` und gibt für den ersten erfolgreichen Vergleich `ErgebnisN` zurück. Falls kein Vergleich erfolgreich ist, wird `sonst_Ergebnis` zurückgegeben. Beispiel::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "gibt \"groß\" zurück. Dasselbe Beispiel mit einem ersten Wert von 16 gibt \"riesig\" zurück."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty(Wert, Wert, …)`` -- gibt den ersten nicht leeren `Wert` zurück. Falls alle Werte leer sind, wird ein leerer Wert zurückgegeben. Sie können so viele Werte wie gewünscht angeben."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -916,7 +922,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -926,7 +932,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(Formatzeichenkette)`` -- gibt eine kommagetrennte Liste von doppelpunktgetrennten Elementen zurück, welche die Änderungszeitpunkte für die Formate eines Buches darstellen. Der Parameter `Formatzeichenkette` gibt die Formatierung des Datums an. Siehe die Funktion ``format_date()`` für Details. Sie können die Funktion ``select`` verwenden, um den Änderungszeitpunkt für ein bestimmtes Format zu erhalten. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -934,7 +940,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- gibt eine kommagetrennte Liste von doppelpunktgetrennten Elementen zurück, welche den vollen Pfad zu den Formaten eines Buches darstellen. Sie können die Funktion ``select`` verwenden, um den Pfad für ein bestimmtes Format zu erhalten. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -942,27 +948,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- gibt eine kommagetrennte Liste von doppelpunktgetrennten Elementen zurück, welche die Größen in Bytes der Formate eines Buches darstellen. Sie können die Funktion ``select`` verwenden, um die Größe für ein bestimmtes Format zu erhalten. Beachten Sie, dass Formatnamen immer aus Großbuchstaben bestehen, wie z. B. in \"EPUB\"."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(Wert)`` -- gibt die Zeichenkette \"1\" zurück, falls der `Wert` leer ist, andernfalls wird eine leere Zeichenkette zurückgegeben. Diese Funktion arbeitet gut mit den Funktionen ``test`` oder ``first_non_empty`` zusammen."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -970,7 +976,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(Liste1, Liste2, Trennzeichen)`` -- gibt eine Liste zurück, die durch Entfernen jedes Elements von `Liste1`, das in `Liste2` gefunden wird, unter Verwendung eines von Groß-/Kleinschreibung unabhängigen Vergleichs erstellt wird. Die Elemente in `Liste1` und `Liste2` werden durch `Trennzeichen` voneinander getrennt, ebenso wie die Elemente der zurückgegebenen Liste."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -979,7 +985,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(Liste1, Trennzeichen1, Liste2, Trennzeichen2, ja_Wert, nein_Wert)`` -- gibt `ja_Wert` zurück, falls `Liste1` und `Liste2` die gleichen Elemente enthalten, andernfalls wird `nein_Wert` zurückgegeben. Die Elemente werden durch Aufteilen jeder Liste unter Verwendung des entsprechenden Trennzeichens (`Trennzeichen1` oder `Trennzeichen2`) bestimmt. Die Reihenfolge der Elemente in den Listen ist dabei irrelevant. Der Vergleich ignoriert die Groß-/Kleinschreibung."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -987,7 +993,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(Liste1, Liste2, Trennzeichen)`` -- gibt eine Liste zurück, die durch Entfernen jedes Elements von `Liste1`, das in `Liste2` nicht gefunden wird, unter Verwendung eines von Groß-/Kleinschreibung unabhängigen Vergleichs erstellt wird. Die Elemente in `Liste1` und `Liste2` werden durch `Trennzeichen` voneinander getrennt, ebenso wie die Elemente der zurückgegebenen Liste."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -997,7 +1003,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1005,7 +1011,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1013,7 +1019,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1022,53 +1028,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1080,17 +1086,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1099,17 +1105,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1119,19 +1125,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1141,20 +1147,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1166,11 +1172,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1180,14 +1186,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1195,26 +1201,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1224,13 +1230,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1240,50 +1246,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1293,13 +1299,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1309,18 +1315,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1331,24 +1337,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1361,29 +1367,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1392,11 +1398,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1404,11 +1410,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1419,27 +1425,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1453,11 +1459,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1467,35 +1473,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1503,20 +1509,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1524,11 +1530,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Besondere Hinweise für Speicher-/Sendevorlagen"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1539,18 +1545,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1560,25 +1566,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "Um das zu erreichen:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1586,11 +1592,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1601,7 +1607,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1612,7 +1618,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1621,29 +1627,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1655,7 +1661,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1665,7 +1671,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1674,39 +1680,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Vielleicht finden Sie die folgenden Ratschläge hilfreich."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/de/viewer.po 5.10.0+dfsg-1/translations/manual/de/viewer.po
--- 5.9.0+dfsg-3/translations/manual/de/viewer.po	2021-01-06 15:35:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/de/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: German (http://www.transifex.com/calibre/calibre/language/de/)\n"
 "MIME-Version: 1.0\n"
@@ -250,11 +250,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -264,7 +272,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -272,37 +280,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Anpassen des Erscheinungsbilds für Ihr Lesevergnügen"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -312,11 +320,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Wörterbuchsuche"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -324,11 +332,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Kopieren von Text und Bildern"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -336,22 +344,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/develop.pot 5.10.0+dfsg-1/translations/manual/develop.pot
--- 5.9.0+dfsg-3/translations/manual/develop.pot	2021-01-08 03:54:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/develop.pot	2021-01-22 02:29:40.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/diff.pot 5.10.0+dfsg-1/translations/manual/diff.pot
--- 5.9.0+dfsg-3/translations/manual/diff.pot	2021-01-08 03:54:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/diff.pot	2021-01-22 02:29:38.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/drm.pot 5.10.0+dfsg-1/translations/manual/drm.pot
--- 5.9.0+dfsg-3/translations/manual/drm.pot	2021-01-08 03:54:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/drm.pot	2021-01-22 02:29:35.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/edit.pot 5.10.0+dfsg-1/translations/manual/edit.pot
--- 5.9.0+dfsg-3/translations/manual/edit.pot	2021-01-08 03:54:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/edit.pot	2021-01-22 02:29:33.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -265,11 +265,11 @@ msgid "You can edit individual entries b
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+msgid "Checking the book"
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:318
-msgid "The :guilabel:`Check Book` tool searches your book for problems that could prevent it working as intended on actual reader devices. Activate it via :guilabel:`Tools->Check Book`."
+msgid "The :guilabel:`Check book` tool searches your book for problems that could prevent it working as intended on actual reader devices. Activate it via :guilabel:`Tools->Check book`."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/edit.rst:326
diff -pruN 5.9.0+dfsg-3/translations/manual/el/db_api.po 5.10.0+dfsg-1/translations/manual/el/db_api.po
--- 5.9.0+dfsg-3/translations/manual/el/db_api.po	2020-12-23 14:20:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/el/db_api.po	2021-01-20 15:30:28.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Georgios Savopulos <gsavopul@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -186,6 +186,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/el/edit.po 5.10.0+dfsg-1/translations/manual/el/edit.po
--- 5.9.0+dfsg-3/translations/manual/el/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/el/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: el\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Επεξεργασία βιβλίων"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Περιεχόμενα"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Μετονομασία αρχείων"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Συγχώνευση αρχείων"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Διαγραφή αρχείων"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Εξαγωγή αρχείων"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Αντικατάσταση αρχείων"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Αναζήτηση & αντικατάσταση"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Αποθηκευμένες Αναζητήσεις"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Αυτοματοποιημένα εργαλεία"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Επεξεργασία του Πίνακα Περιεχομένων"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "Έλεγχος του Βιβλίου"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr "Κάποιοι από τους έλεγχους που γίνονται είναι:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Προσθήκη εξωφύλλου"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Αφαίρεση αχρησιμοποίητων κανόνων CSS"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Επιδιόρθωση HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Καλλωπισμός αρχείων"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "Διαίρεση αρχείων HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr "Διάφορα εργαλεία"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Έλεγχος της ορθογραφίας των λέξεων του βιβλίου"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Προσθήκη νέων λεξικών"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Εισαγωγή ειδικών χαρακτήρων"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/el/faq.po 5.10.0+dfsg-1/translations/manual/el/faq.po
--- 5.9.0+dfsg-3/translations/manual/el/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/el/faq.po	2021-01-20 15:29:11.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -49,10 +49,10 @@ msgstr "Το calibre υποστηρίζ
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Μορφές εισαγωγής:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -169,8 +169,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -410,7 +410,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -806,7 +806,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -940,8 +940,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Διαχείριση βιβλιοθήκης"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1622,12 +1622,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1638,7 +1653,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1647,22 +1662,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1672,14 +1687,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1690,11 +1705,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "Κατέβασα το πρόγραμμα εγκατάστασης αλλά δεν λειτουργεί;"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1704,26 +1719,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1731,13 +1746,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1747,7 +1762,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1755,11 +1770,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1768,7 +1783,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1782,11 +1797,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1795,7 +1810,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1803,7 +1818,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1813,13 +1828,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1832,44 +1847,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1877,18 +1892,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1901,7 +1916,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1910,11 +1925,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1927,21 +1942,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Έχετε δύο επιλογές:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1952,15 +1967,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Γιατί το calibre δεν έχει αυτόματες ενημερώσεις;"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Για πολλούς λόγους:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1968,7 +1983,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1976,7 +1991,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1984,25 +1999,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Πως αδειοδοτείται το calibre;"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2015,30 +2030,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2051,34 +2066,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/el/stats.json 5.10.0+dfsg-1/translations/manual/el/stats.json
--- 5.9.0+dfsg-3/translations/manual/el/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/el/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 813,
-    "untranslated": 2212
+    "translated": 809,
+    "untranslated": 2222
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/el/template_lang.po 5.10.0+dfsg-1/translations/manual/el/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/el/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/el/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -710,9 +710,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
-msgstr "``add(x, y)`` -- επιστρέφει x + y. Πετάει εξαίρεση αν κάποιο από τα x ή y δεν είναι αριθμός."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
 msgid ""
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/el/viewer.po 5.10.0+dfsg-1/translations/manual/el/viewer.po
--- 5.9.0+dfsg-3/translations/manual/el/viewer.po	2021-01-06 15:35:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/el/viewer.po	2021-01-20 15:29:39.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Greek (http://www.transifex.com/calibre/calibre/language/el/)\n"
 "MIME-Version: 1.0\n"
@@ -248,11 +248,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -262,7 +270,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -270,37 +278,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Εξατομίκευση των ρυθμίσεων όψης και αίσθησης για καλύτερη ανάγνωση"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -310,11 +318,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Αναζήτηση σε λεξικό"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -322,11 +330,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Αντιγραφή κειμένου και εικόνων"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -334,22 +342,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/en_AU/db_api.po 5.10.0+dfsg-1/translations/manual/en_AU/db_api.po
--- 5.9.0+dfsg-3/translations/manual/en_AU/db_api.po	2020-12-23 14:20:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_AU/db_api.po	2021-01-20 15:31:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/en_AU/edit.po 5.10.0+dfsg-1/translations/manual/en_AU/edit.po
--- 5.9.0+dfsg-3/translations/manual/en_AU/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_AU/edit.po	2021-01-20 15:30:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: en_AU\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/en_AU/faq.po 5.10.0+dfsg-1/translations/manual/en_AU/faq.po
--- 5.9.0+dfsg-3/translations/manual/en_AU/faq.po	2021-01-06 15:34:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_AU/faq.po	2021-01-20 15:29:29.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/en_AU/stats.json 5.10.0+dfsg-1/translations/manual/en_AU/stats.json
--- 5.9.0+dfsg-3/translations/manual/en_AU/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_AU/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 1,
-    "untranslated": 3024
+    "untranslated": 3030
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/en_AU/template_lang.po 5.10.0+dfsg-1/translations/manual/en_AU/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/en_AU/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_AU/template_lang.po	2021-01-20 15:28:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/en_AU/viewer.po 5.10.0+dfsg-1/translations/manual/en_AU/viewer.po
--- 5.9.0+dfsg-3/translations/manual/en_AU/viewer.po	2021-01-06 15:35:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_AU/viewer.po	2021-01-20 15:29:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Australia) (http://www.transifex.com/calibre/calibre/language/en_AU/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/en_CA/db_api.po 5.10.0+dfsg-1/translations/manual/en_CA/db_api.po
--- 5.9.0+dfsg-3/translations/manual/en_CA/db_api.po	2020-12-23 14:21:05.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_CA/db_api.po	2021-01-20 15:30:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/en_CA/edit.po 5.10.0+dfsg-1/translations/manual/en_CA/edit.po
--- 5.9.0+dfsg-3/translations/manual/en_CA/edit.po	2020-12-10 03:00:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_CA/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: en_CA\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/en_CA/faq.po 5.10.0+dfsg-1/translations/manual/en_CA/faq.po
--- 5.9.0+dfsg-3/translations/manual/en_CA/faq.po	2021-01-06 15:34:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_CA/faq.po	2021-01-20 15:29:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/en_CA/stats.json 5.10.0+dfsg-1/translations/manual/en_CA/stats.json
--- 5.9.0+dfsg-3/translations/manual/en_CA/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_CA/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/en_CA/template_lang.po 5.10.0+dfsg-1/translations/manual/en_CA/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/en_CA/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_CA/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/en_CA/viewer.po 5.10.0+dfsg-1/translations/manual/en_CA/viewer.po
--- 5.9.0+dfsg-3/translations/manual/en_CA/viewer.po	2021-01-06 15:35:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_CA/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (Canada) (http://www.transifex.com/calibre/calibre/language/en_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/en_GB/db_api.po 5.10.0+dfsg-1/translations/manual/en_GB/db_api.po
--- 5.9.0+dfsg-3/translations/manual/en_GB/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_GB/db_api.po	2021-01-20 15:30:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/en_GB/edit.po 5.10.0+dfsg-1/translations/manual/en_GB/edit.po
--- 5.9.0+dfsg-3/translations/manual/en_GB/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_GB/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: en_GB\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Editing e-books"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Contents"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Embedding referenced fonts"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Subsetting embedded fonts"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Smartening punctuation"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Removing unused CSS rules"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Checkpoints"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/en_GB/faq.po 5.10.0+dfsg-1/translations/manual/en_GB/faq.po
--- 5.9.0+dfsg-3/translations/manual/en_GB/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_GB/faq.po	2021-01-20 15:29:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/en_GB/stats.json 5.10.0+dfsg-1/translations/manual/en_GB/stats.json
--- 5.9.0+dfsg-3/translations/manual/en_GB/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_GB/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 238,
-    "untranslated": 2787
+    "untranslated": 2793
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/en_GB/template_lang.po 5.10.0+dfsg-1/translations/manual/en_GB/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/en_GB/template_lang.po	2021-01-06 15:34:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_GB/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/en_GB/viewer.po 5.10.0+dfsg-1/translations/manual/en_GB/viewer.po
--- 5.9.0+dfsg-3/translations/manual/en_GB/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/en_GB/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: English (United Kingdom) (http://www.transifex.com/calibre/calibre/language/en_GB/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Customising the look and feel of your reading experience"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Dictionary lookup"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Copying text and images"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/eo/db_api.po 5.10.0+dfsg-1/translations/manual/eo/db_api.po
--- 5.9.0+dfsg-3/translations/manual/eo/db_api.po	2020-12-23 14:21:12.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eo/db_api.po	2021-01-20 15:30:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/eo/edit.po 5.10.0+dfsg-1/translations/manual/eo/edit.po
--- 5.9.0+dfsg-3/translations/manual/eo/edit.po	2020-12-10 03:01:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eo/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: eo\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/eo/faq.po 5.10.0+dfsg-1/translations/manual/eo/faq.po
--- 5.9.0+dfsg-3/translations/manual/eo/faq.po	2021-01-06 15:34:49.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eo/faq.po	2021-01-20 15:29:12.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/eo/stats.json 5.10.0+dfsg-1/translations/manual/eo/stats.json
--- 5.9.0+dfsg-3/translations/manual/eo/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eo/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 14,
-    "untranslated": 3011
+    "untranslated": 3017
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/eo/template_lang.po 5.10.0+dfsg-1/translations/manual/eo/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/eo/template_lang.po	2021-01-06 15:34:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eo/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/eo/viewer.po 5.10.0+dfsg-1/translations/manual/eo/viewer.po
--- 5.9.0+dfsg-3/translations/manual/eo/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eo/viewer.po	2021-01-20 15:29:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Esperanto (http://www.transifex.com/calibre/calibre/language/eo/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/es/conversion.po 5.10.0+dfsg-1/translations/manual/es/conversion.po
--- 5.9.0+dfsg-3/translations/manual/es/conversion.po	2021-01-06 15:33:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es/conversion.po	2021-01-20 15:28:40.000000000 +0000
@@ -7,7 +7,7 @@
 # Edgar Carballo <karvayoEdgar@gmail.com>, 2015
 # psss <facevedo@openmailbox.org>, 2015
 # Francisco Palm <francisco.palm@gmail.com>, 2015
-# Jellby <jellby@yahoo.com>, 2014-2020
+# Jellby <jellby@yahoo.com>, 2014-2021
 # Julio Oña <thinmanj@gmail.com>, 2015
 # Miguel <dranthos@gmail.com>, 2015
 # Walter Paterno <walter.paterno@gmail.com>, 2020
@@ -15,9 +15,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-10 09:04+0000\n"
+"Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -428,7 +428,7 @@ msgid ""
 "want to choose one of the Kindle output profiles. Otherwise, your best bet "
 "for modern E-book reading devices is to choose the :guilabel:`Generic e-ink "
 "HD` output profile."
-msgstr ""
+msgstr "Si sabe que el archivo concreto que va a convertir está pensado para un dispositivo o programa particular, elija el correspondiente perfil de entrada, en caso contrario elija simplemente el perfl de entrada predeterminado. Si sabe que los archivos producidos van a usarse con un tipo de dispositivo específico, elija el perfil de salida correspondiente. En caso contrario, elija el perfil de salida genérico. Si está convirtiendo a MOBI o AZW3, casi siempre querrá usar uno de los perfiles de salida Kindle. Si no, lo mejor para los lectores modernos suele ser elegir el perfil de salida :guilabel:`Tinta electrónica genérico alta definición`."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:275
 msgid ""
@@ -490,7 +490,7 @@ msgid ""
 "the length of 40% of all lines in the document. If your document only has a "
 "few line breaks which need correction, then this value should be reduced to "
 "somewhere between 0.1 and 0.2."
-msgstr ""
+msgstr "Esta opción controla el algoritmo que usa calibre para eliminar los saltos de línea forzados. Por ejemplo, si el valor de esta opción es 0.4, eso significa que calibre eliminará los saltos de línea de los renglones cuya longitud sea menor del 40% de todos los renglones del documento. Si el documento tiene sólo algunos saltos de línea que necesitan la corrección, este valor debería reducirse a algo entre 0.1 y 0.2."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:320
 msgid ""
@@ -504,7 +504,7 @@ msgid ""
 "attempt to detect them and surround them with heading tags. <h2> tags are "
 "used for chapter headings; <h3> tags are used for any titles that are "
 "detected."
-msgstr ""
+msgstr "Si el documento no posee cabeceras de capítulo y títulos con un formato diferente del resto del texto, calibre puede usar esta opción para intentar detectarlos e incluirlos en etiquetas de encabezado. Las etiquetas <h2> se usan para cabeceras de capítulo; las etiquetas <h3> se usan para cualquier título que se detecte."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:312
 msgid ""
@@ -843,7 +843,7 @@ msgid ""
 ":guilabel:`Number of links` option can be used to control this behavior. If "
 "set to zero, no links are added. If set to a number greater than zero, at "
 "most that number of links is added."
-msgstr ""
+msgstr "Si el número de capítulos detectados es menor que :guilabel:`Umbral de capítulos`, calibre añadirá los enlaces que encuentre en el documento de entrada al índice. Esto suele funcionar porque muchos documentos incluyen un índice con enlaces al principio. La opción :guilabel:`Número de enlaces para añadir al índice` puede usarse para controlar este comportamiento. Si se pone a cero, no se añadirá ningún enlace. Si es un número mayor que cero, ése será el número máximo de enlaces que se añada."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:488
 msgid ""
diff -pruN 5.9.0+dfsg-3/translations/manual/es/db_api.po 5.10.0+dfsg-1/translations/manual/es/db_api.po
--- 5.9.0+dfsg-3/translations/manual/es/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es/db_api.po	2021-01-20 15:30:18.000000000 +0000
@@ -4,15 +4,15 @@
 # 
 # Translators:
 # Darío Hereñú, 2014-2015
-# Jellby <jellby@yahoo.com>, 2014-2018,2020
+# Jellby <jellby@yahoo.com>, 2014-2018,2020-2021
 # Juan Jaramillo <juanda097@protonmail.ch>, 2014
 # Lalo Cabrera <laloogcabrera@yahoo.com.mx>, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 09:40+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -189,6 +189,21 @@ msgid "Return the set of books in the sp
 msgstr "Devuelve el conjunto de libros en la biblioteca virtual especificada"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr "Comprimir las imágenes de portada para los libros especificados. Una calidad de compresión de 100 realizará una compresión sin pérdidas, en caso contrario será con pérdidas."
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr "La función progress_callback se ejecutará con book_id y los tamaños original y nuevo para cada libro que se procese. Si ocurre un error, el tamaño nuevo será un texto con los detalles del error."
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/es/edit.po 5.10.0+dfsg-1/translations/manual/es/edit.po
--- 5.9.0+dfsg-3/translations/manual/es/edit.po	2020-12-10 03:01:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es/edit.po	2021-01-20 15:29:50.000000000 +0000
@@ -7,13 +7,13 @@
 # Albert, 2016
 # Albert, 2016
 # Darío Hereñú, 2019
-# Jellby <jellby@yahoo.com>, 2016-2020
+# Jellby <jellby@yahoo.com>, 2016-2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-12-01 08:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 13:17+0000\n"
 "Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
@@ -22,11 +22,11 @@ msgstr ""
 "Language: es\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Modificar libros electrónicos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -35,27 +35,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "calibre tiene un editor de libros electrónicos integrado que puede usarse para modificar libros en formatos EPUB y AZW3 (Kindle). El editor muestra el código HTML y CSS usado internamente en los archivos del libro, con una vista previa que se actualiza según se hacen cambios. También contiene varias herramientas automatizadas para realizar tareas comunes de limpieza y corrección."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Puede utilizar este editor pulsando con el botón derecho sobre cualquier libro en calibre y seleccionando :guilabel:`Modificar libro`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Índice"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Flujo de trabajo básico"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr "Un recorrido en forma de video del editor de libros electrónicos de calibre está disponible `aquí <https://calibre-ebook.com/demo#tutorials>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -66,7 +66,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "Al abrir un libro con la herramienta Modificar libro, aparecerá una lista de archivos a la izquierda. Éstos son los archivos HTML individuales, hojas de estilo, imágenes, etc. que constituyen el contenido del libro. Simplemente pulse dos veces en un archivo para comenzar a modificarlo. Tenga en cuenta que si quiere hacer alg más sofisticado que unos pequeños retoques, debe conocer `HTML (cursillo) <http://html.net/tutorials/html/>`_ y `CSS (cursillo) <http://html.net/tutorials/css/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -74,7 +74,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr "Según se hacen cambios en el código HTML o CSS, éstos se muestran en vivo en el panel de vista previa a la derecha. Cuando esté satisfecho con el aspecto de los cambios, pulse en el botón :guilabel:`Guardar` o use :guilabel:`Archivo > Guardar` para guardar los cambios en el libro."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -88,18 +88,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr "Una característica útil es :guilabel:`Hitos`. Antes de comenzar un conjunto ambicioso de modificaciones, puede crear un hito. El hito preservará el estado actual del libro y, si en el futuro decide que no quiere conservar los cambios realizados, podrá volver a la situación de cuando se creó el hito. Para crear un hito, use :guilabel:`Editar > Crear hito`. También se crean hitos automáticamente cada vez que ejecute una herramienta automatizada como una búsqueda y sustitución global. Los hitos son una adición al mecanismo normal de deshacer y rehacer al modificar archivos individuales, y son útiles cuando los cambios afectan a varios archivos en el libro."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "Ésta es la secuencia de trabajo básica para modificar libros: Abrir un archivo, hacer los cambios, comprobar la vista previa y guardar. En el resto de este manual hablaremos de las herramientas y características que le permitirán realizar tareas especificas de manera eficiente."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr "El explorador de archivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -110,7 +110,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr "El :guilabel:`Explorador de archivos` proporciona un resumen de los distintos archivos dentro del libro que está modificando. Los archivos están dispuestos por categoría, con los archivos de texto (HTML) al principio, seguidos de los archivos de estilo (CSS), imágenes, etc. Pulse dos veces sobre un archivo para modificarlo. Puede modificar archivos HTML, CSS y de imagen. El order de los archivos de texto es el mismo orden en que mostrarían si estuviera leyendo el libro. El resto de archivos están ordenados alfabéticamente."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -118,7 +118,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr "Pasando el ratón por encima de una entrada, puede ver su tamaño y, en la parte inferior de la pantalla, la ruta de acceso completa al archivo dentro del libro. Tenga en cuenta que los archivos en el libro están comprimidos, por lo que el tamaño final del libro no es la suma de los tamaños de los archivos individuales."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -131,16 +131,16 @@ msgid ""
 " of Contents."
 msgstr "Muchos archivos tienen un significado especial en el libro. Normalmente éstos tendrán un icono junto a su nombre, indicando el significado especial. Por ejemplo, en la imagen de la izquierda puede ver que los archivos :guilabel:`cover_image.jpg` y :guilabel:`titlepage.xhtml` tienen el icono de una portada, lo que indica que son la imagen de portada y la página de título. Igualmente, el archivo :guilabel:`content.opf` tiene un icono de metadatos, indicando que contiene los metadatos del libro, y el archivo :guilabel:`toc.ncx` tiene un icono de T, indicando que se trata del índice."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "Puede realizar varias acciones sobre archivos individuales, pulsando con el botón derecho sobre ellos."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Cambiar nombres de archivo"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -148,7 +148,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr "Puede cambiar el nombre de un archivo concreto pulsando con el botón derecho sobre él y seleccionando :guilabel:`Cambiar nombre`. Al cambiar el nombre de un archivo se actualizan automáticamente todos los enlaces y referencias al archivo en todo el libro. Todo lo que tiene que hacer es escribir un nuevo nombre y calibre se encarga del resto."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -162,18 +162,18 @@ msgid ""
 "all images by the order they appear."
 msgstr "También puede cambiar el nombre de muchos archivos a la vez. Esto es útil si quiere que los nombres de los archivos sigan un patrón sencillo. Por ejemplo, puede querer cambiar el nombre de todos los archivos HTML para que sean Capitulo-1.html, Capitulo-2.html, etc. Seleccione los archivos a los que quiere cambiar el nombre manteniendo pulsada la tecla :kbd:`Mayús` o :kbd:`Ctrl` y pulsando con el ratón sobre los archivos. Luego pulse con el botón derecho y seleccione :guilabel:`Cambiar el nombre en masa`. Introduzca un prefijo y el número por el que desea que empiece la numeración automática, pulse «Aceptar» y ya está. El diálogo para cambiar el nombre en masa también le permite cambiar el nombre de los archivos según el orden en que aparecen en el libro, en lugar del orden en que se seleccionaron, por ejemplo para numerar todas las imágenes en orden de aparición."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr "Por último, puede cambiar la extensión de todos los archivos seleccionados. Seleccione varios archivos, como antes, pulse con el botón derecho y elija :guilabel:`Cambiar la extensión de los archivos seleccionados`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Unir archivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -181,7 +181,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr "A veces, puede querer unir dos archivos HTML o dos archivos CSS. En ciertas ocasiones puede ser útil tener todo en un solo archivo. Pero tenga cuidado, poner una gran cantidad de contenido en un solo archivo causará problemas de rendimiento cuando visualice su libro en un lector de libros electrónicos normal."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -192,11 +192,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr "Para combinar varios archivos en uno, selecciónelos manteniendo pulsada la tecla :kbd:`Ctrl` y pulsando con el ratón sobre ellos (asegúrese de que sólo selecciona archivos de un tipo, ya sean todos HTML o todos CSS). Luego pulse con el botón derecho y seleccione :guilabel:`Unir`. Eso es todo, calibre combinará los archivos, migrando automáticamente todos los enlaces y referencias a los archivos originales. Tenga en cuenta que al combinar archivos se puede dar lugar a cambios de estilo, pues los archivos individuales podían usar diferentes hojas de estilo."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Cambiar el orden de los archivos de texto"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -205,11 +205,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr "Puede modificar el orden en el que los archivos de texto (HTML) se mostrarán al leer el libro simplemente arrastrando y soltándolos en el Explorador de archivos. Para los curiosos, esto se llama reordenar el lomo. Teng en cuenta que debe soltar los elementos *entre* otros elementos, no encima de ellos, esto puede ser un poco delicado hasta que se acostumbre."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Marcar la portada"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -217,7 +217,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr "Los libros electrónicos tienen normalmente una imagen de portada. Esta imagen se indica en :guilabel:`Explorador de archivos` con un icono de un libro marrón junto al nombre de la imagen. Si quiere designar otra imagen como la portada, puede hacerlo pulsando con el botón derecho sobre el archivo y eligiendo :guilabel:`Marcar como imagen de portada`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -229,11 +229,11 @@ msgid ""
 " only the cover and no other content."
 msgstr "Además, los archivos EPUB tienen el concepto de *página de título*. Una página de título es un archivo HTML que funciona como la portada o portadilla del libro. Puede marcar un archivo HTML como página de título al modificar archivos EPUB pulsando con el botón derecho. Asegúrese de que el archivo marcado contiene sólo la información de portada. Si tiene otro contenido, como el primer capítulo, dicho contenido se perderá si se convierte el libro a algún otro formato con calibre. Esto sucede porque, durante la conversión, calibre asume que la página de título contiene sólo la portada y nada más."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Borrar archivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -242,11 +242,11 @@ msgid ""
 "remove/replace them."
 msgstr "Puede borrar archivos pulsando con el botón derecho sobre ellos o seleccionándolos y pulsando la tecla Supr. Al borrar un archivo se eliminan todas las referencias a éste en el archivo OPF, evitándole la molestia. Sin embargo, las referencias en otros lugares no se eliminan. Puede usar la herramienta Comprobar libro para encontrarlas y eliminarlas o sustituirlas."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Exportar archivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -254,7 +254,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr "Puede exportar un archivo contenido en el libro a algún otro lugar del equipo. Esto es útil si quiere trabajar en el archivo de manera aislada, con herramientas especializadas. Para ello, pulse con el botón derecho sobre el archivo y elija :guilabel:`Exportar`"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -262,7 +262,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr "Una vez que haya terminado con el archivo exportado, puede volver a importarlo en el libro, pulsando con el botón derecho sobre el archivo otra tez y eligiendo :guilabel:`Sustituir por archivo...`, lo que le permitirá sustituir el archivo del libro por el archivo previamente exportado."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -271,11 +271,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr "También puede copiar archivos entre distintas sesiones del editor. Seleccione los archivos que desee copiar en el :guilabel:`Explorador de archivos`, después pulse con el botón derecho y elija :guilabel:`Copiar los archivos seleccionados a otra sesión del editor`. Luego, en la otra sesión del editor, pulse con el botón derecho en el :guilabel:`Explorador de archivos` y elija la opción :guilabel:`Pegar archivo desde otra sesión del editor`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "Añadir nuevas imágenes, tipos de letra, etc. o crear nuevos archivos en blanco."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -284,17 +284,17 @@ msgid ""
 " for the new file."
 msgstr "Puede añadir una nueva image, tipo de letra, hoja de estilo, etc. del equipo al libro, seleccionando :guilabel:`Archivo > Nuevo archivo`. Esto le permite importar un archivo pulsando el botón :guilabel:`Importar archivo de recursos`o crear un archivo HTML u hoja de estilo en blanco, introduciendo su nombre en el cuadro."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr "También puede importar múltiples archivos en el libro de una vez usando :guilabel:`Archivo > Importar archivos a libro`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Sustituir archivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -302,22 +302,22 @@ msgid ""
 "being replaced."
 msgstr "Puede sustituir archivos existentes en el libro pulsando con el botón derecho y eligiendo :guilabel:`Sustituir`. Esto actualizará automáticamente todos los enlaces y referencias en el caso de que el nuevo archivo tenga un nombre distinto del original."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr "Vincular hojas de estilo con archivos HTML de manera eficiente"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr "Como opción práctica, puede seleccionar varios archivos HTML en el Explorador de archivos, pulsar con el botón derecho y elegir :guilabel:`Enlazar hojas de estilo`, para que calibre inserte automáticamente las etiquetas <link> de las hojas de estilo en todos los archivos HTML seleccionados."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Buscar y sustituir"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -326,20 +326,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr "El editor de libros tiene una interfaz muy potente de búsqueda y sustitución que le permite buscar y sustituir texto en el archivo actual, en todos los archivos e incluso en una región marcada del archivo actual. Puede buscar usando una búsqueda normal o expresiones regulares. Para aprender cómo usar las expresiones regulares en búsquedas avanzadas, vea :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr "Inicie la búsqueda y sustitución en el menú :guilabel:`Buscar > Buscar y sustituir` (debe estar modificando un archivo HTML o CSS)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr "Introduzca el texto que quiere encontrar en el cuadro :guilabel:`Buscar` y lo que quiere poner en su lugar en el cuadro :guilabel:`Sustituir`. Puede pulsar los botones respectivos para buscar la siguiente coincidencia, sustituir la coincidencia actual y sustituir todas las coincidencias."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -347,37 +347,37 @@ msgid ""
 "regular expression search."
 msgstr "Mediante los cuadros desplegables en la parte inferior puede hacer que la búsqueda se realice sobre el archivo actual, todos los archivos de texto, todos los archivos de estilo o todos los archivos. También puede elegir el modo de búsqueda entre normal (texto) o expresión regular."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr "Puede contar todas las coincidencias de una expresión de búsqueda mediante de :guilabel:`Buscar > Contar todo`. El recuento se ejecutará sobre los archivos o regiones seleccionados en en el menú desplegable."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr "También puede ir a una línea específica en el editor abierto actualmente por medio de :guilabel:`Buscar > Ir a línea`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr "Recuerde que para poder aprovechar toda la potencia de buscar y sustituir tendrá que usar expresiones regulares. Véase :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Búsquedas guardadas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr "Puede guardar expresiones frecuentes de búsqueda y sustitución (incluidas expresiones de modo de función) para volver a usarlas en otras ocasiones. Para guardar una búsqueda no tiene más que pulsar con el botón derecho en el cuadro de :guilabel:`Buscar` y seleccionar :guilabel:`Guardar búsqueda actual`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -386,22 +386,22 @@ msgid ""
 " expressions in a single operation."
 msgstr "Puede abrir las búsquedas guardadas mediante :guilabel: `Buscar > Búsquedas guardadas`. Esto le mostrará una lista de expresiones de búsqueda y sustitución que se pueden aplicar. Incluso puede seleccionar varias entradas de la lista, manteniendo pulsada la tecla :kbd:`Ctrl` mientras pulsa con el ratón, con el fin de ejecutar múltiples expresiones de búsqueda y sustitución en una sola operación."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "Modo de función"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr "El modo de función le permite escribir funciones Python tan potentes como desee, que se ejecutan en cada búsqueda o sustitución. Puede realizar prácticamente cualquier manipulación de texto en el modo de función. Para más información vea :doc:`function_mode`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr "Buscar omitiendo etiquetas HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -410,27 +410,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr "También hay una herramienta de búsqueda específica para buscar texto, omitiendo las etiquetas HTML intermedias. Por ejemplo, si el libro contiene el HTML «Una <i>palabra</i> en cursiva», puede buscar «una palabra» y encontrar el texto, aunque hay una etiqueta «<i>» en el medio. Esta herramienta se encuentra en el menú :guilabel:`Búsqueda > Buscar omitiendo HTML`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Herramientas automatizadas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr "Modificar libro posee varias herramientas útiles para tareas usuales. A éstas se accede a través del menú :guilabel:`Herramientas`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Modificar el índice"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr "Hay una herramienta específica para facilitar la edición del Índice. Iníciela con :guilabel:`Herramientas > Índice > Modificar índice`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -438,7 +438,7 @@ msgid ""
 "right."
 msgstr "La herramienta Modificar índice le muestra el índice actual (si existe) a la izquierda. Pulse dos veces en cualquier entrada para modificar su texto. Puede también reorganizar las entradas arrastrando y soltando o utilizando los botones de la derecha."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -446,7 +446,7 @@ msgid ""
 "files and so on."
 msgstr "Para los libros que no tienen un índice, la herramienta le ofrece varias opciones para generar uno automáticamente a partir del texto. Puede generarlo a partir de los títulos del documento, de los enlaces, de los archivos individuales, etc."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -456,18 +456,18 @@ msgid ""
 "location."
 msgstr "Puede modificar las entradas individuales pulsando sobre ellas y después sobre el botón :guilabel:`Cambiar la ubicación a la que apunta esta entrada`. Esto abrirá una vista previa del libro. Mueva el cursor al panel de vista del libro y pulse en el lugar donde quiera que apunte la entrada. Una línea gruesa verde mostrará la ubicación. Pulse :guilabel:`Aceptar` cuando esté satisfecho con la ubicación."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr "Comprobar el libro"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr "La herramienta :guilabel:`Comprobar libro` busca posibles problemas en el libro que pueden hacer que no funcione como se pretende en dispositivos de lectura reales. Actívela en :guilabel:`Herramientas > Comprobar libro`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -476,11 +476,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr "Cualquier problema que se encuentre se mostrará en una lista clara y fácil de usar. Al pulsar sobre cualquier entrada de la lista se mostrará más información sobre el error y se le dará la opción de corregirlo automáticamente si es posible. También puede pulsar dos veces sobre un error para abrir la ubicación del error en un editor, para que pueda corregirlo a mano."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr "Algunas de las comprobaciones realizadas son:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -491,7 +491,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr "Código HTML defectuoso. Todo código HTML que no puede procesarse como XML correcto se muestra en un informe. Al corregirlo se asegurará de que funciona como se pretende en todos los contextos. calibre puede también corregir automáticamente estos errores, pero la corrección automática puede tener efectos inesperados en ocasiones, así que úsela con precaución. Como siempre, se creará un hito antes de la corrección automática, por lo que es fácil deshacer los cambios. La corrección automática funciona procesando el código con el algoritmo HTML5, que tolera muchos errores, y convirtiéndolo luego a XML correcto."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -499,36 +499,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr "Estilos CSS defectuosos o desconocidos. Cualquier CSS que no sea válido o que tenga propiedades no definidas según el estándar CSS 2.1 (más algunas de CSS 3) aparece en el informe. Se comprueba el código CSS de todas las hojas de estilo, atributos de ``style`` en línea y las etiquetas ``<style>`` en los archivos HTML."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr "Enlaces rotos. Se informa de los enlaces que apuntan a archivos en el libro que no existen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr "Archivos sin referencias. Se muestran los archivos en el libro que no están referenciados por ningún otro archivo o no están en el lomo."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr "Varios problemas comunes en archivos OPF tales como elementos del manifiesto o lomo duplicados, idrefs o etiquetas meta de portadas rotos, secciones requeridas ausentes, etc."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr "Se ralizan distintas comprobaciones de compatibilidad relativas a problemas conocidos que pueden provocar un mal funcionamiento del libro electrónico en dispositivos de lectura."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Añadir una portada"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -539,11 +539,11 @@ msgid ""
 "the OPF."
 msgstr "Puede añadir fácilmente una portada al libro por medio de :guilabel:`Herramientas > Añadir portada`. Esto le permite elegir una imagen existente en el libro como la portada o importar una nueva imagen al libro y hace que sea la portada. Al modificar archivos EPUB, el contenedor HTML para la portada se genera de forma automática. Si se encuentra una portada existente en el libro, se sustituye. La herramienta también se encarga automáticamente de marcar correctamente los archivos de la portada como portadas en el OPF."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Incrustar tipos de letra referenciados"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -552,11 +552,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr "Se accede a través de :guilabel:`Herramientas > Incrustar tipos de letra referenciados`, esta herramienta busca todos los tipos de letra referenciados en el libro y si no están ya incrustados, los busca en el equipo y los incrusta en el el libro, si los encuentra. Haga el favor de asegurarse de que tiene los permisos necesarios para incrustar tipos de letra con licencia comercial antes de hacerlo."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Reducir tipos de letra incrustados"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -566,11 +566,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr "Se accede a través de :guilabel:`Herramientas > Reducir tipos de letra`, esta herramienta reduce todos los tipos de letra incrustados en el libro para que contengan sólo los glifos necesarios para el texto realmente presente en el libro. Normalmente esto reduce el tamaño de los archivos de tipo de letra en alrededor del 50%. Sin embargo, tenga en cuenta que una vez reducidos los tipos de letra, si añade nuevo texto cuyos caracteres no estaban previamente presentes en el tipo de letra reducido, el tipo de letra no funcionará para el nuevo texto. Así que realice esta acción solamente en el último paso del trabajo."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Corregir puntuación"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -579,40 +579,40 @@ msgid ""
 "punctuation`."
 msgstr "Convertir guiones sencillos, puntos suspensivos, comillas, guiones múltiples, etc. en sus equivalentes tipográficos correctos. Tenga en cuenta que el algoritmo a veces puede generar resultados incorrectos, especialmente cuando se encuentran comillas simples al inicio de las contracciones. Se accede a través de :guilabel: `Herramientas > Mejorar puntuación`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr "Transformar propiedades CSS"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr "Crear reglas para transformar el estilo del libro. Por ejemplo, crear una regla que convierta todo el texto rojo a verde, o duplicar el tamaño de letra de todo el texto del libro, o poner en cursiva todo el texto en determinado tipo de letra, etc."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr "Crear las reglas es sencillo, las reglas tienen un formato de idioma natural, de esta manera:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr "Si la propiedad *color* es *red* *cambiar* a *verde*"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr "Si la propiedad *font-size* es *cualquier valor* *multiplicar* el valor por *2*"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr "Se accede a través de :guilabel:`Herramientas > Transformar estilos`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Eliminar reglas CSS sin usar"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -621,11 +621,11 @@ msgid ""
 " unused CSS`."
 msgstr "Eliminar todas las reglas sin usar de las hojas de estilo y etiquetas <style>. Algunos libros creados a partir de plantillas de producción pueden contener un gran número de reglas CSS innecesarias que no afectan a ningún contenido del libro. Estas reglas adicionales pueden ralentizar los lectores, que necesitan procesarlas todas. Accesible en :guilabel:`Herramientas > Eliminar CSS sin usar`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Corregir HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -637,11 +637,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr "Esta herramienta no hace más que convertir un HTML que no puede procesarse como XML a XML correcto. Es muy frecuente que los libros electrónicos contengan XML defectuoso, por lo que que esta herramienta automatiza la corrección de dicho código. La herramienta funciona procesando el HTML con el algoritmo HTML5 (el algoritmo usado en todos los navegadores modernos) y convirtiendo el resultado en XML. Tenga en cuenta que la corrección automática puede tener a veces resultados contraintuitivos. Si lo prefiere, puede usar la herramienta :guilable:`Comprobar libro`, discutida anteriormente, para buscar y corregir manualmente problemas en el HTML. Se activa en :guilabel:`Herramientas > Corregir HTML`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Embellecer archivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -651,7 +651,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr "Esta herramienta se utiliza para dar formato automático a todos los archivos HTML y CSS para que «se vean atractivos». El código se sangra automáticamente para que esté bien alineado, se insertan líneas en blanco donde sea apropiado, etc. Tenga en cuenta que este embellecimiento también corrige automáticamente código HTML o CSS incorrecto. Por lo tanto, si no quiere que se lleve a cabo ninguna corrección automática, utilice primero la herramienta :guilabel:`Comprobar libro` para corregir todos los problemas y sólo entonces ejecute esta acción. Se accede a través de :guilabel:`Herramientas > Embellecer todos los archivos`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -665,11 +665,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr "En HTML, cualquier texto puede tener espacios significativos por medio de la directriz CSS «white-space». Por lo tanto, el embellecimiento puede alterar potencialmente cómo se muestra el HTML. Para evitarlo tanto como sea posible, el algoritmo de embellecimiento sólo modifica etiquetas de bloque que contienen otras etiquetas de bloque. Por ejemplo, el texto dentro de una etiqueta <p> no verá sus espacios alterados. Pero una etiqueta <body> que contiene sólo etiquetas <p> y <div> será embellecida. Esto significa que a veces un archivo concreto no se verá afectado por el embellecimiento al no tener etiquetas de bloque que cumplan las condiciones. En tales casos puede probar otras herramientas de embellecimiento que toman menos precauciones, como: `HTML Tidy <https://infohound.net/tidy/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr "Insertar un índice en línea"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -678,7 +678,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr "Normalmente en los libros electrónicos, el índice es independiente del texto principal y por lo general se accede a través de un botón o menú de índice en el dispositivo de lectura. También puede hacer que calibre genere automáticamente un índice que sea parte del texto del libro. Éste se genera de acuerdo al índice actualmente ya definido."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -686,11 +686,11 @@ msgid ""
 "Contents`."
 msgstr "Si utiliza esta herramienta varias veces, en cada ocasión se sustituirá el Índice creado previamente. La herramienta está accesible en :guilabel:`Herramientas > Índice > Insertar un Índice explícito`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr "Establecer conceptos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -701,11 +701,11 @@ msgid ""
 "semantics`."
 msgstr "Esta herramienta se usa para establecer *conceptos* en archivos EPUB. Los conceptos son simplemente enlaces en el archivo OPF que identifican ciertas ubicaciones en el archivo con ciertos significados. Puede usarlos para identificar el prefacio, dedicatoria, portada, índice, etc. Elija el tipo de concepto que quiere especificar y luego seleccione la ubicación del libro adonde debe apuntar el enlace. A esta herramienta se accede a través de :guilabel:`Herramientas > Establecer concepto`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr "Filtrar información de estilo"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -716,22 +716,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr "Esta herramienta puede usarse para eliminar determinadas propiedades de estilo CSS de todo el libro. Puede indicarle qué propiedades quiere eliminar, por ejemplo: ``color, background-color, line-height``, y las eliminará de cualquier lugar donde apararezcan: hojas de estilo, etiquetas ``<style>`` y atributos ``style``. Una vez eliminada la información de estilo se mostrará un resumen de todos los cambios realizados, para que pueda ver qué ha cambiado exactamente. Se puede acceder a la herramienta en :guilabel:`Herramientas > Filtrar información de estilo`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr "Actualizar el código interno del libro"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr "Esta herramienta puede usarse para actualizar el código interno del libro, si es posible. Por ejemplo, actualizará libros EPUB 2 a EPUB 3. Puede accederse a esta herramienta en :guilabel:`Actualizar código del libro`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Hitos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -740,13 +740,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr "Los :guilabel:`Hitos` son una forma de marcar el estado actual del libro como «especial». Después hacer todos los cambios que quiera en el libro, y si no está satisfecho con el resultado, puede volver al estado marcado. Los hitos se crean automáticamente cada vez que ejecuta alguna de las herramientas automáticas descritas en la sección anterior."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr "Puede crear un hito en :guilabel:`Editar > Crear hito`. Y volver a un hito anterior con :guilabel:`Editar > Revertir a...`"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -754,7 +754,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr "El uso de hitos es adicional al mecanismo normal de deshacer y rehacer al modificar archivos individuales. Los hitos son especialmente útiles cuando los cambios se extienden por varios archivos del libro o cuando quiere poder revertir un grupo de modificaciones de una vez."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -764,11 +764,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr "Puede ver una lista de los hitos disponibles en :guilabel:`Ver > Hitos`. Puede comparar el estado actual del libro con un hito específico con la herramienta :ref:`diff`, seleccionando el hito de interés y pulsando el botón :guilabel:`Comparar`. El botón :guilabel:`Revertir a` restaura el libro al hito seleccionado, deshaciendo todos los cambios desde que se creó el hito."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr "El panel de previsualización en vivo"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -781,7 +781,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr "La :guilabel:`Vista previa de archivo` le proporciona un resumen de los archivos contenidos. El panel de vista previa en vivo le muestra en vivo los cambios realizados (con uno o dos segundos de retraso). Según modifique los archivos HTML o CSS, el panel de vista previa se actualizará automáticamente para reflejar los cambios. Cuando mueva el cursor en el editor, el panel de vista previa seguirá su ubicación, mostrando la posición correspondiente en el libro. Al pulsar sobre el panel de vista previa, el cursor en el editor se colocará sobre el elemento que haya pulsado. Si pulsa en un enlace que apunte a otro archivo del libro se abrirá automáticamente ese archivo en el editor y el panel de vista previa."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -790,7 +790,7 @@ msgid ""
 "render."
 msgstr "Puede desactivar la sincronización automática de la posición y vista previa en vivo de los cambios, por medio de los botones bajo el panel de vista previa. La actualización en vivo del panel de vista previa sólo ocurre cuando no se está escribiendo activamente en el editor, a fin de no crear una distracción o reducir la velocidad mientras se espera a que se genere la vista previa."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -802,18 +802,18 @@ msgid ""
 "software emulator."
 msgstr "El panel de vista previa muestra el aspecto que tendrá el texto al ser visualizado. No obstante, el panel de vista previa no puede sustituir una comprbación en un dispositivo de lectura real. Es, a la vez, más y menos potente que un dispositivo real. Admitirá errores y código incorrecto mucho más fácilmente que la mayoría de los dispositivos de lectura. Por otro lado, no mostrará márgenes o saltos de página, o tipos de letra incrustados que usen nombres de sustitución. Use el panel de vista previa mientras trabaja en el libro, pero cuando haya concluido revíselo en un dispositive de lectura real o en un emulador."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr "El panel de vista previa no admite fuentes incrustadas si el nombre de la fuente dentro del código del archivo no coincide con el nombre de la regla CSS @font-face. Puede utilizar la herramienta Comprobar libro para encontrar y corregir rápidamente cualquier fuente con dichos problemas."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "Dividir archivos HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -824,14 +824,14 @@ msgid ""
 "be performed."
 msgstr "Un uso quizá no evidente del panel de vista previa es dividir archivos HTML largos. Mientras visualiza el archivo que quiere dividir, pulse el botón :guilabel:`modo de división`, bajo el panel de vista previa |spmb|. Luego mueva el ratón al lugar donde quiere dividir el archivo y pulse. Aparecerá una línea verde gruesa en el lugar exacto donde ocurrirá la división según mueva el ratón. Una vez que haya encontrado la ubicación que desee, pulse y se efectuará la división."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr "Al dividir automáticamente el archivo se actualizarán todos los enlaces y referencias que apuntaban a la segunda porción del archivo y se abrirá el archivo recién dividido en un editor."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -840,11 +840,11 @@ msgid ""
 "on."
 msgstr "También puede dividir un único archivo HTML en múltiples ubicaciones de manera automática, pulsando con el botón derecho en el editor y eligiendo :guilabel:`Dividir en múltiples ubicaciones`. Esto le permite dividir un archvo grande en todas las etiquetas de encabezado, o todas las etiquetas que tienen una determinada clase, o alguna otra condición."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "El panel de CSS en vivo"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -852,7 +852,7 @@ msgid ""
 "rules."
 msgstr "El panel :guilabel:`CSS en vivo` muestra todas las reglas de estilo que se aplican a la etiqueta que está editando actualmente. Se muestra el nombre de la etiqueta, junto con su número de línea, seguido de una lista de reglas de estilo coincidentes."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -861,30 +861,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr "Es una manera excelente de ver rápidamente qué reglas de estilo se aplican a cualquier etiqueta. La vista también posee enlaces activos (en azul), que llevan directamente a la ubicación donde se define el estilo, en caso de que desee realizar algún cambio en las reglas de estilo. Se muestran las reglas de estilo que se aplican directamente a la etiqueta, así como las reglas que se heredan de las etiquetas superiores."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr "El panel también muestra los estilos calculados finales para la etiqueta. Las propiedades en la lista que son reemplazadas por reglas de mayor prioridad se muestran tachadas."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr "Puede habilitar el panel de CSS en vivo en :guilabel:`Ver > CSS en vivo`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr "Herramientas variadas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr "Existen algunas herramientas más que pueden ser útiles mientras se modifica un libro."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr "La vista del Índice"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -893,15 +893,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr "La vista de Índice le muestra el índice actual del libro. Pulsando dos veces sobre una entrada se abre la ubicación a la que apunta la entrada en un editor. Puede pulsar con el botón derecho para modificar el Índice, refrescar la vista o expandir o contraer todos los elementos. Acceda a esta vista en :guilabel:`Vista -> Índice`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Comprobar la ortografía en el libro"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr "Puede ejecutar un corrector ortográfico en :guilabel:`Herramientas > Comprobar ortografía`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -912,14 +912,14 @@ msgid ""
 "English::"
 msgstr "Las palabras se muestran con el número de veces que aparecen en el libro y el idioma al que pertenecen. La información del idioma se extrae de los metadatos del libro y de los atributos ``lang`` en los archivos HTML. Esto permite que la comprobación de ortografía funcione incluso con libros que contienen texto en varios idiomas. Por ejemplo, en el siguiente fragmento HTML la palabra «color» se comprobará como inglés americano, y «colour» como inglés británico."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr "Puede pulsar dos veces sobre una palabra para resaltar la siguiente aparición de esta palabra en el editor. Esto es útil si desea modificar la palabra manualmente, o ver en qué contexto se encuentra."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -929,7 +929,7 @@ msgid ""
 "menu."
 msgstr "Para cambiar una palabra, simplemente pulse dos veces en una de las alternativas sugeridas a la derecha, o escriba su propia sugerencia correcta y pulse en el botón :guilabel:`Cambiar la palabra seleccionada a`. Esto sustituirá todas las apariciones de esta palabra en el libro. También puede pulsar con el botón derecho sobre una palabra en la lista principal de palabras para cambiar la palabra directamente desde el menú emergente."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -938,7 +938,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr "Puede hacer que la comprobación de ortografía ignore una palabra durante la sesión actual pulsando en el botón :guilabel:`Ignorar`. También puede añadir una palabra al diccionario de usuario pulsando en el botón :guilabel:`Añadir palabra al diccionario`. La comprobación de ortografía permite usar varos diccionarios de usuario, por lo que puede elegir a qué diccionario quiere añadir la palabra."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -946,7 +946,7 @@ msgid ""
 "individual words."
 msgstr "También puede hacer que el corrector ortográfico muestre todas las palabras del libro, no sólo las escritas incorrectamente. Esto es útil para ver qué palabras son las más frecuentes en el libro y ejecutar una simple búsqueda y sustitución de ciertas palabras."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -954,11 +954,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr "Si realiza cambios en el libro modificando los archivos mientras la herramienta de corrección ortográfica está abierta, debe pulsar en el botón :guilabel:`Actualizar` en la herramienta de corrección ortográfica. Si no lo hace y continúa utilizando la herramienta de corrección ortográfica, podría perder los cambios realizados en el editor."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Añadir nuevos diccionarios"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -968,11 +968,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr "El corrector ortográfico viene con diccionarios predefinidos para los idiomas inglés y español. Puede instalar sus propios diccionarios mediante :guilabel:`Preferencias > Editor > Administrar diccionarios de ortografía`. El corrector ortográfico puede utilizar diccionarios del programa LibreOffice (con el formato .oxt). Puede descargar estos diccionarios desde el `repositorio de extensiones de LibreOffice <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Insertar caracteres especiales"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -983,7 +983,7 @@ msgid ""
 "Search and replace tool."
 msgstr "Puede insertar caracteres que son difíciles de teclear mediante la herramienta :guilabel: `Edición > Insertar carácter especial`. Esto muestra todos los caracteres Unicode, simplemente pulse en el carácter que desea escribir. Si mantiene pulsada la tecla :kbd:`Ctrl` mientras pulsa, la ventana se cerrará después de insertar el carácter seleccionado. Esta herramienta se puede utilizar para insertar caracteres especiales en el texto principal o en cualquier otra área de la interfaz de usuario, como la herramienta de búsqueda y sustitución."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -994,7 +994,7 @@ msgid ""
 "favorites around."
 msgstr "Debido a que hay una gran cantidad de caracteres, puede definir sus propios caracteres :guilabel:`Favoritos`, que se mostrarán en primer lugar. Pulse con el botón derecho sobre un carácter para marcarlo como favorito. También puede pulsar con el botón derecho sobre un carácter en los favoritos para quitarlo de la lista. Por último, se puede volver modificar el orden de los caracteres favoritos pulsando en el botón :guilabel:`Reordenar los favoritos` y luego arrastrando y soltando los caracteres en favoritos."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1005,7 +1005,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr "También puede escribir directamente caracteres especiales mediante el teclado. Para ello, escriba el código Unicode para el carácter (en hexadecimal) y luego presione :kbd:`Alt+X`, lo que convertirá el código previamente escrito en el carácter correspondiente. Por ejemplo, para escribir «ÿ» debería escribir «ff» y luego pulsar :kbd:`Alt+X`. Para escribir un espacio duro debería usar «a0» y luego :kbd:`Alt+X`, para escribir puntos suspensivos horizontales debería usar «2026» y :kbd:`Alt+X`, y así sucesivamente."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1013,11 +1013,11 @@ msgid ""
 "colon."
 msgstr "Por último, puede escribir caracteres especiales mediante el uso de las entidades con nombr HTML. Por ejemplo, si escribe «&nbsp;» sustituido por un espacio duro al introducir el punto y coma. La sustitución ocurre sólo cuando se escribe el punto y coma."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr "La vista del inspector de código"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1029,11 +1029,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr "Esta vista muestra el código HTML y CSS que se aplica al actual elemento de interés. Se abre pulsando con el botón derecho sobre una ubicación en el panel de vista previa y seleccionando :guilabel:`Inspeccionar`. Le permite ver el código HTML para ese elemento y lo más importante, los estilos CSS que se aplican al mismo. Incluso puede editar dinámicamente los estilos y ver qué efecto tienen los cambios al instante. Tenga en cuenta que la edición de los estilos en realidad no realiza cambios en el contenido del libro, sólo permite una experimentación rápida. La capacidad de modificación en tiempo real del inspector está en desarrollo."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Comprobar enlaces externos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1041,11 +1041,11 @@ msgid ""
 "for you to fix."
 msgstr "Puede usar esta herramienta para comprobar todos los enlaces del libro que apuntan a sitios externos. La herramienta intentará visitar todos los enlaces y, si falla, informará de todos los enlaces rotos de manera que sea sencillo corregirlos."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr "Descargar recursos externos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1054,11 +1054,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr "Puede utilizar esta herramienta para descargar automáticamente cualquier imagen, hoja de estilo, etc. del libro que no esté incluida en él (es decir, que tenga un URL referido a una ubicación en Internet). La herramienta encontrará todos estos recursos, los descargará automáticamente, los añadirá al libro y sustituirá todas las referencias para que se utilicen los archivos descargados."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr "Organizar archivos en carpetas por tipo"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1068,11 +1068,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr "A menudo, al modificar archivos EPUB obtenidos de alguna parte, verá que los archivos dentro del EPUB están organizados arbitrariamente en diferentes subcarpetas. Esta herramienta le permite mover automáticamente todos los archivos a carpetas según su tipo. Se accede en :guilabel:`Herramientas > Disponer en carpetas`. Tenga en cuenta que esta herramienta sólo cambia la organización de los archivos dentro del EPUB, no cambia la forma en que se muestran en el Explorador de archivos."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr "Importar archivos en otros formatos de libro electrónico como EPUB"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1081,11 +1081,11 @@ msgid ""
 " as a new book`."
 msgstr "El editor incluye la habilidad de importar archivos en otros formatos de libro electrónico directamente como un nuevo EPUB, sin requerir una conversión total. Esto es particularmente útil para crear archivos EPUB a partir de archivos HTML editados a mano. Puede hacer esto por medio de :guilabel:`Archivo > Importar un archivo HTML o DOCX como un libro nuevo`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "La herramienta de Informes"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1097,31 +1097,31 @@ msgid ""
 "where the link points."
 msgstr "El editor incluye una útil herramienta de *Informes* (en :guilabel:`Herramientas > Informes`) que muestra resúmenes de los archivos, imágenes, enlaces, palabras, caracteres y estilos usados en el libro. Cada línea del informe es activa. Al pulsar dos veces en una línea se salta al lugar del libro donde se usa o define (según sea más apropiado) el elemento. Por ejemplo, en la vista de :guilabel:`Enlaces`, puede pulsar dos veces en la columna :guilabel:`Origen` para saltar al lugar donde se define el enlace y en las entradas de la columna :guilabel:`Destino` para saltar a donde apunta el enlace."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Características especiales del editor de código"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr "El editor de HTML de calibre es muy potente. Tiene muchas funciones que facilitan la modificación de HTML (y CSS)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Resaltado de sintaxis"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr "El editor HTML tiene un resaltado de sintaxis muy sofisticado. Sus características incluyen:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr "El texto dentro de etiquetas de negrita, cursiva o cabeceras se muestra en negrita o cursiva"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1129,55 +1129,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr "Al mover el cursor por el código HTML, las etiquetas HTML emparejadas se destacan y puede ir directamente a la etiqueta de apertura o cierre con los atajos de teclado :kbd:`Ctrl+{` y :kbd:`Ctrl+}`. De manera similar, puede seleccionar el contenido de una etiqueta con :kbd:`Ctrl+Alt+T`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "El código HTML no válido se subraya en rojo"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr "Los problemas de ortografía en el texto dentro de las etiquetas HTML y en atributos como «title» se resaltan. La comprobación de ortografía detecta el idioma especificado en el atributo «lang» de la etiqueta actual y el idioma global del libro."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr "El código CSS dentro de etiquetas ``<style>`` también se resalta"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr "Los caracteres especiales que pueden ser indistinguibles, como espacios duros, diferentes tipos de guiones y rayas, etc., se resaltan"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr "Los enlaces a otros archivos en etiquetas ``<a>``, ``<img>`` y ``<link>`` tienen el nombre de archivo resaltado. Si el archivo al que apuntan no existe, el nombre se subraya en rojo."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Ayuda sensible al contexto"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr "Puede pulsar con el botón derecho sobre cualquier nombre de etiqueta o de propiedad CSS para obtener ayuda para esa etiqueta o propiedad."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr "También puede mantener pulsada la tecla :kbd:`Ctrl` y pulsar sobre cualquier nombre de archivo en una etiqueta de enlace para abrir dicho archivo automáticamente en el editor."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Completado automático"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1185,7 +1185,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr "Al modificar un libro, una de las tareas más engorrosas es crear enlaces a otros archivos dentro del libro, a hojas de estilo CSS o a imágenes. Debe encontrar el nombre y ubicación relativa correctos para el archivo. El editor tiene una función de completado automático para hacerlo más sencillo."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1195,7 +1195,7 @@ msgid ""
 "the right anchor."
 msgstr "Según teclea un nombr de archivo, el editor muestra sugerencias automáticas. Use la tecla :kbd:`Tab` para seleccionar el nombre correcto. El editor también ofrece sugerencias para enlaces que apuntan a un punto de anclaje dentre de otro archivo HTML. Después de introducir el carácter ``#``, el editor mostrará una lista de todos los puntos de anclaje en el archivo de destino, con un pequeño fragmento de texto para ayudarle a elegir el punto de anclaje correcto."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1207,11 +1207,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr "Tenga en cuenta que, a diferencia de la mayoría de sistemas de completado, el sistema usa una correspondencia de subsecuencias. Esto significa que puede teclear sólo dos o tres letras de cualquier parte del nombre de archivo para completarlo. Por ejemplo, supongamos que quiere el nombre de archivo ``../imagenes/flecha1.png``, puede teclear simplemente ``if1`` y pulsar :kbd:`Tab` para completar el nombre de archivo. Al buscar coincidencias, el sistema de completado da prioridad a las letras que están al inicio de una palabra, o justo detras de un separador de ruta. Cuando se acostumbre a este sistema, notará que ahorra mucho tiempo y esfuerzo."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Fragmentos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/es/faq.po 5.10.0+dfsg-1/translations/manual/es/faq.po
--- 5.9.0+dfsg-3/translations/manual/es/faq.po	2021-01-06 15:34:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es/faq.po	2021-01-20 15:29:03.000000000 +0000
@@ -15,7 +15,7 @@
 # Francisco M Lucas Hernández, 2015
 # bc924fe90c926b8dcada96887d40a4a2_902251c <c6d7b347af3e36c88d0308bb5d051bc6_321112>, 2015
 # Irene Antolín <ireneantper@gmail.com>, 2015
-# Jellby <jellby@yahoo.com>, 2014-2020
+# Jellby <jellby@yahoo.com>, 2014-2021
 # jorge Barreto <jbarretoy@gmail.com>, 2015
 # Miguel Esquirol <miguelesquirol@gmail.com>, 2016
 # Milagro <mb.riverarojas@gmail.com>, 2015
@@ -26,9 +26,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 09:30+0000\n"
+"Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -65,10 +65,10 @@ msgstr "calibre soporta la conversión d
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Formatos de entrada:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr "*Formatos de entrada:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -185,8 +185,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -426,7 +426,7 @@ msgid ""
 msgstr "Si trata de conectar un Kindle Fire HD u otro dispositivo Android, lea la nota en :ref:`android_usb`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -822,8 +822,8 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
-msgstr "Ni el Kindle ni el Nook proporcionan ninguna manera de manipular colecciones mediante una conexión USB. Si realmente quiere usar colecciones, le recomendaría que vendiera su Kindle o Nook y se hiciera de un Kobo. Sólo Kobo parece entender que la vida es demasiado corta para introducir las colecciones una a una en la pantalla del dispositivo :)"
+"an e-ink screen 😇"
+msgstr "Ni el Kindle ni el Nook proporcionan ninguna manera de manipular colecciones mediante una conexión USB. Si realmente quiere usar colecciones, le recomendaría que vendiera su Kindle o Nook y se hiciera de un Kobo. Sólo Kobo parece entender que la vida es demasiado corta para introducir las colecciones una a una en la pantalla del dispositivo 😇"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
 msgid ""
@@ -956,7 +956,7 @@ msgid ""
 msgstr "Los libros enviados al Kindle sólo aparecen en el Kindle una vez que éste los ha *indexado*. Esto puede llevar algún tiempo. Si el libro sigue sin aparecer al cabo de unos minutos, es posible que el indexador del Kindle hay fallado. A veces un libro particular puede hacer que el indexador falle. Por desgracia, Amazon no proporciona ninguna forma de saber qué libro causa el fallo. El único recurse es reiniciar el Kindle o borrar todos los archivos de su memoria con el explorador de Windows (o el administrador de archivos que utilice) y volver a enviar los libros, uno a uno, hasta descubrir el libro problemático. Una vez localizado el libro, bórrelo del Kindle, haga una conversión de MOBI a MOBI o de MOBI a AZW3 en calibre y envíelo de nuevo. Muy probablemente esto solucione el problema."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr "Gestión de la biblioteca"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1638,12 +1638,27 @@ msgid ""
 msgstr "La única manera de encontrar el culpable es eliminar los programas uno por uno y ver cuál está causando el problema. Básicamente, detenga un programa, ejecute calibre, verifique si hay problemas. Si se siguen sucediendo, detenga otro programa y repita."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr "Ni el visor ni la herramienta de modificación de libros electrónicos de calibre funcionan e Windows"
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr "Estos dos programas usan aceleración por hardware, pues incorporan una versión del navegador Chrome para mostrar el HTML. Si no funcionan, será debido a alguna incompatibilidad con los controladores gráficos (GPU) del sistema. Pruebe a actualizarlos y reiniciar el equipo. Si no se soluciona, puede establecer la variable de entorno ``QTWEBENGINE_CHROMIUM_FLAGS`` al valor ``--disable-gpu`` para desactivar la aceleración por hardware. Vea `esta página <https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ (en inglés) para más detalles."
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr "Al usar el visor o realizar una conversión aparece un error de permiso denegado en Windows."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1654,7 +1669,7 @@ msgid ""
 " full control for this folder."
 msgstr "Algo en el equipo está impidiendo que calibre acceda a sus propios archivos temporales. Lo más probable es que los permisos de la carpeta Temp sean incorrectos. Vaya a la carpeta :file:`C:\\\\Users\\\\NOMBREDEUSUARIO\\\\AppData\\\\Local` en el Explorador de Windows pulse con el botón derecho sobre la carpeta :file:`Temp`, seleccione :guilabel:`Propiedades` y vaya a la pestaña :guilabel:`Seguridad`. Asegúrese de que su cuenta de usuario tiene control total para esta carpeta."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1663,22 +1678,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr "Algunos usuarios han informado de que la ejecución en una terminal de Administrador de la orden siguiente arregla sus permisos. Para acceder a una terminal de Administrador busque `cmd.exe` en el menú de inicio, pulse con el botón derecho en la entrada de símbolo del sistema y seleccione :guilabel:`Ejecutar como Administrador`. En el símbolo del sistema, escriba la siguiente orden y pulse Intro::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr "Otra opción es ejecutar calibre en modo Administrador, pero esto hará que algunas funciones, como arrastrar y soltar, no funcionen."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr "Por último, algunos usuarios han informado de que desactivar UAC soluciona el problema."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr "calibre no se inicia o se detiene en macOS"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1688,14 +1703,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr "Una causa frecuente de fallos en macOS es el uso de tecnologías de accesibilidad no compatibles con las herramientas gráficas que usa calibre. Pruebe a desactivar VoiceOver si lo tiene activado. También vaya a :guilabel:`Preferencias > Sistema > Acceso universal` y desactive la opción para permitir el acceso a dispositivos de ayuda en todas las pestañas. Otra causa puede ser el uso de herramientas de terceros que modifican el comportamiento del sistema, como Smart Scroll."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr "Puede obtener una salida de depuración sobre la causa de calibre no se inicie ejecutando `Console.app`. La salida de depuración se escribirá ahí. Si la salida de depuración contiene algo similar a::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1706,11 +1721,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr "entonces el problema es probablemente un caché de tipos de letra dañado. Puede borrar el caché siguiendo estas `instrucciones <https://www.macworld.com/article/1139383/fontcacheclear.html>`_ (en inglés).  Si eso no lo resuelve, busque un archivo de tipo de letra dañado en su sistema, en file:`~/Library/Fonts` o similar. Una forma sencilla de buscar tipos de letra dañados en macOS es iniciar la aplicación «Font Book», seleccione todos los tipos de letra y luego en el menú :guilabel:`Archivo`, elija :guilabel`Validar tipos de letra`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "He descargado el instalador, pero no funciona."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1720,26 +1735,26 @@ msgid ""
 "it from running."
 msgstr "Las descargas de Internet pueden resultar corruptas en ocasiones. Si el instalador de calibre que ha descargado no se abre, pruebe a descargarlo de nuevo. Si esto no funciona, descárguelo de una `ubicación alternativa <https://github.com/kovidgoyal/calibre/releases/latest>`_. Si aún no funciona, algo en el equipo está evitando que se ejecute."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr "Pruebe deshabilitar temporalmente el programa antivirus (Microsoft Security Essentials, Kaspersky, Norton, McAfee o el que sea). Éste es probablemente el culpable de que el proceso de actualización se cuelgue a la mitad."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr "Igualmente, si el instalador falla y está ejecutando Microsoft PowerToys, ciérrelo."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr "Intente reiniciar el equipo y ejecutar un limpiador del registro como `Wise registry cleaner <https://www.wisecleaner.com>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1747,13 +1762,13 @@ msgid ""
 " settings."
 msgstr "Pruebe una instalación limpia. Esto es, desinstale calibre, elimine :file:`C:\\\\Program Files\\\\Calibre2` (o donde previamente haya decidido instalar calibre). Después reinstale calibre. Tenga en cuenta que la desinstalación no afecta a sus libros o configuraciones."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr "Pruebe a descargar el instalador desde otro navegador. Por ejemplo, si está usando Internet Explorer, pruebe con Firefox o Chrome en su lugar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1763,7 +1778,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr "Si obtiene un error sobre un archivo DLL que falta en Windows, lo más probable es que los permisos de la carpeta temporal sean incorrectos. Vaya a la carpeta :file:`C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local` en el Explorador de Windows, pulse con el botón derecho sobre la carpeta :file:`Temp` y seleccione :guilabel:`Propiedades` y vaya a la pestaña :guilabel:`Seguridad`. Asegúrese de que su cuenta de usuario tiene control total para esta carpeta."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1771,11 +1786,11 @@ msgid ""
 " a zip file)."
 msgstr "Si aun así no consique que funcione el instalador y está en Windows, puede usar la `instalación portable de calibre <https://calibre-ebook.com/download_portable>`_, que no necesita instalación (es sólo un archivo zip)."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Mi programa antivirus dice que calibre es un virus o un troyano"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1784,7 +1799,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr "Lo primero que debe comprobar es que está descargando calibre desde la web oficial: `<https://calibre-ebook.com/download>`_. Asegúrese de que pulsa en los enlaces de descarga a la izquierda, no en los anuncios de la derecha. calibre es un programa muy popular y la gente sin escrúpulos crea sitios web ofrefiendo su descarga para engañar a los incautos."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1798,11 +1813,11 @@ msgid ""
 " and then re-enable it."
 msgstr "Si tiene la descarga oficial y su programa antivirus todavía dice que calibre es un virus, entonces es el programa antivirus el que está equivocado. Los programas antivirus utilizan heurística para detectar virus, patrones de código que «parecen sospechosos». Es algo así como la discriminación racial. calibre es un producto de código completamente abierto. En realidad puede ver el código fuente (o contratar a alguien para que lo haga por usted) para verificar que no es un virus. Por favor, informe de la identificación incorrecta a la compañía de la que obtenga el programa antivirus. Si el programa antivirus es el que impide la descarga o instalación de calibre, desactívelo temporalmente, instale calibre y luego vuelva a activarlo."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "¿Cómo hago copias de respaldo de calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1811,7 +1826,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr "Lo más importante para la copia de seguridad es la carpeta de la biblioteca de calibre, que contiene todos los libros y los metadatos. Ésta es la carpeta que eligió para la biblioteca de calibre cuando ejecutó calibre por primera vez. Puede obtener la ruta a la carpeta de la biblioteca pulsando sobre el icono de calibre en la barra de herramientas principal. Debe crear una copia de seguridad de esta carpeta con todos sus archivos y subcarpetas."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1819,7 +1834,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr "Puede hacer que calibre cambie a una copia de la carpeta de la biblioteca sin más que pulsar sobre el icono de calibre en la barra de herramientas y elegir la copia de la carpeta de biblioteca. Una copia de seguridad de la biblioteca contiene todas las columnas personalizadas y búsquedas guardadas, así como todos los libros y los metadatos."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1829,13 +1844,13 @@ msgid ""
 "directory to restore."
 msgstr "Si desea hacer copias de seguridad de los complementos y de la configuración de calibre, tiene que realizar una copia de seguridad del directorio de configuración. Puede encontrar este directorio en :guilabel:`Preferencias > Miscelánea`. Tenga en cuenta que la restauración de directorios de configuración no tiene soporte oficial, pero debería funcionar en la mayoría de los casos. Para restaurar sólo tiene que copiar el contenido del directorio de copia de seguridad en el directorio de configuración actual."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr "¿Cómo uso en calibre los libros EPUB comprados (o qué hago con los archivos .acsm)?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1848,44 +1863,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr "La mayoría de los libros en formato EPUB que se compran tienen :doc:`DRM <drm>`. Esto hace que calibre no pueda abrirlos. Puede seguir utilizando calibre para almacenarlos y transferirlos a un lector de libros electrónicos. En primer lugar, debe autorizar el lector en una máquina Windows con Adobe Digital Editions. Una vez hecho esto, los libros en formato EPUB transferidos con calibre no tendrán ningún problema en el lector. Cuando compra un libro epub desde un sitio web, recibirá un archivo «.acsm». Este archivo debe abrirse con Adobe Digital Editions, que descargará el libro en formato «.epub». El archivo de libro electrónico se guardará en la carpeta :file:`My Digital Editions`, desde donde se puede añadir a calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "Me sale un error de «Permiso denegado»"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr "Un error de denegación de permiso puede ocurrir por muchas razones, ninguna de ellas tiene nada que ver con calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr "Puede recibir errores de denegación de permiso si usa una tarjeta SD con la protección de escritura activada."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr "Si usted, o algún programa que haya usado, cambia los permisos de los archivos en cuestión a sólo lectura."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr "Si hay un error de sistema de archivos en el dispositivo que hace que el sistema operativo monte el sistema de archivos en modo de sólo lecutura o marque un archivo concreto como de sólo lectura con recuperación necesaria."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr "Si los archivos tienen un propietario distinto a su usuario."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Si el archivo está abierto en otro programa."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1893,18 +1908,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr "Si el archivo está ubicado en un dispositivo, puede que haya alcanzado el límite máximo de 256 archivos en el directorio raíz del dispositivo. En tal caso deberá formatear el dispositivo o tarjeta SD indicado por el mensaje de error con un sistema de archivos FAT32, o borrar algunos archivos archivos de la tarjeta SD o la memoria del dispositivo."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr "Tendrá que corregir la causa subyacente del error de permisos antes de volver a utilizar calibre. Lea el mensaje de error con cuidado para ver a qué archivo se refiere y arregle los permisos en ese archivo o las carpetas que lo contienen."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr "¿Puedo hacer que los metadatos de comentario se muestren en el lector?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1917,7 +1932,7 @@ msgid ""
 "that format to the same format."
 msgstr "La mayoría de los lectores no admiten esto. Debería presentar una queja ante el fabricante al respecto, y quizá si suficientes personas se quejan las cosas cambien en el futuro. Mientras tanto, puede insertar los metadatos, incluyendo comentarios, en una «sobrecubierta» al comienzo del libro, mediante el uso de la opción :guilabel:`Insertar metadatos en una página al principio del libro` durante la conversión. La opción se encuentra en la sección :guilabel:`Detección de estructura` de las opciones de conversión. Tenga en cuenta que para que esto tenga efecto debe *convertir* el libro. Si el libro ya está en un formato que no necesita conversión, puede convertir de ese formato al mismo formato."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1926,11 +1941,11 @@ msgid ""
 "to\" books on your reader."
 msgstr "Otra posibilidad es crear un catálogo en forma de libro electrónico que contenga un listado de todos los libro en la biblioteca de calibre, con sus metadatos. Pulse y mantenga pulsado el botón :guilabel:`Convertir` acceder a la herramienta de creación de catálogos. Y antes que lo pregunte, no, no puede hacer que el catálogo «enlace directamente a» los libros en el lector."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "¿Cómo hago que calibre utilice mi proxy HTTP?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1943,21 +1958,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr "De manera predeterminada, calibre utiliza la configuración de proxy establecida en el sistema operativo. A veces es incorrecta, por ejemplo, en Windows, si no utiliza Internet Explorer la configuración de proxy puede no estar actualizada. Se puede indicar a calibre usar un servidor proxy en particular mediante el establecimiento de las variables de entorno ``http_proxy`` y ``https_proxy``. El formato de la variable es: ``http://usuario:contraseña@servidor``. Debe pedirle a su administrador de red el valor correcto para esta variable. Tenga en cuenta que calibre sólo es compatible con servidores proxy HTTP, no con servidores SOCKS. Puede ver los proxies actualmente utilizados por calibre en :guilabel:`Preferencias > Miscelánea`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "Quiero que se añada una función a calibre. ¿Qué puedo hacer?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Tiene dos opciones:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr "Crear un parche modificando el código de calibre y enviarmelo para su revisión e inclusión. Vea `Desarrollo <https://calibre-ebook.com/get-involved>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1968,15 +1983,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr "`Abrir un informe de fallo para solicitar la función <http://calibre-ebook.com/bugs>`_. Recuerde que aunque pueda pensar que la función que solicita es muy importante o esencial, los desarrolladores de calibre pueden no estar de acuerdo. Por suerte, calibre es código abierto, lo que significa que siempre tiene la posibilidad de implementar la función por sí mismo o pagar a alguien que lo haga. Además, calibre tiene una arquitectura de complementos completa, por lo que puede desarrollar la función como un complemento, vea :ref:`pluginstutorial`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "¿Por qué calibre no se actualiza automáticamente?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Por muchos motivos:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1984,7 +1999,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*No hay necesidad de actualizarlo cada semana*. Si está contento con cómo funciona calibre desactive la notificación de actualizaciones y disfrute. Vuelva a comprobar si quiere actualizarlo cada año más o menos. Hay un casilla para desactivar la notificación de actualizaciones en la propia notificación de actualización."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1992,7 +2007,7 @@ msgid ""
 " which someone has to pay."
 msgstr "Las descargas actuales de calibre consumen `alrededor de 150 TB de ancho de banda al mes <https://calibre-ebook.com/dynamic/downloads>`_. Activar las descargas automáticas incrementaría este valor y acabaría costando miles de dólares al mes, que alguien tendría que pagar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -2000,25 +2015,25 @@ msgid ""
 " things to do in calibre development."
 msgstr "Si creo un cuadro de diálogo que descargue la actualización y la ejecute, en lugar de ir a la página web como ahora, eso ahorraría al más empedernido actualizador de calibre *como mucho cinco pulsaciones a la semana*. Hay cosas mucho más importantes que hacer en el desarrollo de calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr "Si realmente, de verdad odia descargar calibre todas las semanas, pero aún quiere estar a la última, le animo a ejecutar calibre a partir del código fuente, lo que hace que la actualización sea trivial. Las instrucciones están :ref:`disponibles aquí <develop>`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr "Hay actualizadores automáticos de calibre no oficiales, creados por usuarios de calibre, en el `foro de calibre <https://www.mobileread.com/forums/forumdisplay.php?f=238>`_ (en inglés)."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "¿Qué licencia tiene calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2031,30 +2046,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr "calibre está licenciado bajo la Licencia Pública General de GNU v3 (una licencia de código abierto). Esto significa que usted es libre de redistribuir calibre, siempre y cuando proporcione también el código fuente. Así que si quiere poner calibre en un CD con su producto, también debe poner el código fuente de calibre en el CD. El código fuente está disponible `para su descarga <https://download.calibre-ebook.com>`_. Es usted libre de utilizar los resultados de las conversiones de calibre como quiera. No puede utilizar ni el código o ni las librerías de calibre en su software sin hacer que su software de código abierto. Para más detalles, véase  `The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_ (en inglés)."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "¿Cómo ejecuto calibre desde una memoria USB?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Hay una versión portátil de calibre disponible `aquí <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr "¿Cómo ejecuto partes de calibre como la descarga de noticias o el servidor de contenido en mi propio servidor Linux?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr "En primer lugar, debe instalar calibre en el servidor Linux. Si el servidor usa una distribución moderna de Linux, no debe tener ningún problema para instalar calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2067,34 +2082,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr "calibre necesita GLIBC >= 2.18 y libstdc++ >= 6.0.21. Si tiene un servidor más antiguo tendrá que compilarlas a partir del código fuente o usar calibre 3.48, que requiere GLIBC &gt;= 2.17 o 2.85.1, que requiere GLIBC >= 2.13 o calibre 1.48, que requiere sólo GLIBC >= 2.10. Además, aunque las utilidades de línea de órdenes de calibre no necesitan un servidor X en ejecución, algunas de ellas necesitan que las bibliotecas de servidor X estén instaladas en el sistema. Esto es debido a Qt (que se usa para diversas tareas de procesado de imágenes), y enlaces con estas bibliotecas. Si obtiene un «ImportError» con respecto a algún módulo Qt, probablemente sea porque le falte alguna biblioteca X."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Puede ejecutar el servidor de calibre mediante la orden::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr "Puede descargar noticias y convertirlas en un libro electrónico con la orden::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "Si quiere generar un archivo MOBI, use outputfile.mobi y ``--output-profile kindle``."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "Puede enviar las noticias descargadas por correo electrónico con la orden::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr "La orden exacta la dejo como ejercicio para el lector."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Por último, puede añadir noticias descargadas a la biblioteca de calibre con::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/es/plugins.po 5.10.0+dfsg-1/translations/manual/es/plugins.po
--- 5.9.0+dfsg-3/translations/manual/es/plugins.po	2021-01-06 15:35:31.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es/plugins.po	2021-01-20 15:29:29.000000000 +0000
@@ -13,7 +13,7 @@
 # Darío Hereñú, 2018
 # Fernando Salazar, 2016
 # Jaime Marquínez Ferrándiz, 2016
-# Jellby <jellby@yahoo.com>, 2014-2020
+# Jellby <jellby@yahoo.com>, 2014-2021
 # j <jcn363@ikasle.aeg.es>, 2015
 # Jose11091 <josemanuellh@gmail.com>, 2015
 # Juana Perez Yanez <juanaperezyanez@gmail.com>, 2016
@@ -32,9 +32,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-10 08:56+0000\n"
+"Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -677,7 +677,7 @@ msgstr "Tipo de archivo de salida para e
 msgid ""
 "CLI parser options specific to this plugin, declared as `namedtuple` "
 "`Option`:"
-msgstr ""
+msgstr "Opciones del intérprete de línea de órdenes específicas de este complemento, declaradas como un `namedtuple` `Option`:"
 
 #: ../../__w/calibre/calibre/src/calibre/customize/__init__.pydocstring of
 #: calibre.customize.CatalogPlugin.cli_options:3
diff -pruN 5.9.0+dfsg-3/translations/manual/es/stats.json 5.10.0+dfsg-1/translations/manual/es/stats.json
--- 5.9.0+dfsg-3/translations/manual/es/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 2997,
-    "untranslated": 28
+    "translated": 3031,
+    "untranslated": 0
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/es/template_lang.po 5.10.0+dfsg-1/translations/manual/es/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/es/template_lang.po	2021-01-06 15:34:29.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es/template_lang.po	2021-01-20 15:28:45.000000000 +0000
@@ -14,9 +14,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 18:10+0000\n"
+"Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -182,7 +182,7 @@ msgid ""
 "syntax of these advanced formatting operations, look at the `Python "
 "documentation <https://docs.python.org/library/string.html#format-string-"
 "syntax>`."
-msgstr ""
+msgstr "El lenguaje de plantillas de calibre proviene de Python, para obtener más detalles sobre la sintaxis de estas operaciones de formato avanzadas, vea la `documentación de Python <https://docs.python.org/library/string.html#format-string-syntax>` (en inglés)."
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:110
 msgid "Using templates in custom columns"
@@ -501,7 +501,7 @@ msgid ""
 "nothing, not ``000``. If you really want to see ``000`` values, then you use"
 " both the format string and the ``ifempty`` function to change the empty "
 "value back to a zero. The field reference would be::"
-msgstr ""
+msgstr "Veamos ahora cómo usar funciones y format en el mismo campo. Supongamos que tiene una columna personalizada con números enteros llamada ``#myint``, que quiere mostrar con ceros a la izquierda, como en «003». Para conseguirlo usaría un formato de ``0>3s``. Sin embargo, de manera predeterminada, si un número (entero o decimal) es igual a cero, el campo produce un valor vacío, así que el valor cero no produce nada, no «000». Si realmente quiere ver los valores como «000», debe usar el texto de formato y la función ``ifempty`` para cambiar el valor vacío a cero de nuevo, la referencia al campo sería::"
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:242
 msgid ""
@@ -640,7 +640,7 @@ msgid ""
 "constant ``1``. The third parameter ``lt`` is a statement (more later). The "
 "fourth parameter ``eq`` is the constant string ``'eq'``. The fifth parameter"
 " is the constant string ``'gt'``."
-msgstr ""
+msgstr "La función ``cmp`` toma 5 argumentos ``(x, y, mn, ig, my)``. Compara ``x`` e ``y`` y devuelve el tercer argumento, ``mn`` si ``x < y``, el cuarto argumento, ``ig``, si ``x = y``, y el quinto argumento, ``my``, si ``x > y``. Como en todas las funciones, todos los parámetros pueden ser sentencias. En este caso el primer argumento (el valor de ``x``) es el resultado de dividir ``series_index`` entre 2. El segundo argumento, ``y``, es la constante ``1``. El tercer argumento, ``mn`` es una sentencia (volveremos a él más adelante). El cuarto parámetro, ``ig``, es el texto constante ``'eq'``. El quinto parámetro es el texto constante ``'gt'``."
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:322
 msgid ""
@@ -652,7 +652,7 @@ msgid ""
 " the ``c``'th character to the end. Since ``c`` always contains the constant"
 " ``1``, the substring will return the second through ``end``'th characters, "
 "or ``'t123'``."
-msgstr ""
+msgstr "El tercer argumento (el de ``mn``) es una sentencia, o una secuencia de expresiones. Recuerde que una sentencia (una secuencia de expresiones separadas por punto y coma) también es una expresión, que devuelve el valor de la última expresión de la lista. En este caso, el programa primero asigna el valor ``1`` a la variable local ``c``, después devuelve un subtexto creado extrayendo desde el carácter número ``c`` hasta el final. Puesto que ``c`` siempre contiene la constante ``1``, el subtexto devolverá los caracteres desde el segundo hasta el final, o ``'t123'``."
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:326
 msgid ""
@@ -716,9 +716,9 @@ msgstr "``and(valor, valor, ...)`` -- de
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
-msgstr "``add(x, y)`` -- devuelve `x` + `y`. Da un error si `x` o `y` no son números."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
+msgstr "``add(x, y, ...)`` -- devuelve la suma de sus argumentos. Da un error si algún argumento no es un número."
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
 msgid ""
@@ -811,7 +811,7 @@ msgid ""
 " storage location on a device has a different uuid. The location names are "
 "``'main'``, ``'carda'`` and ``'cardb'``. This function works only in the "
 "GUI."
-msgstr ""
+msgstr "``connected_device_uuid(ubicación_de_almacenamiento)`` -- si un dispositivo está conectado, entonces devuelve el uuid (identificador único) del dispositivo, de lo contrario devuelve un texto vacío. Cada ubicación de almacenamiento de un dispositivo tiene un uuid diferente. Los nombres de las ubicaciones son ``'main'``, ``'carda'`` y ``'cardb'``. Esta función sólo funciona en la interfaz gráfica."
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:381
 msgid ""
@@ -839,7 +839,7 @@ msgstr "``days_between(fecha1, fecha2)``
 msgid ""
 "``divide(x, y)`` -- returns ``x / y``. Throws an exception if either ``x`` "
 "or ``y`` are not numbers."
-msgstr ""
+msgstr "``divide(x, y)`` -- devuelve ``x / y``. Da un error si ``x`` o ``y`` no son números."
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:388
 msgid ""
@@ -858,6 +858,12 @@ msgstr "``field(nombre)`` -- devuelve el
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr "``field_exists(nombre_campo)`` -- comprueba si existe un campo (columna) llamado ``nombre_campo``, devuelve '1' si es así y '' si no."
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -867,14 +873,14 @@ msgid ""
 "same output as the above template::"
 msgstr "``finish_formatting(val, formato, prefijo, sufijo)`` -- aplica el `formato`, `prefijo` y `sufijo` a un valor de la misma manera que se haría en una plantilla como ``{series_index:05.2f| - |- }``. Esta función se proporciona para facilitar la conversión de plantillas complejas en modo de función única o de plantilla al :ref:`modo de programación general <general_mode>` (ver más adelante) y aprovechar la compilación de plantillas. Por ejemplo, el siguiente programa produce la misma salida que la plantilla anterior::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Otro ejemplo: para la plantilla ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` use::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -882,33 +888,33 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(val, cmp1, resultado1, cmp2, resultado2, ..., otro_resultado)`` -- compara ``val < cmpN`` consecutivamente y devuelve `resultadoN` para la primera comparación que sea cierta. Devuelve `otro_resultado` si ninguna comparación es cierta. Ejemplo::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "devuelve «\"large\"». El mismo ejemplo con un primer valor de 16 devuelve «\"giant\"»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty(valor, valor, ...)`` -- devuelve el primer valor que no esté vacío. Si todos los valores están vacíos, se devuelve también un valor vacío. Puede incluir tantos valores como quiera."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr "``floor(x)`` -- devuelve el mayor entero que es menor o igual a `x`. Da un error si `x` no es un número."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr "``format_date(val, formato_fecha)`` -- da formato a un valor, que debe ser un campo de fecha, según `formato_fecha` y devuelve un texto. Los códigos de formato son::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -917,7 +923,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr "Puede obtener resultados inesperados si la fecha a la que se da formato contiene nombres de meses traducidos, lo que puede ocurrir si ha modificado los ajustes de formato para incluir ``MMMM``. En este caso, en lugar de usar algo como ``{pubdate:format_date(yyyy)}``, escriba la plantilla usando el modo de programación de plantillas, como en ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -927,7 +933,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "formats_modtimes(formato_fecha) -- devuelve una lista de elementos (separados por dos puntos) separados por comas que representa las fechas de modificación para los formatos de un libro. El argumento `formato_fecha` especifica cómo se da formato a la fecha. Véase la función «format_date» para más detalles. Puede usar la función «select» para obtener la fecha de modificación de un formato específico. Tenga en cuenta que los nombres de formato siempre están en mayúsculas, como en «EPUB»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -935,7 +941,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- devuelve una lista separada por comas de elementos separados por dos puntos que representan la ruta completa a los formatos de un libro. Puede usar la función «select» para obtener la ruta a un formato específico. Tenga en cuenta que los nombres de formato están siempre en mayúsculas, como en «EPUB»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -943,27 +949,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- devuelve una lista de elementos (separados por dos puntos) separados por comas que representa los tamaños en bytes de los formatos de un libro. Puede usar la función «select» para obtener el tamaño de un formato específico. Tenga en cuenta que los nombres de formato siempre están en mayúsculas, como en «EPUB»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
-msgstr ""
+msgstr "``fractional_part(x)`` -- devuelve el valor tras el punto decimal. Por ejemplo, ``fractional_part(3.14)`` devuelve ``0.14``. Da un error si ``x`` no es un número."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
-msgstr ""
+msgstr "``has_cover()`` -- devuelve ``Yes`` si el libro tiene portada, en caso contrario devuelve un texto vacío."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(valor)`` -- devuelve el texto «1» si el valor está vacío, en caso contrario, devuelve un texto vacío. Esta función opera bien con «test» o «first_non_empty»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -971,7 +977,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(lista1, lista2, separador)`` -- devuelve una lista construida eliminando de `lista1` cualquier elemento que aparezca en `lista2`, sin distinguir mayúsculas y minúsculas. Los elementos de `lista1`  y `lista2` están separados por `separador`, así como los de la lista resultante."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -980,7 +986,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(lista1, sep1, lista2, sep2, val_sí, val_no)`` -- devuelve `val_sí` si `lista1` y `lista2` contienen los mismos elementos, en caso contrario devuelve  `val_no`. Los elementos se determinan dividiendo cada lista por el correspondiente carácter separador (`sep1` o `sep2`). El orden de los elementos no es relevante. La comparación no diferencia mayúsculas y minúsculas."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -988,7 +994,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(lista1, lista2, separador)`` -- devuelve una lista construida eliminando de `lista1` cualquier elemento que no aparezca en `lista2`, sin distinguir mayúsculas y minúsculas. Los elementos de `lista1`  y `lista2` están separados por `separador`, así como los de la lista resultante."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -998,7 +1004,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(lista_orig, separador, incluir, sust_opc)`` -- construye una lista separando primero `lista_orig` en elementos usando el carácter `separador`. Para cada elemento en la lista, comprueba si coincide con la expresión regular `incluir`. Si coincide, se añade a la lista final. Si `sust_opc` no es un texto vacío, se aplica la sustitución antes de añadir el elemento a la lista final."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1006,70 +1012,70 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(lista_orig, separador, incluir, búsqueda, plantilla_grupo_1, plantilla_grupo_2, ...)`` -- como ``list_re``, pero las sustituciones no son opcionales. Usa ``re_group(elemento, búsqueda, plantilla_grupo_1, ...)`` para hacer sustituciones.."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
 "ascending, otherwise descending. The list items are separated by separator, "
 "as are the items in the returned list."
-msgstr ""
+msgstr "``list_sort(lista, dirección, separador)`` -- devuelve ``lista`` ordenada sin distinción de mayúsculas y minúsculas. Si ``dirección`` es cero, la lista se ordena de manera ascendente, en caso contrario, de manera descendente. Los elementos de ``lista`` están separados por ``separador``, así como los de la lista resultante."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
 "insensitive comparison. If items differ in case, the one in ``list1`` is "
 "used. The items in ``list1`` and ``list2`` are separated by ``separator``, "
 "as are the items in the returned list."
-msgstr ""
+msgstr "``list_union(lista1, lista2, separador)`` -- devuelve una lista construida por combinación de los elementos en ``lista1`` y ``lista2``, eliminando los duplicados de ``lista2`` (no distingue mayúsculas y minúsculas, se mantiene la versión de ``lista1``). Los elementos de ``lista1`` y ``lista2`` están separados por ``separador``, así como los de la lista resultante."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
-msgstr ""
+msgstr "``mod(x)`` -- devuelve el resto de ``x / y``, donde ``x``, ``y`` y el resultado son enteros. Da un error si ``x`` o ``y`` no son números."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
-msgstr "``multiply(x, y)``-- devuelve `x` * `y`. Da una excepción si `x` o `y` no son números."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr "``multiply(x, y, ...)`` -- devuelve el producto de sus argumentos. Da un error si algún argumento no es un número."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
-msgstr ""
+msgstr "``ondevice()`` -- devuelve el texto «Yes» si ``ondevice`` está activado, si no, devuelve un texto vacío"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
-msgstr ""
+msgstr "``or(valor, valor, ...)`` -- devuelve el texto ``\"1\"`` si alguno de los valores no está vacío, en caso contrario devuelve un texto vacío. Esta función opera bien con ``test`` o ``first_non_empty``. Pueden usarse tantos valores como se desee."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr "``print(a, b, ...)`` -- escribe los argumentos en la salida estándar. Sólo será visible si inicia calibre a partir de línea de órdenes (``calibre-debug -g``)."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "``raw_field(name)`` -- devuelve el campo de metadatos llamado `nombre` sin aplicar ningún formato."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(nombre, separador)`` -- devuelve la lista de metadatos nombrada por `nombre` sin aplicar ningún formato u ordenación, con los elementos separados por `separador`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1079,19 +1085,19 @@ msgid ""
 "Program Mode, like for the template and the eval functions, you use [[ for {"
 " and ]] for }. The following example in Template Program Mode looks for "
 "series with more than one word and uppercases the first word::"
-msgstr ""
+msgstr "``re_group(val, patrón, plantilla_para_grupo_1, para_grupo_2, ...)`` -- devuelve un texto formado por aplicación de la expresión regular `patrón` al valor `val`, sustituyendo cada coincidencia por el texto calculado al sustituir cada grupo por el valor devuelto por la correspondiente plantilla. El valor de correspondencia original del grupo está disponible como ``$``. En el modo de programación de plantillas, como en las funciones ``template`` y ``eval``, use ``[[`` en lugar de ``{`` y ``]]`` en lugar de ``}``. El siguiente ejemplo en modo de programación de plantillas busca nombres de serie con más de una palabra y pone la primera palabra en mayúsculas::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr "``round(x)`` -- devuelve el entero más cercano a `x`. Da un error si `x` no es un número."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "``series_sort()`` -- devuelve el valor de orden de serie."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1100,17 +1106,17 @@ msgid ""
 "list. Example::"
 msgstr "``split(lista, sep, prefijo_id)`` -- divide la ``lista`` en valores separados por ``sep`` y asigna los valores a variables con nombre ``prefijo_id_N``, donde ``N`` es la posición del valor en la lista. El primer elemento tiene posición 0 (cero). La función devuelve el último elemento de la lista. Ejemplo::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr "es equivalente a::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "``strcat(a, b, ...)`` -- puede tomar cualquier número de argumentos. Devuelve texto formado por la concatenación de todos los argumentos."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1118,21 +1124,21 @@ msgid ""
 "long as the resulting string length is less than ``max``. Returns "
 "``string1`` even if ``string1`` is longer than ``max``. You can pass as many"
 " ``prefix, string`` pairs as you wish."
-msgstr ""
+msgstr "``strcat_max(máx, texto1, prefijo2, texto2, ...)`` -- devuelve un texto formado por concatenación de los argumentos. El valor devuelto es inicialmente ``texto1``. Se van añadiendo parejas ``prefijo``, ``texto`` al final del valor mientras la longitud del resultado sea menor que ``máx``. El resultado es siempre al menos ``texto1``, aunque su longitud sea mayor que ``máx``. Pueden especificarse tantas parejas ``prefijo``, ``texto`` como se desee."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
-msgstr ""
+msgstr "``strcmp(x, y, mn, ig, my)`` -- hace una comparación sin distinción de mayúsculas y minúsculas entre ``x`` e ``y`` como textos. Devuelve ``mn`` si ``x < y``. Devuelve ``ig`` si ``x = y``. Devuelve ``my`` en otros casos."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "``strlen(a)`` -- Devuelve la longitud del texto pasado como argumento."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1142,20 +1148,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "``substr(texto, inicio, fin)`` -- devuelve los caracteres entre la posición `inicio` y `fin` de `texto`. El primer carácter de `texto` está en la posición cero. Si `fin` es negativo, entonces indica la posición contando desde la derecha. Si `fin` es cero, indica el último carácter. Por ejemplo, ``substr('12345', 1, 0)`` devuelve ``2345``, y ``substr('12345', 1, -1)`` devuelve ``234``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
-msgstr ""
+msgstr "``subtract(x, y)``  -- devuelve ``x - y``. Da un error si ``x`` o ``y`` no son números."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
-msgstr ""
+msgstr "``today()`` -- devuelve un texto para la fecha de hoy. Este valor está preparado para usarse con ``format_date`` o ``days_between``, pero puede manipularse como cualquier otro texto. La fecha está en formato ISO."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1165,13 +1171,13 @@ msgid ""
 "will evaluate the template ``{title_sort}`` and return its value. Note also "
 "that prefixes and suffixes (the `|prefix|suffix` syntax) cannot be used in "
 "the argument to this function when using Template Program Mode."
-msgstr ""
+msgstr "``template(x)`` -- evalúa ``x`` como una plantilla. La evaluación se realiza en un contexto propio, lo que significa que las variables no se comparten entre el proceso que llama a la función y la evaluación de la plantilla. Dado que los caracteres ``{`` y ``}`` tienen un uso especial, debe usar ``[[`` en lugar de ``{`` y ``]]`` para ``}``; se convertirán automáticamente. Por ejemplo, ``template('[[orden_de_título]]')`` evaluará la plantilla ``{orden_de_título}`` y devolverá su valor. Tenga en cuenta que los prefijos y sufijos (la sintaxis ``|prefijo|sufijo``) no pueden usarse en el argumento de esta función en el modo de programación de plantillas."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr "Usar el modo de programación general"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1181,14 +1187,14 @@ msgid ""
 "set."
 msgstr "Para programas de plantilla más complicados, mucha veces es más sencillo evitar la sintaxis de plantillas (todos los caracteres «{» y «}») y escribir programas con aspecto más convencional. Puede hacer esto comenzando la plantilla con ``program:``. El programa de plantilla se compila y ejecuta. No se realiza ningún procesado de plantillas (formato, prefijos, sufijos). El valor especial ``$`` no se establece."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr "Una ventaja del modo `program:` es que las llaves dejan de ser especiales. Por ejemplo, no es necesario usar `[[` y `]]` al usar la función `template()`. Otra ventaja es la legibilidad."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1196,26 +1202,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr "El modo de programación de plantillas y el modo de programación general permiten usar los **operadores de relación** (comparación) tradicionales: ``==``, ``!=``, ``<``, ``<=``, ``>=``, ``>=``. Los operadores devuelven «1» si son ciertos y en caso contrario, «». Los textos se comparan sin distinguir mayúsculas y minúsculas y en orden lexicográfico. Ejemplos:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr "``program: field('series') == 'lala'`` devuelve «1» si la serie del libro es «lala»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr "``program: if field('series') != 'lala' then 'nana' else 'blabla' fi`` devuelve «nana» si la serie del libro no es «lala», en caso contrario devuelve «blabla»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr "``program: if or(field('series') == 'lala', field('series') == '1632') then 'sí' else 'no' fi`` devuelve «sí» si la serie es «lala» o «1632», en caso contrario devuelve «no»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1225,13 +1231,13 @@ msgid ""
 "error is raised."
 msgstr "``program: if '11' > '2' then 'sí' else 'no' fi`` devuelve «no» porque realiza una comparación lexicográfica. Si quiere efectuar comparaciones numéricas en lugar de lexicográficas, use los operadores ``==#``, ``!=#``, ``<#``, ``<=#``, ``>#``, ``>=#``. En este caso los valores a la izquierda y derecha se toman como cero si no están definidos o son un texto vacío. Si no son números, se genera un error."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr "Tanto el modo de programación general como el de plantillas permiten **expresiones con ``if``**, con la siguiente sintaxis::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1239,52 +1245,52 @@ msgid ""
 "<<expression>> is one template language expression; semicolons are not "
 "allowed. <<expression_list>> is a semicolon-separated sequence of template "
 "language expressions, including nested ifs. Examples:"
-msgstr ""
+msgstr "Las partes «elif» y «else» son opcional. Las palabras ``if```, ``then``, ``elif``, ``else`` y ``fi`` están reservadas: no puede usarlas como identificadores. Puede añadir saltos de línea y espacios donde sean convenientes. <<expression>> es una expresión del lenguaje de plantillas; no se permiten caracteres de punto y coma. <<expression_list>> es una secuencia de expresiones del lenguaje de plantillas separadas por dos puntos, incluyendo comprobaciones anidadas. Ejemplos:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr "``program: if field('series') then 'yes' else 'no' fi``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; b='yes' fi; strcat(a, '-', b)``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr "Ejemplo de ``if`` anidado::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr "Un ``if`` produce un valor como cualquier otra expresión. Esto significa que todas las siguientes expresiones son válidas:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr "``program: if field('series') then 'foo' else 'bar' fi``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr "El lenguaje de plantillas permite **expresiones con ``for``**, con la siguiente sintaxis::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1294,13 +1300,13 @@ msgid ""
 "evaluated."
 msgstr "La expresión debe arrojar una clave de consulta de un campo de metadatos, como ``tags`` o ``#genero``, o una lista de valores separados por comas. Si el resultado es un nombre de consulta válido, se obtiene el valor del campo, en caso contrario la lista se divide en sus valores individuales. Cada valor de la lista se asigna a la variable ``id`` y después se evalúa ``expression_list``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr "Ejemplo: Esta plantilla elimina el primer nombre jerárquico para cada valor de Género (``#genre```), construyendo una lista con los nuevos nombres."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1310,18 +1316,18 @@ msgid ""
 "value to Genre."
 msgstr "Si el Género original es ``Historia.Militar, Ciencia ficción.Historia alternativa, Léeme``, la plantilla devolverá ``Militar, Historia alternativa, Léeme``. Puede usar esta plantilla en :guilabel:`Modificar metadatos en masa > Buscar y sustituir` con :guilabel:`Buscar` establecido en ``plantilla`` para eliminar el primer nivel de la jerarquía y asignar el valor resultante a Género."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr "Nota: la última línea en la plantilla, ``new_tags``, no es necesaria en este caso, porque ``for`` devuelve el valor de la última expresión en ``expression_list``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr "Plantillas guardadas de modo de programa general"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1332,24 +1338,24 @@ msgid ""
 "named ``foo``:"
 msgstr "El modo de programación general permite guardar plantillas e invocarlas desde otra plantilla. Puede guardar plantillas en :guilabel:`Preferencias > Avanzado > Funciones de plantilla`. Hay más información en el diálogo correspondiente. Puede invocar una plantilla de la misma manera que una función, pasando argumentos por posición si lo desea. Un argumento puede ser una expresión. Ejemplos para invocar una plantilla, suponiendo que la plantilla guardada se llame ``foo``:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr "``foo()`` -- invoca la plantilla sin pasar argumentos."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr "``foo(a, b)`` -- invoca la plantilla pasando los valores de las variables ``a`` y ``b``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
-msgstr ""
+msgstr "``foo(if field('series') then field('series_index') else 0 fi)`` -- si el libro tiene ``series``, pasa el valor de ``series_index``, en caso contrario pasa el valor ``0``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1362,29 +1368,29 @@ msgid ""
 "``alternate``::"
 msgstr "En la plantilla guardada puede obtener el valor de los argumentos pasados en la invocación usando la función ``arguments``. Esta función declara e inicializa las variables locales, parámetros en la práctica. Las variables son posicionales: obtienen el valor del argumento usado en la misma posición en la invocación. Si el argumento correspondiente no aparece en la invocación, ``arguments`` asigna a esa variable el valor predeterminado suministrado. Si no hay valor predeterminado, será un texto vacío. Por ejemplo, la siguiente función ``arguments`` declara dos variables: ``key`` y ``alternate`::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr "Ejemplos, suponiendo de nuevo que la plantilla guardada se llame ``foo``:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr "``foo('#miserie')`` -- la variable ``key`` tendrá el valor ``#miserie`` y la variable ``alternate`` tendrá el valor ``series``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr "``foo('serie', '#genero')`` -- la variable ``key`` tendrá el valor ``serie`` y la variable ``alternate`` tendrá el valor ``#genero``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr "``foo()`` -- la variable ``key`` será un texto vacío y la variable ``alternate`` tendrá el valor ``#genre#``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1393,11 +1399,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr "Una buena manera de probar las plantillas guardadas es usar el diálogo :guilabel:`Prueba de plantillas`. Asígnele un atajo de teclado en :guilabel:`Preferencias > Avanzado > Atajos > Prueba de plantillas`. Si le asigna un atajo de teclado podrá alternar rápidamente entre la prueba de plantillas y la modificación del código de programa de la plantilla."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr "Pasar información adicional a las plantillas"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1405,11 +1411,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr "Un desarrollador puede decidir pasar información adicional al procesador de plantillas, como metadatos del libro específicos para una aplicación o información sobre lo que se quiere que haga el procesador. Una plantilla puede acceder a esta información y usarla durante la evaluación."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr "**Desarrollador: cómo pasar información adicional**"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1420,27 +1426,27 @@ msgid ""
 "underscore."
 msgstr "La información adicional es un diccionario Python que contiene pares ``nombre_de_variable: valor de variable`` donde los valores deben ser textos. La plantilla puede acceder al diccionario, creando variables locales con nombre ``nombre_de_variable`` y valor ``valor de variable``. El usuario no puede cambiar el nombre, así que lo mejor es usar nombres que no entren en conflicto con otras variables locales, por ejemplo añadiendo un guión bajo al principio del nombre."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr "El diccionario se pasa al procesador de plantillas (el ``formatter``) usando el argumento ``global_vars=diccionario``. La forma completa del método es:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr "def safe_format(self, fmt, kwargs, error_value, book,"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr "column_name=None, template_cache=None, strip_results=True, template_functions=None, global_vars={})"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr "**Creador de plantillas: cómo acceder a la información adicional**"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1454,11 +1460,11 @@ msgid ""
 "variable."
 msgstr "Puede acceder a la información adicional de una plantilla usando la función de plantilla ``globals(id[=expresión] [, id[=expresión]]*)``, donde ``id`` es cualquier nombre de variable permitido. Esta función comprueba si la información adicional prevista por el desarrollador contiene el nombre. Si es así, la función asigna el valor a una variable local con ese nombre. Si el nombre no está presente en la información adicional y se suministra una ``expresión``, se evalua dicha ``expresión`` y el resultado se asigna a la variable local. Si no existe ni un valor ni una expresión, la función asigna el texto vacío (``''``) a la variable local."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr "Notas sobre las diferencias entre modos"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1468,35 +1474,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr "Los tres modos de programación, el modo de funcíon única (MFU), el modo de programación de plantillas (MPP) y el modo de programación general (MPG) funcionan de distinta manera. MFU pretende ser «sencillo» y oculta muchos elementos del lenguaje de programación. Por ejemplo, el valor de la columna siempre se pasa como el primer argumento «invisible» a la función que se incluye en la plantilla. Además MFU no hace distinciones entre variables y textos: todas las variables son textos."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr "Ejemplo: La siguiente plantilla MFU devuelve el nombre de la serie o el texto «no series»::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr "La plantilla equivalente en MPP es::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr "La plantilla equivalente en MPG es::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr "El primer argumento de ``ifempty`` es el valor del campo ``series``. El segundo argumento es el texto ``no series``. En MFU el primer argumento, el valor, se pasa automáticamente (es el argumento invisible)."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr "Varias funciones de plantilla, como ``booksize()`` y ``current_library_name()``, no admiten argumentos. Debido al «argumento invisible», no puede usar estas funciones en MFU."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1504,20 +1510,20 @@ msgid ""
 "SFM::"
 msgstr "Las funciones anidadas, en las que una función invoca a otra función para evaluar un argumento, no pueden usarse en MFU. Por ejemplo, esta plantilla, que pretende devolver los primeros cinco caracteres del valor de la serie convertidos en mayúsculas, no funcionará en MFU::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr "MPP y MPG permiten usar funciones anidadas. La plantilla anterior en MPP sería::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr "En MPG sería::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr "Funciones de plantilla Python definidas por el usuario"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1525,11 +1531,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr "Puede añadir funciones propias al procesador de plantillas. Dichas funciones pueden usarse en cualquiera de los tres modos de programación de plantillas. Las funciones se añaden en :guilabel:`Preferencias > Avanzado > Funciones de plantilla`. Las instrucciones se muestran en el correspondiente cuadro de diálogo."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Notas especiales para plantillas de guardado o envío"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1540,18 +1546,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "Cuando una plantilla se usa como plantilla de «guardado a disco» o de «envío a dispositivo», ocurre un procesado especial. Los valores de los campos se sanean, eliminando caracteres especiales para los sistemas operativos por guiones bajos, incluyendo barras. Esto significa que el texto de los campos no puede usarse para crear carpetas. Sin embargo, las barras no se modifican en los textos de prefijo o sufijo, por lo que las barras en estos textos harán que se creen carpetas. Gracias a esto, es posible crear estructuras de carpetas de profundidad variable."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Por ejemplo, supongamos que quiere una estructura de carpetas `serie/índice de serie - título`, con la salvedad de que si la serie no existe el título debe estar en la carpeta superior. La plantilla para conseguir esto es::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "La barra y el guión sólo aparecen si la serie no está vacía."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1561,25 +1567,25 @@ msgid ""
 "depending on the value of series."
 msgstr "La función ``lookup()`` nos permite realizar un procesado aún más complejo. Por ejemplo, supongamos que si un libro tiene una serie, entonces queremos una estructura de carpetas `serie/índice de serie - título`. Si el libro no tiene una serie, entonces queremos la estructura `género/orden de autor/título`. Si el libro no tiene género, queremos que use «Desconocido». Queremos seguir dos caminos completamente distintos según el valor de la serie."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "Para lograr esto:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr "Creamos un campo compuesto (démosle el nombre de consulta #AA) que contiene ``{series}/{series_index} - {title}``. Si la serie no está vacía, esta plantilla produce `serie/número_de_serie - título`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr "Creamos un campo compuesto (démosle el nombre de consulta #BB) que contenga ``{#genre:ifempty(Desconocido)}/{author_sort}/{title}``. Esta plantilla produce `género/orden de autor/título`, donde un género vacío se sustituye por `Desconocido`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1587,11 +1593,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr "Establecemos la plantilla de guardado en ``{series:lookup(.,#AA,#BB)}``. Esta plantilla elige el campo compuesto #AA si la serie no está vacía y el campo compuesto #BB si la serie está vacía. Obtenemos por lo tanto dos rutas de guardado completamente diferentes según el campo `series` esté o no vacío."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr "Plantillas y controles de metadatos"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1602,7 +1608,7 @@ msgid ""
 "display issues."
 msgstr "Los paneles de conexiones se usan para cambiar los metadatos escritos en los libros durante las operaciones de guardado en disco y de envío a dispositivo. Un panel de conexiones le permite especificar una plantilla para suministrar los datos que se escribirán en los metadatos del libro. Puede usar los paneles de conexiones para modificar los siguientes campos: authors, author_sort, language, publisher, tags, title, title_sort. Esa función es útil para los que quieren usar metadatos diferentes en los libros de los dispositivos, para solucionar problemas de ordenación o de visualización."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1611,9 +1617,9 @@ msgid ""
 "to change, providing templates to supply the new values. These templates are"
 " `connected` to their destination fields, hence the name `plugboards`. You "
 "can, of course, use composite columns in these templates."
-msgstr ""
+msgstr "Cuando cree un panel de conexiones, especifique el formato y dispositivo para los que se usará. Hay un dispositivo especial ``save_to_disk``, que se usa para guardar formatos (en lugar de enviarlos a un dispositivo). Una vez que ha elegido el formato y dispositivo, elija los campos de metadatos para cambiar, y suministre plantillas para obtener los nuevos valores. Estas plantillas están `conectadas` con sus campos de destino, de ahí el nombre `panel de conexiones`. Por supuesto, puede usar columnas compuestas en estas plantillas."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1622,29 +1628,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr "Cuando un panel de conexiones pueda aplicarse (servidor de contenido, guardado en disco o envío a dispositivo), calibre busca los paneles definidos para elegir el correcto según el formato y dispositivo. Por ejemplo, para encontrar el panel de conexiones apropiado para enviar un libro EPUB a un dispositivo ANDROID, calibre busca en los paneles en el siguiente orden:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "un panel de conexiones con una coincidencia exacta de formato y dispositivo, por ejemplo: ``EPUB`` y ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "un panel de conexiones con una coincidencia exacta de formato y el dispositivo especial ``any device``, por ejemplo ``EPUB`` y ``any device``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "un panel de conexiones con el formato especial ``any format`` y una coincidencia exacta de dispositivo, por ejemplo: ``any format`` y ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "un panel de conexiones con ``any format`` y ``any device``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1656,7 +1662,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Los campos etiquetas y autores tienen un trato especial, debido a que ambos pueden tener más de un elemento. Un libro puede poseer varias etiquetas y varios autores. Cuando indique que desea cambiar uno de estos campos, la plantilla se examina para comprobar si hay más de un elemento. Para las etiquetas, el resultado se divide dondequiera que calibre encuentre una coma. Por ejemplo, si la plantilla produce el valor ``Intriga, Terror``, el resultado serán dos etiquetas: ``Intriga`` y ``Terror``. No existe manera de poner una coma dentro de una etiqueta."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1666,7 +1672,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "Lo mismo ocurre con los autores, pero usando un carácter diferente para el corte, un signo «&» en lugar de una coma. Por ejemplo, si la plantilla produce el valor ``Blogs, Joe&Posts, Susan``, el libro acabará con dos autores, ``Blogs, Joe`` y ``Posts, Susan``. Si la plantilla produce el valor ``Blogs, Joe;Posts, Susan``, el libro tendrá un autor con un nombre peculiar."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1675,39 +1681,39 @@ msgid ""
 "preferences window."
 msgstr "Los paneles de conexiones afectan a los metadatos escritos en el libro cuando se guarda en disco o se escribe en un dispositivo. Los paneles de conexiones no afectan a los metadatos usados por las funciones :guilabel:`Guardar en el disco` :guilabel:`Enviar al dispositivo` para crear los nombres de archivo. En lugar de ello, los nombres de archivo se construyen usando las plantillas introducidas en la ventana de preferencias correspondiente."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr "Consejos"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Puede encontrar útiles los siguientes consejos."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr "Use la prueba de plantillas para probar plantillas. Añada esta función al menú contextual para libros en lea biblioteca o asígnele un atajo de teclado."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr "Las plantillas pueden usar otras plantillas haciendo referencia a columnas compuestas construidas con la plantilla deseada. También puede usar plantillas guardadas."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "En un panel de conexiones, puede establecer un campo como vacío (o lo que sea equivalente a vacío) utilizando la plantilla especial ``{}``. Esta plantilla siempre producirá un texto vacío."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr "La técnica descrita anteriormente para mostrar los números incluso si son cero funciona con el campo estándar «series_index»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr "Referencia de funciones"
diff -pruN 5.9.0+dfsg-3/translations/manual/es/viewer.po 5.10.0+dfsg-1/translations/manual/es/viewer.po
--- 5.9.0+dfsg-3/translations/manual/es/viewer.po	2021-01-06 15:35:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es/viewer.po	2021-01-20 15:29:33.000000000 +0000
@@ -4,14 +4,14 @@
 # 
 # Translators:
 # Darío Hereñú, 2014
-# Jellby <jellby@yahoo.com>, 2014,2017,2019-2020
+# Jellby <jellby@yahoo.com>, 2014,2017,2019-2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 09:32+0000\n"
+"Last-Translator: Jellby <jellby@yahoo.com>\n"
 "Language-Team: Spanish (http://www.transifex.com/calibre/calibre/language/es/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -247,11 +247,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr "En Linux, :guilabel:`Leer en alto` requiere que `Speech Dispatcher <https://freebsoft.org/speechd>`_ esté instalado y funcione."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr "En Windows, puede que no todas las voces instaladas sea visibles para el subsistema SAPI que se usa para la síntesis de voz. Existen `instrucciones para hacer visibles todas las voces <https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_ (en inglés)."
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr "Seguir enlaces usando sólo el teclado"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -261,7 +269,7 @@ msgid ""
 "link."
 msgstr "El visor de libros electrónicos tiene un :guilabel:`modo directo` que le permite seguir enlaces en el texto sin usar el ratón. Pulse la tecla :kbd:`Alt+F` y se resaltarán todos los enlaces en la pantalla actual  con un número o letra sobre ellos. Pulse la tecla correspondiente para activar el enlace. Si pulsa la tecla :kbd:`Esc` se aulará el :guilabel:`modo directo` sin seleccionar ningún enlace."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -269,37 +277,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr "Si hay más de 35 enlaces en la pantalla algunos de ellos tendrá varias letras; en ese caso, pulse la primera y la segunda, o la primera y luego :kbd:`Intro` para activar un enlace. También puede usar la tecla :kbd:`Retroceso` para corregir un error de tecleo."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Personalizar la apariencia de la experiencia de lectura"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr "Puede cambiar el tamaño de letra al vuelo usando :guilabel:`Tamaño de letra` en los controles del visor o :kbd:`ctrl++` o :kbd:`ctrl+-`, o pulsando la tecla :kbd:`ctrl` y usando la rueda del ratón."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr "Los colores pueden cambiarse en la sección :guilabel:`Colores` de las preferencias del visor."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr "Puede cambiar el número de páginas que se muestran en pantalla, así como los márgenes de página, en :guilabel:`Estructura de la página` en las preferencias del visor."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr "Puede mostrar encabezados y pies de página personalizados, tales como el tiempo restante de lectura, el título del capítulo actual, posición del libro, etc. en la sección :guilabel:`Encabezados y pies de página` de las preferencias del visor."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -309,11 +317,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr "Puede lograr una personalización más avanzada mediante la configuraciónes de :guilabel:`Estilos`. Aquí puede especificar una imagen de fondo para mostrar tras el texto y también una hoja de estilos opcional que se aplicará a todos los libros. Por medio de ella puede hacer cosas como cambiar estilos de párrafo, la justificación del texto, etc. Para ver ejemplos de hojas de estilo personalizadas utilizadas por otros usuarios de calibre, vea `los foros <https://www.mobileread.com/forums/showthread.php?t=51500>`_ (en inglés)."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Consulta en diccionarios"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -321,11 +329,11 @@ msgid ""
 "panel."
 msgstr "Puede buscar el significado de palabras en el libro actual abriendo el panel de :guilabel:`Búsqueda o consulta` mediante los controles del visor. Pulse dos veces sobre cualquier palabra y su definición aparecerá en el panel."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Copiar texto e imágenes"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -333,22 +341,22 @@ msgid ""
 "and images."
 msgstr "Puede seleccionar texto e imágenes arrastrando el contenido con el ratón y luego pulsando con el botón derecho y seleccionando :guilabel:`Copiar` para copiar en el portapapeles. El material copiado se puede pegar en otra aplicación como texto sin formato e imágenes."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Ampliar imágenes"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr "Puede mostrar una imagen ampliada a su tamaño completo en una ventana aparte pulsando dos veces o usando un toque largo sobre ella. También puede pulsar con el botón derecho y elegir :guilabel:`Ver imagen`."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr "Contenido no redistribuible"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
@@ -356,4 +364,4 @@ msgid ""
 "this content. Alternately, you can also add the following CSS to the "
 ":guilabel:`Styles` section of the viewer preferences to force the viewer to "
 "break up lines of text in :code:`<pre>` tags::"
-msgstr ""
+msgstr "Algunos libros tienen contenido muy ancho que no puede dividirse entre páginas. Por ejemplo, tablas o etiquetas :code:`<pre>`. En tales casos deberá cambiar el visor al *modo continuo* pulsando :kbd:`Ctrl+m` para leer el contenido. Alternativamente, puede añadir el siguiente CSS a la sección :guilabel:`Estilos` de las preferencias del visor para forzar el visor a dividir las líneas de etiquetas :code:`<pre>`::"
diff -pruN 5.9.0+dfsg-3/translations/manual/es_MX/db_api.po 5.10.0+dfsg-1/translations/manual/es_MX/db_api.po
--- 5.9.0+dfsg-3/translations/manual/es_MX/db_api.po	2020-12-23 14:20:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es_MX/db_api.po	2021-01-20 15:30:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/es_MX/edit.po 5.10.0+dfsg-1/translations/manual/es_MX/edit.po
--- 5.9.0+dfsg-3/translations/manual/es_MX/edit.po	2020-12-10 03:01:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es_MX/edit.po	2021-01-20 15:30:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: es_MX\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Contenido"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/es_MX/faq.po 5.10.0+dfsg-1/translations/manual/es_MX/faq.po
--- 5.9.0+dfsg-3/translations/manual/es_MX/faq.po	2021-01-06 15:34:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es_MX/faq.po	2021-01-20 15:29:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/es_MX/stats.json 5.10.0+dfsg-1/translations/manual/es_MX/stats.json
--- 5.9.0+dfsg-3/translations/manual/es_MX/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es_MX/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 26,
-    "untranslated": 2999
+    "untranslated": 3005
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/es_MX/template_lang.po 5.10.0+dfsg-1/translations/manual/es_MX/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/es_MX/template_lang.po	2021-01-06 15:34:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es_MX/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/es_MX/viewer.po 5.10.0+dfsg-1/translations/manual/es_MX/viewer.po
--- 5.9.0+dfsg-3/translations/manual/es_MX/viewer.po	2021-01-06 15:35:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/es_MX/viewer.po	2021-01-20 15:29:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Spanish (Mexico) (http://www.transifex.com/calibre/calibre/language/es_MX/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/et/db_api.po 5.10.0+dfsg-1/translations/manual/et/db_api.po
--- 5.9.0+dfsg-3/translations/manual/et/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/et/db_api.po	2021-01-20 15:30:43.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Maidur\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -186,6 +186,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/et/edit.po 5.10.0+dfsg-1/translations/manual/et/edit.po
--- 5.9.0+dfsg-3/translations/manual/et/edit.po	2020-12-10 03:01:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/et/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: et\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "E-raamatute muutmine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "calibrel on sisseehitatud e-raamatute muutja, mida saab kasutada EPUB- ja AZW3 (Kindle) formaadis raamatute redigeerimiseks. Redaktor näitab sulle raamatufailides kasutatavaid HTML- ja CSS-faile koos reaalajas eelvaatega, mis uueneb muudatusi tehes. See sisaldab ka mitmeid automatiseerimise tööriistu levinumate puhastamise ja parandamistööde teostamiseks."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Sa saad seda redaktorit kasutada, paremklõpsates calibres mis tahes raamatul ja valides :guilabel:`Muuda raamatut`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Sisukord"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Peamine töövoog"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr "Videojuhend calibre e-raamatute muutja kohta on saadaval `siin <https://calibre-ebook.com/demo#tutorials>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr "Failide sirvija"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Failide ümbernimetamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Failide ühendamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Tekstifailide järjestuse muutmine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Kaanepildi märkimine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Failide kustutamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Failide eksportimine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Failide asendamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Otsimine & asendamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Salvestatud otsingud"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "Funktsiooni režiim"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Automatiseeritud vahendid"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Sisukorra muutmine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "Raamatu kontrollimine"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr "Osa teostatavatest kontrollidest on:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Kaanepildi lisamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Viidatud fontide manustamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Kirjavahemärkide kaunistamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr "CSS-atribuutide muundamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr "Reeglite loomine on lihtne, reeglid järgivad tavakeele vormingut, nähes välja umbes nii:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr "Kui atribuut *värv* on *punane*, siis *muuda* see *roheliseks*"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr "Kui atribuut *font-size* on *mis tahes väärtusega*, siis *korruta* seda väärtust *2*-ga"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Kasutamata CSS-reeglite eemaldamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "HTML-i parandamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Failide ilustamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr "Reasisese sisukorra sisestamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr "Laadide teabe filtreerimine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr "Raamatu siseosade uuendamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr "Seda tööriista saab kasutada raamatu siseosade uuendamiseks, kui võimalik. Näiteks uuendab see EPUB 2 raamatud EPUB 3-ks. Sellele tööriistale pääseb ligi menüüs :guilabel:`Uuenda raamatu sisemust`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Kontrollpunktid"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr "Reaalajas eelvaate paneel"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "HTML-failide tükeldamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "Reaalajas CSS paneel"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr "Reaalajas CSS-i paneeli saad lubada menüüs :guilabel:`Vaade->Reaalajas CSS`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr "Mitmesugused tööriistad"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr "On veel mõned tööriistad, mis võivad raamatu muutmisel kasulikud olla."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr "Sisukorra vaade"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Raamatus olevate sõnade õigekirja kontrollimine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Uute sõnastike lisamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Eriliste tähemärkide lisamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr "Koodi uurija vaade"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Väliste linkide kontrollimine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr "Väliste ressursside allalaadimine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr "Failide tüübi järgi kaustadesse korraldamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "Raportite tööriist"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Erilised võimalused koodiredaktoris"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Süntaksi esiletõstmine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "Vigane HTML on punasega allajoonitud"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Sisutundlik abi"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Automaatne lõpetamine"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Katked"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/et/faq.po 5.10.0+dfsg-1/translations/manual/et/faq.po
--- 5.9.0+dfsg-3/translations/manual/et/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/et/faq.po	2021-01-20 15:29:24.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
@@ -47,10 +47,10 @@ msgstr "calibre toetab mitmete sisendfor
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Sisendformaadid:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,8 +938,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Kogu haldamine"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr "Proovi oma arvuti taaskäivitada ja kasutada registripuhastusprogrammi, näiteks `Wise registry cleaner <https://www.wisecleaner.com>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr "Kui failide omanikuks on määratud mõni muu kasutaja peale sinu."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Kui su fail on mõnes muus programmis avatud."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Miks pole calibrel automaatset programmiuuendust?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Paljudel põhjustel:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*Iganädalaseks uuendamiseks pole vajadust*. Kui sa oled calibre töötamisega rahul, keela uuendamise teavitused ja ole omadega mäel. Kontrolli umbes korra-kaks aastas uuesti, kas tahad uuendada. Uuenduse teavitusel on märkeruuduke, mille kaudu saab uuenduse teavituse keelata."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Kuidas on calibre litsentsitud?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Kuidas calibret käitada oma USB-mälupulgalt?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Portatiivne versioon calibrest on saadaval `siin <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr "Kuidas oma Linuxi serveril käivitada calibre osi, näiteks uudiste allalaadimist ja Sisuserverit?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr "Kõigepealt pead installima calibre oma Linuxi serverile. Kui su server kasutab kaasaegset Linuxi distributsiooni, ei tohiks sul sellele calibre installimisel probleeme tekkida."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Sa saad calibre serveri käivitada käsuga::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr "Sa saad uudiseid alla laadida ja e-raamatuks teisendada käsuga::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "Sa saad alla laaditud uudiseid e-kirjaga saata käsuga::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Viimasena, sa saad alla laaditud uudiseid calibre kogusse lisada käsuga::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/et/stats.json 5.10.0+dfsg-1/translations/manual/et/stats.json
--- 5.9.0+dfsg-3/translations/manual/et/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/et/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 1064,
-    "untranslated": 1961
+    "translated": 1061,
+    "untranslated": 1970
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/et/template_lang.po 5.10.0+dfsg-1/translations/manual/et/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/et/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/et/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "Kaldkriipsu ja sidekriipsu näidatakse ainult siis, kui sari ei ole tühi."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Järgnevad näpunäited võivad kasulikud olla."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/et/viewer.po 5.10.0+dfsg-1/translations/manual/et/viewer.po
--- 5.9.0+dfsg-3/translations/manual/et/viewer.po	2021-01-06 15:35:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/et/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Estonian (http://www.transifex.com/calibre/calibre/language/et/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Lugemiskogemuse väljanägemise kohandamine"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Sõnastikust otsimine"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Teksti ja piltide kopeerimine"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr "Teksti ja pilte saad valida, lohistades hiirega üle sisu ja seejärel paremklõpsates ja valides :guilabel:`Kopeeri` lõikelauale kopeerimiseks. Kopeeritud materjali saab teise programmi kleepida lihttekstina ja piltidena."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/eu/db_api.po 5.10.0+dfsg-1/translations/manual/eu/db_api.po
--- 5.9.0+dfsg-3/translations/manual/eu/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eu/db_api.po	2021-01-20 15:30:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/eu/edit.po 5.10.0+dfsg-1/translations/manual/eu/edit.po
--- 5.9.0+dfsg-3/translations/manual/eu/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eu/edit.po	2021-01-20 15:29:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: eu\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Edukiak"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Bilatu eta ordezkatu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Gordetako bilaketak"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Txertatzen adierazitako letra-tipoak"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Kapsulatutako letra-tipoak murrizten"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Puntuazioa zuzentzen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/eu/faq.po 5.10.0+dfsg-1/translations/manual/eu/faq.po
--- 5.9.0+dfsg-3/translations/manual/eu/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eu/faq.po	2021-01-20 15:29:21.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -47,9 +47,9 @@ msgstr "calibre horrek hainbat bihurtze
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,7 +938,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/eu/stats.json 5.10.0+dfsg-1/translations/manual/eu/stats.json
--- 5.9.0+dfsg-3/translations/manual/eu/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eu/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 131,
-    "untranslated": 2894
+    "untranslated": 2900
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/eu/template_lang.po 5.10.0+dfsg-1/translations/manual/eu/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/eu/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eu/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/eu/viewer.po 5.10.0+dfsg-1/translations/manual/eu/viewer.po
--- 5.9.0+dfsg-3/translations/manual/eu/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/eu/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Basque (http://www.transifex.com/calibre/calibre/language/eu/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Zure irakurtzeko saioaren gaia eta itxura konfiguratzen"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Hiztegi-bilaketa"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Testuak eta irudiak kopiatzen"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/fa/db_api.po 5.10.0+dfsg-1/translations/manual/fa/db_api.po
--- 5.9.0+dfsg-3/translations/manual/fa/db_api.po	2020-12-23 14:21:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fa/db_api.po	2021-01-20 15:30:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/fa/edit.po 5.10.0+dfsg-1/translations/manual/fa/edit.po
--- 5.9.0+dfsg-3/translations/manual/fa/edit.po	2020-12-10 03:01:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fa/edit.po	2021-01-20 15:30:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: fa\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/fa/faq.po 5.10.0+dfsg-1/translations/manual/fa/faq.po
--- 5.9.0+dfsg-3/translations/manual/fa/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fa/faq.po	2021-01-20 15:29:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/fa/stats.json 5.10.0+dfsg-1/translations/manual/fa/stats.json
--- 5.9.0+dfsg-3/translations/manual/fa/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fa/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 53,
-    "untranslated": 2972
+    "untranslated": 2978
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/fa/template_lang.po 5.10.0+dfsg-1/translations/manual/fa/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/fa/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fa/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/fa/viewer.po 5.10.0+dfsg-1/translations/manual/fa/viewer.po
--- 5.9.0+dfsg-3/translations/manual/fa/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fa/viewer.po	2021-01-20 15:29:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Persian (http://www.transifex.com/calibre/calibre/language/fa/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/faq.pot 5.10.0+dfsg-1/translations/manual/faq.pot
--- 5.9.0+dfsg-3/translations/manual/faq.pot	2021-01-08 03:53:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/faq.pot	2021-01-22 02:29:29.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -41,7 +41,7 @@ msgid "calibre supports the conversion o
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:21
-msgid "*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+msgid "*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:23
@@ -105,7 +105,7 @@ msgid "Now it might well seem to you tha
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:64
-msgid "When converting to MOBI, calibre detects the *metadata ToC* in the input document and generates an end-of-file ToC in the output MOBI file. You can turn this off by an option in the MOBI Output settings. You can also tell calibre whether to put it and the start or the end of the book via an option in the MOBI Output settings. Remember this ToC is semantically a *metadata ToC*, in any format other than MOBI it *cannot not be part of the text*. The fact that it is part of the text in MOBI is an accident caused by the limitations of MOBI. If you want a ToC at a particular location in your document text, create one by hand. So we strongly recommend that you leave the default as it is, i.e. with the metadata ToC at the end of the book. Also note that if you disable the generation of the end-of-file ToC the resulting MOBI file may not function correctly on a Kindle, since the Kindle's use the metadata ToC for many things, including the Page Flip feature."
+msgid "When converting to MOBI, calibre detects the *metadata ToC* in the input document and generates an end-of-file ToC in the output MOBI file. You can turn this off by an option in the MOBI Output settings. You can also tell calibre whether to put it at the start or the end of the book via an option in the MOBI Output settings. Remember this ToC is semantically a *metadata ToC*, in any format other than MOBI it *cannot not be part of the text*. The fact that it is part of the text in MOBI is an accident caused by the limitations of MOBI. If you want a ToC at a particular location in your document text, create one by hand. So we strongly recommend that you leave the default as it is, i.e. with the metadata ToC at the end of the book. Also note that if you disable the generation of the end-of-file ToC the resulting MOBI file may not function correctly on a Kindle, since the Kindle's use the metadata ToC for many things, including the Page Flip feature."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:66
@@ -233,7 +233,7 @@ msgid "If you are connecting a Kindle Fi
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:214
-#: ../../home/kovid/work/calibre/manual/faq.rst:953
+#: ../../home/kovid/work/calibre/manual/faq.rst:965
 msgid "On macOS if you get permission errors when connecting a device to calibre, you can fix that by looking under :guilabel:`System Preferences > Security and Privacy > Privacy > Files and Folders`."
 msgstr ""
 
@@ -451,7 +451,7 @@ msgid "Why does calibre not support coll
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:439
-msgid "Neither the Kindle nor the Nook provide any way to manipulate collections over a USB connection.  If you really care about using collections, I would urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to understand that life is too short to be entering collections one by one on an e-ink screen :)"
+msgid "Neither the Kindle nor the Nook provide any way to manipulate collections over a USB connection.  If you really care about using collections, I would urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to understand that life is too short to be entering collections one by one on an e-ink screen 😇"
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:444
@@ -531,7 +531,7 @@ msgid "Books sent to the Kindle only sho
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:524
@@ -918,265 +918,273 @@ msgid "The only way to find the culprit
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:851
-msgid "Using the viewer or doing any conversions results in a permission denied error on Windows"
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/faq.rst:853
+msgid "These two programs use hardware acceleration as they embed a version of the Chrome browser to render HTML. If they do not work it will be because of incompatibility with your system's GPU (graphics) drivers. Try updating these first, and reboot. If that does not fix it, you can set the ``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value ``--disable-gpu`` to turn off hardware acceleration. See `this page <https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/faq.rst:863
+msgid "Using the viewer or doing any conversions results in a permission denied error on Windows"
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/faq.rst:865
 msgid "Something on your computer is preventing calibre from accessing its own temporary files. Most likely the permissions on your :file:`Temp` folder are incorrect. Go to the folder file:`C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local` in Windows Explorer and then right click on the file:`Temp` folder, select :guilabel:`Properties` and go to the :guilabel:`Security` tab. Make sure that your user account has full control for this folder."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:860
+#: ../../home/kovid/work/calibre/manual/faq.rst:872
 msgid "Some users have reported that running the following command in an Administrator Command Prompt fixed their permissions.  To get an Administrator Command Prompt search for cmd.exe in the start menu, then right click on the command prompt entry and select Run as Administrator. At the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:868
+#: ../../home/kovid/work/calibre/manual/faq.rst:880
 msgid "Alternately, you can run calibre as Administrator, but doing so will cause some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:871
+#: ../../home/kovid/work/calibre/manual/faq.rst:883
 msgid "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:875
+#: ../../home/kovid/work/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:877
+#: ../../home/kovid/work/calibre/manual/faq.rst:889
 msgid "One common cause of failures on macOS is the use of accessibility technologies that are incompatible with the graphics toolkit calibre uses.  Try turning off VoiceOver if you have it on. Also go to System Preferences->System->Universal Access and turn off the setting for enabling access for assistive devices in all the tabs. Another cause can be some third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:884
+#: ../../home/kovid/work/calibre/manual/faq.rst:896
 msgid "You can obtain debug output about why calibre is not starting by running `Console.app`. Debug output will be printed to it. If the debug output contains a line that looks like::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:889
+#: ../../home/kovid/work/calibre/manual/faq.rst:901
 msgid "then the problem is probably a corrupted font cache. You can clear the cache by following these `instructions <https://www.macworld.com/article/1139383/fontcacheclear.html>`_. If that doesn't solve it, look for a corrupted font file on your system, in ~/Library/Fonts or the like. An easy way to check for corrupted fonts in macOS is to start the \"Font Book\" application, select all fonts and then in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:897
+#: ../../home/kovid/work/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:899
+#: ../../home/kovid/work/calibre/manual/faq.rst:911
 msgid "Downloading from the Internet can sometimes result in a corrupted download. If the calibre installer you downloaded is not opening, try downloading it again. If re-downloading it does not work, download it from `an alternate location <https://github.com/kovidgoyal/calibre/releases/latest>`_. If the installer still doesn't work, then something on your computer is preventing it from running."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:901
+#: ../../home/kovid/work/calibre/manual/faq.rst:913
 msgid "Try temporarily disabling your antivirus program (Microsoft Security Essentials, or Kaspersky or Norton or McAfee or whatever). This is most likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:902
+#: ../../home/kovid/work/calibre/manual/faq.rst:914
 msgid "Similarly, if the installer is failing/rolling and you have Microsoft PowerToys running, quit it."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:903
+#: ../../home/kovid/work/calibre/manual/faq.rst:915
 msgid "Try rebooting your computer and running a registry cleaner like `Wise registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:904
+#: ../../home/kovid/work/calibre/manual/faq.rst:916
 msgid "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program Files\\\\Calibre2` (or wherever you previously chose to install calibre). Then re-install calibre. Note that uninstalling does not touch your books or settings."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:905
+#: ../../home/kovid/work/calibre/manual/faq.rst:917
 msgid "Try downloading the installer with an alternate browser. For example if you are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:906
+#: ../../home/kovid/work/calibre/manual/faq.rst:918
 msgid "If you get an error about a missing DLL on Windows, then most likely, the permissions on your temporary folder are incorrect. Go to the folder :file:`C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local` in Windows explorer and then right click on the :file:`Temp` folder and select :guilabel:`Properties` and go to the :guilabel:`Security` tab. Make sure that your user account has full control for this folder."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:913
+#: ../../home/kovid/work/calibre/manual/faq.rst:925
 msgid "If you still cannot get the installer to work and you are on Windows, you can use the `calibre portable install <https://calibre-ebook.com/download_portable>`_, which does not need an installer (it is just a zip file)."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:916
+#: ../../home/kovid/work/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:918
+#: ../../home/kovid/work/calibre/manual/faq.rst:930
 msgid "The first thing to check is that you are downloading calibre from the official website: `<https://calibre-ebook.com/download>`_. Make sure you are clicking the download links on the left, not the advertisements on the right. calibre is a very popular program and unscrupulous people try to setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:924
+#: ../../home/kovid/work/calibre/manual/faq.rst:936
 msgid "If you have the official download and your antivirus program is still claiming calibre is a virus, then, your antivirus program is wrong. Antivirus programs use heuristics, patterns of code that \"look suspicious\" to detect viruses. It's rather like racial profiling. calibre is a completely open source product. You can actually browse the source code yourself (or hire someone to do it for you) to verify that it is not a virus. Please report the false identification to whatever company you buy your antivirus software from. If the antivirus program is preventing you from downloading/installing calibre, disable it temporarily, install calibre and then re-enable it."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:935
+#: ../../home/kovid/work/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:937
+#: ../../home/kovid/work/calibre/manual/faq.rst:949
 msgid "The most important thing to backup is the calibre library folder, that contains all your books and metadata. This is the folder you chose for your calibre library when you ran calibre for the first time. You can get the path to the library folder by clicking the calibre icon on the main toolbar. You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:939
+#: ../../home/kovid/work/calibre/manual/faq.rst:951
 msgid "You can switch calibre to using a backed up library folder by simply clicking the calibre icon on the toolbar and choosing your backup library folder. A backed up library folder backs up your custom columns and saved searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:941
+#: ../../home/kovid/work/calibre/manual/faq.rst:953
 msgid "If you want to backup the calibre configuration/plugins, you have to backup the config directory. You can find this config directory via :guilabel:`Preferences->Miscellaneous`. Note that restoring configuration directories is not officially supported, but should work in most cases. Just copy the contents of the backup directory into the current configuration directory to restore."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:944
+#: ../../home/kovid/work/calibre/manual/faq.rst:956
 msgid "How do I use purchased EPUB books with calibre (or what do I do with .acsm files)?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:945
+#: ../../home/kovid/work/calibre/manual/faq.rst:957
 msgid "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from opening them. You can still use calibre to store and transfer them to your e-book reader. First, you must authorize your reader on a Windows machine with Adobe Digital Editions. Once this is done, EPUB books transferred with calibre will work fine on your reader. When you purchase an epub book from a website, you will get an \".acsm\" file. This file should be opened with Adobe Digital Editions, which will then download the actual \".epub\" e-book. The e-book file will be stored in the folder \"My Digital Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:948
+#: ../../home/kovid/work/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:950
+#: ../../home/kovid/work/calibre/manual/faq.rst:962
 msgid "A permission denied error can occur because of many possible reasons, none of them having anything to do with calibre."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:952
+#: ../../home/kovid/work/calibre/manual/faq.rst:964
 msgid "You can get permission denied errors if you are using an SD card with write protect enabled."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:956
+#: ../../home/kovid/work/calibre/manual/faq.rst:968
 msgid "If you, or some program you used changed the file permissions of the files in question to read only."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:957
+#: ../../home/kovid/work/calibre/manual/faq.rst:969
 msgid "If there is a filesystem error on the device which caused your operating system to mount the filesystem in read only mode or mark a particular file as read only pending recovery."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:958
+#: ../../home/kovid/work/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:959
+#: ../../home/kovid/work/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:960
+#: ../../home/kovid/work/calibre/manual/faq.rst:972
 msgid "If the file resides on a device, you may have reached the limit of a maximum of 256 files in the root of the device. In this case you need to reformat the device/sd card referred to in the error message with a FAT32 filesystem, or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:962
+#: ../../home/kovid/work/calibre/manual/faq.rst:974
 msgid "You will need to fix the underlying cause of the permissions error before resuming to use calibre. Read the error message carefully, see what file it points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:965
+#: ../../home/kovid/work/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:967
+#: ../../home/kovid/work/calibre/manual/faq.rst:979
 msgid "Most readers do not support this. You should complain to the manufacturer about it and hopefully if enough people complain, things will change. In the meantime, you can insert the metadata, including comments into a \"Jacket page\" at the start of the e-book, by using the option to \"Insert metadata as page at start of book\" during conversion. The option is found in the :guilabel:`Structure detection` section of the conversion settings. Note that for this to have effect you have to *convert* the book. If your book is already in a format that does not need conversion, you can convert from that format to the same format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:969
+#: ../../home/kovid/work/calibre/manual/faq.rst:981
 msgid "Another alternative is to create a catalog in e-book form containing a listing of all the books in your calibre library, with their metadata. Click-and-hold the :guilabel:`Convert` button to access the catalog creation tool. And before you ask, no you cannot have the catalog \"link directly to\" books on your reader."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:972
+#: ../../home/kovid/work/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:974
+#: ../../home/kovid/work/calibre/manual/faq.rst:986
 msgid "By default, calibre uses whatever proxy settings are set in your OS. Sometimes these are incorrect, for example, on Windows if you don't use Internet Explorer then the proxy settings may not be up to date. You can tell calibre to use a particular proxy server by setting the ``http_proxy`` and ``https_proxy`` environment variables. The format of the variable is: ``http://username:password@servername`` you should ask your network administrator to give you the correct value for this variable.  Note that calibre only supports HTTP proxies not SOCKS proxies. You can see the current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:985
+#: ../../home/kovid/work/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:988
+#: ../../home/kovid/work/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:987
+#: ../../home/kovid/work/calibre/manual/faq.rst:999
 msgid "Create a patch by hacking on calibre and send it to me for review and inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:988
+#: ../../home/kovid/work/calibre/manual/faq.rst:1000
 msgid "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . Remember that while you may think your feature request is extremely important/essential, calibre developers might not agree. Fortunately, calibre is open source, which means you always have the option of implementing your feature yourself, or hiring someone to do it for you. Furthermore, calibre has a comprehensive plugin architecture, so you might be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:991
+#: ../../home/kovid/work/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:993
+#: ../../home/kovid/work/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:995
+#: ../../home/kovid/work/calibre/manual/faq.rst:1007
 msgid "*There is no need to update every week*. If you are happy with how calibre works turn off the update notification and be on your merry way. Check back to see if you want to update once a year or so. There is a check box to turn off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1000
+#: ../../home/kovid/work/calibre/manual/faq.rst:1012
 msgid "calibre downloads currently use `about 150TB of bandwidth a month <https://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates would greatly increase that and end up costing thousands of dollars a month, which someone has to pay."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1005
+#: ../../home/kovid/work/calibre/manual/faq.rst:1017
 msgid "If I implement a dialog that downloads the update and launches it, instead of going to the website as it does now, that would save the most ardent calibre updater, *at most five clicks a week*. There are far higher priority things to do in calibre development."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1010
+#: ../../home/kovid/work/calibre/manual/faq.rst:1022
 msgid "If you really, really hate downloading calibre every week but still want to be up to the latest, I encourage you to run from source, which makes updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1014
+#: ../../home/kovid/work/calibre/manual/faq.rst:1026
 msgid "There are third party automatic updaters for calibre made by calibre users in the `calibre forum <https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1018
+#: ../../home/kovid/work/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1019
+#: ../../home/kovid/work/calibre/manual/faq.rst:1031
 msgid "calibre is licensed under the GNU General Public License v3 (an open source license). This means that you are free to redistribute calibre as long as you make the source code available. So if you want to put calibre on a CD with your product, you must also put the calibre source code on the CD. The source code is available `for download <https://download.calibre-ebook.com>`_. You are free to use the results of conversions from calibre however you want. You cannot use either code or libraries from calibre in your software without making your software open source. For details, see `The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1022
+#: ../../home/kovid/work/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1024
+#: ../../home/kovid/work/calibre/manual/faq.rst:1036
 msgid "A portable version of calibre is available `here <https://calibre-ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1027
+#: ../../home/kovid/work/calibre/manual/faq.rst:1039
 msgid "How do I run parts of calibre like news download and the Content server on my own Linux server?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1029
+#: ../../home/kovid/work/calibre/manual/faq.rst:1041
 msgid "First, you must install calibre onto your Linux server. If your server is using a modern Linux distribution, you should have no problems installing calibre onto it."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1033
+#: ../../home/kovid/work/calibre/manual/faq.rst:1045
 msgid "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older server, you will either need to compile these from source, or use calibre 3.48 which requires GLIBC >= 2.17 or 2.85.1 which requires GLIBC >= 2.13 or calibre 1.48 which requires only GLIBC >= 2.10. In addition, although the calibre command line utilities do not need a running X server, some of them do require the X server libraries to be installed on your system. This is because of Qt, which is used for various image processing tasks, and links against these libraries. If you get an ImportError about some Qt modules, you are likely missing some X libraries."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1043
+#: ../../home/kovid/work/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1047
+#: ../../home/kovid/work/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1051
+#: ../../home/kovid/work/calibre/manual/faq.rst:1063
 msgid "If you want to generate MOBI, use outputfile.mobi instead and use ``--output-profile kindle``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1053
+#: ../../home/kovid/work/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1057
+#: ../../home/kovid/work/calibre/manual/faq.rst:1069
 msgid "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1059
+#: ../../home/kovid/work/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/faq.rst:1063
+#: ../../home/kovid/work/calibre/manual/faq.rst:1075
 msgid "Remember to read the :ref:`cli` section of the calibre User Manual to learn more about these, and other commands."
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/fi/db_api.po 5.10.0+dfsg-1/translations/manual/fi/db_api.po
--- 5.9.0+dfsg-3/translations/manual/fi/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fi/db_api.po	2021-01-20 15:30:28.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Timo Virtanen <pompila@outlook.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/fi/edit.po 5.10.0+dfsg-1/translations/manual/fi/edit.po
--- 5.9.0+dfsg-3/translations/manual/fi/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fi/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: fi\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "E-kirjojen muokkaus"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Sisältö"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Hae ja korvaa"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Tallennetut haut"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Sisällytetään tiedostoon käytetyt fontit"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Kerätään fonteista käytetyt merkit"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Skarpataan välimerkkejä"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Positetaan käyttämättömoä CSS-sääntöjä"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/fi/faq.po 5.10.0+dfsg-1/translations/manual/fi/faq.po
--- 5.9.0+dfsg-3/translations/manual/fi/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fi/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -47,10 +47,10 @@ msgstr "calibre tukee useita formaatteja
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Lähdeformaatit* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -178,7 +178,7 @@ msgid ""
 "resulting MOBI file may not function correctly on a Kindle, since the "
 "Kindle's use the metadata ToC for many things, including the Page Flip "
 "feature."
-msgstr "Kun muunnat MOBI-formaattiin, calibre tunnistaa *metadatasisällysluettelon* lähdetiedostosta ja luo siitä MOBI-tiedoston loppuosan sisällysluettelon. Voit kytkeä toiminnon pois MOBI-vientiasetuksissa. Siellä voit myös ilmoittaa calibrelle sijoitetaanko sisällysluettelo kirjan alkuun vai loppuun. Muista, että semanttisesti tämä on *metadatasisällysluettelo*, ja *missään muussa formaatissa se ei voisi olla osa tekstiä*. MOBIssa tilanne johtuu formaatin rajoitteista. Jos haluat sisällysluettelon tiettyyn kohtaan dokumentin tekstiä, lisää se manuaalisesti. Suosittelemme, että jätät oletusasetukset voimaan, eli sisällysluettelon kirjan loppuun. Sisällysluettelon poistaminen MOBI-kirjan lopusta voi aiheuttaa ongelmia Kindlessä, koska tietoa käytetään Kindlessä mm. sivunkääntötoiminnossa."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:66
 msgid ""
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,7 +938,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/fi/stats.json 5.10.0+dfsg-1/translations/manual/fi/stats.json
--- 5.9.0+dfsg-3/translations/manual/fi/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fi/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 566,
-    "untranslated": 2459
+    "translated": 564,
+    "untranslated": 2467
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/fi/template_lang.po 5.10.0+dfsg-1/translations/manual/fi/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/fi/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fi/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/fi/viewer.po 5.10.0+dfsg-1/translations/manual/fi/viewer.po
--- 5.9.0+dfsg-3/translations/manual/fi/viewer.po	2021-01-06 15:35:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fi/viewer.po	2021-01-20 15:29:39.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Finnish (http://www.transifex.com/calibre/calibre/language/fi/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Tekstin ja kuvien kopiointi"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/fil/db_api.po 5.10.0+dfsg-1/translations/manual/fil/db_api.po
--- 5.9.0+dfsg-3/translations/manual/fil/db_api.po	2020-12-23 14:20:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fil/db_api.po	2021-01-20 15:30:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/fil/edit.po 5.10.0+dfsg-1/translations/manual/fil/edit.po
--- 5.9.0+dfsg-3/translations/manual/fil/edit.po	2020-12-10 03:01:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fil/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: fil\n"
 "Plural-Forms: nplurals=2; plural=(n == 1 || n==2 || n==3) || (n % 10 != 4 || n % 10 != 6 || n % 10 != 9);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/fil/faq.po 5.10.0+dfsg-1/translations/manual/fil/faq.po
--- 5.9.0+dfsg-3/translations/manual/fil/faq.po	2021-01-06 15:34:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fil/faq.po	2021-01-20 15:29:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/fil/stats.json 5.10.0+dfsg-1/translations/manual/fil/stats.json
--- 5.9.0+dfsg-3/translations/manual/fil/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fil/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 9,
-    "untranslated": 3016
+    "untranslated": 3022
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/fil/template_lang.po 5.10.0+dfsg-1/translations/manual/fil/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/fil/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fil/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/fil/viewer.po 5.10.0+dfsg-1/translations/manual/fil/viewer.po
--- 5.9.0+dfsg-3/translations/manual/fil/viewer.po	2021-01-06 15:35:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fil/viewer.po	2021-01-20 15:29:40.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Filipino (http://www.transifex.com/calibre/calibre/language/fil/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/fo/db_api.po 5.10.0+dfsg-1/translations/manual/fo/db_api.po
--- 5.9.0+dfsg-3/translations/manual/fo/db_api.po	2020-12-23 14:21:09.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fo/db_api.po	2021-01-20 15:31:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/fo/edit.po 5.10.0+dfsg-1/translations/manual/fo/edit.po
--- 5.9.0+dfsg-3/translations/manual/fo/edit.po	2020-12-10 03:01:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fo/edit.po	2021-01-20 15:30:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: fo\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/fo/faq.po 5.10.0+dfsg-1/translations/manual/fo/faq.po
--- 5.9.0+dfsg-3/translations/manual/fo/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fo/faq.po	2021-01-20 15:29:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/fo/stats.json 5.10.0+dfsg-1/translations/manual/fo/stats.json
--- 5.9.0+dfsg-3/translations/manual/fo/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fo/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/fo/template_lang.po 5.10.0+dfsg-1/translations/manual/fo/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/fo/template_lang.po	2021-01-06 15:34:27.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fo/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/fo/viewer.po 5.10.0+dfsg-1/translations/manual/fo/viewer.po
--- 5.9.0+dfsg-3/translations/manual/fo/viewer.po	2021-01-06 15:35:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fo/viewer.po	2021-01-20 15:29:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Faroese (http://www.transifex.com/calibre/calibre/language/fo/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/fr/db_api.po 5.10.0+dfsg-1/translations/manual/fr/db_api.po
--- 5.9.0+dfsg-3/translations/manual/fr/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr/db_api.po	2021-01-20 15:30:32.000000000 +0000
@@ -6,13 +6,13 @@
 # Xotes <alois.glibert@gmail.com>, 2015
 # Ptit Prince <leporello1791@gmail.com>, 2014-2016
 # Ptit Prince <leporello1791@gmail.com>, 2014
-# Ptit Prince <leporello1791@gmail.com>, 2016-2018
+# Ptit Prince <leporello1791@gmail.com>, 2016-2018,2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-18 07:11+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 09:26+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -189,6 +189,21 @@ msgid "Return the set of books in the sp
 msgstr "Affiche l'ensemble des livres dans la bibliothèque virtuelle spécifiée"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr "Compresser les images de couverture des livres spécifiés. Une qualité de compression de 100 effectuera une compression sans perte, sinon la compression sera avec perte."
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr "Le rappel d'avancement sera appelé avec le book_id et les anciens et nouveaux formats pour chaque livre qui a été traité. Si une erreur se produit, la nouvelle taille sera une chaîne de caractères contenant les détails de l'erreur."
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/fr/edit.po 5.10.0+dfsg-1/translations/manual/fr/edit.po
--- 5.9.0+dfsg-3/translations/manual/fr/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -5,13 +5,13 @@
 # Translators:
 # Ptit Prince <leporello1791@gmail.com>, 2016
 # Nicolas F. <fernetn@gmail.com>, 2017
-# Ptit Prince <leporello1791@gmail.com>, 2016-2020
+# Ptit Prince <leporello1791@gmail.com>, 2016-2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 09:48+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-18 12:32+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -20,11 +20,11 @@ msgstr ""
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Éditer des livres numériques"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -33,27 +33,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "calibre a un éditeur de livre numérique intégré qui peut être utilisé pour éditer des livres aux formats EPUB et AZW3 (Kindle). L'éditeur vous montre l'HTML et le CSS qui sont utilisés à l'intérieur des fichiers livre, avec une prévisualisation directe qui se met à jour au fur et à mesure que vous faites des changements. Il contient aussi divers outils automatisés pour effectuer un nettoyage usuel et des tâches de réparation. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Vous pouvez utiliser cet éditeur en faisant un clic droit sur n'importe quel livre dans calibre et en sélectionnant guilabel:`Éditer le livre`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Contenu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Fonctionnement de base"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr "Une présentation vidéo de l'éditeur de livre numérique de calibre est disponible `ici <https://calibre-ebook.com/demo#tutorials>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -64,7 +64,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "Quand vous ouvrez un livre la première fois avec l'outil d'Édition de livre, vous serez en présence d'une liste de fichiers sur la gauche. Ceux-ci sont les fichiers HTML individuels, les feuilles de style, les images, etc. qui forment le contenu du livre. Double cliquez simplement sur un fichier pour démarrer son édition. Notez que si vous voulez faire quelque chose de plus sophistiqué que de faire quelques petits ajustements, vous aurez besoin de connaître `le Tutoriel HTML <http://html.net/tutorials/html/>`_ et `le Tutoriel CSS <http://html.net/tutorials/css/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -72,7 +72,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr "Au fur et à mesure que vous faites des changements au HTML ou au CSS dans l'éditeur, les changements seront prévisualisés, en direct, dans le panneau de prévisualisation à gauche. Quand vous êtes content avec l'apparence des changements que vous avez fait, cliquez sur le bouton :guilabel:`Enregistrer` ou utilisez :guilabel:`Fichier->Enregistrer` pour sauvegarder vos changements dans le livre."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -86,18 +86,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr "Une caractéristique intéressante est :guilabel:`Points de contrôle`. Avant de vous embarquer dans un ensemble ambitieux d'éditions, vous pouvez créer un point de contrôle. Le point de contrôle préservera l'état actuel de votre livre, dès lors si dans le futur vous décidez que vous n'appréciez pas les changements que vous lui avez fait vous pouvez revenir à l'état au moment où vous avez créer le point de contrôle. Pour créer un point de contrôle, utilisez :guilabel:`Éditer->Créer un point de contrôle`. Des points de contrôle seront aussi créés automatiquement pour vous au moment où vous exécutez n'importe quel outil automatisé comme le rechercher et remplacer global. La fonctionnalité point de contrôle est en complément au mécanisme normal Annuler/Restaurer lors de l'édition de fichiers individuels. Les points de contrôle vous sont utiles quand les changements sont disséminés sur de multiples fichiers dans le livre."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "C'est le flux de travail basique pour l'édition de livres -- Ouvrir un fichier, faire des changements, prévisualiser et sauver. Le reste de ce manuel traitera des divers outils et caractéristiques présents pour vous permettre d'exécuter efficacement des tâches spécifiques."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr "L'Explorateur de fichiers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -108,7 +108,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr "Le :guilabel:`Navigateur de fichiers` vous donne un aperçu des différents fichiers à l'intérieur du livre que vous êtes occupé à éditer. Les fichiers sont arrangés par catégories, avec les fichiers texte (HTML) au sommet, suivis par les fichiers de feuilles de style (CSS), les images et ainsi de suite. Double cliquez simplement sur un fichier pour en commencer l'édition. L'édition est supportée pour le HTML, le CSS et les fichiers images. L'ordre des fichiers texte est le même ordre que celui dans lequel ils devraient être affichés, si vous êtes occupé de lire le livre. Tous les autres fichiers sont arrangés alphabétiquement."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -116,7 +116,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr "En passant votre souris sur une entrée, vous pouvez voir sa taille, et aussi, au bas de l'écran, le chemin complet du fichier à l'intérieur du livre. Notez que les fichiers à l'intérieur des livres numériques sont compressés, aussi la taille du livre final n'est pas la somme des tailles des fichiers individuels."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -129,16 +129,16 @@ msgid ""
 " of Contents."
 msgstr "Beaucoup de fichiers ont une signification spéciale, dans le livre. Ceux-ci auront généralement une icône à la suite de leurs noms, indiquant leur signification spéciale. Par exemple, dans l'image sur la gauche, vous pouvez voir que les fichiers :guilabel:`cover_image.jpg` et :guilabel:`titlepage.xhtml` ont l'icône d'une couverture à leur suite, ceci indique qu'ils sont l'image de couverture du livre et la page de titre. Similairement, le fichier :guilabel:`content.opf` à une icône métadonnée à sa suite, indiquant que les métadonnées du livre s'y trouvent et le fichier :guilabel:`toc.ncx` à une icône T à sa suite, indiquant que c'est la Table des Matières."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "Vous pouvez effectuer beaucoup d'actions sur les fichiers individuels, en faisant un clic droit sur ceux-ci."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Renommer des fichiers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -146,7 +146,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr "Vous pouvez renommer un fichier individuel en cliquant droit dessus et en sélectionnant :guilabel:`Renommer`. Renommer un fichier met automatiquement à jour  les liens et les références à celui-ci tout au long du livre. Donc tout ce que vous avez à faire est de fournir un nouveau nom, calibre prendra soin du reste."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -160,18 +160,18 @@ msgid ""
 "all images by the order they appear."
 msgstr "Vous pouvez également renommer beaucoup de fichiers en une fois. C'est utile si vous voulez que les fichiers aient un certain modèle de nom élémentaire. Par exemple, vous pourriez vouloir renommer tous les fichiers HTML pour avoir des noms Chapitre-1.html, Chapitre-2.html et ainsi de suite. Sélectionnez les fichiers que vous voulez renommer par lot en maintenant la touche :kbd:`Maj` ou la touche :kbd:`Ctrl` et en cliquant sur les fichiers. Puis cliquez droit et sélectionnez :guilabel:`Renommer par lot`. Entrez un préfixe et à quel nombre vous voudriez que la numérotation automatique commence, Cliquez OK et vous avez fini. La boîte de dialogue de renommage par lot vous permet également de renommer les fichiers selon l'ordre dans lequel ils apparaissent dans le livre au lieu de l'ordre dans lequel vous les avez sélectionnés, ce qui est utile, par exemple pour renommer toutes les images selon l'ordre dans lequel elles apparaissent."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr "Finalement, vous pouvez modifier l'extension de fichier par lot pour tous les fichiers sélectionnés. Sélectionnez plusieurs fichiers, comme ci-dessous, faites un clic droit et choisissez :guilabel:`Modifier l'extension de fichier pour les fichiers sélectionnés`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Fusionner des fichiers "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -179,7 +179,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr "Parfois, vous pouvez vouloir fusionner deux fichiers HTML ou deux fichiers CSS ensemble. Il peut parfois être utile d'avoir tout dans un fichier unique. Soyez attentif, toutefois, que mettre beaucoup de contenu dans un fichier unique pose des problèmes de performance lorsque vous visualisez le livre dans un lecteur de livre numérique spécifique."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -190,11 +190,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr "Pour fusionner de multiples fichiers ensemble, sélectionnez les en maintenant enfoncée la touche :kbd:`Ctrl` (assurez vous de ne sélectionner des fichiers que d'un type, soit tous les fichiers HTML ou tous les fichers CSS et ainsi de suite). Faites alors un clic droit et sélectionner Fusionner. C'est tout. calibre fusionnera les fichiers, prendra automatiquement soin de faire la migration de tous les liens et références aux fichiers fusionnés. Notez que fusionner des fichiers peut parfois entraîner un changement du style de texte, puisque les fichiers individuels pourraient utiliser différentes feuilles de style. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Ordre de fichier texte changeant"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -203,11 +203,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr "Vous pouvez ré-arranger l'ordre dans lequel les fichiers texte (HTML) sont ouvert lors de la lecture du livre en effectuant simplement un glisser-déposer de ceux-ci dans le Navigateur de Fichiers. Techniquement, ceci s'appelle un réarrangement de la structure organisationnelle du livre. Notez que vous devez déposer les éléments \"entre\" d'autres articles, pas au dessus de ceux-ci, ceci peut être un peu délicat jusqu'à ce que vous vous y habituiez."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Marquage de la couverture"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -215,7 +215,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr "Les livres numériques ont normalement une image de couverture. Cette image est signifiée dans le :guilabel:`Navigateur de fichiers` par l'icône d'un livre brun suivant le nom de l'image. Si vous voulez désigner une autre image comme couverture, vous pouvez faire cela en faisant un clic droit sur le fichier et en choisissant :guilabel:`Marquer comme image de couverture`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -227,11 +227,11 @@ msgid ""
 " only the cover and no other content."
 msgstr "En complément, les fichiers EPUB ont le concept de \"page de titre\". Une page de titre est un fichier HTML qui agit comme une page de titre/couverture pour le livre. Vous pouvez marquer un fichier HTML comme page de titre lors de l'édition des EPUBs en faisant un clic droit. Veillez que le fichier que vous marquez contient uniquement l'information de couverture. S'il contient une autre information, comme le premier chapitre, alors le contenu sera perdu si jamais l'utilisateur convertit l'EPUB dans calibre à un autre format. C'est parce que lors de la conversion, calibre suppose que la page de titre indiquée contient uniquement la couverture et pas d'autre contenu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Suppression des fichiers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -240,11 +240,11 @@ msgid ""
 "remove/replace them."
 msgstr "Vous pouvez supprimer des fichiers soit en faisant un clic droit sur ceux-ci, soit en appuyant sur la touche Supprimer. Supprimer un fichier retire toutes les références au fichier du fichier OPF, en enregistrant cette tâche. Cependant, les références dans les autres emplacements ne sont pas retirées, vous pouvez utiliser l'outil de Vérification de Livre pour facilement les trouver et les les supprimer/remplacer."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Exportation de fichiers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -252,7 +252,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr "Vous pouvez exporter un fichier depuis l'intérieur du livre vers quelque part d'autre sur votre ordinateur. Ceci est utile si vous voulez travailler sur le fichier en isolation, avec des outils spécialisés. Pour faire ceci faire simplement un clic droit sur le fichier et choisissez :guilabel:`Exporter`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -260,7 +260,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr "Une fois que vous avez fini de travailler sur le fichier exporté, vous pouvez le ré-importer dans le livre, en faisant à nouveau un clic droit sur le fichier dans le livre et en choisissant :guilabel:`Remplacer avec le fichier...` qui vous permet de le fichier dans le livre avec le fichier précédemment exporté."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -269,11 +269,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr "Vous pouvez également copier des fichiers entre plusieurs instances de l'éditeur. Sélectionnez les fichiers que vous voulez copier dans l':guilabel:`Explorateur de fichiers`, puis cliquez droit et choisissez, :guilabel:`Copier le fichier sélectionné vers une autre instance de l'éditeur`. Ensuite, dans l'autre instance de l'éditeur, faites un clic droit dans l':guilabel:`Explorateur de fichiers` et choisissez :guilabel:`Coller le fichier à partir d'une autre instance de l'éditeur`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "Ajout de nouvelles images/polices/etc. ou création de nouveaux fichiers vides"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -282,17 +282,17 @@ msgid ""
 " for the new file."
 msgstr "Vous pouvez ajouter une nouvelle image, police, feuille de style depuis votre ordinateur dans le livre en cliquant :guilabel:`Fichier->Nouveau fichier`. Ceci vous permet d'importer un fichier en cliquant sur le bouton :guilabel:`Importer un fichier de ressources` ou de créer un fichier HTML ou une feuille de style vierge en entrant simplement le nom du nouveau fichier."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr "Vous pouvez aussi importer de multiples fichiers dans le livre en une fois en utilisant Fichier->Importer des fichiers dans le livre."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Remplacement des fichiers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -300,22 +300,22 @@ msgid ""
 "being replaced."
 msgstr "Vous pouvez facilement remplacer des fichiers existant dans le livre en faisant un clic droit sur le fichier et en choisissant remplacer. Ceci mettra automatiquement tous les liens et références à jour, dans le cas où le fichier de remplacement a un nom différent que le fichier en cours de remplacement."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr "Lier des feuilles de style aux fichiers HTML efficacement"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr "Par commodité, vous pouvez sélectionner de multiples fichiers HTML dans le Navigateur de fichiers, faire un clic droit et choisir Lier les feuilles de style pour que calibre insère automatiquement les balises <link> pour ces feuilles de style dans tous les fichiers HTML sélectionnés."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Rechercher & remplacer"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -324,20 +324,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr "Éditer un livre possède une très puissante interface rechercher et remplacer qui vous permet de rechercher et remplacer du texte dans le fichier courant, à travers tous les fichiers et même dans une région marquée du fichier courant. Vous pouvez rechercher en utilisant une recherche normale ou en utilisant des expressions régulières. Pour apprendre comment utiliser des expressions régulières pour des recherches avancées, voir  :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr "Démarrer le Rechercher et Remplacer via l'entrée de menu :guilabel:`Rechercher->Rechercher/Remplacer` (vous devez être occupé à éditer un fichier HTML ou CSS)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr "Taper le texte que vous voulez trouver dans la case Chercher et sont remplacement dans la case Remplacer. Vous pouvez cliquer les boutons appropriés pour trouver la correspondance suivante, remplacer la correspondance actuelle et remplacer toutes les correspondances."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -345,37 +345,37 @@ msgid ""
 "regular expression search."
 msgstr "En utilisant les menus déroulants en bas de la boîte de dialogue, vous pouvez opérer la recherche sur le fichier courant, tous les fichiers textes, tous les fichiers de style ou tous les fichiers. Vous pouvez aussi choisir le mode de recherche à être une recherche normale (chaîne) ou une recherche par expression régulière."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr "Vous pouvez compter toutes les correspondances pour une expression de recherche via :guilabel:`Rechercher->Tout compter`. Le comptage s'effectuera sur n'importe quels fichiers/régions que vous avez sélectionnés dans les menus déroulants."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr "Vous pouvez aussi vous rendre à une ligne spécifique dans l'éditeur actuellement ouvert via :guilabel:`Rechercher->Aller à la ligne`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr "Rappelez-vous, pour vous armer de toute la puissance de la recherche et du remplacement, vous aurez besoin d'utiliser des expressions régulières. Voir : référence :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Recherches sauvegardées"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr "Vous pouvez sauvez les expressions rechercher/remplacer fréquemment utilisées ((inclus les expressions mode fonction) et les réutilisés de multiples fois. Pour sauver une recherche faites simplement un clic droit dans la case Recherche et sélectionner :guilabel:`Sauvegarder la recherche actuelle`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -384,22 +384,22 @@ msgid ""
 " expressions in a single operation."
 msgstr "Vous pouvez afficher les recherches sauvegardées via :guilabel:`Rechercher->Recherches Sauvegardées`. Ceci vous présentera une lise des expressions de recherche et de remplacement que vous pouvez appliquer. Vous pouvez même sélectionner des entrées multiples dans la liste en maintenant la touche :kbd:`Ctrl` enfoncée pendant que vous cliquez pour exécuter de multiples expressions de recherche et remplacement en une seule opération."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "Mode fonction"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr "Le mode fonction vous permet d'écrire des fonctions Python arbitrairement puissantes qui sont exécutées sur chaque Rechercher/remplacer. Vous pouvez faire à peu près n'importe quelle manipulation de texte que vous souhaitez en mode fonction.  Pour plus d'information, voir :doc:`function_mode`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr "Recherche ignorant les balises HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -408,27 +408,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr "Il y a aussi un outil dédié pour la recherche de texte, ignorant toutes les balises HTML s'y trouvant. Par exemple, si le livre contient l'HTML ``Accent sur un <i>mot</i>.`` vous pouvez chercher ``sur un mot`` et il sera trouvé même s'il y a une balise ``<i>`` au milieu. Utilisez cet outil via l'élément du menu :guilabel:`Rechercher->Rechercher en ignorant le balisage HTML`"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Outils automatisés"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr "Editer le livre à divers outils pour aider avec les tâches communes. Ceux-ci sont accessibles via le menu  :guilabel:`Outils`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Edition de la Table des Matières"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr "Il y a un outil dédié pour l'édition facile de la Table des Matières. Lancez le avec  :guilabel:`Outils->Table des Matières->Modifier Table des Matières`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -436,7 +436,7 @@ msgid ""
 "right."
 msgstr "L'outil éditer la Table des Matières vous affiche la Table des Matières actuelle (s'il y en a une) sur la gauche. Double cliquez simplement sur n'importe quelle entrée pour changer son texte. Vous pouvez aussi ré-organiser les entrées par glisser et déposer ou en utilisant les boutons sur la droite."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -444,7 +444,7 @@ msgid ""
 "files and so on."
 msgstr "Pour les livres qui n'ont pas une Table des Matières préexistante. l'outil vous donne diverses options pour auto-générer une Table des Matières à partir du texte. Vous pouvez générer à partir des en-têtes dans le document, de liens, de fichiers individuels et ainsi de suite."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -454,18 +454,18 @@ msgid ""
 "location."
 msgstr "Vous pouvez éditer des entrées individuelles en cliquant dessus et en cliquant le bouton  :guilabel:`Changer l'emplacement vers lequel pointe cette entrée`. Ceci ouvrira une mini prévisualisation du livre, déplacer simplement le curseur de souris sur le panneau de visualisation du livre, et cliquez où vous voulez que l'entrée pointe. Une ligne verte épaisse vous affichera l'emplacement. Cliquez OK une fois que vous êtes content avec l'emplacement."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr "Vérification du livre"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr "L'outil :guilabel:`Vérifier le livre` recherche dans votre livre les problèmes qui pourraient l'empêcher de fonctionner comme prévu sur les périphériques de lecture actuels. Activez le via :guilabel:`Outils->Vérifier le livre`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -474,11 +474,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr "Tout problème trouvé est reporté dans une liste agréable, facile à utiliser. Cliquer n'importe quelle entrée dans la liste vous affiche une certaine aide à propos de cette erreur aussi bien que de vous donner l'option d'auto-réparer cette erreur, si cette erreur peut être réparée automatiquement. Vous pouvez aussi double cliquer sur l'erreur pour ouvrir l'emplacement de celle-ci dans un éditeur, vous pouvez ainsi la réparer vous même."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr "Certains des contrôles exécutés sont : "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -489,7 +489,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr "Balise HTML mal formée. Toute balise HTML qui n'a pas été analysée comme XML bien formé est signalé. La corriger vous assurera que votre balise fonctionne comme attendu dans tous les contextes. calibre peut aussi auto réparé ces erreurs, mais l'auto réparation peut avoir parfois des effets inattendus, utilisez donc avec précaution. Comme toujours, un point de contrôle est créé avant l'auto réparation vous pouvez donc annuler tous les changements. L'auto réparation fonctionne en analysant la balise utilisant l'algorithme HTML5, qui est  fortement sensible aux défaillances et convertit alors en XML bien formé."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -497,36 +497,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr "Styles CSS mal formés ou inconnus. Tout CSS qui n'est pas valide ou donrt les propriétés ne sont pas définies dans le standard CSS 2.1 (plus un peu de CSS 2.3) sont signalées. Le CSS est vérifié dans toutes les feuilles de style, attributs de style intégrés et les balises <style> dans les fichiers HTML."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr "Les liens cassés. Les liens qui pointent vers des fichiers à l'intérieur du livre qui sont manquant sont signalés."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr "Fichiers non référencés. Fichiers dans le livre qui ne sont pas référencés par tout autre fichier ou ne sont pas dans la structure organisationnelle sont signalés. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr "Divers problèmes habituels dans les fichiers OPF tels que la structure organisationnelle ou des éléments du manifeste en double, des idrefs ou des étiquettes meta couverture cassées, des sections requises manquantes et ainsi de suite."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr "Diverses vérifications de compatibilité pour les problèmes connus qui entraînent un mauvais fonctionnement du livre sur des périphériques de lecture."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Ajout d'une couverture"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -537,11 +537,11 @@ msgid ""
 "the OPF."
 msgstr "Vous pouvez facilement ajouter une couverture au livre via :guilabel:`Outils->Ajouter une couverture`. Ceci vous permet soit de choisir une  image existante dans le livre comme couverture ou d'importer une nouvelle image dans  le livre et en faire la couverture. Lors de l'édition de fichiers EPUB, l'examen de l'HTML  pour la couverture est automatiquement généré. Si une couverture existante pour le livre est trouvée, elle est remplacée. L'outil prend automatiquement soin de marquer les fichiers couverture comme couvertures dans l'OPF."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Intégration des polices référencées"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -550,11 +550,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr "Accédé via :guilabel:`Outils->Inclure les polices référencées`, cet outil trouve toutes les polices référencées dans le livre et si elles ne sont pas encore inclusent, les recherche sur votre ordinateur et les inclus dans le livre, s'il les trouve. Assurez-vous s'il vous plaît que vous avez les droits de copie nécessaires pour inclure les polices à licence commerciale, avant de faire ceci."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Créer un sous-ensemble de polices"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -564,11 +564,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr "Accédé via :guilabel:`Outils->Sous-ensemble de polices incluses`, cet outil réduit toutes les polices dans le livre pour contenir uniquement des glyphes pour le texte actuellement présent dans le livre. Ceci réduit habituellement la taille des fichiers de police de ~ 50%. Cependant, soyez conscient qu'une fois les polices sont en sous-ensemble, si vous ajouter du nouveau texte dont les caractères ne sont pas précédemment présents dans le sous-ensemble de police, la police ne fonctionnera pour le nouveau texte. Aussi faites ceci uniquement comme dernière étape de votre plan de travail."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Amélioration de la ponctuation"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -577,40 +577,40 @@ msgid ""
 "punctuation`."
 msgstr "Converti les tirets,  points de suspension, guillemets, multples traits d'union, etc. en texte clair en leurs équivalents typographiquement corrects. Notez que l'algorithme peut parfois générer des résultats incorrects,  particulièrement quand des apostrophes au début des contractions sont impliquées. Accédé via ;guillabel:`Outils->Ponctuation intelligente`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr "Transformation des propriétés CSS"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr "Créer des règles pour transformer l'esthétique du livre. Par exemple, créer une règle pour convertir tout le texte rouge en vert ou doubler la taille de police de tout le texte dans le livre ou faire le texte d'une certaine famille de police italique, etc. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr "La création de règles est simple, les règles suivent un format de langage naturel, cela ressemble à : "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr "Si la propriété *color* est *rouge* *changez* la en *vert*"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr "Si la propriété *font-size* est *n'importe quelle valeur* *multiplier* la valeur par *2*"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr "Accessible via :guilabel:`Outils->Transformer les styles`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Suppression en cours des règles CSS inutilisées"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -619,11 +619,11 @@ msgid ""
 " unused CSS`."
 msgstr "Supprimer toutes les règles CSS inutilisées des feuilles de style et des balises <style>. Certains livres créés à partir de modèles de production peuvent avoir un grand nombre de règles CSS supplémentaires qui ne correspondent à aucun contenu actuel. Ces règles supplémentaires peuvent ralentir les lecteurs qui ont besoin de toutes les tracer. Accédez via :guilabel:`Outils->Supprimer les règles CSS inutilisées`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Correction de l'HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -635,11 +635,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr "Cet outil convertit simplement de l'HTML qui ne peut pas être analysé comme du XML en XML bien formé. Il est très courant dans les livres numériques d'avoir du XML mal formé, cette outil automatise donc simplement le processus de réparation d'un tel HTML. L'outil fonctionne en analysant l'HTML en utilisant l'algorithme de l'HTML5 (l'algorithme utilisé dans tous les navigateurs récents) et en convertissant alors le résultat en XML. Soyez conscient que l'auto réparation peut parfois avoir des résultats inattendus. Si vous préférez, vous pouvez utiliser l'outil de vérification de livre numérique présenté plus haut pour trouver et corriger manuellement les problèmes dans l'HTML. On y accède via :guilabel:`Outils->Réparer l'HTML`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Embellissement des fichiers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -649,7 +649,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr "Cet outil est utilisé pour auto formater les fichiers HTML et CSS afin qu'ils aient une \"belle apparence\". Le code est auto indenté afin qu'il s'aligne joliment, les interlignes sont insérés là où c'est approprié et ainsi de suite. Notez qu'embellir auto répare également l'HTML/CSS abîmé. Dès lors, si vous ne voulez qu'aucune auto réparation ne soit effectuée, utiliser d'abord l'outil Vérifier le livre pour corriger tous les problèmes et seulement alors exécuter embellir. Accédez via :guilabel:`Outils->Embellir tous les fichiers`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -663,11 +663,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr "En HTML tout texte peut avoir un espacement significatif, par l'intermédiaire de la directive CSS white-space. Par conséquent, l'embellissement pourrait potentiellement changer le rendu de l'HTML. Pour éviter cela autant que possible, l'algorithme d’embellissement embellit uniquement des balises de bloc de niveau qui contiennent d'autres balises de bloc de niveau.. Ainsi, par exemple, du texte à l'intérieur d'une balise <p> n'aura pas ses espacements changés. Mais une balise <body> qui contient seulement d'autres balises <p> et <div> sera embellie. Ceci peut parfois indiquer qu'un fichier particulier ne sera pas affecté par l'embellissement car il n'a pas les balises de niveau de bloc appropriées. Dans de tels cas vous pouvez essayer différents outils d'embellissement, qui font moins attention, par exemple : `HTML Tidy <https://infohound.net/tidy/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr "Insertion d'une Table des Matières"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -676,7 +676,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr "Normalement dans les livres numériques, la Table des Matières est séparée du texte principal et est typiquement accédée par l’intermédiaire d'un bouton/menu spécial dans le périphérique de lecture de livre numérique. Vous pouvez également voir calibre générer automatiquement une Table des Matières \"en interne\" qui devient une partie du texte du livre. Elle est générée sur base de la Table des Matières actuellement définie."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -684,11 +684,11 @@ msgid ""
 "Contents`."
 msgstr "Si vous utilisez cet outil de multiples fois, chaque invocation entraînera le remplacement de la Table des Matières précédemment créée. L'outil peut être accédé via :guilabel:`Outils->Table des Matières->Insérer une Table des Matières`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr "Configuration de Sémantique"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -699,11 +699,11 @@ msgid ""
 "semantics`."
 msgstr "Cet outil est utilisé pour paramétrer les \"sémantiques\" dans les fichiers EPUB. Les sémantiques sont simplement, des liens dans le fichier OPF qui identifient certains emplacements dans le livre comme ayant une signification spéciale. Vous pouvez les utiliser pour identifier l'avant-propos, la dédicace, la couverture, la table des matières, etc. Choisissez simplement le type d'information sémantique que vous  voulez spécifier et choisissez dans le livre l'emplacement vers lequel le lien devra pointer. Cet outil peut être accédé via  :guilabel:`Outils->Paramétrer sémantique`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr "Filtrage des informations de style"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -714,22 +714,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr "Cet outil peut être utilisé pour facilement supprimer des propriétés de style CSS spécifiées de l'entièreté du livre. Vous pouvez lui indiquer quelles propriétés vous voulez supprimer, par exemple, ``color, background-color, line-height`` et il les supprimera partout où elles surviennent --- feuilles de style, étiquettes <style> et attributs internes \"style\". Après la suppression les informations de style, un sommaire des tous les changements effectués est affiché ainsi vous pouvez voir exactement ce qui a été changé. L'outil peut être accédé via  :guilabel:`Outils->Filtrer l'information de style`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr "Mise à jour des éléments du livre"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr "Cet outil peut être utilisé pour mettre à jour les éléments internes du livre, si possible. Par exemple, il mettra à jour les livres EPUB 2 en livres EPUB 3. L'outil est accessible via :guilabel:`Mise à jour des éléments du livre`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Points de Contrôle"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -738,13 +738,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ":guilabel:`Points de contrôle` est un moyen d'indiquer l'état actuel du livre comme étant \"spécial\". Vous pouvez alors y aller et faire tous les changements que vous voulez au livre et si vous n'appréciez pas les résultats, revenir au point de contrôle. Les points de contrôle sont créés automatiquement chaque fois que vous exécutez n'importe lequel des outils automatisés décrit dans la section précédente."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr "Vous pouvez créer un point de contrôle via guilabel:`Editer->Créer un point de contrôle`. Et revenir à un point de contrôle précédent avec :guilabel:`Editer->Rétablir ...`"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -752,7 +752,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr "La fonctionnalité point de contrôle est en addition au mécanisme normal Annuler/Refaire lors de l'édition de fichiers individuels. Les points de contrôles sont particulièrement utiles lorsque les changements sont éparpillés sur de multiples fichiers dans le livre ou quand vous souhaitez être en possibilité d'annuler dans leur ensemble un grand nombre de changements qui s'y rapporte."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -762,11 +762,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr "Vous pouvez voir une liste des points de contrôle disponibles via :guilabel:`Aperçu->Points de contrôle`. Vous pouvez comparer l'état actuel du livre à un point de contrôle particulier en utilisant l'outil :ref:`diff` -- en sélectionnant le point de contrôle intéressé et en cliquant le bouton :guilabel:`Comparer`. Le bouton :guilabel:`Revert to` restaure le livre au point de contrôle sélectionné, annulant tous les changements depuis que ce point de contrôle a été créé."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr "Le Panneau de prévisualisation directe"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -779,7 +779,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr "La :guilabel:`Prévisualisation de fichier` vous donne un aperçu des différents fichiers intégrés. Le panneau de prévisualisation en direct vous montre les changements que vous êtes occupé à faire (avec deux ou trois secondes de délai). Au fur et à mesure que vous éditez les fichiers HTML et CSS, le panneau de prévisualisation est automatiquement mis à jour pour refléter vos changements. En même temps que vous bougez le curseur sur l'éditeur, le panneau de prévisualisation traquera son emplacement, vous montrant l'emplacement correspondant dans le livre. En cliquant dans le panneau de prévisualisation, cela entraînera le positionnement du curseur dans l'éditeur sur l'élément que vous avez cliqué. Si vous cliquez un lien pointant vers un autre fichier dans le livre, ce fichier sera ouvert dans l'éditeur et le panneau de prévisualisation, automatiquement."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -788,7 +788,7 @@ msgid ""
 "render."
 msgstr "Vous pouvez désactiver la synchronisation automatique entre l'emplacement et la prévisualisation en direct des changements -- par les boutons se situant sous le panneau de prévisualisation. La mise à jour en direct du panneau de configuration a lieu uniquement quand vous n'êtes pas activement occupé à taper dans l'éditeur, ceci afin de ne pas vous distraire ou vous ralentir, attendre pour que la prévisualisation soit fournie."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -800,18 +800,18 @@ msgid ""
 "software emulator."
 msgstr "Le panneau de prévisualisation vous montre à quoi ressemblera le texte quand il est visionné. Cependant, le panneau de prévisualisation n'est pas un substitut pour tester votre livre sur un périphérique de lecture. Il est à la fois plus et moins capable qu'un lecteur. Il tolérera des erreurs et des balises négligées bien mieux que beaucoup de périphériques de lecture. Il ne vous affichera pas non plus les marges de page, les sauts de page et les polices intégrées qui utilisent des alias de nom de police. Utiliser le panneau de prévisualisation pendant que vous travaillez sur le livre, mais une fois que vous avez fini, révisez-le dans un périphérique de lecture ou dans un émulateur."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr "Le panneau de prévisualisation ne supporte pas les fontes intégrées si le nom de la police dans le fichier de police ne correspond pas au nom dans la règle CSS @font-face. Vous pouvez utiliser l'outil Vérifier le livre pour trouver rapidement et réparer tous types de problèmes de police."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "Fractionnement des fichiers HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -822,14 +822,14 @@ msgid ""
 "be performed."
 msgstr "Une utilisation, peut-être non évidente, du panneau de prévisualisation est de fractionner de longs fichiers HTML. Pendant la visualisation du fichier que vous voulez fractionner, cliquez le bouton :guilabel:`Mode fractionné` en dessous du panneau de prévisualisation |spmb|. Bouger alors simplement votre souris jusqu'à l'endroit où vous voulez fractionner le livre et cliquez. Une épaisse ligne verte vous montrera ou exactement le fractionnement s'effectuera au fur et à mesure que vous bougez votre souris. Une fois que vous avez trouvé l'emplacement que vous voulez, cliquez simplement et le fractionnement sera effectué."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr "Fractionner le fichier mettra automatiquement à jour tous les liens  et les références qui pointent dans la moitié inférieure du fichier et ouvrira le nouveau fichier fractionné dans un éditeur."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -838,11 +838,11 @@ msgid ""
 "on."
 msgstr "Vous pouvez aussi fractionner un fichier HTML simple en de multiples emplacements automatiquement, en faisant un clic droit à l'intérieur du fichier dans l'éditeur et en choisissant :guilabel:`Fractionner en de multiples emplacements`. Ceci vous permettra de fractionner facilement un grand fichier à toutes les balises de titre ou à toutes les balises ayant une certaine classe et ainsi de suite."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "Le panneau CCS en temps réel"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -850,7 +850,7 @@ msgid ""
 "rules."
 msgstr "Le panneau :guilabel:`CSS en temps réel` vous affiche toutes les règles de style qui s'appliquent à la balise que vous êtes occupé à éditer. Le nom de la balise, avec son numéro de ligne dans l'éditeur est montré, suivi par une liste des règles de style correspondantes."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -859,30 +859,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr "C'est une excellente manière de voir rapidement quelles règles de style s'appliquent à n'importe quelle balise. La vue à aussi des liens cliquables (en bleu), qui vous amène directement à l'emplacement où le style a été défini, dans le cas où vous souhaitez faire n'importe quel changement à la règle de style. Les règles de style qui s'appliquent directement à la balise, aussi bien que les règles qui sont héritées de balises parents sont montrées."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr "Le panneau vous montre aussi quels sont les styles finalement calculés pour la balise. Les propriétés dans la liste qui sont supplantées par des règles de plus haute priorité sont montrées avec une ligne au travers de celles-ci."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr "Vous pouvez activer le panneau CSS en temps réel via :guilabel:`Aperçu->CSS en temps réel`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr "Outils divers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr "Il y a quelques outils de plus qui peuvent être utiles quand vous éditez le livre."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr "La vue Table des Matières"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -891,15 +891,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr "La vue Table des Matières vous montre la table des matières actuelle dans le livre. Faire un double clic sur n'importe quelle entrée ouvre l'endroit où cette entrée pointe dans un éditeur. Vous pouvez faire un clic droit pour éditer la Table des Matières, rafraîchir la vue ou développer/réduire tous les éléments. Accédez à cette vue via :guilabel:`Aperçu->Table des Matières`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Vérification de l'orthographe des mots dans le livre"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr "Vous pouvez exécuter une vérificateur orthographique via  :guilabel:`Outils->Vérifier l'orthographe`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -910,14 +910,14 @@ msgid ""
 "English::"
 msgstr "Les mots sont affichés avec le nombre de fois où ils apparaissent dans le livre et la langue à laquelle le mot appartient. L'information de langue est récupérée des métadonnées des livres et des attributs ``lang`` dans les fichiers HTML. Ceci permet au vérificateur d'orthographe de bien fonctionner même avec des livres qui contiennent du texte dans différentes langues. Par exemple, dans l'extrait HTML qui suit, le mot color sera vérifié en utilisant American English et le mot colour en utilisant British English::"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr "Vous pouvez faire double cliquer un mot pour mettre en évidence l'occurrence suivante de ce mot dans l'éditeur. Ceci est utile si vous souhaitez éditer manuellement le mot, ou voir dans quel contexte il se situe."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -927,7 +927,7 @@ msgid ""
 "menu."
 msgstr "Pour changer un mot, double cliquez simplement l'une des alternatives suggérée sur la droite, ou entrer votre propre orthographe corrigée et cliquez le bouton :guilabel:`Changer le mot sélectionné par`. Ceci remplacera toutes les occurrences du mot dans le livre. Vous pouvez aussi faire un clic droit sur un mot dans la liste de mots principale pour changer le mot aisément à partir du menu contextuel."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -936,7 +936,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr "Vous pouvez faire en sorte que le vérificateur d'orthographe ignore un moment pour la session courante en cliquant le bouton :guilabel:`Ignorer`. Vous pouvez aussi ajouter un mot au dictionnaire utilisateur en cliquant le bouton :guilabel:`Ajouter au dictionnaire`. Le vérificateur d'orthographe supporte de multiples dictionnaires utilisateur, vous pouvez donc sélectionner le dictionnaire auquel vous voulez ajouter le mot."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -944,7 +944,7 @@ msgid ""
 "individual words."
 msgstr "Vous pouvez aussi faire afficher par le vérificateur d'orthographe tous les mots dans votre livre, pas uniquement ceux qui sont mal orthographiés. Ceci est utile   pour voir quels mots sont les plus communs dans votre livre et effectuer un simple rechercher et remplacer sur des mots individuels."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -952,11 +952,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr "Si vous effectuez n'importe quel changement au livre en l'éditant pendant la vérification orthographique, vous devrez cliquer le bouton :guilabel:`Actualiser` dans l'outil de vérification d'orthographe. Si vous ne faites pas cela et continuez d'utiliser l'outil de Vérification d'orthographe, vous pourriez perdre les changements que vous avez effectués dans l'éditeur."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Ajouter de nouveaux dictionnaires"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -966,11 +966,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr "Le vérificateur d'orthographe est fourni avec des dictionnaires intégrés pour les langues Anglaises et Espagnoles. Vous pouvez installer vos propres dictionnaires via :guilabel:`Editer->Préférences->Propriètés de l'éditeur->Organiser les dictionnaires orthographiques`. Le vérificateur orthographique utiliser les dictionnnaires diu programme LibreOffice (au format .oxt). Vous pouvez télécharger ces dictionnaires depuis le dépôt d'Extensions LibreOffice <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Insérer des caractères spéciaux"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -981,7 +981,7 @@ msgid ""
 "Search and replace tool."
 msgstr "Vous pouvez insérer des caractères qui sont difficiles à taper en utilisant l'outil :guilabel:`Editer->Insérer un caractère spécial`. Ceci vous montre tous les caractères Unicode, cliquez simplement le caractère que vous voulez taper. Si vous maintenez la touche :kbd:`Ctrl`  pendant que vous cliquez, la fenêtre se fermera d'elle-même après l’insertion du caractère sélectionné. Cet outil peut être utiliser pour insérer des caractères spéciaux dans  le texte principal ou dans n'importe quel espace de l'interface utilisateur, comme l'outil Rechercher et remplacer."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -992,7 +992,7 @@ msgid ""
 "favorites around."
 msgstr "Parce qu'il y a beaucoup de caractères, vous pouvez définir vos propres caractères :guilabel:`Préférés`,  qui seront montrés en premier. Faites simplement un clic droit sur un caractère pour le marquer comme favori. Vous pouvez aussi faire un clic droit sur un caractère dans préférés pour l'en retirer. Finalement, vous pouvez réarranger l'ordre des caractères dans préférés en cliquant le bouton :guilabel:`Réarranger les préférés` et alors glisser et déposer les caractères dans les favoris."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1003,7 +1003,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr "Vous pouvez aussi saisir directement des caractères spéciaux en utilisant le clavier. Pour faire cela, vous saisissez le code Unicode pour le caractère (en hexadécimal) et appuyez alors les touches :kbd:`Alt+X` ce qui convertira le code précédemment saisi dans le caractère correspondant. Par exemple, pour saisir ÿ vous devrez saisir ff et ensuite :kbd:Alt+X. Pour saisir un espace insécable vous devrez utiliser a0 et ensuite :kbd:`Alt+X`, pour saisir des points de suspension vous devrez utiliser 2026 et ensuite :kbd:`Alt+X` et ainsi de suite."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1011,11 +1011,11 @@ msgid ""
 "colon."
 msgstr "Finalement, vous pouvez saisir des caractères spéciaux en utilisant les entités nommées HTML. Par exemple, saisir &nbsp; sera remplacé par un espace insécable lorsque vous saisissez le point-virgule. Le remplacement survient uniquement quand vous saisissez le point-virgule."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr "La vue inspecteur de code"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1027,11 +1027,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr "Cette vue vous montre le codage HTML et  CSS qui s'applique à l'élément actuel d'intérêt. Vous l'ouvrez par un clic droit sur un emplacement dans le panneau de prévisualisation et en choisissant :guilabel:`Inspecter`. Il vous permet de voir le codage HTML pour cet élément et d'une manière plus primordiale, les styles CSS qui s'y appliquent. Vous pouvez même dynamiquement éditer les styles et voir immédiatement quels effets donnent vos changements. Notez que l'édition des styles n'apporte pas réellement des modifications au contenu de livre, il permet seulement de l'expérimentation rapide. La capacité d'éditer en direct à l'intérieur de l'Inspecteur est en cours de développement."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Vérifications des liens externes"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1039,11 +1039,11 @@ msgid ""
 "for you to fix."
 msgstr "Vous pouvez utiliser cet outil pour vérifier tous les liens dans votre livre qui pointent vers des sites web externes. L'outil essayera de visiter chaque site web lié à l'extérieur, et si la visite échoue, il vous rapportera tous les liens cassés dans un format pratique pour les réparer."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr "Téléchargement de ressources externes"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1052,11 +1052,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr "Vous pouvez utiliser cet outil pour télécharger automatiquement n'importe quel images/feuilles de style/etc. dans le livre qui ne sont pas fournies avec le livre (Par ex : il a des URL pointant vers un endroit sur Internet). L'outil retrouvera tout ces types de ressources et les téléchargera automatiquement, les ajoutera au livre et remplacera toutes les références à celles-ci pour utiliser les fichiers téléchargés."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr "Organisation des fichiers par type dans des dossiers"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1066,11 +1066,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr "Souvent en éditant les fichiers EPUB que vous obtenez de quelque part, vous constaterez que les fichiers à l'intérieur de l'EPUB sont arrangés au petit bonheur la chance, dans différents sous-dossiers. Cet outil vous permet d'entrer automatiquement tous les fichiers dans des sous-dossiers basés sur leurs types. Accédez-y par l'intermédiaire de :guilabel:`Outils->Organiser dans des dossiers`. Notez que cet outil change seulement la manière dont les fichiers sont arrangés à l'intérieur de l'EPUB, il ne change pas la manière dont ils sont affichés dans le Navigateur de fichiers."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr "Importation de fichiers dans d'autres formats de livres numériques comme l'EPUB"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1079,11 +1079,11 @@ msgid ""
 " as a new book`."
 msgstr "L'éditeur inclut la capacité d'importer des fichiers de certains autres formats de livre numérique directement comme un nouvel EPUB, sans passer par une pleine conversion. C'est particulièrement utile pour créer directement des fichiers EPUB à partir de vos propres fichiers HTML édités à la main. Vous pouvez faire ceci par l'intermédiaire de :guilabel:`Fichier->Importer un fichier HTML ou DOCX en tant que nouveau livre`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "L'outil Rapports"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1095,31 +1095,31 @@ msgid ""
 "where the link points."
 msgstr "L'éditeur inclut un outil sympa *Rapports* (via ;guilabel:`Outils->Rapports`) qui affiche des résumés des fichiers, images, mots, caractères et styles utilisés dans le livre. Chaque ligne dans le rapport est liée. Double cliquer une ligne envoie à l'endroit dans le livre où cet élément est utilisé ou défini (selon le cas). Par exemple, dans la vue :guilabel:`Liens`, vous pouvez double cliquer les entrées de la colonne :guilabel:`Source` pour sauter là où le lien est défini et les entrées dans la colonne :guilabel:`Cible` pour sauter là où le lien pointe."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Fonctionnalités spéciales dans l'éditeur de code"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr "L'éditeur HTML calibre est très puissant. Il a beaucoup de fonctionnalités qui rendent l'édition de l'HTML (et du CSS) plus facile."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Mise en évidence de la syntaxe"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr "L'éditeur HTML a des mises en évidence très sophistiquées de la syntaxe. Les fonctionnalités comprennent :"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr "Le texte inclut dans des balises gras, italique et titre est établi en gras/italique"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1127,55 +1127,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr "Au fur et à mesure que vous bougez votre curseur au travers de l'HTML, les balises HTML correspondantes sont mises en surbrillance, et vous pouvez sauter vers la balise ouvrante ou fermante avec les raccourcis clavier :kbd:`Ctrl+{` et :kdb:`Ctrl+}`. De même, vous pouvez sélectionner le contenu d'une balise avec :kbd:`Ctrl+Alt+T`"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "L'HTML invalide est mis en surbrillance avec un soulignement rouge"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr "Les erreurs d'orthographe dans le texte inclut dans les balises HTML et les attributs comme titre sont mis en surbrillance. La correction orthographique est fonction de la langue, basée sur la valeur de l'attribut lang de la balise courante et la langue globale du livre."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr "Le CCS intégré dans des balises ``<style>`` est mis en surbrillance"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr "Les caractères spéciaux qui peuvent être difficiles à distinguer comme les espaces insécables, différents types de traits d'union, etc. sont mis en surbrillance."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr "Les liens vers d'autres fichiers dans des balises ``<a>``, des balises ``<img>`` et ``<link>`` ont tous leurs noms de fichiers mis en surbrillance. Si le nom de fichier vers lequel il pointe n'existe pas, le nom de fichier est marqué avec un soulignement rouge."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Aide sensible au contexte"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr "Vous pouvez faire un clic droit sur une balise HTML ou une propriété CSS pour obtenir de l'aide sur cette balise ou propriété."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr "Vous pouvez également maintenir enfoncée la touche :kbd:`Ctrl` et cliquer sur n'importe quel nom de fichier inclut dans une balise link pour ouvrir automatiquement ce fichier dans l'éditeur."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Auto-complétion"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1183,7 +1183,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr "Pendant l'édition d'un livre numérique, l'une des tâches des plus fastidieuses est la création de liens vers d'autres fichiers dans le livre, ou vers les feuilles de style CSS ou les images. Vous devez indiquer le nom du fichier correct et le chemin relatif au fichier. L'éditeur a une auto-complétion pour faciliter cela."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1193,7 +1193,7 @@ msgid ""
 "the right anchor."
 msgstr "Au fur et à mesure que vous tapez un nom de fichier, l'éditeur fait apparaître automatiquement des suggestions. Utilisez simplement la touche :kbd:`Tabulation` pour sélectionner le nom de fichier correct. L'éditeur offre même des suggestions pour des liens pointant vers une ancre dans un autre fichier HTML. Après que vous ayez tapé le caractère ``#``, l'éditeur vous montrera une liste de toute les ancres dans le fichier cible, avec un petit extrait de texte pour vous aider à choisir la bonne ancre."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1205,11 +1205,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr "Notez que contrairement à la plupart des autres systèmes de complétion, la système de complétion de l'éditeur utilise la correspondance en sous-séquence. Cela signifie que vous pouvez taper seulement deux ou trois lettres de n'importe où dans le nom de ficher pour compléter le nom de fichier. Par exemple, disons que vous voulez le nom de fichier ``../images/arrow1.png``, vous pouvez simplement taper ``ia1`` et appuyer sur la touche :kbd:`Tabulation` pour compléter le nom de fichier. Lors de la recherche de correspondances, le système de complétion priorise les lettres qui sont au début d'un mot, ou immédiatement après un séparateur de chemin. Une fois que aurez pris l'habitude d'utiliser ce système, vous trouverez qu'il vous fait gagner beaucoup de temps et d'efforts."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Fragments"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/fr/faq.po 5.10.0+dfsg-1/translations/manual/fr/faq.po
--- 5.9.0+dfsg-3/translations/manual/fr/faq.po	2021-01-06 15:34:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr/faq.po	2021-01-20 15:29:13.000000000 +0000
@@ -11,15 +11,15 @@
 # Nicolas F. <fernetn@gmail.com>, 2017
 # Paul Muraille <polo@tictips.net>, 2015
 # Ptit Prince <leporello1791@gmail.com>, 2014
-# Ptit Prince <leporello1791@gmail.com>, 2016-2020
+# Ptit Prince <leporello1791@gmail.com>, 2016-2021
 # sengian <sengian1@gmail.com>, 2015
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:08+0000\n"
+"Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -56,10 +56,10 @@ msgstr "calibre supporte la conversion d
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Formats d'entrée :* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr "*Formats d'entrée:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -176,8 +176,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -417,7 +417,7 @@ msgid ""
 msgstr "Si vous connectez un Kindle Fire HD ou un autre appareil Android, lisez la note sous :ref:`android_usb`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -813,8 +813,8 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
-msgstr "Ni Kindle ni le Nook ne fournissent de manière de manipuler des collections sur une connexion USB.  Si vous vous inquiétez vraiment d'employer des collections, je vous inviterais à vendre votre Kindle/Nook et à obtenir une Kobo.  Seulement Kobo semble comprendre que la vie est trop courte pour écrire des collections une par une sur un écran e-ink :)"
+"an e-ink screen 😇"
+msgstr "Ni Kindle ni le Nook ne fournissent de manière de manipuler des collections sur une connexion USB.  Si vous vous inquiétez vraiment d'employer des collections, je vous inviterais à vendre votre Kindle/Nook et à obtenir une Kobo.  Seulement Kobo semble comprendre que la vie est trop courte pour écrire des collections une par une sur un écran e-ink 😇"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
 msgid ""
@@ -947,7 +947,7 @@ msgid ""
 msgstr "Les livres envoyés à la Kindle n'apparaissent qu'une fois qu'ils ont été *indexés* par celle-ci. Cela peut prendre un peu de temps. Si le livre n'apparait pas après un certain temps, alors il est possible que l'indexeur de la Kindle ait crashé. Parfois, un livre particulier peut causer ce crash . Malheureusement, Amazon n'a pas encore fourni de moyen de déduire quel livre causait le crash sur la Kindle. Vos seuls recours sont de soit remettre votre Kindle aux paramètres d'usine, soit de vider tout les fichiers de sa mémoire en utilisant Windows Explorer (ou n'importe quel gestionnaire de fichier que vous utilisez) et ensuite envoyer les livres à nouveaux, un par un, jusqu'à ce que vous trouviez le livre problématique. Une fois trouvé, supprimez le de la Kindle et faites une conversion MOBI vers MOBi ou MOBI vers AZW3 dans calibre et renvoyez le. Ceci résoudra probablement le problème."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr "Gestion de la bibliothèque"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1629,12 +1629,27 @@ msgid ""
 msgstr "La seule façon de trouver le coupable est d'éliminer les programmes un par un et voir lequel est la cause du problème. Essentiellement, arrêtez un programme, exécutez calibre, vérifiez les plantages. S'ils se produisent encore, arrêtez un autre programme et ainsi de suite."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr "Les outils Visionneuse de livres numériques et Édition de livres de calibre ne fonctionnent pas sous Windows ?"
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr "Ces deux programmes utilisent l'accélération matérielle car ils intègrent une version du navigateur Chrome pour rendre le HTML. S'ils ne fonctionnent pas, ce sera en raison d'une incompatibilité avec les pilotes GPU (graphiques) de votre système. Essayez d'abord de les mettre à jour, puis redémarrez. Si cela ne résout pas le problème, vous pouvez définir la variable d'environnement \"QTWEBENGINE_CHROMIUM_FLAGS\" à la valeur \"-disable-gpu\" pour désactiver l'accélération matérielle. Voir `cette page <https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ pour plus de détails."
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr "Utiliser la visionneuse ou faire n'importe quelle conversion cause une erreur de permission refusée dans Windows"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1645,7 +1660,7 @@ msgid ""
 " full control for this folder."
 msgstr "Quelque chose sur votre ordinateur empêche calibre d'accéder à ses propres fichiers temporaires. Le plus souvent les permissions sur le répertoire :file:`Temp` sont incorrectes. Allez au répertoire file:`C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local` dans l'Explorateur de Windows et faites alors un clic droit sur le répertoire file:`Temp`, sélectionnez :guilabel:`Propriétés` et allez à l'onglet :guilabel;`Sécurité`. Assurez-vous que votre compte utilisateur à le contrôle complet sur ce répertoire."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1654,22 +1669,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr "Certains utilisateurs ont rapporté qu'exécuter la commande suivante dans une invite de commande Administrateur répare leurs permissions. Pour obtenir une Invite de Commande Administrateur, cherchez après cmd.exe dans le menu démarrer, faites alors un clic droit sur l'entrée de l'invite de commande et sélectionner Exécuter en tant qu'Administrateur. Dans l'Invite de commande entrer la commande suivante et appuyer Enter::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr "Alternativement, vous pouvez exécuter calibre en tant qu'Administrateur, mais faire cela entraînera que certaines fonctionnalités, telle que le glisser et déposer de, de ne pas fonctionner."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr "Finalement, certains utilisateurs ont rapporté que désactiver l'UAC résout le problème."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr "Calibre crash/ ne démarre pas sous macOS ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1679,14 +1694,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr "Une cause fréquente de pannes sur macOS est l'utilisation de technologies d'accessibilité qui sont incompatibles avec la boite à outils graphique utilisée par calibre. Essayez de désactiver VoiceOver si vous l'avez. Puis allez sur Préférences Système->Système->Accès Universel et désactivez-le paramètre pour autoriser l'accès aux périphériques assistés dans tous les onglets. Une autre raison peut être une application tierce modifiant l’apparence du système, comme Smart Scroll"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr "Vous pouvez obtenir des informations de débogage sur les incidents calibre qui ne démarre pas en lançant `Console.app`. Les informations de débogage y seront transcrites. Si ces informations contiennent une ligne ressemblant à : "
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1697,11 +1712,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr "alors le problème est probablement dû à un cache de police endommagé. Vous pouvez effacer le cache en suivant ces `instructions <https://www.macworld.com/article/1139383/fontcacheclear.html>`_. Si ça ne le résout pas, cherchez un fichier de police corrompu sur votre système, dans  ~/Library/Fonts ou quelque chose qui y ressemble. Un moyen facile de vérifier les polices corrompues dans macOS est de lancer l’application \"Font Book\", sélectionnez toutes les polices, puis dans le menu Fichier, choisissez \"Valider les polices\"."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "J’ai téléchargé le programme d’installation mais il ne fonctionne pas ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1711,26 +1726,26 @@ msgid ""
 "it from running."
 msgstr "Le téléchargement depuis Internet peut parfois aboutir à un résultat corrompu. Si le programme d'installation de calibre que vous avez téléchargé ne s'ouvre pas, essayez de le télécharger à nouveau. Si le nouveau téléchargement ne fonctionne pas, téléchargez-le à partir d'un autre site <https://github.com/kovidgoyal/calibre/releases/latest>`_. Si le programme d’installation ne fonctionne toujours pas, alors quelque chose sur votre ordinateur empêche son exécution."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr "Essayez de désactiver temporairement votre programme antivirus (Microsoft Security Essentials, ou Kaspersky ou McAfee ou Norton ou autre). C’est probablement le coupable si le processus de mise à jour est suspendu en cours de lancement."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr "De même, si l'installateur est défaillant et que vous avez Microsoft PowerToys en cours d'exécution, arrêtez-le."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr "Essayez de redémarrer votre ordinateur et exécutez un nettoyeur de registre comme `Wise registry cleaner <https://www.wisecleaner.com>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1738,13 +1753,13 @@ msgid ""
 " settings."
 msgstr "Essayez une installation propre, C'est-à-dire, désinstallez calibre, supprimez :file:`C:\\\\Program Files\\\\Calibre2` (ou quelque soit l'endroit où vous avec choisi d'installer calibre précdemment) Réinstallez alors calibre. Notez que la désinstallation ne touche pas à vos livres ou à vos paramètres."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr "Essayez de télécharger le programme d'installation avec un autre navigateur. Par exemple, si vous utilisez Internet Explorer, essayez d'utiliser Firefox ou Chrome à la place."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1754,7 +1769,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr "Si vous obtenez une erreur sur une DLL manquante sur Windows alors, très probablement, les autorisations sur le dossier temporaire sont incorrectes. Allez dans le dossier :file:`C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local` dans votre explorateur Windows, puis faites un clic droit sur le dossier :file:`Temp`, puis sélectionnez :guilabel:`Propriétés` et cliquez sur l'onglet :guilabel:`Sécurité`. Assurez-vous que votre compte utilisateur a le contrôle total sur ce dossier."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1762,11 +1777,11 @@ msgid ""
 " a zip file)."
 msgstr "Si vous ne parvenez toujours pas à démarrer le programme d’installation et que vous êtes sous Windows, vous pouvez utiliser `l'installateur de calibre portable <https://calibre-ebook.com/download_portable>`_, qui n'a pas besoin d'un programme d'installation (c’est juste un fichier zip)."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Mon antivirus affirme que calibre est un virus/cheval de troie ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1775,7 +1790,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr "La première chose à vérifier est que vous avez téléchargé calibre sur le site officiel : `<https://calibre-ebook.com/download>`_. Assurez-vous que vous cliquez les liens de téléchargement sur la gauche, pas les publicités sur la droite. calibre est un programme très populaire et des gens peu scrupuleux peuvent offrir la possibilité de le télécharger sur des sites Web non recommandables."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1789,11 +1804,11 @@ msgid ""
 " and then re-enable it."
 msgstr "Si vous avez le téléchargement officiel et que votre antivirus prétend toujours que calibre est un virus, alors, votre programme antivirus fait une erreur. Les programmes antivirus utilisent des technologies heuristiques, les modèles de code qui semblent suspicieux pour détecter les virus. C'est un peu comme le profilage racial. calibre est un produit entièrement open source. Vous pouvez réellement parcourir le code source vous-même (ou le faire faire par quelqu'un d’autre) pour vérifier que ce n'est pas un virus. Merci de signaler la faute d’identification à la companie où vous avez acheté votre logiciel antivirus. Si le programme antivirus vous empêche de télécharger/installer calibre, désactivez-le temporairement, installez calibre, puis réactivez-le."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Comment faire une sauvegarde de calibre ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1802,7 +1817,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr "L’élément le plus important à sauvegarder est le dossier bibliothèque de calibre, qui contient tous vos livres et métadonnées. C'est le dossier que vous avez choisi pour votre bibliothèque calibre lors de l'exécution de calibre pour la première fois. Vous pouvez obtenir le chemin d'accès au dossier de la bibliothèque en cliquant sur l'icône calibre sur la barre d'outils principale. Vous devez sauvegarder ce dossier complet avec tous ses fichiers et sous-dossiers."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1810,7 +1825,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr "Vous pouvez basculer calibre pour utiliser une bibliothèque sauvegardée en cliquant simplement sur l'icône calibre sur la barre d'outils et en sélectionnant le répertoire de sauvegarde de votre bibliothèque. Un dossier de sauvegarde de la bibliothèque conserve vos colonnes personnalisées, les recherches enregistrées ainsi que tous vos livres et métadonnées."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1820,13 +1835,13 @@ msgid ""
 "directory to restore."
 msgstr "Si vous souhaitez sauvegarder les extensions de configuration calibre, vous devez sauvegarder le répertoire config. Vous pouvez trouver ce répertoire config via :guilabel:`Préférences->Divers`. Notez que la restauration des répertoires de configuration n'est pas officiellement supportée, mais devrait fonctionner dans la plupart des cas. Il suffit de copier le contenu du répertoire de sauvegarde dans le répertoire de configuration à restaurer."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr "Comment puis-je mettre des livres numériques EPUB achetés avec calibre (ou que dois-je faire avec les fichiers .acsm) ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1839,44 +1854,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr "La plupart des livres EPUB achetés ont un :doc:`DRM <drm>`.  Ceci empêche calibre de les ouvrir. Vous avez toujours la possibilité d’utiliser calibre pour stocker et transférer les livres sur votre liseuse. Tout d'abord, vous devez autoriser votre liseuse sur Windows avec le logiciel Adobe Digital Editions. Une fois cela fait, les livres EPUB transférés avec calibre fonctionneront sur votre liseuse. Lorsque vous achetez un livre EPUB sur un site Web, vous obtiendrez un fichier *.acsm*. Ce fichier doit être ouvert avec Adobe Digital Editions, qui téléchargera ensuite le livre sous format *.ePub*. Le fichier de livre numérique sera stocké dans le dossier \"My Digital Editions\", d'où vous pourrez l’ajouter à calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "J’ai une erreur “accès refusé” ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr "Une erreur d’accès refusé peut se produire pour de nombreuses raisons possibles, aucune n'ayant un rapport avec calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr "Vous pouvez obtenir des erreurs accès refusé si vous utilisez une carte SD avec protection en écriture activée."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr "Si vous, ou un certain programme que vous utilisez a changé les permissions en lecture seule sur les fichiers en question."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr "Si une erreur de système de fichier sur votre périphérique a amené votre système d'exploitation à monter le système de fichier en lecture seule ou marqué un fichier particulier comme étant en lecture seule pendant une restauration."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr "Si les fichiers ont un utilisateur propriétaire autre que vous."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Si votre fichier est ouvert dans un autre programme."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1884,18 +1899,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr "Si le fichier se trouve sur un périphérique, vous avez atteint la limite d'un maximum de 256 fichiers à la racine du périphérique. Dans ce cas, vous devez reformater le périphérique/la carte SD référencé avec un système de fichiers FAT32, ou supprimer des fichiers de la mémoire de la carte SD/du périphérique."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr "Vous devez corriger la cause sous-jacente à l’accès refusé avant de reprendre l’utilisation de calibre. Lisez le message d'erreur avec soin, repérez le fichier en cause et rétablissez les permissions d’accès sur ce fichier ou sur les répertoires qui le contienne"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr "Puis-je avoir la métadonnée commentaire apparaître sur ma liseuse ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1908,7 +1923,7 @@ msgid ""
 "that format to the same format."
 msgstr "La plupart des liseuses ne supportent pas cela. Vous devriez vous plaindre auprès du fabricant à ce sujet et j'espère que si suffisamment de gens se plaignent, les choses vont changer. En attendant, vous pouvez insérer des métadonnées, y compris des commentaires dans une \"Page jaquette\" au début du livre numérique, en utilisant l'option \"Insérer les métadonnées comme page au début du livre\"  durant la conversion. L'option se trouve dans la section :guilabel:`Détection de la structure` des paramètres de conversion. Pour que cela ait un effet, vous devez *convertir* le livre. Si votre livre est déjà dans un format qui ne nécessite pas de conversion, vous pouvez convertir de ce format sur le même format."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1917,11 +1932,11 @@ msgid ""
 "to\" books on your reader."
 msgstr "Une autre alternative est de créer un catalogue sous forme de livre numérique contenant une liste de tous les livres dans votre bibliothèque calibre, avec leurs métadonnées. Cliquez et maintenez le bouton :guilabel:`Convertir` pour accéder à l'outil de création de catalogues. Et avant que vous demandiez, non, vous ne pouvez pas avoir de *lien direct* du catalogue aux livres sur votre liseuse."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "Comment obtenir que calibre utilise mon proxy HTTP ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1934,21 +1949,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr "Par défaut, calibre utilise tous les paramètres de proxy définis dans votre OS. Parfois, ceux-ci sont incorrects, par exemple, sous Windows, si vous n'utilisez pas Internet Explorer alors les paramètres de proxy peuvent ne pas être à jour. Vous pouvez dire à calibre pour utiliser un serveur proxy notamment en réglant les variables d'environnement `` http_proxy`` et `` https_proxy``. Le format de la variable est : ``http://username:password@servername`` vous devriez demander à votre administrateur réseau de vous donner la valeur correcte pour cette variable. Notez que calibre ne prend en charge que les proxies HTTP et non les proxies SOCKS. Vous pouvez voir les proxies actuellement utilisés par calibre dans Préférences->Divers."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "Je voudrais certaines fonctionnalités ajoutées à calibre. Que puis-je faire ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Vous avez deux choix:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr "Créer un patch en bidouillant calibre et me l'envoyer pour examen et inclusion. Voir `Développement <https://calibre-ebook.com/get-involved>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1959,15 +1974,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr "`Ouvrir un bug demandant la fonctionnalité <https://calibre-ebook.com/bugs>`_ .  Rappelez-vous que même si vous pensez que votre demande de fonctionnalité est extrêmement importante/essentielle, les développeurs de calibre peuvent ne pas être d'accord. Heureusement, calibre est open source, ce qui signifie que vous avez toujours la possibilité de mettre en œuvre votre fonction vous-même, ou d'embaucher quelqu'un pour le faire pour vous. En outre, calibre a une architecture d'extension compréhensive, vous devriez donc être en mesure de développer votre fonctionnalité en tant qu'extension, voir :ref:`pluginstutorial`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Pourquoi calibre n’a pas de mise à jour automatique ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Pour de nombreuses raisons :"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1975,7 +1990,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*Il n'est pas nécessaire de mettre à jour chaque semaine*. Si vous êtes satisfait du fonctionnement de calibre, désactivez la notification de mise à jour. Revenez vérifier pour voir si vous voulez mettre à jour une fois par an ou plus. Il y a une case à cocher pour désactiver la  notification de mise à jour, sur la notification de mise à jour elle-même."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1983,7 +1998,7 @@ msgid ""
 " which someone has to pay."
 msgstr "Les téléchargements de calibre utilisent actuellement `environ 150 To de bande passante par mois  <https://calibre-ebook.com/dynamic/downloads>`_. L'implémentation des mises à jour automatiques augmenterait considérablement cela et cela finirait par coûter des milliers de dollars par mois, que quelqu'un devrait payer."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1991,25 +2006,25 @@ msgid ""
 " things to do in calibre development."
 msgstr "Si j’implémentais une boîte de dialogue permettant de télécharger la mise à jour et de la lancer, au lieu d'aller sur le site comme il faut le faire actuellement, cela permettrait d’économiser *tout au plus cinq clics par semaine*. Il y a de bien plus hautes priorités à mettre en place pour le développement de calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr "Si vous détestez vraiment télécharger la mise à jour calibre toutes les semaines mais tenez à avoir la dernière version, je vous encourage à l'exécuter depuis la source qui rend la mise à jour insignifiante. Les instructions sont :ref:`disponibles ici <develop>`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr "Il y a des installateurs de mise à jour automatiques faits par des utilisateurs calibre dans le `forum calibre <https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Quelle est la licence de calibre ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2022,30 +2037,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr "calibre est sous licence General Public License v3 (une licence open source). Cela signifie que vous êtes libre de redistribuer calibre tant que vous rendez le code source disponible. Donc, si vous voulez mettre calibre sur un CD avec votre produit, vous devez également mettre le code source de calibre sur le CD. Le code source est disponible `en téléchargement <https://download.calibre-ebook.com>`_. Vous êtes libre d'utiliser le résultat des conversions de calibre comme vous le souhaitez. Vous ne pouvez pas utiliser le code et les bibliothèques de calibre dans votre logiciel sans rendre votre logiciel open source. Pour plus de détails, voir `The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Comment exécuter calibre depuis ma clé USB ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Une version portable de calibre est disponible `ici <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr "Comment faire fonctionner des éléments de calibre comme le téléchargement d'actualités et le serveur de contenu sur mon propre serveur Linux ?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr "Tout d'abord, vous devez installer calibre sur votre serveur linux. Si votre serveur utilise une distribution Linux récente, vous ne devriez avoir aucun problème pour y installer calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2058,34 +2073,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr "calibre nécessite GLIBC >= 2.18 et libstdc++ >= 6.0.21. Si vous disposez d'un serveur plus ancien, vous devrez soit les compiler à partir des sources, soit utiliser calibre 3.48 qui nécessite GLIBC >= 2.17 ou 2.85.1 qui nécessite le GLIBC >= 2.13 ou calibre 1.48 qui ne nécessite que GLIBC >= 2.10. En outre, bien que les utilitaires en ligne de commande de calibre n'aient pas besoin d'un serveur X en fonctionnement, certains d'entre eux exigent que les bibliothèques du serveur X soient installées sur votre système. Cela est dû à Qt, qui est utilisé pour diverses tâches de traitement d'images, et aux liens avec ces bibliothèques. Si vous obtenez une ImportError à propos de certains modules Qt, il est probable qu'il vous manque certaines bibliothèques X."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Vous pouvez exécuter le serveur de calibre via la commande::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr "Vous pouvez télécharger les actualités et les convertir en livre numérique avec la commande::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "Si vous voulez générer un MOBI, utilisez outputfile.mobi à la place et utiliser ``--output-profile kindle``."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "Vous pouvez envoyer par courriel les actualités téléchargées avec la commande::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr "Je vous laisse trouver la ligne de commande exacte comme un exercice pour le lecteur."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Enfin, vous pouvez ajouter les nouvelles téléchargées vers la bibliothèque calibre avec:: "
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/fr/stats.json 5.10.0+dfsg-1/translations/manual/fr/stats.json
--- 5.9.0+dfsg-3/translations/manual/fr/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 3025,
+    "translated": 3031,
     "untranslated": 0
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/fr/template_lang.po 5.10.0+dfsg-1/translations/manual/fr/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/fr/template_lang.po	2021-01-06 15:34:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr/template_lang.po	2021-01-20 15:28:53.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 12:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-18 12:35+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -715,9 +715,9 @@ msgstr "``and(valeur, valeur, …)`` --
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
-msgstr "``add(x, y)`` -- renvoie x + y. Renvoie une exception si x ou y ne sont pas des nombres."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
+msgstr "``add(x, y, ...)`` -- renvoie la somme de ses arguments. Lance une exception si un argument n'est pas un nombre."
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
 msgid ""
@@ -857,6 +857,12 @@ msgstr "``field(name)`` -- renvoie le ch
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr "``field_exists(field_name)`` -- vérifie si un champ (colonne) nommé ``field_name`` existe, en retournant '1' si oui et '' si non."
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -866,14 +872,14 @@ msgid ""
 "same output as the above template::"
 msgstr "``finish_formatting(val, fmt, prefix, suffix)`` -- applique le format, le préfixe et le suffixe à une valeur de la même manière que dans un modèle comme ``{series_index:05.2f| - |- }``. Cette fonction est fournie pour faciliter la conversion de modèles complexes en mode programme à fonction unique ou en mode programme-modèle en :ref:`Mode Programme Général<general_mode>` (voir ci-dessous) pour tirer parti de la compilation des modèles MPG. Par exemple, le programme suivant produit le même résultat que le modèle ci-dessus ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Un autre exemple: pour le modèle ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` utilisez::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -881,33 +887,33 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- compare ``val < cmpN`` dans la séquence, retourne resultN pour la première comparaison qui réussit. Retourne else_return si aucune comparaison ne réussit. Exemple::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "renvoie \"large\". Le même exemple avec une première valeur à 16 renvoie \"géant\"."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty(valeur, valeur, …)`` -- retourne la première valeur non vide. Si toutes les valeurs sont vides, la valeur vide est retournée. Vous pouvez avoir autant de valeurs que vous voulez."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr "``floor(x)`` -- renvoie le plus grand entier inférieur ou égal à x. Envoie une exception si x n'est pas un nombre."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr "``format_date(val, format_string)`` -- formate la valeur, qui doit être un champ date, en utilisant format_string, retournant une chaîne. Les codes de formatage sont::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -916,7 +922,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr "Vous pouvez obtenir des résultats inattendus si la date que vous formatez contient des noms de mois localisés, ce qui peut arriver si vous avez modifié les réglages de format pour qu'ils contiennent ``MMMM``. Dans ce cas, au lieu d'utiliser quelque chose comme ``{pubdate:format_date(yyyy)}``, écrivez le modèle en utilisant le mode de programme modèle comme dans ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -926,7 +932,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(format_string)`` -- retourne une liste séparée par des virgules d’éléments séparés par deux-points représentant les dates de modification pour les formats d’un livre. Le paramètre format_string indique comment la date doit être formatée. Voir la fonction  `format_date()` pour plus de détails. Vous pouvez utiliser la fonction select pour obtenir le moment de modification pour un format spécifique. Veuillez noter que les noms de format sont toujours en majuscules, comme dans EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -934,7 +940,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- retourne une liste séparées par des virgules d'éléments séparés par deux points représentant le chemin absolu vers les formats d'un livre. Vous pouvez utiliser cette fonction pour obtenir le chemin d'un format spécifique. Notez que ces noms de formats sont toujours en majuscule, comme dans EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -942,27 +948,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- renvoie une liste séparée par des virgules correspondant à des articles représentant les tailles en octets des formats du livre. Vous pouvez utiliser la fonction select pour obtenir la taille d’un format spécifique. Notez que ces noms de formats sont toujours en majuscule, comme dans EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr "``fractional_part(x)`` -- renvoie la valeur après la virgule. Par exemple, ``fractional_part(3.14)`` renvoie ``0.14``. Envoie une exception si ``x`` n'est pas un nombre."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr "``has_cover()`` -- renvoie ``Yes`` si le livre a une couverture, sinon renvoie une chaîne vide"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(value)`` -- renvoie la chaîne \"1\" si la valeur est vide, sinon renvoie la chaîne vide. Cette fonction fonctionne très bien avec test ou first_non_empty."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -970,7 +976,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(list1, list2, separator)`` -- restitue une liste en supprimant de ``list1`` tout élément trouvé dans ``list2 ``en utilisant une comparaison insensible à la casse. Les éléments dans ``list1`` et ``list2`` sont séparés par le séparateur, comme le sont les éléments dans la liste restituée."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -979,7 +985,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` --retourne `yes_val` si ``list1`` et ``list2`` contiennent les mêmes éléments, sinon renvoie ``no_val``. Les éléments sont déterminés en éclatant chaque liste à l’aide du séparateur approprié (`sep1` ou `sep2`). L’ordre des éléments dans la liste n’est pas pris en compte. La comparaison est insensible à la casse."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -987,7 +993,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(list1, list2, separator)`` -- restitue une liste en supprimant de ``list1`` tout élément non trouvé dans ``list2 ``en utilisant une comparaison insensible à la casse. Les éléments dans ``list1`` et ``list2`` sont séparés par le séparateur, comme le sont les éléments dans la liste restituée."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -997,7 +1003,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(src_list, separator, include_re, opt_replace)`` -- Construit une liste en séparant d'abord `src_list` en éléments utilisant le caractère de séparation. Pour chaque élément dans la liste, vérifie s'il correspond à `include_re`. Si c'est le cas, alors il l'ajoute à la liste à renvoyer. Si `opt_replace` n'est pas une chaîne vide, alors effectue le remplacement avant d'ajouter l'élément à la liste renvoyée."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1005,7 +1011,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(src_list, separator, include_re, search_re, template_for_group_1, for_group_2, ...)`` -- Comme list_re excepté que les remplacements ne sont pas optionnels. Il utilise re_group(item, search_re, template ...) quand il effectue les remplacements."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1013,7 +1019,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr "``list_sort(list, direction, separator) -- retourne une liste triée en utilisant un tri insensible à la casse. Si ``direction`` est zéro, ``list`` est triée de manière ascendante, sinon descendante. Les éléments sont séparés par le séparateur, comme ceux de la liste retournée."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1022,53 +1028,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr "``list_union(list1, list2, separator)`` -- restitue une liste créée de la fusion des éléments dans ``list1`` et ``list2``, supprimant les doublons en utilisant une comparaison insensible à la casse. Si la casse des éléments diffère, celle de ``list1`` est utilisée. Les éléments dans ``list1`` et ``list2`` sont séparés par le séparateur, comme ceux de la liste restituée."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr "``mod(x)`` -- renvoie le reste de ``x / y``, où ``x``, ``y``, et le résultat sont des entiers. Envoie une exception si ``x`` ou ``y`` n'est pas un nombre."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
-msgstr "``multiply(x, y)`` -- renvoie x * y. Renvoie une exception si x ou y ne sont pas des nombres."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr "``Multiply(x, y, ...)`` -- renvoie le produit de ses arguments. Lance une exception si un argument n'est pas un nombre."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr "``ondevice()`` -- renvoie la chaîne \"Yes\" si ``ondevice`` est paramétré, sinon renvoie la chaîne vide"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr "``or(value, value, …)`` -- renvoie la chaîne ``\"1\"`` si n'importe quelle valeur n’est pas vide, sinon renvoie la chaîne vide. Cette fonction fonctionne très bien avec test ou `first_non_empty`. Vous pouvez avoir autant de valeurs que vous voulez."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr "``print(a, b, …)`` -- affiche les arguments dans la console standard. Sauf si vous avez démarré calibre à partir de la ligne de commande (``calibre-debug -g``), la sortie ira dans un trou noir."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "``raw_field(name)`` -- renvoie le champ de métadonnée nommé par name sans appliquer aucun formatage."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_field(name, separator)`` -- renvoie la liste de métadonnées nommée par name sans appliquer aucun formatage ou triage et avec les éléments séparés par separator."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1080,17 +1086,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` -- retourne une chaîne de caractères faite en appliquant le pattern d'expression régulière à la val et en remplaçant chaque instance correspondante par la chaîne de caractères calculée en remplaçant chaque groupe correspondant par la valeur retournée par le modèle correspondant. La valeur originale de la correspondance pour le groupe est disponible sous la forme ``$``. En Mode de Programme de Modèle, comme pour le modèle et les fonctions eval, vous utilisez [[ for { and ]] for }. L'exemple suivant en Mode Programme de Modèle recherche les séries comportant plus d'un mot et met le premier mot en majuscule ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr "``round(x)`` -- renvoie l'entier le plus proche de x. Envoie une exception si x n'est pas un nombre."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "``series_sort()`` -- renvoie la valeur de tri des séries."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1099,17 +1105,17 @@ msgid ""
 "list. Example::"
 msgstr "``'split(list_val, sep, id_prefix)`` -- divise la ``list_val`` en valeurs séparées en utilisant ``sep``, puis assigne les valeurs aux variables nommées ``id_prefix_N`` où N est la position de la valeur dans la liste. Le premier élément a la position 0 (zéro). La fonction renvoie le dernier élément de la liste. Exemple ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr "est équivalent à ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "``strcat(a, b, …)`` -- peut avoir n'importe quel nombre d’arguments. Renvoie une chaine constituée par la concaténation de tous les arguments."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1119,19 +1125,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr "``strcat_max(max, string1, prefix1, string2, …)`` -- Retourne la chaîne formée par la concaténation des arguments. La valeur retournée est initialisée à ``string1``. Les paires ``Prefix,string`` sont ajoutées à la fin de la valeur tant que la taille de la chaîne de sortie est plus petite que ``max``. ``string1`` est retournée même si ``string1`` est plus grande que ``max``. Vous pouvez passer autant de paires de ``prefix,string`` que vous le souhaitez."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr "``strcmp(x, y, lt, eq, gt)`` -- effectue une comparaison insensible à la casse des chaines ``x`` et ``y``. Renvoie ``lt`` si ``x < y``. Renvoie ``eq`` si ``x == y``. Sinon renvoie ``gt``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "``strlen(a)`` -- Retourne la longueur de la chaîne de caractères passée en argument."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1141,20 +1147,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "``substr(str, start, end)`` -- renvoie les caractères de début jusqu'à fin de ``str``. Le premier caractère dans ``str`` est le caractère zéro. Si end est négatif, cela indique que beaucoup de caractères sont comptés à partir de la droite. Si end est zéro, cela indique le dernier caractère. Par exemple, ``substr('12345', 1, 0)`` renvoie ``'2345'``, et ``substr('12345', 1, -1)`` renvoie ``'234'``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr "``subtract(x, y)`` -- renvoie ``x - y``. Renvoie une exception si ``x`` ou ``y`` ne sont pas des nombres."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr "``today()`` -- renvoie une chaîne date pour aujourd’hui. Cette valeur est conçue pour être utiliser avec `format_date` ou `days_between`, mais peut être manipulée comme toute autre chaîne. La date est au format ISO."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1166,11 +1172,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr "``Template(x)`` -- évalue ``x`` comme modèle. L'évaluation est faite dans son propre contexte, ce qui signifie que les variables ne sont pas partagées entre l'appelant et l'évaluation du modèle. Comme les caractères `{` et `}` sont spéciaux, vous devez utiliser `[[` pour le caractère `{` et `]]` pour le caractère '}' ; ils sont convertis automatiquement. Par exemple, ``template('[[title_sort]]]) va évaluer le modèle ``{title_sort}`` et retourner sa valeur. Notez également que les préfixes et les suffixes (la syntaxe `|prefix|suffix`) ne peuvent pas être utilisés dans l'argument de cette fonction lorsque vous utilisez le Mode de Programmation des Modèles."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr "Utilisation du Mode Programme Général"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1180,14 +1186,14 @@ msgid ""
 "set."
 msgstr "Pour les programmes modèles plus complexes, il est souvent plus facile d'éviter la syntaxe des modèles (tous les caractères `{` et `}`), et d'écrire un programme d'apparence plus classique. Vous pouvez faire cela en commençant le modèle par `program:`. Le programme modèle est compilé et exécuté. Aucun traitement de modèle (par exemple, formatage, préfixes, suffixes) n'est effectué. La variable spéciale `$` n'est pas définie."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr "L'un des avantages du mode `programme:` est que les accolades ne sont plus spéciales. Par exemple, il n'est pas nécessaire d'utiliser les `[[` et `]]` lors de l'utilisation de la fonction `template()`. Un autre avantage est la lisibilité."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1195,26 +1201,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr "Le Mode Programme de Modèle et le Mode Programme Général prennent en charge les **opérateurs relationnels (de comparaison) classiques ** : ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. Les opérateurs renvoient \"1\" s'ils évaluent à True, sinon ''. Ils font une comparaison de chaînes insensible à la casse en utilisant l'ordre lexical. Exemples :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr "``program: field('series') == 'foo'`` returns '1' if the book's series is 'foo'."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns 'bar' if the book's series is not 'foo', else 'mumble'."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr "``program: if or(field('series') == 'foo', field('series') == '1632') then 'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', otherwise 'no'."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1224,13 +1230,13 @@ msgid ""
 "error is raised."
 msgstr "``program: if '11' > '2' then 'oui' else 'no' fi`` renvoie \"non\" parce qu'il fait une comparaison lexicale. Si vous voulez une comparaison numérique au lieu d'une comparaison lexicale, utilisez les opérateurs ``==#``, ``=#``, ``<#``, ``<=#``, ``>#``, ``<=#``. Dans ce cas, les valeurs gauche et droite sont mises à zéro si elles sont indéfinies ou si la chaîne est vide. S'il ne s'agit pas de nombres, une erreur se produit."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr "Les Modes de Programme Général et Modèle prennent en charge **les expressions ``if``** avec la syntaxe suivante ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1240,50 +1246,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr "Les parties elif et else sont facultatives. Les mots ``if``, ``then``, ``elif``, ``else`` et ``fi`` sont réservés ; vous ne pouvez pas les utiliser comme noms d'identification. Vous pouvez mettre des lignes de rappel et des espaces partout où ils ont un sens. <<expression>> est une expression linguistique modèle ; les points-virgules ne sont pas autorisés. <<expression_list>> est une séquence d'expressions de langue modèle séparées par des points-virgules, y compris les ifs imbriqués. Exemples :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr "``program: if field('series') then 'yes' else 'no' fi``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; b='yes' fi; strcat(a, '-', b)``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr "Exemple de ``if`` imbriqué::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr "Un ``if`` produit une valeur comme toute autre expression de langage. Cela signifie que tous les éléments suivants sont valables :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr "``program: if field('series') then 'foo' else 'bar' fi``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr "Le langage modèle prend en charge **les expressions ``for``** avec la syntaxe suivante :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1293,13 +1299,13 @@ msgid ""
 "evaluated."
 msgstr "L'expression doit évaluer soit une clé de recherche de champ de métadonnées, par exemple ``tags`` ou ``#genre``, soit une liste de valeurs séparées par des virgules. Si le résultat est un nom de recherche valide, la valeur du champ est récupérée, sinon la liste est divisée en ses valeurs individuelles. Chaque valeur résultante de la liste est attribuée à la variable \"id\", puis la \"liste d'expression\" est évaluée."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr "Exemple : Ce modèle supprime le premier nom hiérarchique pour chaque valeur dans le genre (``#genre``), en construisant une liste avec les nouveaux noms ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1309,18 +1315,18 @@ msgid ""
 "value to Genre."
 msgstr "Si le genre original est \"Histoire.Militaire, Science Fiction.Histoire alternative, Lisez-moi\", alors le modèle renvoie \"Militaire, Histoire alternative, Lisez-moi\". Vous pouvez utiliser ce modèle dans le calibre :guilabel:`Modifier les métadonnées par lot -> Rechercher & remplacer` avec :guilabel:`Rechercher for` set to ``template`` pour supprimer le premier niveau de la hiérarchie et attribuer la valeur résultante au Genre."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr "Note : la dernière ligne du modèle, ``new_tags``, n'est pas nécessaire dans ce cas car ``for`` renvoie la valeur de la dernière ``expression`` dans la ``liste des expressions``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr "Modèles de Mode de Programme Général stockés"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1331,24 +1337,24 @@ msgid ""
 "named ``foo``:"
 msgstr "Le Mode Programme Général permet d'enregistrer des modèles et de les appeler à partir d'un autre modèle. Vous enregistrez les modèles en utilisant :guilabel:`Préférences->Avancé->Modéles de fonctions`. Plus d'informations sont fournies dans cette boite de dialogue. Vous appelez un modèle de la même manière que vous appelez une fonction, en passant des arguments de position si vous le souhaitez. Un argument peut être n'importe quelle expression. Exemples d'appel d'un modèle, en supposant que le modèle stocké est nommé ``foo`` :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr "``foo()`` -- appelle le modèle en ne passant aucun argument."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr "``foo(a, b)`` appelle le modèle en passant les valeurs des deux variables ``a`` et ``b``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr "``foo(if field('series') then field('series_index') else 0 fi)`` -- si le livre a ``series`` alors passez le ``series_index``, sinon passez la valeur ``0``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1361,29 +1367,29 @@ msgid ""
 "``alternate``::"
 msgstr "Dans le modèle stocké, vous récupérez les arguments passés dans l'appel en utilisant la fonction ``arguments``. Elle déclare et initialise les variables locales, en fait des paramètres. Les variables sont positionnelles ; elles obtiennent la valeur de la valeur donnée dans l'appel dans la même position. Si le paramètre correspondant n'est pas fourni dans l'appel, alors la fonction ``arguments`` attribue à cette variable la valeur par défaut fournie. S'il n'y a pas de valeur par défaut, alors la variable est fixée à la chaîne vide. Par exemple, la fonction \"arguments\" suivante déclare 2 variables, ``key``, ``alternate``::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr "Par exemple, en supposant encore une fois que le modèle stocké est nommé ``foo`` :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr "``foo('#myseries')`` -- l'argument ``key`` aura la valeur ``myseries`` et l'argument ``alternate`` aura la valeur ``series``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr "``foo('series', '#genre')`` la variable ``key`` prend la valeur ``series`` et la variable ``alternate`` prend la valeur ``#genre``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr "``foo()`` -- la variable ``key`` se voit attribuer la chaîne vide et la variable ``alternate`` se voit attribuer la valeur ``#genre``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1392,11 +1398,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr "Une façon simple de tester les modèles stockés est d'utiliser le dialogue \"Testeur de modèle\". Donnez-lui un raccourci clavier dans :guilabel:`Préférences->Avancé->Raccourcis clavier->Tester le modèle``. Donner un raccourci au dialogue ``Modèles stockés`` aidera à passer plus rapidement du testeur à l'édition du code source du modèle stocké."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr "Fournir des informations supplémentaires aux modèles"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1404,11 +1410,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr "Un développeur peut choisir de transmettre des informations supplémentaires au processeur du modèle, telles que des métadonnées de livre spécifiques à l'application ou des informations sur ce qui est demandé au processeur. Un modèle peut accéder à ces informations et les utiliser pendant l'évaluation."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr "**Développeur : comment transmettre des informations supplémentaires**"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1419,27 +1425,27 @@ msgid ""
 "underscore."
 msgstr "L'information supplémentaire est un dictionnaire python contenant les paires ``variable_name: variable_value`` où les valeurs doivent être des chaînes de caractères. Le modèle peut accéder au dict, en créant des variables locales de modèle nommées ``variable_name`` contenant la valeur ``variable_value``. L'utilisateur ne peut pas changer le nom, il est donc préférable d'utiliser des noms qui n'entreront pas en collision avec d'autres variables locales du modèle, par exemple en préfixant le nom par un trait de soulignement."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr "Ce dict est passé au processeur de modèle (le \"formatter\") en utilisant le paramètre nommé \"global_vars=your_dict\". La signature complète de la méthode est :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr "def safe_format(self, fmt, kwargs, error_value, book,"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr "column_name=None, template_cache=None, strip_results=True, template_functions=None, global_vars={})"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr "**Rédacteur de modèles : comment accéder aux informations complémentaires**"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1453,11 +1459,11 @@ msgid ""
 "variable."
 msgstr "Vous accédez aux informations supplémentaires dans un modèle en utilisant la fonction de modèle ``global(id[=expression] [, id[=expression]]*)*`` où ``id`` est un nom de variable légale quelconque. Cette fonction vérifie si les informations supplémentaires fournies par le développeur contiennent le nom. Si c'est le cas, la fonction attribue la valeur fournie à une variable locale modèle avec le nom donné. Si le nom ne figure pas dans les informations supplémentaires et si une \"expression\" est fournie, cette \"expression\" est évaluée et le résultat est attribué à la variable locale. Si ni une valeur ni une expression n'est fournie, la fonction attribue la chaîne vide (``''``) à la variable locale."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr "Notes sur la différence entre les modes"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1467,35 +1473,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr "Les trois modes de programme, le mode de fonction unique (MFU), le mode de programme modèle (MPM) et le mode de programme général (MPG), fonctionnent différemment. Le MFU se veut 'simple' et cache donc beaucoup de bits du langage de programmation. Par exemple, la valeur de la colonne est toujours passée comme premier argument 'invisible' à une fonction incluse dans le modèle. La MPG ne prend pas non plus en charge la différence entre les variables et les chaînes de caractères ; toutes les valeurs sont des chaînes de caractères."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr "Exemple : le modèle SFM suivant renvoie soit le nom de la série, soit la chaîne \"pas de série\" ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr "Le modèle équivalent dans MPM est ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr "Le modèle équivalent dans MPG est ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr "Le premier argument de ``ifempty`` est la valeur du champ ``série``. Le second argument est la chaîne ``no series``. Dans SFM, le premier argument, la valeur du champ, est automatiquement passé (l'argument invisible)."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr "Plusieurs fonctions du modèle, par exemple ``booksize()`` et ``current_library_name()``, ne prennent aucun argument. En raison de l'\"argument invisible\", vous ne pouvez pas utiliser ces fonctions dans SFM."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1503,20 +1509,20 @@ msgid ""
 "SFM::"
 msgstr "Les fonctions imbriquées, où une fonction appelle une autre fonction pour calculer un argument, ne peuvent pas être utilisées dans SFM. Par exemple, ce modèle, destiné à renvoyer les 5 premiers caractères de la valeur de la série en majuscules, ne fonctionnera pas dans SFM ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr "MPM et MPG soutiennent des fonctions imbriquées. Le modèle ci-dessus dans MPM serait: :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr "Dans MPG, ce serait ::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr "Fonctions des modèles Python définis par l'utilisateur"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1524,11 +1530,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr "Vous pouvez ajouter vos propres fonctions Python au processeur de modèles. Ces fonctions peuvent être utilisées dans l'un des trois modes de programmation du modèle. Les fonctions sont ajoutées en allant dans :guilabel:`Préférences -> Avancé -> Fonctions de modèle`. Les instructions sont affichées dans cette boite de dialogue."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Notes spéciales pour la sauvergarde/l'envoi des modèles"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1539,18 +1545,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "Un traitement spécial est appliqué quand un modèle est utilisé dans un modèle `Enregistrer sur le disque` ou `Envoyer au périphérique`. Les valeurs des champs sont nettoyées, les caractères qui sont propres aux systèmes de fichiers sont remplacées par des traits de soulignement, y compris les barres obliques. Cela signifie que le texte d'un champ ne peut pas être utilisé pour créer des dossiers. Toutefois, les barres obliques ne sont pas modifiés dans des chaînes préfixe ou suffixe. Vous pouvez donc insérer des barres obliques qui et provoquer ainsi la création de dossiers. Ainsi, vous pouvez créer une structure de dossier avec des profondeurs variables."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Par exemple, supposons que nous voulons que la structure des dossiers soit `series/series_index - titre`, en prévoyant que si la série n'existe pas, alors le titre devrait être dans le dossier racine (le premier dossier, pas le sous-dossier). Le modèle pour faire cela est :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "La barre oblique et le trait d'union apparaissent uniquement si la série n'est pas vide."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1560,25 +1566,25 @@ msgid ""
 "depending on the value of series."
 msgstr "La fonction de recherche nous permet de faire le traitement encore plus poussé. Par exemple, supposons que si un livre est dans une série, alors nous voulons que la structure soit la suivante : `series/series index - title.fmt`.. Si le livre n'est pas dans une série, alors nous voulons que la structure des dossiers soit  `genre/author_sort/title.fmt`. Si le livre n'a pas de genre, nous voulons utiliser 'Inconnu'. Nous voulons deux chemins de répertoire totalement différents en fonction de la valeur de la série."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "Pour accomplir cela, nous :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr "Créons une colonne composite (appelons-la #AA) contenant ``{series}/{series_index} - {title}``. Si la série n'est pas vide, alors ce modèle produit `series/series_index - title`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr "Créons une champ composite (appelons-le #BB) contenant ``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. Ce modèle produit `genre/author_sort/title`, où un genre vide est remplacé par `Inconnu`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1586,11 +1592,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr "Paramétrez le modèle de sauvegarde à ``{series:lookup(.,#AA,#BB)}``. Ce modèle choisit le champ composite #AA si série n'est pas vide, et le champ composite #BB si série est vide. Nous avons dès lors deux chemins de sauvegarde complètement différents, dépendant du fait que `series` soit vide ou pas."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr "Modèles et tableaux de connexions"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1601,7 +1607,7 @@ msgid ""
 "display issues."
 msgstr "Les tableaux de connexions sont utilisés pour modifier les métadonnées écrites dans les livres pendant l'envoi à une liseuse et les opérations de sauvegarde sur le disque. Le tableau de connexion vous permet de spécifier pour un modèle de lecteur précis quelles données à insérer dans les métadonnées du livre. Vous pouvez utiliser les tableaux de connexions pour modifier les champs suivants : authors, author_sort, language, publisher, tags, title, title_sort. Cette fonctionnalité aide ceux qui veulent utiliser les différentes métadonnées des livres pour contrôler le tri ou l'affichage des livres sur leurs périphériques."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1612,7 +1618,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr "Lorsque vous créez un tableau de connexion, vous spécifiez le format et le périphérique pour lequel le tableau de connexion doit être utilisé. Un périphérique spécial est procuré, ``save_to_disk`` qui est utilisé lors de la sauvegarde de formats (en opposition à les envoyer vers le périphérique). Une fois que vous avez choisi le format et le périphérique, vous choisissez les champs de métadonnées à modifier, indiquez le modèle à appliquer pour fournir les nouvelles valeurs. Ces modèles sont `reliés` à leurs champs de destination, d'où le nom de `tableau de connexions`. Vous pouvez, bien sûr, utiliser des colonnes composites dans ces modèles."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1621,29 +1627,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr "Quand un tableau de connexion doit s'appliquer (Serveur de contenu, sauvegarde sur disque ou envoyer au périphérique), calibre recherche les tableau de connexions définis et celui qui est correct pour le format donné et le périphérique. Par exemple, pour trouver le tableau de connexion approprié pour un livre EPUB envoyé à un périphérique ANDROID, calibre recherche dans les tableaux de connexion dans l'ordre de recherche suivant :"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "un tableau de connexion avec une correspondance exacte sur le format et le périphérique, par ex., ``EPUB`` et ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "un tableau de connexion avec une correspondance exacte sur le format et le choix spécial ``n'importe quel périphérique``, par ex., ``EPUB`` et ``n'importe quel périphérique``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "un tableau de connexion avec le choix spécial ``n'importe quel format`` et une correspondance exacte sur le périphérique, par ex., ``n'importe quel format`` et ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "un tableau de conversion avec ``n'importe quel format`` et ``n'importe quel périphérique``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1655,7 +1661,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Les étiquettes et les champs auteur ont un traitement spécial, parce que ces deux champs peuvent contenir plusieurs données. Un livre peut avoir plusieurs étiquettes et plusieurs auteurs. Lorsque vous spécifiez que l'un de ces deux champs doit être modifié, le résultat du modèle est examiné pour voir s'il y a plus d'un élément dedans. Pour les étiquettes, le résultat est découpé partout où calibre trouve une virgule. Par exemple, si le modèle produit les valeurs ``Thriller, Horreur``, alors ke résultat sera deux étiquettes, ``Thriller`` et ``Horreur``. Il n'est pas possible de mettre une virgule au milieu d'une étiquette."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1665,7 +1671,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "La même chose se produit pour les auteurs, mais en utilisant un caractère différent comme séparateur, le `&` (esperluette) au lieu d'une virgule. Par exemple, si le modèle produit la valeur ``Blogs, Joe&Posts, Susan``, alors le livre finira avec deux auteurs ``Blogs, Joe`` et ``Posts, Susan``. Si le modèle produit la valeur ``Blogs, Joe;Posts, Susan``, alors ce livre aura un auteur avec un nom assez étrange."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1674,39 +1680,39 @@ msgid ""
 "preferences window."
 msgstr "Les tableaux de connexions affectent les métadonnées écrites dans le livre quand il est sauvegardé sur le disque ou copié sur le périphérique. Les tableaux de connexions n'affecte pas les métadonnées utilisées par ``Enregistrer sur le disque`` et ``Envoyer au périphérique``. A la place, les noms de fichiers sont construits en utilisant les modèles entrés dans la fenêtre de préférence appropriée."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr "Astuces"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Vous devriez trouver les astuces suivantes utiles."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr "Utilisez le Testeur de Modèles pour tester les modèles. Ajoutez le testeur au menu contextuel des livres de la bibliothèque et/ou donnez-lui un raccourci clavier."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr "Les modèles peuvent utiliser d'autres modèles en faisant référence à des colonnes composites construites avec le modèle souhaité. Vous pouvez également utiliser des Modèles Stockés."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "Dans un tableau de connexions, vous pouvez paramétrer un champ à vide (ou quelque soit sont équivalent à vide) en utilisant le modèle spécial ``{}``. Ce modèle sera toujours évalué à une chaîne vide."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr "La technique indiquée ci-dessus pour montrer les nombre même s'ils ont une valeur zéro fonctionne avec le champ standard series_index."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr "Référence de la fonction"
diff -pruN 5.9.0+dfsg-3/translations/manual/fr/viewer.po 5.10.0+dfsg-1/translations/manual/fr/viewer.po
--- 5.9.0+dfsg-3/translations/manual/fr/viewer.po	2021-01-06 15:35:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr/viewer.po	2021-01-20 15:29:40.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 11:53+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:08+0000\n"
 "Last-Translator: Ptit Prince <leporello1791@gmail.com>\n"
 "Language-Team: French (http://www.transifex.com/calibre/calibre/language/fr/)\n"
 "MIME-Version: 1.0\n"
@@ -250,11 +250,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr "Sous Linux, :guilabel:`Lire à voix haute` nécessite que `Speech Dispatcher <https://freebsoft.org/speechd>`_ soit installé et fonctionnel."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr "Sous Windows, toutes les voix installées peuvent ne pas être visibles par le sous-système SAPI utilisé pour le text-to-speech. Il existe des instructions pour rendre toutes les voix visibles <https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr "Suivre les liens en utilisant uniquement le clavier"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -264,7 +272,7 @@ msgid ""
 "link."
 msgstr "La visionneuse de livres numériques dispose d'un :guilabel:`Mode Indices' qui vous permet de cliquer sur les liens dans le texte sans utiliser la souris. Appuyez sur la touche :kbd:`Alt+f` et tous les liens de l'écran en cours seront mis en évidence par un chiffre ou une lettre. Appuyez sur la lettre de votre clavier pour cliquer sur le lien.En appuyant sur la touche :kbd:`Echap`, vous annulerez le :guilabel:`Mode indices` sans sélectionner aucun lien."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -272,37 +280,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr "Si plus de trente-cinq liens sont affichés à l'écran, certains d'entre eux comporteront plusieurs lettres, auquel cas tapez la première et la deuxième, ou la première et appuyez sur :kbd:`Entrer` pour les activer. Vous pouvez également utiliser la touche :kbd:`Retour arrière` pour annuler une erreur de frappe."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Personnalisation de l'aspect et de la convivialité de votre expérience de lecture"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr "Vous pouvez changer la taille des polices à la volée en utilisant :guilabel:`Taille de police` dans les contrôles de la visionneuse ou :kbd:`Ctrl++` ou :kbd:`Ctrl+-` ou en maintenant la touche :kbd:`Ctrl' et en utilisant la molette de la souris."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr "Les couleurs peuvent être changées dans la section :guilabel:`Couleurs' des préférences de la visionneuse."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr "Vous pouvez modifier le nombre de pages affichées à l'écran ainsi que les marges de page dans :guilabel:`Mise en page' dans les préférences de la visionneuse."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr "Vous pouvez afficher des en-têtes et pieds de page personnalisés tels que le temps restant à lire, le titre du chapitre en cours, la position dans le livre, etc. via la section :guilabel:`En-têtes et pieds de page` des préférences de la visionneuse."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -312,11 +320,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr "Une personnalisation plus avancée peut être réalisée par les réglages :guilabel:`Styles`. Ici, vous pouvez spécifier une image d'arrière-plan à afficher sous le texte ainsi qu'une feuille de style que vous pouvez définir et qui sera appliquée à chaque livre. En l'utilisant, vous pouvez faire des choses comme changer les styles de paragraphe, la justification du texte, etc. Pour des exemples de feuilles de style personnalisées utilisées par les utilisateurs de calibre, voir `les forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Consultation du dictionnaire"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -324,11 +332,11 @@ msgid ""
 "panel."
 msgstr "Vous pouvez rechercher la signification de mots dans le livre en cours en ouvrant le :guilabel:`Panneau de consultation/recherche` via les contrôles de la visionneuse. Il suffit ensuite de double-cliquer sur n'importe quel mot et sa définition sera affichée dans le Panneau de recherche."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Copier du texte et des images"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -336,22 +344,22 @@ msgid ""
 "and images."
 msgstr "Vous pouvez sélectionner du texte et des images avec votre souris puis faire un clic droit et sélectionner :guilabel:`Copier` pour copier dans le presse-papiers. Le matériel copié peut être collé dans une autre application sous forme de texte et d'images."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Zoom sur les images"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr "Vous pouvez zoomer pour afficher une image en taille réelle dans une fenêtre séparée en double-cliquant ou en appuyant longuement sur celle-ci. Vous pouvez également faire un clic droit sur l'image et choisir :guilabel:`Voir l'image`."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr "Contenu non fluide"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/fr_CA/db_api.po 5.10.0+dfsg-1/translations/manual/fr_CA/db_api.po
--- 5.9.0+dfsg-3/translations/manual/fr_CA/db_api.po	2020-12-23 14:21:05.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr_CA/db_api.po	2021-01-20 15:30:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/fr_CA/edit.po 5.10.0+dfsg-1/translations/manual/fr_CA/edit.po
--- 5.9.0+dfsg-3/translations/manual/fr_CA/edit.po	2020-12-10 03:01:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr_CA/edit.po	2021-01-20 15:29:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: fr_CA\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/fr_CA/faq.po 5.10.0+dfsg-1/translations/manual/fr_CA/faq.po
--- 5.9.0+dfsg-3/translations/manual/fr_CA/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr_CA/faq.po	2021-01-20 15:29:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/fr_CA/stats.json 5.10.0+dfsg-1/translations/manual/fr_CA/stats.json
--- 5.9.0+dfsg-3/translations/manual/fr_CA/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr_CA/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 10,
-    "untranslated": 3015
+    "untranslated": 3021
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/fr_CA/template_lang.po 5.10.0+dfsg-1/translations/manual/fr_CA/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/fr_CA/template_lang.po	2021-01-06 15:34:28.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr_CA/template_lang.po	2021-01-20 15:28:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/fr_CA/viewer.po 5.10.0+dfsg-1/translations/manual/fr_CA/viewer.po
--- 5.9.0+dfsg-3/translations/manual/fr_CA/viewer.po	2021-01-06 15:35:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fr_CA/viewer.po	2021-01-20 15:29:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: French (Canada) (http://www.transifex.com/calibre/calibre/language/fr_CA/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/function_mode.pot 5.10.0+dfsg-1/translations/manual/function_mode.pot
--- 5.9.0+dfsg-3/translations/manual/function_mode.pot	2021-01-08 03:53:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/function_mode.pot	2021-01-22 02:29:26.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/fur/db_api.po 5.10.0+dfsg-1/translations/manual/fur/db_api.po
--- 5.9.0+dfsg-3/translations/manual/fur/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fur/db_api.po	2021-01-20 15:30:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/fur/edit.po 5.10.0+dfsg-1/translations/manual/fur/edit.po
--- 5.9.0+dfsg-3/translations/manual/fur/edit.po	2020-12-10 03:01:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fur/edit.po	2021-01-20 15:30:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: fur\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/fur/faq.po 5.10.0+dfsg-1/translations/manual/fur/faq.po
--- 5.9.0+dfsg-3/translations/manual/fur/faq.po	2021-01-06 15:34:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fur/faq.po	2021-01-20 15:29:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/fur/stats.json 5.10.0+dfsg-1/translations/manual/fur/stats.json
--- 5.9.0+dfsg-3/translations/manual/fur/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fur/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 1,
-    "untranslated": 3024
+    "untranslated": 3030
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/fur/template_lang.po 5.10.0+dfsg-1/translations/manual/fur/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/fur/template_lang.po	2021-01-06 15:34:26.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fur/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/fur/viewer.po 5.10.0+dfsg-1/translations/manual/fur/viewer.po
--- 5.9.0+dfsg-3/translations/manual/fur/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/fur/viewer.po	2021-01-20 15:29:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Friulian (http://www.transifex.com/calibre/calibre/language/fur/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ga/db_api.po 5.10.0+dfsg-1/translations/manual/ga/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ga/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ga/db_api.po	2021-01-20 15:30:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ga/edit.po 5.10.0+dfsg-1/translations/manual/ga/edit.po
--- 5.9.0+dfsg-3/translations/manual/ga/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ga/edit.po	2021-01-20 15:29:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ga\n"
 "Plural-Forms: nplurals=5; plural=(n==1 ? 0 : n==2 ? 1 : n<7 ? 2 : n<11 ? 3 : 4);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Clár na n-ábhar"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ga/faq.po 5.10.0+dfsg-1/translations/manual/ga/faq.po
--- 5.9.0+dfsg-3/translations/manual/ga/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ga/faq.po	2021-01-20 15:29:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ga/stats.json 5.10.0+dfsg-1/translations/manual/ga/stats.json
--- 5.9.0+dfsg-3/translations/manual/ga/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ga/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 31,
-    "untranslated": 2994
+    "untranslated": 3000
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ga/template_lang.po 5.10.0+dfsg-1/translations/manual/ga/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ga/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ga/template_lang.po	2021-01-20 15:28:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ga/viewer.po 5.10.0+dfsg-1/translations/manual/ga/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ga/viewer.po	2021-01-06 15:35:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ga/viewer.po	2021-01-20 15:29:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Irish (http://www.transifex.com/calibre/calibre/language/ga/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/gl/db_api.po 5.10.0+dfsg-1/translations/manual/gl/db_api.po
--- 5.9.0+dfsg-3/translations/manual/gl/db_api.po	2020-12-23 14:21:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gl/db_api.po	2021-01-20 15:30:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/gl/edit.po 5.10.0+dfsg-1/translations/manual/gl/edit.po
--- 5.9.0+dfsg-3/translations/manual/gl/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gl/edit.po	2021-01-20 15:29:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: gl\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Buscas gardadas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/gl/faq.po 5.10.0+dfsg-1/translations/manual/gl/faq.po
--- 5.9.0+dfsg-3/translations/manual/gl/faq.po	2021-01-06 15:34:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gl/faq.po	2021-01-20 15:29:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/gl/stats.json 5.10.0+dfsg-1/translations/manual/gl/stats.json
--- 5.9.0+dfsg-3/translations/manual/gl/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gl/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 77,
-    "untranslated": 2948
+    "untranslated": 2954
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/gl/template_lang.po 5.10.0+dfsg-1/translations/manual/gl/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/gl/template_lang.po	2021-01-06 15:34:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gl/template_lang.po	2021-01-20 15:28:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/gl/viewer.po 5.10.0+dfsg-1/translations/manual/gl/viewer.po
--- 5.9.0+dfsg-3/translations/manual/gl/viewer.po	2021-01-06 15:35:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gl/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Galician (http://www.transifex.com/calibre/calibre/language/gl/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/glossary.pot 5.10.0+dfsg-1/translations/manual/glossary.pot
--- 5.9.0+dfsg-3/translations/manual/glossary.pot	2021-01-08 03:53:52.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/glossary.pot	2021-01-22 02:29:23.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/gu/db_api.po 5.10.0+dfsg-1/translations/manual/gu/db_api.po
--- 5.9.0+dfsg-3/translations/manual/gu/db_api.po	2020-12-23 14:21:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gu/db_api.po	2021-01-20 15:30:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/gu/edit.po 5.10.0+dfsg-1/translations/manual/gu/edit.po
--- 5.9.0+dfsg-3/translations/manual/gu/edit.po	2020-12-10 03:01:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gu/edit.po	2021-01-20 15:29:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: gu\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/gu/faq.po 5.10.0+dfsg-1/translations/manual/gu/faq.po
--- 5.9.0+dfsg-3/translations/manual/gu/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gu/faq.po	2021-01-20 15:29:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/gu/stats.json 5.10.0+dfsg-1/translations/manual/gu/stats.json
--- 5.9.0+dfsg-3/translations/manual/gu/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gu/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 5,
-    "untranslated": 3020
+    "untranslated": 3026
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/gu/template_lang.po 5.10.0+dfsg-1/translations/manual/gu/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/gu/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gu/template_lang.po	2021-01-20 15:28:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/gu/viewer.po 5.10.0+dfsg-1/translations/manual/gu/viewer.po
--- 5.9.0+dfsg-3/translations/manual/gu/viewer.po	2021-01-06 15:35:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gu/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Gujarati (http://www.transifex.com/calibre/calibre/language/gu/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/gui.pot 5.10.0+dfsg-1/translations/manual/gui.pot
--- 5.9.0+dfsg-3/translations/manual/gui.pot	2021-01-08 03:53:49.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/gui.pot	2021-01-22 02:29:14.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/he/db_api.po 5.10.0+dfsg-1/translations/manual/he/db_api.po
--- 5.9.0+dfsg-3/translations/manual/he/db_api.po	2020-12-23 14:20:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/he/db_api.po	2021-01-20 15:30:12.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -186,6 +186,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/he/edit.po 5.10.0+dfsg-1/translations/manual/he/edit.po
--- 5.9.0+dfsg-3/translations/manual/he/edit.po	2020-12-10 03:01:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/he/edit.po	2021-01-20 15:29:49.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: he\n"
 "Plural-Forms: nplurals=4; plural=(n == 1 && n % 1 == 0) ? 0 : (n == 2 && n % 1 == 0) ? 1: (n % 10 == 0 && n % 1 == 0 && n > 10) ? 2 : 3;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "תוכן"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "עבודה בסיסית"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "ניתן לבצע פעולות רבות על קבצים בודדים, על ידי לחיצה ימנית עליהם."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "משנה שמות קבצים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "ממזג קבצים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "שינוי סדר קובץ טקסט"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "מכין את הכריכה"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "מוחק קבצים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "מייצא קבצים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "מוסיף תמונות/גופנים/וכו' חדשים או יוצר קבצים ריקים חדשים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr "אתה גם יכול לייבא קבצים מרובים לתוך ספר בו-זמנית דרך קובץ->ייבוא קבצים לתוך הספר."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "מחליף קבצים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "חיפוש והחלפה"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "חיפושים שמורים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "כלים אוטומטיים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "עריכת תוכן העניינים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "בודק את הספר"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "מוסיף כריכה"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "מסיר כללי CSS שאינם בשימוש"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "מתקן HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "מייפה קבצים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr "מכניס את תוכן העניינים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr "מסנן מידע סגנון"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "נקודות-בדיקה"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "מפצל קבצי HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "חלונית ה-CSS החי"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr "ישנם כלים נוספים שיכולים להועיל לך במהלך עריכת הספר."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "בודק את איות המילים בספר"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "מוסיף מילון חדש"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "מכניס תווים מיוחדים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr "תצוגת חקירת רכיב"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "בדיקת קישורים חיצוניים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr "מוריד מקורות חיצוניים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr "מסדר קבצים בתיקיות לפי סוג"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "כלי הדיווחים"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "תכונות מיוחדות של עורך הקוד"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "השלמה אוטומטית"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/he/faq.po 5.10.0+dfsg-1/translations/manual/he/faq.po
--- 5.9.0+dfsg-3/translations/manual/he/faq.po	2021-01-06 15:34:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/he/faq.po	2021-01-20 15:29:01.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -47,9 +47,9 @@ msgstr "קליבר תומך בהמרה 
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,8 +938,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "ניהול ספריה"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "הורדתי את תוכנת ההתקנה, אבל זה לא עובד?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr "נסה להוריד את תוכנת ההתקנה עם דפדפן חלופי. לדוגמה, אם אתה משתמש באינטרנט אקספלורר, נסה להשתמש בפיירפוקס או בכרום במקום."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "האם תוכנת האנטי-וירוס שלי טוענת שקליבר הוא וירוס/סוס טרויאני?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "איך אני יכול לגבות את קליבר?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "אני מקבל שגיאת \"אישור נדחה\"?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "אם הקובץ שלך פתוח בתוכנה אחרת."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr "כיצד אני יכול להציג את ההערות המופיעות במטא-נתונים בקורא שלי?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "איך אני מגדיר את קליבר להשתמש ב-HTTP proxy שלי?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "אני רוצה להוסיף כמה תכונות לקליבר. מה אני יכול לעשות?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "יש לך שתי אפשרויות:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "מדוע אין לקליבר עדכון אוטומטי?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "מהרבה סיבות:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "איך אני מפעיל את קליבר מה-USB שלי?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "גרסה ניידת של קליבר זמינה `כאן <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "אתה יכול להפעיל את שרת הקליבר דרך הפקודה::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "אתה יכול לשלוח במייל את החדשות שהורדו עם הפקודה::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "לבסוף, אתה יכול להוסיף חדשות שהורדו לספריית הקליבר עם::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/he/stats.json 5.10.0+dfsg-1/translations/manual/he/stats.json
--- 5.9.0+dfsg-3/translations/manual/he/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/he/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 407,
-    "untranslated": 2618
+    "translated": 405,
+    "untranslated": 2626
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/he/template_lang.po 5.10.0+dfsg-1/translations/manual/he/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/he/template_lang.po	2021-01-06 15:34:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/he/template_lang.po	2021-01-20 15:28:43.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/he/viewer.po 5.10.0+dfsg-1/translations/manual/he/viewer.po
--- 5.9.0+dfsg-3/translations/manual/he/viewer.po	2021-01-06 15:35:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/he/viewer.po	2021-01-20 15:29:34.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hebrew (http://www.transifex.com/calibre/calibre/language/he/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "התאמה אישית של המראה והתחושה של חוויית הקריאה שלך"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "בדיקת מילון"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "מעתיק טקסט ותמונות"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/hi/db_api.po 5.10.0+dfsg-1/translations/manual/hi/db_api.po
--- 5.9.0+dfsg-3/translations/manual/hi/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hi/db_api.po	2021-01-20 15:30:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/hi/edit.po 5.10.0+dfsg-1/translations/manual/hi/edit.po
--- 5.9.0+dfsg-3/translations/manual/hi/edit.po	2020-12-10 03:01:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hi/edit.po	2021-01-20 15:29:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: hi\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/hi/faq.po 5.10.0+dfsg-1/translations/manual/hi/faq.po
--- 5.9.0+dfsg-3/translations/manual/hi/faq.po	2021-01-06 15:34:49.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hi/faq.po	2021-01-20 15:29:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/hi/stats.json 5.10.0+dfsg-1/translations/manual/hi/stats.json
--- 5.9.0+dfsg-3/translations/manual/hi/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hi/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 14,
-    "untranslated": 3011
+    "untranslated": 3017
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/hi/template_lang.po 5.10.0+dfsg-1/translations/manual/hi/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/hi/template_lang.po	2021-01-06 15:34:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hi/template_lang.po	2021-01-20 15:28:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/hi/viewer.po 5.10.0+dfsg-1/translations/manual/hi/viewer.po
--- 5.9.0+dfsg-3/translations/manual/hi/viewer.po	2021-01-06 15:35:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hi/viewer.po	2021-01-20 15:29:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hindi (http://www.transifex.com/calibre/calibre/language/hi/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/hr/db_api.po 5.10.0+dfsg-1/translations/manual/hr/db_api.po
--- 5.9.0+dfsg-3/translations/manual/hr/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hr/db_api.po	2021-01-20 15:30:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/hr/edit.po 5.10.0+dfsg-1/translations/manual/hr/edit.po
--- 5.9.0+dfsg-3/translations/manual/hr/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hr/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: hr\n"
 "Plural-Forms: nplurals=3; plural=n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Sadrzaj"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Sačuvane pretrage"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/hr/faq.po 5.10.0+dfsg-1/translations/manual/hr/faq.po
--- 5.9.0+dfsg-3/translations/manual/hr/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hr/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/hr/stats.json 5.10.0+dfsg-1/translations/manual/hr/stats.json
--- 5.9.0+dfsg-3/translations/manual/hr/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hr/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 76,
-    "untranslated": 2949
+    "untranslated": 2955
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/hr/template_lang.po 5.10.0+dfsg-1/translations/manual/hr/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/hr/template_lang.po	2021-01-06 15:34:28.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hr/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/hr/viewer.po 5.10.0+dfsg-1/translations/manual/hr/viewer.po
--- 5.9.0+dfsg-3/translations/manual/hr/viewer.po	2021-01-06 15:35:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hr/viewer.po	2021-01-20 15:29:38.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Croatian (http://www.transifex.com/calibre/calibre/language/hr/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/hu/db_api.po 5.10.0+dfsg-1/translations/manual/hu/db_api.po
--- 5.9.0+dfsg-3/translations/manual/hu/db_api.po	2020-12-23 14:21:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hu/db_api.po	2021-01-20 15:30:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/hu/edit.po 5.10.0+dfsg-1/translations/manual/hu/edit.po
--- 5.9.0+dfsg-3/translations/manual/hu/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hu/edit.po	2021-01-20 15:30:02.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: hu\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Fájlok átnevezése"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Fájlok törlése"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Fájlok exportálása"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Fájlok cseréje"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Keresés és csere"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Mentett keresések"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "Könyv ellenőrzése"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Címlapfotó hozzáadása"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Hivatkozott betűtípus beágyazása"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Beágyazott betűtípusok szűkítése"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Elegánsabb írásjelek"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Nem használt CSS-szabályok eltávolítása"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "HTML fixálás"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Fájlok csinosítása"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Ellenőrzési pontok"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr "Élő előnézet panel"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "Élő CSS panel"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr "Egyéb eszközök"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Új könyvtárak hozzáadása"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Speciális karakterek beszúrása"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Külső hivatkozások ellenőrzése"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Szintaxis kiemelés"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Helyzetérzékeny súgó"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Auto kiegészítés"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/hu/faq.po 5.10.0+dfsg-1/translations/manual/hu/faq.po
--- 5.9.0+dfsg-3/translations/manual/hu/faq.po	2021-01-06 15:34:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hu/faq.po	2021-01-20 15:29:23.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -50,9 +50,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -170,8 +170,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -411,7 +411,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -807,7 +807,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -941,8 +941,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Könyvtár kezelése"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1623,12 +1623,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1639,7 +1654,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1648,22 +1663,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1673,14 +1688,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1691,11 +1706,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "Letöltöttem a telepítőt, de nem működik?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1705,26 +1720,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1732,13 +1747,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1748,7 +1763,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1756,11 +1771,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Az antivírus programom azt állítja, hogy a calibre egy vírus/trójai?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1769,7 +1784,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1783,11 +1798,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Hogyan készíthetek biztonsági mentést a calibre-ről?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1796,7 +1811,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1804,7 +1819,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1814,13 +1829,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1833,44 +1848,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1878,18 +1893,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1902,7 +1917,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1911,11 +1926,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1928,21 +1943,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1953,15 +1968,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1969,7 +1984,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1977,7 +1992,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1985,25 +2000,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2016,30 +2031,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2052,34 +2067,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/hu/stats.json 5.10.0+dfsg-1/translations/manual/hu/stats.json
--- 5.9.0+dfsg-3/translations/manual/hu/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hu/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 274,
-    "untranslated": 2751
+    "translated": 272,
+    "untranslated": 2759
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/hu/template_lang.po 5.10.0+dfsg-1/translations/manual/hu/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/hu/template_lang.po	2021-01-06 15:33:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hu/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr "``field(name)`` -- a ``name`` ne
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Speciális jegyzetek sablonok mentéséhez/küldéséhez"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "Ennek teljesítéséhez:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/hu/viewer.po 5.10.0+dfsg-1/translations/manual/hu/viewer.po
--- 5.9.0+dfsg-3/translations/manual/hu/viewer.po	2021-01-06 15:35:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hu/viewer.po	2021-01-20 15:29:44.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Hungarian (http://www.transifex.com/calibre/calibre/language/hu/)\n"
 "MIME-Version: 1.0\n"
@@ -247,11 +247,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -261,7 +269,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -269,37 +277,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -309,11 +317,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Szótár betekintő"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -321,11 +329,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Szöveg és képek másolása"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -333,22 +341,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/hy/db_api.po 5.10.0+dfsg-1/translations/manual/hy/db_api.po
--- 5.9.0+dfsg-3/translations/manual/hy/db_api.po	2020-12-23 14:20:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hy/db_api.po	2021-01-20 15:30:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/hy/edit.po 5.10.0+dfsg-1/translations/manual/hy/edit.po
--- 5.9.0+dfsg-3/translations/manual/hy/edit.po	2020-12-10 03:01:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hy/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: hy\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Շապիկի ավելացում"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/hy/faq.po 5.10.0+dfsg-1/translations/manual/hy/faq.po
--- 5.9.0+dfsg-3/translations/manual/hy/faq.po	2021-01-06 15:34:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hy/faq.po	2021-01-20 15:29:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/hy/stats.json 5.10.0+dfsg-1/translations/manual/hy/stats.json
--- 5.9.0+dfsg-3/translations/manual/hy/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hy/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 37,
-    "untranslated": 2988
+    "untranslated": 2994
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/hy/template_lang.po 5.10.0+dfsg-1/translations/manual/hy/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/hy/template_lang.po	2021-01-06 15:34:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hy/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/hy/viewer.po 5.10.0+dfsg-1/translations/manual/hy/viewer.po
--- 5.9.0+dfsg-3/translations/manual/hy/viewer.po	2021-01-06 15:35:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/hy/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Armenian (http://www.transifex.com/calibre/calibre/language/hy/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/id/db_api.po 5.10.0+dfsg-1/translations/manual/id/db_api.po
--- 5.9.0+dfsg-3/translations/manual/id/db_api.po	2020-12-23 14:21:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/id/db_api.po	2021-01-20 15:30:22.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/id/edit.po 5.10.0+dfsg-1/translations/manual/id/edit.po
--- 5.9.0+dfsg-3/translations/manual/id/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/id/edit.po	2021-01-20 15:29:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: id\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Mengedit buku-el"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Cari & ganti"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/id/faq.po 5.10.0+dfsg-1/translations/manual/id/faq.po
--- 5.9.0+dfsg-3/translations/manual/id/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/id/faq.po	2021-01-20 15:29:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/id/stats.json 5.10.0+dfsg-1/translations/manual/id/stats.json
--- 5.9.0+dfsg-3/translations/manual/id/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/id/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 88,
-    "untranslated": 2937
+    "untranslated": 2943
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/id/template_lang.po 5.10.0+dfsg-1/translations/manual/id/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/id/template_lang.po	2021-01-06 15:34:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/id/template_lang.po	2021-01-20 15:28:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/id/viewer.po 5.10.0+dfsg-1/translations/manual/id/viewer.po
--- 5.9.0+dfsg-3/translations/manual/id/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/id/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Indonesian (http://www.transifex.com/calibre/calibre/language/id/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/index.pot 5.10.0+dfsg-1/translations/manual/index.pot
--- 5.9.0+dfsg-3/translations/manual/index.pot	2021-01-08 03:53:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/index.pot	2021-01-22 02:29:11.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/is/db_api.po 5.10.0+dfsg-1/translations/manual/is/db_api.po
--- 5.9.0+dfsg-3/translations/manual/is/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/is/db_api.po	2021-01-20 15:30:23.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Ragnar Ásmundsson\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -186,6 +186,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/is/edit.po 5.10.0+dfsg-1/translations/manual/is/edit.po
--- 5.9.0+dfsg-3/translations/manual/is/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/is/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: is\n"
 "Plural-Forms: nplurals=2; plural=(n % 10 != 1 || n % 100 == 11);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Breytingar á rafbókum"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Efnisyfirlit"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Vistaðar leitir"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Ívefja umbeðnar stafagerðir"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Setja ívafðar stafagerðir í undirmengi"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Set snjöll greinamerki"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Fjarlægi ónotaðar CSS reglur"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/is/faq.po 5.10.0+dfsg-1/translations/manual/is/faq.po
--- 5.9.0+dfsg-3/translations/manual/is/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/is/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/is/stats.json 5.10.0+dfsg-1/translations/manual/is/stats.json
--- 5.9.0+dfsg-3/translations/manual/is/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/is/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 146,
-    "untranslated": 2879
+    "untranslated": 2885
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/is/template_lang.po 5.10.0+dfsg-1/translations/manual/is/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/is/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/is/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/is/viewer.po 5.10.0+dfsg-1/translations/manual/is/viewer.po
--- 5.9.0+dfsg-3/translations/manual/is/viewer.po	2021-01-06 15:35:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/is/viewer.po	2021-01-20 15:29:36.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Icelandic (http://www.transifex.com/calibre/calibre/language/is/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Uppfletting í orðasafni"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Afritun texta og mynda"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/it/db_api.po 5.10.0+dfsg-1/translations/manual/it/db_api.po
--- 5.9.0+dfsg-3/translations/manual/it/db_api.po	2020-12-23 14:21:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/it/db_api.po	2021-01-20 15:30:56.000000000 +0000
@@ -10,9 +10,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: demetrio <mendem@tiscali.it>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -188,6 +188,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/it/edit.po 5.10.0+dfsg-1/translations/manual/it/edit.po
--- 5.9.0+dfsg-3/translations/manual/it/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/it/edit.po	2021-01-20 15:30:02.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -19,11 +19,11 @@ msgstr ""
 "Language: it\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Modifica libro"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -32,27 +32,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "calibre contiene un editor di e-book integrato che può essere utilizzato per modificare libri nei formati EPUB e AZW3 (Kindle). L'editor mostra il codice HTML e CSS utilizzato all'interno dei file del libro, insieme ad una anteprima in tempo reale che si aggiorna mentre effettui le modifiche. Contiene inoltre diversi strumenti automatici per effettuare operazioni comuni di pulizia e riparazione."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Puoi utilizzare questo editor facendo click con il tasto destro su ogni libro contenuto in calibre e selezionando :guilabel:`Modifica libro`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Contenuti"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Flusso di lavoro di base"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -63,7 +63,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "Quando apri un libro per la prima volta con lo strumento Modifica libro, comparirà una lista di file sulla sinistra. Questi sono file HTML individuali, fogli di stile, immagini, eccetera, che costituiscono il contenuto del libro. Per iniziare a modificare, basta fare doppio clic su un file. Se vuoi fare cose più sofisticate di qualche piccolo ritocco, devi conoscere il `tutorial HTML <http://html.net/tutorials/html/>`_ e il `tutorial CSS <http://html.net/tutorials/css/>`_. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -71,7 +71,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -85,18 +85,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "Questo è il flusso di lavoro di base per modificare libri -- Apri un file, effettua le modifiche, visualizza l'anteprima e salva. Il resto di questo manuale illustrerà i vari strumenti e caratteristiche presenti per consentirti di effettuare operazioni specifiche in modo efficiente."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -107,7 +107,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -115,7 +115,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -128,16 +128,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "È possibile svolgere diverse azioni sui singoli file, premendo con il tasto destro su di essi."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Rinominare i file"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -145,7 +145,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -159,18 +159,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Unire i file"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -178,7 +178,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -189,11 +189,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -202,11 +202,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Sto generando la copertina"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -214,7 +214,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -226,11 +226,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Sto eliminando i file"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -239,11 +239,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Esportare i file"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -251,7 +251,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -259,7 +259,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -268,11 +268,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -281,17 +281,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Sostituire i file"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -299,22 +299,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Cerca e sostituisci"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -323,20 +323,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -344,37 +344,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Ricerche salvate"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -383,22 +383,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -407,27 +407,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Strumenti automatici"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Modifica la tabella dei contenuti"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -435,7 +435,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -443,7 +443,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -453,18 +453,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "Analizando il libro"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -473,11 +473,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -488,7 +488,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -496,36 +496,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Aggiungendo una copertina"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -536,11 +536,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Integrazione dei caratteri referenziati"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -549,11 +549,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Riduzione dei caratteri integrati"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -563,11 +563,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Miglioramento della punteggiatura"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -576,40 +576,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Rimozione regole CSS non utilizzate"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -618,11 +618,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Correggendo HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -634,11 +634,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -648,7 +648,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -662,11 +662,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -675,7 +675,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -683,11 +683,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -698,11 +698,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -713,22 +713,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Punti di controllo"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -737,13 +737,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -751,7 +751,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -761,11 +761,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -778,7 +778,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -787,7 +787,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -799,18 +799,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "Dividere i file HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -821,14 +821,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -837,11 +837,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -849,7 +849,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -858,30 +858,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -890,15 +890,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -909,14 +909,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -926,7 +926,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -935,7 +935,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -943,7 +943,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -951,11 +951,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Aggiungere nuovi dizionari"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -965,11 +965,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Inserisci caratteri speciali"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -980,7 +980,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -991,7 +991,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1002,7 +1002,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1010,11 +1010,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1026,11 +1026,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1038,11 +1038,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1051,11 +1051,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1065,11 +1065,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1078,11 +1078,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1094,31 +1094,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1126,55 +1126,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Auto-completa"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1182,7 +1182,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1192,7 +1192,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1204,11 +1204,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Snippet"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/it/faq.po 5.10.0+dfsg-1/translations/manual/it/faq.po
--- 5.9.0+dfsg-3/translations/manual/it/faq.po	2021-01-06 15:34:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/it/faq.po	2021-01-20 15:29:23.000000000 +0000
@@ -16,8 +16,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -55,10 +55,10 @@ msgstr "calibre supporta la conversione
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Formati di ingresso:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -175,8 +175,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -416,7 +416,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -812,7 +812,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -946,8 +946,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Gestione biblioteca"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1628,12 +1628,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1644,7 +1659,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1653,22 +1668,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1678,14 +1693,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1696,11 +1711,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1710,26 +1725,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1737,13 +1752,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1753,7 +1768,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1761,11 +1776,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1774,7 +1789,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1788,11 +1803,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1801,7 +1816,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1809,7 +1824,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1819,13 +1834,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1838,44 +1853,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Se il file è aperto in un altro programma."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1883,18 +1898,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1907,7 +1922,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1916,11 +1931,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1933,21 +1948,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Sono disponibile due scelte:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1958,15 +1973,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Perché calibre non ha un aggiornamento automatico?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Per diverse ragioni:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1974,7 +1989,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1982,7 +1997,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1990,25 +2005,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Qual è la licenza di calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2021,30 +2036,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Come avvio calibre dalla mia penna USB?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Una versione portable di calibre è disponibile `qui <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2057,34 +2072,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Puoi avviare il server calibre tramite il comando::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr "Puoi scaricare news e convertirle in un e-book con il comando::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "Se vuoi generare MOBI, utilizza outputfile.mobi e ``--output-profile kindle``."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/it/stats.json 5.10.0+dfsg-1/translations/manual/it/stats.json
--- 5.9.0+dfsg-3/translations/manual/it/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/it/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 737,
-    "untranslated": 2288
+    "translated": 734,
+    "untranslated": 2297
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/it/template_lang.po 5.10.0+dfsg-1/translations/manual/it/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/it/template_lang.po	2021-01-06 15:33:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/it/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -713,8 +713,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -855,6 +855,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -864,14 +870,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -879,33 +885,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -914,7 +920,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -924,7 +930,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -932,7 +938,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -940,27 +946,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -968,7 +974,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -977,7 +983,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -985,7 +991,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -995,7 +1001,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1003,7 +1009,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1011,7 +1017,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1020,53 +1026,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1078,17 +1084,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1097,17 +1103,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1117,19 +1123,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1139,20 +1145,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1164,11 +1170,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1178,14 +1184,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1193,26 +1199,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1222,13 +1228,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1238,50 +1244,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1291,13 +1297,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1307,18 +1313,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1329,24 +1335,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1359,29 +1365,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1390,11 +1396,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1402,11 +1408,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1417,27 +1423,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1451,11 +1457,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1465,35 +1471,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1501,20 +1507,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1522,11 +1528,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1537,18 +1543,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1558,25 +1564,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1584,11 +1590,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1599,7 +1605,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1610,7 +1616,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1619,29 +1625,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1653,7 +1659,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1663,7 +1669,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1672,39 +1678,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Questi suggerimenti potrebbero esserti utili"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/it/viewer.po 5.10.0+dfsg-1/translations/manual/it/viewer.po
--- 5.9.0+dfsg-3/translations/manual/it/viewer.po	2021-01-06 15:35:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/it/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Italian (http://www.transifex.com/calibre/calibre/language/it/)\n"
 "MIME-Version: 1.0\n"
@@ -251,11 +251,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -265,7 +273,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -273,37 +281,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -313,11 +321,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Consultazione del dizionario"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -325,11 +333,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Copiare testo e immagini"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -337,22 +345,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Ingrandimento delle immagini"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/conversion.po 5.10.0+dfsg-1/translations/manual/ja/conversion.po
--- 5.9.0+dfsg-3/translations/manual/ja/conversion.po	2021-01-06 15:33:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/conversion.po	2021-01-20 15:28:42.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-07 03:16+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -640,7 +640,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:374
 msgid "Search & replace"
-msgstr ""
+msgstr "検索と置換"
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:376
 msgid ""
@@ -667,7 +667,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:392
 msgid "Structure detection"
-msgstr ""
+msgstr "構造検出"
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:394
 msgid ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/creating_plugins.po 5.10.0+dfsg-1/translations/manual/ja/creating_plugins.po
--- 5.9.0+dfsg-3/translations/manual/ja/creating_plugins.po	2020-11-26 07:32:52.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/creating_plugins.po	2021-01-20 15:29:28.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-11-26 07:03+0000\n"
-"PO-Revision-Date: 2020-11-22 15:44+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-08 12:42+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ja\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:4
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:4
 msgid "Writing your own plugins to extend calibre's functionality"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:6
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:6
 msgid ""
 "calibre has a very modular design. Almost all functionality in calibre comes"
 " in the form of plugins. Plugins are used for conversion, for downloading "
@@ -31,32 +31,32 @@ msgid ""
 "plugins in calibre by going to :guilabel:`Preferences->Advanced->Plugins`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:8
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:8
 msgid ""
 "Here, we will teach you how to create your own plugins to add new features "
 "to calibre."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:13
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:13
 msgid "Contents"
 msgstr "目次"
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:15
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:15
 msgid "This only applies to calibre releases >= 0.8.60"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:18
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:18
 msgid "Anatomy of a calibre plugin"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:20
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:20
 msgid ""
 "A calibre plugin is very simple, it's just a ZIP file that contains some "
 "Python code and any other resources like image files needed by the plugin. "
 "Without further ado, let's see a basic example."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:24
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:24
 msgid ""
 "Suppose you have an installation of calibre that you are using to self "
 "publish various e-documents in EPUB and MOBI formats. You would like all "
@@ -66,26 +66,26 @@ msgid ""
 "enter the following Python code into it:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:32
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:32
 msgid ""
 "That's all. To add this code to calibre as a plugin, simply run the "
 "following in the directory in which you created :file:`__init__.py`::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:38
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:38
 msgid ""
 "On macOS, the command line tools are inside the calibre bundle, for example,"
 " if you installed calibre in :file:`/Applications` the command line tools "
 "are in :file:`/Applications/calibre.app/Contents/MacOS/`."
-msgstr ""
+msgstr "Mac OSの場合、コマンドラインツールはCalibreバンドルの中にあります。例えば Calibre を  :file:`/Applications にインストールした場合、コマンドラインツールは :file:`/Applications/calibre.app/Contents/console.app/Contents/MacOS/`.にあります。"
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:42
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:42
 msgid ""
 "You can download the Hello World plugin from `helloworld_plugin.zip  <https"
 "://calibre-ebook.com/downloads/helloworld_plugin.zip>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:45
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:45
 msgid ""
 "Every time you use calibre to convert a book, the plugin's :meth:`run` "
 "method will be called and the converted book will have its publisher set to "
@@ -93,11 +93,11 @@ msgid ""
 "example that actually adds a component to the user interface."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:50
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:50
 msgid "A User Interface plugin"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:52
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:52
 msgid ""
 "This plugin will be spread over a few files (to keep the code clean). It "
 "will show you how to get resources (images or data files) from the plugin "
@@ -106,24 +106,24 @@ msgid ""
 " calibre."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:57
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:57
 msgid ""
 "You can download this plugin from `interface_demo_plugin.zip <https"
 "://calibre-ebook.com/downloads/interface_demo_plugin.zip>`_"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:61
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:61
 msgid ""
 "The first thing to note is that this ZIP file has a lot more files in it, "
 "explained below, pay particular attention to ``plugin-import-name-"
 "interface_demo.txt``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:77
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:77
 msgid "**plugin-import-name-interface_demo.txt**"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:65
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:65
 msgid ""
 "An empty text file used to enable the multi-file plugin magic. This file "
 "must be present in all plugins that use more than one .py file. It should be"
@@ -133,7 +133,7 @@ msgid ""
 "like::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:71
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:71
 msgid ""
 "The prefix ``calibre_plugins`` must always be present. ``some_name`` comes "
 "from the filename of the empty text file. ``some_module`` refers to  "
@@ -144,76 +144,76 @@ msgid ""
 "\"just work\"."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:76
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:76
 msgid ""
 "The name you use for ``some_name`` enters a global namespace shared by all "
 "plugins, **so make it as unique as possible**. But remember that it must be "
 "a valid Python identifier (only alphabets, numbers and the underscore)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:80
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:80
 msgid "**__init__.py**"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:80
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:80
 msgid "As before, the file that defines the plugin class"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:83
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:83
 msgid "**main.py**"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:83
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:83
 msgid "This file contains the actual code that does something useful"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:86
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:86
 msgid "**ui.py**"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:86
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:86
 msgid "This file defines the interface part of the plugin"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:89
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:89
 msgid "**images/icon.png**"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:89
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:89
 msgid "The icon for this plugin"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:92
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:92
 msgid "**about.txt**"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:92
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:92
 msgid "A text file with information about the plugin"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:97
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:97
 msgid "**translations**"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:95
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:95
 msgid ""
 "A folder containing .mo files with the translations of the user interface of"
 " your plugin into different languages. See below for details."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:99
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:99
 msgid "Now let's look at the code."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:102
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:102
 msgid "__init__.py"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:104
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:104
 msgid "First, the obligatory ``__init__.py`` to define the plugin metadata:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:109
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:109
 msgid ""
 "The only noteworthy feature is the field :attr:`actual_plugin`. Since "
 "calibre has both command line and GUI interfaces, GUI plugins like this one "
@@ -223,52 +223,52 @@ msgid ""
 "context."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:114
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:114
 msgid ""
 "Remember that for this to work, you must have a plugin-import-name-"
 "some_name.txt file in your plugin ZIP file, as discussed above."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:117
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:117
 msgid ""
 "Also there are a couple of methods for enabling user configuration of the "
 "plugin. These are discussed below."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:120
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:120
 msgid "ui.py"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:122
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:122
 msgid ""
 "Now let's look at ui.py which defines the actual GUI plugin. The source code"
 " is heavily commented and should be self explanatory:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:128
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:212
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:128
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:212
 msgid "main.py"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:130
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:130
 msgid "The actual logic to implement the Interface Plugin Demo dialog."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:136
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:136
 msgid "Getting resources from the plugin ZIP file"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:138
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:138
 msgid ""
 "calibre's plugin loading system defines a couple of built-in functions that "
 "allow you to conveniently get files from the plugin ZIP file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:145
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:145
 msgid "**get_resources(name_or_list_of_names)**"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:141
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:141
 msgid ""
 "This function should be called with a list of paths to files inside the ZIP "
 "file. For example to access the file icon.png in the directory images in the"
@@ -280,55 +280,55 @@ msgid ""
 "present in the returned dict."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:149
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:149
 msgid "**get_icons(name_or_list_of_names)**"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:148
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:148
 msgid ""
 "A convenience wrapper for get_resources() that creates QIcon objects from "
 "the raw bytes returned by get_resources. If a name is not found in the ZIP "
 "file the corresponding QIcon will be null."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:152
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:152
 msgid "Enabling user configuration of your plugin"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:154
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:154
 msgid ""
 "To allow users to configure your plugin, you must define three methods in "
 "your base plugin class, **is_customizable**, **config_widget** and "
 "**save_settings** as shown below:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:165
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:165
 msgid ""
 "calibre has many different ways to store configuration data (a legacy of its"
 " long history). The recommended way is to use the **JSONConfig** class, "
 "which stores your configuration information in a .json file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:167
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:167
 msgid ""
 "The code to manage configuration data in the demo plugin is in config.py:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:172
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:172
 msgid ""
 "The ``prefs`` object is now available throughout the plugin code by a "
 "simple::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:177
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:177
 msgid "You can see the ``prefs`` object being used in main.py:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:184
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:184
 msgid "Edit book plugins"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:186
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:186
 msgid ""
 "Now let's change gears for a bit and look at creating a plugin to add tools "
 "to the calibre book editor. The plugin is available here: "
@@ -336,20 +336,20 @@ msgid ""
 "ebook.com/downloads/editor_demo_plugin.zip>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:190
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:190
 msgid ""
 "The first step, as for all plugins is to create the import name empty txt "
 "file, as described :ref:`above <import_name_txt>`. We shall name the file "
 "``plugin-import-name-editor_plugin_demo.txt``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:194
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:194
 msgid ""
 "Now we create the mandatory ``__init__.py`` file that contains metadata "
 "about the plugin -- its name, author, version, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:200
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:200
 msgid ""
 "A single editor plugin can provide multiple tools each tool corresponds to a"
 " single button in the toolbar and entry in the :guilabel:`Plugins` menu in "
@@ -357,7 +357,7 @@ msgid ""
 "actions."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:204
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:204
 msgid ""
 "The tools must all be defined in the file ``main.py`` in your plugin. Every "
 "tool is a class that inherits from the "
@@ -367,7 +367,7 @@ msgid ""
 ":class:`calibre.gui2.tweak_book.plugin.Tool` class for more details."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:214
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:214
 msgid ""
 "Here we will see the definition of a single tool that will multiply all font"
 " sizes in the book by a number provided by the user. This tool demonstrates "
@@ -375,20 +375,20 @@ msgid ""
 "plugins, so you should read the (heavily commented) source code carefully."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:222
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:222
 msgid ""
 "Let's break down ``main.py``. We see that it defines a single tool, named "
 "*Magnify fonts*. This tool will ask the user for a number and multiply all "
 "font sizes in the book by that number."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:226
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:226
 msgid ""
 "The first important thing is the tool name which you must set to some "
 "relatively unique string as it will be used as the key for this tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:229
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:229
 msgid ""
 "The next important entry point is the "
 ":meth:`calibre.gui2.tweak_book.plugin.Tool.create_action`. This method "
@@ -399,7 +399,7 @@ msgid ""
 "runs the magnification code."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:237
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:237
 msgid ""
 "The magnification code is well commented and fairly simple. The main things "
 "to note are that you get a reference to the editor window as ``self.gui`` "
@@ -408,7 +408,7 @@ msgid ""
 "documented in the :class:`calibre.gui2.tweak_book.boss.Boss` class."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:243
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:243
 msgid ""
 "Finally, there is ``self.current_container`` which is a reference to the "
 "book being edited as a "
@@ -419,11 +419,11 @@ msgid ""
 "plugin code are documented in :ref:`polish_api`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:252
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:252
 msgid "Running User Interface plugins in a separate process"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:254
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:254
 msgid ""
 "If you are writing a user interface plugin that needs to make use of Qt "
 "WebEngine, it cannot be run in the main calibre process as it is not "
@@ -432,40 +432,40 @@ msgid ""
 "separate process. A simple example plugin follows that shows how to do this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:261
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:261
 msgid ""
 "You can download the plugin from `webengine_demo_plugin.zip  <https"
 "://calibre-ebook.com/downloads/webengine_demo_plugin.zip>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:264
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:264
 msgid "The important part of the plugin is in two functions:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:273
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:273
 msgid ""
 "The ``show_demo()`` function asks the user for a URL and then runs the "
 "``main()`` function passing it that URL. The ``main()`` function displays "
 "the URL in a ``QWebEngineView``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:279
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:279
 msgid "Adding translations to your plugin"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:281
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:281
 msgid ""
 "You can have all the user interface strings in your plugin translated and "
 "displayed in whatever language is set for the main calibre user interface."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:284
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:284
 msgid ""
 "The first step is to go through your plugin's source code and mark all user "
 "visible strings as translatable, by surrounding them in _(). For example::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:289
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:289
 msgid ""
 "Then use some program to generate .po files from your plugin source code. "
 "There should be one .po file for every language you want to translate into. "
@@ -473,17 +473,17 @@ msgid ""
 "`Poedit <https://poedit.net/>`_ program for this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:294
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:294
 msgid ""
 "Send these .po files to your translators. Once you get them back, compile "
 "them into .mo files. You can again use Poedit for that, or just do::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:299
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:299
 msgid "Put the .mo files into the ``translations`` folder in your plugin."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:301
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:301
 msgid ""
 "The last step is to simply call the function `load_translations()` at the "
 "top of your plugin's .py files. For performance reasons you should only call"
@@ -492,23 +492,23 @@ msgid ""
 "``ui.py`` but not ``__init__.py``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:307
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:307
 msgid ""
 "You can test the translations of your plugins by changing the user interface"
 " language in calibre under :guilabel:`Preferences->Interface->Look & feel` "
 "or by running calibre like this::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:313
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:313
 msgid ""
 "Replace ``de`` with the language code of the language you want to test."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:316
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:316
 msgid "The plugin API"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:318
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:318
 msgid ""
 "As you may have noticed above, a plugin in calibre is a class. There are "
 "different classes for the different types of plugins in calibre. Details on "
@@ -516,36 +516,36 @@ msgid ""
 ":ref:`plugins`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:321
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:321
 msgid ""
 "Your plugin is almost certainly going to use code from calibre. To learn how"
 " to find various bits of functionality in the calibre code base, read the "
 "section on the calibre :ref:`code_layout`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:326
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:326
 msgid "Debugging plugins"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:328
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:328
 msgid ""
 "The first, most important step is to run calibre in debug mode. You can do "
 "this from the command line with::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:332
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:332
 msgid ""
 "Or from within calibre by right-clicking the :guilabel:`Preferences` button "
 "or using the :kbd:`Ctrl+Shift+R` keyboard shortcut."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:334
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:334
 msgid ""
 "When running from the command line, debug output will be printed to the "
 "console, when running from within calibre the output will go to a txt file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:336
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:336
 msgid ""
 "You can insert print statements anywhere in your plugin code, they will be "
 "output in debug mode. Remember, this is Python, you really shouldn't need "
@@ -553,33 +553,33 @@ msgid ""
 "using just this debugging technique."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:338
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:338
 msgid ""
 "You can quickly test changes to your plugin by using the following command "
 "line::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:343
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:343
 msgid ""
 "This will shutdown a running calibre, wait for the shutdown to complete, "
 "then update your plugin in calibre and relaunch calibre."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:346
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:346
 msgid "More plugin examples"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:348
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:348
 msgid ""
 "You can find a list of many, sophisticated calibre plugins `here "
 "<https://www.mobileread.com/forums/showthread.php?t=118764>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:351
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:351
 msgid "Sharing your plugins with others"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/creating_plugins.rst:353
+#: ../../__w/calibre/calibre/manual/creating_plugins.rst:353
 msgid ""
 "If you would like to share the plugins you have created with other users of "
 "calibre, post your plugin in a new thread in the `calibre plugins forum "
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/db_api.po 5.10.0+dfsg-1/translations/manual/ja/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ja/db_api.po	2020-12-23 14:21:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/db_api.po	2021-01-20 15:30:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/edit.po 5.10.0+dfsg-1/translations/manual/ja/edit.po
--- 5.9.0+dfsg-3/translations/manual/ja/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/edit.po	2021-01-20 15:29:47.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: ja\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "電子書籍の編集"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "calibre には EPUB や AZW3 (Kindle) 形式の書籍を編集するための統合電子書籍エディターがあります。エディターは変更を加えると更新されるライブプレビューで書籍ファイル内で使用される HTML や CSS を表示します。また一般的なクリーンアップやタスク修正を実行する自動ツールも含まれています。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "目次"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "基本的なワークフロー"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
-msgstr ""
+msgstr "検索と置換"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "保存済み検索条件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "参照されているフォントを埋め込む"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "埋め込みフォントのサブセット化を実行中"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "句読点のスマート化を実行中"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "CSS ルールの削除"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "チェックポイント"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "スニペット"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/faq.po 5.10.0+dfsg-1/translations/manual/ja/faq.po
--- 5.9.0+dfsg-3/translations/manual/ja/faq.po	2021-01-06 15:34:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/faq.po	2021-01-20 15:29:01.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -48,9 +48,9 @@ msgstr "calibreは多く入力フォー
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -168,8 +168,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -409,7 +409,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -805,7 +805,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -939,7 +939,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1621,12 +1621,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1637,7 +1652,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1646,22 +1661,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1671,14 +1686,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1689,11 +1704,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1703,26 +1718,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1730,13 +1745,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1746,7 +1761,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1754,11 +1769,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1767,7 +1782,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1781,11 +1796,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1794,7 +1809,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1802,7 +1817,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1812,13 +1827,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1831,44 +1846,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "「許可がありません」というエラーがでました。"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr "SD カードが書き込み禁止になっているとき。"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "そのファイルが別のソフトから開かれている場合。"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1876,18 +1891,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1900,7 +1915,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1909,11 +1924,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "どすれば HTTPプロキシを使用できますか？"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1926,21 +1941,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1951,15 +1966,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "なぜ Calibre には自動更新機能がないのですか？"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "いくつかの理由があります："
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1967,7 +1982,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*毎週更新する必要はありません* Calibre の機能に満足していれば更新通知オフにしてそのまま楽しんでください。1年ほど後に更新したくなったら戻って確認してください。更新通知自体に、更新通知をオフにするチェックボックスがあります。"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1975,7 +1990,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1983,25 +1998,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2014,30 +2029,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "USB メモリ上から実行できませんか？"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2050,34 +2065,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/gui.po 5.10.0+dfsg-1/translations/manual/ja/gui.po
--- 5.9.0+dfsg-3/translations/manual/ja/gui.po	2021-01-06 15:36:30.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/gui.po	2021-01-20 15:30:07.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-05 07:50+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-08 13:54+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -1081,7 +1081,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/gui.rst:480
 msgid "Virtual libraries"
-msgstr ""
+msgstr "仮想ライブラリ"
 
 #: ../../__w/calibre/calibre/manual/gui.rst:482
 msgid ""
@@ -1799,7 +1799,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/gui.rst:752
 msgid "Clear the Virtual library"
-msgstr ""
+msgstr "仮想ライブラリを消去"
 
 #: ../../__w/calibre/calibre/manual/gui.rst:753
 msgid ":kbd:`Alt+Esc`"
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/index.po 5.10.0+dfsg-1/translations/manual/ja/index.po
--- 5.9.0+dfsg-3/translations/manual/ja/index.po	2020-04-16 09:58:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/index.po	2021-01-20 15:29:28.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-27 14:01+0530\n"
-"PO-Revision-Date: 2020-03-27 04:41+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-08 13:50+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -19,11 +19,11 @@ msgstr ""
 "Language: ja\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:4
+#: ../../__w/calibre/calibre/manual/index.rst:4
 msgid "calibre User Manual"
 msgstr "calibre ユーザーマニュアル"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:6
+#: ../../__w/calibre/calibre/manual/index.rst:6
 msgid ""
 "calibre is an e-book library manager. It can view, convert and catalog "
 "e-books in most of the major e-book formats. It can also talk to many e-book"
@@ -33,7 +33,7 @@ msgid ""
 "macOS."
 msgstr "calibre は電子書籍のライブラリ管理ソフトです。ほとんどの主要な電子書籍で閲覧、コンバート、分類することができます。また多くの電子書籍リーダー端末に対応しています。インターネットに接続して書籍の書籍情報を取得することができます。ネットニュースをダウンロードして、読みやすい電子書籍に変換することができます。calibre はクロスプラットフォームで Linux、Windows、macOS で動作します。"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:8
+#: ../../__w/calibre/calibre/manual/index.rst:8
 msgid ""
 "You've just started calibre. What do you do now? Before calibre can do "
 "anything with your e-books, it first has to know about them. Drag and drop a"
@@ -42,7 +42,7 @@ msgid ""
 "will show up in the main view looking something like this:"
 msgstr "今から calibre を使い始めます。何から始めましょうか？電子書籍を扱う前に知っておくべきことがあります。ドラッグ＆ドロップか「本を追加」をクリックして電子書籍を参照してください。書籍を追加すると、このようなものがメインビューに表示されます :"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:12
+#: ../../__w/calibre/calibre/manual/index.rst:12
 msgid ""
 "Once you've admired the list of books you just added to your heart's "
 "content, you'll probably want to read one. In order to do that you'll have "
@@ -53,9 +53,9 @@ msgid ""
 " now and click \"OK\". The little icon in the bottom right corner will start"
 " spinning. Once it's finished spinning, your converted book is ready. Click "
 "the \"View\" button to read the book."
-msgstr ""
+msgstr "追加した本がリストに表示されている様子を、心ゆくまで堪能したあとは、きっとその本を読みたくなるでしょう。そのためには、本のフォーマットを、リーダーが対応するフォーマットに変換する必要があります。最初に calibre を起動した際に、Welcome Wizard が開始し、そこでリーダーデバイスの設定が行われます。本の変換はとても簡単です。変換したい本を選択して、「本を変換」ボタンをクリックします。とりあえず今のところは、オプションをすべて無視して、「OK」をクリックしましょう。すると右下隅のアイコンがくるくる回転しだします。回転が止まったら、変換完了です。「表示」ボタンをクリックして本を読みましょう。"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:14
+#: ../../__w/calibre/calibre/manual/index.rst:14
 msgid ""
 "If you want to read the book on your reader, connect it to the computer, "
 "wait till calibre detects it (10-20 seconds) and then click the \"Send to "
@@ -64,79 +64,79 @@ msgid ""
 "will auto convert it to the format your reader device understands."
 msgstr "リーダーデバイスで本を読む場合、まずコンピューターに接続し、calibre が認識するまでしばらく(10-20秒)待ち、それから「デバイスに送信」ボタンをクリックします。また、くるくる回転するアイコンが止まったら、リーダーデバイスをコンピューターから外して、本を読むことができます。もし、前のステップで本の変換を行っていなかった場合、caliibre がデバイスの認識できるフォーマットへ自動的に変換します。"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:16
+#: ../../__w/calibre/calibre/manual/index.rst:16
 msgid ""
 "To get started with more advanced usage, you should read about :doc:`gui`. "
 "For even more power and versatility, learn the :doc:`generated/en/cli-"
 "index`. You will find the list of :doc:`faq` useful as well."
 msgstr "もう少し進んだな使い方をするためには、:doc:`gui` のページからはじめるとよいでしょう。さらに高度で多様な機能は、:doc:`generated/ja/cli-index` で学べます。また、:doc:`faq` も役に立つでしょう。"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:18
+#: ../../__w/calibre/calibre/manual/index.rst:18
 msgid ""
 "If you have more questions, or want to discuss calibre with other users or "
 "ask for help with specific things, there are `forums and other help "
 "resources available <https://calibre-ebook.com/help>`_."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/index.rst:24
+#: ../../__w/calibre/calibre/manual/index.rst:24
 msgid ""
 "**An e-book version of this User Manual is available in** `EPUB format "
 "<calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_ and `PDF "
 "format <calibre.pdf>`_."
-msgstr ""
+msgstr "**このマニュアルの電子書籍バージョンは以下で利用可能です。* `EPUB format <calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_, `PDF format <calibre.pdf>`_."
 
-#: ../../home/kovid/work/calibre/manual/index.rst:27
+#: ../../__w/calibre/calibre/manual/index.rst:27
 msgid "Sections"
 msgstr "セクション"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:49
+#: ../../__w/calibre/calibre/manual/index.rst:50
 msgid "The main calibre user interface"
 msgstr "calibre のユーザーインターフェース"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:57
+#: ../../__w/calibre/calibre/manual/index.rst:58
 msgid "Adding your favorite news website to calibre"
 msgstr "ニュースサイトをcalibreに追加する"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:65
+#: ../../__w/calibre/calibre/manual/index.rst:66
 msgid "The calibre E-book viewer"
 msgstr "calibre 電子書籍ビュアー"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:73
+#: ../../__w/calibre/calibre/manual/index.rst:74
 msgid "Customizing calibre's e-book conversion"
 msgstr "calibre の電子書籍変換のカスタマイズ"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:81
+#: ../../__w/calibre/calibre/manual/index.rst:82
 msgid "Editing e-books"
 msgstr "電子書籍の編集"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:89
+#: ../../__w/calibre/calibre/manual/index.rst:90
 msgid "The calibre Content server"
 msgstr "calibre コンテンツサーバー"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:97
+#: ../../__w/calibre/calibre/manual/index.rst:98
 msgid "Comparing e-books"
 msgstr "電子書籍の比較"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:105
+#: ../../__w/calibre/calibre/manual/index.rst:106
 msgid "Editing e-book metadata"
 msgstr "電子書籍の書誌情報の編集"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:113
+#: ../../__w/calibre/calibre/manual/index.rst:114
 msgid "Frequently Asked Questions"
 msgstr "よくある質問"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:121
+#: ../../__w/calibre/calibre/manual/index.rst:122
 msgid "Tutorials"
 msgstr "チュートリアル"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:129
+#: ../../__w/calibre/calibre/manual/index.rst:130
 msgid "Customizing calibre"
 msgstr "calibre のカスタマイズ"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:137
+#: ../../__w/calibre/calibre/manual/index.rst:138
 msgid "The Command Line Interface"
 msgstr "コマンドライン・インターフェース"
 
-#: ../../home/kovid/work/calibre/manual/index.rst:145
+#: ../../__w/calibre/calibre/manual/index.rst:146
 msgid "Setting up a calibre development environment"
 msgstr "calibre 開発環境のセットアップ"
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/news.po 5.10.0+dfsg-1/translations/manual/ja/news.po
--- 5.9.0+dfsg-3/translations/manual/ja/news.po	2020-11-26 07:32:38.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/news.po	2021-01-20 15:28:58.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-11-26 07:03+0000\n"
-"PO-Revision-Date: 2020-11-26 07:03+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-08 12:42+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -18,28 +18,28 @@ msgstr ""
 "Language: ja\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:4
+#: ../../__w/calibre/calibre/manual/news.rst:4
 msgid "Adding your favorite news website"
 msgstr "お気に入りのニュースサイトを追加する"
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:6
+#: ../../__w/calibre/calibre/manual/news.rst:6
 msgid ""
 "calibre has a powerful, flexible and easy-to-use framework for downloading "
 "news from the Internet and converting it into an e-book. The following will "
 "show you, by means of examples, how to get news from various websites."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:8
+#: ../../__w/calibre/calibre/manual/news.rst:8
 msgid ""
 "To gain an understanding of how to use the framework, follow the examples in"
 " the order listed below:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:15
+#: ../../__w/calibre/calibre/manual/news.rst:15
 msgid "Completely automatic fetching"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:17
+#: ../../__w/calibre/calibre/manual/news.rst:17
 msgid ""
 "If your news source is simple enough, calibre may well be able to fetch it "
 "completely automatically, all you need to do is provide the URL. calibre "
@@ -48,11 +48,11 @@ msgid ""
 "create a :term:`recipe` for it. Let's see some examples:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:26
+#: ../../__w/calibre/calibre/manual/news.rst:26
 msgid "The calibre blog"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:28
+#: ../../__w/calibre/calibre/manual/news.rst:28
 msgid ""
 "The calibre blog is a blog of posts that describe many useful calibre "
 "features in a simple and accessible way for new calibre users. In order to "
@@ -60,7 +60,7 @@ msgid ""
 "blog::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:34
+#: ../../__w/calibre/calibre/manual/news.rst:34
 msgid ""
 "I got the RSS URL by looking under \"Subscribe to\" at the bottom of the "
 "blog page and choosing :guilabel:`Posts->Atom`. To make calibre download the"
@@ -70,28 +70,28 @@ msgid ""
 "similar to that shown below should open up."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:43
+#: ../../__w/calibre/calibre/manual/news.rst:43
 msgid ""
 "First enter ``Calibre Blog`` into the :guilabel:`Recipe title` field. This "
 "will be the title of the e-book that will be created from the articles in "
 "the above feeds."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:45
+#: ../../__w/calibre/calibre/manual/news.rst:45
 msgid ""
 "The next two fields (:guilabel:`Oldest article` and :guilabel:`Max. number "
 "of articles`) allow you some control over how many articles should be "
 "downloaded from each feed, and they are pretty self explanatory."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:47
+#: ../../__w/calibre/calibre/manual/news.rst:47
 msgid ""
 "To add the feeds to the recipe, enter the feed title and the feed URL and "
 "click the :guilabel:`Add feed` button. Once you have added the feed, simply "
 "click the :guilabel:`Save` button and you're done! Close the dialog."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:51
+#: ../../__w/calibre/calibre/manual/news.rst:51
 msgid ""
 "To test your new :term:`recipe`, click the :guilabel:`Fetch news` button and"
 " in the :guilabel:`Custom news sources` sub-menu click :guilabel:`calibre "
@@ -101,7 +101,7 @@ msgid ""
 "the :guilabel:`View` button to read!"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:53
+#: ../../__w/calibre/calibre/manual/news.rst:53
 msgid ""
 "The reason this worked so well, with so little effort is that the blog "
 "provides *full-content* :term:`RSS` feeds, i.e., the article content is "
@@ -113,27 +113,27 @@ msgid ""
 "article."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:58
+#: ../../__w/calibre/calibre/manual/news.rst:58
 msgid "bbc.co.uk"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:60
+#: ../../__w/calibre/calibre/manual/news.rst:60
 msgid "Let's try the following two feeds from *The BBC*:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:62
+#: ../../__w/calibre/calibre/manual/news.rst:62
 msgid ""
 "News Front Page: "
 "https://newsrss.bbc.co.uk/rss/newsonline_world_edition/front_page/rss.xml"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:63
+#: ../../__w/calibre/calibre/manual/news.rst:63
 msgid ""
 "Science/Nature: "
 "https://newsrss.bbc.co.uk/rss/newsonline_world_edition/science/nature/rss.xml"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:65
+#: ../../__w/calibre/calibre/manual/news.rst:65
 msgid ""
 "Follow the procedure outlined in :ref:`calibre_blog` above to create a "
 "recipe for *The BBC* (using the feeds above). Looking at the downloaded "
@@ -146,11 +146,11 @@ msgid ""
 "section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:68
+#: ../../__w/calibre/calibre/manual/news.rst:68
 msgid "Customizing the fetch process"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:70
+#: ../../__w/calibre/calibre/manual/news.rst:70
 msgid ""
 "When you want to perfect the download process, or download content from a "
 "particularly complex website, you can avail yourself of all the power and "
@@ -159,7 +159,7 @@ msgid ""
 ":guilabel:`Switch to Advanced mode` button."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:72
+#: ../../__w/calibre/calibre/manual/news.rst:72
 msgid ""
 "The easiest and often most productive customization is to use the print "
 "version of the online articles. The print version typically has much less "
@@ -167,11 +167,11 @@ msgid ""
 "print version of the articles from *The BBC*."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:75
+#: ../../__w/calibre/calibre/manual/news.rst:75
 msgid "Using the print version of bbc.co.uk"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:77
+#: ../../__w/calibre/calibre/manual/news.rst:77
 msgid ""
 "The first step is to look at the e-book we downloaded previously from "
 ":ref:`bbc`. At the end of each article, in the e-book is a little blurb "
@@ -181,41 +181,41 @@ msgid ""
 " It looks much neater! Now compare the two URLs. For me they were:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:80
+#: ../../__w/calibre/calibre/manual/news.rst:80
 msgid "Article URL"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:80
+#: ../../__w/calibre/calibre/manual/news.rst:80
 msgid "https://news.bbc.co.uk/2/hi/science/nature/7312016.stm"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:83
+#: ../../__w/calibre/calibre/manual/news.rst:83
 msgid "Print version URL"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:83
+#: ../../__w/calibre/calibre/manual/news.rst:83
 msgid ""
 "https://newsvote.bbc.co.uk/mpapps/pagetools/print/news.bbc.co.uk/2/hi/science/nature/7312016.stm"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:85
+#: ../../__w/calibre/calibre/manual/news.rst:85
 msgid ""
 "So it looks like to get the print version, we need to prefix every article "
 "URL with:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:87
+#: ../../__w/calibre/calibre/manual/news.rst:87
 msgid "newsvote.bbc.co.uk/mpapps/pagetools/print/"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:89
+#: ../../__w/calibre/calibre/manual/news.rst:89
 msgid ""
 "Now in the :guilabel:`Advanced mode` of the Custom news sources dialog, you "
 "should see something like (remember to select *The BBC* recipe before "
 "switching to advanced mode):"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:94
+#: ../../__w/calibre/calibre/manual/news.rst:94
 msgid ""
 "You can see that the fields from the :guilabel:`Basic mode` have been "
 "translated to Python code in a straightforward manner. We need to add "
@@ -223,13 +223,13 @@ msgid ""
 "that's needed is to add the following two lines:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:101
+#: ../../__w/calibre/calibre/manual/news.rst:101
 msgid ""
 "This is Python, so indentation is important. After you've added the lines, "
 "it should look like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:106
+#: ../../__w/calibre/calibre/manual/news.rst:106
 msgid ""
 "In the above, ``def print_version(self, url)`` defines a *method* that is "
 "called by calibre for every article. ``url`` is the URL of the original "
@@ -239,7 +239,7 @@ msgid ""
 "<https://docs.python.org/tutorial/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:108
+#: ../../__w/calibre/calibre/manual/news.rst:108
 msgid ""
 "Now, click the :guilabel:`Add/update recipe` button and your changes will be"
 " saved. Re-download the e-book. You should have a much improved e-book. One "
@@ -250,11 +250,11 @@ msgid ""
 "this, we will do some more customization, in the next section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:111
+#: ../../__w/calibre/calibre/manual/news.rst:111
 msgid "Replacing article styles"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:113
+#: ../../__w/calibre/calibre/manual/news.rst:113
 msgid ""
 "In the previous section, we saw that the font size for articles from the "
 "print version of *The BBC* was too small. In most websites, *The BBC* "
@@ -262,22 +262,22 @@ msgid ""
 "disable the fetching of such stylesheets by adding the line::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:119
+#: ../../__w/calibre/calibre/manual/news.rst:119
 msgid "The recipe now looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:124
+#: ../../__w/calibre/calibre/manual/news.rst:124
 msgid ""
 "The new version looks pretty good. If you're a perfectionist, you'll want to"
 " read the next section, which deals with actually modifying the downloaded "
 "content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:127
+#: ../../__w/calibre/calibre/manual/news.rst:127
 msgid "Slicing and dicing"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:129
+#: ../../__w/calibre/calibre/manual/news.rst:129
 msgid ""
 "calibre contains very powerful and flexible abilities when it comes to "
 "manipulating downloaded content. To show off a couple of these, let's look "
@@ -286,55 +286,55 @@ msgid ""
 "that they have a footer that contains no useful information, contained in"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:137
+#: ../../__w/calibre/calibre/manual/news.rst:137
 msgid "This can be removed by adding::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:141
+#: ../../__w/calibre/calibre/manual/news.rst:141
 msgid ""
 "to the recipe. Finally, lets replace some of the :term:`CSS` that we "
 "disabled earlier, with our own :term:`CSS` that is suitable for conversion "
 "to an e-book::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:145
+#: ../../__w/calibre/calibre/manual/news.rst:145
 msgid "With these additions, our recipe has become \"production quality\"."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:147
+#: ../../__w/calibre/calibre/manual/news.rst:147
 msgid ""
 "This :term:`recipe` explores only the tip of the iceberg when it comes to "
 "the power of calibre. To explore more of the abilities of calibre we'll "
 "examine a more complex real life example in the next section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:150
+#: ../../__w/calibre/calibre/manual/news.rst:150
 msgid "Real life example"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:152
+#: ../../__w/calibre/calibre/manual/news.rst:152
 msgid ""
 "A reasonably complex real life example that exposes more of the :term:`API` "
 "of ``BasicNewsRecipe`` is the :term:`recipe` for *The New York Times*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:238
+#: ../../__w/calibre/calibre/manual/news.rst:238
 msgid "We see several new features in this :term:`recipe`. First, we have::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:242
+#: ../../__w/calibre/calibre/manual/news.rst:242
 msgid ""
 "This sets the displayed time on the front page of the created e-book to be "
 "in the format, ``Day, Day_Number Month, Year``. See :attr:`timefmt "
 "<calibre.web.feeds.news.BasicNewsRecipe.timefmt>`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:245
+#: ../../__w/calibre/calibre/manual/news.rst:245
 msgid ""
 "Then we see a group of directives to cleanup the downloaded :term:`HTML`::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:251
+#: ../../__w/calibre/calibre/manual/news.rst:251
 msgid ""
 "These remove everything before the first ``<h1>`` tag and everything after "
 "the first tag whose id is ``footer``. See :attr:`remove_tags "
@@ -345,11 +345,11 @@ msgid ""
 "<calibre.web.feeds.news.BasicNewsRecipe.remove_tags_after>`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:253
+#: ../../__w/calibre/calibre/manual/news.rst:253
 msgid "The next interesting feature is::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:260
+#: ../../__w/calibre/calibre/manual/news.rst:260
 msgid ""
 "``needs_subscription = True`` tells calibre that this recipe needs a "
 "username and password in order to access the content. This causes, calibre "
@@ -361,7 +361,7 @@ msgid ""
 "``get_browser``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:262
+#: ../../__w/calibre/calibre/manual/news.rst:262
 msgid ""
 "The next new feature is the "
 ":meth:`calibre.web.feeds.news.BasicNewsRecipe.parse_index` method. Its job "
@@ -377,7 +377,7 @@ msgid ""
 "with the following::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:283
+#: ../../__w/calibre/calibre/manual/news.rst:283
 msgid ""
 "The final new feature is the "
 ":meth:`calibre.web.feeds.news.BasicNewsRecipe.preprocess_html` method. It "
@@ -386,11 +386,11 @@ msgid ""
 "each article."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:286
+#: ../../__w/calibre/calibre/manual/news.rst:286
 msgid "Tips for developing new recipes"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:288
+#: ../../__w/calibre/calibre/manual/news.rst:288
 msgid ""
 "The best way to develop new recipes is to use the command line interface. "
 "Create the recipe using your favorite Python editor and save it to a file "
@@ -398,7 +398,7 @@ msgid ""
 "download content using this recipe with the command::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:292
+#: ../../__w/calibre/calibre/manual/news.rst:292
 msgid ""
 "The command :command:`ebook-convert` will download all the webpages and save"
 " them to the EPUB file :file:`myrecipe.epub`. The ``-vv`` option makes "
@@ -410,7 +410,7 @@ msgid ""
 "pipeline` option."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:300
+#: ../../__w/calibre/calibre/manual/news.rst:300
 msgid ""
 "Once the download is complete, you can look at the downloaded :term:`HTML` "
 "by opening the file :file:`debug/input/index.html` in a browser. Once you're"
@@ -418,7 +418,7 @@ msgid ""
 "can generate e-books in different formats as shown below::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:307
+#: ../../__w/calibre/calibre/manual/news.rst:307
 msgid ""
 "If you're satisfied with your recipe, and you feel there is enough demand to"
 " justify its inclusion into the set of built-in recipes, post your recipe in"
@@ -427,71 +427,71 @@ msgid ""
 "with other calibre users."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:310
+#: ../../__w/calibre/calibre/manual/news.rst:310
 msgid ""
 "On macOS, the command line tools are inside the calibre bundle, for example,"
 " if you installed calibre in :file:`/Applications` the command line tools "
 "are in :file:`/Applications/calibre.app/Contents/MacOS/`."
-msgstr ""
+msgstr "Mac OSの場合、コマンドラインツールはCalibreバンドルの中にあります。例えば Calibre を  :file:`/Applications にインストールした場合、コマンドラインツールは :file:`/Applications/calibre.app/Contents/console.app/Contents/MacOS/`.にあります。"
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:316
+#: ../../__w/calibre/calibre/manual/news.rst:316
 msgid ":doc:`generated/en/ebook-convert`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:317
+#: ../../__w/calibre/calibre/manual/news.rst:317
 msgid "The command line interface for all e-book conversion."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:321
+#: ../../__w/calibre/calibre/manual/news.rst:321
 msgid "Further reading"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:323
+#: ../../__w/calibre/calibre/manual/news.rst:323
 msgid ""
 "To learn more about writing advanced recipes using some of the facilities, "
 "available in ``BasicNewsRecipe`` you should consult the following sources:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:326
+#: ../../__w/calibre/calibre/manual/news.rst:326
 msgid ":ref:`API documentation <news_recipe>`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:326
+#: ../../__w/calibre/calibre/manual/news.rst:326
 msgid ""
 "Documentation of the ``BasicNewsRecipe`` class and all its important methods"
 " and fields."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:329
+#: ../../__w/calibre/calibre/manual/news.rst:329
 msgid ""
 "`BasicNewsRecipe "
 "<https://github.com/kovidgoyal/calibre/blob/master/src/calibre/web/feeds/news.py>`_"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:329
+#: ../../__w/calibre/calibre/manual/news.rst:329
 msgid "The source code of ``BasicNewsRecipe``"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:332
+#: ../../__w/calibre/calibre/manual/news.rst:332
 msgid ""
 "`Built-in recipes "
 "<https://github.com/kovidgoyal/calibre/tree/master/recipes>`_"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:332
+#: ../../__w/calibre/calibre/manual/news.rst:332
 msgid "The source code for the built-in recipes that come with calibre"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:336
+#: ../../__w/calibre/calibre/manual/news.rst:336
 msgid ""
 "`The calibre recipes forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=228>`_"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:335
+#: ../../__w/calibre/calibre/manual/news.rst:335
 msgid "Lots of knowledgeable calibre recipe writers hang out here."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/news.rst:339
+#: ../../__w/calibre/calibre/manual/news.rst:339
 msgid "API documentation"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/server.po 5.10.0+dfsg-1/translations/manual/ja/server.po
--- 5.9.0+dfsg-3/translations/manual/ja/server.po	2020-10-01 03:16:21.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/server.po	2021-01-20 15:29:47.000000000 +0000
@@ -3,13 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
+# toshi oota <ppp15479@gmail.com>, 2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-10-01 03:09+0000\n"
-"PO-Revision-Date: 2020-09-28 02:43+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-08 13:59+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -17,11 +18,11 @@ msgstr ""
 "Language: ja\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:2
+#: ../../__w/calibre/calibre/manual/server.rst:2
 msgid "The calibre Content server"
 msgstr "Calibre コンテンツサーバー"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:4
+#: ../../__w/calibre/calibre/manual/server.rst:4
 msgid ""
 "The calibre :guilabel:`Content server` allows you to access your calibre "
 "libraries and read books directly in a browser on your favorite mobile phone"
@@ -31,11 +32,11 @@ msgid ""
 "you can read it even when there is no internet connection."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:13
+#: ../../__w/calibre/calibre/manual/server.rst:13
 msgid "Contents"
 msgstr "目次"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:15
+#: ../../__w/calibre/calibre/manual/server.rst:15
 msgid ""
 "To start the server, click the :guilabel:`Connect/share` button and choose "
 ":guilabel:`Start Content server`. You might get a message from your "
@@ -45,11 +46,11 @@ msgid ""
 "following address:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:22
+#: ../../__w/calibre/calibre/manual/server.rst:22
 msgid "http://127.0.0.1:8080"
-msgstr ""
+msgstr "http://127.0.0.1:8080"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:24
+#: ../../__w/calibre/calibre/manual/server.rst:24
 msgid ""
 "This will open a page in the browser showing you your calibre libraries, "
 "click on any one and browse the books in it. Click on a book, and it will "
@@ -58,7 +59,7 @@ msgid ""
 ":guilabel:`Read book` button to start reading the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:30
+#: ../../__w/calibre/calibre/manual/server.rst:30
 msgid ""
 "The address used above ``http://127.0.0.1:8080`` will only work on the "
 "computer that is running calibre. To access the server from other "
@@ -66,11 +67,11 @@ msgid ""
 "described in the next section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:37
+#: ../../__w/calibre/calibre/manual/server.rst:37
 msgid "Accessing the Content server from other devices"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:39
+#: ../../__w/calibre/calibre/manual/server.rst:39
 msgid ""
 "There are two types of remote device access that you will typically need. "
 "The first, simpler kind is from within your home network. If you are running"
@@ -79,11 +80,11 @@ msgid ""
 "access the server on those devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:46
+#: ../../__w/calibre/calibre/manual/server.rst:46
 msgid "Accessing the server from devices on your home network"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:48
+#: ../../__w/calibre/calibre/manual/server.rst:48
 msgid ""
 "After starting the server in calibre as described above, click the "
 ":guilabel:`Connect/share` button again. Instead of the :guilabel:`Start "
@@ -93,13 +94,13 @@ msgid ""
 "example::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:57
+#: ../../__w/calibre/calibre/manual/server.rst:57
 msgid ""
 "These numbers tell you what address to use to connect to the server in your "
 "devices. Following the example above, the address becomes::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:62
+#: ../../__w/calibre/calibre/manual/server.rst:62
 msgid ""
 "The first part of the address is always ``http://`` the next part is the IP "
 "address, which is the numbers before the comma and finally we have the port "
@@ -108,24 +109,24 @@ msgid ""
 "calibre libraries on your device. If not, read on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:70
+#: ../../__w/calibre/calibre/manual/server.rst:70
 msgid "Trouble-shooting the home network connection"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:72
+#: ../../__w/calibre/calibre/manual/server.rst:72
 msgid ""
 "If you are unable to access the server from your device, try the following "
 "steps:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:75
+#: ../../__w/calibre/calibre/manual/server.rst:75
 msgid ""
 "Check that the server is running by opening the address "
 "``http://127.0.0.1:8080`` in a browser running on the same computer as the "
 "server."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:79
+#: ../../__w/calibre/calibre/manual/server.rst:79
 msgid ""
 "Check that your firewall/anti-virus is allowing connections to your computer"
 " on the port ``8080`` and to the calibre program. The easiest way to "
@@ -135,14 +136,14 @@ msgid ""
 "computer safe."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:86
+#: ../../__w/calibre/calibre/manual/server.rst:86
 msgid ""
 "Check that your device and computer are on the same network. This means they"
 " should both be connected to the same wireless router. In particular neither"
 " should be using a cellular or ISP provided direct-WiFi connection."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:90
+#: ../../__w/calibre/calibre/manual/server.rst:90
 msgid ""
 "If you have non-standard networking setup, it might be that the IP address "
 "shown on the :guilabel:`Connect/share` menu is incorrect. In such a case you"
@@ -151,7 +152,7 @@ msgid ""
 "possible, it is not possible to give you a roadmap for doing so."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:97
+#: ../../__w/calibre/calibre/manual/server.rst:97
 msgid ""
 "If you have setup a username and password, first try it without that to see "
 "if it is causing issues. Some e-ink devices have browsers that do not handle"
@@ -160,16 +161,16 @@ msgid ""
 "``http://username:password@192.168.1.2:8080``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:103
+#: ../../__w/calibre/calibre/manual/server.rst:103
 msgid ""
 "If you are stuck, you can always ask for help in the `calibre user forums`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:107
+#: ../../__w/calibre/calibre/manual/server.rst:107
 msgid "Accessing the server from anywhere on the internet"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:111
+#: ../../__w/calibre/calibre/manual/server.rst:111
 msgid ""
 "Before doing this you should turn on username/password protection in the "
 "server, otherwise anyone in the world will be able to access your books. Go "
@@ -178,34 +179,34 @@ msgid ""
 "server`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:117
+#: ../../__w/calibre/calibre/manual/server.rst:117
 msgid ""
 "While the particular details on setting up internet access vary depending on"
 " the network configuration and type of computer you are using, the basic "
 "schema is as follows."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:121
+#: ../../__w/calibre/calibre/manual/server.rst:121
 msgid ""
 "Find out the external IP address of the computer you are going to run the "
 "server on. You can do that by visiting the site `What is my IP address "
 "<https://www.whatismyip.com/>`_ in a browser running on the computer."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:125
+#: ../../__w/calibre/calibre/manual/server.rst:125
 msgid ""
 "If the computer is behind a router, enable port forwarding on the router to "
 "forward the port ``8080`` (or whatever port you choose to run the calibre "
 "Content server on) to the computer."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:129
+#: ../../__w/calibre/calibre/manual/server.rst:129
 msgid ""
 "Make sure the calibre server is allowed through any firewalls/anti-virus "
 "programs on your computer."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:132
+#: ../../__w/calibre/calibre/manual/server.rst:132
 msgid ""
 "Now you should be able to access the server on any internet-connected device"
 " using the IP address you found in the first step. For example, if the IP "
@@ -214,14 +215,14 @@ msgid ""
 "``http://123.123.123.123:8080``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:138
+#: ../../__w/calibre/calibre/manual/server.rst:138
 msgid ""
 "Optionally, use a service like `no-ip <https://www.noip.com/free>`_ to setup"
 " an easy to remember address to use instead of the IP address you found in "
 "the first step."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:143
+#: ../../__w/calibre/calibre/manual/server.rst:143
 msgid ""
 "For maximum security, you should also enable HTTPS on the content server. "
 "You can either do so directly in the server by providing the path to the "
@@ -230,11 +231,11 @@ msgid ""
 "existing HTTPS setup."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:151
+#: ../../__w/calibre/calibre/manual/server.rst:151
 msgid "The server interface"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:153
+#: ../../__w/calibre/calibre/manual/server.rst:153
 msgid ""
 "The server interface is a simplified version of the main calibre interface, "
 "optimised for use with touch screens. The home screen shows you books you "
@@ -243,11 +244,11 @@ msgid ""
 "libraries, not just a single one, as before."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:160
+#: ../../__w/calibre/calibre/manual/server.rst:160
 msgid "The book list"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:162
+#: ../../__w/calibre/calibre/manual/server.rst:162
 msgid ""
 "The server book list is a simple grid of covers. Tap on a cover to see the "
 "detailed metadata for a book, or to read the book. If you prefer a more "
@@ -255,7 +256,7 @@ msgid ""
 "vertical dots in the top right corner."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:167
+#: ../../__w/calibre/calibre/manual/server.rst:167
 msgid ""
 "Sorting and searching of the book list should be familiar to calibre users. "
 "They can be accessed by clicking their icons in the top right area. They "
@@ -265,18 +266,18 @@ msgid ""
 "program."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:173
+#: ../../__w/calibre/calibre/manual/server.rst:173
 msgid ""
 "A much loved feature of the main program, :guilabel:`Virtual libraries` is "
 "present in the server interface as well. Click the three vertical dots in "
 "the top right corner to choose a Virtual library."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:178
+#: ../../__w/calibre/calibre/manual/server.rst:178
 msgid "The book reader"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:180
+#: ../../__w/calibre/calibre/manual/server.rst:180
 msgid ""
 "You can read any book in your calibre library by simply tapping on it and "
 "then tapping the :guilabel:`Read book` button. The books reader is very "
@@ -285,7 +286,7 @@ msgid ""
 "detailed controls and viewer preferences."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:186
+#: ../../__w/calibre/calibre/manual/server.rst:186
 msgid ""
 "If you leave the Content server running, you can even open the same book on "
 "multiple devices and it will remember your last read position. If it does "
@@ -293,11 +294,11 @@ msgid ""
 ":guilabel:`Sync`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:192
+#: ../../__w/calibre/calibre/manual/server.rst:192
 msgid "Browser support"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:194
+#: ../../__w/calibre/calibre/manual/server.rst:194
 msgid ""
 "The new calibre server makes lots of use of advanced HTML 5 and CSS 3 "
 "features. As such it requires an up-to-date browser to use. It has been "
@@ -307,7 +308,7 @@ msgid ""
 "implementing a few missing standards)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:201
+#: ../../__w/calibre/calibre/manual/server.rst:201
 msgid ""
 "The server is careful to use functionality that has either been already "
 "standardised or is on the standards track. As such if it does not currently "
@@ -315,14 +316,14 @@ msgid ""
 "caught up."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:206
+#: ../../__w/calibre/calibre/manual/server.rst:206
 msgid ""
 "If you are using a particularly old or limited browser or you don't like to "
 "run JavaScript, you can use the *mobile* view, by simply adding ``/mobile`` "
 "to the the server address."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:211
+#: ../../__w/calibre/calibre/manual/server.rst:211
 msgid ""
 "On iOS, Apple allows only a single browser engine, so Firefox, Chrome and "
 "Safari are all actually the same browser under the hood. The new server "
@@ -330,11 +331,11 @@ msgid ""
 "tested with Chrome version 58 and newer."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:217
+#: ../../__w/calibre/calibre/manual/server.rst:217
 msgid "Enabling offline support"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:219
+#: ../../__w/calibre/calibre/manual/server.rst:219
 msgid ""
 "Browser makers have been trying to force people to use SSL by disabling "
 "advanced features in their browsers for plain HTTP connections. One such "
@@ -344,11 +345,11 @@ msgid ""
 "toggle it to ``true``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:227
+#: ../../__w/calibre/calibre/manual/server.rst:227
 msgid "Managing user accounts from the command-line only"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:229
+#: ../../__w/calibre/calibre/manual/server.rst:229
 msgid ""
 "The calibre program has a nice section in :guilabel:`Preferences` to allow "
 "you to manage user accounts for the server. However, if you want to run the "
@@ -357,28 +358,28 @@ msgid ""
 "line."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:234
+#: ../../__w/calibre/calibre/manual/server.rst:234
 msgid ""
 "You can manage user accounts using the ``--manage-users`` option to the "
 "standalone ``calibre-server`` program. Suppose you want to store the user "
 "database in the directory ``/srv/calibre``, then you create it by running::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:241
+#: ../../__w/calibre/calibre/manual/server.rst:241
 msgid ""
 "Just follow the prompts to create user accounts, set their permission, etc. "
 "Once you are done, you can run the server as::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:246
+#: ../../__w/calibre/calibre/manual/server.rst:246
 msgid "It will use the user accounts you created in the previous step."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:250
+#: ../../__w/calibre/calibre/manual/server.rst:250
 msgid "Integrating the calibre Content server into other servers"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:252
+#: ../../__w/calibre/calibre/manual/server.rst:252
 msgid ""
 "Here, we will show you how to integrate the calibre Content server into "
 "another server. The most common reason for this is to make use of SSL or to "
@@ -387,7 +388,7 @@ msgid ""
 "server."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:257
+#: ../../__w/calibre/calibre/manual/server.rst:257
 msgid ""
 "A reverse proxy is when your normal server accepts incoming requests and "
 "passes them onto the calibre server. It then reads the response from the "
@@ -396,36 +397,36 @@ msgid ""
 "with your main server."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:264
+#: ../../__w/calibre/calibre/manual/server.rst:264
 msgid "Using a full virtual host"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:266
+#: ../../__w/calibre/calibre/manual/server.rst:266
 msgid ""
 "The simplest configuration is to dedicate a full virtual host to the calibre"
 " server. In this case, run the calibre server as::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:271
+#: ../../__w/calibre/calibre/manual/server.rst:271
 msgid ""
 "Now setup the virtual host in your main server, for example, for nginx::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:282
+#: ../../__w/calibre/calibre/manual/server.rst:282
 msgid "Or, for Apache::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:297
+#: ../../__w/calibre/calibre/manual/server.rst:297
 msgid "Using a URL prefix"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:299
+#: ../../__w/calibre/calibre/manual/server.rst:299
 msgid ""
 "If you do not want to dedicate a full virtual host to calibre, you can have "
 "it use a URL prefix. Start the calibre server as::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:304
+#: ../../__w/calibre/calibre/manual/server.rst:304
 msgid ""
 "The key parameter here is ``--url-prefix /calibre``. This causes the Content"
 " server to serve all URLs prefixed by ``/calibre``. To see this in action, "
@@ -433,17 +434,17 @@ msgid ""
 "normal Content server website, but now it will run under ``/calibre``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:306
+#: ../../__w/calibre/calibre/manual/server.rst:306
 msgid "With nginx, the required configuration is::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:319
+#: ../../__w/calibre/calibre/manual/server.rst:319
 msgid ""
 "For Apache, first enable the proxy modules in Apache, by adding the "
 "following to :file:`httpd.conf`::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:324
+#: ../../__w/calibre/calibre/manual/server.rst:324
 msgid ""
 "The exact technique for enabling the proxy modules will vary depending on "
 "your Apache installation. Once you have the proxy modules enabled, add the "
@@ -451,7 +452,7 @@ msgid ""
 "the conf file for the virtual host in question)::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:331
+#: ../../__w/calibre/calibre/manual/server.rst:331
 msgid ""
 "That's all, you will now be able to access the calibre Content server under "
 "the ``/calibre`` URL in your main server. The above rules pass all requests "
@@ -460,7 +461,7 @@ msgid ""
 "transparently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:336
+#: ../../__w/calibre/calibre/manual/server.rst:336
 msgid ""
 "When using a reverse proxy, you should tell the calibre Content server to "
 "only listen on localhost, by using ``--listen-on 127.0.0.1``. That way, the "
@@ -468,7 +469,7 @@ msgid ""
 "from the reverse proxy."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:343
+#: ../../__w/calibre/calibre/manual/server.rst:343
 msgid ""
 "If you have setup SSL for your main server, you should tell the calibre "
 "server to use basic authentication instead of digest authentication, as it "
@@ -476,11 +477,11 @@ msgid ""
 "server``."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:352
+#: ../../__w/calibre/calibre/manual/server.rst:352
 msgid "Creating a service for the calibre server on a modern Linux system"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:354
+#: ../../__w/calibre/calibre/manual/server.rst:354
 msgid ""
 "You can easily create a service to run calibre at boot on a modern (`systemd"
 " <https://www.freedesktop.org/wiki/Software/systemd/>`_) based Linux system."
@@ -488,7 +489,7 @@ msgid ""
 "the contents shown below::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:373
+#: ../../__w/calibre/calibre/manual/server.rst:373
 msgid ""
 "Change ``mylinuxuser`` and ``mylinuxgroup`` to whatever user and group you "
 "want the server to run as. This should be the same user and group that own "
@@ -498,25 +499,25 @@ msgid ""
 "needed. See the help for the ``calibre-server`` command."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:380
+#: ../../__w/calibre/calibre/manual/server.rst:380
 msgid "Now run::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:384
+#: ../../__w/calibre/calibre/manual/server.rst:384
 msgid "to start the server. Check its status with::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:388
+#: ../../__w/calibre/calibre/manual/server.rst:388
 msgid "To make it start at boot, run::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:394
+#: ../../__w/calibre/calibre/manual/server.rst:394
 msgid ""
 "The calibre server *does not* need a running X server, but it does need the "
 "X libraries installed as some components it uses link against them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:399
+#: ../../__w/calibre/calibre/manual/server.rst:399
 msgid ""
 "The calibre server also supports systemd socket activation, so you can use "
 "that, if needed, as well."
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/simple_index.po 5.10.0+dfsg-1/translations/manual/ja/simple_index.po
--- 5.9.0+dfsg-3/translations/manual/ja/simple_index.po	2020-04-16 10:12:29.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/simple_index.po	2021-01-20 15:30:59.000000000 +0000
@@ -5,13 +5,14 @@
 # Translators:
 # Asakura, 2015
 # Asakura, 2015
+# toshi oota <ppp15479@gmail.com>, 2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-27 14:01+0530\n"
-"PO-Revision-Date: 2020-03-27 04:42+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-08 13:50+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -19,11 +20,11 @@ msgstr ""
 "Language: ja\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:4
+#: ../../__w/calibre/calibre/manual/simple_index.rst:4
 msgid "calibre User Manual"
 msgstr "calibre ユーザーマニュアル"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:6
+#: ../../__w/calibre/calibre/manual/simple_index.rst:6
 msgid ""
 "calibre is an e-book library manager. It can view, convert and catalog "
 "e-books in most of the major e-book formats. It can also talk to many e-book"
@@ -33,7 +34,7 @@ msgid ""
 "macOS."
 msgstr "calibre は電子書籍のライブラリ管理ソフトです。ほとんどの主要な電子書籍で閲覧、コンバート、分類することができます。また多くの電子書籍リーダー端末に対応しています。インターネットに接続して書籍の書籍情報を取得することができます。ネットニュースをダウンロードして、読みやすい電子書籍に変換することができます。calibre はクロスプラットフォームで Linux、Windows、macOS で動作します。"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:8
+#: ../../__w/calibre/calibre/manual/simple_index.rst:8
 msgid ""
 "You've just started calibre. What do you do now? Before calibre can do "
 "anything with your e-books, it first has to know about them. Drag and drop a"
@@ -42,7 +43,7 @@ msgid ""
 "will show up in the main view looking something like this:"
 msgstr "今から calibre を使い始めます。何から始めましょうか？電子書籍を扱う前に知っておくべきことがあります。ドラッグ＆ドロップか「本を追加」をクリックして電子書籍を参照してください。書籍を追加すると、このようなものがメインビューに表示されます :"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:12
+#: ../../__w/calibre/calibre/manual/simple_index.rst:12
 msgid ""
 "Once you've admired the list of books you just added to your heart's "
 "content, you'll probably want to read one. In order to do that you'll have "
@@ -53,9 +54,9 @@ msgid ""
 " now and click \"OK\". The little icon in the bottom right corner will start"
 " spinning. Once it's finished spinning, your converted book is ready. Click "
 "the \"View\" button to read the book."
-msgstr ""
+msgstr "追加した本がリストに表示されている様子を、心ゆくまで堪能したあとは、きっとその本を読みたくなるでしょう。そのためには、本のフォーマットを、リーダーが対応するフォーマットに変換する必要があります。最初に calibre を起動した際に、Welcome Wizard が開始し、そこでリーダーデバイスの設定が行われます。本の変換はとても簡単です。変換したい本を選択して、「本を変換」ボタンをクリックします。とりあえず今のところは、オプションをすべて無視して、「OK」をクリックしましょう。すると右下隅のアイコンがくるくる回転しだします。回転が止まったら、変換完了です。「表示」ボタンをクリックして本を読みましょう。"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:14
+#: ../../__w/calibre/calibre/manual/simple_index.rst:14
 msgid ""
 "If you want to read the book on your reader, connect it to the computer, "
 "wait till calibre detects it (10-20 seconds) and then click the \"Send to "
@@ -64,27 +65,27 @@ msgid ""
 "will auto convert it to the format your reader device understands."
 msgstr "リーダーデバイスで本を読む場合、まずコンピューターに接続し、calibre が認識するまでしばらく(10-20秒)待ち、それから「デバイスに送信」ボタンをクリックします。また、くるくる回転するアイコンが止まったら、リーダーデバイスをコンピューターから外して、本を読むことができます。もし、前のステップで本の変換を行っていなかった場合、caliibre がデバイスの認識できるフォーマットへ自動的に変換します。"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:16
+#: ../../__w/calibre/calibre/manual/simple_index.rst:16
 msgid ""
 "To get started with more advanced usage, you should read about :doc:`gui`. "
 "For even more power and versatility, learn the :doc:`generated/en/cli-"
 "index`. You will find the list of :doc:`faq` useful as well."
 msgstr "もう少し進んだな使い方をするためには、:doc:`gui` のページからはじめるとよいでしょう。さらに高度で多様な機能は、:doc:`generated/ja/cli-index` で学べます。また、:doc:`faq` も役に立つでしょう。"
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:18
+#: ../../__w/calibre/calibre/manual/simple_index.rst:18
 msgid ""
 "If you have more questions, or want to discuss calibre with other users or "
 "ask for help with specific things, there are `forums and other help "
 "resources available <https://calibre-ebook.com/help>`_."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:24
+#: ../../__w/calibre/calibre/manual/simple_index.rst:24
 msgid ""
 "**An e-book version of this User Manual is available in** `EPUB format "
 "<calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_ and `PDF "
 "format <calibre.pdf>`_."
-msgstr ""
+msgstr "**このマニュアルの電子書籍バージョンは以下で利用可能です。* `EPUB format <calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_, `PDF format <calibre.pdf>`_."
 
-#: ../../home/kovid/work/calibre/manual/simple_index.rst:27
+#: ../../__w/calibre/calibre/manual/simple_index.rst:27
 msgid "Sections"
 msgstr "セクション"
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/sphinx.po 5.10.0+dfsg-1/translations/manual/ja/sphinx.po
--- 5.9.0+dfsg-3/translations/manual/ja/sphinx.po	2020-12-10 03:01:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/sphinx.po	2021-01-20 15:30:07.000000000 +0000
@@ -4,13 +4,14 @@
 # 
 # Translators:
 # EbXpJ6bp <ebxpj6bp@outlook.jp>, 2018
+# toshi oota <ppp15479@gmail.com>, 2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-28 09:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-08 13:58+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -18,37 +19,37 @@ msgstr ""
 "Language: ja\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:243
+#: ../../__w/calibre/calibre/manual/templates/layout.html:243
 msgid "&#169; <a href=\"%(path)s\">Copyright</a> %(copyright)s."
-msgstr ""
+msgstr "&#169; <a href=\"%(path)s\">Copyright</a> %(copyright)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:245
+#: ../../__w/calibre/calibre/manual/templates/layout.html:245
 msgid "&#169; Copyright %(copyright)s."
-msgstr ""
+msgstr "&#169; Copyright %(copyright)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:249
+#: ../../__w/calibre/calibre/manual/templates/layout.html:249
 msgid "Last updated on %(last_updated)s."
-msgstr ""
+msgstr "Last updated on %(last_updated)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:252
+#: ../../__w/calibre/calibre/manual/templates/layout.html:252
 msgid ""
 "Created using <a href=\"https://www.sphinx-doc.org/\">Sphinx</a> "
 "%(sphinx_version)s."
-msgstr ""
+msgstr "Created using <a href=\"https://www.sphinx-doc.org/\">Sphinx</a> %(sphinx_version)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:8
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:10
-#: ../../home/runner/work/calibre/calibre/manual/templates/searchbox.html:6
+#: ../../__w/calibre/calibre/manual/templates/search.html:8
+#: ../../__w/calibre/calibre/manual/templates/search.html:10
+#: ../../__w/calibre/calibre/manual/templates/searchbox.html:6
 msgid "Search"
 msgstr "検索"
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:12
+#: ../../__w/calibre/calibre/manual/templates/search.html:12
 msgid ""
 "Please activate JavaScript to enable the search\n"
 "    functionality."
 msgstr "検索機能を利用するために JavaScript をアクティブにしてください。"
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:16
+#: ../../__w/calibre/calibre/manual/templates/search.html:16
 msgid ""
 "From here you can search the User Manual. Enter your search\n"
 "    words into the box below and click \"search\".\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/stats.json 5.10.0+dfsg-1/translations/manual/ja/stats.json
--- 5.9.0+dfsg-3/translations/manual/ja/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 186,
-    "untranslated": 2839
+    "translated": 209,
+    "untranslated": 2822
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/template_lang.po 5.10.0+dfsg-1/translations/manual/ja/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ja/template_lang.po	2021-01-06 15:34:29.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/template_lang.po	2021-01-20 15:28:43.000000000 +0000
@@ -3,12 +3,13 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
+# toshi oota <ppp15479@gmail.com>, 2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -19,7 +20,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:4
 msgid "The calibre template language"
-msgstr ""
+msgstr "Calibreテンプレート言語"
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:6
 msgid ""
@@ -709,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/url_scheme.po 5.10.0+dfsg-1/translations/manual/ja/url_scheme.po
--- 5.9.0+dfsg-3/translations/manual/ja/url_scheme.po	2021-01-06 15:36:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/url_scheme.po	2021-01-20 15:31:02.000000000 +0000
@@ -5,15 +5,16 @@
 # 
 # Translators:
 # Kovid Goyal <kovid@kovidgoyal.net>, 2020
+# toshi oota <ppp15479@gmail.com>, 2021
 # 
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.8.1\n"
+"Project-Id-Version: calibre 5.9.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
 "PO-Revision-Date: 2020-11-12 05:43+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>, 2020\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>, 2021\n"
 "Language-Team: Japanese (https://www.transifex.com/calibre/teams/19337/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -23,7 +24,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/url_scheme.rst:2
 msgid "The calibre:// URL scheme"
-msgstr ""
+msgstr "The calibre:// URL スキーム"
 
 #: ../../__w/calibre/calibre/manual/url_scheme.rst:4
 msgid ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/viewer.po 5.10.0+dfsg-1/translations/manual/ja/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ja/viewer.po	2021-01-06 15:35:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/viewer.po	2021-01-20 15:29:30.000000000 +0000
@@ -4,12 +4,13 @@
 # 
 # Translators:
 # Asakura, 2015
+# toshi oota <ppp15479@gmail.com>, 2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
@@ -20,7 +21,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/viewer.rst:4
 msgid "The E-book viewer"
-msgstr ""
+msgstr "電子書籍ビューア"
 
 #: ../../__w/calibre/calibre/manual/viewer.rst:6
 msgid ""
@@ -31,7 +32,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/viewer.rst:14
 msgid "Starting the E-book viewer"
-msgstr ""
+msgstr "電子ビューワの開始"
 
 #: ../../__w/calibre/calibre/manual/viewer.rst:16
 msgid ""
@@ -246,11 +247,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +269,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +277,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +317,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +329,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +341,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/virtual_libraries.po 5.10.0+dfsg-1/translations/manual/ja/virtual_libraries.po
--- 5.9.0+dfsg-3/translations/manual/ja/virtual_libraries.po	2020-04-30 08:58:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/virtual_libraries.po	2021-01-20 15:29:46.000000000 +0000
@@ -3,13 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
+# toshi oota <ppp15479@gmail.com>, 2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-04-24 07:51+0530\n"
-"PO-Revision-Date: 2020-04-24 02:22+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-08 13:54+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -17,11 +18,11 @@ msgstr ""
 "Language: ja\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:5
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:5
 msgid "Virtual libraries"
-msgstr ""
+msgstr "仮想ライブラリ"
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:7
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:7
 msgid ""
 "In calibre, a Virtual library is a way to tell calibre to open only a subset"
 " of a normal library. For example, you might want to only work with books by"
@@ -33,7 +34,7 @@ msgid ""
 "way to search through multiple separate libraries simultaneously in calibre."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:16
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:16
 msgid ""
 "A Virtual library is different from a simple search. A search will only "
 "restrict the list of books shown in the book list. A Virtual library does "
@@ -44,11 +45,11 @@ msgid ""
 "contains only the restricted set of books."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:24
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:24
 msgid "Creating Virtual libraries"
-msgstr ""
+msgstr "仮想ライブラリの作成"
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:29
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:29
 msgid ""
 "|vlb| To use a Virtual library click the :guilabel:`Virtual library` button "
 "located to the left of the Search bar and select the :guilabel:`Create "
@@ -58,7 +59,7 @@ msgid ""
 "you want to use and click OK."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:38
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:38
 msgid ""
 "The Create Virtual library dialog has been filled in for you. Click OK and "
 "you will see that a new Virtual library has been created, and automatically "
@@ -67,14 +68,14 @@ msgid ""
 "the selected author."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:44
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:44
 msgid ""
 "You can switch back to the full library at any time by once again clicking "
 "the :guilabel:`Virtual library` and selecting the entry named "
 ":guilabel:`<None>`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:47
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:47
 msgid ""
 "Virtual libraries are based on *searches*. You can use any search as the "
 "basis of a Virtual library. The Virtual library will contain only the books "
@@ -87,99 +88,99 @@ msgid ""
 "kinds of things you can do with them, see :ref:`search_interface`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:58
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:58
 msgid "Examples of useful Virtual libraries"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:60
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:60
 msgid "Books added to calibre in the last day::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:61
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:61
 msgid "date:>1daysago"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:62
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:62
 msgid "Books added to calibre in the last month::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:63
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:63
 msgid "date:>30daysago"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:64
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:64
 msgid "Books with a rating of 5 stars::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:65
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:65
 msgid "rating:5"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:66
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:66
 msgid "Books with a rating of at least 4 stars::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:67
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:67
 msgid "rating:>=4"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:68
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:68
 msgid "Books with no rating::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:69
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:69
 msgid "rating:false"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:70
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:70
 msgid "Periodicals downloaded by the Fetch News function in calibre::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:71
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:71
 msgid "tags:=News and author:=calibre"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:72
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:72
 msgid "Books with no tags::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:73
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:73
 msgid "tags:false"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:75
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:75
 msgid "Books with no covers::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:75
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:75
 msgid "cover:false"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:78
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:78
 msgid "Working with Virtual libraries"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:80
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:80
 msgid ""
 "You can edit a previously created Virtual library or remove it, by clicking "
 "the :guilabel:`Virtual library` and choosing the appropriate action."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:83
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:83
 msgid ""
 "You can tell calibre that you always want to apply a particular Virtual "
 "library when the current library is opened, by going to "
 ":guilabel:`Preferences->Interface->Behavior`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:87
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:87
 msgid ""
 "You can quickly use the current search as a temporary Virtual library by "
 "clicking the :guilabel:`Virtual library` button and choosing the "
 ":guilabel:`*current search` entry."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:91
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:91
 msgid ""
 "You can display all available Virtual libraries as tabs above the book list."
 " This is particularly handy if you like switching between Virtual libraries "
@@ -189,11 +190,11 @@ msgid ""
 "restored by right-clicking on the tab bar."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:99
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:99
 msgid "Using Virtual libraries in searches"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:101
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:101
 msgid ""
 "You can search for books that are in a Virtual library using the ``vl:`` "
 "prefix. For example, ``vl:Read`` will find all the books in the *Read* "
@@ -202,13 +203,13 @@ msgid ""
 "libraries."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:106
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:106
 msgid ""
 "The value following ``vl:`` must be the name of a Virtual library. If the "
 "Virtual library name contains spaces then surround it with quotes."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:109
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:109
 msgid ""
 "One use for a Virtual library search is in the content server. In "
 ":guilabel:`Preferences->Sharing over the net->Require username and password`"
@@ -218,11 +219,11 @@ msgid ""
 "Virtual library."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:116
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:116
 msgid "Using additional restrictions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/virtual_libraries.rst:118
+#: ../../__w/calibre/calibre/manual/virtual_libraries.rst:118
 msgid ""
 "You can further restrict the books shown in a Virtual library by using "
 ":guilabel:`Additional restrictions`. An additional restriction is saved "
diff -pruN 5.9.0+dfsg-3/translations/manual/ja/xpath.po 5.10.0+dfsg-1/translations/manual/ja/xpath.po
--- 5.9.0+dfsg-3/translations/manual/ja/xpath.po	2020-07-16 17:01:05.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ja/xpath.po	2021-01-20 15:29:28.000000000 +0000
@@ -4,13 +4,14 @@
 # 
 # Translators:
 # Asakura, 2015
+# toshi oota <ppp15479@gmail.com>, 2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-07-03 07:43+0530\n"
-"PO-Revision-Date: 2020-07-03 02:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-08 13:53+0000\n"
+"Last-Translator: toshi oota <ppp15479@gmail.com>\n"
 "Language-Team: Japanese (http://www.transifex.com/calibre/calibre/language/ja/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -18,11 +19,11 @@ msgstr ""
 "Language: ja\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:4
+#: ../../__w/calibre/calibre/manual/xpath.rst:4
 msgid "XPath tutorial"
-msgstr ""
+msgstr "XPath のチュートリアル"
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:6
+#: ../../__w/calibre/calibre/manual/xpath.rst:6
 msgid ""
 "In this tutorial, you will be given a gentle introduction to `XPath "
 "<https://en.wikipedia.org/wiki/XPath>`_, a query language that can be used "
@@ -33,35 +34,35 @@ msgid ""
 "HTML document."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:16
+#: ../../__w/calibre/calibre/manual/xpath.rst:16
 msgid "Contents"
 msgstr "目次"
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:19
+#: ../../__w/calibre/calibre/manual/xpath.rst:19
 msgid "Selecting by tag name"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:21
+#: ../../__w/calibre/calibre/manual/xpath.rst:21
 msgid ""
 "The simplest form of selection is to select tags by name. For example, "
 "suppose you want to select all the ``<h2>`` tags in a document. The XPath "
 "query for this is simply::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:27
+#: ../../__w/calibre/calibre/manual/xpath.rst:27
 msgid ""
 "The prefix `//` means *search at any level of the document*. Now suppose you"
 " want to search for ``<span>`` tags that are inside ``<a>`` tags. That can "
 "be achieved with::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:33
+#: ../../__w/calibre/calibre/manual/xpath.rst:33
 msgid ""
 "If you want to search for tags at a particular level in the document, change"
 " the prefix::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:39
+#: ../../__w/calibre/calibre/manual/xpath.rst:39
 msgid ""
 "This will match only ``<p>A very short e-book to demonstrate the use of "
 "XPath.</p>`` in the :ref:`sample_ebook` but not any of the other ``<p>`` "
@@ -71,7 +72,7 @@ msgid ""
 "tags."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:45
+#: ../../__w/calibre/calibre/manual/xpath.rst:45
 msgid ""
 "Now suppose you want to select both ``<h1>`` and ``<h2>`` tags. To do that, "
 "we need a XPath construct called *predicate*. A :dfn:`predicate` is simply a"
@@ -80,7 +81,7 @@ msgid ""
 "is created by enclosing the test expression in square brackets::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:53
+#: ../../__w/calibre/calibre/manual/xpath.rst:53
 msgid ""
 "There are several new features in this XPath expression. The first is the "
 "use of the wildcard ``*``. It means *match any tag*. Now look at the test "
@@ -92,69 +93,69 @@ msgid ""
 "will be introduced in this tutorial."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:62
+#: ../../__w/calibre/calibre/manual/xpath.rst:62
 msgid "Selecting by attributes"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:64
+#: ../../__w/calibre/calibre/manual/xpath.rst:64
 msgid ""
 "To select tags based on their attributes, the use of predicates is "
 "required::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:70
+#: ../../__w/calibre/calibre/manual/xpath.rst:70
 msgid ""
 "Here, the ``@`` operator refers to the attributes of the tag. You can use "
 "some of the `XPath built-in functions`_ to perform more sophisticated "
 "matching on attribute values."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:76
+#: ../../__w/calibre/calibre/manual/xpath.rst:76
 msgid "Selecting by tag content"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:78
+#: ../../__w/calibre/calibre/manual/xpath.rst:78
 msgid ""
 "Using XPath, you can even select tags based on the text they contain. The "
 "best way to do this is to use the power of *regular expressions* via the "
 "built-in function :term:`re:test()`::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:84
+#: ../../__w/calibre/calibre/manual/xpath.rst:84
 msgid ""
 "Here the ``.`` operator refers to the contents of the tag, just as the ``@``"
 " operator referred to its attributes."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:90
+#: ../../__w/calibre/calibre/manual/xpath.rst:90
 msgid "Sample e-book"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:96
+#: ../../__w/calibre/calibre/manual/xpath.rst:96
 msgid "XPath built-in functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:99
+#: ../../__w/calibre/calibre/manual/xpath.rst:99
 msgid "name()"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:101
+#: ../../__w/calibre/calibre/manual/xpath.rst:101
 msgid "The name of the current tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:102
+#: ../../__w/calibre/calibre/manual/xpath.rst:102
 msgid "contains()"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:104
+#: ../../__w/calibre/calibre/manual/xpath.rst:104
 msgid "``contains(s1, s2)`` returns `true` if s1 contains s2."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:105
+#: ../../__w/calibre/calibre/manual/xpath.rst:105
 msgid "re:test()"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/xpath.rst:107
+#: ../../__w/calibre/calibre/manual/xpath.rst:107
 msgid ""
 "``re:test(src, pattern, flags)`` returns `true` if the string `src` matches "
 "the regular expression `pattern`. A particularly useful flag is ``i``, it "
diff -pruN 5.9.0+dfsg-3/translations/manual/jv/db_api.po 5.10.0+dfsg-1/translations/manual/jv/db_api.po
--- 5.9.0+dfsg-3/translations/manual/jv/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/jv/db_api.po	2021-01-20 15:30:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/jv/edit.po 5.10.0+dfsg-1/translations/manual/jv/edit.po
--- 5.9.0+dfsg-3/translations/manual/jv/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/jv/edit.po	2021-01-20 15:29:58.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: jv\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/jv/faq.po 5.10.0+dfsg-1/translations/manual/jv/faq.po
--- 5.9.0+dfsg-3/translations/manual/jv/faq.po	2021-01-06 15:34:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/jv/faq.po	2021-01-20 15:29:14.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/jv/stats.json 5.10.0+dfsg-1/translations/manual/jv/stats.json
--- 5.9.0+dfsg-3/translations/manual/jv/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/jv/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 1,
-    "untranslated": 3024
+    "untranslated": 3030
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/jv/template_lang.po 5.10.0+dfsg-1/translations/manual/jv/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/jv/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/jv/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/jv/viewer.po 5.10.0+dfsg-1/translations/manual/jv/viewer.po
--- 5.9.0+dfsg-3/translations/manual/jv/viewer.po	2021-01-06 15:35:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/jv/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Javanese (http://www.transifex.com/calibre/calibre/language/jv/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ka/db_api.po 5.10.0+dfsg-1/translations/manual/ka/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ka/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ka/db_api.po	2021-01-20 15:30:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ka/edit.po 5.10.0+dfsg-1/translations/manual/ka/edit.po
--- 5.9.0+dfsg-3/translations/manual/ka/edit.po	2020-12-10 03:01:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ka/edit.po	2021-01-20 15:29:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ka\n"
 "Plural-Forms: nplurals=2; plural=(n!=1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ka/faq.po 5.10.0+dfsg-1/translations/manual/ka/faq.po
--- 5.9.0+dfsg-3/translations/manual/ka/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ka/faq.po	2021-01-20 15:29:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ka/stats.json 5.10.0+dfsg-1/translations/manual/ka/stats.json
--- 5.9.0+dfsg-3/translations/manual/ka/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ka/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 6,
-    "untranslated": 3019
+    "untranslated": 3025
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ka/template_lang.po 5.10.0+dfsg-1/translations/manual/ka/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ka/template_lang.po	2021-01-06 15:34:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ka/template_lang.po	2021-01-20 15:28:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ka/viewer.po 5.10.0+dfsg-1/translations/manual/ka/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ka/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ka/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Georgian (http://www.transifex.com/calibre/calibre/language/ka/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/km/db_api.po 5.10.0+dfsg-1/translations/manual/km/db_api.po
--- 5.9.0+dfsg-3/translations/manual/km/db_api.po	2020-12-23 14:21:09.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km/db_api.po	2021-01-20 15:30:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/km/edit.po 5.10.0+dfsg-1/translations/manual/km/edit.po
--- 5.9.0+dfsg-3/translations/manual/km/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km/edit.po	2021-01-20 15:29:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: km\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/km/faq.po 5.10.0+dfsg-1/translations/manual/km/faq.po
--- 5.9.0+dfsg-3/translations/manual/km/faq.po	2021-01-06 15:34:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km/faq.po	2021-01-20 15:29:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/km/stats.json 5.10.0+dfsg-1/translations/manual/km/stats.json
--- 5.9.0+dfsg-3/translations/manual/km/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/km/template_lang.po 5.10.0+dfsg-1/translations/manual/km/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/km/template_lang.po	2021-01-06 15:34:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km/template_lang.po	2021-01-20 15:28:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/km/viewer.po 5.10.0+dfsg-1/translations/manual/km/viewer.po
--- 5.9.0+dfsg-3/translations/manual/km/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km/viewer.po	2021-01-20 15:29:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (http://www.transifex.com/calibre/calibre/language/km/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/km_KH/db_api.po 5.10.0+dfsg-1/translations/manual/km_KH/db_api.po
--- 5.9.0+dfsg-3/translations/manual/km_KH/db_api.po	2020-12-23 14:21:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km_KH/db_api.po	2021-01-20 15:30:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/km_KH/edit.po 5.10.0+dfsg-1/translations/manual/km_KH/edit.po
--- 5.9.0+dfsg-3/translations/manual/km_KH/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km_KH/edit.po	2021-01-20 15:29:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: km_KH\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/km_KH/faq.po 5.10.0+dfsg-1/translations/manual/km_KH/faq.po
--- 5.9.0+dfsg-3/translations/manual/km_KH/faq.po	2021-01-06 15:34:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km_KH/faq.po	2021-01-20 15:29:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/km_KH/stats.json 5.10.0+dfsg-1/translations/manual/km_KH/stats.json
--- 5.9.0+dfsg-3/translations/manual/km_KH/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km_KH/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/km_KH/template_lang.po 5.10.0+dfsg-1/translations/manual/km_KH/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/km_KH/template_lang.po	2021-01-06 15:34:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km_KH/template_lang.po	2021-01-20 15:28:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/km_KH/viewer.po 5.10.0+dfsg-1/translations/manual/km_KH/viewer.po
--- 5.9.0+dfsg-3/translations/manual/km_KH/viewer.po	2021-01-06 15:35:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/km_KH/viewer.po	2021-01-20 15:29:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Khmer (Cambodia) (http://www.transifex.com/calibre/calibre/language/km_KH/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/kn/db_api.po 5.10.0+dfsg-1/translations/manual/kn/db_api.po
--- 5.9.0+dfsg-3/translations/manual/kn/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/kn/db_api.po	2021-01-20 15:31:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/kn/edit.po 5.10.0+dfsg-1/translations/manual/kn/edit.po
--- 5.9.0+dfsg-3/translations/manual/kn/edit.po	2020-12-10 03:01:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/kn/edit.po	2021-01-20 15:30:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: kn\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/kn/faq.po 5.10.0+dfsg-1/translations/manual/kn/faq.po
--- 5.9.0+dfsg-3/translations/manual/kn/faq.po	2021-01-06 15:34:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/kn/faq.po	2021-01-20 15:29:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/kn/stats.json 5.10.0+dfsg-1/translations/manual/kn/stats.json
--- 5.9.0+dfsg-3/translations/manual/kn/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/kn/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 3,
-    "untranslated": 3022
+    "untranslated": 3028
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/kn/template_lang.po 5.10.0+dfsg-1/translations/manual/kn/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/kn/template_lang.po	2021-01-06 15:34:14.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/kn/template_lang.po	2021-01-20 15:28:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/kn/viewer.po 5.10.0+dfsg-1/translations/manual/kn/viewer.po
--- 5.9.0+dfsg-3/translations/manual/kn/viewer.po	2021-01-06 15:35:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/kn/viewer.po	2021-01-20 15:29:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kannada (http://www.transifex.com/calibre/calibre/language/kn/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ko/db_api.po 5.10.0+dfsg-1/translations/manual/ko/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ko/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ko/db_api.po	2021-01-20 15:30:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ko/edit.po 5.10.0+dfsg-1/translations/manual/ko/edit.po
--- 5.9.0+dfsg-3/translations/manual/ko/edit.po	2020-12-10 03:01:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ko/edit.po	2021-01-20 15:29:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ko\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "목차"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "검색 & 바꾸기"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "저장된 검색"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "참조된 글꼴 내장(embed) 하기"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "내장된 글꼴의 사용된 문자만 취하기 (Subsetting embedded fonts)"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "지능적 문장부호 처리"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "체크포인트"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ko/faq.po 5.10.0+dfsg-1/translations/manual/ko/faq.po
--- 5.9.0+dfsg-3/translations/manual/ko/faq.po	2021-01-06 15:34:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ko/faq.po	2021-01-20 15:29:13.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -47,9 +47,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,7 +938,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ko/stats.json 5.10.0+dfsg-1/translations/manual/ko/stats.json
--- 5.9.0+dfsg-3/translations/manual/ko/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ko/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 223,
-    "untranslated": 2802
+    "untranslated": 2808
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ko/template_lang.po 5.10.0+dfsg-1/translations/manual/ko/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ko/template_lang.po	2021-01-06 15:33:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ko/template_lang.po	2021-01-20 15:28:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ko/viewer.po 5.10.0+dfsg-1/translations/manual/ko/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ko/viewer.po	2021-01-06 15:35:36.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ko/viewer.po	2021-01-20 15:29:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Korean (http://www.transifex.com/calibre/calibre/language/ko/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ku/db_api.po 5.10.0+dfsg-1/translations/manual/ku/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ku/db_api.po	2020-12-23 14:20:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ku/db_api.po	2021-01-20 15:30:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ku/edit.po 5.10.0+dfsg-1/translations/manual/ku/edit.po
--- 5.9.0+dfsg-3/translations/manual/ku/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ku/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ku\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ku/faq.po 5.10.0+dfsg-1/translations/manual/ku/faq.po
--- 5.9.0+dfsg-3/translations/manual/ku/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ku/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ku/stats.json 5.10.0+dfsg-1/translations/manual/ku/stats.json
--- 5.9.0+dfsg-3/translations/manual/ku/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ku/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 1,
-    "untranslated": 3024
+    "untranslated": 3030
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ku/template_lang.po 5.10.0+dfsg-1/translations/manual/ku/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ku/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ku/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ku/viewer.po 5.10.0+dfsg-1/translations/manual/ku/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ku/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ku/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kurdish (http://www.transifex.com/calibre/calibre/language/ku/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/lt/db_api.po 5.10.0+dfsg-1/translations/manual/lt/db_api.po
--- 5.9.0+dfsg-3/translations/manual/lt/db_api.po	2020-12-23 14:21:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lt/db_api.po	2021-01-20 15:30:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/lt/edit.po 5.10.0+dfsg-1/translations/manual/lt/edit.po
--- 5.9.0+dfsg-3/translations/manual/lt/edit.po	2020-12-10 03:01:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lt/edit.po	2021-01-20 15:29:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: lt\n"
 "Plural-Forms: nplurals=4; plural=(n % 10 == 1 && (n % 100 > 19 || n % 100 < 11) ? 0 : (n % 10 >= 2 && n % 10 <=9) && (n % 100 > 19 || n % 100 < 11) ? 1 : n % 1 != 0 ? 2: 3);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/lt/faq.po 5.10.0+dfsg-1/translations/manual/lt/faq.po
--- 5.9.0+dfsg-3/translations/manual/lt/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lt/faq.po	2021-01-20 15:29:06.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -47,9 +47,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,7 +938,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/lt/stats.json 5.10.0+dfsg-1/translations/manual/lt/stats.json
--- 5.9.0+dfsg-3/translations/manual/lt/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lt/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 60,
-    "untranslated": 2965
+    "untranslated": 2971
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/lt/template_lang.po 5.10.0+dfsg-1/translations/manual/lt/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/lt/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lt/template_lang.po	2021-01-20 15:28:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/lt/viewer.po 5.10.0+dfsg-1/translations/manual/lt/viewer.po
--- 5.9.0+dfsg-3/translations/manual/lt/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lt/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Lithuanian (http://www.transifex.com/calibre/calibre/language/lt/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ltg/db_api.po 5.10.0+dfsg-1/translations/manual/ltg/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ltg/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ltg/db_api.po	2021-01-20 15:30:34.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ltg/edit.po 5.10.0+dfsg-1/translations/manual/ltg/edit.po
--- 5.9.0+dfsg-3/translations/manual/ltg/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ltg/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ltg\n"
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n != 0 ? 1 : 2);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ltg/faq.po 5.10.0+dfsg-1/translations/manual/ltg/faq.po
--- 5.9.0+dfsg-3/translations/manual/ltg/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ltg/faq.po	2021-01-20 15:29:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ltg/stats.json 5.10.0+dfsg-1/translations/manual/ltg/stats.json
--- 5.9.0+dfsg-3/translations/manual/ltg/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ltg/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ltg/template_lang.po 5.10.0+dfsg-1/translations/manual/ltg/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ltg/template_lang.po	2021-01-06 15:34:27.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ltg/template_lang.po	2021-01-20 15:28:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ltg/viewer.po 5.10.0+dfsg-1/translations/manual/ltg/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ltg/viewer.po	2021-01-06 15:35:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ltg/viewer.po	2021-01-20 15:29:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latgalian (http://www.transifex.com/calibre/calibre/language/ltg/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/lv/db_api.po 5.10.0+dfsg-1/translations/manual/lv/db_api.po
--- 5.9.0+dfsg-3/translations/manual/lv/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lv/db_api.po	2021-01-20 15:31:00.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Jānis Eisaks <jancs@dv.lv>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -186,6 +186,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/lv/edit.po 5.10.0+dfsg-1/translations/manual/lv/edit.po
--- 5.9.0+dfsg-3/translations/manual/lv/edit.po	2020-12-10 03:01:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lv/edit.po	2021-01-20 15:30:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: lv\n"
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n != 0 ? 1 : 2);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Šo redaktoru varat izmantot uzklikšķinot ar peles labo pogu jebkurai grāmatai un izvēloties :guilabel:`Labot grāmatu`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Saturs"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Pamata darba plūsma"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Datņu pārdēvēšana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Datņu sapludināšana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Vāka izveidošana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Datņu dzēšana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Datņu aizvietošana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Meklēt & aizstāt"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Saglabātie vaicājumi"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Izmantoto fontu iegulšana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Veido iegulto fontu apakškopas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Optimizē interpunkciju"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Neizmantoto CSS likumu aizvākšana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Datņu uzlabošana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Kontrolpunkti"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "HTML datņu sadalīšana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Pareizrakstības pārbaude grāmatā"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Jaunu  vārdnīcu pievienošana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Ārējo saišu pārbaude"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Sintakses izcelšana"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "Nederīgs HTML tiek izcelts ar sarkanu pasvītrojumu"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Kontekstjutīgā palīdzība"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/lv/faq.po 5.10.0+dfsg-1/translations/manual/lv/faq.po
--- 5.9.0+dfsg-3/translations/manual/lv/faq.po	2021-01-06 15:34:35.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lv/faq.po	2021-01-20 15:29:28.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -47,9 +47,9 @@ msgstr "calibre atbalsta daudzu ievades
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -178,7 +178,7 @@ msgid ""
 "resulting MOBI file may not function correctly on a Kindle, since the "
 "Kindle's use the metadata ToC for many things, including the Page Flip "
 "feature."
-msgstr "Pārvēršot to uz MOBI, calibre nosaka ievades dokumentā *metadata ToC* un izvades MOBI failā ģenerē faila beigas ToC. Varat to izslēgt ar opciju MOBI izvades iestatījumos. Jūs varat arī pateikt, vai ievietot grāmatu un grāmatas sākumu vai beigas, izmantojot opciju MOBI izvades iestatījumos. Atcerieties, ka ToC ir semantiski *metadata ToC*, jebkurā citā formātā, izņemot MOBI, tas * nevar būt teksta daļa*. Fakts, ka tā ir daļa no MOBI teksta, ir negadījums, ko izraisa MOBI ierobežojumi. Ja vēlaties, lai dokumenta tekstā noteiktu konkrētu atrašanās vietu, izveidojiet to ar roku. Tādēļ mēs noteikti iesakām atstāt noklusējuma veidu, piemēram, ar grāmatas beigās esošajiem metadatu kopijām. Tāpat ņemiet vērā, ka, ja atspējosiet faila end-of-file ToC ģenerēšanu, izveidotais MOBI fails, iespējams, nedarbosies pareizi, jo Kindle daudzās lietās izmanto Metadatus ToC, ieskaitot Page Flip funkciju."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:66
 msgid ""
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,8 +804,8 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
-msgstr "Ne Kindle, ne Nook nenodrošina nekādus veidus, kā manipulēt ar kolekcijām, izmantojot USB savienojumu. Ja jums patiešām rūp kolekciju izmantošana, es jūs mudinātu pārdot savu Kindle/Nook un paņemt Kobo. Šķiet, ka tikai Kobo saprot, ka dzīve ir pārāk īsa, lai pa e-ink ekrānu katru reizi ieietu kolekcijās :)"
+"an e-ink screen 😇"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
 msgid ""
@@ -938,8 +938,8 @@ msgid ""
 msgstr "Grāmatas, kas nosūtītas Kindle, tiek parādītas Kindle tikai pēc tam, kad tās ir * indeksētas * Kindle. Tas var aizņemt kādu laiku. Ja pēc kāda laika grāmata joprojām neparādās, iespējams, ka Kindle indeksētājs avarēja. Dažreiz kāda noteikta grāmata var izraisīt indeksētāja sabrukumu. Diemžēl Amazon nav nodrošinājis nekādus veidus, kā secināt, kura grāmata izraisa Kindle avāriju. Vienīgais līdzeklis ir vai nu atiestatīt Kindle, vai izdzēst visus failus no tā atmiņas, izmantojot Windows Explorer (vai jebkuru citu failu pārvaldnieku, kuru izmantojat), un pēc tam vēlreiz sūtīt grāmatas tam pa vienam, līdz tiek atklāta problēmu grāmata. Kad esat atradis problēmu grāmatu, izdzēsiet to no Kindle un veiciet MOBI konvertēšanu MOBI vai MOBI uz AZW3 calibre un pēc tam nosūtiet to atpakaļ. Visticamāk, tas parūpēsies par problēmu."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Bibliotēkas pārvaldība"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr "Vienīgais veids, kā atrast vainīgo, ir likvidēt programmas pa vienai un redzēt, kura no tām rada problēmu. Būtībā apturiet programmu, palaidiet calibre, pārbaudiet, vai nav avāriju. Ja tā joprojām notiek, pārtrauciet citu programmu un atkārtojiet."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr "Izmantojot skatītāju vai veicot jebkuru pārveidošanu, rezultātā ir neatļauta Windows kļūda"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr "Kaut kas jūsu datorā neļauj calibre piekļūt saviem pagaidu failiem. Visticamāk, ka faila: `Temp` mapes atļaujas ir nepareizas. Dodieties uz mapes failu: `C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local` pārlūkprogrammā Windows Explorer un pēc tam ar peles labo pogu klikšķiniet uz faila:` Temp` mapes, atlasiet: guilabel: `Īpašības` un dodieties uz: guilabel: cilne `Drošība`. Pārliecinieties, vai jūsu lietotāja konts pilnībā kontrolē šo mapi."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr "Daži lietotāji ir ziņojuši, ka šādas komandas palaišana administratora komandu uzvednē laboja viņu atļaujas.  Lai iegūtu administratora komandu uzvednes meklēšanu cmd.exe sākuma izvēlnē, tad ar peles labo pogu klikšķiniet uz komandu uzvednes ieraksta un atlasiet Palaist kā administratoram. Komandu uzvednē ierakstiet šo komandu un nospiediet taustiņu Enter::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr "Pārmaiņus jūs varat darbināt calibre kā administrators, taču, tā rīkojoties, dažas funkcijas, piemēram, vilkt un nomest, nedarbosies."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr "Visbeidzot, daži lietotāji ir ziņojuši, ka UAC atspējošana atrisina problēmu."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr "calibre nestartē/nobrūk uz macOS?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr "Viens no izplatītākajiem macOS kļūdu cēloņiem ir piekļuves tehnoloģiju izmantošana, kas nav savietojami ar calibre grafikas rīku komplektu. Mēģiniet izslēgt VoiceOver, ja jums tā ir ieslēgta. Dodieties arī uz Sistēmas preferences->Sistēma->Universālā piekļuve un izslēdziet iestatījumu, lai visās cilnēs iespējotu piekļuvi palīgierīcēm. Cits iemesls var būt dažas trešo pušu lietotnes, kas maina sistēmas uzvedību, piemēram, Smart Scroll."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr "Atkļūdošanas rezultātu par to, kāpēc calibre netiek startēts, var iegūt, palaižot `Console.app`. Tajā tiks izdrukāta atkļūdošanas izvade. Ja atkļūdošanas izejā ir rinda, kas izskatās šādi:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "Es lejupielādēju instalētāju, bet tas nedarbojas?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr "Lejupielādējot no interneta, dažkārt var tikt bojāta lejupielāde. Ja jūsu calibre lejupielādētā instalēšanas programma netiek atvērta, mēģiniet to lejupielādēt vēlreiz. Ja atkārtota lejupielāde nedarbojas, lejupielādējiet to no ' Alternatīvā atrašanās vieta < https://github.com/kovidgoyal/calibre/releases/latest > ' _. Ja instalēšanas programma joprojām nedarbojas, datorā kaut kas neļauj darboties."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr "Mēģiniet īslaicīgi atspējot pretvīrusu programmu (Microsoft Security Essentials, Kaspersky, Norton, McAfee vai whatever). Visticamāk, tas ir vainīgais, ja jaunināšanas process ir uzkāries."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr "Mēģiniet veikt tīro instalēšanu. Tas ir, atinstalēt calibre, dzēst: fails: \"C:\\\\Program Files\\\\Calibre2\" (vai kur jūs iepriekš izvēlējāties instalēt calibre). Pēc tam atkārtoti instalējiet calibre. Ņemiet vērā, ka atinstalēšana neaizskar jūsu grāmatas vai iestatījumus."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr "Mēģiniet lejupielādēt instalētāju ar alternatīvu pārlūkprogrammu. Piemēram, ja izmantojat pārlūkprogrammu Internet Explorer, mēģiniet lietot Firefox vai Chrome."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr "Ja sistēmā Windows saņemat kļūdas ziņojumu par trūkstošu DLL, visticamāk, pagaidu mapes atļaujas nav pareizas. Ejiet uz mapi: file: \"C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local\" Windows Explorer un pēc tam ar peles labo pogu klikšķiniet uz: file: ' Temp ' mapi un izvēlieties: guilabel: ' Īpašības ' un ejiet uz: guilabel: ' Drošība ' tab. Pārliecinieties, vai jūsu lietotāja kontam ir pilnīga kontrole pār šo mapi."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr "Ja jūs joprojām nevarat piespiest instalētāju darboties un jūs izmantojat operētājsistēmu Windows, varat izmantot `calibre portatīvo instalēšanu <https://calibre-ebook.com/download_portable>` _, kurai nav nepieciešams instalētājs (tas ir tikai zip fails)."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Mana antivīrusa programma apgalvo, ka calibre ir vīruss/Trojas zirgs. Vai tā var būt?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr "Pirmais, kas jāpārbauda, ​​ir tas, ka jūs lejupielādējat calibre no oficiālās vietnes: `<https://calibre-ebook.com/download>` _. Pārliecinieties, ka klikšķiniet uz lejupielādes saitēm kreisajā pusē, nevis uz sludinājumiem labajā pusē. calibre ir ļoti populāra programma, un negodīgi cilvēki mēģina iestatīt vietnes, kas to piedāvā lejupielādei, lai apmuļķotu neuzmanīgos."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr "Ja jums ir oficiāla lejupielāde un jūsu pretvīrusu programma joprojām apgalvo, ka calibre ir vīruss, tad jūsu pretvīrusu programma nav pareiza. Pretvīrusu programmas vīrusu atklāšanai izmanto heiristiku, koda modeļus, kas “izskatās aizdomīgi”. Tas drīzāk atgādina rasu profilēšanu. calibre ir pilnīgi atvērts avots. Jūs faktiski varat pats pārlūkot avota kodu (vai nolīgt kādu, kas to izdarītu jūsu vietā), lai pārbaudītu, vai tas nav vīruss. Lūdzu, ziņojiet par nepatiesu identifikāciju jebkuram uzņēmumam, no kura iegādājaties pretvīrusu programmatūru. Ja pretvīrusu programma neļauj lejupielādēt/instalēt calibre, uz laiku to atspējojiet, instalējiet calibre un pēc tam atkārtoti iespējojiet."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Kā es varu izveidot calibre rezerves kopiju?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr "Vissvarīgākais dublējums ir calibre bibliotēkas mape, kurā ir visas jūsu grāmatas un metadati. Šī ir mape, kuru izvēlējāties sava calibre bibliotēkai, kad calibre izmantojāt pirmo reizi. Ceļu uz bibliotēkas mapi var iegūt, galvenajā rīkjoslā klikšķinot uz calibre ikonas. Šī pilnā mape ir jādublē ar visiem tās failiem un apakšmapēm."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr "Jūs varat pārslēgt calibre uz dublētās bibliotēkas mapes izmantošanu, vienkārši rīkjoslā klikšķinot uz calibre ikonas un izvēloties rezerves bibliotēkas mapi. Dublēta bibliotēkas mape dublē jūsu pielāgotās slejas un saglabātos meklējumus, kā arī visas grāmatas un metadatus."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr "Ja vēlaties dublēt calibre konfigurāciju/spraudņus, jums ir jāveido dublējums konfigurācijas direktorijā. Šo konfigurācijas direktoriju var atrast, izmantojot: guilabel: `Uzstādījumi-> Dažādi`. Ņemiet vērā, ka konfigurācijas direktoriju atjaunošana netiek oficiāli atbalstīta, taču lielākajā daļā gadījumu tai vajadzētu darboties. Vienkārši kopējiet dublējuma direktorija saturu pašreizējā konfigurācijas direktorijā, lai to atjaunotu."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr "Kā es varu izmantot iegādāto EPUB grāmatu ar calibre (ko es varu darīt ar .acsm failiem)?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "Es saņemu kļūdu \"Atļauja liegta\"?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr "Piekļuves kļūdas var parādīties vairāku iemeslu dēļ, kas nekādā ziņā nav saistīti ar calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr "Jūs varat noraidīt piekļuves kļūdas, ja jūs izmantojat SD karti ar iespējotu rakstīšanas aizsardzību."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr "Ja jūs vai kāda programma, kuru izmantojāt, mainīja attiecīgā faila atļauju uz \"tikai lasīt\"."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr "Ja ierīcē ir failu sistēmas kļūda, kuras dēļ jūsu operētājsistēma uzstādīja failu sistēmu tikai lasāmā režīmā vai atzīmēja noteiktu failu kā tikai lasāmu, līdz tiek atgūta."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr "Ja failiem to īpašnieks ir iestatīts uz citu lietotāju, nevis jums."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Ja fails ir atvērts citā programmā."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr "Ja fails atrodas ierīcē, iespējams, ierīces saknē esat sasniedzis maksimāli 256 failus. Šajā gadījumā ir jāpārformatē kļūdas ziņojumā minētā ierīce/sd karte ar FAT32 failu sistēmu vai jāizdzēš daži faili no SD kartes/ierīces atmiņas."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr "Pirms atsākt lietot calibre, jums būs jānovērš atļauju kļūdas cēlonis. Rūpīgi izlasiet kļūdas ziņojumu, pārbaudiet, uz kuru failu tas norāda, un salabojiet atļaujas šim failam vai tajā esošajām mapēm."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr "Vai manus komentāru metadatus var redzēt manā lasītājā?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr "Lielākā daļa lasītāju to neatbalsta. Jums par to vajadzētu sūdzēties ražotājam, un, cerams, ja pietiekami daudz cilvēku sūdzēsies, lietas mainīsies. Tikmēr e-grāmatas sākumā metadatus, ieskaitot komentārus, varat ievietot “Jakas lapā”, izmantojot konvertēšanas laikā opciju “Ievietot metadatus kā lapu grāmatas sākumā”. Opcija ir atrodama: guilabel: `Struktūras noteikšana` sadaļā konversijas iestatījumos. Ņemiet vērā: lai tas darbotos, jums ir * jākonvertē * grāmata. Ja jūsu grāmata jau ir formātā, kas nav jāpārveido, varat konvertēt no šī formāta uz to pašu formātu."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr "Vēl viena alternatīva ir izveidot katalogu e-grāmatu formā, kurā būtu visu jūsu calibre bibliotēkā esošo grāmatu saraksts ar to metadatiem. Klikšķiniet un turiet : guilabel: `Konvertēt`, lai piekļūtu kataloga izveides rīkam. Un, pirms jūs nejautājat, nē, jums lasītājā nevar būt kataloga “tiešsaite uz” grāmatām."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "Kā es varu likt calibre izmantot HTTP proksī serveri?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "Es vēlos lai calibre tiktu pievienota papildu funkcionalitāte. Ko es varu darīt?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Jums ir divas iespējas:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr "Izveidojiet ielāpu, uzlaužot calibre un nosūtiet to mums , lai pārskatītu un iekļautu. Skatīt `Development <https://calibre-ebook.com/get-involved>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr "`Atveriet kļūdu, kas pieprasa funkciju <https://calibre-ebook.com/bugs>` _. Atcerieties, ka, lai arī jūs domājat, ka jūsu funkcijas pieprasījums ir ārkārtīgi svarīgs/būtisks, calibre izstrādātāji varētu nepiekrist. Par laimi, calibre ir atvērts avots, kas nozīmē, ka jums vienmēr ir iespēja pašam ieviest šo funkciju vai nolīgt kādu, kas to izdarītu jūsu vietā. Turklāt calibre ir visaptveroša spraudņu arhitektūra, tāpēc jūs varētu attīstīt savu funkciju kā spraudni, sk .: ref: `pluginstutorial`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Kāpēc calibre nav automātiskās atjaunināšanas?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Ir vairāki iemesli:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*Atjaunināšana nav jāveic katru nedēļu*. Ja esat apmierināts ar calibre darbību, izslēdziet atjaunināšanas paziņojumu un esiet priecīgs. Atkal pārbaudiet, vai vēlaties atjaunināt reizi gadā. Pašā atjauninājuma paziņojumā ir izvēles rūtiņa, lai izslēgtu atjaunināšanas paziņojumu."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr "Ja es ieviestu dialogu, kurā tiek lejupielādēts atjauninājums un tas palaists, tā vietā, lai dotos uz vietni, kā tas notiek tagad, tas ļautu ietaupīt visdedzīgāko kalibra atjauninātāju, *ne vairāk kā piecus klikšķus nedēļā *. Ir daudz augstākas prioritātes lietas darīt calibre attīstībā."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr "Ja jūs patiešām ļoti ienīstat lejupielādēt calibre saturu katru nedēļu, bet tomēr vēlaties jaunāko uzlabojumu, es aicinu jūs darboties no avota, kas padara atjaunināšanu par triviālu. Norādījumi ir šādi: ref: `available here <develop>`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr "`Calibre forumā <https://www.mobileread.com/forums/forumdisplay.php?f=238>` _ ir trešo pušu automātiski atjaunināti calibre lietotāji."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Kā tiek licencēta calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr "calibre ir licencēts saskaņā ar GNU General Public License v3 (atvērtā koda licence). Tas nozīmē, ka jūs varat brīvi pārdalīt calibre, ja vien avota kods ir pieejams. Tātad, ja vēlaties ievietot calibre kompaktdiskā ar savu izstrādājumu, tas arī ir jāievieto kompaktdiskā. Pirmkods ir pieejams `lejupielādēšanai <https://download.calibre-ebook.com>` _. Jūs varat brīvi izmantot sava calibre pārveidošanas rezultātus, cik vēlaties. Programmatūrā nevar izmantot kodu vai bibliotēkas no kalibra, nepadarot programmatūru atvērtu. Sīkāku informāciju skatiet `GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>` _."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Kā es varu lietot calibre no USB zibatmiņas?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Pārnēsājama calibre versija ir pieejama `šeit <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr "Pirmkārt, jums jāinstalē calibre uz jūsu Linux servera. Ja jūsu serveris izmanto mūsdienīgu Linux izplatīšanu, jums nevajadzētu radīt nekādas problēmas ar tā uzstādīšanu."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Jūs varat palaist calibre serveri, izmantojot komandu ::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr "Jūs varat lejupielādēt jaunumus un pārvērst tos e-grāmatā ar komandu ::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "Ja jūs vēlaties ģenerēt MOBI, outputfile.mobi vietā izmantojiet ``--output-profile kindle``."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "Jūs varat e-pastā ielādēt ziņas ar komandu ::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr "Es varu atstāt precīzu komandrindu kā vingrinājumu lasītājam."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Visbeidzot, lejupielādētās ziņas varat pievienot calibre bibliotēkai ar ::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/lv/stats.json 5.10.0+dfsg-1/translations/manual/lv/stats.json
--- 5.9.0+dfsg-3/translations/manual/lv/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lv/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 590,
-    "untranslated": 2435
+    "translated": 587,
+    "untranslated": 2444
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/lv/template_lang.po 5.10.0+dfsg-1/translations/manual/lv/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/lv/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lv/template_lang.po	2021-01-20 15:28:59.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Iespējams, sekojošie padomi Jums var noderēt."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/lv/viewer.po 5.10.0+dfsg-1/translations/manual/lv/viewer.po
--- 5.9.0+dfsg-3/translations/manual/lv/viewer.po	2021-01-06 15:35:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/lv/viewer.po	2021-01-20 15:29:46.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Latvian (http://www.transifex.com/calibre/calibre/language/lv/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Pielāgot izskatu un lasīšanu"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr "Jūs varat ātri mainīt fontu lielumus, izmantojot: guilabel: 'Fonta lielums' datņu skatītāja iestatījumos vai: :kbd:`Ctrl++ ' vai: kbd:`Ctrl+-' vai turot: kbd:`Ctrl ' taustiņu un izmantojot peles ritenīti."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr "Krāsas var mainīt skatītāja iestatījumu sadaļā: guilabel: `Krāsas`."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr "Jūs varat mainīt ekrānā parādīto lappušu skaitu, kā arī lappušu malas: guilabel: `Lapas izkārtojums` skatītāja iestatījumos."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr "Var parādīt pielāgotas galvenes un kājenes, piemēram, lasīšanai atlikušo laiku, tekošo nodaļas virsrakstu, grāmatas pozīciju utt., skatītāja iestatījumu sadaļā: guilabel: `Galvenes un kājenes`."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr "Labāku pielāgošanu var panākt, izmantojot: guilabel: `Stili` iestatījumus. Šeit jūs varat norādīt fona attēlu, kas tiek parādīts zem teksta, kā arī iestatīt stila lapu, kas tiks piemērota katrai grāmatai. Izmantojot to, jūs varat darīt, piemēram, mainīt rindkopu stilus, teksta pamatojumu utt. Calibre lietotāji izmantoto pielāgoto stila lapu piemērus sk. Forumos <https://www.mobileread.com/forums/showthread.php?t=51500 > `_."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Meklēšana vārdnīcā"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr "Varat meklēt vārdu nozīmi tekošajā grāmatā, izmantojot skatītāja iestatījumus, atverot: guilabel: `Meklēt/meklēt vārdu paneli`. Pēc tam vienkārši veiciet dubultklikšķi uz jebkuru vārdu, un tā definīcija tiks parādīta meklēšanas panelī."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Teksta un attēlu kopēšana"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr "Tekstu un attēlus var atlasīt, velkot saturu ar peli un pēc tam ar peles labo pogu klikšķinot un atlasot: guilabel: `Kopēt`, lai kopētu uz starpliktuvi. Kopēto materiālu var ielīmēt citā programmā kā vienkāršu tekstu un attēlus."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Attēlu tuvināšana"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr "Nepārplūstošs saturs"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/metadata.pot 5.10.0+dfsg-1/translations/manual/metadata.pot
--- 5.9.0+dfsg-3/translations/manual/metadata.pot	2021-01-08 03:53:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/metadata.pot	2021-01-22 02:29:08.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/mi/db_api.po 5.10.0+dfsg-1/translations/manual/mi/db_api.po
--- 5.9.0+dfsg-3/translations/manual/mi/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mi/db_api.po	2021-01-20 15:30:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/mi/edit.po 5.10.0+dfsg-1/translations/manual/mi/edit.po
--- 5.9.0+dfsg-3/translations/manual/mi/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mi/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: mi\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/mi/faq.po 5.10.0+dfsg-1/translations/manual/mi/faq.po
--- 5.9.0+dfsg-3/translations/manual/mi/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mi/faq.po	2021-01-20 15:29:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/mi/stats.json 5.10.0+dfsg-1/translations/manual/mi/stats.json
--- 5.9.0+dfsg-3/translations/manual/mi/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mi/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/mi/template_lang.po 5.10.0+dfsg-1/translations/manual/mi/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/mi/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mi/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/mi/viewer.po 5.10.0+dfsg-1/translations/manual/mi/viewer.po
--- 5.9.0+dfsg-3/translations/manual/mi/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mi/viewer.po	2021-01-20 15:29:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maori (http://www.transifex.com/calibre/calibre/language/mi/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/mk/db_api.po 5.10.0+dfsg-1/translations/manual/mk/db_api.po
--- 5.9.0+dfsg-3/translations/manual/mk/db_api.po	2020-12-23 14:21:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mk/db_api.po	2021-01-20 15:30:31.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/mk/edit.po 5.10.0+dfsg-1/translations/manual/mk/edit.po
--- 5.9.0+dfsg-3/translations/manual/mk/edit.po	2020-12-10 03:01:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mk/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: mk\n"
 "Plural-Forms: nplurals=2; plural=(n % 10 == 1 && n % 100 != 11) ? 0 : 1;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/mk/faq.po 5.10.0+dfsg-1/translations/manual/mk/faq.po
--- 5.9.0+dfsg-3/translations/manual/mk/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mk/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/mk/stats.json 5.10.0+dfsg-1/translations/manual/mk/stats.json
--- 5.9.0+dfsg-3/translations/manual/mk/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mk/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 4,
-    "untranslated": 3021
+    "untranslated": 3027
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/mk/template_lang.po 5.10.0+dfsg-1/translations/manual/mk/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/mk/template_lang.po	2021-01-06 15:34:22.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mk/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/mk/viewer.po 5.10.0+dfsg-1/translations/manual/mk/viewer.po
--- 5.9.0+dfsg-3/translations/manual/mk/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mk/viewer.po	2021-01-20 15:29:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Macedonian (http://www.transifex.com/calibre/calibre/language/mk/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ml/db_api.po 5.10.0+dfsg-1/translations/manual/ml/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ml/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ml/db_api.po	2021-01-20 15:30:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ml/edit.po 5.10.0+dfsg-1/translations/manual/ml/edit.po
--- 5.9.0+dfsg-3/translations/manual/ml/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ml/edit.po	2021-01-20 15:29:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ml\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ml/faq.po 5.10.0+dfsg-1/translations/manual/ml/faq.po
--- 5.9.0+dfsg-3/translations/manual/ml/faq.po	2021-01-06 15:34:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ml/faq.po	2021-01-20 15:29:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ml/stats.json 5.10.0+dfsg-1/translations/manual/ml/stats.json
--- 5.9.0+dfsg-3/translations/manual/ml/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ml/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 11,
-    "untranslated": 3014
+    "untranslated": 3020
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ml/template_lang.po 5.10.0+dfsg-1/translations/manual/ml/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ml/template_lang.po	2021-01-06 15:33:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ml/template_lang.po	2021-01-20 15:28:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ml/viewer.po 5.10.0+dfsg-1/translations/manual/ml/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ml/viewer.po	2021-01-06 15:35:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ml/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malayalam (http://www.transifex.com/calibre/calibre/language/ml/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/mn/db_api.po 5.10.0+dfsg-1/translations/manual/mn/db_api.po
--- 5.9.0+dfsg-3/translations/manual/mn/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mn/db_api.po	2021-01-20 15:30:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/mn/edit.po 5.10.0+dfsg-1/translations/manual/mn/edit.po
--- 5.9.0+dfsg-3/translations/manual/mn/edit.po	2020-12-10 03:01:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mn/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: mn\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/mn/faq.po 5.10.0+dfsg-1/translations/manual/mn/faq.po
--- 5.9.0+dfsg-3/translations/manual/mn/faq.po	2021-01-06 15:34:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mn/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/mn/stats.json 5.10.0+dfsg-1/translations/manual/mn/stats.json
--- 5.9.0+dfsg-3/translations/manual/mn/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mn/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 8,
-    "untranslated": 3017
+    "untranslated": 3023
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/mn/template_lang.po 5.10.0+dfsg-1/translations/manual/mn/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/mn/template_lang.po	2021-01-06 15:34:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mn/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/mn/viewer.po 5.10.0+dfsg-1/translations/manual/mn/viewer.po
--- 5.9.0+dfsg-3/translations/manual/mn/viewer.po	2021-01-06 15:35:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mn/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Mongolian (http://www.transifex.com/calibre/calibre/language/mn/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/mr/db_api.po 5.10.0+dfsg-1/translations/manual/mr/db_api.po
--- 5.9.0+dfsg-3/translations/manual/mr/db_api.po	2020-12-23 14:20:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mr/db_api.po	2021-01-20 15:31:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/mr/edit.po 5.10.0+dfsg-1/translations/manual/mr/edit.po
--- 5.9.0+dfsg-3/translations/manual/mr/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mr/edit.po	2021-01-20 15:30:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: mr\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/mr/faq.po 5.10.0+dfsg-1/translations/manual/mr/faq.po
--- 5.9.0+dfsg-3/translations/manual/mr/faq.po	2021-01-06 15:34:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mr/faq.po	2021-01-20 15:29:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/mr/stats.json 5.10.0+dfsg-1/translations/manual/mr/stats.json
--- 5.9.0+dfsg-3/translations/manual/mr/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mr/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 16,
-    "untranslated": 3009
+    "untranslated": 3015
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/mr/template_lang.po 5.10.0+dfsg-1/translations/manual/mr/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/mr/template_lang.po	2021-01-06 15:34:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mr/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/mr/viewer.po 5.10.0+dfsg-1/translations/manual/mr/viewer.po
--- 5.9.0+dfsg-3/translations/manual/mr/viewer.po	2021-01-06 15:35:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mr/viewer.po	2021-01-20 15:29:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Marathi (http://www.transifex.com/calibre/calibre/language/mr/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ms/db_api.po 5.10.0+dfsg-1/translations/manual/ms/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ms/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ms/db_api.po	2021-01-20 15:30:13.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -186,6 +186,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ms/edit.po 5.10.0+dfsg-1/translations/manual/ms/edit.po
--- 5.9.0+dfsg-3/translations/manual/ms/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ms/edit.po	2021-01-20 15:29:50.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: ms\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Menyunting e-buku"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "calibre mempunyai penyunting e-buku bersepadu yang boleh digunakan untuk menyunting buku dalam format EPUB dan AZW3 (Kindle). Penyunting dapat menunjukkan HTML dan CSS yang digunakan secara dalaman di dalam fail buku, dengan pratonton langsung bilamana anda membuat perubahan. Ia juga mengandungi pelbagai alatan berautomatik yang dapat melakukan tugas-tugas pembersihan dan pembaikan."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Anda boleh guna penyunting ini dengan mengklik-kanan pada mana-mana buku di dalam calibre kemudian memilih :guilabel:`Sunting buku`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Kandungan"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Aliran kerja asas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "Bila anda mula-mula membuka buku dengan Alat sunting buku, anda akan dipersembahkan dengan satu senarai fail di sebelah kiri. Ia merupakan fail HTML secara individu, lembaran gaya-lembaran gaya, imej dan lain-lain item yang membentuk kandungan buku. Hanya dwi-klik pada fail tersebut untuk memulakan kerja-kerja penyuntingan. Perhatian, jika anda mahu lakukan kerja-kerja yang lebih bersifat teknikal, anda perlu ketahui `Tutorial HTML <http://html.net/tutorials/html/>`_ dan `Tutorial CSS <http://html.net/tutorials/css/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "Itulah aliran kerja asas untuk penyuntingan buku -- Buka satu fail, buat perubahan pada buku tersebut, pratonton dan simpan. Selebihnya panduan ini akan membincangkan pelbagai jenis alatan dan fitur yang ada supaya anda dapat membuat tugasan tertentu dengan efisyen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "Anda boleh membuat banyak tindakan pada sesebuah fail, dengan mengklik kanan padanya."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Menamakan semula fail"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr "Anda boleh menamakan semula sesebuah fail dengan mengklik-kanan padanya dan pilih :guilabel:`Nama Semula`. Menamakan semula fail secara automatik akan kemaskinikan semua pautan dan rujukan pada buku tersebut. Oleh itu, anda perlu berikan nama baharu, calibre seterusnya menguruskan kerja-kerja berikutnya."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Gelintar tersimpan"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Membenamkan fon rujukan"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Subsetkan fon terbenam"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Memintarkan tanda baca"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Membuang peraturan CSS yang tidak digunakan"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Titik semak"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr "Teks di dalam tag tebal, condong dan pengepala menjadi tebal/condong"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "HTML tidak sah disorot dengan garis bawah berwarna merah"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr "Ralat ejaan dalam teks di dalam tag dan atribut HTML seperti tajuk disorotkan. Penyemak ejaan adalah sedar bahasa, berdasarkan nilai atribut bahasa bagi tag semasa dan keseluruhan bahasa buku."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr "CSS terbenam di dalam tag ``<style>`` disorotkan"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr "Aksara khas adalah sukar dikenalpasti seperti jarak, pelbagai jenis sempang, dan lain-lain akan disorotkan."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr "Pautan ke fail lain dalam tag ``<a>`` , ``<img>`` dan ``<link>`` semuanya mempunyai nama fail tersorot. Jika nama fail yang ia tujukan tidak wujud, nama fail ditanda dengan garis bawah berwarna merah."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Bantuan peka konteks"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr "Anda boleh klik kanan pada nama tag HTML atau nama sifat CSS untuk dapatkan bantuan berkenaan tag atau sifat tersebut."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Auto-lengkap"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Snippet"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ms/faq.po 5.10.0+dfsg-1/translations/manual/ms/faq.po
--- 5.9.0+dfsg-3/translations/manual/ms/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ms/faq.po	2021-01-20 15:29:03.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -47,9 +47,9 @@ msgstr "calibre menyokong penukaran bany
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,7 +938,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ms/stats.json 5.10.0+dfsg-1/translations/manual/ms/stats.json
--- 5.9.0+dfsg-3/translations/manual/ms/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ms/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 826,
-    "untranslated": 2199
+    "untranslated": 2205
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ms/template_lang.po 5.10.0+dfsg-1/translations/manual/ms/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ms/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ms/template_lang.po	2021-01-20 15:28:45.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "satu papan palam dengan padanan tepat bagi format dan peranti seperti, ``EPUB`` dan ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "satu papan palam dengan padanan tepat pada format dan pilihan ``any device`` khas, seperti, ``EPUB`` dan ``any device``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "satu papan palam dengan pilihan ``any format`` khas dan padanan tepat pada peranti seperti, ``any format`` dan ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "satu papan palam dengan ``any format`` dan ``any device``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Anda boleh dapati petua berikut adalah berguna!"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "Dalam papan palam, anda boleh tetapkan medan menjadi kosong (atau apa jua yang menyamai dengan kosong) dengan menggunakan templat khas ``{}``. Templat ini akan sentiasa menilai pada rentetan kosong."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ms/viewer.po 5.10.0+dfsg-1/translations/manual/ms/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ms/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ms/viewer.po	2021-01-20 15:29:34.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Malay (http://www.transifex.com/calibre/calibre/language/ms/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Penyuaian penampilan bagi pembacaan anda"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Carian kamus"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Penyalinan teks dan imej"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/mt/db_api.po 5.10.0+dfsg-1/translations/manual/mt/db_api.po
--- 5.9.0+dfsg-3/translations/manual/mt/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mt/db_api.po	2021-01-20 15:30:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/mt/edit.po 5.10.0+dfsg-1/translations/manual/mt/edit.po
--- 5.9.0+dfsg-3/translations/manual/mt/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mt/edit.po	2021-01-20 15:29:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: mt\n"
 "Plural-Forms: nplurals=4; plural=(n==1 ? 0 : n==0 || ( n%100>1 && n%100<11) ? 1 : (n%100>10 && n%100<20 ) ? 2 : 3);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/mt/faq.po 5.10.0+dfsg-1/translations/manual/mt/faq.po
--- 5.9.0+dfsg-3/translations/manual/mt/faq.po	2021-01-06 15:34:35.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mt/faq.po	2021-01-20 15:28:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/mt/stats.json 5.10.0+dfsg-1/translations/manual/mt/stats.json
--- 5.9.0+dfsg-3/translations/manual/mt/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mt/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/mt/template_lang.po 5.10.0+dfsg-1/translations/manual/mt/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/mt/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mt/template_lang.po	2021-01-20 15:28:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/mt/viewer.po 5.10.0+dfsg-1/translations/manual/mt/viewer.po
--- 5.9.0+dfsg-3/translations/manual/mt/viewer.po	2021-01-06 15:35:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/mt/viewer.po	2021-01-20 15:29:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Maltese (http://www.transifex.com/calibre/calibre/language/mt/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/my/db_api.po 5.10.0+dfsg-1/translations/manual/my/db_api.po
--- 5.9.0+dfsg-3/translations/manual/my/db_api.po	2020-12-23 14:21:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/my/db_api.po	2021-01-20 15:30:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/my/edit.po 5.10.0+dfsg-1/translations/manual/my/edit.po
--- 5.9.0+dfsg-3/translations/manual/my/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/my/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: my\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "သိမ်းထားသော ရှာဖွေမှုများ"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/my/faq.po 5.10.0+dfsg-1/translations/manual/my/faq.po
--- 5.9.0+dfsg-3/translations/manual/my/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/my/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/my/stats.json 5.10.0+dfsg-1/translations/manual/my/stats.json
--- 5.9.0+dfsg-3/translations/manual/my/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/my/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 18,
-    "untranslated": 3007
+    "untranslated": 3013
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/my/template_lang.po 5.10.0+dfsg-1/translations/manual/my/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/my/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/my/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/my/viewer.po 5.10.0+dfsg-1/translations/manual/my/viewer.po
--- 5.9.0+dfsg-3/translations/manual/my/viewer.po	2021-01-06 15:35:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/my/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Burmese (http://www.transifex.com/calibre/calibre/language/my/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/nb/db_api.po 5.10.0+dfsg-1/translations/manual/nb/db_api.po
--- 5.9.0+dfsg-3/translations/manual/nb/db_api.po	2020-12-23 14:21:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nb/db_api.po	2021-01-20 15:30:26.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Kurt-Håkon Eilertsen <kurt@kheds.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -187,6 +187,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/nb/edit.po 5.10.0+dfsg-1/translations/manual/nb/edit.po
--- 5.9.0+dfsg-3/translations/manual/nb/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nb/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: nb\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "Calibre har en integrert e-bok redigerer som kan brukes på e-bøker i EPUB og AZW3 (Kindle) formater. Editoren viser deg HTML og CSS som er i bruk inne i bokfilene. med en livevisning som oppdater mens du gjør endringer. Den kan også innholde viderse automatiserte verktøy for å utføre vanlige rydde- og reprasjonsoppgaver."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Innhold"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Basis arbeidsflyt"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Gi filer nytt navn"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Slå sammen filer"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Sletter filer"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Erstatter filer"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Lagrete søk"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Utklip"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/nb/faq.po 5.10.0+dfsg-1/translations/manual/nb/faq.po
--- 5.9.0+dfsg-3/translations/manual/nb/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nb/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -49,9 +49,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -169,8 +169,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -410,7 +410,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -806,7 +806,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -940,7 +940,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1622,12 +1622,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1638,7 +1653,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1647,22 +1662,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1672,14 +1687,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1690,11 +1705,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1704,26 +1719,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1731,13 +1746,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1747,7 +1762,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1755,11 +1770,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1768,7 +1783,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1782,11 +1797,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1795,7 +1810,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1803,7 +1818,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1813,13 +1828,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1832,44 +1847,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1877,18 +1892,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1901,7 +1916,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1910,11 +1925,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1927,21 +1942,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1952,15 +1967,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1968,7 +1983,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1976,7 +1991,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1984,25 +1999,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2015,30 +2030,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2051,34 +2066,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/nb/stats.json 5.10.0+dfsg-1/translations/manual/nb/stats.json
--- 5.9.0+dfsg-3/translations/manual/nb/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nb/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 213,
-    "untranslated": 2812
+    "untranslated": 2818
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/nb/template_lang.po 5.10.0+dfsg-1/translations/manual/nb/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/nb/template_lang.po	2021-01-06 15:34:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nb/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Du kan finne følgende tips interesante."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/nb/viewer.po 5.10.0+dfsg-1/translations/manual/nb/viewer.po
--- 5.9.0+dfsg-3/translations/manual/nb/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nb/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Bokmål (http://www.transifex.com/calibre/calibre/language/nb/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Ordbok oppslag"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Kopiere tekst og bilder"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/nds/db_api.po 5.10.0+dfsg-1/translations/manual/nds/db_api.po
--- 5.9.0+dfsg-3/translations/manual/nds/db_api.po	2020-12-23 14:20:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nds/db_api.po	2021-01-20 15:30:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/nds/edit.po 5.10.0+dfsg-1/translations/manual/nds/edit.po
--- 5.9.0+dfsg-3/translations/manual/nds/edit.po	2020-12-10 03:01:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nds/edit.po	2021-01-20 15:29:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: nds\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/nds/faq.po 5.10.0+dfsg-1/translations/manual/nds/faq.po
--- 5.9.0+dfsg-3/translations/manual/nds/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nds/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/nds/stats.json 5.10.0+dfsg-1/translations/manual/nds/stats.json
--- 5.9.0+dfsg-3/translations/manual/nds/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nds/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 15,
-    "untranslated": 3010
+    "untranslated": 3016
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/nds/template_lang.po 5.10.0+dfsg-1/translations/manual/nds/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/nds/template_lang.po	2021-01-06 15:34:27.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nds/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/nds/viewer.po 5.10.0+dfsg-1/translations/manual/nds/viewer.po
--- 5.9.0+dfsg-3/translations/manual/nds/viewer.po	2021-01-06 15:35:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nds/viewer.po	2021-01-20 15:29:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Low German (http://www.transifex.com/calibre/calibre/language/nds/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/news.pot 5.10.0+dfsg-1/translations/manual/news.pot
--- 5.9.0+dfsg-3/translations/manual/news.pot	2021-01-08 03:53:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/news.pot	2021-01-22 02:29:05.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/news_recipe.pot 5.10.0+dfsg-1/translations/manual/news_recipe.pot
--- 5.9.0+dfsg-3/translations/manual/news_recipe.pot	2021-01-08 03:53:38.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/news_recipe.pot	2021-01-22 02:29:02.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/nl/db_api.po 5.10.0+dfsg-1/translations/manual/nl/db_api.po
--- 5.9.0+dfsg-3/translations/manual/nl/db_api.po	2020-12-23 14:21:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nl/db_api.po	2021-01-20 15:30:19.000000000 +0000
@@ -15,9 +15,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: W.P.M.E. Hofland <wpme.hofland@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -193,6 +193,21 @@ msgid "Return the set of books in the sp
 msgstr "Keer terug het set van boeken in het gespecificeerd virtueel bibliotheek "
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/nl/edit.po 5.10.0+dfsg-1/translations/manual/nl/edit.po
--- 5.9.0+dfsg-3/translations/manual/nl/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nl/edit.po	2021-01-20 15:29:50.000000000 +0000
@@ -15,8 +15,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
@@ -25,11 +25,11 @@ msgstr ""
 "Language: nl\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "E-boeken bewerken"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -38,27 +38,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "Calibre heeft een geïntegreerde e-boek editor die kan worden gebruikt EPUB en AZW3 (Kindle) formaten. De verwerker laat je de HTML en CSS zien die intern in het boek bestand gebruikt wordt. Met een direct voorbeeld zie je de wijzigingen die je maakt direct terug. Het programma bevat ook diverse functies voor het opschonen van de code of het afmaken van taken."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "U kunt deze editor activeren door rechts te klikken op een boek in Calibre en kiezen voor :guilabel:`Boek bewerken`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Inhoud"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Basis werkstroom"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr "A video tour van de calibre E-book editor is  `hier <https://calibre-ebook.com/demo#tutorials>`_ beschikbaar."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -69,7 +69,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "Wanneer u voor het eerst een boek opent met het Boek bewerken gereedschap ziet u een overzicht van bestanden aan de linkerkant. Dit zijn de individuele HTML bestanden, stylesheets, afbeeldingen enz. die de inhoud van het boek opmaken. Dubbelklik op een bestand om deze te bewerken. Als u een paar kleine aanpassingen wilt doen is dat ok; voor ingewikkeldere wijzigingen moet u zich verdiepen in de `HTML Handleiding <http://html.net/tutorials/html/>`_ en `CSS handleiding <http://html.net/tutorials/css/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -77,7 +77,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr "Wanneer u in de editor wijzigingen aanbrengt in de HTML of CSS, worden de wijzigingen in het voorbeeldvenster aan de rechterkant in een voorbeeld van de wijzigingen weergegeven. Als je tevreden bent met hoe de veranderingen die je hebt gemaakt kijken, klik dan op de :guilabel:`Opslaan` knop of gebruik :guilabel:` Bestand->Opslaan` om je wijzigingen in het e-boek op te slaan."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -91,18 +91,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr "Een bijzonder nuttige functie is :guilabel:`Herstelpunt`. Voordat u begint met ambitieuze bewerkingen kunt u een herstelpunt plaatsen. Deze bewaart de huidige staat van uw boek. Indien u dan niet tevreden bent met aangebrachte wijzigingen kunt u teruggaan naar de status toen u het herstelpunt heeft geplaatst. Om een herstelpunt te plaatsen gebruik :guilabel:`Bewerken->Herstelpunt plaatsen`. Herstelpunten worden ook automatisch geplaatst voor u wanneer u een automatisch gereedschap gebruikt zoals globaal zoeken en vervangen. De functionaliteit van herstellen is een uitbreiding van de normale Ongedaan maken/Opnieuw functie wanneer u bestanden bewerkt. Herstelpunten zijn zinvol wanneer wijzigingen verspreid zijn over meerdere bestanden in het boek."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "Dat is in feite de manier om boeken te bewerken -- Open een bestand, maak veranderen, bekijk een voorbeeld en sla op. De rest van deze handleiding zal de verschillende hulpmiddelen behandelen die het mogelijk maken dat u specifieke taken zo goed mogelijk uit kan voeren."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr "De Verkenner"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -113,7 +113,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr "De :guilabel:`Verkenner` toont een overzicht van de diverse bestanden binnen het boek dat u bewerkt. De bestanden staan op gesorteerd op categorie, met tekst (HTML) bestanden bovenaan, gevolgd door stylesheet (CSS) bestanden, afbeeldingen enz. Dubbelklikken op een bestand opent deze voor het bewerken. Het bewerken wordt ondersteund voor HTML, CSS en afbeeldingen. De volgorde van tekstbestanden is dezelfde als tijdens het lezen in het boek. Alle andere bestanden zijn alfabetisch gesorteerd."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -121,7 +121,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr "Door met de muisaanwijzer over een bestand te gaan toont de grootte en onderaan het scherm het gehele pad naar het bestand in het boek. Bedenk wel dat bestanden binnen e-boeken gecomprimeerd zijn. De grootte van het boek zelf is dus niet de som van de grootte van de individuele bestanden."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -134,16 +134,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "U kunt meerdere acties uitvoeren op bestanden door er met de rechter muisknop op te klikken."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Bestanden hernoemen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -151,7 +151,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr "U kunt een bestand hernoemen door er rechts op te klikken en kiezen voor :guilabel:`Hernoemen`. Hernoemen van een bestand zal automatisch alle links en referenties bijwerken in het gehele boek. Dus alles wat u moet doen is een nieuwe naam in te geven en Calibre doet de rest."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -165,18 +165,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Bestanden samenvoegen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -184,7 +184,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -195,11 +195,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Volgorde van tekstbestand veranderen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -208,11 +208,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr "U kunt de volgorde wijzigen waarin tekst(HTML)-bestanden worden geopend tijdens het lezen van het boek door ze te slepen en plaatsen in de Verkenner. Voor de technisch geïnteresseerden noemen we dit het herschikken van het boekblok. U moet dan wel de bestanden *tussen* andere bestanden plaatsen, niet bovenop bestanden. Dit kan een beetje friemelig zijn totdat u eraan gewend raakt."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Kaft markeren"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -220,7 +220,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -232,11 +232,11 @@ msgid ""
 " only the cover and no other content."
 msgstr "Daarnast kennen EPUB-bestanden een *titelpagina*. Een titelpagina is een HTML-bestand die ageert als de titelpagina/omslag van het boek. U kunt een HTML-bestand markeren als de titelpagina tijdens het bewerken van EPUBs door rechts te klikken. Indien er ook andere inhoud in staat zoals het eerste hoofdstuk dan gaat deze inhoud verloren als de gebruiker ooit het EPUB-bestand converteert in Calibre naar een ander formaat. Dit gebeurt omdat Calibre ervan uitgaat dat de gemarkeerde titelpagina alleen de omslag bevat en geen andere inhoud."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Bestanden verwijderen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -245,11 +245,11 @@ msgid ""
 "remove/replace them."
 msgstr "U kunt bestanden verwijderen door er rechts op te klikken of door ze te selecteren en de Del-toets in te drukken. Het verwijderen van een bestand verwijdert alle referenties tot het bestand van het OPF-bestand zodat u dit klusje niet zelf hoeft te doen. Hoewel referenties op andere locaties niet worden verwijderd, kunt u het gereedschap Boek controleren gebruiken om deze makkelijk te vinden en verwijderen/vervangen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Bestanden exporteren"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -257,7 +257,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr "U kunt een bestand exporteren van een boek naar ergens anders op uw computer. Dit is nuttig als u aan een bestand wilt werken met gespecialiseerde software. Om dit te doen rechtsklikt u op het bestand en selecteer :guilabel:`Export`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -265,7 +265,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr "Als u klaar bent met bewerken aan het geëxporteerde bestand unt u dit opnieuw importeren in het boek door weer rechts te klikken op het bestand en selecteer :guilabel:`Vervangen door bestand...` waardoor u het bestand in het boek kunt vervangen door het eerder geëxporteerde bestand."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -274,11 +274,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "Nieuwe afbeeldingn/lettertype/enz. toevoegen of nieuwe lege bestanden maken"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -287,17 +287,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr "U kunt ook tegelijkertijd meerdere bestanden importeren in het boek met behulp van Bestand->Importeer bestanden in boek."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Bestanden vervangen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -305,22 +305,22 @@ msgid ""
 "being replaced."
 msgstr "U kunt makkelijk bestaande bestanden in het boek vervangen door rechts te klikken op het bestand en selecteer vervangen. Hiermee worden alle links en referenties automatisch bijgewerkt, in het geval dat het vervangende bestand een andere naam heeft dan het bestand dat wordt vervangen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr "Het efficiënt linken van sylesheets aan HTML-bestanden"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Zoeken & vervangen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -329,20 +329,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr "Start zoeken en vervangen met menu-item :guilabel:`Zoeken->Zoek/vervang` (u moet dan wel een HTML of CSS-bestand aan het bewerken zijn)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr "Type de tekst die u wilt vinden in het Zoek-vakje en de vervanger in het Vervang-vakje. U kunt de betreffende knoppen klikken om de volgende match te vinden, de huidige match vervangen en alle matches vervangen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -350,37 +350,37 @@ msgid ""
 "regular expression search."
 msgstr "Door de keuzelijst onderaan het kader te gebruiken, kunt u zoeken in het huidig bestand, alle tekstbestanden, alle stylesheets of alle bestanden. U kunt ook de zoekmethode kiezen, dus een normale (tekenreeks) zoekopdracht of met een reguliere expressie."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr "U kunt alle matches tellen van een zoekopdracht met :guilabel:`Zoeken->Tellen `. De teller loopt over alles, bestanden/delen die u heeft geselecteerd in de keuzelijst."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr "U kunt ook springen naar een bepaalde regel in de huidige geopende editor met  :guilabel:`Zoeken->Spring naar regel`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr "Benut de maximale kracht van zoeken en vervangen met reguliere expressies. Zie :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Opgeslagen zoekopdrachten"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -389,22 +389,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "Functie modus"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr "Zoeken tussen HTML labels"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -413,27 +413,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr "Er is ook een speciale mogelijkheid om naar tekst te zoeken tussen HTML-labels. Bijvoorbeeld als in de HTML-code de ``nadruk is op een <i>woord</i>.`` kunt u zoeken op ``op een woord`` en het wordt gevonden ondanks dat er een ``<i>`` tag staat. Gebruik deze functie met het menu-item :guilabel:`Zoeken->Zoeken HTML  markup negeren`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Geautomatiseerde functies"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr "Boek bewerken heeft diverse gereedschappen om te helpen met algemene taken. Deze zijn toegankelijk in het :guilabel:`Gereedschappen` menu."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Inhoudsopgave bewerken"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr "Er is een speciaal gereedschap om het bewerken van de Inhoudsopgave te versoepelen. Zet het in gang met :guilabel:`Gereedschappen->Inhoudsopgave->Inhoudsopgave bewerken`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -441,7 +441,7 @@ msgid ""
 "right."
 msgstr "Dit gereedschap laat de de huidige Inhoudsopgave (indien aanwezig) zien aan de linkerkant. Dubbelklik op een vermelding om de tekst te wijzigen. U kunt ook de volgorde van vermeldingen wijzigen door deze te slepen en te plaatsen of de knoppen aan de rechterkant te gebruiken."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -449,7 +449,7 @@ msgid ""
 "files and so on."
 msgstr "Voor boeken die geen inhoudsopgave hebben levert het gereedschap diverse opties om een Inhoudsopgave automatisch te laten genereren uit de tekst. U kunt de hierbij gebruik maken van de hoofdstukken in het document, van links, van individuele bestanden enzovoort."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -459,18 +459,18 @@ msgid ""
 "location."
 msgstr "U kunt vermeldingen bewerken door erop te klikken en dan te klikken op de knop :guilabel:`Wijzig de locatie waarheen deze vermelding verwijst`. Dit opent een klein weergave-venster van het boek, beweeg de muisaanwijzer over het weergave-venster en klik waar u wilt dat de vermelding naartoe verwijst. Een dikke groene lijn toont u de plaats. Klik Ok als u tevreden bent met de plaats."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "Het boek controleren"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
-msgstr "Het gereedschap :guilabel:`Boek controleren` zoekt naar mogelijke knelpunten in uw boek waardoor het op readers niet zo werkt als bedoeld. Activeer dit met :guilabel:`Gereedschappen->Boek controleren`."
+":guilabel:`Tools->Check book`."
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -479,11 +479,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr "Sommige van onderdelen van de controle zijn:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -494,7 +494,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -502,36 +502,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr "Verkeerde of onbekende CSS stijlen. CSS is niet valide is of eigenschappen heeft niet gedefinieerd zijn in de CSS 2.1 standaard (plus enkele van CSS3) worden gerapporteerd. CSS wordt gecontroleerd in alle stylesheets, inline style attributen en <style> labels in HTML bestanden."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr "Onbekende linken. Linken die wijzen naar bestanden in het boek die niet bestaan, worden gerapporteerd."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr "Diverse controles op compatibiliteit betreffende bekende veelvoorkomende problemen die het boek slecht laten werken op e-readers."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Cover toevoegen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -542,11 +542,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Insluiten van gerefereerde lettertypes"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -555,11 +555,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Ingevoegde lettertypes uitdunnen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -569,11 +569,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Interpunctie verbeteren"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -582,40 +582,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Ongebruikte CSS regels verwijderen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -624,11 +624,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Repareer HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -640,11 +640,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Alle bestanden leesbaarder maken"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -654,7 +654,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr "Dit gereedschap wordt gebruikt om alle HTML en CSS-bestanden automatisch te formatteren zo  dat ze er \"netjes uitzien\". De code springt automatisch in zodat alle regels er netjes bijstaan, lege regels worden toegevoegd waar passend enzovorts. Dit verfraaien reparereert automatisch ook defecte HTML/CSS. daarom kunt u beter eerst het Boek controleren gereedschap gebruiken om alle problemen te corrigeren en pas daarna het verfraaien te doorlopen. Toegankelijk met :guilabel:`Gereedschappen->Alle bestanden verfraaien`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -668,11 +668,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -681,7 +681,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -689,11 +689,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -704,11 +704,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -719,22 +719,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Checkpoints"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -743,13 +743,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -757,7 +757,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -767,11 +767,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -784,7 +784,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -793,7 +793,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -805,18 +805,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "HTML bestanden splitsen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -827,14 +827,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -843,11 +843,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "Het realtime CSS paneel"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -855,7 +855,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -864,30 +864,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -896,15 +896,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Spellingscontrole van woorden in het boek"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr "Je kunt de spellingscontrole laten lopen via :guilabel:`Tools->Check spelling`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -915,14 +915,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -932,7 +932,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -941,7 +941,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -949,7 +949,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -957,11 +957,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Nieuwe woordenboeken toevoegen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -971,11 +971,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Speciale tekens invoegen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -986,7 +986,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -997,7 +997,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1008,7 +1008,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1016,11 +1016,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1032,11 +1032,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Controle van externe links"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1044,11 +1044,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1057,11 +1057,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1071,11 +1071,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr "Importeren van bestanden in andere e-book formaten als EPUB"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1084,11 +1084,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "De rapporten functie"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1100,31 +1100,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Speciale mogelijkheden in de code editor"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr "De Calibre HTML editor is erg krachtig. Het heeft veel mogelijkheden om het editeren van HTML (en CSS) gemakkelijker te maken"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Syntaxis markering"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr "De HTML editor heeft een erg gesofistikeerd syntax accentuatie. Mogelijkheden zijn:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr "De tekst binnen vet, schuin en hoofdingen zijn vet/schuin gemaakt"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1132,55 +1132,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "Foutieve HTML is gemarkeerd met rode onderstreping"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr "Spellingsfouten binnen de tekst van de HTML labels en eigenschappen zoals de titel zijn geaccentueerd. De spellingscontrole is taalgevoelig, gebaseerd op de waarden van de taal eigenschap van de huidige tag en de algemene taal van het boek."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr "CSS binnen de ``<style>`` labels is geaccentueerd."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr "Speciale karakters die moeilijk zijn te onderscheiden van niet-brekende spaties, zoals de verschillendes soorten hyphens, en zo verder zijn geaccentueerd."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Contextgevoelige hulp"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr "Je kan met de rechtermuisknop klikken op een HTML tag of CSS eigenschap om hulp te verkrijgen over die tag of eigenschap."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Auto-aanvullen"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1188,7 +1188,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr "Wanneer je een e-book aan het bewerken bent, is de lastigste taak om links te maken naar andere bestanden in het boek, of naar CSS stylesheets, of afbeeldingen. Je moet de goede bestandsnaam en het goede relatieve pad achterhalen. De editior heeft een auto-complete functie om dat makkelijker te maken."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1198,7 +1198,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1210,11 +1210,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Fragmenten"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/nl/faq.po 5.10.0+dfsg-1/translations/manual/nl/faq.po
--- 5.9.0+dfsg-3/translations/manual/nl/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nl/faq.po	2021-01-20 15:29:04.000000000 +0000
@@ -17,8 +17,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
@@ -56,10 +56,10 @@ msgstr "Calibre ondersteunt de conversie
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "* Invoer formaten: * AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB , RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -176,8 +176,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -417,7 +417,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -813,8 +813,8 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
-msgstr "Noch de Kindle noch de Nook voorziet in wat voor manier an ook om collecties te manipuleren via een USB connectie. Als je echt gebruik wilt maken van collecties, wil ik je aandringen om jouw Kindle/Nook te verkopen en en Kobo te nemen. Enkel Kobio lijkt het te begrijpen dat het leven te kort is om collecties één voor één toe te voegen op een e-ink scherm :)"
+"an e-ink screen 😇"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
 msgid ""
@@ -947,8 +947,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Bibliotheekbeheer"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1629,12 +1629,27 @@ msgid ""
 msgstr "Om uit te zoeken welk programma dat de schuldige is, elimineer één per één om te kijken dewelke de oorzaak is. Om een programma te stoppen: start Calibre op, controleer of er geen crash is. Als er nog steeds een crash is, probeer dan een ander programma te stoppen en probeer opnieuw."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1645,7 +1660,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1654,22 +1669,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr "Sommige gebruikers hebben gemeld dat het volgend commando met een Administrator Command Prompt hun permissie problemen heeft opgelost. Om een Administrator Command Prompt te verkrijgen, zoek naar cmd.exe in het start menu, rechter muisklik op cmd en kies voor \"uitvoeren als administrator\". Bij de command prompt: typ het volgende commando en druk op Enter::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr "Als alternatief, kun je Calibre uitvoeren als Administrator, maar sommige fuctionaliteit kan mogelijk niet werken zoals copiëren en plakken."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr "Eindelijk, sommige gebruikers hebben gemeld dat het uitschakelen van UAC het probleem verhelpt."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1679,14 +1694,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr "Je kan de debug output achterhalen waarom Calibre niet kan starten door het `Console.app` te laten lopen. De debug output zal daar staan. Als de debug output een regel bevat als::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1697,11 +1712,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "I heb het installatie bestand gedownload, waarom werkt het niet?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1711,26 +1726,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr "Probeer tijdelijk je anti virus programma uit te schakelen. (Microsoft Security Essentials, of Kaspersky of Norton of McAfee of wat dan ook). Dit is wellicht de reden waarom het update proces blijft hangen."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1738,13 +1753,13 @@ msgid ""
 " settings."
 msgstr "Probeer een schone installatie. Dat betekent, verwijder het bestand: file:`C:\\\\Program Files\\\\Calibre2`  (of waar je de vorige keer Calibre hebt geïnstalleerd). Daarna, voer de installatie opnieuw uit. Opnieuw installeren verwijderd niet je boeken of instellingen."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr "Probeer het installatiebestand met een andere browser te downloaden. Bijvoorbeeld: als je Internet Explorer gebruikt, probeer Firefox of Chrome."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1754,7 +1769,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1762,11 +1777,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Mijn antivirus programma beweert dat Calibre een virus/trojaan paars is?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1775,7 +1790,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1789,11 +1804,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Hoe maak ik een backup van Calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1802,7 +1817,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1810,7 +1825,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1820,13 +1835,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr "Hoe kan ik gekochte EPUB boeken gebruiken met Calibre? (of wat ik doen met .ascm bestanden)?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1839,44 +1854,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "Ik krijg een \"Toegang geweigerd\" fout?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr "A permissie foutmelding kan gebeuren vanwege diverse redenen, geen enkel heeft te maken met Calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr "Je kan permissie fouten krijgen als je een SD kaart gebruikt met schrijfbeveiliging."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Als je bestand open is in een ander programma."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1884,18 +1899,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr "Hoe kan ik de commentaar van de metagegevens lezen op mijn lezer?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1908,7 +1923,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1917,11 +1932,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "Hoe kan ik Calibre instellen om mijn HTTP proxy te gebruiken?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1934,21 +1949,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "Ik wil nieuwe functionaliteit toevoegen aan Calibre. Wat kan ik doen?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "U heeft twee keuzes:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1959,15 +1974,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Waarom heeft Calibre geen automatische updates?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Om vele redenen:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1975,7 +1990,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*Er is geen noodzaak om iedere week te updaten*. Als je tevreden bent hoe Calibre werkt, kun je de automatische waarschuwing afzetten. Controleer of je wenst up te daten, één keer per jaar of zo. Er is een check box om de waarschuwing af te zetten, als je klikt op de waarschuwing zelf."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1983,7 +1998,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1991,25 +2006,25 @@ msgid ""
 " things to do in calibre development."
 msgstr "Als ik een dialoog implementeer dat de updates download en het uitvoert, in plaats van manueel van de website te downloaden, zou de meest hardnekkige Calibre updater, *tenminste vijf muisklikken per week besparen*. Er zijn belangrijker prioriteiten te doen met de ontwikkeling van Calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr "Als je echt, maar dan ook echt haat om iedere week een nieuwe versie van Calibre te downloaden, maar steeds de aller laatste versie wenst te gebruiken, raad ik je aan om de bron code te downloaden, hetgaan dat updates trivaal maakt. Instructies zijn hier beschikbaar: :ref:`available here <develop>`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Hoe zit het met de licentie van Calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2022,30 +2037,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Hoe start ik Calibre van mijn USB stick?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Een portabele versie can is hier beschikbaar `here <https://Calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2058,34 +2073,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "U kunt de Calibre server draaien met het commando::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "Als u MOBI wilt genereren, gebruik dan outputfile.mobi in plaats daarvan, en gebruik ``--output-profile kindle``."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "U kunt de gedownload nieuws e-mailen met het commando::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr "Ik laat het uitvogelen van de exacte commando's als een opgave voor de lezer."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Ten slotte kunt u al het gedownloade nieuws aan de Calibre bibliotheek toevoegen met::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/nl/stats.json 5.10.0+dfsg-1/translations/manual/nl/stats.json
--- 5.9.0+dfsg-3/translations/manual/nl/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nl/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 1422,
-    "untranslated": 1603
+    "translated": 1417,
+    "untranslated": 1614
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/nl/template_lang.po 5.10.0+dfsg-1/translations/manual/nl/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/nl/template_lang.po	2021-01-06 15:34:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nl/template_lang.po	2021-01-20 15:28:45.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
@@ -715,8 +715,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -857,6 +857,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -866,14 +872,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -881,33 +887,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -916,7 +922,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -926,7 +932,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -934,7 +940,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -942,27 +948,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -970,7 +976,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -979,7 +985,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -987,7 +993,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -997,7 +1003,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1005,7 +1011,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1013,7 +1019,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1022,53 +1028,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1080,17 +1086,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1099,17 +1105,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1119,19 +1125,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1141,20 +1147,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1166,11 +1172,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1180,14 +1186,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1195,26 +1201,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1224,13 +1230,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1240,50 +1246,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1293,13 +1299,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1309,18 +1315,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1331,24 +1337,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1361,29 +1367,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1392,11 +1398,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1404,11 +1410,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1419,27 +1425,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1453,11 +1459,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1467,35 +1473,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1503,20 +1509,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1524,11 +1530,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Extra opmerkingen voor opslaan/versturen van sjablonen"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1539,18 +1545,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1560,25 +1566,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "Om dit te bereiken:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1586,11 +1592,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1601,7 +1607,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1612,7 +1618,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1621,29 +1627,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1655,7 +1661,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "De labels en auteurs velden hebben een speciale behandeling omdat beide velden meer dan één item kunnen vasthouden. Een boek kan vele labels en meerdere auteurs hebben. Als u opgeeft dat één van deze twee velden gewijzigd gaat worden, wordt de template resultaat onderzocht om te zien of meer dan één item is. Voor labels wordt het resultaat gescheiden waar Calibre een komma vindt. Bijvoorbeeld, als de template de waarde `` Thriller, Horror`` produceert, dan zal het resultaat twee labels zijn, ``Thriller`` en ``Horror``. Er is geen manier om een komma in het midden van een tag te zetten."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1665,7 +1671,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1674,39 +1680,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "De volgende tips vindt u mogelijk nuttig."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/nl/viewer.po 5.10.0+dfsg-1/translations/manual/nl/viewer.po
--- 5.9.0+dfsg-3/translations/manual/nl/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nl/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Dutch (http://www.transifex.com/calibre/calibre/language/nl/)\n"
 "MIME-Version: 1.0\n"
@@ -252,11 +252,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -266,7 +274,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -274,37 +282,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "De look and feel van de leeservaring personalizeren"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr "U kunt de lettergroottes in een oogwenk wijzigen door :guilabel:`Font size` in de lezer-besturingselementen te gebruiken of :kbd:`Ctrl ++ `of :kbd:`Ctrl + -` of door de toets :kbd: `Ctrl` ingedrukt te houden en het muiswiel te gebruiken."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr "Kleuren kunnen worden gewijzigd in de :guilabel:`Colors` sectie van de lezervoorkeuren."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr "U kunt het aantal pagina's dat op het scherm wordt weergegeven alsmede de paginamarges wijzigen in :guilabel:`Paginalay-out` in de lezervoorkeuren."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr "U kunt aangepaste kopteksten en voetteksten weergeven, zoals de resterende tijd om te lezen, de titel van het huidige hoofdstuk, de boekpositie, enz. via het :guilabel:`Kopteksten en voetteksten` van de voorkeuren van de lezer."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -314,11 +322,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr "Meer geavanceerde aanpassing kunnen worden bereikt met de instellingen :guilabel: `Styles`. Hier kunt u een achtergrondafbeelding specificeren om onder de tekst weer te geven en ook kunt u een stijlblad instellen dat op elk boek wordt toegepast. Hiermee kunt u dingen doen zoals alineastijlen wijzigen, tekstuitvulling enz. Voor voorbeelden van aangepaste stylesheets die door gebruikers van calibre worden gebruikt, zie `de forums <https://www.mobileread.com/forums/showthread.php?t=51500 > `_."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Opzoeken in woordenboek"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -326,11 +334,11 @@ msgid ""
 "panel."
 msgstr "U kunt de betekenis van woorden in het huidige boek opzoeken door het :guilabel:`Lookup / search word panel` te openen via de lezer-bedieningselementen. Dubbelklik vervolgens op een willekeurig woord en de definitie ervan wordt weergegeven in het opzoekpaneel."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Kopieer tekst en afbeeldingen"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -338,22 +346,22 @@ msgid ""
 "and images."
 msgstr "U kunt tekst en afbeeldingen selecteren door de inhoud met uw muis te slepen en vervolgens met de rechtermuisknop te klikken en te selecteren :guilabel:`Copy` om naar het klembord te kopiëren. Het gekopieerde materiaal kan als platte tekst en afbeeldingen in een andere applicatie worden geplakt."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Inzoomen op afbeeldingen"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr "U kunt inzoomen om een ​​afbeelding op ware grootte in een apart venster weer te geven door erop te dubbelklikken of er lang op te tikken. U kunt er ook met de rechtermuisknop op klikken en kiezen: guilabel :`Bekijk afbeelding`."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr "Niet-opnieuw stroombare inhoud"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/nn/db_api.po 5.10.0+dfsg-1/translations/manual/nn/db_api.po
--- 5.9.0+dfsg-3/translations/manual/nn/db_api.po	2020-12-23 14:20:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nn/db_api.po	2021-01-20 15:30:28.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/nn/edit.po 5.10.0+dfsg-1/translations/manual/nn/edit.po
--- 5.9.0+dfsg-3/translations/manual/nn/edit.po	2020-12-10 03:01:09.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nn/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: nn\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/nn/faq.po 5.10.0+dfsg-1/translations/manual/nn/faq.po
--- 5.9.0+dfsg-3/translations/manual/nn/faq.po	2021-01-06 15:34:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nn/faq.po	2021-01-20 15:29:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/nn/stats.json 5.10.0+dfsg-1/translations/manual/nn/stats.json
--- 5.9.0+dfsg-3/translations/manual/nn/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nn/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 2,
-    "untranslated": 3023
+    "untranslated": 3029
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/nn/template_lang.po 5.10.0+dfsg-1/translations/manual/nn/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/nn/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nn/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/nn/viewer.po 5.10.0+dfsg-1/translations/manual/nn/viewer.po
--- 5.9.0+dfsg-3/translations/manual/nn/viewer.po	2021-01-06 15:35:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nn/viewer.po	2021-01-20 15:29:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Norwegian Nynorsk (http://www.transifex.com/calibre/calibre/language/nn/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/nso/db_api.po 5.10.0+dfsg-1/translations/manual/nso/db_api.po
--- 5.9.0+dfsg-3/translations/manual/nso/db_api.po	2020-12-23 14:21:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nso/db_api.po	2021-01-20 15:30:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/nso/edit.po 5.10.0+dfsg-1/translations/manual/nso/edit.po
--- 5.9.0+dfsg-3/translations/manual/nso/edit.po	2020-12-10 03:00:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nso/edit.po	2021-01-20 15:30:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: nso\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/nso/faq.po 5.10.0+dfsg-1/translations/manual/nso/faq.po
--- 5.9.0+dfsg-3/translations/manual/nso/faq.po	2021-01-06 15:34:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nso/faq.po	2021-01-20 15:29:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/nso/stats.json 5.10.0+dfsg-1/translations/manual/nso/stats.json
--- 5.9.0+dfsg-3/translations/manual/nso/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nso/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/nso/template_lang.po 5.10.0+dfsg-1/translations/manual/nso/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/nso/template_lang.po	2021-01-06 15:34:30.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nso/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/nso/viewer.po 5.10.0+dfsg-1/translations/manual/nso/viewer.po
--- 5.9.0+dfsg-3/translations/manual/nso/viewer.po	2021-01-06 15:35:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/nso/viewer.po	2021-01-20 15:29:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Northern Sotho (http://www.transifex.com/calibre/calibre/language/nso/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/oc/db_api.po 5.10.0+dfsg-1/translations/manual/oc/db_api.po
--- 5.9.0+dfsg-3/translations/manual/oc/db_api.po	2020-12-23 14:20:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/oc/db_api.po	2021-01-20 15:30:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/oc/edit.po 5.10.0+dfsg-1/translations/manual/oc/edit.po
--- 5.9.0+dfsg-3/translations/manual/oc/edit.po	2020-12-10 03:01:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/oc/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: oc\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/oc/faq.po 5.10.0+dfsg-1/translations/manual/oc/faq.po
--- 5.9.0+dfsg-3/translations/manual/oc/faq.po	2021-01-06 15:34:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/oc/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/oc/stats.json 5.10.0+dfsg-1/translations/manual/oc/stats.json
--- 5.9.0+dfsg-3/translations/manual/oc/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/oc/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 16,
-    "untranslated": 3009
+    "untranslated": 3015
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/oc/template_lang.po 5.10.0+dfsg-1/translations/manual/oc/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/oc/template_lang.po	2021-01-06 15:34:29.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/oc/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/oc/viewer.po 5.10.0+dfsg-1/translations/manual/oc/viewer.po
--- 5.9.0+dfsg-3/translations/manual/oc/viewer.po	2021-01-06 15:35:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/oc/viewer.po	2021-01-20 15:29:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Occitan (post 1500) (http://www.transifex.com/calibre/calibre/language/oc/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/or/db_api.po 5.10.0+dfsg-1/translations/manual/or/db_api.po
--- 5.9.0+dfsg-3/translations/manual/or/db_api.po	2020-12-23 14:21:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/or/db_api.po	2021-01-20 15:30:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/or/edit.po 5.10.0+dfsg-1/translations/manual/or/edit.po
--- 5.9.0+dfsg-3/translations/manual/or/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/or/edit.po	2021-01-20 15:29:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: or\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/or/faq.po 5.10.0+dfsg-1/translations/manual/or/faq.po
--- 5.9.0+dfsg-3/translations/manual/or/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/or/faq.po	2021-01-20 15:29:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/or/stats.json 5.10.0+dfsg-1/translations/manual/or/stats.json
--- 5.9.0+dfsg-3/translations/manual/or/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/or/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 7,
-    "untranslated": 3018
+    "untranslated": 3024
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/or/template_lang.po 5.10.0+dfsg-1/translations/manual/or/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/or/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/or/template_lang.po	2021-01-20 15:28:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/or/viewer.po 5.10.0+dfsg-1/translations/manual/or/viewer.po
--- 5.9.0+dfsg-3/translations/manual/or/viewer.po	2021-01-06 15:35:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/or/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Oriya (http://www.transifex.com/calibre/calibre/language/or/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/pa/db_api.po 5.10.0+dfsg-1/translations/manual/pa/db_api.po
--- 5.9.0+dfsg-3/translations/manual/pa/db_api.po	2020-12-23 14:20:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pa/db_api.po	2021-01-20 15:30:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/pa/edit.po 5.10.0+dfsg-1/translations/manual/pa/edit.po
--- 5.9.0+dfsg-3/translations/manual/pa/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pa/edit.po	2021-01-20 15:29:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: pa\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/pa/faq.po 5.10.0+dfsg-1/translations/manual/pa/faq.po
--- 5.9.0+dfsg-3/translations/manual/pa/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pa/faq.po	2021-01-20 15:29:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/pa/stats.json 5.10.0+dfsg-1/translations/manual/pa/stats.json
--- 5.9.0+dfsg-3/translations/manual/pa/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pa/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 3,
-    "untranslated": 3022
+    "untranslated": 3028
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/pa/template_lang.po 5.10.0+dfsg-1/translations/manual/pa/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/pa/template_lang.po	2021-01-06 15:34:28.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pa/template_lang.po	2021-01-20 15:28:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/pa/viewer.po 5.10.0+dfsg-1/translations/manual/pa/viewer.po
--- 5.9.0+dfsg-3/translations/manual/pa/viewer.po	2021-01-06 15:35:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pa/viewer.po	2021-01-20 15:29:41.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Panjabi (Punjabi) (http://www.transifex.com/calibre/calibre/language/pa/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/pl/db_api.po 5.10.0+dfsg-1/translations/manual/pl/db_api.po
--- 5.9.0+dfsg-3/translations/manual/pl/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pl/db_api.po	2021-01-20 15:30:57.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Piotr Parafiniuk <koliberek@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -186,6 +186,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/pl/drm.po 5.10.0+dfsg-1/translations/manual/pl/drm.po
--- 5.9.0+dfsg-3/translations/manual/pl/drm.po	2020-04-16 10:13:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pl/drm.po	2021-01-20 15:31:02.000000000 +0000
@@ -5,15 +5,16 @@
 # 
 # Translators:
 # konrad … <konrad.krulikowski@gmail.com>, 2020
+# Marcin Kozioł <koziol.martin@gmail.com>, 2021
 # 
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 4.13.0\n"
+"Project-Id-Version: calibre 5.9.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-03-27 14:01+0530\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
 "PO-Revision-Date: 2020-03-11 12:15+0000\n"
-"Last-Translator: konrad … <konrad.krulikowski@gmail.com>, 2020\n"
+"Last-Translator: Marcin Kozioł <koziol.martin@gmail.com>, 2021\n"
 "Language-Team: Polish (https://www.transifex.com/calibre/teams/19337/pl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -21,11 +22,11 @@ msgstr ""
 "Language: pl\n"
 "Plural-Forms: nplurals=4; plural=(n==1 ? 0 : (n%10>=2 && n%10<=4) && (n%100<12 || n%100>14) ? 1 : n!=1 && (n%10>=0 && n%10<=1) || (n%10>=5 && n%10<=9) || (n%100>=12 && n%100<=14) ? 2 : 3);\n"
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:5
+#: ../../__w/calibre/calibre/manual/drm.rst:5
 msgid "Digital Rights Management (DRM)"
 msgstr "Zarządzanie prawami cyfrowymi (DRM)"
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:7
+#: ../../__w/calibre/calibre/manual/drm.rst:7
 msgid ""
 "Digital rights management (DRM) is a generic term for access control "
 "technologies that can be used by hardware manufacturers, publishers, "
@@ -42,12 +43,27 @@ msgid ""
 "formats by end users. See `wikipedia "
 "<https://en.wikipedia.org/wiki/Digital_rights_management>`_."
 msgstr ""
+"Zarządzanie prawami cyfrowymi (DRM) to ogólny termin określający technologie"
+" kontroli dostępu, z których mogą korzystać producenci sprzętu, wydawcy, "
+"właściciele praw autorskich i osoby fizyczne, próbując narzucić ograniczenia"
+" w korzystaniu z treści i urządzeń cyfrowych. Czasami jest to również "
+"lekceważąco określane jako cyfrowe zarządzanie ograniczeniami. Termin ten "
+"jest używany do opisania dowolnej technologii, która uniemożliwia "
+"korzystanie (zgodne z prawem lub w inny sposób) z treści cyfrowych, które "
+"nie były pożądane lub przewidywane przez dostawcę treści. Termin generalnie "
+"nie odnosi się do innych form ochrony przed kopiowaniem, które można obejść "
+"bez modyfikowania pliku lub urządzenia, takich jak numery seryjne lub pliki "
+"kluczy. Może również odnosić się do ograniczeń związanych z określonymi "
+"przypadkami dzieł lub urządzeń cyfrowych. Technologie DRM próbują "
+"kontrolować korzystanie z mediów cyfrowych, uniemożliwiając użytkownikom "
+"końcowym dostęp, kopiowanie lub konwersję do innych formatów. Zobacz "
+"`wikipedia <https://en.wikipedia.org/wiki/Digital_rights_management>`_."
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:23
+#: ../../__w/calibre/calibre/manual/drm.rst:23
 msgid "What does DRM imply for me personally?"
 msgstr "Co DRM niesie dla mnie osobiście?"
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:25
+#: ../../__w/calibre/calibre/manual/drm.rst:25
 msgid ""
 "When you buy an e-book with DRM you don't really own it but have purchased "
 "the permission to use it in a manner dictated to you by the seller. DRM "
@@ -63,12 +79,29 @@ msgid ""
 "your Kindle. Notice that I am talking about a book you buy, not steal or "
 "pirate but BUY."
 msgstr ""
+"Wydawcy e-booków DRMed twierdzą, że DRM służy w całości autorom i ochronie "
+"ich artystycznej integralności oraz zapobieganiu piractwu. Ale DRM NIE "
+"zapobiega piractwu. Osoby, które chcą piratować treści lub gdy kupujesz "
+"e-booka z DRM, tak naprawdę nie jesteś jego właścicielem, ale kupiłeś "
+"pozwolenie na wykorzystanie go w sposób podyktowany Tobie przez sprzedawcę. "
+"DRM ogranicza to, co możesz zrobić z e-bookami, które „kupiłeś”. Często "
+"ludzie, którzy kupują książki z DRM, nie zdają sobie sprawy z zakresu tych "
+"ograniczeń. Te ograniczenia uniemożliwiają zmianę formatu e-booka według "
+"własnych upodobań, w tym wprowadzanie zmian stylistycznych, takich jak "
+"dostosowywanie rozmiarów czcionek, chociaż istnieje oprogramowanie, które "
+"umożliwia wykonywanie takich czynności w przypadku książek bez DRM. Ludzie "
+"często są zaskoczeni, że e-book, który kupili w określonym formacie, nie "
+"może zostać przekonwertowany na inny format, jeśli ebook ma DRM. Więc jeśli "
+"masz Amazon Kindle i kupujesz książkę sprzedawaną przez Barnes and Nobles, "
+"powinieneś wiedzieć, że jeśli ten e-book ma DRM, nie będziesz mógł go "
+"przeczytać na swoim Kindle. Zauważ, że mówię o książce, którą kupujesz, a "
+"nie kradniesz lub piratujesz, ale KUPUJĘ."
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:40
+#: ../../__w/calibre/calibre/manual/drm.rst:40
 msgid "What does DRM do for authors?"
 msgstr "Co DRM daje autorom?"
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:42
+#: ../../__w/calibre/calibre/manual/drm.rst:42
 msgid ""
 "Publishers of DRMed e-books argue that the DRM is all for the sake of "
 "authors and to protect their artistic integrity and prevent piracy. But DRM "
@@ -83,12 +116,25 @@ msgid ""
 "piracy*. So DRM is not only pointless and harmful to buyers of e-books but "
 "also a waste of money."
 msgstr ""
+"Wydawcy e-booków DRM twierdzą, że DRM służy w całości autorom i ochronie ich"
+" artystycznej integralności oraz zapobieganiu piractwu. Ale DRM NIE "
+"zapobiega piractwu. Ludzie, którzy chcą piracić treści lub używać pirackich "
+"treści, nadal to robią i odnoszą sukces. Trzy główne systemy DRM dla "
+"e-booków są obecnie obsługiwane przez Amazon, Adobe, Barnes i Noble, a "
+"wszystkie trzy systemy DRM zostały złamane. Wszystko, co robi DRM, to "
+"niedogodności dla uprawnionych użytkowników. Można argumentować, że w "
+"rzeczywistości szkodzi to autorom, ponieważ ludzie, którzy kupiliby książkę,"
+" wybierają piracką wersję, ponieważ nie są skłonni znosić DRM. Te, które "
+"piraciłyby w przypadku braku DRM, robią to również w jego obecności. "
+"Powtarzając, kluczową kwestią jest to, że DRM * nie zapobiega piractwu *. "
+"Tak więc DRM jest nie tylko bezcelowe i szkodliwe dla kupujących e-booki, "
+"ale także strata pieniędzy."
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:56
+#: ../../__w/calibre/calibre/manual/drm.rst:56
 msgid "DRM and freedom"
 msgstr "DRM a wolność"
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:58
+#: ../../__w/calibre/calibre/manual/drm.rst:58
 msgid ""
 "Although digital content can be used to make information as well as creative"
 " works easily available to everyone and empower humanity, this is not in the"
@@ -96,12 +142,17 @@ msgid ""
 "possibility of freedom simply to maintain their relevance in world "
 "developing so fast that they cant keep up."
 msgstr ""
+"Chociaż treści cyfrowe mogą być wykorzystywane do udostępniania informacji i"
+" dzieł twórczych wszystkim i wzmacniania pozycji ludzkości, nie leży to w "
+"interesie niektórych wydawców, którzy chcą odciągać ludzi od tej możliwości "
+"wolności po prostu po to, aby zachować ich znaczenie w rozwoju świata. tak "
+"szybko, że nie mogą nadążyć."
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:66
+#: ../../__w/calibre/calibre/manual/drm.rst:66
 msgid "Why does calibre not support DRM?"
 msgstr "Dlaczego calibre nie umożliwia DRM?"
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:68
+#: ../../__w/calibre/calibre/manual/drm.rst:68
 msgid ""
 "calibre is open source software while DRM by its very nature is closed. If "
 "calibre were to support opening or viewing DRM files it could be trivially "
@@ -110,12 +161,19 @@ msgid ""
 "all about controlling the user open source software is about empowering the "
 "user. The two simply can not coexist."
 msgstr ""
+"calibre jest oprogramowaniem open source, podczas gdy DRM z natury jest "
+"zamknięty. Gdyby calibre wspierał otwieranie lub przeglądanie plików DRM, "
+"można by go w trywialny sposób zmodyfikować, by służył jako narzędzie do "
+"usuwania DRM, co jest niezgodne z dzisiejszym prawem. Oprogramowanie open "
+"source i DRM to zderzenie zasad. Podczas gdy DRM polega na kontrolowaniu "
+"oprogramowania open source użytkownika, polega na wzmacnianiu użytkownika. "
+"Po prostu nie mogą współistnieć."
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:77
+#: ../../__w/calibre/calibre/manual/drm.rst:77
 msgid "What is calibre's view on content providers?"
 msgstr "Jaki jest stosunek calibre do dostawców treści?"
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:79
+#: ../../__w/calibre/calibre/manual/drm.rst:79
 msgid ""
 "We firmly believe that authors and other content providers should be "
 "compensated for their efforts, but DRM is not the way to go about it. We are"
@@ -125,12 +183,19 @@ msgid ""
 "find this useful and we request that you do not pirate the content made "
 "available to you here."
 msgstr ""
+"Jesteśmy głęboko przekonani, że autorzy i inni dostawcy treści powinni "
+"otrzymywać wynagrodzenie za ich wysiłki, ale DRM nie jest sposobem, aby się "
+"do tego zabrać. Opracowujemy bazę danych e-booków wolnych od DRM z różnych "
+"źródeł, aby pomóc Ci znaleźć alternatywy wolne od DRM oraz pomóc niezależnym"
+" autorom i wydawcom e-booków wolnych od DRM w upublicznianiu ich treści. "
+"Mamy nadzieję, że uznasz to za przydatne i prosimy, abyś nie piracił treści "
+"udostępnionych tutaj."
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:88
+#: ../../__w/calibre/calibre/manual/drm.rst:88
 msgid "How can I help fight DRM?"
 msgstr "Jak mogę wspomóc walkę z DRM?"
 
-#: ../../home/kovid/work/calibre/manual/drm.rst:90
+#: ../../__w/calibre/calibre/manual/drm.rst:90
 msgid ""
 "As somebody who reads and buys e-books you can help fight DRM. Do not buy "
 "e-books with DRM. There are some publishers who publish DRM-free e-books. "
@@ -152,3 +217,23 @@ msgid ""
 "<https://www.defectivebydesign.org/guide/ebooks>` you will find a Guide to "
 "DRM-free living."
 msgstr ""
+"Jako ktoś, kto czyta i kupuje e-booki, możesz pomóc w walce z DRM. Nie kupuj"
+" e-booków z DRM. Są wydawcy, którzy publikują e-booki wolne od DRM. Postaraj"
+" się sprawdzić, czy niosą ze sobą e-book, którego szukasz. Jeśli lubisz "
+"książki niektórych niezależnych autorów, którzy sprzedają e-booki wolne od "
+"DRM i możesz sobie pozwolić na przekazywanie im darowizn. Są to dobrze "
+"wydane pieniądze, ponieważ ich e-booki są zwykle tańsze (mogą być wyjątki) "
+"niż te, które kupowałbyś od wydawców książek z DRMed i prawdopodobnie "
+"działałyby na wszystkich posiadanych urządzeniach w przyszłości, "
+"oszczędzając koszty zakupu e-book ponownie. Nie zniechęcaj wydawców i "
+"autorów e-booków wolnych od DRM poprzez piractwo ich zawartości. Dostawcy "
+"treści zasługują na wynagrodzenie za ich wysiłki. Nie karz ich za próby "
+"polepszenia wrażeń z czytania, udostępniając e-booki wolne od DRM. Na "
+"dłuższą metę jest to dla ciebie szkodliwe. Jeśli kupiłeś książki od "
+"sprzedawców, którzy mają zarówno książki z DRM, jak i bez DRM, nie wiedząc, "
+"czy mają one DRM, czy nie, postaraj się zostawić komentarz lub recenzję na "
+"stronie internetowej, informując przyszłych nabywców o jej stanie DRM. Wielu"
+" sprzedawców nie uważa za ważne, aby wyraźnie wskazywać kupującym, czy "
+"e-book jest objęty DRM, czy nie. `Tutaj "
+"<https://www.defectivebydesign.org/guide/ebooks>` znajdziesz Przewodnik po "
+"życiu bez DRM."
diff -pruN 5.9.0+dfsg-3/translations/manual/pl/edit.po 5.10.0+dfsg-1/translations/manual/pl/edit.po
--- 5.9.0+dfsg-3/translations/manual/pl/edit.po	2021-01-06 15:36:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pl/edit.po	2021-01-20 15:30:03.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-25 23:01+0000\n"
-"Last-Translator: Marcin Kozioł <koziol.martin@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -453,14 +453,14 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+msgid "Checking the book"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/edit.rst:326
diff -pruN 5.9.0+dfsg-3/translations/manual/pl/faq.po 5.10.0+dfsg-1/translations/manual/pl/faq.po
--- 5.9.0+dfsg-3/translations/manual/pl/faq.po	2021-01-06 15:34:51.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pl/faq.po	2021-01-20 15:29:25.000000000 +0000
@@ -11,8 +11,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -50,9 +50,9 @@ msgstr "Calibre umożliwia konwersję z
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -170,8 +170,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -411,7 +411,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -807,7 +807,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -941,7 +941,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1623,12 +1623,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1639,7 +1654,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1648,22 +1663,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1673,14 +1688,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1691,11 +1706,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1705,26 +1720,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1732,13 +1747,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1748,7 +1763,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1756,11 +1771,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1769,7 +1784,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1783,11 +1798,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1796,7 +1811,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1804,7 +1819,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1814,13 +1829,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1833,44 +1848,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1878,18 +1893,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1902,7 +1917,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1911,11 +1926,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1928,21 +1943,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1953,15 +1968,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1969,7 +1984,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1977,7 +1992,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1985,25 +2000,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2016,30 +2031,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2052,34 +2067,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/pl/news.po 5.10.0+dfsg-1/translations/manual/pl/news.po
--- 5.9.0+dfsg-3/translations/manual/pl/news.po	2021-01-06 15:34:29.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pl/news.po	2021-01-20 15:28:58.000000000 +0000
@@ -4,15 +4,15 @@
 # 
 # Translators:
 # Adam Humienny <adam.humienny@gmail.com>, 2019
-# Marcin Kozioł <koziol.martin@gmail.com>, 2020
+# Marcin Kozioł <koziol.martin@gmail.com>, 2020-2021
 # Piotr Parafiniuk <koliberek@gmail.com>, 2014-2015
 # Przemysław Siekiera <przemo.siekiera20@gmail.com>, 2018
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-25 22:56+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-12 13:55+0000\n"
 "Last-Translator: Marcin Kozioł <koziol.martin@gmail.com>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -78,7 +78,7 @@ msgid ""
 "First enter ``Calibre Blog`` into the :guilabel:`Recipe title` field. This "
 "will be the title of the e-book that will be created from the articles in "
 "the above feeds."
-msgstr ""
+msgstr "Najpierw wprowadź \"Calibre Blog\" w polu: guilabel: \"Tytuł przepisu\". Będzie to tytuł e-booka, który zostanie utworzony z artykułów w powyższych kanałach."
 
 #: ../../__w/calibre/calibre/manual/news.rst:45
 msgid ""
@@ -122,7 +122,7 @@ msgstr "bbc.co.uk"
 
 #: ../../__w/calibre/calibre/manual/news.rst:60
 msgid "Let's try the following two feeds from *The BBC*:"
-msgstr ""
+msgstr "Wypróbujmy następujące dwa źródła z *The BBC*:"
 
 #: ../../__w/calibre/calibre/manual/news.rst:62
 msgid ""
@@ -302,7 +302,7 @@ msgstr "do kodu źródła. Na koniec zam
 
 #: ../../__w/calibre/calibre/manual/news.rst:145
 msgid "With these additions, our recipe has become \"production quality\"."
-msgstr ""
+msgstr "Dzięki tym dodatkom nasza receptura stała się „jakością produkcji”."
 
 #: ../../__w/calibre/calibre/manual/news.rst:147
 msgid ""
diff -pruN 5.9.0+dfsg-3/translations/manual/pl/stats.json 5.10.0+dfsg-1/translations/manual/pl/stats.json
--- 5.9.0+dfsg-3/translations/manual/pl/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pl/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 666,
-    "untranslated": 2359
+    "translated": 677,
+    "untranslated": 2354
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/pl/sub_groups.po 5.10.0+dfsg-1/translations/manual/pl/sub_groups.po
--- 5.9.0+dfsg-3/translations/manual/pl/sub_groups.po	2020-04-30 09:16:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pl/sub_groups.po	2021-01-20 15:30:11.000000000 +0000
@@ -3,15 +3,16 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
+# Marcin Kozioł <koziol.martin@gmail.com>, 2021
 # Piotr Parafiniuk <koliberek@gmail.com>, 2014-2015
 # Przemysław Siekiera <przemo.siekiera20@gmail.com>, 2018
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-04-24 07:51+0530\n"
-"PO-Revision-Date: 2020-04-24 02:22+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-12 14:08+0000\n"
+"Last-Translator: Marcin Kozioł <koziol.martin@gmail.com>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -19,11 +20,11 @@ msgstr ""
 "Language: pl\n"
 "Plural-Forms: nplurals=4; plural=(n==1 ? 0 : (n%10>=2 && n%10<=4) && (n%100<12 || n%100>14) ? 1 : n!=1 && (n%10>=0 && n%10<=1) || (n%10>=5 && n%10<=9) || (n%100>=12 && n%100<=14) ? 2 : 3);\n"
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:4
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:4
 msgid "Managing subgroups of books, for example \"genre\""
 msgstr "Zarządzanie grupami książek, np. \"gatunek\""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:6
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:6
 msgid ""
 "Some people wish to organize the books in their library into subgroups, "
 "similar to subfolders. The most commonly provided reason is to create genre "
@@ -33,7 +34,7 @@ msgid ""
 " the rest of this post."
 msgstr "Bywa, że ktoś chce poukładać książki w bibliotece w podgrupy, tak jak to jest w przypadku folderów i podfolderów. Najczęściej w ten sposób tworzy się hierarchię gatunków literackich, ale niekoniecznie. Jeden z użytkowników chciał uporządkować podręczniki wg przedmiotu i kursu. Ktoś inny chciał ułożyć książki, dane w prezencie, wg tematu i osoby, która dostała prezent. W tym rozdziale posłużymy się przykładem uporządkowania wg gatunków literackich."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:8
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:8
 msgid ""
 "Before going on, please note that we are not talking about folders on the "
 "hard disk. Subgroups are not file folders. Books will not be copied "
@@ -42,28 +43,28 @@ msgid ""
 " library."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:18
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:18
 msgid "The commonly-provided requirements for subgroups such as genres are:"
 msgstr "Oto ogólne wymagania dotyczące podgrup, takich jak gatunki literackie:"
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:20
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:20
 msgid ""
 "A subgroup (e.g., a genre) must contain (point to) books, not categories of "
 "books. This is what distinguishes subgroups from calibre user categories."
 msgstr "Podgrupa (tj. gatunek) musi zawierać (wskazywać na) książki, a nie kategorie. To odróżnia podgrupy od kategorii definiowanych przez użytkownika."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:21
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:21
 msgid ""
 "A book can be in multiple subgroups (genres). This distinguishes subgroups "
 "from physical file folders."
 msgstr "Książka może być w wielu podgrupach (gatunkach). To odróżnia podgrupy od folderów na dyskach."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:22
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:22
 msgid ""
 "Subgroups (genres) must form a hierarchy; subgroups can contain subgroups."
 msgstr "Podgrupy (gatunki) muszą tworzyć hierarchię; podgrupy mogą zawierać inne podgrupy."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:24
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:24
 msgid ""
 "Tags give you the first two. If you tag a book with the genre then you can "
 "use the Tag browser (or search) for find the books with that genre, giving "
@@ -72,7 +73,7 @@ msgid ""
 "provide a hierarchy."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:26
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:26
 msgid ""
 "|sgtree| The calibre hierarchy feature gives you the third -- the ability to"
 " see the genres in a 'tree' and the ability to easily search for books in "
@@ -80,7 +81,7 @@ msgid ""
 " to the following::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:45
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:45
 msgid ""
 "By using the hierarchy feature, you can see these genres in the Tag browser "
 "in tree form, as shown in the screen image. In this example the outermost "
@@ -90,7 +91,7 @@ msgid ""
 "History and Science Fiction."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:47
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:47
 msgid ""
 "Clicking on a genre can search for all books with that genre or children of "
 "that genre. For example, clicking on Science Fiction can give all three of "
@@ -101,7 +102,7 @@ msgid ""
 "click on either genre. Searching is discussed in more detail below."
 msgstr "Kliknięcie gatunku spowoduje wyszukanie wszystkich książek przypisanych do niego oraz wszystkich podporządkowanych mu podgatunków. Na przykład kliknięcie Science Fiction da w efekcie wszystkie trzy podgatunki - Alternate History, Military i Space Opera. Kliknięcie Alternate History wyszuka książki z tego gatunku, ale pominie Military i Space Opera. Rzecz jasna książka może być przypisana do kilku gatunków. Jeżeli należy np. do Space Opera i Military, zostanie odnaleziona po kliknięciu któregokolwiek z tych gatunków. Wyszukiwanie jest dokładniej omówione poniżej."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:49
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:49
 msgid ""
 "Another thing you can see from the image is that the genre Military appears "
 "twice, once under History and once under Science Fiction. Because the genres"
@@ -113,7 +114,7 @@ msgid ""
 "Fiction.Space Opera.\""
 msgstr "Zwróć uwagę, że na rysunku gatunek Military występuje dwukrotnie, raz pod Historią, a raz pod Science Fiction. Ponieważ mamy do czynienia z hierarchią, są to dwa oddzielne gatunki. Książka może być przypisana do jednego, do drugiego, albo (co w tym przypadku jest raczej wątpliwe) do obu. Na przykład książka Winstona Churchilla \"Druga Wojna Światowa\" mogłaby być w \"History.Military\". Książki z serii \"Honor Harrington\" Davida Webera mogłyby się znaleźć w \"Science Fiction.Military\" oraz w \"Science Fiction.Space Opera.\""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:51
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:51
 msgid ""
 "Once a genre exists, that is at least one book has that genre, you can "
 "easily apply it to other books by dragging the books from the library view "
@@ -121,18 +122,18 @@ msgid ""
 "metadata editors; more on this below."
 msgstr "Kiedy już gatunek istnieje, czyli jest choć jedna przypisana do niego książka, możesz łatwo dodać do niego inne książki z biblioteki, przeciągając je z listy i upuszczając na niego. Przyporządkować książki do gatunków możesz również w edytorze metadanych. Więcej na ten temat znajdziesz poniżej."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:54
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:54
 msgid "Setup"
 msgstr "Ustawienia"
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:56
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:56
 msgid ""
 "By now, your question might be \"How was all of this setup?\" There are "
 "three steps: 1) create the custom column, 2) tell calibre that the new "
 "column is to be treated as a hierarchy, and 3) add genres."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:58
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:58
 msgid ""
 "You create the custom column in the usual way, using Preferences -> Add your"
 " own columns. This example uses \"#genre\" as the lookup name and \"Genre\" "
@@ -140,7 +141,7 @@ msgid ""
 " shown in the Tag browser.\""
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:63
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:63
 msgid ""
 "Then after restarting calibre, you must tell calibre that the column is to "
 "be treated as a hierarchy. Go to :guilabel:`Preferences -> Look & feel -> "
@@ -149,7 +150,7 @@ msgid ""
 "setting up."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:68
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:68
 msgid ""
 "At the point there are no genres in the column. We are left with the last "
 "step: how to apply a genre to a book. A genre does not exist in calibre "
@@ -158,7 +159,7 @@ msgid ""
 "the metadata for a book."
 msgstr "W tej chwili nie ma jeszcze wprowadzonych żadnych gatunków. Został nam jeszcze jeden krok: jak przypisać gatunki do książek. Gatunek nie istnieje w bazie danych, dopóki nie jest do niego przypisana choć jedna książka. Aby nauczyć się je dodawać, musisz się dowiedzieć trochę o tym, czym właściwie jest gatunek w metadanych książki."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:70
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:70
 msgid ""
 "A hierarchy of 'things' is built by creating an item consisting of phrases "
 "separated by periods. Continuing the genre example, these items would "
@@ -172,29 +173,29 @@ msgid ""
 "custom columns):"
 msgstr "Hierarchia jest budowana poprzez tworzenie elementów, składających się z nazw oddzielanych kropkami. Pozostając przy przykładzie podanym wyżej, elementy te to \"History.Military\", \"Mysteries.Vampire\", \"Science Fiction.Space Opera\" itp. Tak więc, by stworzyć nowy gatunek, wybierasz książkę, która do niego należy, edytujesz metadane i wprowadzasz nowy gatunek w kolumnie, którą uprzednio dodałeś. I dalej: jeśli chcesz przypisać książkę do gatunku \"Comics\" i podgatunku \"Superheroes\", musisz otworzyć okno edycji metadanych tej książki (komiksu) i na zakładce Własne metadane, w polu oznaczonym \"Genre\" wprowadzić \"Comics.Superheroes\", tak, jak to pokazano poniżej (pomijając inne kolumny)."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:75
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:75
 msgid "After doing the above, you see in the Tag browser:"
-msgstr ""
+msgstr "Po wykonaniu powyższego w przeglądarce tagów zobaczysz:"
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:80
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:80
 msgid ""
 "From here on, to apply this new genre to a book (a comic book, presumably), "
 "you can either drag the book onto the genre, or add it to the book using "
 "edit metadata in exactly the same way as done above."
 msgstr "Od tej chwili, by przypisać książkę do gatunku, możesz albo przeciągnąć ją z listy i upuścić w przeglądarce etykiet na wybrany gatunek, albo edytować metadane dokładnie tak samo, jak przy pierwszej książce."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:84
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:84
 msgid ""
 "Hierarchical display only works if the Tag browser is set to sort items by "
 "name. This is the default and can be checked by clicking the "
 ":guilabel:`Configure` button at the bottom of the Tag browser."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:89
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:89
 msgid "Searching"
 msgstr "Szukanie"
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:94
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:94
 msgid ""
 "The easiest way to search for genres is using the Tag browser, clicking on "
 "the genre you wish to see. Clicking on a genre with children will show you "
@@ -205,7 +206,7 @@ msgid ""
 "\"History\"?"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:96
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:96
 msgid ""
 "The Tag browser search mechanism knows if an item has children. If it does, "
 "clicking on the item cycles through 5 searches instead of the normal three. "
@@ -218,11 +219,11 @@ msgid ""
 "no mark, meaning no search."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:99
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:99
 msgid "Restrictions"
 msgstr "Ograniczenia"
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:101
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:101
 msgid ""
 "If you search for a genre then create a saved search for it, you can use the"
 " 'restrict to' box to create a Virtual library of books with that genre. "
@@ -235,15 +236,15 @@ msgid ""
 " side)."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:106
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:106
 msgid "After creating the saved search, you can use it as a restriction."
 msgstr "Po zapisaniu wyszukiwania możesz go użyć jako ograniczenia."
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:112
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:112
 msgid "Useful template functions"
-msgstr ""
+msgstr "Przydatne funkcje szablonów"
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:114
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:114
 msgid ""
 "You might want to use the genre information in a template, such as with save"
 " to disk or send to device. The question might then be \"How do I get the "
@@ -251,7 +252,7 @@ msgid ""
 "provided to make doing this easier."
 msgstr "Możesz też użyć informacji o gatunku w szablonie, np. w przypadku zapisywania na dysku lub wysyłania do urządzenia. Pojawia się jednak pytanie: \"Jak mogę uzyskać nazwę gatunku literackiego?\". Można tego łatwo dokonać za pomocą funkcji szablonów - subitems. "
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:116
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:116
 msgid ""
 "For example, assume you want to add the outermost genre level to the save-"
 "to-disk template to make genre folders, as in \"History/The Gathering Storm "
@@ -260,7 +261,7 @@ msgid ""
 "should make a folder. The template below accomplishes this::"
 msgstr "Przypuśćmy na przykład, że chcesz dodać najwyższy poziom  z hierarchii gatunków literackich do szablonu zapisu na dysk, by utworzyć foldery, np. \"History/The Gathering Storm - Churchill, Winston\". Aby to zrobić musisz wydzielić pierwszy poziom hierarchii i dodać go na początku wraz z ukośnikiem, by zaznaczyć, że musi być utworzony folder. Szablon powinien wyglądać następująco::"
 
-#: ../../home/kovid/work/calibre/manual/sub_groups.rst:120
+#: ../../__w/calibre/calibre/manual/sub_groups.rst:120
 msgid ""
 "See :ref:`The template language <templatelangcalibre>` for more information "
 "about templates and the :func:`subitems` function."
diff -pruN 5.9.0+dfsg-3/translations/manual/pl/template_lang.po 5.10.0+dfsg-1/translations/manual/pl/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/pl/template_lang.po	2021-01-06 15:34:28.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pl/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -712,9 +712,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
-msgstr "`add(x, y)`` -- zwraca x + y. Rzuca wyjątkiem jeśli przynajmniej jedna z x,y nie jest liczbą"
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
 msgid ""
@@ -854,6 +854,12 @@ msgstr "``field(name)`` -- Zwraca metada
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -863,14 +869,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Jeszcze jeden przykład: dla szablonu``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` użyj::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -878,33 +884,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -913,7 +919,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -923,7 +929,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -931,7 +937,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -939,27 +945,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -967,7 +973,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -976,7 +982,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -984,7 +990,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -994,7 +1000,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1002,7 +1008,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1010,7 +1016,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1019,53 +1025,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1077,17 +1083,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1096,17 +1102,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1116,19 +1122,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1138,20 +1144,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1163,11 +1169,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1177,14 +1183,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1192,26 +1198,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1221,13 +1227,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1237,50 +1243,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1290,13 +1296,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1306,18 +1312,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1328,24 +1334,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1358,29 +1364,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1389,11 +1395,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1401,11 +1407,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1416,27 +1422,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1450,11 +1456,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1464,35 +1470,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1500,20 +1506,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1521,11 +1527,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1536,18 +1542,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1557,25 +1563,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "Aby to osiągnąć potrzebujemy:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1583,11 +1589,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1598,7 +1604,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1609,7 +1615,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1618,29 +1624,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1652,7 +1658,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1662,7 +1668,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1671,39 +1677,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/pl/viewer.po 5.10.0+dfsg-1/translations/manual/pl/viewer.po
--- 5.9.0+dfsg-3/translations/manual/pl/viewer.po	2021-01-06 15:36:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pl/viewer.po	2021-01-20 15:29:44.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Polish (http://www.transifex.com/calibre/calibre/language/pl/)\n"
 "MIME-Version: 1.0\n"
@@ -247,11 +247,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -261,7 +269,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -269,37 +277,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Konfigurowanie wyglądu czytnika"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -309,11 +317,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Wyszukiwanie w słowniku"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -321,11 +329,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Kopiowanie tekstu i grafiki"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -333,22 +341,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/plugins.pot 5.10.0+dfsg-1/translations/manual/plugins.pot
--- 5.9.0+dfsg-3/translations/manual/plugins.pot	2021-01-08 03:53:35.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/plugins.pot	2021-01-22 02:28:59.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/polish.pot 5.10.0+dfsg-1/translations/manual/polish.pot
--- 5.9.0+dfsg-3/translations/manual/polish.pot	2021-01-08 03:53:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/polish.pot	2021-01-22 02:28:56.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/ps/db_api.po 5.10.0+dfsg-1/translations/manual/ps/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ps/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ps/db_api.po	2021-01-20 15:30:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ps/edit.po 5.10.0+dfsg-1/translations/manual/ps/edit.po
--- 5.9.0+dfsg-3/translations/manual/ps/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ps/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ps\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ps/faq.po 5.10.0+dfsg-1/translations/manual/ps/faq.po
--- 5.9.0+dfsg-3/translations/manual/ps/faq.po	2021-01-06 15:34:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ps/faq.po	2021-01-20 15:29:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ps/stats.json 5.10.0+dfsg-1/translations/manual/ps/stats.json
--- 5.9.0+dfsg-3/translations/manual/ps/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ps/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ps/template_lang.po 5.10.0+dfsg-1/translations/manual/ps/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ps/template_lang.po	2021-01-06 15:33:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ps/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ps/viewer.po 5.10.0+dfsg-1/translations/manual/ps/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ps/viewer.po	2021-01-06 15:35:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ps/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Pushto (http://www.transifex.com/calibre/calibre/language/ps/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/pt/db_api.po 5.10.0+dfsg-1/translations/manual/pt/db_api.po
--- 5.9.0+dfsg-3/translations/manual/pt/db_api.po	2021-01-06 15:36:27.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt/db_api.po	2021-01-20 15:30:11.000000000 +0000
@@ -10,9 +10,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-01 18:00+0000\n"
-"Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -188,6 +188,21 @@ msgid "Return the set of books in the sp
 msgstr "Devolver o conjunto de livros na biblioteca virtual especificada"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/pt/edit.po 5.10.0+dfsg-1/translations/manual/pt/edit.po
--- 5.9.0+dfsg-3/translations/manual/pt/edit.po	2020-12-23 14:20:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt/edit.po	2021-01-20 15:29:47.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-23 10:43+0000\n"
-"Last-Translator: Eduardo Lopes <eamlopes@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -454,14 +454,14 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "A verificar o livro"
+msgid "Checking the book"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/edit.rst:326
diff -pruN 5.9.0+dfsg-3/translations/manual/pt/faq.po 5.10.0+dfsg-1/translations/manual/pt/faq.po
--- 5.9.0+dfsg-3/translations/manual/pt/faq.po	2021-01-06 15:34:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt/faq.po	2021-01-20 15:29:01.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-29 13:12+0000\n"
-"Last-Translator: Paulo Pereira <pauloizidoro@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -48,10 +48,10 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Formatos de entrada:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -168,8 +168,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -409,7 +409,7 @@ msgid ""
 msgstr "Se estiver a ligar um Kindle Fire HD ou outro dispositivo Android, leia a nota em :ref:`android_usb`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -805,7 +805,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -939,8 +939,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Gestão da biblioteca"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1621,12 +1621,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1637,7 +1652,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1646,22 +1661,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1671,14 +1686,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1689,11 +1704,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1703,26 +1718,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1730,13 +1745,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1746,7 +1761,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1754,11 +1769,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1767,7 +1782,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1781,11 +1796,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1794,7 +1809,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1802,7 +1817,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1812,13 +1827,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1831,44 +1846,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1876,18 +1891,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1900,7 +1915,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1909,11 +1924,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1926,21 +1941,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Tem duas alternativas:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1951,15 +1966,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1967,7 +1982,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1975,7 +1990,7 @@ msgid ""
 " which someone has to pay."
 msgstr "Atualmente, os downloads de Calibre usam `cerca de 150 TB de largura de banda por mês <https://calibre-ebook.com/dynamic/downloads>`_. A implementação de atualizações automáticas aumentaria isto ainda mais e acabaria custando milhares de dólares por mês, que alguém teria de pagar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1983,25 +1998,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr "Existem atualizadores automáticos de terceiros para o Calibre criados por utilizadores Calibre no `fórum do Calibre <https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2014,30 +2029,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr "O Calibre é licenciado sob os termos da GNU General Public License v3 (uma licença de código aberto). Isto quer dizer que você é livre de redistribuir o Calibre desde que torne disponível o código fonte. Assim, se pretender incluir o Calibre num CD com o seu produto, tem também de incluir o código fonte do Calibre nesse CD. O código fonte pode ser `descarregado em <https://download.calibre-ebook.com>`_. Você tem toda a liberdade para usar os resultados das conversões produzidas pelo Calibre de qualquer modo que pretenda. Não pode usar quer o código quer as bibliotecas do Calibre no seu software se este não for distribuído como software de código aberto. Para detalhes, ver `The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2050,34 +2065,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/pt/stats.json 5.10.0+dfsg-1/translations/manual/pt/stats.json
--- 5.9.0+dfsg-3/translations/manual/pt/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 957,
-    "untranslated": 2068
+    "translated": 954,
+    "untranslated": 2077
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/pt/template_lang.po 5.10.0+dfsg-1/translations/manual/pt/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/pt/template_lang.po	2021-01-06 15:34:29.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt/template_lang.po	2021-01-20 15:28:43.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
@@ -711,8 +711,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -853,6 +853,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -862,14 +868,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -877,33 +883,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -912,7 +918,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -922,7 +928,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(format_string)`` -- cria uma lista, separada por vírgulas, de itens separados por dois pontos que representam horas de alteração para os formatos de um livro. O parâmetro date_format especifica como a data deve ser formatada. Ver a função `format_date()` para mais detalhes. Pode usar a função de seleção para obter a hora de alteração para um formato específico. Note que os nomes dos formatos são sempre em maiúsculas, tal como em EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -930,7 +936,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- cria uma lista de itens, separados por dois pontos, que representam o caminho completo para os formatos de um livro. Pode usar a função de seleção para obter o caminho para um formato específico. Note que os nomes dos formatos são sempre em maiúsculas, tal como em EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -938,27 +944,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- cria uma lista de itens separados por dois pontos que representam tamanhos em bytes dos formatos de um livro. Pode usar a função de seleção para obter o tamanho de um formato específico. Note que os nomes dos formatos são sempre em maiúsculas, tal como em EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -966,7 +972,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(list1, list2, separator)`` -- devolve uma lista feita ao remover da `list1` qualquer item encontrado em `list2`, usando uma comparação não sensível a maiúsculas. Os itens em `list1` e `list2` são separados por separador, tal como estão os itens da lista devolvida."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -975,7 +981,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- devolverá `yes_val` se `list1` e `list2` contiverem os mesmos itens, caso contrário devolverá no_val. Os itens são determinados dividindo cada lista usando o carácter separador apropriado (`sep1` ou `sep2`). A ordem dos itens das listas não é relevante. A comparação não é sensível a maiúsculas."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -983,7 +989,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(list1, list2, separator)`` -- devolve uma lista feita ao remover da `list1` qualquer item não encontrado em `list2`, usando uma comparação não sensível a maiúsculas. Os itens em `list1` e `list2` são separados por separador, tal como estão os itens da lista devolvida."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -993,7 +999,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(src_list, separator, include_re, opt_replace)``  -- Construir uma lista, primeiro pela separação de `src_list` em itens usando o carácter `separator`. Para cada item da lista, verificar se ele corresponde a `include_re`. Se isso acontecer, então adicioná-lo à lista a ser obtida. Se `opt_replace` não for uma string vazia, então aplicar a substituição antes de adicionar o item à lista obtida."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1001,7 +1007,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1009,7 +1015,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1018,53 +1024,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(name, separator)`` -- devolve a lista de metadados por nomeado por nome mas sem aplicar formatações ou ordenação e com itens separados por `separator`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1076,17 +1082,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "``series_sort()`` -- devolve o valor de ordenação da série."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1095,17 +1101,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "``strcat(a, b, ...)`` -- pode receber qualquer número de argumentos. Devolve uma expressão formada pela concatenação de todos os argumentos."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1115,19 +1121,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "``strlen(a)`` -- Devolve o comprimento do texto passando-o como um argumento."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1137,20 +1143,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "``substr(str, start, end)`` -- devolve ``start``'th pelos caracteres ``end``'th de  ``str``. O primeiro carácter ``str`` é o carácter zero'th. Se end for negativo, então indica esse número de caracteres contados da direita. Se end for zero, então indica o último carácter. Por exemplo, ``substr('12345', 1, 0)`` devolve ``'2345'``, e ``substr('12345', 1, -1)`` devolve ``'234'``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1162,11 +1168,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr "Utilização do Modo de programa geral"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1176,14 +1182,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1191,26 +1197,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr "Os modos de programa por modelos e de programa geral suportam **operadores clássicos relacionais (comparação)**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. Os operadores devolvem '1' se avaliarem como True, caso contrário devolvem ''. Eles fazem comparações de expressões, sem diferenciação de maiúsculas, usando a ordem lexical. Exemplos:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1220,13 +1226,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1236,50 +1242,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1289,13 +1295,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1305,18 +1311,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr "Modelos de modo de programa geral armazenados"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1327,24 +1333,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1357,29 +1363,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1388,11 +1394,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1400,11 +1406,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1415,27 +1421,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1449,11 +1455,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1463,35 +1469,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1499,20 +1505,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1520,11 +1526,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Notas especiais para modelos de exportar/enviar"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1535,18 +1541,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "A barra inclinada e o hífen aparecem apenas se a série não estiver vazia."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1556,25 +1562,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "Para obter isto, fazemos:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1582,11 +1588,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr "Modelos e conectores"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1597,7 +1603,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1608,7 +1614,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1617,29 +1623,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "um conector para ``qualquer formato`` e ``qualquer dispositivo``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1651,7 +1657,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1661,7 +1667,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1670,39 +1676,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr "Sugestões"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Poderá achar úteis as seguintes dicas."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr "Referência para funções"
diff -pruN 5.9.0+dfsg-3/translations/manual/pt/viewer.po 5.10.0+dfsg-1/translations/manual/pt/viewer.po
--- 5.9.0+dfsg-3/translations/manual/pt/viewer.po	2021-01-06 15:35:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt/viewer.po	2021-01-20 15:29:30.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (http://www.transifex.com/calibre/calibre/language/pt/)\n"
 "MIME-Version: 1.0\n"
@@ -248,11 +248,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -262,7 +270,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -270,37 +278,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Personalizar o aspeto visual da sua experiência de leitura"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -310,11 +318,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Consulta de dicionário"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -322,11 +330,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Copiar texto e imagens"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -334,22 +342,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Ampliar em imagens"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/pt_BR/db_api.po 5.10.0+dfsg-1/translations/manual/pt_BR/db_api.po
--- 5.9.0+dfsg-3/translations/manual/pt_BR/db_api.po	2020-12-23 14:21:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt_BR/db_api.po	2021-01-20 15:31:00.000000000 +0000
@@ -11,9 +11,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Artur de Carvalho Alves <arturcalves@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -189,6 +189,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/pt_BR/edit.po 5.10.0+dfsg-1/translations/manual/pt_BR/edit.po
--- 5.9.0+dfsg-3/translations/manual/pt_BR/edit.po	2020-12-10 03:01:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt_BR/edit.po	2021-01-20 15:30:07.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
@@ -20,11 +20,11 @@ msgstr ""
 "Language: pt_BR\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Editando e-books"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -33,27 +33,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Você pode utilizar o editor clicando com botão direito em qualquer ebook no Calibre e selecionar :guilabel:`Editar Ebook`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Conteúdo"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Fluxo de trabalho básico"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -64,7 +64,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -72,7 +72,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -86,18 +86,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -108,7 +108,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -116,7 +116,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -129,16 +129,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "Você pode executar diversas ações em arquivos individualmente, clicando com o botão direito neles. "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Renomear arquivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -146,7 +146,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -160,18 +160,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Mesclar arquivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -179,7 +179,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -190,11 +190,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Alterando a Ordem de arquivo de texto"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -203,11 +203,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Marcando a capa"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -215,7 +215,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -227,11 +227,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Deletando arquivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -240,11 +240,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Exportar arquivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -252,7 +252,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -260,7 +260,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -269,11 +269,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "Adicionar novas imagens / fonts / etc, ou a criar novos arquivos em branco"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -282,17 +282,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Substituindo arquivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -300,22 +300,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Buscar & Substituir"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -324,20 +324,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -345,37 +345,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Buscas salvas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -384,22 +384,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -408,27 +408,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Ferramentas automatizadas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Editando a Tabela de Conteúdos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -436,7 +436,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -444,7 +444,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -454,18 +454,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
-msgstr "Verificando o livro"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -474,11 +474,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -489,7 +489,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -497,36 +497,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Adicionando uma capa"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -537,11 +537,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Incorporando fontes referenciadas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -550,11 +550,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Efetuando subconjunto de fontes embutidas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -564,11 +564,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Pontuação inteligente"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -577,40 +577,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Removendo regras CSS não usadas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -619,11 +619,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Corrigir HTML "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -635,11 +635,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Embelezando arquivos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -649,7 +649,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -663,11 +663,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr "Inserir índice em linha "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -676,7 +676,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -684,11 +684,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr "Definir a semântica"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -699,11 +699,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr "Filtrando informações do estilo"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -714,22 +714,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Pontos de verificação"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -738,13 +738,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -752,7 +752,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -762,11 +762,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -779,7 +779,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -788,7 +788,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -800,18 +800,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "Dividindo arquivos HTML "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -822,14 +822,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -838,11 +838,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "O Painel CSS em tempo real"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -850,7 +850,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -859,30 +859,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr "Há mais algumas ferramentas que podem ser úteis durante a edição do livro."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -891,15 +891,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Verificando a ortografia das palavras no livro"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -910,14 +910,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -927,7 +927,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -936,7 +936,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -944,7 +944,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -952,11 +952,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Adicionando novos dicionários"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -966,11 +966,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Inserindo caracteres especiais"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -981,7 +981,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -992,7 +992,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1003,7 +1003,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1011,11 +1011,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1027,11 +1027,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Checando ligações externas"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1039,11 +1039,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1052,11 +1052,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1066,11 +1066,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1079,11 +1079,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "A ferramenta de relatórios"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1095,31 +1095,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Características especiais no editor de código"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1127,55 +1127,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Ajuda de conteúdo sensível "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1183,7 +1183,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1193,7 +1193,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1205,11 +1205,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Trechos"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/pt_BR/faq.po 5.10.0+dfsg-1/translations/manual/pt_BR/faq.po
--- 5.9.0+dfsg-3/translations/manual/pt_BR/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt_BR/faq.po	2021-01-20 15:29:29.000000000 +0000
@@ -16,8 +16,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
@@ -55,10 +55,10 @@ msgstr "calibre suporta a conversão de
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Formatos de Entrada:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -175,8 +175,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -416,7 +416,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -812,7 +812,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -946,7 +946,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1628,12 +1628,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1644,7 +1659,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1653,22 +1668,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1678,14 +1693,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1696,11 +1711,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1710,26 +1725,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1737,13 +1752,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1753,7 +1768,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1761,11 +1776,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1774,7 +1789,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1788,11 +1803,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1801,7 +1816,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1809,7 +1824,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1819,13 +1834,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1838,44 +1853,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1883,18 +1898,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1907,7 +1922,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1916,11 +1931,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1933,21 +1948,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1958,15 +1973,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Por muitas razões:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1974,7 +1989,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1982,7 +1997,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1990,25 +2005,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Como o calibre é licenciado?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2021,30 +2036,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2057,34 +2072,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/pt_BR/stats.json 5.10.0+dfsg-1/translations/manual/pt_BR/stats.json
--- 5.9.0+dfsg-3/translations/manual/pt_BR/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt_BR/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 976,
-    "untranslated": 2049
+    "translated": 974,
+    "untranslated": 2057
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/pt_BR/template_lang.po 5.10.0+dfsg-1/translations/manual/pt_BR/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/pt_BR/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt_BR/template_lang.po	2021-01-20 15:28:59.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
@@ -712,8 +712,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -854,6 +854,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -863,14 +869,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -878,33 +884,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -913,7 +919,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -923,7 +929,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -931,7 +937,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -939,27 +945,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -967,7 +973,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -976,7 +982,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -984,7 +990,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -994,7 +1000,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1002,7 +1008,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1010,7 +1016,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1019,53 +1025,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1077,17 +1083,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1096,17 +1102,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1116,19 +1122,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1138,20 +1144,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1163,11 +1169,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1177,14 +1183,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1192,26 +1198,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1221,13 +1227,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1237,50 +1243,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1290,13 +1296,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1306,18 +1312,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1328,24 +1334,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1358,29 +1364,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1389,11 +1395,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1401,11 +1407,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1416,27 +1422,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1450,11 +1456,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1464,35 +1470,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1500,20 +1506,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1521,11 +1527,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1536,18 +1542,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1557,25 +1563,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1583,11 +1589,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1598,7 +1604,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1609,7 +1615,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1618,29 +1624,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1652,7 +1658,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1662,7 +1668,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1671,39 +1677,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/pt_BR/viewer.po 5.10.0+dfsg-1/translations/manual/pt_BR/viewer.po
--- 5.9.0+dfsg-3/translations/manual/pt_BR/viewer.po	2021-01-06 15:35:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/pt_BR/viewer.po	2021-01-20 15:29:46.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Portuguese (Brazil) (http://www.transifex.com/calibre/calibre/language/pt_BR/)\n"
 "MIME-Version: 1.0\n"
@@ -247,11 +247,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -261,7 +269,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -269,37 +277,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Personalizando a aparência e a sensação de sua experiência de leitura"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -309,11 +317,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Pesquisa no dicionário"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -321,11 +329,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Copiando texto e imagens"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -333,22 +341,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/regexp.pot 5.10.0+dfsg-1/translations/manual/regexp.pot
--- 5.9.0+dfsg-3/translations/manual/regexp.pot	2021-01-08 03:53:26.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/regexp.pot	2021-01-22 02:28:53.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/regexp_quick_reference.pot 5.10.0+dfsg-1/translations/manual/regexp_quick_reference.pot
--- 5.9.0+dfsg-3/translations/manual/regexp_quick_reference.pot	2021-01-08 03:53:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/regexp_quick_reference.pot	2021-01-22 02:28:50.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/ro/db_api.po 5.10.0+dfsg-1/translations/manual/ro/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ro/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ro/db_api.po	2021-01-20 15:30:57.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Cosmin Luță <q4break@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -186,6 +186,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ro/edit.po 5.10.0+dfsg-1/translations/manual/ro/edit.po
--- 5.9.0+dfsg-3/translations/manual/ro/edit.po	2020-12-10 03:01:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ro/edit.po	2021-01-20 15:30:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ro\n"
 "Plural-Forms: nplurals=3; plural=(n==1?0:(((n%100>19)||((n%100==0)&&(n!=0)))?2:1));\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Conținuturi "
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ro/faq.po 5.10.0+dfsg-1/translations/manual/ro/faq.po
--- 5.9.0+dfsg-3/translations/manual/ro/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ro/faq.po	2021-01-20 15:29:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ro/stats.json 5.10.0+dfsg-1/translations/manual/ro/stats.json
--- 5.9.0+dfsg-3/translations/manual/ro/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ro/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 75,
-    "untranslated": 2950
+    "untranslated": 2956
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ro/template_lang.po 5.10.0+dfsg-1/translations/manual/ro/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ro/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ro/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ro/viewer.po 5.10.0+dfsg-1/translations/manual/ro/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ro/viewer.po	2021-01-06 15:35:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ro/viewer.po	2021-01-20 15:29:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Romanian (http://www.transifex.com/calibre/calibre/language/ro/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/conversion.po 5.10.0+dfsg-1/translations/manual/ru/conversion.po
--- 5.9.0+dfsg-3/translations/manual/ru/conversion.po	2021-01-06 15:33:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/conversion.po	2021-01-20 15:28:40.000000000 +0000
@@ -4,16 +4,16 @@
 # 
 # Translators:
 # Aleksandr P, 2019
-# ashed <craysy@gmail.com>, 2020
+# ashed <craysy@gmail.com>, 2020-2021
 # Vladislav <yobabay23@gmail.com>, 2015
 # Родион Р., 2019
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-15 18:49+0000\n"
+"Last-Translator: ashed <craysy@gmail.com>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -424,7 +424,7 @@ msgid ""
 "want to choose one of the Kindle output profiles. Otherwise, your best bet "
 "for modern E-book reading devices is to choose the :guilabel:`Generic e-ink "
 "HD` output profile."
-msgstr ""
+msgstr "Если вы знаете, что файл, который вы конвертируете, предназначен для использования на определённом устройстве/программной платформе, выберите соответствующий профиль ввода, в противном случае просто выберите профиль ввода по умолчанию. Если вы знаете, что создаваемые вами файлы предназначены для определённого типа устройства, выберите соответствующий выходной профиль. В противном случае выберите один из общих выходных профилей. Если вы конвертируете в MOBI или AZW3, выбирайте один из выходных профилей Kindle. В противном случае для современных устройств для чтения электронных книг лучше всего выбрать выходной профиль :guilabel:`Generic e-ink HD`."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:275
 msgid ""
@@ -486,7 +486,7 @@ msgid ""
 "the length of 40% of all lines in the document. If your document only has a "
 "few line breaks which need correction, then this value should be reduced to "
 "somewhere between 0.1 and 0.2."
-msgstr ""
+msgstr "Эта опция контролирует алгоритм, используемый calibre для удаления жёстких разрывов строк. Например, если значение этого параметра равно 0,4, это означает, что calibre удалит жёсткие разрывы строк в конце строк, длина которых меньше, чем длина 40% всех строк в документе. Если в вашем документе есть только несколько разрывов строк, которые нуждаются в исправлении, то это значение следует уменьшить до значения между 0,1 и 0,2."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:320
 msgid ""
@@ -500,7 +500,7 @@ msgid ""
 "attempt to detect them and surround them with heading tags. <h2> tags are "
 "used for chapter headings; <h3> tags are used for any titles that are "
 "detected."
-msgstr ""
+msgstr "Если ваш документ не имеет заголовков и заголовков глав, отформатированных иначе, чем остальная часть текста, calibre может использовать эту опцию, чтобы попытаться обнаружить их и окружить их тегами заголовков. <h2> теги используются для заголовков глав; <h3> теги используются для любых обнаруженных заголовков."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:312
 msgid ""
@@ -839,7 +839,7 @@ msgid ""
 ":guilabel:`Number of links` option can be used to control this behavior. If "
 "set to zero, no links are added. If set to a number greater than zero, at "
 "most that number of links is added."
-msgstr ""
+msgstr "Если было обнаружено меньше глав, чем число :guilabel:`Порог главы`, то calibre добавит любые гиперссылки, найденные во входном документе, в оглавление. Это часто хорошо работает, многие входные документы включают в себя содержание с гиперссылкой в самом начале. Опция :guilabel:`Количество ссылок` может использоваться для управления этим поведением. Если установлено в ноль, ссылки не добавляются. Если установлено значение больше нуля, добавляется самое большое количество ссылок."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:488
 msgid ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/db_api.po 5.10.0+dfsg-1/translations/manual/ru/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ru/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/db_api.po	2021-01-20 15:30:34.000000000 +0000
@@ -3,17 +3,17 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# ashed <craysy@gmail.com>, 2020
+# ashed <craysy@gmail.com>, 2020-2021
 # Azriel Sviridyuk <azriel.svir@gmail.com>, 2019
-# Александр <avfill@outlook.com>, 2017
+# AlexanderFilev <avfill@outlook.com>, 2017
 # Родион Р., 2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: Родион Р.\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -43,7 +43,7 @@ msgid ""
 "An in-memory cache of the metadata.db file from a calibre library. This "
 "class also serves as a threadsafe API for accessing the database. The in-"
 "memory cache is maintained in normal form for maximum performance."
-msgstr ""
+msgstr "Кэш в памяти файла metadata.db из библиотеки calibre. Этот класс также служит потокобезопасным API для доступа к базе данных. Кэш в памяти поддерживается в нормальной форме для максимальной производительности."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache:5
@@ -51,7 +51,7 @@ msgid ""
 "SQLITE is simply used as a way to read and write from metadata.db robustly. "
 "All table reading/sorting/searching/caching logic is re-implemented. This "
 "was necessary for maximum performance and flexibility."
-msgstr ""
+msgstr "SQLITE используется просто как способ надежного чтения и записи из metadata.db. Переработана вся логика чтения/сортировки/поиска/кеширования таблиц. Это было необходимо для максимальной производительности и гибкости."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.add_books:1
@@ -69,21 +69,21 @@ msgid ""
 "ids for all newly created books in the database. ``duplicates`` contains the"
 " :code:`(mi, format_map)` for all books that already exist in the database "
 "as per the simple duplicate detection heuristic used by :meth:`has_book`."
-msgstr ""
+msgstr "Возвращает пару списков: :code:`ids, duplicates`. 'ids' содержит идентификаторы всех новосозданных книг в базе данных. `duplicates` содержит :code:`(mi, format_map)` для книг уже существующих в базе данных, руководствуясь простой эвристикой обнаружения дубликатов, используемой :meth:`has_book`."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.add_custom_book_data:1
 msgid ""
 "Add data for name where val_map is a map of book_ids to values. If "
 "delete_first is True, all previously stored data for name will be removed."
-msgstr ""
+msgstr "Добавить данные для имени, где val_map - это отображение идентификаторов книг в значения. Если delete_first имеет значение True, все ранее сохраненные данные для имени будут удалены."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.add_format:1
 msgid ""
 "Add a format to the specified book. Return True if the format was added "
 "successfully."
-msgstr ""
+msgstr "Добавить формат в указанную книгу. Вернёт True, если формат был добавлен успешно."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.add_format:0
@@ -113,53 +113,53 @@ msgstr "Параметры"
 msgid ""
 "If True replace existing format, otherwise if the format already exists, "
 "return False."
-msgstr ""
+msgstr " Если True - заменить существующий формат, иначе, если формат уже существует, вернуть False."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.add_format:4
 msgid ""
 "If True, file type plugins are run on the format before and after being "
 "added."
-msgstr ""
+msgstr " Если True, плагины типов файлов обрабатывают формат до и после добавления."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.add_format:5
 msgid "Internal use only."
-msgstr ""
+msgstr "Для внутреннего пользования"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.all_book_ids:1
 msgid "Frozen set of all known book ids."
-msgstr ""
+msgstr "Замороженный набор всех известных идентификаторов книг."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.all_field_for:1
 msgid "Same as field_for, except that it operates on multiple books at once"
-msgstr ""
+msgstr "То же, что field_for, за исключением того, что работает с несколькими книгами одновременно"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.all_field_ids:1
 msgid "Frozen set of ids for all values in the field ``name``."
-msgstr ""
+msgstr "Замороженный набор идентификаторов для всех значений в поле ``name``."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.all_field_names:1
 msgid ""
 "Frozen set of all fields names (should only be used for many-one and many-"
 "many fields)"
-msgstr ""
+msgstr "Замороженный набор имен всех полей (следует использовать только для полей 'много-один' и 'много-много')"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.author_data:1
 msgid "Return author data as a dictionary with keys: name, sort, link"
-msgstr ""
+msgstr "Вернуть данные об авторе в виде словаря с ключами: имя, сортировка, ссылка"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.author_data:3
 msgid ""
 "If no authors with the specified ids are found an empty dictionary is "
 "returned. If author_ids is None, data for all authors is returned."
-msgstr ""
+msgstr "Если авторов с указанными идентификаторами не найдено, возвращается пустой словарь. Если author_ids - None, возвращаются данные для всех авторов."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.author_sort_from_authors:1
@@ -167,25 +167,40 @@ msgid ""
 "Given a list of authors, return the author_sort string for the authors, "
 "preferring the author sort associated with the author over the computed "
 "string."
-msgstr ""
+msgstr "Учитывая список авторов, вернуть строку author_sort для авторов, предпочитая сортировку по авторам, связанную с автором, а не вычисленную строку."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.books_for_field:1
 msgid ""
 "Return all the books associated with the item identified by ``item_id``, "
 "where the item belongs to the field ``name``."
-msgstr ""
+msgstr "Вернуть все книги, связанные с элементом, идентифицированным с помощью ``item_id``, где элемент принадлежит полю ``name``."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.books_for_field:4
 msgid ""
 "Returned value is a set of book ids, or the empty set if the item or the "
 "field does not exist."
-msgstr ""
+msgstr "Возвращаемое значение - это набор идентификаторов книг или пустой набор, если элемент или поле не существует."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.books_in_virtual_library:1
 msgid "Return the set of books in the specified virtual library"
+msgstr "Вернуть набор книг из указанной виртуальной библиотеки"
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
@@ -195,7 +210,7 @@ msgid ""
 "exists or dest is the same file as the current cover. dest can also be a "
 "path in which case the cover is copied to it if and only if the path is "
 "different from the current path (taking case sensitivity into account)."
-msgstr ""
+msgstr "Копировать обложку в файл как объект ``dest``. Возвращает False, если обложки не существует или если dest - тот же файл, что и текущая обложка. dest также может быть путем, и в этом случае обложка копируется по нему тогда и только тогда, когда путь отличается от текущего пути (с учетом чувствительности к регистру)."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_format_to:1
@@ -204,14 +219,14 @@ msgid ""
 "format does not exist, raises :class:`NoSuchFormat` error. dest can also be "
 "a path (to a file), in which case the format is copied to it, iff the path "
 "is different from the current path (taking case sensitivity into account)."
-msgstr ""
+msgstr "Копировать формат fmt в файл как объект dest. Если указанный формат не существует, вызывает ошибку :class:`NoSuchFormat`. dest также может быть путем (к файлу), и в этом случае формат копируется по нему, если путь отличается от текущего пути (с учетом чувствительности к регистру)."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.cover:1
 msgid ""
 "Return the cover image or None. By default, returns the cover as a "
 "bytestring."
-msgstr ""
+msgstr "Вернуть обложку или None. По умолчанию возвращает обложку в виде байтовой строки."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.cover:4
@@ -219,30 +234,30 @@ msgid ""
 "WARNING: Using as_path will copy the cover to a temp file and return the "
 "path to the temp file. You should delete the temp file when you are done "
 "with it."
-msgstr ""
+msgstr "ВНИМАНИЕ: использование as_path скопирует обложку во временный файл и вернет путь к временному файлу. Вы должны удалить временный файл, когда закончите работать с ним."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.cover:8
 msgid ""
 "If True return the image as an open file object (a SpooledTemporaryFile)"
-msgstr ""
+msgstr "Если True, вернуть изображение как объект открытого файла (SpooledTemporaryFile)"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.cover:9
 msgid "If True return the image as a QImage object"
-msgstr ""
+msgstr "Если True вернуть изображение как объект QImage"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.cover:10
 msgid "If True return the image as a path pointing to a temporary file"
-msgstr ""
+msgstr "Если True, вернуть изображение как путь, указывающий на временный файл"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.data_for_find_identical_books:1
 msgid ""
 "Return data that can be used to implement :meth:`find_identical_books` in a "
 "worker process without access to the db. See db.utils for an implementation."
-msgstr ""
+msgstr "Вернуть данные, которые можно использовать для реализации :meth:`find_identical_books` в рабочем процессе без доступа к базе данных. См. реализацию в db.utils."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.data_for_has_book:1
@@ -250,28 +265,28 @@ msgid ""
 "Return data suitable for use in :meth:`has_book`. This can be used for an "
 "implementation of :meth:`has_book` in a worker process without access to the"
 " db."
-msgstr ""
+msgstr "Возвращает данные, подходящие для использования в :meth:`has_book`. Это можно использовать для реализации :meth:`has_book` в рабочем процессе без доступа к базе данных."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.delete_custom_book_data:1
 msgid ""
 "Delete data for name. By default deletes all data, if you only want to "
 "delete data for some book ids, pass in a list of book ids."
-msgstr ""
+msgstr "Удалить данные для имени. По умолчанию удаляются все данные. Если вы хотите удалить данные только для некоторых идентификаторов книг, передайте список идентификаторов книг."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.embed_metadata:1
 msgid ""
 "Update metadata in all formats of the specified book_ids to current metadata"
 " in the database."
-msgstr ""
+msgstr "Обновить метаданные во всех форматах указанных book_ids до текущих метаданных в базе данных."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.fast_field_for:1
 msgid ""
 "Same as field_for, except that it avoids the extra lookup to get the field "
 "object"
-msgstr ""
+msgstr "То же, что field_for, только исключает дополнительный поиск для получения объекта поля"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.field_for:1
@@ -279,7 +294,7 @@ msgid ""
 "Return the value of the field ``name`` for the book identified by "
 "``book_id``. If no such book exists or it has no defined value for the field"
 " ``name`` or no such field exists, then ``default_value`` is returned."
-msgstr ""
+msgstr "Вернуть значение поля name для книги, идентифицированной с помощью book_id. Если такой книги не существует, или она не имеет определенного значения для поля ``name`` или такое поле не существует, то возвращается ``default_value``."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.field_for:6
@@ -287,7 +302,7 @@ msgid ""
 "``default_value`` is not used for title, title_sort, authors, author_sort "
 "and series_index. This is because these always have values in the db. "
 "``default_value`` is used for all custom columns."
-msgstr ""
+msgstr "``default_value`` не используется для заголовка, title_sort, авторов, author_sort и series_index. Это потому, что они всегда имеют значения в базе данных. ``default_value`` используется для всех настраиваемых столбцов."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.field_for:10
@@ -297,7 +312,7 @@ msgid ""
 "is identifiers for which the returned value is always a dict. The returned "
 "tuples are always in link order, that is, the order in which they were "
 "created."
-msgstr ""
+msgstr "Возвращаемое значение для полей is_multiple всегда является кортежем, даже если значения не найдены (другими словами, default_value игнорируется). Исключение составляют идентификаторы, для которых возвращаемое значение всегда dict. Возвращаемые кортежи всегда находятся в ссылочном порядке (в порядкеих создания)."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.field_ids_for:1
@@ -305,21 +320,21 @@ msgid ""
 "Return the ids (as a tuple) for the values that the field ``name`` has on "
 "the book identified by ``book_id``. If there are no values, or no such book,"
 " or no such field, an empty tuple is returned."
-msgstr ""
+msgstr "Вернуть идентификаторы (в виде кортежа) для значений, которые поле name имеет в книге, идентифицированной с помощью ``book_id``. Если значений нет, или такой книги, или такого поля нет, возвращается пустой кортеж."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.find_identical_books:1
 msgid ""
 "Finds books that have a superset of the authors in mi and the same title "
 "(title is fuzzy matched). See also :meth:`data_for_find_identical_books`."
-msgstr ""
+msgstr "Находит книги, у которых есть надмножество авторов в mi и одинаковое название (нечеткое совпадение названия). См. Также :meth:`data_for_find_identical_books`."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format:1
 msgid ""
 "Return the e-book format as a bytestring or `None` if the format doesn't "
 "exist, or we don't have permission to write to the e-book file."
-msgstr ""
+msgstr "Вернуть формат электронной книги в виде байтовой строки или `None`, если формат не существует или у нас нет разрешения на запись в файл электронной книги."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format:4
@@ -327,13 +342,13 @@ msgid ""
 "If True the e-book format is returned as a file object. Note that the file "
 "object is a SpooledTemporaryFile, so if what you want to do is copy the "
 "format to another file, use :meth:`copy_format_to` instead for performance."
-msgstr ""
+msgstr " Если True, формат электронной книги возвращается как файловый объект. Обратите внимание, что файловым объектом является SpooledTemporaryFile, поэтому, если вы хотите скопировать формат в другой файл, используйте вместо этого :meth:`copy_format_to` для повышения производительности."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format:8
 msgid ""
 "Copies the format file to a temp file and returns the path to the temp file"
-msgstr ""
+msgstr "Копирует файл формата во временный файл и возвращает путь к временному файлу."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format:10
@@ -341,7 +356,7 @@ msgid ""
 "If True and returning a path the filename is the same as that used in the "
 "library. Note that using this means that repeated calls yield the same temp "
 "file (which is re-created each time)"
-msgstr ""
+msgstr "Если True и возвращает путь, имя файла такое же, как и в библиотеке. Обратите внимание, что использование этого означает, что повторные вызовы дают один и тот же временный файл (который каждый раз создается заново)"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format_abspath:1
@@ -349,7 +364,7 @@ msgid ""
 "Return absolute path to the e-book file of format `format`. You should "
 "almost never use this, as it breaks the threadsafe promise of this API. "
 "Instead use, :meth:`copy_format_to`."
-msgstr ""
+msgstr "Вернуть абсолютный путь к файлу электронной книги формата `format`. Вам почти никогда не следует использовать это, так как это нарушает обещание потоковой безопасности этого API. Вместо этого используйте :meth:`copy_format_to`."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format_abspath:5
@@ -357,21 +372,21 @@ msgid ""
 "Currently used only in calibredb list, the viewer, edit book, compare_format"
 " to original format, open with, bulk metadata edit and the catalogs (via "
 "get_data_as_dict())."
-msgstr ""
+msgstr "В настоящее время используется только в calibredb list, viewer, edit book, compare_format to original format, open with, массовое редактирование метаданных и каталоги (через get_data_as_dict ())."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format_abspath:9
 msgid ""
 "Apart from the viewer, open with and edit book, I don't believe any of the "
 "others do any file write I/O with the results of this call."
-msgstr ""
+msgstr "Я не верю, что кто-либо, кроме средства просмотра, открывающего и редактирующего книгу, выполняет какие-либо операции ввода-вывода записи файлов с результатами этого вызова."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format_hash:1
 msgid ""
 "Return the hash of the specified format for the specified book. The kind of "
 "hash is backend dependent, but is usually SHA-256."
-msgstr ""
+msgstr "Вернуть хэш указанного формата для указанной книги. Тип хэша зависит от серверной части, но обычно это SHA-256."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format_metadata:1
@@ -380,7 +395,7 @@ msgid ""
 "book. You should not use path unless you absolutely have to, since accessing"
 " it directly breaks the threadsafe guarantees of this API. Instead use the "
 ":meth:`copy_format_to` method."
-msgstr ""
+msgstr "Вернуть путь, размер и время для указанного формата для указанной книги. Вы не должны использовать path, если в этом нет крайней необходимости, поскольку прямой доступ к нему нарушает гарантии потоковой безопасности этого API. Вместо этого используйте метод :meth:`copy_format_to`."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format_metadata:6
@@ -388,25 +403,25 @@ msgid ""
 "If ``True`` cached values are used, otherwise a slow filesystem access is "
 "done. The cache values could be out of date if access was performed to the "
 "filesystem outside of this API."
-msgstr ""
+msgstr "Если используются кэшированные значения ``True``, в противном случае выполняется медленный доступ к файловой системе. Значения кеша могли быть устаревшими, если доступ к файловой системе выполнялся вне этого API."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.format_metadata:10
 msgid ""
 "If ``True`` The max_size field of the database is updated for this book."
-msgstr ""
+msgstr "Если ``True`` поле max_size базы данных обновляется для этой книги."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.formats:1
 msgid ""
 "Return tuple of all formats for the specified book. If verify_formats is "
 "True, verifies that the files exist on disk."
-msgstr ""
+msgstr "Вернуть кортеж всех форматов для указанной книги. Если verify_formats имеет значение True, проверяет, существуют ли файлы на диске."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_categories:1
 msgid "Used internally to implement the Tag Browser"
-msgstr ""
+msgstr "Используется внутри для реализации браузера тегов"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_custom_book_data:1
@@ -414,33 +429,33 @@ msgid ""
 "Get data for name. By default returns data for all book_ids, pass in a list "
 "of book ids if you only want some data. Returns a map of book_id to values. "
 "If a particular value could not be decoded, uses default for it."
-msgstr ""
+msgstr "Получите данные для имени. По умолчанию возвращает данные для всех book_ids, передайте список идентификаторов книг, если вам нужны только некоторые данные. Возвращает карту значений book_id. Если определенное значение не может быть декодировано, для него используется значение по умолчанию."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_id_map:1
 msgid ""
 "Return a mapping of id numbers to values for the specified field. The field "
 "must be a many-one or many-many field, otherwise a ValueError is raised."
-msgstr ""
+msgstr "Вернуть сопоставление номеров идентификаторов со значениями для указанного поля. Поле должно быть полем «многие-один» или «многие-многие», в противном случае возникает ошибка ValueError."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_ids_for_custom_book_data:1
 msgid "Return the set of book ids for which name has data."
-msgstr ""
+msgstr "Вернуть набор идентификаторов книг, в названии которых есть данные."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_item_id:1
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_item_ids:1
 msgid "Return the item id for item_name (case-insensitive)"
-msgstr ""
+msgstr "Вернуть идентификатор элемента для item_name (без учета регистра)"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_item_name:1
 msgid ""
 "Return the item name for the item specified by item_id in the specified "
 "field. See also :meth:`get_id_map`."
-msgstr ""
+msgstr "Вернуть имя элемента для элемента, указанного в item_id в указанном поле. См. также :meth:`get_id_map`."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_metadata:1
@@ -450,25 +465,25 @@ msgid ""
 "list of formats is not verified. If get_cover is True, the cover is "
 "returned, either a path to temp file as mi.cover or if cover_as_data is True"
 " then as mi.cover_data."
-msgstr ""
+msgstr "Возвращает метаданные для книги, идентифицированной book_id как объект :class:`calibre.ebooks.metadata.book.base.Metadata`. Обратите внимание, что список форматов не проверяется. Если get_cover - True, обложка возвращается, либо путь к временному файлу как mi.cover, либо если cover_as_data имеет значение True, то как mi.cover_data."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_next_series_num_for:1
 msgid ""
 "Return the next series index for the specified series, taking into account "
 "the various preferences that control next series number generation."
-msgstr ""
+msgstr "Возвращает индекс следующей серии для указанной серии с учетом различных предпочтений, управляющих генерацией номера следующей серии."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_next_series_num_for:4
 msgid "The series-like field (defaults to the builtin series column)"
-msgstr ""
+msgstr "Поле типа серии (по умолчанию - встроенный столбец серии)"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_next_series_num_for:5
 msgid ""
 "If True, returns a mapping of book_id to current series_index value instead."
-msgstr ""
+msgstr " Если True, вместо этого возвращает сопоставление book_id с текущим значением series_index."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_proxy_metadata:1
@@ -477,14 +492,14 @@ msgid ""
 " only reads values from the database on demand. This is much faster than "
 "get_metadata when only a small number of fields need to be accessed from the"
 " returned metadata object."
-msgstr ""
+msgstr "Например :meth:`get_metadata`, за исключением того, что он возвращает объект ProxyMetadata, который только считывает значения из базы данных по запросу. Это намного быстрее, чем get_metadata, когда необходимо получить доступ только к небольшому количеству полей из возвращенного объекта метаданных."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.get_usage_count_by_id:1
 msgid ""
 "Return a mapping of id to usage count for all values of the specified field,"
 " which must be a many-one or many-many field."
-msgstr ""
+msgstr "Вернуть отображение идентификатора в счетчик использования для всех значений указанного поля, которое должно быть полем «много-один» или «много-много»"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.has_book:1
@@ -492,12 +507,12 @@ msgid ""
 "Return True iff the database contains an entry with the same title as the "
 "passed in Metadata object. The comparison is case-insensitive. See also "
 ":meth:`data_for_has_book`."
-msgstr ""
+msgstr "Верните True, если база данных содержит запись с тем же заголовком, что и переданный объект Metadata. При сравнении регистр не учитывается. См. также :meth:`data_for_has_book`."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.has_format:1
 msgid "Return True iff the format exists on disk"
-msgstr ""
+msgstr "Вернуть True, если формат существует на диске"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.has_id:1
@@ -507,35 +522,35 @@ msgstr "Вернёт True, если ук
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.init:1
 msgid "Initialize this cache with data from the backend."
-msgstr ""
+msgstr "Инициализировать этот кеш данными из серверной части."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.multisort:1
 msgid ""
 "Return a list of sorted book ids. If ids_to_sort is None, all book ids are "
 "returned."
-msgstr ""
+msgstr "Вернуть список отсортированных идентификаторов книг. Если ids_to_sort - None, возвращаются идентификаторы всех книг."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.multisort:4
 msgid ""
 "fields must be a list of 2-tuples of the form (field_name, ascending=True or"
 " False). The most significant field is the first 2-tuple."
-msgstr ""
+msgstr "поля должны быть списком из двух кортежей формы (field_name, ascending = True или False). Наиболее значимое поле - первое в кортеже из двух элементов."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.pref:1
 msgid ""
 "Return the value for the specified preference or the value specified as "
 "``default`` if the preference is not set."
-msgstr ""
+msgstr "Вернуть значение для указанного предпочтения или значение, указанное как ``по умолчанию``, если предпочтение не установлено."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.read_backup:1
 msgid ""
 "Return the OPF metadata backup for the book as a bytestring or None if no "
 "such backup exists."
-msgstr ""
+msgstr "Вернуть резервную копию метаданных OPF для книги в виде байтовой строки или None, если такой резервной копии не существует"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.remove_books:1
@@ -543,24 +558,24 @@ msgid ""
 "Remove the books specified by the book_ids from the database and delete "
 "their format files. If ``permanent`` is False, then the format files are "
 "placed in the recycle bin."
-msgstr ""
+msgstr "Удалить записи книг, указанных в book_ids, из базы данных и удалить их файлы. Если для параметра ``permanent`` установлено значение False, файлы помещаются в корзину."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.remove_formats:1
 msgid "Remove the specified formats from the specified books."
-msgstr ""
+msgstr " Удалить указанные форматы из указанных книг."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.remove_formats:3
 msgid "A mapping of book_id to a list of formats to be removed from the book."
-msgstr ""
+msgstr "Сопоставить book_id со списком форматов, которые нужно удалить из книги."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.remove_formats:4
 msgid ""
 "If True, only remove the record for the format from the db, do not delete "
 "the actual format file from the filesystem."
-msgstr ""
+msgstr "Если True, удалить только запись для формата из базы данных, не удалять файл формата из файловой системы."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.remove_items:1
@@ -568,33 +583,33 @@ msgid ""
 "Delete all items in the specified field with the specified ids. Returns the "
 "set of affected book ids. ``restrict_to_book_ids`` is an optional set of "
 "books ids. If specified the items will only be removed from those books."
-msgstr ""
+msgstr "Удалить все элементы в указанном поле с указанными идентификаторами. Возвращает набор идентификаторов затронутых книг. ``restrict_to_book_ids`` - необязательный набор идентификаторов книг. Если указано, элементы будут удалены только из этих книг."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.rename_items:1
 msgid ""
 "Rename items from a many-one or many-many field such as tags or series."
-msgstr ""
+msgstr "Переименовать элементы из полей «многие-один» или «многие-многие», например тегов или серий."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.rename_items:3
 msgid ""
 "When renaming in a series-like field also change the series_index values."
-msgstr ""
+msgstr "При переименовании в поле типа серии также изменить значения series_index."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.rename_items:4
 msgid ""
 "An optional set of book ids for which the rename is to be performed, "
 "defaults to all books."
-msgstr ""
+msgstr "Необязательный набор идентификаторов книг, для которых должно быть выполнено переименование, по умолчанию для всех книг."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.restore_book:1
 msgid ""
 "Restore the book entry in the database for a book that already exists on the"
 " filesystem"
-msgstr ""
+msgstr "Восстановить запись книги в базе данных для книги, которая уже существует в файловой системе"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.restore_original_format:1
@@ -602,7 +617,7 @@ msgid ""
 "Restore the specified format from the previously saved ORIGINAL_FORMAT, if "
 "any. Return True on success. The ORIGINAL_FORMAT is deleted after a "
 "successful restore."
-msgstr ""
+msgstr "Восстановить указанный формат из ранее сохраненного ORIGINAL_FORMAT, если таковой имеется. Вернуть True в случае успеха. ORIGINAL_FORMAT удаляется после успешного восстановления."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.safe_read_lock:1
@@ -614,7 +629,7 @@ msgid ""
 "lock, but searching a composite column involves reading field values via "
 "ProxyMetadata which tries to get a shared lock. There may be other scenarios"
 " that trigger this as well."
-msgstr ""
+msgstr "Безопасная блокировка чтения - это блокировка, которая ничего не делает, если поток уже имеет блокировку записи, в противном случае он получает блокировку чтения. Это необходимо для предотвращения ошибок DowngradeLockErrors, которые могут возникнуть при обновлении кеша поиска при наличии составных столбцов. Обновление кеша поиска содержит эксклюзивную блокировку, но поиск в составном столбце включает чтение значений полей через ProxyMetadata, который пытается получить общую блокировку. Могут быть и другие сценарии, которые также вызывают это."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.safe_read_lock:9
@@ -622,21 +637,21 @@ msgid ""
 "This property returns a new lock object on every access. This lock object is"
 " not recursive (for performance) and must only be used in a with statement "
 "as ``with cache.safe_read_lock:`` otherwise bad things will happen."
-msgstr ""
+msgstr "Это свойство возвращает новый объект блокировки при каждом доступе. Этот объект блокировки не является рекурсивным (для повышения производительности) и должен использоваться только в операторе with как ``with cache.safe_read_lock:``, иначе произойдут плохие вещи."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.save_original_format:1
 msgid ""
 "Save a copy of the specified format as ORIGINAL_FORMAT, overwriting any "
 "existing ORIGINAL_FORMAT."
-msgstr ""
+msgstr "Сохранить копию указанного формата как ORIGINAL_FORMAT, перезаписав любой существующий ORIGINAL_FORMAT."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.search:1
 msgid ""
 "Search the database for the specified query, returning a set of matched book"
 " ids."
-msgstr ""
+msgstr "Искать в базе данных указанный запрос, возвращая набор совпадающих идентификаторов книг."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.search:3
@@ -644,24 +659,24 @@ msgid ""
 "A restriction that is ANDed to the specified query. Note that restrictions "
 "are cached, therefore the search for a AND b will be slower than a with "
 "restriction b."
-msgstr ""
+msgstr "Ограничение, добавляемое (AND) к указанному запросу. Обратите внимание, что ограничения кэшируются, поэтому поиск \"a\" AND \"b\" будет медленнее, чем \"a\" с ограничением \"b\"."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.search:6
 msgid "Used internally (virtual fields such as on_device to search over)."
-msgstr ""
+msgstr "Используется внутри (виртуальные поля, такие как on_device, для поиска)."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.search:8
 msgid ""
 "If not None, a set of book ids for which books will be searched instead of "
 "searching all books."
-msgstr ""
+msgstr "Если не None, то набор идентификаторов книг, по которым будет выполняться поиск книг вместо поиска по всем книгам."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.set_conversion_options:1
 msgid "options must be a map of the form {book_id:conversion_options}"
-msgstr ""
+msgstr "параметры должны быть картой в форме {book_id: conversion_options}"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.set_cover:1
@@ -669,19 +684,19 @@ msgid ""
 "Set the cover for this book.  data can be either a QImage, QPixmap, file "
 "object or bytestring. It can also be None, in which case any existing cover "
 "is removed."
-msgstr ""
+msgstr "Установить обложку для этой книги. данные могут быть QImage, QPixmap, файловым объектом или байтовой строкой. Также может быть None - любая существующая обложка будет удалена"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.set_field:1
 msgid ""
 "Set the values of the field specified by ``name``. Returns the set of all "
 "book ids that were affected by the change."
-msgstr ""
+msgstr "Установить значения поля, указанного в ``name``. Возвращает набор всех идентификаторов книг, на которые повлияло изменение."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.set_field:3
 msgid "Mapping of book_ids to values that should be applied."
-msgstr ""
+msgstr "Сопоставление book_ids значениям, которые следует применить."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.set_field:4
@@ -690,17 +705,17 @@ msgid ""
 "example, if a  book has the tag ``tag1`` and you set the tag for another "
 "book to ``Tag1`` then the both books will have the tag ``Tag1`` if "
 "allow_case_change is True, otherwise they will both have the tag ``tag1``."
-msgstr ""
+msgstr "Если True, регистр полей много-один или много-много будет изменен. Например, если у книги есть тег ``tag1``, а вы установили тег для другой книги как ``Tag1``, тогда обе книги будут иметь тег ``Tag1``, если allow_case_change - True, иначе они оба будут иметь тег ``tag1``."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.set_field:8
 msgid "Used internally, you should never change it."
-msgstr ""
+msgstr "Используется внутри, вы никогда не должны его менять."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.set_metadata:1
 msgid "Set metadata for the book `id` from the `Metadata` object `mi`"
-msgstr ""
+msgstr "Установить метаданные для книги `id` из объекта `Metadata` `mi`"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.set_metadata:3
@@ -714,40 +729,40 @@ msgid ""
 "the book to have. Covers are always changed if a new cover is provided, but "
 "are never deleted. Also note that force_changes has no effect on setting "
 "title or authors."
-msgstr ""
+msgstr "Установка force_changes = True заставит set_metadata обновлять поля, даже если mi содержит пустые значения. В этом случае `None` отличается от `empty`. Если mi.XXX равно 'None', XXX не заменяется, в противном случае - нет. Теги, идентификаторы и атрибуты обложки - это особые случаи. Теги и идентификаторы не могут быть установлены на 'None', поэтому они всегда будут заменены, если force_changes истинно. Вы должны убедиться, что mi содержит те значения, которые вы хотите, чтобы книга имела. Обложки всегда меняются, если предоставляется новая обложка, но никогда не удаляются. Также обратите внимание, что force_changes не влияет на установку заголовка или авторов."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.set_pref:1
 msgid ""
 "Set the specified preference to the specified value. See also :meth:`pref`."
-msgstr ""
+msgstr "Установите указанное предпочтение на указанное значение. См. Также: meth:`pref`."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.tags_older_than:1
 msgid ""
 "Return the ids of all books having the tag ``tag`` that are older than the "
 "specified time. tag comparison is case insensitive."
-msgstr ""
+msgstr "Возвратить идентификаторы всех книг с тегом ``tag``, которые старше указанного времени. сравнение тегов производится без учета регистра."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.tags_older_than:4
 msgid ""
 "A timedelta object or None. If None, then all ids with the tag are returned."
-msgstr ""
+msgstr "Объект timedelta или None. Если None, то возвращаются все идентификаторы с тегом."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.tags_older_than:7
 msgid ""
 "If not None the list of matches will be restricted to books that have this "
 "tag"
-msgstr ""
+msgstr "Если нет, то список совпадений будет ограничен книгами с этим тегом."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.tags_older_than:10
 msgid ""
 "A list of authors. If not None the list of matches will be restricted to "
 "books that have these authors (case insensitive)."
-msgstr ""
+msgstr "Список авторов. Если нет, то список совпадений будет ограничен книгами, имеющими этих авторов (без учета регистра)."
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.user_categories_for_books:1
@@ -756,4 +771,4 @@ msgid ""
 "optional and is useful for a performance boost, in contexts where a "
 "ProxyMetadata object for the books already exists. It should be a mapping of"
 " book_ids to their corresponding ProxyMetadata objects."
-msgstr ""
+msgstr "Вернуть категории пользователей для указанных книг. proxy_metadata_map не является обязательным и полезен для повышения производительности в контекстах, где уже существует объект ProxyMetadata для книг. Это должно быть отображение book_ids на соответствующие им объекты ProxyMetadata."
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/edit.po 5.10.0+dfsg-1/translations/manual/ru/edit.po
--- 5.9.0+dfsg-3/translations/manual/ru/edit.po	2020-12-23 14:20:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -3,14 +3,14 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# ashed <craysy@gmail.com>, 2020
+# ashed <craysy@gmail.com>, 2020-2021
 # Родион Р., 2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-20 10:08+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 05:36+0000\n"
 "Last-Translator: ashed <craysy@gmail.com>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
@@ -454,14 +454,14 @@ msgid ""
 msgstr "Вы можете редактировать отдельные записи, нажимая на них, а затем нажимая :guilabel:`Изменить местоположение, на которое указывает эта запись`. Откроется предварительный мини-просмотр книги, просто наведите курсор мыши на панель просмотра книги и щёлкните там, куда должна указывать запись. Толстая зелёная линия покажет вам местоположение. Нажмите OK, когда вы будете довольны местоположением."
 
 #: ../../__w/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+msgid "Checking the book"
 msgstr "Проверка книги"
 
 #: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr "Инструмент :guilabel:`Проверка книги` проверяет книгу на наличие проблем, которые могут помешать её чтению на реальных устройствах чтения. Активируйте его через :guilabel:`Инструменты->Проверить книгу`."
 
 #: ../../__w/calibre/calibre/manual/edit.rst:326
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/faq.po 5.10.0+dfsg-1/translations/manual/ru/faq.po
--- 5.9.0+dfsg-3/translations/manual/ru/faq.po	2021-01-06 15:34:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/faq.po	2021-01-20 15:29:13.000000000 +0000
@@ -6,7 +6,7 @@
 # Aleksandr Ryzhov, 2016
 # Alex Kroll <krollus@gmail.com>, 2015
 # Андрей Заварухин <zavaalex@gmail.com>, 2016
-# ashed <craysy@gmail.com>, 2020
+# ashed <craysy@gmail.com>, 2020-2021
 # Hellbartonio <hellbartonio@mail.ru>, 2016
 # EL Records <radiodao@gmail.com>, 2016
 # Vladislav <yobabay23@gmail.com>, 2015
@@ -16,8 +16,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
@@ -55,9 +55,9 @@ msgstr "calibre поддерживает
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -75,7 +75,7 @@ msgid ""
 "generated by OCR software. MOBI books can be of two types Mobi6 and KF8. "
 "calibre fully supports both. MOBI files often have .azw or .azw3 file "
 "extensions. DOCX files from Microsoft Word 2007 and newer are supported."
-msgstr ""
+msgstr "PRC - общий формат, calibre поддерживает файлы PRC с заголовками TextRead и MOBIBook. PDB также - общий формат, calibre поддерживает файлы eReader, Plucker, PML и zTxt PDB. DJVU формат поддерживается только для преобразования DJVU-файлов, содержащих встроенный текст. Они, как правило, генерируются с помощью программного обеспечения для OCR. MOBI-книги могут быть двух типов: Mobi6 и KF8. calibre полностью поддерживает оба. MOBI-файлы часто имеют расширение .azw или .azw3. Файлы .DOCX поддерживаются начиная с Microsoft Word 2007 и все более новые версии."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:36
 msgid "What are the best source formats to convert?"
@@ -85,7 +85,7 @@ msgstr "Каковы наиболее о
 msgid ""
 "In order of decreasing preference: LIT, MOBI, AZW, EPUB, AZW3, FB2, FBZ, "
 "DOCX, HTML, PRC, ODT, RTF, PDB, TXT, PDF"
-msgstr ""
+msgstr "В порядке убывания предпочтения: LIT, MOBI, AZW, EPUB, AZW3, FB2, FBZ, DOCX, HTML, PRC, ODT, RTF, PDB, TXT, PDF"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:40
 msgid "I converted a PDF file, but the result has various problems?"
@@ -114,7 +114,7 @@ msgid ""
 "the :guilabel:`Input character encoding` field in the :guilabel:`Look & "
 "feel->Text` section of the conversion dialog. The command-line tools have an"
 " :option:`ebook-convert-txt-input --input-encoding` option."
-msgstr ""
+msgstr "Знание кодировки исходного файла: calibre пробует предположить кодировку, которая используется в вашем исходном файле, но это зачастую невозможно, так что вы должны сообщить, какую кодировку использовать. В графическом интерфейсе это указывается через поле :guilabel:`Исходная кодировка символов` в :guilabel:`Формление->Текст` в Общих настройках диалога конвертации. В утилитах командной строки - параметр :option:`ebook-convert-txt-input --input-encoding` "
 
 #: ../../__w/calibre/calibre/manual/faq.rst:51
 msgid ""
@@ -129,7 +129,7 @@ msgid ""
 " converting HTML files, leave the input encoding setting mentioned above "
 "blank. This is because the HTML2ZIP plugin automatically converts the HTML "
 "files to a standard encoding (utf-8)."
-msgstr ""
+msgstr "При добавлении в calibre файлов HTML, вам может понадобиться указать кодировку файлов. Для указания перейдите в настройках :guilabel:`Параметры->Плагины->Тип файла` и настройте плагин HTML2Zip, указав кодировку файлов HTML. Теперь, при  добавлении файлов HTML в calibre, они будут обрабатываться корректно. Файлы HTML из разных источников часто имеют разные кодировки, так что эту настройку нужно будет менять. Обычная кодировка для многих файлов из интернета - ``cp1252``, и я бы советовал попробовать её первой. Заметьте, что при конвертации файлов HTML настройка входной кодировки - пуста. Плагин HTML2ZIP автоматически конвертирует файлы HTML в стандартную кодировку (UTF-8)."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:54
 msgid "What's the deal with Table of Contents in MOBI files?"
@@ -141,7 +141,7 @@ msgid ""
 " One is the traditional Table of Contents, like the ToC you find in paper "
 "books. This Table of Contents is part of the main document flow and can be "
 "styled however you like. This ToC is called the *content ToC*."
-msgstr ""
+msgstr "Первое, что нужно понимать, - в большинстве электронных книг два оглавление. Одно - традиционное оглавление, как в бумажных книгах. Это Оглавление - часть главного потока документа и может быть стилизовано как вам нравится. Это Оглавление называется *Оглавление содержимого*."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:58
 msgid ""
@@ -150,7 +150,7 @@ msgid ""
 "reader. For example, in the calibre E-book viewer, you use the Show Table of"
 " Contents button to see this ToC. This ToC cannot be styled by the book "
 "creator. How it is represented is up to the viewer program."
-msgstr ""
+msgstr "Кроме того есть *Оглавление метаданных*. Оглавление метаданных не является частью текста книги и обычно доступно при помощи специальной кнопки в читалке. Например в calibre viewer используется кнопка Показать оглавление. Это Оглавление не может быть стилизовано создателем книги. Его представление - задача просмотрщика."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:60
 msgid ""
@@ -160,7 +160,7 @@ msgid ""
 "metadata ToC by putting an *extra* content ToC at the end of the book. When "
 "you click Goto Table of Contents on your Kindle, it is to this extra content"
 " ToC that the Kindle takes you."
-msgstr ""
+msgstr "В формате MOBI  ситуация немного запутаннее. Т.к. формат MOBI *не* слишком хорошо поддерживает Оглавления метаданных. Книга MOBI эмулирует наличие Оглавления метаданных, добавляя *дополнительное* Оглавление содержимого в конце книги. Когда вы нажимаете Перейти к Оглавлению на Kindle, он показывает вам дополнительное Оглавление содержимого."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:62
 msgid ""
@@ -175,8 +175,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -186,7 +186,7 @@ msgid ""
 "resulting MOBI file may not function correctly on a Kindle, since the "
 "Kindle's use the metadata ToC for many things, including the Page Flip "
 "feature."
-msgstr "При конвертировании в MOBI , calibre находит *Оглавление метаданных* в исходом документе и генерирует Оглавление в-конце-файла в получившемся файле MOBI. Вы можете отключить этот параметр в Выходных настройках MOBI. Также вы можете сообщить calibre добавить его в начало или в конец книги через параметр в Выходных настройках MOBI. Помните, что это Оглавление семантически - Оглавление метаданных, в любом формате кроме MOBI  оно *не может быть частью текста*. Тот факт, что это часть текста в MOBI  - случайность, связанная с ограничениями формата. Если вы хотите получить Оглавление в определённом месте текста вашего документа, создайте его вручную. Также мы настоятельно рекомендуем вам оставить всё по умолчанию, то есть помещать Оглавление метаданных в конце книги. Также заметьте, что если вы отключаете создание Оглавления в-конце-файла, получившийся файл MOBI может неправильно функционировать в Kindle, поскольку Kindle использует Оглавление метадонных для многих вещей, включая Page Flip."
+msgstr "При конвертировании в MOBI, calibre находит *Оглавление метаданных* в исходом документе и генерирует Оглавление в-конце-файла в получившемся файле MOBI. Вы можете отключить этот параметр в Выходных настройках MOBI. Также calibre можно указать добавлять его в начало или в конец книги через параметр в Выходных настройках MOBI. Помните, что семантически оно  - Оглавление метаданных, в любом формате кроме MOBI  оно *не может быть частью текста*. То, что это часть текста в MOBI  - случайность, связанная с ограничениями формата. Если вы хотите получить Оглавление в определённом месте текста вашего документа, создайте его вручную. Также настоятельно рекомендуется оставить всё по умолчанию, то есть помещать Оглавление метаданных в конце книги. Заметьте, что если вы отключаете создание Оглавления в-конце-файла, получившийся файл MOBI может неправильно функционировать в Kindle, поскольку Kindle использует Оглавление метаданных для многих вещей, включая переворот страницы."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:66
 msgid ""
@@ -202,7 +202,7 @@ msgid ""
 "ToC in your e-books. Metadata ToCs will give the people reading your e-books"
 " a much superior navigation experience (except on the Kindle, where they are"
 " essentially the same as a content ToC)."
-msgstr ""
+msgstr "В конце, я призываю вас убрать Оглавление содержимого и оставить в ваших электронных книгах только Оглавление метаданных. Оглавление метаданных даст читателям наилучшую навигацию (исключая Kindle, где оно, по существу, совпадает с Оглавлением содержимого)."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:71
 msgid ""
@@ -228,7 +228,7 @@ msgid ""
 "are reconverting a previously converted book, you will also have to enable "
 "the option in the conversion dialog for that individual book (as per book "
 "conversion settings are saved and take precedence)."
-msgstr ""
+msgstr "Причиной этому ошибка в программном обеспечении Amazon. Вы можете преодолеть эту проблему, перейдя в :guilabel:`Параметры->Настройки вывода->MOBI вывод` и изменить параметр \"Включить обмен книжным контентом\". Если вы переконвертируете преобразованную ранее книгу, вам также нужно включить параметр в диалоге конвертации для этой конкретной книги (так как настройки конвертации книги сохраняются и имеют преимущество)."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:88
 msgid ""
@@ -249,7 +249,7 @@ msgid ""
 "to force authors to sell only through them. In other words, the Kindle only "
 "displays covers for books marked as Personal Documents or books bought "
 "directly from Amazon."
-msgstr ""
+msgstr "Ошибка в программном обеспечении Amazon заключается в следующем.  Когда вы передаёте файл MOBI в Kindle, если файл не отмечен как Персональный документ, Amazon предполагает, что вы купили книгу у них и пробует скачать миниатюру обложки с их серверов. Когда загрузка не удаётся, Amazon отказывается возвратиться к обложке, определённой в файле MOBI. Это похоже на преднамеренную попытку Amazon принудить авторов продавать книги только через них. Другими словами, Kindle показывает обложки только для книг, отмеченных как Персональные документы или купленных напрямую у Amazon."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:102
 msgid ""
@@ -279,7 +279,7 @@ msgid ""
 "button to create your e-book. You can use the option in the Table of "
 "Contents section in the conversion dialog to control how the Table of "
 "Contents is generated."
-msgstr ""
+msgstr "Затем просто добавьте этот файл HTML в графическом интерфейсе и нажмите кнопку :guilabel:`Convert`, чтобы создать электронную книгу. Вы можете использовать опцию в разделе Оглавление диалога конвертации, чтобы управлять созданием Оглавления."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:132
 msgid ""
@@ -291,7 +291,7 @@ msgid ""
 "files in *breadth first* order. Do this by going to "
 ":guilabel:`Preferences->Advanced->Plugins` and customizing the HTML to ZIP "
 "plugin."
-msgstr ""
+msgstr "При добавлении HTML-файлов calibre умолчально переходит по ссылкам в файлах в их порядке *по глубине*. Это значит, что если файл A.html содержит ссылку на B.html, C.html и D.html, но в файле B.html тоже есть ссылка на D.html, то файлы будут расположены в порядке A.html, B.html, D.htnl, C.html. Если вы хотите расположения файлов в порядке A.html, B.html, C.html, D.html, то сначала укажите calibre порядок добавляения файлов *по ширине*. Перейдите в раздел Параметры->Расширенные->Плагины->Тип файла и настройте плагин конвертации HTML в ZIP."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:141
 msgid "The EPUB I produced with calibre is not valid?"
@@ -340,7 +340,7 @@ msgid ""
 ":guilabel:`Connect to folder` function you can use it with any e-book reader"
 " that exports itself as a USB disk. Finally, you can connect wirelessly to "
 "any device that has a web browser using the calibre Content server."
-msgstr ""
+msgstr "calibre может напрямую подключаться ко всем основным устройствам чтения электронных книг (и большинству второстепенных), смартфонам, планшетам и т. д. Кроме того, с помощью функции в Тонкой настройке :guilabel:`Connect to folder` можно использовать подключать любую читалку, представляющуюся как USB-диск. Наконец, можно подключиться по беспроводной сети к любому устройству с веб-браузером, используя сервер контента calibre."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:182
 msgid "How can I help get my device supported in calibre?"
@@ -354,13 +354,13 @@ msgstr "Если ваше устройс
 
 #: ../../__w/calibre/calibre/manual/faq.rst:187
 msgid "Complete list of e-book formats that your device supports."
-msgstr ""
+msgstr "Полный список форматов электронных книг, которые поддерживает ваше устройство."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:188
 msgid ""
 "Is there a special directory on the device in which all e-book files should "
 "be placed? Also does the device detect files placed in sub-directories?"
-msgstr ""
+msgstr "Есть ли на устройстве специальный каталог, в котором должны размещаться все файлы книг? Устройство определяет файлы, расположенные во вложенных каталогах?"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:189
 msgid ""
@@ -407,7 +407,7 @@ msgid ""
 "If you are connecting an Apple iDevice (iPad, iPod Touch, iPhone), Apple no "
 "longer allows third party software to connect to their devices using a USB "
 "cable. Instead use a wireless connection, via the calibre Content server."
-msgstr ""
+msgstr "Если вы подключаете Apple iDevice (iPad, iPod Touch, iPhone), Apple больше не позволяет стороннему программному обеспечению подключаться к своим устройствам с помощью кабеля USB. Вместо этого используйте беспроводное соединение через сервер контента calibre."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:212
 msgid ""
@@ -416,12 +416,12 @@ msgid ""
 msgstr "Если вы подключаете Kindle Fire HD или другое устройство на Android, прочтите примечание в разделе «:ref:`android_usb`»."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
 "and Privacy > Privacy > Files and Folders`."
-msgstr ""
+msgstr "В macOS, если вы получаете ошибки разрешений при подключении устройства к calibre, можно исправить это: guilabel: `Системные настройки -> безопасность и конфиденциальность -> Файлы и папки`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:217
 msgid ""
@@ -430,19 +430,19 @@ msgid ""
 "website <https://calibre-ebook.com/download>`_.  You can tell what version "
 "of calibre you are currently running by looking at the bottom line of the "
 "main calibre window."
-msgstr ""
+msgstr "Убедитесь, что у вас установлена ​​последняя версия calibre (текущая |version|). Последнюю версию всегда можно загрузить с `веб-сайта calibre https://calibre-ebook.com/download`_. Вы можете узнать, какую версию calibre вы используете в данный момент, посмотрев на нижнюю строку главного окна calibre."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:222
 msgid ""
 "Ensure your operating system is seeing the device. That is, the device "
 "should show up in Windows Explorer (in Windows) or Finder (in macOS)."
-msgstr ""
+msgstr "Убедитесь, что ваша операционная система видит устройство. То есть устройство должно отображаться в Проводнике (в Windows) или Finder (в macOS)."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:224
 msgid ""
 "In calibre, go to :guilabel:`Preferences->Ignored Devices` and check that "
 "your device is not being ignored"
-msgstr ""
+msgstr "В calibre перейдите по ссылке :guilabel:`Параметры->Общий доступ к файлам ->Игнорируемые устройства` и убедитесь, что ваше устройство не игнорируется."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:226
 msgid ""
@@ -450,7 +450,7 @@ msgid ""
 "and click :guilabel:`Debug device detection` with your device attached and "
 "post the output as a ticket on `the calibre bug tracker "
 "<https://bugs.launchpad.net/calibre>`_."
-msgstr ""
+msgstr "Если все вышеперечисленные шаги завершились неудачно, перейдите в :guilabel:`Параметры->Разное` и нажмите :guilabel:`Обнаружение устройства в режиме отладки`, подключив ваше устройство, после этого опубликуйте результат в виде тикета на <https://bugs.launchpad.net/calibre>`_. "
 
 #: ../../__w/calibre/calibre/manual/faq.rst:231
 msgid "My device is non-standard or unusual. What can I do to connect to it?"
@@ -468,7 +468,7 @@ msgid ""
 " information. Note that if you are using the user defined plugin for a "
 "device normally detected by a builtin calibre plugin, you must disable the "
 "builtin plugin first, so that your user defined plugin is used instead."
-msgstr ""
+msgstr "В дополнение к функции: guilabel: `Connect to folder`, находящейся под кнопкой: guilabel:` Connect/share`, calibre предоставляет подключаемый модуль устройства, определяемый пользователем, который можно использовать для подключения к любому обнаруженному USB-устройству, как к диску в операционной системе. Примечание: в Windows устройство должно иметь букву диска, чтобы calibre мог его использовать. См. в ``Настройки -> Плагины -> Интерфейс устройства -> Folder Device Interface`` и ``Настройки -> Разное -> Получить информацию для установки пользовательского устройства``. Обратите внимание, что если используется пользовательский плагин для устройства, обычно определяемого встроенным плагином calibre, сначала нужно отключить встроенный плагин, для использования вместо него пользовательского."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:245
 msgid "How do I use calibre with my iPad/iPhone/iPod touch?"
@@ -483,32 +483,32 @@ msgid ""
 "wirelessly, just as though you plugged in the device with a USB cable. You "
 "can browse files on the device in calibre and use the :guilabel:`Send to "
 "device` button to transfer files to your device wirelessly."
-msgstr ""
+msgstr "Самый простой способ беспроводной передачи книг на ваше устройство Apple (iPad / iPhone / iPod) - использовать приложение для iOS `Calibre Companion https://calibrecompanion.co?utm_source=Calibre&utm_medium=Website&utm_campaign=Main&utm_term=FAQ&utm_content=IOS`__. Это приложение позволяет calibre подключаться к устройству Apple по беспроводной сети, словно с помощью USB-кабеля. Вы можете просматривать файлы на устройстве и использовать кнопку: guilabel: `Отправить на устройство` для беспроводной передачи файлов на устройство."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:254
 msgid ""
 "Another easy way to browse your calibre collection from your Apple device is"
 " by using the calibre Content server, which makes your collection available "
 "over the net. First perform the following steps in calibre"
-msgstr ""
+msgstr "Ещё один способ просмотреть коллекцию calibre с устройства Apple - использовать сервер контента calibre, который сделает вашу коллекцию доступной в сети. Сначала выполните следующие шаги в calibre"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:258
 msgid ""
 "Set the Preferred Output Format in calibre to EPUB (The output format can be"
 " set under :guilabel:`Preferences->Interface->Behavior`)"
-msgstr ""
+msgstr "Установить предпочитаемый формат вывода как EPUB (формат вывода можно установить в :guilabel:`Настройки->Интерфейс->Поведение`)"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:260
 msgid ""
 "Set the output profile to iPad (this will work for iPhone/iPods as well), "
 "under :guilabel:`Preferences->Conversion->Common options->Page setup`"
-msgstr ""
+msgstr "Установить профиль вывода на iPad (также работает для iPhone/iPod) в разделе :guilabel:`Параметры->Конвертация->Общие настройки->Настройка страницы`"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:262
 msgid ""
 "Convert the books you want to read on your iDevice to EPUB format by "
 "selecting them and clicking the :guilabel:`Convert` button."
-msgstr ""
+msgstr "Конвертируйте книги для чтения на i-Pad/Phone/Pod в формат EPUB выделив их и нажав :guilabel:`Преобразовать книги`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:264
 msgid ""
@@ -516,7 +516,7 @@ msgid ""
 "and leave calibre running. You can also tell calibre to automatically start "
 "the Content server via :guilabel:`Preferences->Sharing->Sharing over the "
 "net`."
-msgstr ""
+msgstr "Включите сервер содержимого, нажав кнопку :guilabel:`Подключить/поделиться`, и оставьте calibre запущенным. Также можно настроить автоматический запуск сервера контента с помощью :guilabel:`Настройки->Сетевой доступ->Запускать сервер автоматически при запуске calibre`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:268
 msgid ""
@@ -524,17 +524,17 @@ msgid ""
 "addition, there are many apps for your iDevice that can connect to the "
 "calibre Content server. Examples include: Marvin, Mapleread and iBooks "
 "itself."
-msgstr ""
+msgstr "Сервер содержимого позволяет читать книги непосредственно в Safari. Кроме того, для вашего iDevice есть множество приложений, которые могут подключаться к серверу содержимого calibre. Примеры: Marvin, Mapleread, iBooks."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:273
 msgid "Using the Content server"
-msgstr ""
+msgstr "Использование сервера контента"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:275
 msgid ""
 "Start the Safari browser and type in the IP address and port of the computer"
 " running the calibre server, like this::"
-msgstr ""
+msgstr "Запустите браузер Safari и введите IP-адрес и порт компьютера, на котором запущен сервер calibre, например::"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:280
 #: ../../__w/calibre/calibre/manual/faq.rst:353
@@ -550,11 +550,11 @@ msgid ""
 "given the option to either download it, or read it in the browser itself. If"
 " you choose to download it, Safari will ask you if you want to open it with "
 "iBooks."
-msgstr ""
+msgstr "Вы увидите список книг в Safari, нажмите на любую книгу, и вы сможете либо загрузить её, либо прочитать в самом браузере. Если вы решите загрузить её, Safari спросит вас, хотите ли вы открыть файл с помощью iBooks."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:289
 msgid "How do I use calibre with my Android phone/tablet or Kindle Fire HD?"
-msgstr ""
+msgstr "Как использовать calibre с телефоном/планшетом Android или Kindle Fire HD?"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:291
 msgid ""
@@ -572,7 +572,7 @@ msgid ""
 "<https://play.google.com/store/apps/details?id=com.aldiko.android&hl=en>`_, "
 "`Kindle "
 "<https://play.google.com/store/apps/details?id=com.amazon.kindle&feature=related_apps>`_."
-msgstr ""
+msgstr "Есть два способа подключить Android-устройство к calibre. С помощью кабеля USB или по беспроводной сети. Сначала установите на Android-устройство приложение для чтения электронных книг. Есть множество бесплатных и платных приложений для чтения электронных книг для Android. Некоторые примеры (в произвольном порядке): `FBReader https://play.google.com/store/apps/details?id=org.geometerplus.zlibrary.ui .android & hl = ru`_, `Moon + https://play.google.com/store/apps/details?id=com.flyersoft.moonreader&hl=en`_,` Mantano https://play.google.com/store /apps/details?id=com.mantano.reader.android.lite&hl=en`_, `Aldiko https://play.google.com/store/apps/details?id=com.aldiko.android&hl=en`_ , `Kindle https://play.google.com/store/apps/details?id=com.amazon.kindle&feature=related_apps`_."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:304
 msgid "Using a USB cable"
@@ -586,7 +586,7 @@ msgid ""
 " only a single program can connect to an Android device at a time, so make "
 "sure the device is not opened in the OS File manager, or the Android File "
 "Transfer utility, etc."
-msgstr ""
+msgstr "Просто подключите устройство к компьютеру с помощью кабеля USB. calibre должен автоматически определить устройство, после чего вы сможете перенести на него книги, нажав кнопку :guilabel:`Отправить на устройство`. Обратите внимание, что в macOS и Linux только одна программа может подключаться к устройству Android одновременно, поэтому убедитесь, что устройство не открыто в диспетчере файлов ОС или в утилите передачи файлов Android и т.п."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:313
 msgid ""
@@ -600,7 +600,7 @@ msgid ""
 "at this point in order for your device to be recognized.  Finally, you might"
 " get a popup on the device every time calibre or the operating system "
 "actually tries to connect to it, asking for permission, tap OK."
-msgstr ""
+msgstr "С новыми устройствами Android вам, возможно, придётся попрыгать с бубном, чтобы соединение заработало, т.к. Google действительно не хочет, вашей независимости от его облака. Сначала разблокируйте экран перед подключением кабеля USB. При подключении кабеля USB вы получите всплывающее уведомление. Убедитесь, что написано что-то вроде «Передача файлов мультимедиа» или «MTP (режим передачи мультимедиа)». Если это не так, коснитесь уведомления и измените режим на Media Transfer (MTP). На этом этапе возможно потребоваться перезапустить calibre, чтобы ваше устройство было распознано. Если на вашем устройстве всплывающее окно с запросом разрешения появляется при каждой попытке подключения calibre или операционной системы к нему - жмите OK."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:325
 msgid ""
@@ -608,7 +608,7 @@ msgid ""
 "cable is plugged in, showing that the device is charging. Tap that and "
 "switch the device to data transfer mode, and then start calibre, it should "
 "then be detected."
-msgstr ""
+msgstr "В Kindle Fire 8 или новее при подключении USB-кабеля появляется значок, показывающий, что устройство заряжается. Нажмите на него и переключите устройство в режим передачи данных, а затем запустите calibre, после чего он должен быть обнаружен."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:331
 msgid "Over the air"
@@ -623,7 +623,7 @@ msgid ""
 "wirelessly, just as though you plugged in the device with a USB cable. You "
 "can browse files on the device in calibre and use the :guilabel:`Send to "
 "device` button to transfer files to your device wirelessly."
-msgstr ""
+msgstr "Самый простой способ передать книги на ваше устройство Android по беспроводной сети - это использовать приложение для Android `Calibre Companion https://calibrecompanion.co?utm_source=Calibre&utm_medium=Website&utm_campaign=Main&utm_term=FAQ&utm_content=Android`__. Это приложение позволяет calibre подключаться к устройству Android по беспроводной сети, подобно подключению с помощью USB-кабеля. Вы можете просматривать файлы на устройстве в calibre и использовать кнопку :guilabel:`Отправить на устройство` для беспроводной передачи файлов."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:340
 msgid ""
@@ -631,26 +631,26 @@ msgid ""
 "can browse your calibre collection on your Android device by using the "
 "calibre Content server, which makes your collection available over the net. "
 "First perform the following steps in calibre"
-msgstr ""
+msgstr "в calibre также встроен веб-сервер :guilabel:`Content server`. Вы можете просматривать коллекцию calibre на устройстве Android с помощью сервера контента calibre, который делает вашу коллекцию доступной в сети. Сначала выполните следующие шаги в calibre"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:345
 msgid ""
 "Set the :guilabel:`Preferred Output Format` in calibre to EPUB for normal "
 "Android devices or MOBI for Kindles (The output format can be set under "
 ":guilabel:`Preferences->Interface->Behavior`)"
-msgstr ""
+msgstr "Установите :guilabel:`Предпочтительный выходной формат` в EPUB для обычных устройств Android или MOBI для Kindles (формат вывода можно установить в :guilabel:`Параметры->Интерфейс->Поведение`)"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:346
 msgid ""
 "Convert the books you want to read on your device to EPUB/MOBI format by "
 "selecting them and clicking the :guilabel:`Convert` button."
-msgstr ""
+msgstr "Преобразуйте книги, которые вы хотите читать на своем устройстве, в формат EPUB/MOBI, выбрав их и нажав кнопку :guilabel:`Преобразовать книги`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:347
 msgid ""
 "Turn on the :guilabel:`Content server` in calibre's preferences and leave "
 "calibre running."
-msgstr ""
+msgstr "Включите :guilabel:`Content server` в настройках calibre и оставьте calibre включенным."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:349
 msgid "Now on your Android device, open the browser and browse to"
@@ -665,7 +665,7 @@ msgid ""
 "You can now browse your book collection and download books from calibre to "
 "your device to open with whatever e-book reading software you have on your "
 "android device."
-msgstr ""
+msgstr "Теперь вы можете просматривать свою коллекцию книг и загружать книги из calibre на свое устройство, чтобы читать их любой установленной программной читалкой."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:361
 msgid ""
@@ -674,13 +674,13 @@ msgid ""
 "catalog, then give the catalog a title such as \"calibre\" and provide the "
 "URL listed above. You can now browse the calibre library and download "
 "directly into the reading software."
-msgstr ""
+msgstr "calibre Companion и многие приложения для чтения поддерживают просмотр библиотеки calibre напрямую. Например, в Aldiko щелкните «Мои каталоги», затем «+», чтобы добавить каталог, затем присвойте каталогу название, например «calibre», и укажите URL-адрес, указанный выше. Теперь можно просмотреть библиотеку calibre и загрузить её прямо в программную читалку."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:368
 msgid ""
 "Can I access my calibre books using the web browser in my Kindle or other "
 "reading device?"
-msgstr ""
+msgstr "Могу ли я получить доступ к своим книгам calibre с помощью веб-браузера на Kindle или другом устройстве для чтения?"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:370
 msgid ""
@@ -696,14 +696,14 @@ msgid ""
 "may not be able to run the server on a port number less than 1024 because of"
 " security settings. In this case the simplest solution is to adjust your "
 "router to forward requests on port 80 to port 8080)."
-msgstr ""
+msgstr "Некоторые устройства, такие как Kindle (1/2/DX), не позволяют получить доступ к порту 8080 (порт по умолчанию, на котором работает сервер контента). В этом случае измените порт в настройках calibre на 80. (В некоторых операционных системах вы не сможете запустить сервер на порте с номером меньше 1024 из-за настроек безопасности. В этом случае самым простым решением является настройка ваш маршрутизатор для пересылки запросов с порта 80 на порт 8080)."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:377
 msgid ""
 "Also some devices do not have browsers advanced enough to run the app-like "
 "interface used by the content server. For such devices, you can simply add "
 "``/mobile`` to the server URL to get a simplified, non-JavaScript interface."
-msgstr ""
+msgstr "Также некоторые устройства не имеют браузеров, достаточно продвинутых для запуска интерфейса, подобного приложениям, используемого сервером содержимого. Для таких устройств вы можете просто добавить /mobile к URL-адресу сервера, чтобы получить упрощенный интерфейс без использования JavaScript."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:383
 msgid "I cannot send emails using calibre?"
@@ -717,27 +717,27 @@ msgid ""
 "in calibre. Many servers (for example, Amazon) block email that does not "
 "come from a well known relay. The most robust way to setup email sending in "
 "calibre is to do the following:"
-msgstr ""
+msgstr "Из-за большого количества спама в электронной почте отправка электронной почты может быть сложной задачей, поскольку разные почтовые серверы используют разные стратегии для блокировки электронной почты. Наиболее распространенная проблема - если вы отправляете электронную почту напрямую (без почтового ретранслятора) calibre. Многие серверы (например, Amazon) блокируют электронную почту, которая не исходит от известного ретранслятора. Самый надежный способ настроить отправку электронной почты в calibre - это сделать следующее:"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:389
 msgid "Create a free GMX account at `GMX <https://www.gmx.com>`_."
-msgstr ""
+msgstr "Создать бесплатный GMX аккаунт в `GMX <https://www.gmx.com>`_."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:390
 msgid ""
 "Goto :guilabel:`Preferences->Sharing->Sharing books by email` in calibre and"
 " click the :guilabel:`Use GMX` button and fill in the information asked for."
-msgstr ""
+msgstr "Перейти к :guilabel:`Настройки->Общий доступ к файлам->Пересылка книг по электронной почте` в calibre, нажать кнопку :guilabel:`Использовать GMX` и ввести запрашиваемую информацию."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:391
 msgid ""
 "Log into your GMX account on the website and enable SMTP sending "
 "(`Settings->POP3 & IMAP->Send and receive emails via external program`)"
-msgstr ""
+msgstr "Войти в свою учётную запись GMX на веб-сайте и включить отправку SMTP (`Настройки-POP3 и IMAP-Отправлять и получать электронные письма через внешнюю программу`)"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:392
 msgid "calibre will then be able to use GMX to send the mail."
-msgstr ""
+msgstr "После этого calibre сможет использовать GMX для отправки почты."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:393
 msgid ""
@@ -812,7 +812,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -946,8 +946,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Управление библиотекой"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1628,12 +1628,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1644,7 +1659,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1653,22 +1668,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr "Или вы можете запустить calibre от имени Администратора, но при этом некоторые функции, такие как перетаскивание мышью, перестанут работать."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr "В итоге, некоторые пользователи сообщили, что отключение UAC решает проблему."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1678,14 +1693,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1696,11 +1711,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "Я загрузил установщик, но он не работает?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1710,26 +1725,26 @@ msgid ""
 "it from running."
 msgstr "При скачивании из Интернета загруженные файлы иногда могут оказаться поврежденными. Если скачанный установочный файл calibre не запускается, попробуйте скачать его снова. Если это не помогает, скачайте его из `другого расположения <https://github.com/kovidgoyal/calibre/releases/latest>`_. Если установщик по-прежнему не работает, значит что-то на вашем компьютере мешает его запуску."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr "Попробуйте временно отключить вашу антивирусную программу (Microsoft Security Essentials, Антивирус Касперского, Norton, McAfee и проч.). Скорее всего, она и является причиной зависания процесса обновления на полпути."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1737,13 +1752,13 @@ msgid ""
 " settings."
 msgstr "Попробуйте чистую установку. Деинсталлируйте calibre, удалите каталог :file:`C:\\\\Program Files\\\\Calibre2` (или тот, который вы указывали при установке). Переустановите calibre. Имейте в виду, что деинсталляция не затронет ваши книги или настройки."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr "Попробуйте скачать установочный файл при помощи другого браузера. Например, если вы используете Internet Explorer, попробуйте использовать Firefox или Chrome вместо него."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1753,7 +1768,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1761,11 +1776,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Мой антивирус утверждает, что calibre - вирус/троян?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1774,7 +1789,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1788,11 +1803,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Как я могу сделать резервную копию calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1801,7 +1816,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1809,7 +1824,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr "Вы можете переключить calibre на использование резервной папки библиотеки, просто щелкнув значок calibre на панели инструментов и выбрав папку резервной библиотеки. Резервная копия библиотеки папок создает резервные копии ваших пользовательских столбцов и сохраненных результатов поиска, а также всех ваших книг и метаданных."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1819,13 +1834,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr "Как я могу использовать купленные EPUB книги с calibre (или что делать с файлами .acsm)?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1838,44 +1853,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr "В большинстве купленных EPUB-книг имеется :doc:`DRM <drm>`, что не даёт calibre их открыть. Хотя вы всё ещё можете использовать calibre для их хранения и передачи на своё устройство чтения. Для начала нужно авторизовать устройство на компьютере с Windows при помощи Adobe Digital Editions. Как только это будет сделано, EPUB-книги, переданные calibre, будут отлично работать на вашей читалке. Когда вы покупаете EPUB-книгу на веб-сайте, то получаете «.acsm» файл. Его необходимо открыть в Adobe Digital Editions, и программа загрузит актуальную «.epub» книгу. Файл электронной книги будет сохранён в папке «My Digital Editions», откуда вы сможете добавить его в calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "Я получаю ошибку \"Доступ запрещён\"?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr "Ошибки доступа могут появляться по ряду причин, никаким образом не связанных с calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr "Ошибки доступа могут появляться по причине включенной защиты от записи на SD карте."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr "Если вы или какая-либо используемая вами программа изменили разрешения проблемных файлов на \"только чтение\"."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr "Если владельцами файлов выставлен другой пользователь."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Если ваш файл открыт в другой программе."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1883,18 +1898,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1907,7 +1922,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1916,11 +1931,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "Как я могу указать calibre использовать мой HTTP прокси?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1933,21 +1948,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "Я хочу, чтобы в calibre были добавлены некоторые возможности. Что я могу сделать?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "У вас два выбора:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr "Создать патч путём изменения calibre и послать его мне для  рассмотрения и включения. Смотрите `Разработка <https://calibre-ebook.com/get-involved>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1958,15 +1973,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr "`Открыть запрос на добавление возможности <https://calibre-ebook.com/bugs>`_ . Поните, что даже если вы можете думать, что ваша возможность очень важна/необходима, разработчики calibre могут не согласиться с этим. К счастью, calibre - программа с открытым исходным кодом, это означает, что вы всегда можете реализовать свою возможность самостоятельно или нанять кого-то, кто сделает это для вас. Более того, у calibre обстоятельная архитектура для создания плагинов плагинов, так что вы можете разработать свою возможность как плагин, смотрите :ref:`pluginstutorial`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Почему у calibre нет автоматического обновления?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "По многим причинам:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1974,7 +1989,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*Нет необходимости в еженедельном обновлении*. Если вас устраивает работа calibre, отключите уведомление об обновлении и будьте сами по себе. Возвращайте уведомления раз в год или около того, чтобы посмотреть, не захотите ли обновиться. Чекбокс для отключения уведомлений об обновлении есть в самом уведомлении."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1982,7 +1997,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1990,25 +2005,25 @@ msgid ""
 " things to do in calibre development."
 msgstr "Если я реализую диалог, которые скачивает и запускает обновление, вместо перехода на веб-сайт как сейчас, это могло бы сохранить наиболее пылким любителям обновлений calibre *не более пяти кликов в неделю*. В разработке calibre есть намного более приоритетные вещи."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr "Если вы действительно очень ненавидите загружать calibre, но всё ещё хотите использовать последнюю версию, я  поддерживаю запуск из исходного кода, что делает обновление тривиальным. Инструкции  :ref:`доступны здесь <develop>`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Как лицензирована calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2021,30 +2036,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Как я могу запустить calibre с USB-флешки?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Портативная версия calibre доступна `здесь <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2057,34 +2072,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Вы можете запустить сервер calibre при помощи команды::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "Если вы хотите сгенерировать MOBI, используйте вместо этого outputfile.mobi и используйте ``--output-profile kindle``."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "Вы можете послать загруженные новости по электронной почте командой::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr "Я оставляю создание точной командной строки в качестве упражнения для читателя."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "В результате вы можете добавить загруженные новости в библиотеку calibre при помощи::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/gui.po 5.10.0+dfsg-1/translations/manual/ru/gui.po
--- 5.9.0+dfsg-3/translations/manual/ru/gui.po	2021-01-06 15:36:24.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/gui.po	2021-01-20 15:30:10.000000000 +0000
@@ -5,7 +5,7 @@
 # Translators:
 # Aleksandr Ryzhov, 2017
 # Aleksandr Ryzhov, 2017
-# ashed <craysy@gmail.com>, 2020
+# ashed <craysy@gmail.com>, 2020-2021
 # Nikolay Parukhin <parukhin@gmail.com>, 2017
 # Vladislav <yobabay23@gmail.com>, 2015
 # Родион Р., 2019-2020
@@ -14,9 +14,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-05 07:50+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-15 18:52+0000\n"
+"Last-Translator: ashed <craysy@gmail.com>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -1317,7 +1317,7 @@ msgid ""
 "applied to the dropped books. For example, dragging a book onto Isaac Asimov"
 " will set the author of that book to Isaac Asimov. Dropping it onto the tag "
 "History will add the tag History to the book's tags."
-msgstr ""
+msgstr "Вы можете перетаскивать элементы в браузере тегов в Пользовательские категории, чтобы добавить их в эту категорию. Если источник - категория пользователя, с удержанием клавиши shift при перетаскивании элемент будет перемещён в новую категорию. Вы также можете перетаскивать книги из списка книг на элементы в браузере тегов; Удаление книги по элементу - элемент автоматически применяется к перетащенным книгам. Например, перетаскивание книги на имя Исаака Азимова -> автор этой книги - Исаак Асимов. Перетаскивание её на тег History добавит тег History в теги книги."
 
 #: ../../__w/calibre/calibre/manual/gui.rst:583
 msgid ""
@@ -1773,7 +1773,7 @@ msgstr ":kbd:`Shift+Ctrl+F`"
 
 #: ../../__w/calibre/calibre/manual/gui.rst:744
 msgid "Open the Advanced search dialog"
-msgstr ""
+msgstr "Открыть диалог расширенного поиска"
 
 #: ../../__w/calibre/calibre/manual/gui.rst:745
 msgid ":kbd:`Shift+Alt+F`"
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/news_recipe.po 5.10.0+dfsg-1/translations/manual/ru/news_recipe.po
--- 5.9.0+dfsg-3/translations/manual/ru/news_recipe.po	2021-01-06 15:35:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/news_recipe.po	2021-01-20 15:29:30.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-02 09:56+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-15 18:41+0000\n"
 "Last-Translator: ashed <craysy@gmail.com>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
@@ -607,7 +607,7 @@ msgstr "Указать любую доп
 msgid ""
 "List of feeds to download. Can be either ``[url1, url2, ...]`` or "
 "``[('title1', url1), ('title2', url2),...]``"
-msgstr ""
+msgstr " Список каналов для загрузки. Может быть ``[url1, url2, ...]`` или ``[('title1', url1), ('title2', url2),...]``"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.filter_regexps:1
@@ -648,12 +648,12 @@ msgstr "Игнорировать дуб
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.ignore_duplicate_articles:7
 msgid "To use URLs instead, set it to::"
-msgstr ""
+msgstr "Для использования URL-адресов вместо этого, установите значение::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.ignore_duplicate_articles:11
 msgid "To match on title or URL, set it to::"
-msgstr ""
+msgstr "Для соответствия заголовку или URL, установите значение::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.keep_only_tags:1
@@ -662,28 +662,28 @@ msgid ""
 "specifying a tag see :attr:`BasicNewsRecipe.remove_tags`. If this list is "
 "not empty, then the `<body>` tag will be emptied and re-filled with the tags"
 " that match the entries in this list. For example::"
-msgstr ""
+msgstr "Оставить только указанные теги и их дочерние элементы. Формат указания тега см. :attr:`BasicNewsRecipe.remove_tags`. Если этот список не пуст, то `<body>` тег будет очищен и повторно заполнен тегами, соответствующими записям в этом списке. Например::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.keep_only_tags:8
 msgid ""
 "will keep only tags that have an `id` attribute of `\"content\"` or "
 "`\"heading\"`."
-msgstr ""
+msgstr "сохранить только теги, у которых есть атрибут `id` `\"content\"` или `\"heading\"`."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.language:1
 msgid ""
 "The language that the news is in. Must be an ISO-639 code either two or "
 "three characters long"
-msgstr ""
+msgstr "Язык новостей. Должен быть двух- или трёхзначным кодом ISO-639."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.masthead_url:1
 msgid ""
 "By default, calibre will use a default image for the masthead (Kindle only)."
 " Override this in your recipe to provide a url to use as a masthead."
-msgstr ""
+msgstr "По умолчанию calibre будет использовать изображение по умолчанию для шапки (только Kindle). Переопределите это в своем рецепте, чтобы указать URL-адрес для использования в качестве шапки."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.match_regexps:1
@@ -691,12 +691,12 @@ msgid ""
 "List of regular expressions that determines which links to follow. If empty,"
 " it is ignored. Used only if is_link_wanted is not implemented. For "
 "example::"
-msgstr ""
+msgstr " Список регулярных выражений, определяющий, по каким ссылкам следовать. Если пусто, игнорируется. Используется, только если is_link_wanted не реализован. Например::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.match_regexps:7
 msgid "will match all URLs that have `page=some number` in them."
-msgstr ""
+msgstr "будет соответствовать всем URL-адресам, в которых есть `page = some number`."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.max_articles_per_feed:1
@@ -704,7 +704,7 @@ msgid ""
 "Maximum number of articles to download from each feed. This is primarily "
 "useful for feeds that don't have article dates. For most feeds, you should "
 "use :attr:`BasicNewsRecipe.oldest_article`"
-msgstr ""
+msgstr "Максимальное количество статей для загрузки из каждого канала. Это в первую очередь полезно для каналов, в которых нет дат статьи. Для большинства каналов вы должны использовать :attr:`BasicNewsRecipe.oldest_article`"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.needs_subscription:1
@@ -712,7 +712,7 @@ msgid ""
 "If True the GUI will ask the user for a username and password to use while "
 "downloading. If set to \"optional\" the use of a username and password "
 "becomes optional"
-msgstr ""
+msgstr "Если True, графический интерфейс запросит у пользователя имя пользователя и пароль для использования при загрузке. Если установлено значение 'optional', использование имени пользователя и пароля становится необязательным."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.no_stylesheets:1
@@ -720,12 +720,12 @@ msgid ""
 "Convenient flag to disable loading of stylesheets for websites that have "
 "overly complex stylesheets unsuitable for conversion to e-book formats. If "
 "True stylesheets are not downloaded and processed"
-msgstr ""
+msgstr " Удобный флаг для отключения загрузки таблиц стилей для веб-сайтов, со слишком сложными таблицами стилей, непригодными для преобразования в электронные книги. Если True таблицы стилей не загружаются и не обрабатываются"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.oldest_article:1
 msgid "Oldest article to download from this news source. In days."
-msgstr ""
+msgstr "Самая старая статья для загрузки из этого источника новостей. В днях."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.preprocess_regexps:1
@@ -735,36 +735,36 @@ msgid ""
 "first element of the tuple should be a compiled regular expression and the "
 "second a callable that takes a single match object and returns a string to "
 "replace the match. For example::"
-msgstr ""
+msgstr "Список правил подстановки :term:`regexp` для запуска в загруженном :term:`HTML`. Каждый элемент списка должен быть двухэлементным кортежем. Первый элемент кортежа должен быть скомпилированным регулярным выражением, а второй - вызываемым, который принимает единственный соответствующий объект и возвращает строку для замены совпадения. Например::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.preprocess_regexps:12
 msgid "will remove everything from `<!--Article ends here-->` to `</body>`."
-msgstr ""
+msgstr "удалит все от <!--Article ends here-->` до `</body>`."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.publication_type:1
 msgid ""
 "Publication type Set to newspaper, magazine or blog. If set to None, no "
 "publication type metadata will be written to the opf file."
-msgstr ""
+msgstr "Тип публикации Газета, журнал или блог. Если установлено значение Нет, метаданные типа публикации не будут записываться в файл opf."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.recipe_disabled:1
 msgid ""
 "Set to a non empty string to disable this recipe. The string will be used as"
 " the disabled message"
-msgstr ""
+msgstr "Установите непустую строку, чтобы отключить этот рецепт. Строка будет использоваться как отключенное сообщение"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.recursions:1
 msgid "Number of levels of links to follow on article webpages"
-msgstr ""
+msgstr "Количество уровней ссылок для перехода на веб-страницах статей"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_attributes:1
 msgid "List of attributes to remove from all tags. For example::"
-msgstr ""
+msgstr "Список атрибутов, которые нужно удалить из всех тегов. Например::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_empty_feeds:1
@@ -773,19 +773,19 @@ msgid ""
 "if parse_index is overridden in the sub class. It is meant only for recipes "
 "that return a list of feeds using `feeds` or :meth:`get_feeds`. It is also "
 "used if you use the ignore_duplicate_articles option."
-msgstr ""
+msgstr "Если True, пустые каналы удаляются из вывода. Эта опция не действует, если parse_index переопределен в подклассе. Он предназначен только для рецептов, которые возвращают список каналов с использованием `feeds` или :meth:`get_feeds`. Он также используется, с опцией ignore_duplicate_articles."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_javascript:1
 msgid "Convenient flag to strip all JavaScript tags from the downloaded HTML"
-msgstr ""
+msgstr " Удобный флаг для удаления всех тегов JavaScript из загруженного HTML"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_tags:1
 msgid ""
 "List of tags to be removed. Specified tags are removed from downloaded HTML."
 " A tag is specified as a dictionary of the form::"
-msgstr ""
+msgstr "Список удаляемых тегов. Указанные теги удаляются из загруженного HTML. Тег задается как словарь формы::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_tags:9
@@ -793,43 +793,43 @@ msgid ""
 "All keys are optional. For a full explanation of the search criteria, see "
 "`Beautiful Soup <https://www.crummy.com/software/BeautifulSoup/bs4/doc"
 "/#searching-the-tree>`__ A common example::"
-msgstr ""
+msgstr "Все ключи необязательны. Полное объяснение критериев поиска см. В `Beautiful Soup https://www.crummy.com/software/BeautifulSoup/bs4/doc/#searching-the-tree`__ A common example::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_tags:15
 msgid ""
 "This will remove all `<div class=\"advert\">` tags and all their children "
 "from the downloaded :term:`HTML`."
-msgstr ""
+msgstr "Это приведет к удалению всех тегов `<div class=\"advert\">` и всех их дочерних элементов из загруженного :term:`HTML`."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_tags_after:1
 msgid ""
 "Remove all tags that occur after the specified tag. For the format for "
 "specifying a tag see :attr:`BasicNewsRecipe.remove_tags`. For example::"
-msgstr ""
+msgstr "Удалить все теги, появляющиеся после указанного тега. Формат указания тега см. В :attr:`BasicNewsRecipe.remove_tags`. Например::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_tags_after:7
 msgid "will remove all tags after the first element with `id=\"content\"`."
-msgstr ""
+msgstr "удалит все теги после первого элемента с `id=\"content\"`."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_tags_before:1
 msgid ""
 "Remove all tags that occur before the specified tag. For the format for "
 "specifying a tag see :attr:`BasicNewsRecipe.remove_tags`. For example::"
-msgstr ""
+msgstr "Удалить все теги, появляющиеся перед указанным тегом. Формат указания тега см. В :attr:`BasicNewsRecipe.remove_tags`. Например::"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.remove_tags_before:7
 msgid "will remove all tags before the first element with `id=\"content\"`."
-msgstr ""
+msgstr "удалит все теги перед первым элементом с `id=\"content\"`."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.requires_version:1
 msgid "Minimum calibre version needed to use this recipe"
-msgstr ""
+msgstr "Минимальная версия calibre, необходимая для использования этого рецепта"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.resolve_internal_links:1
@@ -839,12 +839,12 @@ msgid ""
 "article rather than its original web URL. If you set this to True, you might"
 " also need to implement :meth:`canonicalize_internal_url` to work with the "
 "URL scheme of your particular website."
-msgstr ""
+msgstr "Если установлено значение True, то ссылки в загруженных статьях, которые указывают на другие загруженные статьи, изменяются, чтобы указывать на загруженную копию статьи, а не на ее исходный веб-URL. При установке значения True, вам также может потребоваться реализовать :meth:`canonicalize_internal_url` для работы со схемой URL-адресов вашего конкретного веб-сайта."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.reverse_article_order:1
 msgid "Reverse the order of articles in each feed"
-msgstr ""
+msgstr "Измените порядок статей в каждом фиде"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.scale_news_images:1
@@ -853,26 +853,26 @@ msgid ""
 "is True this is set to the device screen dimensions set by the output "
 "profile unless there is no profile set, in which case it is left at whatever"
 " value it has been assigned (default None)."
-msgstr ""
+msgstr "Максимальные размеры (ширина, высота) для масштабирования изображений. Если scale_news_images_to_device имеет значение True, для него устанавливаются размеры экрана устройства, заданные выходным профилем, если профиль не задан, и в этом случае он остается в том значении, которое было назначено (по умолчанию None)."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.scale_news_images_to_device:1
 msgid ""
 "Rescale images to fit in the device screen dimensions set by the output "
 "profile. Ignored if no output profile is set."
-msgstr ""
+msgstr " Изменить масштаб изображений, чтобы они соответствовали размерам экрана устройства в профиле вывода. Игнорируется, если выходной профиль не задан."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.simultaneous_downloads:1
 msgid ""
 "Number of simultaneous downloads. Set to 1 if the server is picky. "
 "Automatically reduced to 1 if :attr:`BasicNewsRecipe.delay` > 0"
-msgstr ""
+msgstr "Количество одновременных загрузок. Установите 1, если сервер придирчив. Автоматически уменьшается до 1, если :attr:`BasicNewsRecipe.delay` > 0"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.summary_length:1
 msgid "Max number of characters in the short description"
-msgstr ""
+msgstr "Максимальное количество символов в кратком описании"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.template_css:1
@@ -880,24 +880,24 @@ msgid ""
 "The CSS that is used to style the templates, i.e., the navigation bars and "
 "the Tables of Contents. Rather than overriding this variable, you should use"
 " `extra_css` in your recipe to customize look and feel."
-msgstr ""
+msgstr " CSS, который используется для стилизации шаблонов, то есть панелей навигации и оглавлений. Вместо переопределения этой переменной используйте в своем рецепте `extra_css` для настройки внешнего вида."
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.timefmt:1
 msgid ""
 "The format string for the date shown on the first page. By default: "
 "Day_Name, Day_Number Month_Name Year"
-msgstr ""
+msgstr "Строка формата даты, показанной на первой странице. По умолчанию: Day_Name, Day_Number Month_Name Year"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.timeout:1
 msgid "Timeout for fetching files from server in seconds"
-msgstr ""
+msgstr "Таймаут для загрузки файлов с сервера в секундах"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.title:1
 msgid "The title to use for the e-book"
-msgstr ""
+msgstr "Название для электронной книги"
 
 #: ../../__w/calibre/calibre/src/calibre/web/feeds/news.pydocstring of
 #: calibre.web.feeds.news.BasicNewsRecipe.use_embedded_content:1
@@ -906,4 +906,4 @@ msgid ""
 " the length of the embedded content. If `None`, then the default guessing is"
 " used. If `True` then the we always assume the feeds has embedded content "
 "and if `False` we always assume the feed does not have embedded content."
-msgstr ""
+msgstr "Обычно попытка угадать, есть ли в фиде встроенные полные статьи, основывается на длине встроенного контента. Если «Нет», то используется угадывание по умолчанию. Если True - всегда предполагается, что у каналов есть встроенный контент, False - всегда предполагается, что у каналов нет встроенного контента."
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/polish.po 5.10.0+dfsg-1/translations/manual/ru/polish.po
--- 5.9.0+dfsg-3/translations/manual/ru/polish.po	2020-12-23 14:21:22.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/polish.po	2021-01-20 15:31:00.000000000 +0000
@@ -3,14 +3,15 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
+# ashed <craysy@gmail.com>, 2021
 # Родион Р., 2020
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:50+0000\n"
-"Last-Translator: Родион Р.\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 10:25+0000\n"
+"Last-Translator: ashed <craysy@gmail.com>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -30,35 +31,35 @@ msgid ""
 "tools that can be used to perform operations on the container. All the tools"
 " are in the form of module level functions in the various "
 "``calibre.ebooks.oeb.polish.*`` modules."
-msgstr ""
+msgstr "Инструменты редактирования электронных книг состоят из объекта :class:`calibre.ebooks.oeb.polish.container.Container`, который представляет книгу как набор файлов ресурсов HTML +, и различных инструментов, которые можно использовать для выполнения операций с контейнером. Все инструменты представлены в виде функций уровня модуля в различных модулях ``calibre.ebooks.oeb.polish.*``."
 
 #: ../../__w/calibre/calibre/manual/polish.rst:15
 msgid "You obtain a container object for a book at a path like this::"
-msgstr ""
+msgstr "Вы получаете объект-контейнер для книги по следующему пути::"
 
 #: ../../__w/calibre/calibre/manual/polish.rst:20
 msgid ""
 "If you are writing a plugin for the E-book editor, you get the current "
 "container for the book being edited like this::"
-msgstr ""
+msgstr " Если вы пишете плагин для редактора электронной книги, вы получаете текущий контейнер для редактируемой книги следующим образом::"
 
 #: ../../__w/calibre/calibre/manual/polish.rst:30
 msgid "The Container object"
-msgstr ""
+msgstr "Объект контейнера"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container:1
 msgid ""
 "A container represents an Open E-Book as a directory full of files and an "
 "opf file. There are two important concepts:"
-msgstr ""
+msgstr "Контейнер представляет действие Открыть электронную книгу как каталог, наполненный файлами и файл opf. Есть два важных понятия:"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container:4
 msgid ""
 "The root directory. This is the base of the e-book. All the e-books files "
 "are inside this directory or in its sub-directories."
-msgstr ""
+msgstr " Корневой каталог. Это основа электронной книги. Все файлы электронных книг находятся внутри этого каталога или в его подкаталогах."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container:7
@@ -68,7 +69,7 @@ msgid ""
 "of as canonical identifiers for files in the book. Most methods on the "
 "container object work with names. Names are always in the NFC unicode normal"
 " form."
-msgstr ""
+msgstr "Имена: это пути к файлам книг относительно корневого каталога. Они всегда содержат разделители POSIX и не заключаются в кавычки. Их можно рассматривать как канонические идентификаторы файлов в книге. Большинство методов объекта-контейнера работают с именами. Имена всегда имеют нормальную форму NFC Юникод."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container:13
@@ -78,19 +79,19 @@ msgid ""
 "work, you should never access files on the filesystem directly. Instead, use"
 " :meth:`raw_data` or :meth:`open` to read/write to component files in the "
 "book."
-msgstr ""
+msgstr "Клоны: объект-контейнер поддерживает эффективное клонирование на диске, которое используется для реализации контрольных точек в редакторе электронных книг. Чтобы это работало, вы никогда не должны обращаться к файлам в файловой системе напрямую. Вместо этого используйте :meth:`raw_data` или :meth:`open` для чтения/записи файлов компонентов в книге."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container:18
 msgid ""
 "When converting between hrefs and names use the methods provided by this "
 "class, they assume all hrefs are quoted."
-msgstr ""
+msgstr "При преобразовании между hrefs и именами используйте методы, предоставляемые этим классом, они предполагают, что все hrefs заключены в кавычки."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.abspath_to_name:1
 msgid "Convert an absolute path to a canonical name relative to :attr:`root`"
-msgstr ""
+msgstr "Преобразование абсолютного пути в каноническое имя относительно :attr:`root`"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.abspath_to_name:0
@@ -135,26 +136,26 @@ msgstr "Параметры"
 #: of calibre.ebooks.oeb.polish.container.Container.abspath_to_name:3
 msgid ""
 "The base directory. By default the root for this container object is used."
-msgstr ""
+msgstr "Базовый каталог. По умолчанию используется корень для этого объекта-контейнера."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.add_file:1
 msgid ""
 "Add a file to this container. Entries for the file are automatically created"
 " in the OPF manifest and spine (if the file is a text document)"
-msgstr ""
+msgstr " Добавить файл в этот контейнер. Записи для файла автоматически создаются в манифесте и корешке OPF (если файл является текстовым документом)."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.add_name_to_manifest:1
 msgid ""
 "Add an entry to the manifest for a file with the specified name. Returns the"
 " manifest id."
-msgstr ""
+msgstr "Добавить в манифест запись для файла с указанным именем. Возвращает идентификатор манифеста."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.add_properties:1
 msgid "Add the specified properties to the manifest item identified by name."
-msgstr ""
+msgstr "Добавить указанные свойства в элемент манифеста, идентифицированный по имени."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.apply_unique_properties:1
@@ -162,32 +163,32 @@ msgid ""
 "Ensure that the specified properties are set on only the manifest item "
 "identified by name. You can pass None as the name to remove the property "
 "from all items."
-msgstr ""
+msgstr "Убедитесь, что указанные свойства установлены только для элемента манифеста, указанного по имени. Вы можете передать None в качестве имени, чтобы удалить свойство из всех элементов."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.book_type:1
 msgid "The type of book (epub for EPUB files and azw3 for AZW3 files)"
-msgstr ""
+msgstr "Тип книги epub для файлов EPUB и azw3 для файлов AZW3"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.commit:1
 msgid ""
 "Commit all dirtied parsed objects to the filesystem and write out the e-book"
 " file at outpath."
-msgstr ""
+msgstr "Зафиксировать все загрязненные проанализированные объекты в файловой системе и записать файл электронной книги по пути outpath."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.commit:3
 msgid ""
 "The path to write the saved e-book file to. If None, the path of the "
 "original book file is used."
-msgstr ""
+msgstr "Путь для записи сохраненного файла электронной книги. Если None, используется путь к исходному файлу книги."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.commit:4
 msgid ""
 "If True the parsed representations of committed items are kept in the cache."
-msgstr ""
+msgstr "Если True, проанализированные представления зафиксированных элементов хранятся в кеше."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.commit_item:1
@@ -195,14 +196,14 @@ msgid ""
 "Commit a parsed object to disk (it is serialized and written to the "
 "underlying file). If ``keep_parsed`` is True the parsed representation is "
 "retained in the cache. See also: :meth:`parsed`"
-msgstr ""
+msgstr "Зафиксировать проанализированный объект на диске (он сериализуется и записывается в базовый файл). Если ``keep_parsed`` - True, проанализированное представление сохраняется в кеше. См. также ::meth:`parsed`"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.dirty:1
 msgid ""
 "Mark the parsed object corresponding to name as dirty. See also: "
 ":meth:`parsed`."
-msgstr ""
+msgstr "Отметить проанализированный объект, соответствующий имени, как грязный. См. Также ::meth:`parsed`."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.exists:1
@@ -212,21 +213,21 @@ msgid ""
 "filesystem, in particular case (in)sensitivity. So on a case insensitive "
 "filesystem this will return True even if the case of name is different from "
 "the case of the underlying filesystem file. See also :meth:`has_name`"
-msgstr ""
+msgstr "True, если существует файл/каталог, соответствующий каноническому имени. Обратите внимание, что эта функция страдает от ограничений базовой файловой системы ОС, в частности (не) чувствительности к регистру. Таким образом, в файловой системе, нечувствительной к регистру, это вернет True, даже если регистр имени отличается от регистра файла базовой файловой системы. См. Также :meth:`has_name`"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.filesize:1
 msgid ""
 "Return the size in bytes of the file represented by the specified canonical "
 "name. Automatically handles dirtied parsed objects. See also: :meth:`parsed`"
-msgstr ""
+msgstr "Вернуть размер в байтах файла, представленного указанным каноническим именем. Автоматически обрабатывает загрязненные проанализированные объекты. См. также ::meth:`parsed`"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.generate_item:1
 msgid ""
 "Add an item to the manifest with href derived from the given name. Ensures "
 "uniqueness of href and id automatically. Returns generated item."
-msgstr ""
+msgstr "Добавить в манифест элемент с href, производным от заданного имени. Автоматически обеспечивает уникальность href и id. Возвращает сгенерированный элемент."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of
@@ -234,38 +235,38 @@ msgstr ""
 msgid ""
 "Similar to open() except that it returns a file path, instead of an open "
 "file object."
-msgstr ""
+msgstr "Подобно open(), за исключением того, что он возвращает путь к файлу вместо объекта открытого файла."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.guide_type_map:1
 msgid "Mapping of guide type to canonical name"
-msgstr ""
+msgstr "Сопоставление guide типа с каноническим именем"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.has_name:1
 msgid ""
 "Return True iff a file with the same canonical name as that specified "
 "exists. Unlike :meth:`exists` this method is always case-sensitive."
-msgstr ""
+msgstr "Вернуть True, если существует файл с тем же каноническим именем, что и указанное. В отличие от :meth:`exists` этот метод всегда чувствителен к регистру."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.href_to_name:1
 msgid ""
 "Convert an href (relative to base) to a name. base must be a name or None, "
 "in which case self.root is used."
-msgstr ""
+msgstr "Преобразование href (относительно base) в имя. base должно быть именем или None, в этом случае используется self.root."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.insert_into_xml:1
 msgid ""
 "Insert item into parent (or append if index is None), fixing indentation. "
 "Only works with self closing items."
-msgstr ""
+msgstr "Вставить элемент в родительский (или добавить, если индекс равен None), исправив отступ. Работает только с самозакрывающимися элементами."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.is_dir:1
 msgid "If this container represents an unzipped book (a directory)"
-msgstr ""
+msgstr "Если этот контейнер представляет собой распакованную книгу (каталог)"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.iterlinks:1
@@ -275,24 +276,24 @@ msgid ""
 "line_number at which the link occurs and offset is the number of characters "
 "from the start of the line. Note that offset could actually encompass "
 "several lines if not zero."
-msgstr ""
+msgstr "Перебрать все ссылки по имени. Если get_line_numbers имеет значение True, выдает результаты формы (ссылка, номер_строки, смещение). Где line_number - это номер line_number, в котором находится ссылка, а смещение - это количество символов от начала строки. Обратите внимание, что смещение может охватывать несколько строк, если не ноль."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.make_name_unique:1
 msgid ""
 "Ensure that `name` does not already exist in this book. If it does, return a"
 " modified version that does not exist."
-msgstr ""
+msgstr "Убедится, что `name` уже не существует в этой книге. Если это так, вернуть измененную версию, которая не существует."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.manifest_has_name:1
 msgid "Return True if the manifest has an entry corresponding to name"
-msgstr ""
+msgstr "Вернуть True, если в манифесте есть запись, соответствующая имени"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.manifest_id_map:1
 msgid "Mapping of manifest id to canonical names"
-msgstr ""
+msgstr "Сопоставление идентификатора манифеста с каноническими именами"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.manifest_items_of_type:1
@@ -300,19 +301,19 @@ msgid ""
 "The names of all manifest items whose media-type matches predicate. "
 "`predicate` can be a set, a list, a string or a function taking a single "
 "argument, which will be called with the media-type."
-msgstr ""
+msgstr "Имена всех элементов манифеста, тип носителя которых соответствует предикату. `predicate` может быть набором, списком, строкой или функцией, принимающей один аргумент, которая будет вызываться с медиа-типом."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of
 #: calibre.ebooks.oeb.polish.container.Container.manifest_items_with_property:1
 msgid "All manifest items that have the specified property"
-msgstr ""
+msgstr "Все элементы манифеста, имеющие указанное свойство"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.manifest_type_map:1
 msgid ""
 "Mapping of manifest media-type to list of canonical names of that media-type"
-msgstr ""
+msgstr "Сопоставление манифестного медиа-типа со списком канонических имен этого медиа-типа"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.mi:1
@@ -320,26 +321,26 @@ msgid ""
 "The metadata of this book as a Metadata object. Note that this object is "
 "constructed on the fly every time this property is requested, so use it "
 "sparingly."
-msgstr ""
+msgstr "Метаданные этой книги как объект метаданных. Обратите внимание, что этот объект создается «на лету» каждый раз, когда это свойство запрашивается, поэтому используйте его с осторожностью."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.name_to_abspath:1
 msgid "Convert a canonical name to an absolute OS dependant path"
-msgstr ""
+msgstr "Преобразование канонического имени в путь, полностью зависящий от ОС"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.name_to_href:1
 msgid ""
 "Convert a name to a href relative to base, which must be a name or None in "
 "which case self.root is used as the base"
-msgstr ""
+msgstr " Преобразование имени в href относительно базы, которое должно быть именем или None, в этом случае в качестве базы используется self.root."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of
 #: calibre.ebooks.oeb.polish.container.Container.names_that_must_not_be_changed:1
 msgid ""
 "Set of names that must never be renamed. Depends on the e-book file format."
-msgstr ""
+msgstr "Набор имен, которые нельзя переименовывать. Зависит от формата файла электронной книги."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of
@@ -347,7 +348,7 @@ msgstr ""
 msgid ""
 "Set of names that must never be deleted from the container. Depends on the "
 "e-book file format."
-msgstr ""
+msgstr "Набор имен, которые нельзя удалять из контейнера. Зависит от формата файла электронной книги."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of
@@ -355,7 +356,7 @@ msgstr ""
 msgid ""
 "Set of names that are allowed to be missing from the manifest. Depends on "
 "the e-book file format."
-msgstr ""
+msgstr "Набор имен, которые могут отсутствовать в манифесте. Зависит от формата файла электронной книги."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.open:1
@@ -364,12 +365,12 @@ msgid ""
 "commit the file if it is dirtied and remove it from the parse cache. You "
 "must finish with this file before accessing the parsed version of it again, "
 "or bad things will happen."
-msgstr ""
+msgstr "Открыть файл, указанный по имени, для прямого чтения/записи. Обратите внимание, что это зафиксирует файл, если он загрязнен, и удалит его из кеша синтаксического анализа. Вы должны закончить работу с этим файлом, прежде чем снова обращаться к его проанализированной версии, иначе произойдут неприятности."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.opf:1
 msgid "The parsed OPF file"
-msgstr ""
+msgstr "Разобранный файл OPF"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.opf_get_or_create:1
@@ -377,24 +378,24 @@ msgid ""
 "Convenience method to either return the first XML element with the specified"
 " name or create it under the opf:package element and then return it, if it "
 "does not already exist."
-msgstr ""
+msgstr "Удобный метод, позволяющий либо вернуть первый элемент XML с указанным именем, либо создать его в элементе opf:package, а затем вернуть его, если он ещё не существует."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.opf_version:1
 msgid "The version set on the OPF's <package> element"
-msgstr ""
+msgstr "Версия, установленная на <package> элементе OPF"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.opf_version_parsed:1
 msgid "The version set on the OPF's <package> element as a tuple of integers"
-msgstr ""
+msgstr "Версия, заданная в <package> элементе OPF как кортеж целых чисел"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.opf_xpath:1
 msgid ""
 "Convenience method to evaluate an XPath expression on the OPF file, has the "
 "opf: and dc: namespace prefixes pre-defined."
-msgstr ""
+msgstr "Удобный метод для оценки выражения XPath в файле OPF имеет предопределенные префиксы пространства имен opf: и dc:."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.parsed:1
@@ -404,26 +405,26 @@ msgid ""
 " returned. Note that parsed objects are cached for performance. If you make "
 "any changes to the parsed object, you must call :meth:`dirty` so that the "
 "container knows to update the cache. See also :meth:`replace`."
-msgstr ""
+msgstr "Вернуть проанализированное представление файла, указанного по имени. Для файлов HTML и XML возвращается дерево lxml. Для файлов CSS возвращается таблица стилей css_parser. Обратите внимание, что проанализированные объекты кэшируются для повышения производительности. Если вы вносите какие-либо изменения в анализируемый объект, вы должны вызвать :meth:`dirty`, чтобы контейнер знал, что нужно обновить кеш. См. Также :meth:`replace`."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.raw_data:1
 msgid "Return the raw data corresponding to the file specified by name"
-msgstr ""
+msgstr "Вернуть необработанные данные, соответствующие файлу, указанному по имени"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.raw_data:3
 msgid ""
 "If True and the file has a text based MIME type, decode it and return a "
 "unicode object instead of raw bytes."
-msgstr ""
+msgstr "Если True и файл имеет текстовый MIME-тип, декодировать его и вернуть объект Unicode вместо необработанных байтов."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.raw_data:4
 msgid ""
 "If True the returned unicode object is normalized to the NFC normal form as "
 "is required for the EPUB and AZW3 file formats."
-msgstr ""
+msgstr "Если True, возвращаемый объект unicode нормализуется до нормальной формы NFC, как это требуется для форматов файлов EPUB и AZW3."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.relpath:1
@@ -431,7 +432,7 @@ msgid ""
 "Convert an absolute path (with os separators) to a path relative to base "
 "(defaults to self.root). The relative path is *not* a name. Use "
 ":meth:`abspath_to_name` for that."
-msgstr ""
+msgstr "Преобразование абсолютного пути (с разделителями os) в путь относительно базы (по умолчанию self.root). Относительный путь - *не* имя. Для этого используйте :meth:`abspath_to_name`."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.remove_from_spine:1
@@ -439,14 +440,14 @@ msgid ""
 "Remove the specified items (by canonical name) from the spine. If "
 "``remove_if_no_longer_in_spine`` is True, the items are also deleted from "
 "the book, not just from the spine."
-msgstr ""
+msgstr "Удалить указанные пункты (по каноническому имени) из корешка. Если remove_if_no_longer_in_spine имеет значение True, элементы также удаляются из книги, а не только из корешка."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.remove_from_xml:1
 msgid ""
 "Removes item from parent, fixing indentation (works only with self closing "
 "items)"
-msgstr ""
+msgstr "Удалить элемент из родительского, исправляя отступ (работает только с самозакрывающимися элементами)"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.remove_item:1
@@ -454,7 +455,7 @@ msgid ""
 "Remove the item identified by name from this container. This removes all "
 "references to the item in the OPF manifest, guide and spine as well as from "
 "any internal caches."
-msgstr ""
+msgstr "Удалить из этого контейнера элемент, указанный по имени. Это удалит все ссылки на элемент в манифесте, руководстве и корешке OPF, а также из любых внутренних кешей."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.rename:1
@@ -463,7 +464,7 @@ msgid ""
 "links inside the file if the directory the file is in changes. Note however,"
 " that links are not updated in the other files that could reference this "
 "file. This is for performance, such updates should be done once, in bulk."
-msgstr ""
+msgstr "Переименовать файл с current_name в new_name. Также автоматически переустановить все ссылки внутри файла, если каталог, в котором находится файл, изменяется. Однако обратите внимание, что ссылки не обновляются в других файлах, которые могут ссылаться на этот файл. Это для производительности, такие обновления нужно делать один раз, массово."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.replace:1
@@ -471,7 +472,7 @@ msgid ""
 "Replace the parsed object corresponding to name with obj, which must be a "
 "similar object, i.e. an lxml tree for HTML/XML or a css_parser stylesheet "
 "for a CSS file."
-msgstr ""
+msgstr "Заменить проанализированный объект, соответствующий имени, на obj, который должен быть аналогичным объектом, то есть деревом lxml для HTML/XML или таблицей стилей css_parser для файла CSS."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.replace_links:1
@@ -481,14 +482,14 @@ msgid ""
 "attribute that is set to True if any actual replacement is done. Convenient "
 "ways of creating such callables are using the :class:`LinkReplacer` and "
 ":class:`LinkRebaser` classes."
-msgstr ""
+msgstr "Заменить все ссылки в имени с помощью replace_func, которая должна быть вызываемой, которая принимает URL-адрес и возвращает замененный URL-адрес. Он также должен иметь атрибут replace, который имеет значение True, если выполняется какая-либо фактическая замена. Удобные способы создания таких вызываемых объектов - это использование классов :class:`LinkReplacer` и :class:`LinkRebaser`."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.serialize_item:1
 msgid ""
 "Convert a parsed object (identified by canonical name) into a bytestring. "
 "See :meth:`parsed`."
-msgstr ""
+msgstr "Преобразовать проанализированный объект (идентифицируемый каноническим именем) в байтовую строку. Смотрите :meth:`parsed`."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.set_spine:1
@@ -496,14 +497,14 @@ msgid ""
 "Set the spine to be spine_items where spine_items is an iterable of the form"
 " (name, linear). Will raise an error if one of the names is not present in "
 "the manifest."
-msgstr ""
+msgstr "Задать для spine значение spine_items, где spine_items - это итерабельность формы (имя, линейная). Вызовет ошибку, если одно из имен отсутствует в манифесте."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.spine_items:1
 msgid ""
 "An iterator yielding the path for every item in the books' spine. See also: "
 ":attr:`spine_iter` and :attr:`spine_items`."
-msgstr ""
+msgstr "Итератор, определяющий путь для каждого элемента корешка книги. См. также ::attr:`spine_iter` и :attr:`spine_items`."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.spine_iter:1
@@ -512,32 +513,32 @@ msgid ""
 "spine. item is the lxml element, name is the canonical file name and "
 "is_linear is True if the item is linear. See also: :attr:`spine_names` and "
 ":attr:`spine_items`."
-msgstr ""
+msgstr "Итератор, который выдает элемент с именем is_linear для каждого элемента в корешке книги. item - это элемент lxml, name - каноническое имя файла, а is_linear - True, если элемент является линейным. См. также ::attr:`spine_names` и :attr:`spine_items`."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/container.pydocstring
 #: of calibre.ebooks.oeb.polish.container.Container.spine_names:1
 msgid ""
 "An iterator yielding name and is_linear for every item in the books' spine. "
 "See also: :attr:`spine_iter` and :attr:`spine_items`."
-msgstr ""
+msgstr "Итератор, дающий имя и is_linear для каждого элемента в корешке книги. См. также ::attr:`spine_iter` и :attr:`spine_items`."
 
 #: ../../__w/calibre/calibre/manual/polish.rst:36
 msgid "Managing component files in a container"
-msgstr ""
+msgstr "Управление файлами компонентов в контейнере"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/replace.pydocstring
 #: of calibre.ebooks.oeb.polish.replace.replace_links:1
 msgid ""
 "Replace links to files in the container. Will iterate over all files in the "
 "container and change the specified links in them."
-msgstr ""
+msgstr "Заменить ссылки на файлы в контейнере. Будет перебирать все файлы в контейнере и изменять в них указанные ссылки."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/replace.pydocstring
 #: of calibre.ebooks.oeb.polish.replace.replace_links:3
 msgid ""
 "A mapping of old canonical name to new canonical name. For example: "
 ":code:`{'images/old.png': 'images/new.png'}`"
-msgstr ""
+msgstr "Сопоставление старого канонического имени с новым каноническим именем. Например: :code:`{'images/old.png': 'images/new.png'}`"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/replace.pydocstring
 #: of calibre.ebooks.oeb.polish.replace.replace_links:4
@@ -545,25 +546,25 @@ msgid ""
 "A callable that takes two arguments ``(name, anchor)`` and returns a new "
 "anchor. This is useful if you need to change the anchors in HTML files. By "
 "default, it does nothing."
-msgstr ""
+msgstr "Вызываемый объект, который принимает два аргумента ``(имя, привязка)`` и возвращает новую привязку. Это полезно, если вам нужно изменить привязки в файлах HTML. По умолчанию ничего не делает."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/replace.pydocstring
 #: of calibre.ebooks.oeb.polish.replace.replace_links:7
 msgid "If False, links are not replaced in the OPF file."
-msgstr ""
+msgstr "Если false, ссылки не заменяются в файле OPF."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/replace.pydocstring
 #: of calibre.ebooks.oeb.polish.replace.rename_files:1
 msgid ""
 "Rename files in the container, automatically updating all links to them."
-msgstr ""
+msgstr "Переименовывать файлы в контейнере, автоматически обновляя все ссылки на них."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/replace.pydocstring
 #: of calibre.ebooks.oeb.polish.replace.rename_files:3
 msgid ""
 "A mapping of old canonical name to new canonical name, for example: "
 ":code:`{'text/chapter1.html': 'chapter1.html'}`."
-msgstr ""
+msgstr "Сопоставление старого канонического имени с новым каноническим именем, например: :code:`{'text/chapter1.html': 'chapter1.html'}`."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/replace.pydocstring
 #: of calibre.ebooks.oeb.polish.replace.get_recommended_folders:1
@@ -572,65 +573,65 @@ msgid ""
 "recommendation is based on where the majority of files of the same type are "
 "located in the container. If no files of a particular type are present, the "
 "recommended folder is assumed to be the folder containing the OPF file."
-msgstr ""
+msgstr "Вернуть папки, рекомендованные для данных имен файлов. Рекомендация основана на том, где в контейнере находится большинство файлов одного типа. Если файлы определенного типа отсутствуют, рекомендуемая папка считается папкой, содержащей файл OPF."
 
 #: ../../__w/calibre/calibre/manual/polish.rst:47
 msgid "Pretty printing and auto fixing parse errors"
-msgstr ""
+msgstr "Хорошая печать и автоматическое исправление ошибок синтаксического анализа"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/pretty.pydocstring
 #: of calibre.ebooks.oeb.polish.pretty.fix_html:1
 msgid ""
 "Fix any parsing errors in the HTML represented as a string in raw. Fixing is"
 " done using the HTML5 parsing algorithm."
-msgstr ""
+msgstr "Исправить любые ошибки синтаксического анализа в HTML, представленном в виде строки в необработанном виде. Исправление производится с помощью алгоритма парсинга HTML5."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/pretty.pydocstring
 #: of calibre.ebooks.oeb.polish.pretty.fix_all_html:1
 msgid ""
 "Fix any parsing errors in all HTML files in the container. Fixing is done "
 "using the HTML5 parsing algorithm."
-msgstr ""
+msgstr "Исправить все ошибки синтаксического анализа во всех файлах HTML в контейнере. Исправление производится с помощью алгоритма парсинга HTML5."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/pretty.pydocstring
 #: of calibre.ebooks.oeb.polish.pretty.pretty_html:1
 msgid "Pretty print the HTML represented as a string in raw"
-msgstr ""
+msgstr "Хорошая печать HTML в представленного виде строки в необработанном виде"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/pretty.pydocstring
 #: of calibre.ebooks.oeb.polish.pretty.pretty_css:1
 msgid "Pretty print the CSS represented as a string in raw"
-msgstr ""
+msgstr "Хорошая печать CSS, представленной в виде строки в необработанном виде"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/pretty.pydocstring
 #: of calibre.ebooks.oeb.polish.pretty.pretty_xml:1
 msgid ""
 "Pretty print the XML represented as a string in raw. If ``name`` is the name"
 " of the OPF, extra OPF-specific prettying is performed."
-msgstr ""
+msgstr "Хорошая печать XML, представленного в виде строки в необработанном виде. Если name - это имя OPF, выполняется дополнительная обработка, специфичная для OPF."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/pretty.pydocstring
 #: of calibre.ebooks.oeb.polish.pretty.pretty_all:1
 msgid "Pretty print all HTML/CSS/XML files in the container"
-msgstr ""
+msgstr "Хорошая печать всех файлов HTML/CSS/XML в контейнере"
 
 #: ../../__w/calibre/calibre/manual/polish.rst:65
 msgid "Managing book jackets"
-msgstr ""
+msgstr "Управление обложками книг"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/jacket.pydocstring
 #: of calibre.ebooks.oeb.polish.jacket.remove_jacket:1
 msgid ""
 "Remove an existing jacket, if any. Returns False if no existing jacket was "
 "found."
-msgstr ""
+msgstr "Удалить существующую обложку, если таковая имеется. Возвращает False, если существующая обложка не найдена."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/jacket.pydocstring
 #: of calibre.ebooks.oeb.polish.jacket.add_or_replace_jacket:1
 msgid ""
 "Either create a new jacket from the book's metadata or replace an existing "
 "jacket. Returns True if an existing jacket was replaced."
-msgstr ""
+msgstr "Либо создать новую обложку из метаданных книги, либо заменить существующую обложку. Возвращает True, если существующая обложка была заменена."
 
 #: ../../__w/calibre/calibre/manual/polish.rst:74
 msgid "Splitting and merging of files"
@@ -642,7 +643,7 @@ msgid ""
 "Split the file specified by name at the position specified by loc_or_xpath. "
 "Splitting automatically migrates all links and references to the affected "
 "files."
-msgstr ""
+msgstr "Разделить файл, указанный по имени, в позиции, указанной параметром loc_or_xpath. При разделении автоматически переносятся все ссылки и ссылки на затронутые файлы."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/split.pydocstring
 #: of calibre.ebooks.oeb.polish.split.split:5
@@ -650,18 +651,18 @@ msgid ""
 "Should be an XPath expression such as //h:div[@id=\"split_here\"]. Can also "
 "be a *loc* which is used internally to implement splitting in the preview "
 "panel."
-msgstr ""
+msgstr "Должно быть выражением XPath, например //h:div[@id='split_here']. Также может быть *loc*, который используется внутри для реализации разделения на панели предварительного просмотра."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/split.pydocstring
 #: of calibre.ebooks.oeb.polish.split.split:8
 msgid ""
 "If True the split occurs before the identified element otherwise after it."
-msgstr ""
+msgstr "Если True, разделение происходит до идентифицированного элемента, иначе после него."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/split.pydocstring
 #: of calibre.ebooks.oeb.polish.split.split:9
 msgid "Used internally"
-msgstr ""
+msgstr "Используется внутри"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/split.pydocstring
 #: of calibre.ebooks.oeb.polish.split.multisplit:1
@@ -669,13 +670,13 @@ msgid ""
 "Split the specified file at multiple locations (all tags that match the "
 "specified XPath expression). See also: :func:`split`. Splitting "
 "automatically migrates all links and references to the affected files."
-msgstr ""
+msgstr "Разделить указанный файл в нескольких местах (все теги, соответствующие указанному выражению XPath). См. также: :func:`split`. При разделении автоматически переносятся все ссылки и ссылки на затронутые файлы."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/split.pydocstring
 #: of calibre.ebooks.oeb.polish.split.multisplit:5
 msgid ""
 "If True the splits occur before the identified element otherwise after it."
-msgstr ""
+msgstr "Если True, разбиение происходит до идентифицированного элемента, иначе после него."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/split.pydocstring
 #: of calibre.ebooks.oeb.polish.split.merge:1
@@ -683,24 +684,24 @@ msgid ""
 "Merge the specified files into a single file, automatically migrating all "
 "links and references to the affected files. The file must all either be HTML"
 " or CSS files."
-msgstr ""
+msgstr "Объединить указанные файлы в один файл, автоматически перенеся все ссылки и ссылки на затронутые файлы. Все файлы должны быть либо HTML, либо CSS."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/split.pydocstring
 #: of calibre.ebooks.oeb.polish.split.merge:4
 msgid "Must be either ``'text'`` for HTML files or ``'styles'`` for CSS files"
-msgstr ""
+msgstr "Должен быть либо ``text`` для файлов HTML, либо ``styles`` для файлов CSS."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/split.pydocstring
 #: of calibre.ebooks.oeb.polish.split.merge:5
 msgid "The list of files to be merged"
-msgstr ""
+msgstr "Список файлов для слияния"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/split.pydocstring
 #: of calibre.ebooks.oeb.polish.split.merge:6
 msgid ""
 "Which of the merged files is the *master* file, that is, the file that will "
 "remain after merging."
-msgstr ""
+msgstr "Какой из объединенных файлов является *главным* файлом, то есть файлом, который останется после объединения."
 
 #: ../../__w/calibre/calibre/manual/polish.rst:85
 msgid "Managing covers"
@@ -709,7 +710,7 @@ msgstr "Управление облож
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/cover.pydocstring
 #: of calibre.ebooks.oeb.polish.cover.set_cover:1
 msgid "Set the cover of the book to the image pointed to by cover_path."
-msgstr ""
+msgstr "Установить обложку книги на изображение, на которое указывает cover_path"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/cover.pydocstring
 #: of calibre.ebooks.oeb.polish.cover.set_cover:3
@@ -717,14 +718,14 @@ msgid ""
 "Either the absolute path to an image file or the canonical name of an image "
 "in the book. When using an image in the book, you must also set options, see"
 " below."
-msgstr ""
+msgstr "Либо абсолютный путь к файлу изображения, либо каноническое имя изображения в книге. При использовании изображения в книге вы также должны установить параметры, см. ниже."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/cover.pydocstring
 #: of calibre.ebooks.oeb.polish.cover.set_cover:6
 msgid ""
 "An optional callable that takes a single argument. It will be called with "
 "information about the tasks being processed."
-msgstr ""
+msgstr "Необязательный вызываемый объект, который принимает единственный аргумент. Он будет вызываться с информацией об обрабатываемых задачах"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/cover.pydocstring
 #: of calibre.ebooks.oeb.polish.cover.set_cover:8
@@ -734,22 +735,22 @@ msgid ""
 "covers in EPUB) **no_svg**: True or False  (Use an SVG cover wrapper in the "
 "EPUB titlepage) **existing**: True or False  (``cover_path`` refers to an "
 "existing image in the book)"
-msgstr ""
+msgstr "None или словарь, который контролирует установку обложки. В словаре могут быть записи: **keep_aspect**: True или False (сохранить соотношение сторон обложек в EPUB) **no_svg**: True или False (использовать обертку обложки SVG на титульной странице EPUB) **existing**: True или False (cover_path относится к существующему изображению в книге)"
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/cover.pydocstring
 #: of calibre.ebooks.oeb.polish.cover.mark_as_cover:1
 msgid "Mark the specified image as the cover image."
-msgstr ""
+msgstr "Отметить указанное изображение как изображение обложки."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/cover.pydocstring
 #: of calibre.ebooks.oeb.polish.cover.mark_as_titlepage:1
 msgid "Mark the specified HTML file as the titlepage of the EPUB."
-msgstr ""
+msgstr "Отметить указанный HTML-файл как титульную страницу EPUB."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/cover.pydocstring
 #: of calibre.ebooks.oeb.polish.cover.mark_as_titlepage:3
 msgid "If True the HTML file is moved to the start of the spine"
-msgstr ""
+msgstr "Если True, HTML-файл перемещается в начало корешка."
 
 #: ../../__w/calibre/calibre/manual/polish.rst:96
 msgid "Working with CSS"
@@ -762,51 +763,51 @@ msgid ""
 "the font family in stylesheets, style tags and style attributes. If the "
 "old_name refers to an embedded font, it is removed. You can set new_name to "
 "None to remove the font family instead of changing it."
-msgstr ""
+msgstr "Изменить семейство шрифтов с old_name на new_name. Изменяет все вхождения семейства шрифтов в таблицах стилей, тегах стилей и атрибутах стиля. Если old_name относится к встроенному шрифту, он удаляется. Вы можете установить для new_name значение None, чтобы удалить семейство шрифтов вместо его изменения."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.pydocstring of
 #: calibre.ebooks.oeb.polish.css.remove_unused_css:1
 msgid ""
 "Remove all unused CSS rules from the book. An unused CSS rule is one that "
 "does not match any actual content."
-msgstr ""
+msgstr "Удалить из книги все неиспользуемые правила CSS. Неиспользуемое правило CSS - это правило, не соответствующее фактическому содержанию."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.pydocstring of
 #: calibre.ebooks.oeb.polish.css.remove_unused_css:3
 msgid ""
 "An optional callable that takes a single argument. It is called with "
 "information about the operations being performed."
-msgstr ""
+msgstr "Необязательный вызываемый объект, который принимает единственный аргумент. Вызывается с информацией о выполняемых операциях."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.pydocstring of
 #: calibre.ebooks.oeb.polish.css.remove_unused_css:4
 msgid ""
 "If True, class attributes in the HTML that do not match any CSS rules are "
 "also removed."
-msgstr ""
+msgstr "Если True, атрибуты класса в HTML, которые не соответствуют никаким правилам CSS, также удаляются."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.pydocstring of
 #: calibre.ebooks.oeb.polish.css.remove_unused_css:5
 msgid "If True, rules with identical selectors are merged."
-msgstr ""
+msgstr "Если True, правила с идентичными селекторами объединяются."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.pydocstring of
 #: calibre.ebooks.oeb.polish.css.filter_css:1
 msgid "Remove the specified CSS properties from all CSS rules in the book."
-msgstr ""
+msgstr "Удалить указанные свойства CSS из всех правил CSS в книге."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.pydocstring of
 #: calibre.ebooks.oeb.polish.css.filter_css:3
 msgid ""
 "Set of properties to remove. For example: :code:`{'font-family', 'color'}`."
-msgstr ""
+msgstr "Набор свойств для удаления. Например: :code:`{'font-family', 'color'}`."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/css.pydocstring of
 #: calibre.ebooks.oeb.polish.css.filter_css:4
 msgid ""
 "The files from which to remove the properties. Defaults to all HTML and CSS "
 "files in the book."
-msgstr ""
+msgstr "Файлы, из которых нужно удалить свойства. По умолчанию используются все файлы HTML и CSS в книге."
 
 #: ../../__w/calibre/calibre/manual/polish.rst:108
 msgid "Working with the Table of Contents"
@@ -819,29 +820,29 @@ msgid ""
 "expression in the list corresponds to a level of the generate ToC. For "
 "example: :code:`['//h:h1', '//h:h2', '//h:h3']` will generate a three level "
 "Table of Contents from the ``<h1>``, ``<h2>`` and ``<h3>`` tags."
-msgstr ""
+msgstr "Создать оглавление из списка выражений XPath. Каждое выражение в списке соответствует уровню создания ToC. Например: :code:`['//h:h1','//h:h2','//h:h3']` сгенерирует трехуровневую таблицу содержания из ``<h1>``, ``<h2>`` и ``<h3>`` тегов."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.pydocstring of
 #: calibre.ebooks.oeb.polish.toc.from_links:1
 msgid "Generate a Table of Contents from links in the book."
-msgstr ""
+msgstr "Создать оглавление из ссылок в книге."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.pydocstring of
 #: calibre.ebooks.oeb.polish.toc.from_files:1
 msgid "Generate a Table of Contents from files in the book."
-msgstr ""
+msgstr "Создать оглавление из файлов в книге."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.pydocstring of
 #: calibre.ebooks.oeb.polish.toc.create_inline_toc:1
 msgid ""
 "Create an inline (HTML) Table of Contents from an existing NCX Table of "
 "Contents."
-msgstr ""
+msgstr "Создать встроенное (HTML) оглавление из существующего оглавления NCX."
 
 #: ../../__w/calibre/calibre/src/calibre/ebooks/oeb/polish/toc.pydocstring of
 #: calibre.ebooks.oeb.polish.toc.create_inline_toc:3
 msgid "The title for this table of contents."
-msgstr ""
+msgstr "Заголовок этого оглавления."
 
 #: ../../__w/calibre/calibre/manual/polish.rst:122
 msgid "Edit book tool"
@@ -857,80 +858,80 @@ msgstr "Основа: :class:`object`"
 msgid ""
 "The base class for individual tools in an Edit Book plugin. Useful members "
 "include:"
-msgstr ""
+msgstr "Базовый класс для отдельных инструментов в плагине Edit Book. Среди полезных членов:"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool:3
 msgid ""
 "``self.plugin``: A reference to the :class:`calibre.customize.Plugin` object"
 " to which this tool belongs."
-msgstr ""
+msgstr "``self.plugin``: ссылка на объект :class:`calibre.customize.Plugin`, которому принадлежит этот инструмент."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool:4
 msgid "self. :attr:`boss`"
-msgstr ""
+msgstr "self. :attr:`boss`"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool:5
 msgid "self. :attr:`gui`"
-msgstr ""
+msgstr "self. :attr:`gui`"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool:7
 msgid "Methods that must be overridden in sub classes:"
-msgstr ""
+msgstr "Методы, которые необходимо переопределить в подклассах:"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool:9
 msgid ":meth:`create_action`"
-msgstr ""
+msgstr ":meth:`create_action`"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool:10
 msgid ":meth:`register_shortcut`"
-msgstr ""
+msgstr ":meth:`register_shortcut`"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.name:1
 msgid "Set this to a unique name it will be used as a key"
-msgstr ""
+msgstr "Установить уникальное имя, которое будет использоваться как ключ"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.allowed_in_toolbar:1
 msgid "If True the user can choose to place this tool in the plugins toolbar"
-msgstr ""
+msgstr "Если True, пользователь может разместить этот инструмент на панели инструментов плагинов."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.allowed_in_menu:1
 msgid "If True the user can choose to place this tool in the plugins menu"
-msgstr ""
+msgstr "Если True, пользователь может выбрать размещение этого инструмента в меню плагинов."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.toolbar_button_popup_mode:1
 msgid ""
 "The popup mode for the menu (if any) of the toolbar button. Possible values "
 "are 'delayed', 'instant', 'button'"
-msgstr ""
+msgstr "Всплывающий режим для меню (если есть) кнопки панели инструментов. Возможные значения: 'delayed', 'instant', 'button'."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.boss:1
 msgid ""
 "The :class:`calibre.gui2.tweak_book.boss.Boss` object. Used to control the "
 "user interface."
-msgstr ""
+msgstr "Объект :class:`calibre.gui2.tweak_book.boss.Boss`. Используется для управления пользовательским интерфейсом."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.gui:1
 msgid "The main window of the user interface"
-msgstr ""
+msgstr "Главное окно пользовательского интерфейса"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.current_container:1
 msgid ""
 "Return the current :class:`calibre.ebooks.oeb.polish.container.Container` "
 "object that represents the book being edited."
-msgstr ""
+msgstr "Вернуть текущий объект :class:`calibre.ebooks.oeb.polish.container.Container`, представляющий редактируемую книгу."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.register_shortcut:1
@@ -938,21 +939,21 @@ msgid ""
 "Register a keyboard shortcut that will trigger the specified ``qaction``. "
 "This keyboard shortcut will become automatically customizable by the user in"
 " the Keyboard section of the editor preferences."
-msgstr ""
+msgstr "Зарегистрируйте сочетание клавиш, которое будет запускать указанное действие ``qaction``. Это сочетание клавиш станет автоматически настраиваемым пользователем в разделе «Клавиатура» в настройках редактора."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.register_shortcut:4
 msgid ""
 "A QAction object, it will be triggered when the configured key combination "
 "is pressed by the user."
-msgstr ""
+msgstr "Объект QAction, он будет срабатывать, когда пользователь нажимает настроенную комбинацию клавиш."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.register_shortcut:6
 msgid ""
 "A unique name for this shortcut/action. It will be used internally, it must "
 "not be shared by any other actions in this plugin."
-msgstr ""
+msgstr "Уникальное имя для этого ярлыка/действия. Он будет использоваться для внутренних целей, он не должен использоваться другими действиями в этом плагине."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.register_shortcut:9
@@ -962,33 +963,33 @@ msgid ""
 "builtin shortcuts or shortcuts from user configuration/other plugins, they "
 "will be ignored. In that case, users will have to configure the shortcuts "
 "manually via Preferences. For example: ``default_keys=('Ctrl+J', 'F9')``."
-msgstr ""
+msgstr "Список сочетаний клавиш по умолчанию. Если не указано иное, ярлыки по умолчанию не будут установлены. Если указанные здесь ярлыки конфликтуют со встроенными ярлыками или ярлыками из пользовательской конфигурации/других плагинов, они будут проигнорированы. В этом случае пользователям придется настраивать ярлыки вручную в настройках. Например: ``default_keys=('Ctrl+J', 'F9')``."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.register_shortcut:15
 msgid ""
 "An optional short description of this action. If not specified the text from"
 " the QAction will be used."
-msgstr ""
+msgstr "Необязательное краткое описание этого действия. Если не указано иное, будет использован текст из QAction."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.register_shortcut:17
 msgid ""
 "An optional longer description of this action, it will be used in the "
 "preferences entry for this shortcut."
-msgstr ""
+msgstr "Необязательное более подробное описание этого действия, оно будет использовано в записи настроек для этого ярлыка."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.create_action:1
 msgid ""
 "Create a QAction that will be added to either the plugins toolbar or the "
 "plugins menu depending on ``for_toolbar``. For example::"
-msgstr ""
+msgstr "Создать QAction, который будет добавлен либо на панель инструментов плагинов, либо в меню плагинов в зависимости от ``for_toolbar``. Например::"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/plugin.pydocstring of
 #: calibre.gui2.tweak_book.plugin.Tool.create_action:19
 msgid "Method :meth:`register_shortcut`."
-msgstr ""
+msgstr "Метод :meth:`register_shortcut`."
 
 #: ../../__w/calibre/calibre/manual/polish.rst:131
 msgid "Controlling the editor's user interface"
@@ -999,31 +1000,31 @@ msgid ""
 "The e-book editor's user interface is controlled by a single global *Boss* "
 "object. This has many useful methods that can be used in plugin code to "
 "perform common tasks."
-msgstr ""
+msgstr "Пользовательский интерфейс редактора электронных книг управляется одним глобальным объектом *Boss*. У этого есть много полезных методов, которые можно использовать в коде плагина для выполнения общих задач."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.add_savepoint:1
 msgid "Create a restore checkpoint with the name specified as ``msg``"
-msgstr ""
+msgstr "Создать контрольную точку восстановления с именем, указываемым как ``msg``"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.apply_container_update_to_gui:1
 msgid ""
 "Update all the components of the user interface to reflect the latest data "
 "in the current book container."
-msgstr ""
+msgstr "Обновить все компоненты пользовательского интерфейса, чтобы отразить последние данные в текущем контейнере книги."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.apply_container_update_to_gui:3
 msgid ""
 "If True, the book will be marked as modified, so the user will be prompted "
 "to save it when quitting."
-msgstr ""
+msgstr "Если True, книга будет помечена как изменённая, поэтому пользователю будет предложено сохранить её при выходе."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.close_editor:1
 msgid "Close the editor that is editing the file specified by ``name``"
-msgstr ""
+msgstr "Закрыть редактор, который редактирует файл, указанный в ``name``."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.commit_all_editors_to_container:1
@@ -1031,90 +1032,90 @@ msgid ""
 "Commit any changes that the user has made to files open in editors to the "
 "container. You should call this method before performing any actions on the "
 "current container"
-msgstr ""
+msgstr "Зафиксировать любые изменения, внесённые пользователем в файлы, открытые в редакторах, в контейнер. Вы должны вызвать этот метод перед выполнением каких-либо действий с текущим контейнером."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.currently_editing:1
 msgid ""
 "Return the name of the file being edited currently or None if no file is "
 "being edited"
-msgstr ""
+msgstr "Вернуть имя редактируемого файла или None, если файл не редактируется."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.edit_file:1
 msgid "Open the file specified by name in an editor"
-msgstr ""
+msgstr "Открыть файл, указанный по имени, в редакторе"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.edit_file:3
 msgid ""
 "The media type of the file, for example, ``'text/html'``. If not specified "
 "it is guessed from the file extension."
-msgstr ""
+msgstr "Медиа-тип файла, например, ``text/html``. Если не указано, это определяется по расширению файла."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.edit_file:4
 msgid "A template to initialize the opened editor with"
-msgstr ""
+msgstr "Шаблон для инициализации открытого редактора с помощью"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.open_book:1
 msgid ""
 "Open the e-book at ``path`` for editing. Will show an error if the e-book is"
 " not in a supported format or the current book has unsaved changes."
-msgstr ""
+msgstr "Открыть электронную книгу по пути для редактирования. Будет отображена ошибка, если формат электронной книги не поддерживается или в текущей книге есть несохраненные изменения."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.open_book:3
 msgid ""
 "The name of a file inside the newly opened book to start editing. Can also "
 "be a list of names."
-msgstr ""
+msgstr "Имя файла во вновь открытой книге, чтобы начать редактирование. Также может быть список имен."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.rewind_savepoint:1
 msgid ""
 "Undo the previous creation of a restore checkpoint, useful if you create a "
 "checkpoint, then abort the operation with no changes"
-msgstr ""
+msgstr "Отменить предыдущее создание контрольной точки восстановления, полезно, если вы создаете контрольную точку, а затем прерываете операцию без изменений"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.save_book:1
 msgid "Save the book. Saving is performed in the background"
-msgstr ""
+msgstr "Сохранить книгу. Сохранение происходит в фоновом режиме"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.set_modified:1
 msgid "Mark the book as having been modified"
-msgstr ""
+msgstr "Отметить книгу как изменённую"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.show_current_diff:1
 msgid "Show the changes to the book from its last checkpointed state"
-msgstr ""
+msgstr "Показать изменения в книге по сравнению с последней контрольной точкой"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.show_current_diff:3
 msgid ""
 "If True the diff dialog will have a button to allow the user to revert all "
 "changes"
-msgstr ""
+msgstr "Если True, в диалоговом окне сравнения будет кнопка, позволяющая пользователю отменить все изменения."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.show_current_diff:4
 msgid ""
 "A container object to compare the current container to. If None, the "
 "previously checkpointed container is used"
-msgstr ""
+msgstr "Объект контейнера, с которым сравнивается текущий контейнер. Если None, используется контейнер с ранее установленной контрольной точкой."
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.show_editor:1
 msgid "Show the editor that is editing the file specified by ``name``"
-msgstr ""
+msgstr "Показать редактор, редактирующий файл, указанный в ``name``"
 
 #: ../../__w/calibre/calibre/src/calibre/gui2/tweak_book/boss.pydocstring of
 #: calibre.gui2.tweak_book.boss.Boss.sync_preview_to_editor:1
 msgid ""
 "Sync the position of the preview panel to the current cursor position in the"
 " current editor"
-msgstr ""
+msgstr "Синхронизировать положение панели предварительного просмотра с текущей позицией курсора в текущем редакторе"
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/server.po 5.10.0+dfsg-1/translations/manual/ru/server.po
--- 5.9.0+dfsg-3/translations/manual/ru/server.po	2020-10-01 03:16:17.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/server.po	2021-01-20 15:29:47.000000000 +0000
@@ -4,7 +4,7 @@
 # 
 # Translators:
 # Anton Bershanskiy <bershan2@illinois.edu>, 2017
-# ashed <craysy@gmail.com>, 2020
+# ashed <craysy@gmail.com>, 2020-2021
 # joshua ridney, 2015
 # Алексей Воробьёв <svbvap@gmail.com>, 2019
 # Родион Р., 2020
@@ -12,9 +12,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-10-01 03:09+0000\n"
-"PO-Revision-Date: 2020-09-28 02:43+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 05:30+0000\n"
+"Last-Translator: ashed <craysy@gmail.com>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -22,11 +22,11 @@ msgstr ""
 "Language: ru\n"
 "Plural-Forms: nplurals=4; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<12 || n%100>14) ? 1 : n%10==0 || (n%10>=5 && n%10<=9) || (n%100>=11 && n%100<=14)? 2 : 3);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:2
+#: ../../__w/calibre/calibre/manual/server.rst:2
 msgid "The calibre Content server"
 msgstr "Контент-сервер calibre"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:4
+#: ../../__w/calibre/calibre/manual/server.rst:4
 msgid ""
 "The calibre :guilabel:`Content server` allows you to access your calibre "
 "libraries and read books directly in a browser on your favorite mobile phone"
@@ -36,11 +36,11 @@ msgid ""
 "you can read it even when there is no internet connection."
 msgstr "calibre :guilabel:`Контент-сервер` позволяет вам получать доступ к своим библиотекам calibre и читать книги прямо в браузере на мобильном телефоне или планшете. В результате вам не нужно устанавливать на телефон какие-либо специальные приложения для чтения и управления книгами. Просто используйте браузер. Сервер загружает и сохраняет книгу, которую вы читаете, в автономном кэше, чтобы вы могли читать ее, даже если нет подключения к Интернету."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:13
+#: ../../__w/calibre/calibre/manual/server.rst:13
 msgid "Contents"
 msgstr "Содержание"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:15
+#: ../../__w/calibre/calibre/manual/server.rst:15
 msgid ""
 "To start the server, click the :guilabel:`Connect/share` button and choose "
 ":guilabel:`Start Content server`. You might get a message from your "
@@ -50,11 +50,11 @@ msgid ""
 "following address:"
 msgstr "Чтобы запустить сервер, нажмите кнопку :guilabel:`Соединиться/поделиться` и выберите :guilabel:` Запустить контент-сервер`. Вы можете получить сообщение от брандмауэра вашего компьютера или антивирусной программы с вопросом, можно ли разрешить доступ к ``calibre.exe``. Нажмите кнопку «Разрешить» или «ОК». Затем откройте браузер (предпочтительно Chrome или Firefox) на своем компьютере и введите следующий адрес:"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:22
+#: ../../__w/calibre/calibre/manual/server.rst:22
 msgid "http://127.0.0.1:8080"
 msgstr "http://127.0.0.1:8080"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:24
+#: ../../__w/calibre/calibre/manual/server.rst:24
 msgid ""
 "This will open a page in the browser showing you your calibre libraries, "
 "click on any one and browse the books in it. Click on a book, and it will "
@@ -63,7 +63,7 @@ msgid ""
 ":guilabel:`Read book` button to start reading the book."
 msgstr "Это откроет страницу в браузере, показывающую вам ваши библиотеки calibre, нажмите на любую и просмотрите книги в ней. Нажмите на книгу, и она покажет вам все метаданные о книге, а также кнопки для :guilabel:`Читать книгу` и :guilabel:`Скачать книгу`. Нажмите кнопку :guilabel:`Читать книгу`, чтобы начать чтение книги."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:30
+#: ../../__w/calibre/calibre/manual/server.rst:30
 msgid ""
 "The address used above ``http://127.0.0.1:8080`` will only work on the "
 "computer that is running calibre. To access the server from other "
@@ -71,11 +71,11 @@ msgid ""
 "described in the next section."
 msgstr "Адрес ``http: //127.0.0.1: 8080`` будет работать только на компьютере, на котором запущен calibre. Для доступа к серверу с других компьютеров/телефонов/планшетов и т. д. вам нужно будет проделать чуть больше работы, как описано в следующем разделе"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:37
+#: ../../__w/calibre/calibre/manual/server.rst:37
 msgid "Accessing the Content server from other devices"
 msgstr "Доступ к контент-серверу с других устройств"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:39
+#: ../../__w/calibre/calibre/manual/server.rst:39
 msgid ""
 "There are two types of remote device access that you will typically need. "
 "The first, simpler kind is from within your home network. If you are running"
@@ -84,11 +84,11 @@ msgid ""
 "access the server on those devices."
 msgstr "Существует два типа удаленного доступа к устройству, которые вам обычно необходимы. Первый, более простой вид - изнутри вашей домашней сети. Если вы используете calibre на компьютере в вашей домашней сети, и вы также подключили другие устройства к той же домашней сети, вы сможете легко получить доступ к серверу на этих устройствах."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:46
+#: ../../__w/calibre/calibre/manual/server.rst:46
 msgid "Accessing the server from devices on your home network"
 msgstr "Доступ к серверу с устройств в вашей домашней сети"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:48
+#: ../../__w/calibre/calibre/manual/server.rst:48
 msgid ""
 "After starting the server in calibre as described above, click the "
 ":guilabel:`Connect/share` button again. Instead of the :guilabel:`Start "
@@ -98,13 +98,13 @@ msgid ""
 "example::"
 msgstr "После запуска сервера calibre, как описано выше, снова нажмите кнопку :guilabel:`Соединиться/поделиться`. Вместо действия :guilabel:`Запустить контент-сервер` вы должны увидеть действие :guilabel:`Остановить контент-сервер`. Справа от этого действия будет указан IP-адрес и номер порта. Они выглядят как набор чисел, разделенных точками. Например::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:57
+#: ../../__w/calibre/calibre/manual/server.rst:57
 msgid ""
 "These numbers tell you what address to use to connect to the server in your "
 "devices. Following the example above, the address becomes::"
 msgstr "Эти цифры говорят вам, какой адрес использовать для подключения к серверу на ваших устройствах. Следуя приведенному выше примеру, адрес становится::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:62
+#: ../../__w/calibre/calibre/manual/server.rst:62
 msgid ""
 "The first part of the address is always ``http://`` the next part is the IP "
 "address, which is the numbers before the comma and finally we have the port "
@@ -113,24 +113,24 @@ msgid ""
 "calibre libraries on your device. If not, read on."
 msgstr "Первая часть адреса всегда ``http://``, следующая часть - это IP-адрес, который представляет собой числа перед запятой, и, наконец, у нас есть номер порта, который необходимо добавить к IP-адресу с двоеточием (``:``). Если вам повезет, это все, что вам нужно, и вы будете смотреть на библиотеки calibre на вашем устройстве. Если нет, то читайте дальше."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:70
+#: ../../__w/calibre/calibre/manual/server.rst:70
 msgid "Trouble-shooting the home network connection"
 msgstr "Устранение неполадок подключения к домашней сети"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:72
+#: ../../__w/calibre/calibre/manual/server.rst:72
 msgid ""
 "If you are unable to access the server from your device, try the following "
 "steps:"
 msgstr "Если вы не можете получить доступ к серверу с вашего устройства, попробуйте выполнить следующие действия:"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:75
+#: ../../__w/calibre/calibre/manual/server.rst:75
 msgid ""
 "Check that the server is running by opening the address "
 "``http://127.0.0.1:8080`` in a browser running on the same computer as the "
 "server."
 msgstr "Убедитесь, что сервер работает, открыв адрес ``http: //127.0.0.1: 8080`` в браузере, запущенном на том же компьютере, что и сервер."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:79
+#: ../../__w/calibre/calibre/manual/server.rst:79
 msgid ""
 "Check that your firewall/anti-virus is allowing connections to your computer"
 " on the port ``8080`` and to the calibre program. The easiest way to "
@@ -140,14 +140,14 @@ msgid ""
 "computer safe."
 msgstr "Убедитесь, что ваш брандмауэр/антивирус разрешает подключения к вашему компьютеру через порт ``8080`` и к программе calibre. Самый простой способ устранить брандмауэр/антивирус как источник проблем - временно отключить их оба, а затем попробовать подключиться. Прежде чем отключать брандмауэр, сначала необходимо отключиться от Интернета, чтобы обеспечить безопасность компьютера."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:86
+#: ../../__w/calibre/calibre/manual/server.rst:86
 msgid ""
 "Check that your device and computer are on the same network. This means they"
 " should both be connected to the same wireless router. In particular neither"
 " should be using a cellular or ISP provided direct-WiFi connection."
 msgstr "Убедитесь, что ваше устройство и компьютер находятся в одной сети. Это означает, что они оба должны быть подключены к одному беспроводному маршрутизатору. В частности, ни один из них не должен использовать сотовую связь или интернет-провайдер с прямым подключением."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:90
+#: ../../__w/calibre/calibre/manual/server.rst:90
 msgid ""
 "If you have non-standard networking setup, it might be that the IP address "
 "shown on the :guilabel:`Connect/share` menu is incorrect. In such a case you"
@@ -156,7 +156,7 @@ msgid ""
 "possible, it is not possible to give you a roadmap for doing so."
 msgstr "Если у вас нестандартные настройки сети, возможно, IP-адрес, указанный в меню :guilabel:`Соединиться/поделиться`, неверен. В таком случае вам придется самостоятельно определить, какой правильный IP-адрес использовать. К сожалению, учитывая бесконечное разнообразие возможных сетевых конфигураций, невозможно дать вам план действий для этого."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:97
+#: ../../__w/calibre/calibre/manual/server.rst:97
 msgid ""
 "If you have setup a username and password, first try it without that to see "
 "if it is causing issues. Some e-ink devices have browsers that do not handle"
@@ -165,16 +165,16 @@ msgid ""
 "``http://username:password@192.168.1.2:8080``."
 msgstr "Если вы настроили имя пользователя и пароль, попробуйте сначала без них, чтобы увидеть, вызывает ли это проблемы. Некоторые устройства e-ink имеют браузеры, которые не поддерживают аутентификацию. Иногда это можно обойти, включив имя пользователя и пароль в URL, например: ``http://username: password@192.168.1.2: 8080``."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:103
+#: ../../__w/calibre/calibre/manual/server.rst:103
 msgid ""
 "If you are stuck, you can always ask for help in the `calibre user forums`_."
 msgstr "Если вы застряли, вы всегда можете обратиться за помощью на `форумы пользователей calibre`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:107
+#: ../../__w/calibre/calibre/manual/server.rst:107
 msgid "Accessing the server from anywhere on the internet"
 msgstr "Доступ к серверу из любой точки интернета"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:111
+#: ../../__w/calibre/calibre/manual/server.rst:111
 msgid ""
 "Before doing this you should turn on username/password protection in the "
 "server, otherwise anyone in the world will be able to access your books. Go "
@@ -183,34 +183,34 @@ msgid ""
 "server`."
 msgstr "Перед этим вы должны включить защиту на сервере с указанием имени пользователя/пароля, иначе любой человек в мире сможет получить доступ к вашим книгам. Перейдите по адресу :guilabel:`Настройки->Поделиться->Поделиться по сети` и включите опцию :guilabel:`Требуется имя пользователя и пароль для доступа к контент-серверу`."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:117
+#: ../../__w/calibre/calibre/manual/server.rst:117
 msgid ""
 "While the particular details on setting up internet access vary depending on"
 " the network configuration and type of computer you are using, the basic "
 "schema is as follows."
 msgstr "Хотя конкретные сведения о настройке доступа в Интернет различаются в зависимости от конфигурации сети и типа используемого вами компьютера, основная схема выглядит следующим образом."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:121
+#: ../../__w/calibre/calibre/manual/server.rst:121
 msgid ""
 "Find out the external IP address of the computer you are going to run the "
 "server on. You can do that by visiting the site `What is my IP address "
 "<https://www.whatismyip.com/>`_ in a browser running on the computer."
 msgstr "Узнайте внешний IP-адрес компьютера, на котором вы собираетесь запустить сервер. Вы можете сделать это, посетив сайт `What is my IP address <https://www.whatismyip.com/>`_ в браузере, работающем на компьютере."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:125
+#: ../../__w/calibre/calibre/manual/server.rst:125
 msgid ""
 "If the computer is behind a router, enable port forwarding on the router to "
 "forward the port ``8080`` (or whatever port you choose to run the calibre "
 "Content server on) to the computer."
 msgstr "Если компьютер находится за маршрутизатором, включите переадресацию портов на маршрутизаторе, чтобы перенаправить порт ``8080`` (или любой другой порт, на котором вы хотите запустить контент-сервер calibre) на компьютер."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:129
+#: ../../__w/calibre/calibre/manual/server.rst:129
 msgid ""
 "Make sure the calibre server is allowed through any firewalls/anti-virus "
 "programs on your computer."
 msgstr "Убедитесь, что доступ к серверу calibre разрешен через любые брандмауэры/антивирусные программы на вашем компьютере."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:132
+#: ../../__w/calibre/calibre/manual/server.rst:132
 msgid ""
 "Now you should be able to access the server on any internet-connected device"
 " using the IP address you found in the first step. For example, if the IP "
@@ -219,14 +219,14 @@ msgid ""
 "``http://123.123.123.123:8080``."
 msgstr "Теперь вы сможете получить доступ к серверу на любом подключенном к Интернету устройстве, используя IP-адрес, который вы нашли в первом шаге. Например, если IP-адрес, который вы нашли, был ``123.123.123.123``, а порт, который вы используете для сервера calibre - ``8080``, адрес, который будет использоваться на вашем устройстве, станет: ``http://123.123 .123.123:8080``."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:138
+#: ../../__w/calibre/calibre/manual/server.rst:138
 msgid ""
 "Optionally, use a service like `no-ip <https://www.noip.com/free>`_ to setup"
 " an easy to remember address to use instead of the IP address you found in "
 "the first step."
 msgstr "При желании можно использовать службу типа no-ip <https://www.noip.com/free>`_, чтобы настроить легко запоминаемый адрес для использования вместо IP-адреса, найденного на первом шаге."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:143
+#: ../../__w/calibre/calibre/manual/server.rst:143
 msgid ""
 "For maximum security, you should also enable HTTPS on the content server. "
 "You can either do so directly in the server by providing the path to the "
@@ -235,11 +235,11 @@ msgid ""
 "existing HTTPS setup."
 msgstr "Для максимальной безопасности вы также должны включить HTTPS на контент-сервере. Вы можете сделать это непосредственно на сервере, указав путь к сертификату HTTPS для использования в дополнительных параметрах конфигурации для сервера, или настроить обратный прокси-сервер, как описано ниже, для использования существующей настройки HTTPS."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:151
+#: ../../__w/calibre/calibre/manual/server.rst:151
 msgid "The server interface"
 msgstr "Интерфейс сервера"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:153
+#: ../../__w/calibre/calibre/manual/server.rst:153
 msgid ""
 "The server interface is a simplified version of the main calibre interface, "
 "optimised for use with touch screens. The home screen shows you books you "
@@ -248,11 +248,11 @@ msgid ""
 "libraries, not just a single one, as before."
 msgstr "Интерфейс сервера - это упрощенная версия основного интерфейса  calibre, оптимизированная для использования с сенсорными экранами. На главном экране отображаются книги, которые вы сейчас читаете, а также можно выбрать библиотеку calibre, которую вы хотите просмотреть. calibre сервер предоставляет вам доступ ко всем вашим библиотекам, а не только к одной, как раньше."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:160
+#: ../../__w/calibre/calibre/manual/server.rst:160
 msgid "The book list"
 msgstr "Список книг"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:162
+#: ../../__w/calibre/calibre/manual/server.rst:162
 msgid ""
 "The server book list is a simple grid of covers. Tap on a cover to see the "
 "detailed metadata for a book, or to read the book. If you prefer a more "
@@ -260,7 +260,7 @@ msgid ""
 "vertical dots in the top right corner."
 msgstr "Список книг сервера представляет собой простую сетку обложек. Нажмите на обложку, чтобы увидеть подробные метаданные для книги или прочитать книгу. Если вы предпочитаете более подробный список, вы можете изменить вид по умолчанию, нажав на три вертикальные точки в верхнем правом углу."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:167
+#: ../../__w/calibre/calibre/manual/server.rst:167
 msgid ""
 "Sorting and searching of the book list should be familiar to calibre users. "
 "They can be accessed by clicking their icons in the top right area. They "
@@ -270,18 +270,18 @@ msgid ""
 "program."
 msgstr "Сортировка и поиск в списке книг должны быть знакомы пользователям calibre. Доступ к ним можно получить, щелкнув их значки в правом верхнем углу. Они оба работают точно так же, как в основной программе calibre. Страница поиска даже позволяет создавать поисковые запросы, нажимая на авторов/ теги и т. д., так же, как и в Браузере тегов в основной программе."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:173
+#: ../../__w/calibre/calibre/manual/server.rst:173
 msgid ""
 "A much loved feature of the main program, :guilabel:`Virtual libraries` is "
 "present in the server interface as well. Click the three vertical dots in "
 "the top right corner to choose a Virtual library."
 msgstr "Особо любимая особенность основной программы :guilabel:`Виртуальные библиотеки` также присутствует в интерфейсе сервера. Нажмите на три вертикальные точки в правом верхнем углу, чтобы выбрать виртуальную библиотеку."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:178
+#: ../../__w/calibre/calibre/manual/server.rst:178
 msgid "The book reader"
 msgstr "Читалка книг"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:180
+#: ../../__w/calibre/calibre/manual/server.rst:180
 msgid ""
 "You can read any book in your calibre library by simply tapping on it and "
 "then tapping the :guilabel:`Read book` button. The books reader is very "
@@ -290,7 +290,7 @@ msgid ""
 "detailed controls and viewer preferences."
 msgstr "Вы можете прочитать любую книгу в своей библиотеке calibre, просто нажав на неё, а затем нажав кнопку :guilabel:`Читать книгу`. Читалка книг очень проста в управлении. Вы можете нажать и провести пальцем, чтобы перевернуть страницы. Смахивание вверх/вниз пропускает между главами. При нажатии на верхнюю четверть экрана вы получите подробные элементы управления и настройки просмотра."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:186
+#: ../../__w/calibre/calibre/manual/server.rst:186
 msgid ""
 "If you leave the Content server running, you can even open the same book on "
 "multiple devices and it will remember your last read position. If it does "
@@ -298,11 +298,11 @@ msgid ""
 ":guilabel:`Sync`."
 msgstr "Если вы оставите сервер содержимого включенным, вы даже сможете открыть одну и ту же книгу на нескольких устройствах, и она запомнит вашу последнюю прочитанную позицию. Если это не так, вы можете вызвать синхронизацию, нажав в верхней четверти и выбрав :guilabel: `Sync`."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:192
+#: ../../__w/calibre/calibre/manual/server.rst:192
 msgid "Browser support"
 msgstr "Поддержка браузеров"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:194
+#: ../../__w/calibre/calibre/manual/server.rst:194
 msgid ""
 "The new calibre server makes lots of use of advanced HTML 5 and CSS 3 "
 "features. As such it requires an up-to-date browser to use. It has been "
@@ -310,36 +310,36 @@ msgid ""
 " desktop. It is known not to work with Internet Explorer and Microsoft Edge "
 "(hopefully Edge will start working when Microsoft gets around to "
 "implementing a few missing standards)."
-msgstr ""
+msgstr "В новом сервере calibre широко используются расширенные функции HTML 5 и CSS 3. Таким образом, для использования требуется современный браузер. Он был протестирован в Android Chrome и iOS Safari, а также в Chrome и Firefox на рабочем столе. Известно, что он не работает с Internet Explorer и Microsoft Edge (надеюсь, Edge начнет работать, когда Microsoft приступит к реализации нескольких недостающих стандартов)."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:201
+#: ../../__w/calibre/calibre/manual/server.rst:201
 msgid ""
 "The server is careful to use functionality that has either been already "
 "standardised or is on the standards track. As such if it does not currently "
 "work with your favorite browser, it probably will once that browser has "
 "caught up."
-msgstr ""
+msgstr "Сервер использует функциональные возможности, которые либо уже стандартизированы, либо находятся в соответствии со стандартами. Если он в настоящее время не работает с вашим любимым браузером, но, вероятно, будет работать, когда этот браузер догонит его по возможностям."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:206
+#: ../../__w/calibre/calibre/manual/server.rst:206
 msgid ""
 "If you are using a particularly old or limited browser or you don't like to "
 "run JavaScript, you can use the *mobile* view, by simply adding ``/mobile`` "
 "to the the server address."
-msgstr ""
+msgstr "Если вы используете особенно старый или ограниченный браузер или вам не нравится запускать JavaScript, вы можете использовать представление *mobile*, просто добавив ``/mobile`` к адресу сервера."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:211
+#: ../../__w/calibre/calibre/manual/server.rst:211
 msgid ""
 "On iOS, Apple allows only a single browser engine, so Firefox, Chrome and "
 "Safari are all actually the same browser under the hood. The new server "
 "interface requires iOS 10.3.2 or newer. On Android, the server has been "
 "tested with Chrome version 58 and newer."
-msgstr ""
+msgstr "В iOS Apple позволяет использовать только один движок браузера, поэтому Firefox, Chrome и Safari на самом деле являются одним и тем же браузером. Для нового серверного интерфейса требуется iOS 10.3.2 или новее. На Android сервер был протестирован с Chrome версии 58 и новее."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:217
+#: ../../__w/calibre/calibre/manual/server.rst:217
 msgid "Enabling offline support"
 msgstr "Включение режима автономной работы"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:219
+#: ../../__w/calibre/calibre/manual/server.rst:219
 msgid ""
 "Browser makers have been trying to force people to use SSL by disabling "
 "advanced features in their browsers for plain HTTP connections. One such "
@@ -347,153 +347,153 @@ msgid ""
 "to get offline support working. In addition, in Firefox on Android, you will"
 " need to type ``about:config`` and search for ``browser.tabs.useCache`` and "
 "toggle it to ``true``."
-msgstr ""
+msgstr "Производители браузеров пытались заставить людей использовать SSL, отключая расширенные функции в своих браузерах для простых HTTP-соединений. Одна из таких жертв - офлайн-поддержка. Поэтому вам может потребоваться включить HTTPS на сервере, чтобы обеспечить работу автономной поддержки. Кроме того, в Firefox на Android вам нужно будет ввести about: config, выполнить поиск по запросу browser.tabs.useCache и переключить его на true."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:227
+#: ../../__w/calibre/calibre/manual/server.rst:227
 msgid "Managing user accounts from the command-line only"
 msgstr "Управление пользовательскими аккаунтами с помощью командной строки"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:229
+#: ../../__w/calibre/calibre/manual/server.rst:229
 msgid ""
 "The calibre program has a nice section in :guilabel:`Preferences` to allow "
 "you to manage user accounts for the server. However, if you want to run the "
 "standalone server and cannot run the main calibre program on the same "
 "computer/user account, you can also manage users using just the command-"
 "line."
-msgstr ""
+msgstr "У calibre неплохой раздел в :guilabel:`Preferences`, позволяющий управлять учётными записями пользователей на сервере. Однако, если вы хотите запустить автономный сервер и не можете запустить основную программу calibre на том же компьютере/учетной записи пользователя, то можете управлять пользователями, используя командную строку."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:234
+#: ../../__w/calibre/calibre/manual/server.rst:234
 msgid ""
 "You can manage user accounts using the ``--manage-users`` option to the "
 "standalone ``calibre-server`` program. Suppose you want to store the user "
 "database in the directory ``/srv/calibre``, then you create it by running::"
-msgstr ""
+msgstr "Вы можете управлять учетными записями пользователей, используя параметр ``--manage-users`` в автономной программе ``calibre-server``. Предположим, вы хотите сохранить базу данных пользователей в каталоге ``/srv/calibre``, затем вы создаете её, запустив:"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:241
+#: ../../__w/calibre/calibre/manual/server.rst:241
 msgid ""
 "Just follow the prompts to create user accounts, set their permission, etc. "
 "Once you are done, you can run the server as::"
-msgstr ""
+msgstr "Просто следуйте инструкциям, чтобы создать учетные записи пользователей, установить их разрешения и т.д. Когда вы закончите, вы можете запустить сервер как::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:246
+#: ../../__w/calibre/calibre/manual/server.rst:246
 msgid "It will use the user accounts you created in the previous step."
-msgstr ""
+msgstr "Он будет использовать учетные записи пользователей, которые вы создали на предыдущем шаге."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:250
+#: ../../__w/calibre/calibre/manual/server.rst:250
 msgid "Integrating the calibre Content server into other servers"
 msgstr "Интеграция контент-сервера calibre с другими серверами"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:252
+#: ../../__w/calibre/calibre/manual/server.rst:252
 msgid ""
 "Here, we will show you how to integrate the calibre Content server into "
 "another server. The most common reason for this is to make use of SSL or to "
 "serve the calibre library as part of a larger site. The basic technique is "
 "to run the calibre server and setup a reverse proxy to it from the main "
 "server."
-msgstr ""
+msgstr "Здесь мы покажем вам, как интегрировать сервер контента calibre в другой сервер. Обычно для использования SSL или обслуживания библиотеки calibre как части более крупного сайта. Основной метод - запустить сервер calibre и настроить к нему обратный прокси с главного сервера."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:257
+#: ../../__w/calibre/calibre/manual/server.rst:257
 msgid ""
 "A reverse proxy is when your normal server accepts incoming requests and "
 "passes them onto the calibre server. It then reads the response from the "
 "calibre server and forwards it to the client. This means that you can simply"
 " run the calibre server as normal without trying to integrate it closely "
 "with your main server."
-msgstr ""
+msgstr "Обратный прокси-сервер - это когда ваш обычный сервер принимает входящие запросы и передает их серверу calibre. Затем он считывает ответ от сервера calibre и пересылает его клиенту. Это означает, что вы можете просто запустить сервер calibre как обычно, не пытаясь тесно интегрировать его с вашим основным сервером."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:264
+#: ../../__w/calibre/calibre/manual/server.rst:264
 msgid "Using a full virtual host"
 msgstr "Использование полностью виртуального хоста"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:266
+#: ../../__w/calibre/calibre/manual/server.rst:266
 msgid ""
 "The simplest configuration is to dedicate a full virtual host to the calibre"
 " server. In this case, run the calibre server as::"
-msgstr ""
+msgstr "Самая простая конфигурация - выделить полноценный виртуальный хост серверу calibre. В этом случае запустите сервер calibre как::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:271
+#: ../../__w/calibre/calibre/manual/server.rst:271
 msgid ""
 "Now setup the virtual host in your main server, for example, for nginx::"
-msgstr ""
+msgstr "Теперь настройте виртуальный хост на вашем основном сервере, например, для nginx::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:282
+#: ../../__w/calibre/calibre/manual/server.rst:282
 msgid "Or, for Apache::"
-msgstr ""
+msgstr "Или для Apache::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:297
+#: ../../__w/calibre/calibre/manual/server.rst:297
 msgid "Using a URL prefix"
 msgstr "Использование префикса URL-адреса"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:299
+#: ../../__w/calibre/calibre/manual/server.rst:299
 msgid ""
 "If you do not want to dedicate a full virtual host to calibre, you can have "
 "it use a URL prefix. Start the calibre server as::"
-msgstr ""
+msgstr "Если вы не хотите выделять полный виртуальный хост для calibre, вы можете использовать префикс URL. Запустите сервер calibre как::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:304
+#: ../../__w/calibre/calibre/manual/server.rst:304
 msgid ""
 "The key parameter here is ``--url-prefix /calibre``. This causes the Content"
 " server to serve all URLs prefixed by ``/calibre``. To see this in action, "
 "visit ``http://localhost:8080/calibre`` in your browser. You should see the "
 "normal Content server website, but now it will run under ``/calibre``."
-msgstr ""
+msgstr "Ключевым параметром здесь является ``--url-prefix/calibre``. В результате сервер содержимого будет обслуживать все URL-адреса с префиксом ``/calibre``. Чтобы увидеть это в действии, посетите в браузере ``http://localhost:8080/calibre``. Вы должны увидеть обычный веб-сайт сервера контента, но теперь он будет работать под именем ``/calibre``."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:306
+#: ../../__w/calibre/calibre/manual/server.rst:306
 msgid "With nginx, the required configuration is::"
-msgstr ""
+msgstr "Для nginx необходимая конфигурация::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:319
+#: ../../__w/calibre/calibre/manual/server.rst:319
 msgid ""
 "For Apache, first enable the proxy modules in Apache, by adding the "
 "following to :file:`httpd.conf`::"
-msgstr ""
+msgstr "Для Apache сначала включите прокси-модули в Apache, добавив следующее в :file:`httpd.conf`::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:324
+#: ../../__w/calibre/calibre/manual/server.rst:324
 msgid ""
 "The exact technique for enabling the proxy modules will vary depending on "
 "your Apache installation. Once you have the proxy modules enabled, add the "
 "following rules to :file:`httpd.conf` (or if you are using virtual hosts to "
 "the conf file for the virtual host in question)::"
-msgstr ""
+msgstr "Точный способ включения прокси-модулей будет зависеть от вашей установки Apache. После включения прокси-модулей добавьте следующие правила в :file:`httpd.conf` (или, если вы используете виртуальные хосты, в файл conf для рассматриваемого виртуального хоста):"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:331
+#: ../../__w/calibre/calibre/manual/server.rst:331
 msgid ""
 "That's all, you will now be able to access the calibre Content server under "
 "the ``/calibre`` URL in your main server. The above rules pass all requests "
 "under ``/calibre`` to the calibre server running on port 8080 and thanks to "
 "the ``--url-prefix`` option above, the calibre server handles them "
 "transparently."
-msgstr ""
+msgstr "Вот и всё, теперь вы сможете получить доступ к серверу содержимого calibre по URL-адресу ``/calibre`` на вашем основном сервере. Вышеупомянутые правила передают все запросы из раздела ``/calibre`` серверу calibre, работающему на порту 8080, и благодаря указанному выше параметру ``--url-prefix`` сервер calibre обрабатывает их прозрачно."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:336
+#: ../../__w/calibre/calibre/manual/server.rst:336
 msgid ""
 "When using a reverse proxy, you should tell the calibre Content server to "
 "only listen on localhost, by using ``--listen-on 127.0.0.1``. That way, the "
 "server will only listen for connections coming from the same computer, i.e. "
 "from the reverse proxy."
-msgstr ""
+msgstr "При использовании обратного прокси-сервера вы должны указать серверу контента calibre прослушивать только локальный хост, используя параметр ``--listen-on 127.0.0.1``. Таким образом, сервер будет прослушивать соединения только с того же компьютера, то есть с обратного прокси."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:343
+#: ../../__w/calibre/calibre/manual/server.rst:343
 msgid ""
 "If you have setup SSL for your main server, you should tell the calibre "
 "server to use basic authentication instead of digest authentication, as it "
 "is faster. To do so, pass the ``--auth-mode=basic`` option to ``calibre-"
 "server``."
-msgstr ""
+msgstr "Если вы настроили SSL для вашего основного сервера, вы должны указать серверу calibre использовать базовую аутентификацию вместо digest-аутентификации, так как это быстрее. Для этого передайте параметр ``--auth-mode=basic`` в ``calibre-server``."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:352
+#: ../../__w/calibre/calibre/manual/server.rst:352
 msgid "Creating a service for the calibre server on a modern Linux system"
 msgstr "Создание сервиса для сервера calibre в современной системе Linux"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:354
+#: ../../__w/calibre/calibre/manual/server.rst:354
 msgid ""
 "You can easily create a service to run calibre at boot on a modern (`systemd"
 " <https://www.freedesktop.org/wiki/Software/systemd/>`_) based Linux system."
 " Just create the file ``/etc/systemd/system/calibre-server.service`` with "
 "the contents shown below::"
-msgstr ""
+msgstr "Вы можете легко создать службу для запуска calibre при загрузке в современной системе Linux (`systemd <https://www.freedesktop.org/wiki/Software/systemd/>`_). Просто создайте файл ``/etc/systemd/system/calibre-server.service`` с содержимым, показанным ниже::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:373
+#: ../../__w/calibre/calibre/manual/server.rst:373
 msgid ""
 "Change ``mylinuxuser`` and ``mylinuxgroup`` to whatever user and group you "
 "want the server to run as. This should be the same user and group that own "
@@ -501,28 +501,28 @@ msgid ""
 "good idea to run the server as root. Also change the path to the calibre "
 "library directory to suit your system. You can add multiple libraries if "
 "needed. See the help for the ``calibre-server`` command."
-msgstr ""
+msgstr "Измените ``mylinuxuser`` и ``mylinuxgroup`` на любого пользователя и группу, от имени которых вы хотите, чтобы сервер работал. Это должен быть тот же пользователь и группа, которым принадлежат файлы в каталоге библиотеки calibre. Обратите внимание, что обычно запускать сервер от имени пользователя ``root`` - не лучшая идея. Также измените путь к каталогу библиотеки calibre, чтобы он соответствовал вашей системе. При необходимости вы можете добавить несколько библиотек. См. Справку по команде ``calibre-server``."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:380
+#: ../../__w/calibre/calibre/manual/server.rst:380
 msgid "Now run::"
-msgstr ""
+msgstr "Теперь запустите::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:384
+#: ../../__w/calibre/calibre/manual/server.rst:384
 msgid "to start the server. Check its status with::"
-msgstr ""
+msgstr "для запуска сервера. Проверьте его статус::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:388
+#: ../../__w/calibre/calibre/manual/server.rst:388
 msgid "To make it start at boot, run::"
-msgstr ""
+msgstr " Чтобы он запускался при загрузке, запустите::"
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:394
+#: ../../__w/calibre/calibre/manual/server.rst:394
 msgid ""
 "The calibre server *does not* need a running X server, but it does need the "
 "X libraries installed as some components it uses link against them."
-msgstr ""
+msgstr "Серверу calibre *не* нужен работающий X-сервер, но ему нужны установленные X-библиотеки, поскольку некоторые компоненты, которые он использует, связаны с ними."
 
-#: ../../home/runner/work/calibre/calibre/manual/server.rst:399
+#: ../../__w/calibre/calibre/manual/server.rst:399
 msgid ""
 "The calibre server also supports systemd socket activation, so you can use "
 "that, if needed, as well."
-msgstr ""
+msgstr "Сервер calibre также поддерживает активацию сокета systemd, так что вы также можете использовать его при необходимости."
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/snippets.po 5.10.0+dfsg-1/translations/manual/ru/snippets.po
--- 5.9.0+dfsg-3/translations/manual/ru/snippets.po	2020-09-02 05:29:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/snippets.po	2021-01-20 15:31:03.000000000 +0000
@@ -3,15 +3,15 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# ashed <craysy@gmail.com>, 2020
+# ashed <craysy@gmail.com>, 2020-2021
 # Vladislav <yobabay23@gmail.com>, 2015
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-09-02 05:23+0000\n"
-"PO-Revision-Date: 2020-09-01 05:11+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-15 18:53+0000\n"
+"Last-Translator: ashed <craysy@gmail.com>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -19,11 +19,11 @@ msgstr ""
 "Language: ru\n"
 "Plural-Forms: nplurals=4; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<12 || n%100>14) ? 1 : n%10==0 || (n%10>=5 && n%10<=9) || (n%100>=11 && n%100<=14)? 2 : 3);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:2
+#: ../../__w/calibre/calibre/manual/snippets.rst:2
 msgid "Snippets"
 msgstr "Фрагменты"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:6
+#: ../../__w/calibre/calibre/manual/snippets.rst:6
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
@@ -31,9 +31,9 @@ msgid ""
 "suppose you often find yourself inserting link tags when editing HTML files,"
 " then you can simply type ``<a`` in the editor and press |ct|. The editor "
 "will expand it to::"
-msgstr ""
+msgstr "Редактор calibre поддерживает *фрагменты*. Фрагмент - это фрагмент текста, который часто используется повторно или содержит много избыточного текста. Редактор позволяет вставить фрагмент с помощью всего нескольких нажатий клавиш. Например, предположим, что вы часто вставляете теги ссылок при редактировании файлов HTML, тогда вы можете просто набрать ``<a`` в редакторе и нажать |ct|. Редактор расширит его до::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:15
+#: ../../__w/calibre/calibre/manual/snippets.rst:15
 msgid ""
 "Not only that, the word ``filename`` will be selected, with the cursor "
 "placed over it, so that you can easily type in the real filename, using the "
@@ -43,40 +43,40 @@ msgid ""
 "the link."
 msgstr "Кроме того, будет выбрано слово ``filename`` с курсором, расположенным над ним, чтобы вы могли легко ввести настоящее имя файла, используя отличную функцию редактора :ref:`editor_auto_complete`. И как только вы закончите вводить имя файла, нажмите |ct| снова, и курсор переместится на позицию между тегами ``<a>``, чтобы вы могли легко ввести текст для ссылки."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:21
+#: ../../__w/calibre/calibre/manual/snippets.rst:21
 msgid ""
 "The snippets system in the editor is very sophisticated, there are a few "
 "built-in snippets and you can create your own to suit your editing style."
 msgstr "Система фрагментов в редакторе очень сложна, есть несколько встроенных фрагментов, и вы можете создать свой собственный в соответствии со своим стилем редактирования."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:24
+#: ../../__w/calibre/calibre/manual/snippets.rst:24
 msgid ""
 "The following discussion of the built-in snippets should help illustrate the"
 " power of the snippets system."
 msgstr "Следующее обсуждение встроенных фрагментов должно помочь проиллюстрировать мощь системы фрагментов."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:28
+#: ../../__w/calibre/calibre/manual/snippets.rst:28
 msgid ""
 "You can also use snippets in the text entry fields in the :guilabel:`Search "
 "& replace` panel, however, placeholders (using |ct| to jump around) will not"
 " work."
 msgstr "Вы также можете использовать фрагменты в полях ввода текста на панели :guilabel:`Search & replace`, однако заполнители (использующие |ct| для перемещения) не будут работать."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:33
+#: ../../__w/calibre/calibre/manual/snippets.rst:33
 msgid "The built-in snippets"
 msgstr "Встроенные фрагменты"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:35
+#: ../../__w/calibre/calibre/manual/snippets.rst:35
 msgid ""
 "The built-in snippets are described below. Note that you can override them "
 "by creating your own snippets with the same trigger text."
 msgstr "Встроенные фрагменты описаны ниже. Обратите внимание, что вы можете переопределить их, создав собственные фрагменты с тем же текстом триггера."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:39
+#: ../../__w/calibre/calibre/manual/snippets.rst:39
 msgid "Inserting filler text [Lorem]"
 msgstr "Вставка заполнителя текста [Lorem]"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:41
+#: ../../__w/calibre/calibre/manual/snippets.rst:41
 msgid ""
 "The first built-in snippet, and the simplest is used to insert filler text "
 "into a document. The filler text is taken from `De finibus bonorum et "
@@ -86,7 +86,7 @@ msgid ""
 " paragraphs of filler."
 msgstr "Первый встроенный фрагмент и самый простой используется для вставки текста-заполнителя в документ. Текст заполнителя взят из `De finibus bonorum et malorum <https://en.wikipedia.org/wiki/De_finibus_bonorum_et_malorum>`_ философского труда Цицерона (перевод на английский). Чтобы использовать его, просто наберите ``Lorem`` в HTML-файле и нажмите |ct|. Он будет заменен парой абзацев заполнителя."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:48
+#: ../../__w/calibre/calibre/manual/snippets.rst:48
 msgid ""
 "The definition of this snippet is very simple, the trigger text is defined "
 "as ``Lorem`` and the template is defined simply as the literal text to be "
@@ -94,25 +94,25 @@ msgid ""
 "text."
 msgstr "Определение этого фрагмента очень просто, текст триггера определяется как ``Lorem``, а шаблон определяется просто как текст, который нужно вставить. Вы можете легко настроить его, чтобы использовать вашу любимую форму текста заполнителя."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:53
+#: ../../__w/calibre/calibre/manual/snippets.rst:53
 msgid "Inserting a self-closing HTML tag [<>]"
 msgstr "Вставка самозакрывающегося тега HTML [<>]"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:55
+#: ../../__w/calibre/calibre/manual/snippets.rst:55
 msgid ""
 "Now let's look at a simple example of the powerful concept of "
 "*placeholders*. Say you want to insert the self-closing tag ``<hr/>``. Just "
 "type ``<>``, and press |ct|, the editor will expand the snippet to::"
 msgstr "Теперь давайте рассмотрим простой пример мощной концепции *заполнителей*. Скажем, вы хотите вставить самозакрывающийся тег ``<hr/>``. Просто введите ``<>`` и нажмите |ct|, редактор расширит фрагмент до::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:61
+#: ../../__w/calibre/calibre/manual/snippets.rst:61
 msgid ""
 "Here, the ``|`` symbol represents the current cursor position. You can then "
 "type ``hr`` and press |ct| to move the cursor to after the end of the tag. "
 "This snippet is defined as::"
 msgstr "Здесь символ ``|`` представляет текущую позицию курсора. Затем вы можете набрать ``hr`` и нажать |ct| переместить курсор в конец тега. Этот фрагмент определен как::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:68
+#: ../../__w/calibre/calibre/manual/snippets.rst:68
 msgid ""
 "Placeholders are simply the dollar ($) sign followed by a number. When the "
 "snippet is expanded by pressing |ct| the cursor is positioned at the first "
@@ -121,11 +121,11 @@ msgid ""
 "next higher number)."
 msgstr "Заполнители - это просто знак доллара ($), за которым следует число. Когда фрагмент раскрывается нажатием |ct| курсор помещается на первый заполнитель (заполнитель с наименьшим номером). Когда вы нажимаете |ct| снова курсор переходит к следующему заполнителю (заполнителю со следующим большим номером)."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:75
+#: ../../__w/calibre/calibre/manual/snippets.rst:75
 msgid "Inserting an HTML link tag [<a]"
 msgstr "Вставить тег ссылка HTML [<a]"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:77
+#: ../../__w/calibre/calibre/manual/snippets.rst:77
 msgid ""
 "HTML link tags all share a common structure. They have an ``href`` attribute"
 " and some text between the opening and closing tags. A snippet to make "
@@ -134,7 +134,7 @@ msgid ""
 "editor will expand this to::"
 msgstr "Все теги HTML-ссылок имеют общую структуру. У них есть атрибут ``href`` и некоторый текст между открывающим и закрывающим тегами. Фрагмент для более эффективного их набора познакомит нас с некоторыми функциями заполнителей. Чтобы использовать этот фрагмент, просто введите ``<a`` и нажмите |ct|. Редактор расширит это до::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:85
+#: ../../__w/calibre/calibre/manual/snippets.rst:85
 msgid ""
 "Not only that, the word ``filename`` will be selected, with the cursor "
 "placed over it, so that you can easily type in the real filename, using the "
@@ -145,7 +145,7 @@ msgid ""
 "the point after the closing tag.  This snippet is defined as::"
 msgstr "Кроме того, будет выбрано слово ``filename`` с курсором, расположенным над ним, чтобы вы могли легко ввести настоящее имя файла, используя отличную функцию редактора :ref:`editor_auto_complete`. И как только вы закончите вводить имя файла, нажмите |ct| снова, и курсор переместится на позицию между тегами ``<a>``, чтобы вы могли легко ввести текст для ссылки. После того, как вы закончите ввод текста, нажмите |ct| снова, чтобы перейти к точке после закрывающего тега. Этот фрагмент определен как ::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:96
+#: ../../__w/calibre/calibre/manual/snippets.rst:96
 msgid ""
 "There are a couple of new features here. First the ``$1`` placeholder has "
 "become more complex. It now includes some *default text* (the word "
@@ -157,7 +157,7 @@ msgid ""
 " a placeholder by using the syntax: ``${<number>:default text}``."
 msgstr "Здесь есть пара новых функций. Сначала заполнитель ``$1`` стал более сложным. Теперь он включает в себя некоторый *текст по умолчанию* (слово ``filename``). Если заполнитель содержит текст по умолчанию, то текст по умолчанию заменяется заполнителем при раскрытии фрагмента. Также при переходе к заполнителю с текстом по умолчанию с помощью |ct| выбирается текст по умолчанию. Таким образом, вы можете использовать текст по умолчанию, чтобы напоминать вам о необходимости заполнения важных частей шаблона. Вы можете указать текст по умолчанию для заполнителя, используя синтаксис: ``${<number>:текст по умолчанию}``."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:105
+#: ../../__w/calibre/calibre/manual/snippets.rst:105
 msgid ""
 "The other new feature is that the second placeholder has an asterisk after "
 "it (``${2*}``). This means that any text that was selected before expanding "
@@ -166,35 +166,35 @@ msgid ""
 "again, the template will be expanded to::"
 msgstr "Другая новая особенность заключается в том, что второй заполнитель имеет звездочку после него (``${2*}``). Это означает, что любой текст, который был выбран перед расширением шаблона, заменяется заполнителем. Чтобы увидеть это в действии, выделите текст в редакторе, нажмите |ct|, введите ``<a`` и нажмите |ct| снова шаблон будет расширен до::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:114
+#: ../../__w/calibre/calibre/manual/snippets.rst:114
 msgid "Inserting a HTML image tag [<i]"
 msgstr "Вставить тег изображение HTML [<i]"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:116
+#: ../../__w/calibre/calibre/manual/snippets.rst:116
 msgid ""
 "This is very similar to inserting an HTML link, as we saw above. It allows "
 "you to quickly input an ``<img src=\"filename\" alt=\"description\" />`` tag"
 " and jump between the ``src`` and ``alt`` attributes::"
 msgstr "Это очень похоже на вставку HTML-ссылки, как мы видели выше. Он позволяет быстро вводить тег ``<img src=\"filename\" alt=\"description\" />`` и переходить между атрибутами ``src`` и ``alt``::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:124
+#: ../../__w/calibre/calibre/manual/snippets.rst:124
 msgid "Insert an arbitrary HTML tag [<<]"
 msgstr "Вставить произвольный тег HTML [<<]"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:126
+#: ../../__w/calibre/calibre/manual/snippets.rst:126
 msgid ""
 "This allows you to insert an arbitrary full HTML tag (or wrap previously "
 "selected text in the tag). To use it, simply type ``<<`` and press |ct|. The"
 " editor will expand it to::"
 msgstr "Это позволяет вставлять произвольный полный тег HTML (или переносить ранее выделенный текст в теге). Чтобы использовать его, просто введите ``<<`` и нажмите |ct|. Редактор расширит его до::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:132
+#: ../../__w/calibre/calibre/manual/snippets.rst:132
 msgid ""
 "Type the tag name, for example: ``span`` and press |ct|, that will result "
 "in::"
 msgstr "Введите имя тега, например: ``span`` и нажмите |ct|, что приведет к::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:136
+#: ../../__w/calibre/calibre/manual/snippets.rst:136
 msgid ""
 "You will note that the closing tag has been automatically filled with "
 "``span``. This is achieved with yet another feature of placeholders, "
@@ -204,35 +204,35 @@ msgid ""
 "position, when you press |ct|. The definition for this snippet is::"
 msgstr "Вы заметите, что закрывающий тег был автоматически заполнен ``span``. Это достигается с помощью еще одной функции заполнителей, *зеркальное отображение*. Зеркалирование просто означает, что если вы указали образец заполнителя более одного раза в шаблоне, вторая и все последующие позиции будут автоматически заполнены тем, что вы вводите в первой позиции, когда вы нажимаете |ct|. Определение этого фрагмента::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:146
+#: ../../__w/calibre/calibre/manual/snippets.rst:146
 msgid ""
 "As you can see, the first placeholder ($1) has been specified twice, the "
 "second time in the closing tag, which will simply copy whatever you type in "
 "the opening tag."
 msgstr "Как видите, первый заполнитель ($1) был указан дважды, второй раз в закрывающем теге, который просто скопирует всё, что вы введете в открывающий тег."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:151
+#: ../../__w/calibre/calibre/manual/snippets.rst:151
 msgid "Inserting an arbitrary HTML tag with a class attribute [<c]"
 msgstr "Вставка произвольного тега HTML с атрибутом класса [<c]"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:153
+#: ../../__w/calibre/calibre/manual/snippets.rst:153
 msgid ""
 "This is very similar to the insert arbitrary tag example above, except that "
 "it assumes that you want to specify a class for the tag::"
 msgstr "Это очень похоже на пример вставки произвольного тега выше, за исключением того, что предполагается, что вы хотите указать класс для тега::"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:159
+#: ../../__w/calibre/calibre/manual/snippets.rst:159
 msgid ""
 "This will allow you to first type the tag name, press |ct|, type the class "
 "name, press |ct| type the contents of the tag and press |ct| one last time "
 "to jump out of the tag. The closing tag will be auto-filled."
 msgstr "Это позволит вам сначала ввести имя тега, нажать |ct|, ввести имя класса, нажать |ct|, ввести содержимое тега и нажав |ct| в последний раз, выпрыгнуть из тега. Закрывающий тег будет заполнен автоматически."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:165
+#: ../../__w/calibre/calibre/manual/snippets.rst:165
 msgid "Creating your own snippets"
 msgstr "Создание собственных фрагментов"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:167
+#: ../../__w/calibre/calibre/manual/snippets.rst:167
 msgid ""
 "Snippets really shine because you can create your own to suit your editing "
 "style. To create your own snippets go to "
@@ -242,7 +242,7 @@ msgid ""
 " dialog that looks like:"
 msgstr "Фрагменты действительно блестящая вещь, потому что вы можете создать свой собственный, для соответствия своему стилю редактирования. Чтобы создать свои собственные фрагменты, перейдите в :guilabel:`Edit-> Preferences-> Settings Editor-> Manage snippets` в редакторе. Появится простой в использовании диалог, который поможет вам создать свои собственные фрагменты. Просто нажмите кнопку :guilabel:`Добавить фрагмент`, и вы увидите диалоговое окно, которое выглядит следующим образом:"
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:178
+#: ../../__w/calibre/calibre/manual/snippets.rst:178
 msgid ""
 "First give your snippet a name, something descriptive, to help identify the "
 "snippet in the future. Then specify the *trigger*. A trigger is simply the "
@@ -250,7 +250,7 @@ msgid ""
 "expand the snippet."
 msgstr "Сначала дайте вашему фрагменту имя, что-то описательное, чтобы помочь идентифицировать фрагмент в будущем. Затем укажите *триггер*. Триггер - это просто текст, который вы должны напечатать в редакторе, прежде чем нажимать |ct| чтобы расширить фрагмент."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:183
+#: ../../__w/calibre/calibre/manual/snippets.rst:183
 msgid ""
 "Then specify the snippet template. You should start with one of the example "
 "above and modify it to suit your needs. Finally, specify which file types "
@@ -259,7 +259,7 @@ msgid ""
 "types."
 msgstr "Затем укажите шаблон сниппета. Вам следует начать с одного из приведенных выше примеров и изменить его в соответствии с вашими потребностями. Наконец, укажите, для каких типов файлов вы хотите, чтобы фрагмент был активным. Таким образом, вы можете иметь несколько фрагментов с одинаковым текстом триггера, которые работают по-разному в разных типах файлов."
 
-#: ../../home/runner/work/calibre/calibre/manual/snippets.rst:188
+#: ../../__w/calibre/calibre/manual/snippets.rst:188
 msgid ""
 "The next step is to test your newly created snippet. Use the "
 ":guilabel:`Test` box at the bottom. Type in the trigger text and press |ct| "
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/sphinx.po 5.10.0+dfsg-1/translations/manual/ru/sphinx.po
--- 5.9.0+dfsg-3/translations/manual/ru/sphinx.po	2020-12-10 03:01:24.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/sphinx.po	2021-01-20 15:30:06.000000000 +0000
@@ -4,15 +4,16 @@
 # 
 # Translators:
 # Aleksandr Ryzhov, 2017
+# ashed <craysy@gmail.com>, 2021
 # Родион Р., 2020
 # Родион Р., 2019
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-28 09:15+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-16 06:22+0000\n"
+"Last-Translator: ashed <craysy@gmail.com>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -20,37 +21,37 @@ msgstr ""
 "Language: ru\n"
 "Plural-Forms: nplurals=4; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<12 || n%100>14) ? 1 : n%10==0 || (n%10>=5 && n%10<=9) || (n%100>=11 && n%100<=14)? 2 : 3);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:243
+#: ../../__w/calibre/calibre/manual/templates/layout.html:243
 msgid "&#169; <a href=\"%(path)s\">Copyright</a> %(copyright)s."
-msgstr ""
+msgstr "&#169; <a href=\"%(path)s\">Copyright</a>%(copyright)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:245
+#: ../../__w/calibre/calibre/manual/templates/layout.html:245
 msgid "&#169; Copyright %(copyright)s."
-msgstr ""
+msgstr "&#169; Копирайт %(copyright)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:249
+#: ../../__w/calibre/calibre/manual/templates/layout.html:249
 msgid "Last updated on %(last_updated)s."
-msgstr ""
+msgstr "Последнее обновление %(last_updated)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/layout.html:252
+#: ../../__w/calibre/calibre/manual/templates/layout.html:252
 msgid ""
 "Created using <a href=\"https://www.sphinx-doc.org/\">Sphinx</a> "
 "%(sphinx_version)s."
-msgstr ""
+msgstr "Создано с использованием <a href=\"https://www.sphinx-doc.org/\">Sphinx</a> %(sphinx_version)s."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:8
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:10
-#: ../../home/runner/work/calibre/calibre/manual/templates/searchbox.html:6
+#: ../../__w/calibre/calibre/manual/templates/search.html:8
+#: ../../__w/calibre/calibre/manual/templates/search.html:10
+#: ../../__w/calibre/calibre/manual/templates/searchbox.html:6
 msgid "Search"
 msgstr "Поиск"
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:12
+#: ../../__w/calibre/calibre/manual/templates/search.html:12
 msgid ""
 "Please activate JavaScript to enable the search\n"
 "    functionality."
 msgstr "Пожалуйста, активируйте JavaScript, чтобы включить\n    возможность поиска."
 
-#: ../../home/runner/work/calibre/calibre/manual/templates/search.html:16
+#: ../../__w/calibre/calibre/manual/templates/search.html:16
 msgid ""
 "From here you can search the User Manual. Enter your search\n"
 "    words into the box below and click \"search\".\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/stats.json 5.10.0+dfsg-1/translations/manual/ru/stats.json
--- 5.9.0+dfsg-3/translations/manual/ru/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 1943,
-    "untranslated": 1082
+    "translated": 2329,
+    "untranslated": 702
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/template_lang.po 5.10.0+dfsg-1/translations/manual/ru/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ru/template_lang.po	2021-01-06 15:34:29.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/template_lang.po	2021-01-20 15:28:53.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
@@ -714,8 +714,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -856,6 +856,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -865,14 +871,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -880,33 +886,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -915,7 +921,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -925,7 +931,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -933,7 +939,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -941,27 +947,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -969,7 +975,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -978,7 +984,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -986,7 +992,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -996,7 +1002,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1004,7 +1010,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1012,7 +1018,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1021,53 +1027,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1079,17 +1085,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1098,17 +1104,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1118,19 +1124,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1140,20 +1146,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1165,11 +1171,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1179,14 +1185,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1194,26 +1200,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1223,13 +1229,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1239,50 +1245,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1292,13 +1298,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1308,18 +1314,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1330,24 +1336,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1360,29 +1366,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1391,11 +1397,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1403,11 +1409,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1418,27 +1424,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1452,11 +1458,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1466,35 +1472,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1502,20 +1508,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1523,11 +1529,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1538,18 +1544,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1559,25 +1565,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1585,11 +1591,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr "Шаблоны и коммутации"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1600,7 +1606,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1611,7 +1617,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1620,29 +1626,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1654,7 +1660,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1664,7 +1670,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1673,39 +1679,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "В коммутации полю можно назначить соответствующее его типу пустое значение при помощи специального шаблона ``{}``. Он всегда соответствует пустой строке."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/url_scheme.po 5.10.0+dfsg-1/translations/manual/ru/url_scheme.po
--- 5.9.0+dfsg-3/translations/manual/ru/url_scheme.po	2021-01-06 15:36:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/url_scheme.po	2021-01-20 15:31:02.000000000 +0000
@@ -6,16 +6,16 @@
 # Translators:
 # Kovid Goyal <kovid@kovidgoyal.net>, 2020
 # Родион Р., 2020
-# ashed <craysy@gmail.com>, 2020
+# ashed <craysy@gmail.com>, 2021
 # 
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.8.1\n"
+"Project-Id-Version: calibre 5.9.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
 "PO-Revision-Date: 2020-11-12 05:43+0000\n"
-"Last-Translator: ashed <craysy@gmail.com>, 2020\n"
+"Last-Translator: ashed <craysy@gmail.com>, 2021\n"
 "Language-Team: Russian (https://www.transifex.com/calibre/teams/19337/ru/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -106,6 +106,10 @@ msgid ""
 ":guilabel:`Click to open` link in the :guilabel:`Book details` panel, it is "
 "the number in brackets at the end of the path to the book folder."
 msgstr ""
+"Показ книги с `` book_id '' (число) в calibre. Идентификаторы книг можно "
+"увидеть в интерфейсе calibre, наведя курсор на ссылку :guilabel:`Нажмите, "
+"чтобы открыть` на панели :guilabel:`Book details`. Это число в скобках в "
+"конце пути к папке с книгами."
 
 #: ../../__w/calibre/calibre/manual/url_scheme.rst:56
 msgid ""
@@ -113,6 +117,9 @@ msgid ""
 "clicking the :guilabel:`Book details` panel and choosing :guilabel:`Copy "
 "link to book`."
 msgstr ""
+"Вы можете скопировать ссылку на текущую книгу, показанную в calibre, щёлкнув"
+" правой в :guilabel:`Панели описания книги` и выбрав :guilabel:`Копировать "
+"ссылку на книгу`."
 
 #: ../../__w/calibre/calibre/manual/url_scheme.rst:61
 msgid "Open a specific book in the E-book viewer at a specific position"
diff -pruN 5.9.0+dfsg-3/translations/manual/ru/viewer.po 5.10.0+dfsg-1/translations/manual/ru/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ru/viewer.po	2021-01-06 15:35:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ru/viewer.po	2021-01-20 15:29:40.000000000 +0000
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# ashed <craysy@gmail.com>, 2020
+# ashed <craysy@gmail.com>, 2020-2021
 # Gulnara <gulya49@gmail.com>, 2016
 # AlexanderFilev <avfill@outlook.com>, 2015
 # Николай Кочкин <urfiner@gmail.com>, 2015
@@ -16,8 +16,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Russian (http://www.transifex.com/calibre/calibre/language/ru/)\n"
 "MIME-Version: 1.0\n"
@@ -254,11 +254,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr " В Linux :guilabel: `Читать вслух` требует, чтобы` Speech Dispatcher https://freebsoft.org/speechd`_ был установлен и работал."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr "Переход по ссылкам с использованием только клавиатуры"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -268,7 +276,7 @@ msgid ""
 "link."
 msgstr "В просмотрщике электронных книг есть :guilabel: `Режим подсказок`, позволяющий вам нажимать ссылки в тексте без использования мыши. Нажмите клавишу :kbd:`Alt + F`, и все ссылки на текущем экране будут выделены цифрой или буквой над ними. Нажмите букву на клавиатуре, чтобы перейти по ссылке. Нажатие клавиши :kbd: `Esc` прервёт режим :guilabel:`Hints` без выбора какой-либо ссылки."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -276,37 +284,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr "Если на экране более тридцати пяти ссылок, то некоторые из них будут иметь несколько букв. В этом случае введите первую и вторую или первую и нажмите :kbd:`Enter` для активации. Вы также можете использовать клавишу :kbd:`Backspace`, чтобы исправить ошибку при наборе текста."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Настройка внешнего вида по вашим предпочтениям"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr "Размер шрифта можно менять на лету через :guilabel:`Размер шрифта` в меню управления читалки, или сочетаниями клавиш :kbd:`Ctrl++` и :kbd:`Ctrl+-`, или, зажав клавишу :kbd:`Ctrl`, крутить колёсико мыши."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr "Цвет можно изменить в разделе :guilabel:`Цвета` в параметрах читалки."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr "Количество страниц на экране, а также размер полей можно изменить в разделе :guilabel:`Макет страницы` в параметрах читалки."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr "Вы можете отображать пользовательские верхние и нижние колонтитулы, такие как оставшееся время для чтения, название текущей главы, положение книги и т. д., через раздел :guilabel:`Верхние и нижние колонтитулы` в настройках  просмотрщика."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -316,11 +324,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr "Более продвинутую настройку можно выполнить с помощью настроек :guilabel:`Стили`. Здесь вы можете указать фоновое изображение для отображения под текстом, а также таблицу стилей, которая будет применяться к каждой книге. Используя CSS, вы можете делать такие вещи, как изменение стилей абзаца, выравнивание текста и т. д. Примеры пользовательских таблиц стилей, используемых пользователями calibre, см. на `форумах <https://www.mobileread.com/forums/showthread.php?t=51500.>`_."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Поиск в словаре"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -328,11 +336,11 @@ msgid ""
 "panel."
 msgstr "Вы можете посмотреть значение слов в текущей книге, открыв :guilabel:`Панель поиска/поиск слов` с помощью элементов управления просмотрщика. Затем просто дважды щёлкните по любому слову, и его определение будет отображаться на панели «Поиск»."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Копирование текста и изображений"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -340,22 +348,22 @@ msgid ""
 "and images."
 msgstr "Вы можете выбрать текст и изображения, перетаскивая содержимое мышью, а затем щёлкнув правой кнопкой мыши и выбрав :guilabel:`Копировать` для копирования в буфер обмена. Скопированный материал может быть вставлен в другое приложение в виде простого текста и изображений."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Увеличение масштаба изображений"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr "Вы можете увеличить изображение, чтобы посмотреть его в полном размере в отдельном окне, двойным щелчком или долгим касанием. Также можно щёлкнуть по нему правой кнопкой мыши и выбрать :guilabel:`Рассмотреть изображение`."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr "Неперетекающий контент"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
@@ -363,4 +371,4 @@ msgid ""
 "this content. Alternately, you can also add the following CSS to the "
 ":guilabel:`Styles` section of the viewer preferences to force the viewer to "
 "break up lines of text in :code:`<pre>` tags::"
-msgstr ""
+msgstr "У некоторых книг - очень широкий контент, ломающий границы страниц. Например, таблицы или теги :code:`<pre>`. В таких случаях, чтобы прочитать содержимое, нужно переключить читалку в *потоковый режим*, нажав :kbd:`Ctrl+m`. Кроме того, вы можете добавить следующий CSS в раздел :guilabel:`Стили` в настройках читалки и заставить её разбивать строки текста в тегах :code:`<pre>`::"
diff -pruN 5.9.0+dfsg-3/translations/manual/rw/db_api.po 5.10.0+dfsg-1/translations/manual/rw/db_api.po
--- 5.9.0+dfsg-3/translations/manual/rw/db_api.po	2020-12-23 14:20:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/rw/db_api.po	2021-01-20 15:30:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/rw/edit.po 5.10.0+dfsg-1/translations/manual/rw/edit.po
--- 5.9.0+dfsg-3/translations/manual/rw/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/rw/edit.po	2021-01-20 15:30:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: rw\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/rw/faq.po 5.10.0+dfsg-1/translations/manual/rw/faq.po
--- 5.9.0+dfsg-3/translations/manual/rw/faq.po	2021-01-06 15:34:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/rw/faq.po	2021-01-20 15:29:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/rw/stats.json 5.10.0+dfsg-1/translations/manual/rw/stats.json
--- 5.9.0+dfsg-3/translations/manual/rw/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/rw/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 3,
-    "untranslated": 3022
+    "untranslated": 3028
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/rw/template_lang.po 5.10.0+dfsg-1/translations/manual/rw/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/rw/template_lang.po	2021-01-06 15:34:26.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/rw/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/rw/viewer.po 5.10.0+dfsg-1/translations/manual/rw/viewer.po
--- 5.9.0+dfsg-3/translations/manual/rw/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/rw/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Kinyarwanda (http://www.transifex.com/calibre/calibre/language/rw/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/sc/db_api.po 5.10.0+dfsg-1/translations/manual/sc/db_api.po
--- 5.9.0+dfsg-3/translations/manual/sc/db_api.po	2020-12-23 14:21:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sc/db_api.po	2021-01-20 15:30:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/sc/edit.po 5.10.0+dfsg-1/translations/manual/sc/edit.po
--- 5.9.0+dfsg-3/translations/manual/sc/edit.po	2020-12-10 03:01:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sc/edit.po	2021-01-20 15:30:02.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: sc\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/sc/faq.po 5.10.0+dfsg-1/translations/manual/sc/faq.po
--- 5.9.0+dfsg-3/translations/manual/sc/faq.po	2021-01-06 15:34:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sc/faq.po	2021-01-20 15:29:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/sc/stats.json 5.10.0+dfsg-1/translations/manual/sc/stats.json
--- 5.9.0+dfsg-3/translations/manual/sc/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sc/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/sc/template_lang.po 5.10.0+dfsg-1/translations/manual/sc/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/sc/template_lang.po	2021-01-06 15:34:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sc/template_lang.po	2021-01-20 15:28:56.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/sc/viewer.po 5.10.0+dfsg-1/translations/manual/sc/viewer.po
--- 5.9.0+dfsg-3/translations/manual/sc/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sc/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sardinian (http://www.transifex.com/calibre/calibre/language/sc/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/server.pot 5.10.0+dfsg-1/translations/manual/server.pot
--- 5.9.0+dfsg-3/translations/manual/server.pot	2021-01-08 03:53:20.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/server.pot	2021-01-22 02:28:48.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/si/db_api.po 5.10.0+dfsg-1/translations/manual/si/db_api.po
--- 5.9.0+dfsg-3/translations/manual/si/db_api.po	2020-12-23 14:21:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/si/db_api.po	2021-01-20 15:30:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/si/edit.po 5.10.0+dfsg-1/translations/manual/si/edit.po
--- 5.9.0+dfsg-3/translations/manual/si/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/si/edit.po	2021-01-20 15:29:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: si\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/si/faq.po 5.10.0+dfsg-1/translations/manual/si/faq.po
--- 5.9.0+dfsg-3/translations/manual/si/faq.po	2021-01-06 15:34:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/si/faq.po	2021-01-20 15:29:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/si/stats.json 5.10.0+dfsg-1/translations/manual/si/stats.json
--- 5.9.0+dfsg-3/translations/manual/si/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/si/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 2,
-    "untranslated": 3023
+    "untranslated": 3029
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/si/template_lang.po 5.10.0+dfsg-1/translations/manual/si/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/si/template_lang.po	2021-01-06 15:33:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/si/template_lang.po	2021-01-20 15:28:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/si/viewer.po 5.10.0+dfsg-1/translations/manual/si/viewer.po
--- 5.9.0+dfsg-3/translations/manual/si/viewer.po	2021-01-06 15:35:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/si/viewer.po	2021-01-20 15:29:32.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Sinhala (http://www.transifex.com/calibre/calibre/language/si/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/simple_index.pot 5.10.0+dfsg-1/translations/manual/simple_index.pot
--- 5.9.0+dfsg-3/translations/manual/simple_index.pot	2021-01-08 03:53:17.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/simple_index.pot	2021-01-22 02:28:45.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/sk/db_api.po 5.10.0+dfsg-1/translations/manual/sk/db_api.po
--- 5.9.0+dfsg-3/translations/manual/sk/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sk/db_api.po	2021-01-20 15:30:11.000000000 +0000
@@ -7,9 +7,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: vladimirjendrol <vlado@jendrol.sk>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/sk/edit.po 5.10.0+dfsg-1/translations/manual/sk/edit.po
--- 5.9.0+dfsg-3/translations/manual/sk/edit.po	2020-12-10 03:01:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sk/edit.po	2021-01-20 15:29:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: sk\n"
 "Plural-Forms: nplurals=4; plural=(n % 1 == 0 && n == 1 ? 0 : n % 1 == 0 && n >= 2 && n <= 4 ? 1 : n % 1 != 0 ? 2: 3);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Upravovanie e-kníh"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Hľadať & nahradiť"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Uložené hľadania"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/sk/faq.po 5.10.0+dfsg-1/translations/manual/sk/faq.po
--- 5.9.0+dfsg-3/translations/manual/sk/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sk/faq.po	2021-01-20 15:29:00.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -47,9 +47,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -167,8 +167,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -408,7 +408,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -804,7 +804,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -938,8 +938,8 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Správa knižnice"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1620,12 +1620,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1636,7 +1651,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1645,22 +1660,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1670,14 +1685,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1688,11 +1703,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1702,26 +1717,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1729,13 +1744,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1745,7 +1760,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1753,11 +1768,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1766,7 +1781,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1780,11 +1795,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Ako urobím zálohu calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1793,7 +1808,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1801,7 +1816,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1811,13 +1826,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1830,44 +1845,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1875,18 +1890,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1899,7 +1914,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1908,11 +1923,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1925,21 +1940,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Máte dve možnosti:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1950,15 +1965,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Prečo nemá calibre automatickú aktualizáciu?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1966,7 +1981,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1974,7 +1989,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1982,25 +1997,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2013,30 +2028,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2049,34 +2064,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/sk/stats.json 5.10.0+dfsg-1/translations/manual/sk/stats.json
--- 5.9.0+dfsg-3/translations/manual/sk/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sk/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 207,
-    "untranslated": 2818
+    "untranslated": 2824
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/sk/template_lang.po 5.10.0+dfsg-1/translations/manual/sk/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/sk/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sk/template_lang.po	2021-01-20 15:28:43.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -710,8 +710,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -852,6 +852,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/sk/viewer.po 5.10.0+dfsg-1/translations/manual/sk/viewer.po
--- 5.9.0+dfsg-3/translations/manual/sk/viewer.po	2021-01-06 15:35:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sk/viewer.po	2021-01-20 15:29:30.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovak (http://www.transifex.com/calibre/calibre/language/sk/)\n"
 "MIME-Version: 1.0\n"
@@ -211,7 +211,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/viewer.rst:132
 msgid "Read aloud"
-msgstr ""
+msgstr "Čítať nahlas"
 
 #: ../../__w/calibre/calibre/manual/viewer.rst:134
 msgid ""
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/sl/db_api.po 5.10.0+dfsg-1/translations/manual/sl/db_api.po
--- 5.9.0+dfsg-3/translations/manual/sl/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sl/db_api.po	2021-01-20 15:30:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/sl/edit.po 5.10.0+dfsg-1/translations/manual/sl/edit.po
--- 5.9.0+dfsg-3/translations/manual/sl/edit.po	2020-12-10 03:00:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sl/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: sl\n"
 "Plural-Forms: nplurals=4; plural=(n%100==1 ? 0 : n%100==2 ? 1 : n%100==3 || n%100==4 ? 2 : 3);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Vsebina"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Shranjena iskanja"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/sl/faq.po 5.10.0+dfsg-1/translations/manual/sl/faq.po
--- 5.9.0+dfsg-3/translations/manual/sl/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sl/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/sl/stats.json 5.10.0+dfsg-1/translations/manual/sl/stats.json
--- 5.9.0+dfsg-3/translations/manual/sl/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sl/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 69,
-    "untranslated": 2956
+    "untranslated": 2962
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/sl/template_lang.po 5.10.0+dfsg-1/translations/manual/sl/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/sl/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sl/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/sl/viewer.po 5.10.0+dfsg-1/translations/manual/sl/viewer.po
--- 5.9.0+dfsg-3/translations/manual/sl/viewer.po	2021-01-06 15:35:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sl/viewer.po	2021-01-20 15:29:38.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Slovenian (http://www.transifex.com/calibre/calibre/language/sl/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/snippets.pot 5.10.0+dfsg-1/translations/manual/snippets.pot
--- 5.9.0+dfsg-3/translations/manual/snippets.pot	2021-01-08 03:53:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/snippets.pot	2021-01-22 02:28:42.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/sphinx.pot 5.10.0+dfsg-1/translations/manual/sphinx.pot
--- 5.9.0+dfsg-3/translations/manual/sphinx.pot	2021-01-08 03:54:28.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sphinx.pot	2021-01-22 02:29:57.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/sq/db_api.po 5.10.0+dfsg-1/translations/manual/sq/db_api.po
--- 5.9.0+dfsg-3/translations/manual/sq/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sq/db_api.po	2021-01-20 15:30:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/sq/edit.po 5.10.0+dfsg-1/translations/manual/sq/edit.po
--- 5.9.0+dfsg-3/translations/manual/sq/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sq/edit.po	2021-01-20 15:29:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: sq\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/sq/faq.po 5.10.0+dfsg-1/translations/manual/sq/faq.po
--- 5.9.0+dfsg-3/translations/manual/sq/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sq/faq.po	2021-01-20 15:29:03.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/sq/stats.json 5.10.0+dfsg-1/translations/manual/sq/stats.json
--- 5.9.0+dfsg-3/translations/manual/sq/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sq/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 27,
-    "untranslated": 2998
+    "untranslated": 3004
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/sq/template_lang.po 5.10.0+dfsg-1/translations/manual/sq/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/sq/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sq/template_lang.po	2021-01-20 15:28:45.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/sq/viewer.po 5.10.0+dfsg-1/translations/manual/sq/viewer.po
--- 5.9.0+dfsg-3/translations/manual/sq/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sq/viewer.po	2021-01-20 15:29:35.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Albanian (http://www.transifex.com/calibre/calibre/language/sq/)\n"
 "MIME-Version: 1.0\n"
@@ -247,11 +247,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -261,7 +269,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -269,37 +277,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -309,11 +317,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -321,11 +329,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Duke kopjuar tekstin dhe imazhet"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -333,22 +341,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/sr/db_api.po 5.10.0+dfsg-1/translations/manual/sr/db_api.po
--- 5.9.0+dfsg-3/translations/manual/sr/db_api.po	2020-12-23 14:21:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr/db_api.po	2021-01-20 15:30:23.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/sr/edit.po 5.10.0+dfsg-1/translations/manual/sr/edit.po
--- 5.9.0+dfsg-3/translations/manual/sr/edit.po	2020-12-10 03:00:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr/edit.po	2021-01-20 15:29:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: sr\n"
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/sr/faq.po 5.10.0+dfsg-1/translations/manual/sr/faq.po
--- 5.9.0+dfsg-3/translations/manual/sr/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr/faq.po	2021-01-20 15:29:06.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/sr/stats.json 5.10.0+dfsg-1/translations/manual/sr/stats.json
--- 5.9.0+dfsg-3/translations/manual/sr/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 44,
-    "untranslated": 2981
+    "untranslated": 2987
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/sr/template_lang.po 5.10.0+dfsg-1/translations/manual/sr/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/sr/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/sr/viewer.po 5.10.0+dfsg-1/translations/manual/sr/viewer.po
--- 5.9.0+dfsg-3/translations/manual/sr/viewer.po	2021-01-06 15:35:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr/viewer.po	2021-01-20 15:29:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (http://www.transifex.com/calibre/calibre/language/sr/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/sr@latin/db_api.po 5.10.0+dfsg-1/translations/manual/sr@latin/db_api.po
--- 5.9.0+dfsg-3/translations/manual/sr@latin/db_api.po	2020-12-23 14:21:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr@latin/db_api.po	2021-01-20 15:30:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/sr@latin/edit.po 5.10.0+dfsg-1/translations/manual/sr@latin/edit.po
--- 5.9.0+dfsg-3/translations/manual/sr@latin/edit.po	2020-12-10 03:01:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr@latin/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: sr@latin\n"
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/sr@latin/faq.po 5.10.0+dfsg-1/translations/manual/sr@latin/faq.po
--- 5.9.0+dfsg-3/translations/manual/sr@latin/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr@latin/faq.po	2021-01-20 15:29:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/sr@latin/stats.json 5.10.0+dfsg-1/translations/manual/sr@latin/stats.json
--- 5.9.0+dfsg-3/translations/manual/sr@latin/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr@latin/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 18,
-    "untranslated": 3007
+    "untranslated": 3013
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/sr@latin/template_lang.po 5.10.0+dfsg-1/translations/manual/sr@latin/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/sr@latin/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr@latin/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/sr@latin/viewer.po 5.10.0+dfsg-1/translations/manual/sr@latin/viewer.po
--- 5.9.0+dfsg-3/translations/manual/sr@latin/viewer.po	2021-01-06 15:35:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sr@latin/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Serbian (Latin) (http://www.transifex.com/calibre/calibre/language/sr@latin/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/sub_groups.pot 5.10.0+dfsg-1/translations/manual/sub_groups.pot
--- 5.9.0+dfsg-3/translations/manual/sub_groups.pot	2021-01-08 03:53:12.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sub_groups.pot	2021-01-22 02:28:39.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/conversion.po 5.10.0+dfsg-1/translations/manual/sv/conversion.po
--- 5.9.0+dfsg-3/translations/manual/sv/conversion.po	2021-01-06 15:33:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/conversion.po	2021-01-20 15:28:41.000000000 +0000
@@ -3,20 +3,20 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2021
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Merarom <merarom@yahoo.es>, 2014-2016
 # Sebastian Rasmussen <sebras@gmail.com>, 2018
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 07:06+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 07:32+0000\n"
+"Last-Translator: efef6ec5b435a041fce803c7f8af77d2_2341d43\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -308,7 +308,7 @@ msgid ""
 " a particular character encoding by using this setting.  `cp1252` is a "
 "common encoding for documents produced using Windows software. You should "
 "also read :ref:`char-encoding-faq` for more on encoding issues."
-msgstr "Avslutningsvis finns :guilabel:`Inmatningsteckenkodning`. Äldre dokument anger ibland inte sin teckenkodning. Vi omkodning kan detta resultera i icke-engelska tecken eller specialtecken som smarta citat skadas. calibre försöker att automatiskt detektera teckenkodning av källdokumentet, men det är inte alltid lyckas. Du kan tvinga den att anta en viss teckenkodning med den här inställningen. `cp1252` är en gemensam kodning för dokument för Windows-mjukvara. Du bör också läsa :ref:`char-kodning-faq` för mer information om kodningsfrågor."
+msgstr "Avslutningsvis finns :guilabel:`Inmatningsteckenkodning`. Äldre dokument anger ibland inte deras teckenkodning. Vid konvertering kan detta resultera i icke-engelska tecken eller specialtecken som smarta citat skadas. calibre försöker att automatiskt upptäcka källdokumentets teckenkodning, men det lyckas inte alltid. Du kan tvinga den att anta en viss teckenkodning med den här inställningen. `cp1252` är en vanlig kodning för dokument som produceras med Windows-mjukvara. Du bör också läsa :ref:`char-kodning-faq` för mer information om kodningsfrågor."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:188
 msgid "Layout"
@@ -427,7 +427,7 @@ msgid ""
 "want to choose one of the Kindle output profiles. Otherwise, your best bet "
 "for modern E-book reading devices is to choose the :guilabel:`Generic e-ink "
 "HD` output profile."
-msgstr ""
+msgstr "Om du vet att filen du konverterar var avsedd att användas på en viss enhet/mjukvaruplattform väljer du motsvarande inmatningsprofil, annars väljer du bara standardinmatningsprofilen. Om du vet att filerna du producerar är avsedda för en viss enhetstyp väljer du motsvarande utmatningsprofil. Annars väljer du en av de generiska utmatningsprofilerna. Om du konverterar till MOBI eller AZW3 vill du nästan alltid välja en av Kindle-utmatningsprofilerna. Annars är det bästa alternativet för moderna e-bokläsenheterna att välja utmatningsprofilen :guilabel:`Generisk e-bläck HD`."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:275
 msgid ""
@@ -503,7 +503,7 @@ msgid ""
 "attempt to detect them and surround them with heading tags. <h2> tags are "
 "used for chapter headings; <h3> tags are used for any titles that are "
 "detected."
-msgstr ""
+msgstr "Om ditt dokument inte har kapitelrubriker och titlar formaterade annorlunda än resten av texten kan calibre använda det här alternativet för att försöka upptäcka dem och omge dem med rubriktaggar. <h2>taggar används för kapitelrubriker; <h3>taggar används för några titlar som upptäcks."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:312
 msgid ""
@@ -717,7 +717,7 @@ msgstr "calibre använder *XPath*, ett k
 #: ../../__w/calibre/calibre/manual/conversion.rst:413
 msgid ""
 "By default, calibre uses the following expression for detecting chapters::"
-msgstr "Som standard använder calibre följande uttrycker för att detektera kapitel::"
+msgstr "Som standard använder calibre följande uttrycker för att upptäcka kapitel::"
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:417
 msgid ""
@@ -842,7 +842,7 @@ msgid ""
 ":guilabel:`Number of links` option can be used to control this behavior. If "
 "set to zero, no links are added. If set to a number greater than zero, at "
 "most that number of links is added."
-msgstr ""
+msgstr "Om mindre kapitel än :guilabel:`Kapiteltröskel` upptäcktes kommer calibre att lägga till alla hyperlänkar som hittas i inmatningsdokumentet till innehållsförteckningen. Detta fungerar ofta bra: många inmatningsdokument inkluderar en hyperlänkad innehållsförteckning direkt i början. Alternativet :guilabel:`Antal länkar` kan användas för att anpassa detta beteende. Om värdet är noll läggs inga länkar till. Om det är inställt på ett tal som är större än noll läggs högst det antalet länkar till."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:488
 msgid ""
@@ -1321,7 +1321,7 @@ msgstr "Om du vill aktivera automatisk d
 msgid ""
 "If you mark Chapters with style 'Heading 2', you have to set the 'Detect "
 "chapters at' box to ``//h:h2``"
-msgstr "Om du markerar kapitel med formatet \"Rubrik 2\" måste du ställa in \"Detektera kapitel på\" rutan till ``//h:h2``"
+msgstr "Om du markerar kapitel med formatet \"Rubrik 2\" måste du ställa in rutan \"Upptäck kapitel vid\" till ``//h:h2``"
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:802
 msgid ""
@@ -1377,7 +1377,7 @@ msgid ""
 " to use the page size from the :guilabel:`output profile` instead. So if "
 "your output profile is set to Kindle, calibre will create a PDF with page "
 "size suitable for viewing on the small kindle screen."
-msgstr "Den första, viktigaste inställningen att bestämma när man konverterar till PDF är sidstorleken. Som standard använder calibre en sidstorlek för \"U.S. Letter\". Du kan ändra detta till en annan standard sidstorlek eller en helt anpassad storlek i avsnittet :guilabel:`PDF-utmatning` sektionen i konverteringsdialogen. Om du skapar en PDF som ska användas på en viss enhet kan du slå på alternativet för att använda sidstorleken från :guilabel:`utmatning-profil` istället. Så om din utskriftsprofil är inställd på Kindle, kommer calibre att skapa en PDF med sidstorlek som är lämplig för visning på den lilla Kindle-skärmen."
+msgstr "Den första, viktigaste inställningen att bestämma när man konverterar till PDF är sidstorleken. Som standard använder calibre en sidstorlek för \"U.S. Letter\". Du kan ändra detta till en annan standard sidstorlek eller en helt anpassad storlek i avsnittet :guilabel:`PDF-utmatning` sektionen i konverteringsdialogen. Om du skapar en PDF som ska användas på en viss enhet kan du slå på alternativet för att använda sidstorleken från :guilabel:`utmatningsprofilen` istället. Så om din utskriftsprofil är inställd på Kindle, kommer calibre att skapa en PDF med sidstorlek som är lämplig för visning på den lilla Kindle-skärmen."
 
 #: ../../__w/calibre/calibre/manual/conversion.rst:841
 msgid "Headers and Footers"
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/customize.po 5.10.0+dfsg-1/translations/manual/sv/customize.po
--- 5.9.0+dfsg-3/translations/manual/sv/customize.po	2020-11-26 07:34:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/customize.po	2021-01-20 15:30:06.000000000 +0000
@@ -5,18 +5,18 @@
 # Translators:
 # Ein Andersson <einand@3gdev.com>, 2015
 # cb445fb3dfd1fe3c2b9f58ac5638f478, 2015
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
 # Merarom <merarom@yahoo.es>, 2014-2017
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-11-26 07:03+0000\n"
-"PO-Revision-Date: 2020-11-15 21:49+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-16 23:18+0000\n"
+"Last-Translator: efef6ec5b435a041fce803c7f8af77d2_2341d43\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -24,11 +24,11 @@ msgstr ""
 "Language: sv\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:6
+#: ../../__w/calibre/calibre/manual/customize.rst:6
 msgid "Customizing calibre"
 msgstr "Anpassa calibre"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:8
+#: ../../__w/calibre/calibre/manual/customize.rst:8
 msgid ""
 "calibre has a highly modular design. Various parts of it can be customized. "
 "You can learn how to create *recipes* to add new sources of online content "
@@ -39,27 +39,27 @@ msgid ""
 "to calibre."
 msgstr "calibre är en mycket modulär konstruktion. Diverse delar av den kan anpassas. Du kan lära dig skapa *recpt* som läggs till källan av tillängliga innehållet av calibre i sektionen :ref:`news`. Här kommer du för lära dig använda miljövarabler och *justera* för att anpassa calibreers beteende,  och sedan hur du specifierar dina statiska resurser som ikoner och mallar för att åsidosätta grundinställningar och slutligen hur *insticksmoduler* kan användas för att lägga till funktionalitet till calibre."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:24
+#: ../../__w/calibre/calibre/manual/customize.rst:24
 msgid "Environment variables"
 msgstr "Miljövariabler"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:26
+#: ../../__w/calibre/calibre/manual/customize.rst:26
 msgid ""
 "``CALIBRE_CONFIG_DIRECTORY`` - sets the directory where configuration files "
 "are stored/read."
 msgstr "``CALIBRE_CONFIG_DIRECTORY`` - anger katalogen var konfigurationsfiler lagras/läses."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:27
+#: ../../__w/calibre/calibre/manual/customize.rst:27
 msgid "``CALIBRE_TEMP_DIR`` - sets the temporary directory used by calibre"
 msgstr "``CALIBRE_TEMP_DIR`` - anger temporärkatalog som används av calibre"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:28
+#: ../../__w/calibre/calibre/manual/customize.rst:28
 msgid ""
 "``CALIBRE_CACHE_DIRECTORY`` - sets the directory calibre uses to cache "
 "persistent data between sessions"
 msgstr "``CALIBRE_CACHE_DIRECTORY`` - anger katalogen calibre använder för att cachelagra ihållande data mellan sessioner"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:29
+#: ../../__w/calibre/calibre/manual/customize.rst:29
 msgid ""
 "``CALIBRE_OVERRIDE_DATABASE_PATH`` - allows you to specify the full path to "
 "metadata.db. Using this variable you can have metadata.db be in a location "
@@ -67,38 +67,38 @@ msgid ""
 "networked drive that does not support file locking."
 msgstr "``CALIBRE_OVERRIDE_DATABASE_PATH`` - tillåter dig att ange fulla sökvägen till metadata.db. Genom att använda denna variabel kan du ha metadata.db i en annan plats än biblioteksmappen. Användbart om din biblioteksmapp är på ett nätverk som inte stöder låsning av filer."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:30
+#: ../../__w/calibre/calibre/manual/customize.rst:30
 msgid ""
 "``CALIBRE_DEVELOP_FROM`` - Used to run from a calibre development "
 "environment. See :ref:`develop`."
 msgstr "``CALIBRE_DEVELOP_FROM`` - Används för att köra från en calibre utvecklingsmijö. Se :ref:`develop`."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:31
+#: ../../__w/calibre/calibre/manual/customize.rst:31
 msgid ""
 "``CALIBRE_OVERRIDE_LANG`` - Used to force the language used by the interface"
 " (ISO 639 language code)"
 msgstr "``CALIBRE_OVERRIDE_LANG`` - Används för att tvinga användning av språket som används i gränssnittet (ISO 639 språkkod)"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:32
+#: ../../__w/calibre/calibre/manual/customize.rst:32
 msgid ""
 "``CALIBRE_TEST_TRANSLATION`` - Used to test a translation .po file (should "
 "be the path to the .po file)"
 msgstr "``CALIBRE_TEST_TRANSLATION`` - Används för att testa en översättnings .po-fil (bör vara sökvägen till .po-filen)"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:33
+#: ../../__w/calibre/calibre/manual/customize.rst:33
 msgid ""
 "``CALIBRE_NO_NATIVE_FILEDIALOGS`` - Causes calibre to not use native file "
 "dialogs for selecting files/directories."
 msgstr "``CALIBRE_NO_NATIVE_FILEDIALOGS`` - Orsaker calibre att inte använda inbyggda fildialogrutor för att välja filer/mappar."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:34
+#: ../../__w/calibre/calibre/manual/customize.rst:34
 msgid ""
 "``CALIBRE_NO_NATIVE_MENUBAR`` - Causes calibre to not create a native "
 "(global) menu on Ubuntu Unity and similar linux desktop environments. The "
 "menu is instead placed inside the window, as is traditional."
 msgstr "``CALIBRE_NO_NATIVE_MENUBAR`` - Orsakar att calibre inte skapar en inbyggd (global) meny på Ubuntu Unity och liknande Linux-skrivbordsmiljöerna. Menyn placeras istället inuti fönstret, som är traditionellt."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:35
+#: ../../__w/calibre/calibre/manual/customize.rst:35
 msgid ""
 "``CALIBRE_USE_SYSTEM_THEME`` - By default, on Linux, calibre uses its own "
 "builtin Qt style. This is to avoid crashes and hangs caused by "
@@ -108,19 +108,19 @@ msgid ""
 "to use the system theme -- beware of crashes and hangs."
 msgstr "``CALIBRE_USE_SYSTEM_THEME`` - Som standard använder calibre sin egen inbyggda Qt-stil på Linux. Detta för att undvika kraschar och hängningar orsakade av oförenlighet mellan versionen av Qt-calibre är byggd mot och systemet Qt. Nackdelen är att calibre kanske inte följer systemets utseende och känsla. Om du ställer in denna miljövariabel på Linux kommer det att orsaka att calibre använder systemtemat - se upp för kraschar och hängningar."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:41
+#: ../../__w/calibre/calibre/manual/customize.rst:41
 msgid ""
 "``CALIBRE_SHOW_DEPRECATION_WARNINGS`` - Causes calibre to print deprecation "
 "warnings to stdout. Useful for calibre developers."
 msgstr "``CALIBRE_SHOW_DEPRECATION_WARNINGS`` - Får calibre att skriva ut deprecieringsvarningar till stdout. Användbart för calibre utvecklare."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:42
+#: ../../__w/calibre/calibre/manual/customize.rst:42
 msgid ""
 "``CALIBRE_NO_DEFAULT_PROGRAMS`` - Prevent calibre from automatically "
 "registering the filetypes it is capable of handling with Windows."
 msgstr "``CALIBRE_NO_DEFAULT_PROGRAMS`` - Förhindra calibre från att automatiskt registrera de filtyper den är kapabel att hantera med Windows."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:43
+#: ../../__w/calibre/calibre/manual/customize.rst:43
 msgid ""
 "``CALIBRE_USE_DARK_PALETTE`` - Set it to ``1`` to have calibre use dark "
 "colors and ``0`` for normal colors (ignored on macOS). On Windows 10 in the "
@@ -128,16 +128,16 @@ msgid ""
 "used."
 msgstr "``CALIBRE_USE_DARK_PALETTE`` - Ställ in den till ``1`` för att använda calibre i mörka färger och ``0`` för normala färger (ignoreras på macOS). I Windows 10 i avsaknad av denna variabel används Windows-systemets preferens för mörka färger."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:45
+#: ../../__w/calibre/calibre/manual/customize.rst:45
 msgid "``SYSFS_PATH`` - Use if sysfs is mounted somewhere other than /sys"
 msgstr "``SYSFS_PATH`` - Använd om sysfs är monterad någon annanstans än /sys"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:46
+#: ../../__w/calibre/calibre/manual/customize.rst:46
 msgid ""
 "``http_proxy``, ``https_proxy`` - Used on Linux to specify an HTTP(S) proxy"
 msgstr "``http_proxy``, ``https_proxy`` - Används i Linux för att ange en HTTP(S)-proxy"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:48
+#: ../../__w/calibre/calibre/manual/customize.rst:48
 msgid ""
 "See `How to set environment variables in Windows "
 "<https://www.computerhope.com/issues/ch000549.htm>`_. If you are on macOS "
@@ -146,23 +146,23 @@ msgid ""
 "environment variables one per line in it, for example::"
 msgstr "Se `Så här ställer du in miljövariabler i Windows <https://www.computerhope.com/issues/ch000549.htm>`_. Om du är på macOS kan du ställa in miljövariabler genom att skapa :file:`~/Library/Preferences/calibre/macos-env.txt` och sätta miljövariablerna en per rad i den, till exempel::"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:58
+#: ../../__w/calibre/calibre/manual/customize.rst:58
 msgid "Tweaks"
 msgstr "Justeringar"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:60
+#: ../../__w/calibre/calibre/manual/customize.rst:60
 msgid ""
 "Tweaks are small changes that you can specify to control various aspects of "
 "calibre's behavior. You can change them by going to "
 "Preferences->Advanced->Tweaks. The default values for the tweaks are "
 "reproduced below"
-msgstr "Justeringar är små förändringar som du kan ange för att ställa in diverse aspekter av beteende för calibre. Du kan ändra dem genom att gå till inställningar->Avancerat->Justeringar. Standardvärden för justeringar visas nedan"
+msgstr "Justeringar är små förändringar som du kan ange för att anpassa diverse aspekter av beteenden för calibre. Du kan ändra dem genom att gå till inställningar->Avancerat->Justeringar. Standardvärden för justeringar visas nedan"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:67
+#: ../../__w/calibre/calibre/manual/customize.rst:67
 msgid "Overriding icons, templates, et cetera"
 msgstr "Åsidosätta ikoner, mallar, o.s.v."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:70
+#: ../../__w/calibre/calibre/manual/customize.rst:70
 msgid ""
 "calibre has direct support for icon themes, there are several icon themes "
 "available for calibre, that you can use by going to "
@@ -171,7 +171,7 @@ msgid ""
 "resources."
 msgstr "calibre har direkt stöd för ikonteman, det finns flera ikonteman tillgängliga för calibre som du kan använda genom att gå till :guilabel:`Inställningar->Gränssnitt->Utseende & känsla->Ändra ikontema`. Ikonteman använder samma mekanism som beskriven nedan för att åsidosätta statiska resurser."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:74
+#: ../../__w/calibre/calibre/manual/customize.rst:74
 msgid ""
 "calibre allows you to override the static resources, like icons, JavaScript "
 "and templates for the metadata jacket, catalogs, etc. with customized "
@@ -184,7 +184,7 @@ msgid ""
 "you choose to install calibre."
 msgstr "calibre låter dig åsidosätta de statiska resurserna, som ikoner, JavaScript och mallar för metadataomslag, kataloger o.s.v. med dina anpassade versioner. Alla statiska resurser lagras i undermappen för resurser på installationsplatsen för calibre. I Windows är detta vanligtvis  :file:`C:\\\\Program Files\\\\Calibre2\\\\resources`. På macOS :file:`/Applications/calibre.app/Contents/Resources/resources/`. På Linux, om du använder det binära installationsprogrammet från calibres webbplats blir det :file:`/opt/calibre/resources`. Dessa sökvägar kan ändras beroende på var du väljer att installera calibre."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:83
+#: ../../__w/calibre/calibre/manual/customize.rst:83
 msgid ""
 "You should not change the files in this resources folder, as your changes "
 "will get overwritten the next time you update calibre. Instead, go to "
@@ -196,7 +196,7 @@ msgid ""
 "file in preference to the built-in one the next time it is started."
 msgstr "Du ska inte ändra filer i denna resursmapp, eftersom dina ändringar kommer skrivas över nästa gång du uppdaterar calibre. Gå istället till :guilabel:`Inställningar->Avancerat->Diverse` och klicka :guilabel:`Öppna konfigurationsmappen för calibre`. I denna konfigurationsmapp skapar du en undermapp med namnet resurser och placerar filerna du vill åsidosätta i den. Placera filer i lämplig undermapp, som till exempel för bilder :file:`resources/images`, o.s.v. calibre kommer automatisk använda dessa anpassade inställningarna istället för de inbyggda nästa gång det startar."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:92
+#: ../../__w/calibre/calibre/manual/customize.rst:92
 msgid ""
 "For example, if you wanted to change the icon for the :guilabel:`Remove "
 "books` action, you would first look in the built-in resources folder and see"
@@ -207,11 +207,11 @@ msgid ""
 "calibre user interface are in :file:`resources/images` and its sub-folders."
 msgstr "Till exempel om du vill använda ikonen för åtgärden :guilabel:`Ta bort böcker`, ska du för titta i den inbyggda resursmappen och se att den relevanta filen är :file:`resources/images/remove_books.png`. Med antagandet att du har en alternativ ikon i PNG-format kallad :file:`my_remove_books.png` kommer du spara den i konfigurationsmappen som :file:`resources/images/remove_books.png`. Alla ikoner som används av calibres användargränssnitt är i :file:`resources/images` och dess undermappar."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:101
+#: ../../__w/calibre/calibre/manual/customize.rst:101
 msgid "Creating your own icon theme for calibre"
 msgstr "Skapa dina egna ikonteman för calibre"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:103
+#: ../../__w/calibre/calibre/manual/customize.rst:103
 msgid ""
 "If you have created a beautiful set of icons and wish to share them with "
 "other calibre users via calibre's builtin icon theme support, you can easily"
@@ -225,11 +225,11 @@ msgid ""
 " make your theme available via calibre's builtin icon theme system."
 msgstr "Om du har skapat en vacker uppsättning ikoner och vill dela dem med andra calibre-användare via calibres inbyggda ikontemastöd, kan du enkelt paketera in dina ikoner i ett tema. För att göra detta, gå till :guilabel:`Inställningar->Diverse->Skapa ikontema`, välj den mapp där du har lagt dina ikoner (oftast mappen :file:`resources/images` i calibres konfiguration, som beskrivits ovan). Fyll sedan upp tema-metadata och klicka på OK. Detta kommer att resultera i en ZIP-fil som innehåller temaikonerna. Du kan överföra den till calibre-forumet på\n `Mobileread <https://www.mobileread.com/forums/forumdisplay.php?f=166>`_ och då kommer  jag att göra ditt tema tillgänglig via calibres inbyggda ikontemasystem."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:116
+#: ../../__w/calibre/calibre/manual/customize.rst:116
 msgid "Customizing calibre with plugins"
 msgstr "Anpassa calibre med insticksmodul"
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:118
+#: ../../__w/calibre/calibre/manual/customize.rst:118
 msgid ""
 "calibre has a very modular design. Almost all functionality in calibre comes"
 " in the form of plugins. Plugins are used for conversion, for downloading "
@@ -239,7 +239,7 @@ msgid ""
 "plugins in calibre by going to :guilabel:`Preferences->Advanced->Plugins`."
 msgstr "calibre är en väldigt modulär konstruktion. Nästan alla funktioner i calibre kommer i form av insticksmoduler. Insticksmoduler används för konvertering, för hämtning av nyheter (även om dessa kallas för recept), för diverse komponenter av användargränssnitt, för anslutning av olika enheter, för bearbetning av filer när de läggs till calibre och så vidare. Du kan få en komplett lista med alla inbyggda insticksmoduler i calibre genom att gå till :guilabel:`Inställningar->Avancerat->Insticksmoduler`."
 
-#: ../../home/runner/work/calibre/calibre/manual/customize.rst:120
+#: ../../__w/calibre/calibre/manual/customize.rst:120
 msgid ""
 "You can write your own plugins to customize and extend the behavior of "
 "calibre. The plugin architecture in calibre is very simple, see the tutorial"
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/db_api.po 5.10.0+dfsg-1/translations/manual/sv/db_api.po
--- 5.9.0+dfsg-3/translations/manual/sv/db_api.po	2020-12-23 14:20:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/db_api.po	2021-01-20 15:30:28.000000000 +0000
@@ -3,18 +3,18 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
 # Merarom <merarom@yahoo.es>, 2014-2017
 # Sebastian Rasmussen <sebras@gmail.com>, 2018
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 11:17+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -191,6 +191,21 @@ msgid "Return the set of books in the sp
 msgstr "Returnera uppsättning av böcker som angavs i virtuellt bibliotek"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr "Komprimera omslagsbilderna för de angivna böckerna. En kompressionskvalitet på 100 kommer att utföra förlustfri komprimering, annars utförs komprimeringen med förlust."
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/edit.po 5.10.0+dfsg-1/translations/manual/sv/edit.po
--- 5.9.0+dfsg-3/translations/manual/sv/edit.po	2020-12-23 14:20:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -3,20 +3,20 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Kristoffer Grundström <lovaren@gmail.com>, 2016
 # Merarom <merarom@yahoo.es>, 2016
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-13 18:59+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 07:36+0000\n"
+"Last-Translator: efef6ec5b435a041fce803c7f8af77d2_2341d43\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -459,15 +459,15 @@ msgid ""
 msgstr "Du kan redigera enskilda poster genom att klicka på dem och sedan klicka på knappen :guilabel:`Ändra &platsen denna startpunkt pekar på`. Detta kommer att öppna upp ett mini-förhandsvisning av boken, bara flytta muspekaren över boken vyn panelen och klicka där du vill att posten att peka på. En tjock grön linje visar dig platsen. Klicka på OK när du är nöjd med platsen."
 
 #: ../../__w/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+msgid "Checking the book"
 msgstr "Kontrollera boken"
 
 #: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
-msgstr "Verktyget :guilabel:`Kontrollera bok` söker igenom din bok efter problem som kan förhindra det fungerar som avsett på faktiska läsaranordningar. Aktivera den via :guilabel:`Verktyg->Kontrollera bok`."
+":guilabel:`Tools->Check book`."
+msgstr "Verktyget :guilabel:`Kontrollera bok` söker igenom din bok efter problem som kan förhindra det fungerar som avsett på faktiska läsaranordningar. Aktivera det via :guilabel:`Verktyg->Kontrollera bok`."
 
 #: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/faq.po 5.10.0+dfsg-1/translations/manual/sv/faq.po
--- 5.9.0+dfsg-3/translations/manual/sv/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/faq.po	2021-01-20 15:29:12.000000000 +0000
@@ -3,19 +3,19 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2021
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Merarom <merarom@yahoo.es>, 2014-2017
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-01 10:28+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -52,10 +52,10 @@ msgstr "calibre stöder konvertering av
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Inmatningsformat:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -172,8 +172,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -183,7 +183,7 @@ msgid ""
 "resulting MOBI file may not function correctly on a Kindle, since the "
 "Kindle's use the metadata ToC for many things, including the Page Flip "
 "feature."
-msgstr "Vid konvertering till MOBI, upptäcker calibre *metadatainnehållsförteckning* i inmatningsdokumentet och genererar en slut-på-fil innehållsförteckning i utmatning MOBI-filen. Du kan stänga av detta med ett alternativ i MOBI-utmatningsinställningarna. Du kan också berätta för calibre att sätta den i början eller slutet av boken via ett alternativ i MOBI-utmatningsinställningarna. Kom ihåg detta innehållsförteckning är semantiskt en metadatainnehållsförteckning, på annat MOBI-format kan det inte vara en del av texten. Det faktum att det är en del av texten i MOBI är en olycka som orsakats av begränsningar i MOBI. Om du vill ha en innehållsförteckning på en viss plats i dokumentets text, skapa en efter hand. Så vi rekommenderar att du lämnar standardinställning som den är, det vill säga med metadatainnehållsförteckningen i slutet av boken. Observera också att om du inaktiverar generering av slut-på-fil innehållsförteckning kanske den resulterande MOBI-filen inte fungerar korrekt på en Kindle, eftersom Kindle använder metadatainnehållsförteckningen för många saker, bland annat sidväxlingsfunktionen."
+msgstr "Vid konvertering till MOBI upptäcker calibre *metadata-innehållsförteckning* i inmatningsdokumentet och genererar en slut-på-fil-innehållsförteckning i MOBI-utmatningsfilen. Du kan stänga av detta med ett alternativ i inställningarna för MOBI-utmatning. Du kan också berätta för calibre att lägga den i början eller slutet av boken via ett alternativ i inställningarna för MOBI-utmatning. Kom ihåg att denna innehållsförteckning är semantiskt en *metadata-innehållsförteckning*, i något annat format än MOBI kan den *inte vara en del av texten*. Det faktum att den är en del av texten i MOBI är en olycka som orsakats av begränsningar i MOBI. Om du vill ha en innehållsförteckning på en viss plats i dokumenttexten skapar du en för hand. Så vi rekommenderar starkt att du lämnar standardvärdet som det är, det vill säga med metadatainnehållsförteckningen i slutet av boken. Observera också att om du inaktiverar genereringen av slut-på-fil-innehållsförteckning kanske den resulterande MOBI-filen inte fungerar korrekt på en Kindle, eftersom Kindle använder metadatainnehållsförteckningen för många saker, inklusive sidvändningsfunktionen."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:66
 msgid ""
@@ -413,7 +413,7 @@ msgid ""
 msgstr "Om du ansluter en Kindle Fire HD eller annan Android-enhet, läs anteckningen under :ref:`android_usb`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -809,8 +809,8 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
-msgstr "Varken Kindle eller Nook ger något sätt att manipulera samlingar över en USB-anslutning. Om du verkligen bryr dig om hur du använder samlingar, vill jag uppmana dig att sälja din Kindle / Nook och få en Kobo. Endast Kobo verkar förstå att livet är för kort för att mata in samlingarna en efter en på en e-ink skärm :)"
+"an e-ink screen 😇"
+msgstr "Varken Kindle eller Nook ger något sätt att manipulera samlingar över en USB-anslutning. Om du verkligen bryr dig om att använda samlingar, vill jag uppmana dig att sälja din Kindle / Nook och få en Kobo. Endast Kobo verkar förstå att livet är för kort för att skriva in samlingarna en efter en på en e-bläck skärm 😇"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
 msgid ""
@@ -943,7 +943,7 @@ msgid ""
 msgstr "Böcker som skickas till Kindle visas bara upp på Kindle efter att de har blivit *indexerade* av Kindle. Detta kan ta lite tid. Om boken ännu inte dyker upp efter en viss tid, så är det troligt att Kindle indexering misslyckades. Ibland kan en viss bok kan orsaka indexeraren att kraschar. Tyvärr har Amazon inte lämnat något sätt att härleda vilken bok som orsakar en krasch på Kindle. Din enda utväg är att antingen återställa Kindle, eller ta bort alla filer från sitt minne med Windows Utforskaren (eller vad filhanteraren du använder) och sedan skicka böckerna till det igen, en efter en, tills du upptäcker problemboken. När du har hittat problemboken, ta bort den från Kindle och gör en MOBI till MOBI eller MOBI till AZW3 konvertering i calibre och sedan skicka tillbaka den. Detta kommer med största sannolikhet att ta hand om problemet."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr "Bibliotekshantering"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1276,7 +1276,7 @@ msgid ""
 " location is just an empty folder somewhere on your computer). Click OK. "
 "After the import completes, calibre will restart, with all your old "
 "libraries, settings and calibre plugins."
-msgstr "Installera calibre på din nya dator och gå igenom :guilabel:`Välkomstguiden`, det spelar ingen roll vad du gör där, eftersom du kommer att importera dina gamla inställningar i nästa steg. Du kommer nu ha ett tomt calibre med bara guiden :guilabel:`Komma igång` i ditt bibliotek. Högerklicka igen på calibre-knappen och välj :guilabel:`Exportera/importera alla calibre-data`. Klicka sedan på knappen märkt :guilabel:`Importera tidigare exporterade data`. Välj mappen med den exporterade data som du kopierade över tidigare. Du får nu en lista över bibliotek som du kan importera. Gå igenom listan en efter en och välj den nya platsen för varje bibliotek (en plats är bara en tom mapp någonstans på din dator). Klicka på OK. När importen är klar kommer calibre att starta om, med alla dina gamla bibliotek, inställningar och calibre-insticksmoduler."
+msgstr "Installera calibre på din nya dator och gå igenom :guilabel:`välkomstguiden`, det spelar ingen roll vad du gör där, eftersom du kommer att importera dina gamla inställningar i nästa steg. Du kommer nu ha ett tomt calibre med bara guiden :guilabel:`Komma igång` i ditt bibliotek. Högerklicka igen på calibre-knappen och välj :guilabel:`Exportera/importera alla calibre-data`. Klicka sedan på knappen märkt :guilabel:`Importera tidigare exporterade data`. Välj mappen med den exporterade data som du kopierade över tidigare. Du får nu en lista över bibliotek som du kan importera. Gå igenom listan en efter en och välj den nya platsen för varje bibliotek (en plats är bara en tom mapp någonstans på din dator). Klicka på OK. När importen är klar kommer calibre att starta om, med alla dina gamla bibliotek, inställningar och calibre-insticksmoduler."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:652
 msgid ""
@@ -1305,7 +1305,7 @@ msgid ""
 " have two calibre libraries on your computer and you can switch between them"
 " by clicking the calibre icon on the toolbar. Transferring your library in "
 "this manner preserver all your metadata, tags, custom columns, etc."
-msgstr "Nu på den nya datorn, starta calibre för första gången. Det kommer att köra :guilabel:`Välkomstguiden` och be dig om platsen för calibre-biblioteket. Hänvisa den till den tidigare kopierade mappen. Om den dator du överför till redan har en calibre-installation, kommer :guilabel:`Välkomstguiden` inte köras. Högerklicka sedan på calibre-ikonen i verktygsfältet och hänvisa den till den nyligen kopierade mappen. Du kommer nu ha två calibre-bibliotek på din dator och du kan växla mellan dem genom att klicka på calibre-ikonen i verktygsfältet. Överföring av ditt bibliotek på detta sätt bevarar alla dina metadata, taggar, anpassade kolumner o.s.v."
+msgstr "Nu på den nya datorn, starta calibre för första gången. Det kommer att köra :guilabel:`Välkomstguiden` och be dig om platsen för calibre-biblioteket. Hänvisa den till den tidigare kopierade mappen. Om den dator du överför till redan har en calibre-installation, kommer :guilabel:`välkomstguiden` inte köras. Högerklicka sedan på calibre-ikonen i verktygsfältet och hänvisa den till den nyligen kopierade mappen. Du kommer nu ha två calibre-bibliotek på din dator och du kan växla mellan dem genom att klicka på calibre-ikonen i verktygsfältet. Överföring av ditt bibliotek på detta sätt bevarar alla dina metadata, taggar, anpassade kolumner o.s.v."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:674
 msgid "The list of books in calibre is blank!"
@@ -1521,7 +1521,7 @@ msgid ""
 "calibre, try choosing a folder like :file:`C:\\\\library` as the calibre "
 "library (calibre sometimes has trouble with library locations if the path "
 "contains non-English characters, or only numbers, etc.)"
-msgstr "Om du får ett fel i :guilabel:`Välkomstguiden` vid en initieringsköring av calibre, försök välja en mapp som :file:`C:\\\\library` för calibre-biblioteket (eftersom calibre ibland har problem med biblioteksplatser om sökvägen innehåller icke-engelska tecken, eller bara siffror o.s.v.)"
+msgstr "Om du får ett fel i :guilabel:`välkomstguiden` vid en initieringskörning av calibre, försök välja en mapp som :file:`C:\\\\library` för calibre-biblioteket (eftersom calibre ibland har problem med biblioteksplatser om sökvägen innehåller icke-engelska tecken, eller bara siffror o.s.v.)"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:785
 msgid ""
@@ -1625,12 +1625,27 @@ msgid ""
 msgstr "Det enda sättet att hitta den skyldige är att eliminera program ett efter ett och se vilken som orsakar problemet. I grund och botten, stoppa ett program, köra calibre, kontrollera om det krascher. Om det fortfarande händer, stoppa ett annat program och upprepa."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr "calibre E-bokvisaren och redigeringsverktyget fungerar inte på Windows?"
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr "Dessa två program använder hårdvaruacceleration eftersom de bäddar in en version av Chrome-webbläsaren för att återge HTML. Om de inte fungerar beror det på inkompatibilitet med systemets GPU-drivrutiner (grafik). Försök att uppdatera dessa först och starta om. Om det inte löser det kan du ställa in miljövariabeln ``QTWEBENGINE_CHROMIUM_FLAGS`` till värdet ``--disable-gpu`` för att stänga av hårdvaruacceleration. Se `denna sida <https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ för detaljer."
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr "Användning av visaren eller att göra några konverteringar resulterar i en tillåtelse nekas fel i Windows"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1641,7 +1656,7 @@ msgid ""
 " full control for this folder."
 msgstr "Något på datorn hindrar calibre från att komma åt sina egna temporära filer. Troligtvis är behörigheterna på din Temp-mapp felaktiga. Gå till mappen file:`C:\\\\Användare\\\\ANVÄNDARNAMN\\\\AppData\\\\Local` i Utforskaren och högerklicka på mappen file:` Temp`, välj :guilabel:`Egenskaper` och gå till fliken :guilabel:`Säkerhet`. Se till att ditt användarkonto har full kontroll på den här mappen."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1650,22 +1665,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr "Vissa användare har rapporterat att köra följande kommando i en administratörskommandotolk löser deras behörigheter. För att få en administratörskommandotolk sök efter cmd.exe i startmenyn, högerklicka på Kommandotolksposten och välj Kör som administratör. I kommandotolken skriver du följande kommando och tryck på Retur::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr "Alternativt kan du köra calibre som administratör, men detta kommer att leda till vissa problem, till exempel att dra och släppa inte fungerar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr "Slutligen har en del användare rapporterat att inaktivera UAC löser problemet."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr "calibre startar inte/kraschar på macOS?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1675,14 +1690,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr "En vanlig orsak till fel på macOS är användningen av tillgänglighetsteknik som är oförenliga med grafikverktygen calibre använder. Försök med att stänga av VoiceOver om du har det på. Också gå till System Inställningar->System->Hjälpmedel och stäng av inställningen för att ge tillgång till hjälpmedel i alla flikar. En annan orsak kan vara en tredjepartsapps som modifierar systembeteende, såsom Smart Scroll."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr "Du kan få felsökningsinformation om varför calibre inte startar genom att köra `Console.app`. Felsökningsinformation skrivs till den. Om felsökningsinformationen innehåller en rad som ser ut::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1693,11 +1708,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr "då är problemet troligen en skadad teckensnittscache. Du kan rensa cachen genom att följa dessa `instruktioner <https://www.macworld.com/article/1139383/fontcacheclear.html>`_. Om det inte löser det, leta efter en skadad teckensnittsfil på datorn, i ~/Library/Fonts eller liknande. Ett enkelt sätt att kontrollera om det finns skadade teckensnitt i macOS är att starta \"Font Book\"-programmet, välja alla teckensnitt och sedan i Arkiv-menyn, välj \"Verifiera teckensnitt\"."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "Jag hämtat installationsprogrammet, men det fungerar inte?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1707,26 +1722,26 @@ msgid ""
 "it from running."
 msgstr "Hämtning från Internet kan ibland resultera i en korrupt hämtning. Om calibre installationsprogram du hämtat inte startar, prova att hämtar det igen. Om du hämtar det och det ändå inte fungerar, hämta då det från `en alternativ plats <https://github.com/kovidgoyal/calibre/releases/latest>`_. Om installationsprogrammet fortfarande inte fungerar, så finns något på datorn som hindrar det från att köras."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr "Försök att tillfälligt inaktivera antivirusprogrammet (Microsoft Security Essentials eller Kaspersky eller Norton eller McAfee eller vad). Detta är troligen den skyldige om uppgraderingen hänger i mitten."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr "På samma sätt, om installationsprogrammet misslyckas och du har Microsoft PowerToys igång, avsluta det."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr "Försök att starta om datorn och köra ett registerrensningsprogram som `Wise Registry Cleaner <https://www.wisecleaner.com>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1734,13 +1749,13 @@ msgid ""
 " settings."
 msgstr "Försök med en ren installation. Det vill säga, avinstallera calibre, ta bort: :file:`C:\\\\Program Files\\\\Calibre2` (eller var du tidigare valde att installera calibre). Därefter ominstallera calibre. Observera att avinstalleringen inte rör dina böcker eller inställningar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr "Försök att hämtar installationsprogrammet med en alternativ webbläsare. Till exempel om du använder Internet Explorer, prova att använda Firefox eller Chrome istället."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1750,7 +1765,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr "Om du får ett felmeddelande om en saknad DLL i Windows, så är troligen behörigheterna på din tillfälliga mapp felaktiga. Gå till mappen :file:`C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local` i Windows Utforskaren och högerklicka sedan på :file:`Temp`-mappen och välj :guilabel:`Egenskaper` och gå till :guilabel:`Säkerhet`-fliken. Se till att ditt användarkonto har full kontroll över denna mapp."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1758,11 +1773,11 @@ msgid ""
 " a zip file)."
 msgstr "Om du ändå inte får installeraren att fungera och du är i Windows, kan du använda `calibre bärbara installation <https://calibre-ebook.com/download_portable>` _, som inte behöver ett installationsprogram (det är bara en ZIP-fil)."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Mitt antivirusprogram påstår calibre är ett virus / trojan?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1771,7 +1786,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr "Det första du bör kontrollera är att du hämtar calibre från den officiella webbplatsen: `<https://calibre-ebook.com/download>`_. Se till att du klicka på hämtningslänkar till vänster, inte reklam till höger. calibre är ett mycket populärt program och skrupelfria människor försöker installations webbplatser som erbjuder den för hämtning för att lura oförsiktiga."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1785,11 +1800,11 @@ msgid ""
 " and then re-enable it."
 msgstr "Om du har den officiella hämtningen och antivirusprogrammet fortfarande hävdar calibre är ett virus är alltså felet antivirusprogrammet. Antivirusprogram använder heuristik, mönsterkod som \"ser misstänkt\" för att upptäcka virus. Det är ungefär som rasprofilering. calibre är en helt öppen källkodsprodukt. Du kan faktiskt bläddra i källkoden själv (eller anlita någon att göra det åt dig) för att kontrollera att det inte är ett virus. Rapportera falska identifiering till vad företaget du köper ditt antivirusprogram från. Om antivirusprogram hindrar dig från att hämtar/installera calibre inaktivera det temporärt, installera calibre och sedan återaktivera det."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Hur säkerhetskopierar calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1798,7 +1813,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr "Det viktigaste för att säkerhetskopiera är calibre-biblioteksmappen som innehåller alla dina böcker och metadata. Detta är den mapp du valde för din calibre-biblioteket när du körde calibre för första gången. Du kan få sökvägen till biblioteksmappen genom att klicka på calibre-ikonen på verktygslisten. Du måste säkerhetskopiera den här hela mappen med alla filer och undermappar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1806,7 +1821,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr "Du kan växla calibre till att använda en säkerhetskopierad biblioteksmapp genom att klicka på calibre ikonen i verktygsfältet och välja din säkerhetskopierade biblioteksmapp. En säkerhetskopierad biblioteksmappen säkerhetskopierar dina egna kolumner och sparade sökningar samt alla dina böcker och metadata."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1816,13 +1831,13 @@ msgid ""
 "directory to restore."
 msgstr "Om du vill säkerhetskopiera calibre konfiguration/insticksmodul, måste du säkerhetskopiera konfigurationskatalogen. Du hittar den här konfiguring katalogen via :guilabel:`Inställningar->Diverse`. Observera att återställa konfigurationskataloger inte officiellt stöds, men bör fungera i de flesta fall. Bara kopiera innehållet i backup-katalogen i den aktuella konfigurationen katalogen att återställa."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr "Hur använder jag köpta EPUB-böcker med calibre (eller vad ska jag göra med .acsm-filer)?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1835,44 +1850,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr "De flesta köpta EPUB-böcker har :doc:`DRM <drm>`. Det här förhindrar calibre från att öppna dem. Du kan fortfarande använda calibre för att lagra och överföra dem till din e-bokläsenhet. Först måste du auktorisera din läsenhet på en Windows-maskin med Adobe Digital Editions. När detta är gjort kommer EPUB-böcker som överförts med calibre att fungera bra på din läsenhet. När du köper en EPUB-bok från en webbplats kommer du att få en \".acsm\"-fil. När den här filen öppnas med Adobe Digital Editions kommer det att hämta den faktiska \".epub\"-e-boken. E-bokfilen sparas i mappen \"My Digital Editions\", varifrån du lägga till den i calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "Jag får ett \"Åtkomst nekad\" fel?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr "En tillståndsnekningsfel kan uppstå på grund av många möjliga orsaker, ingen av dem har något att göra med calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr "Du kan få tillståndsnekningsfel om du använder ett SD-kort med skrivskydd aktiverat."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr "Om du, eller något program du använde ändrat filrättigheter av filerna i fråga till skrivskyddade."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr "Om det finns ett filsystemsfel på enheten som orsakade operativsystemet att montera filsystemet i skrivskyddat läge eller markera en viss fil som skrivskyddad för att återvinnas. "
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr "Om filerna har deras ägare inställd till någon annan användare än du."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Om filen är öppen i ett annat program."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1880,18 +1895,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr "Om filen finns på en enhet, kan du ha nått gränsen för högst 256 filer i root av enheten. I det här fallet måste du formatera enheten/sd-kortet som avses i felmeddelandet med FAT32-filsystem, eller ta bort några filer från SD-kortet/enhetens minne."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr "Du måste rätta till den underliggande orsaken till behörighetsfelen innan du fortsätter använda calibre. Läs felmeddelandet noggrant, se vilken fil det hänvisar till och åtgärda behörigheterna för den filen eller dess mappar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr "Kan jag få kommentarmetadata att dyka upp på min läsenhet?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1904,7 +1919,7 @@ msgid ""
 "that format to the same format."
 msgstr "De flesta läsenheter stöder inte detta. Du ska klaga hos tillverkaren om det och förhoppningsvis om tillräckligt många klagar, kommer saker och ting förändras. Under tiden kan du infoga metadata, med kommentarer till en \"Omslagssida\" i början av e-bok, genom att använda alternativet \"Infoga metadata som sidan i början på boken\" under konverteringen. Alternativet finns i :guilabel:`Strukturdetektering`-avsnittet av konverteringsinställningarna. Observera att för att detta ska gälla måste du *konvertera* boken. Om din bok är redan i ett format som inte behöver konvertering kan du konvertera från det formatet till samma format."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1913,11 +1928,11 @@ msgid ""
 "to\" books on your reader."
 msgstr "Ett annat alternativ är att skapa en katalog i e-bokform som innehåller en lista över alla böcker i ditt calibre-bibliotek, med deras metadata. Klicka och håll knappen :guilabel:`Konvertera` för att komma åt verktyget för att generera katalog. Och innan du frågar, nej du kan inte ha katalogen att \"länka direkt till\" böcker på din läsenhet."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "Hur får jag calibre att använda min HTTP-proxy?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1930,21 +1945,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr "Som standard använder calibre de tillgängliga proxyinställningar som är inställda i ditt operativsystem. Ibland dessa är felaktiga, till exempel i Windows om du inte använder Internet Explorer så kan proxyinställningar vara ouppdaterade. Du kan tala om för calibre att använda en viss proxy genom att ställa in ``http_proxy``- och ``https_proxy``-miljövariabeler. Formatet på variabeln är ``http://username:password@servername`` du bör fråga din nätverksadministratör för att ge dig rätt värde för denna variabel. Observera att calibre bara stödjer HTTP-proxyn och inte SOCKS-proxyn. Du kan se den aktuella proxyn som används av calibre i Inställningar->Diverse."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "Jag vill ha en del funktioner tillagda i calibre. Vad kan jag göra?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Du har två val:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr "Skapa en lösning genom att hacka på calibre och skicka det till mig för granskning och inkludering. Se `Development <https://calibre-ebook.com/get-involved>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1955,15 +1970,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr "`Öppna en funktionsförfrågan <https://calibre-ebook.com/bugs>` _. Kom ihåg att även om du tror att din funktionsförfrågan är oerhört viktigt/mycket viktigt, kanske inte calibre-utvecklarena håller med. Lyckligtvis har calibre öppen källkod, vilket innebär att du alltid har möjlighet att implementera din funktion själv, eller anställa någon att göra det åt dig. calibre har en omfattande insticksmodulsarkitektur, så du kanske kan utveckla din funktion som ett insticksmodul, se :ref:`pluginstutorial`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Varför har inte calibre en automatisk uppdatering?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "För många orsaker:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1971,7 +1986,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*Det finns ingen anledning att uppdatera varje vecka*. Om du är nöjd med hur calibre fungerar så stäng av uppdateringaviseringar och vara på god väg. Återkom för att se om du vill uppdatera en gång om året eller så. Det finns en kryssruta för att stänga av uppdateringsaviseringen, på själva uppdateringsaviseringen."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1979,7 +1994,7 @@ msgid ""
 " which someone has to pay."
 msgstr "calibre-hämtningar använder för närvarande `omkring 150TB bandbredd i månaden <https://calibre-ebook.com/dynamic/downloads>`_. Implementering av automatiska uppdateringar skulle öka det kraftigt och i slutändan kosta tusentals dollar i månaden, vilket någon måste betala."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1987,25 +2002,25 @@ msgid ""
 " things to do in calibre development."
 msgstr "Om jag implementerar en dialogruta som hämtar uppdateringen och släpper det, istället för att gå till webbplatsen som det gör nu, som skulle rädda den ivrigaste calibre uppdaterare, *högst fem klick i veckan*. Det finns betydligt högre prioritet att göra i calibre utveckling."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr "Om du verkligen, verkligen hatar att hämtar calibre varje vecka, men ändå vill vara uppdaterad, uppmuntrar jag dig att köra från källkod, vilket gör uppdateringen trivial. Instruktioner som :ref:`finns här <develop>`. "
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr "Det finns automatiska tredjepartsuppdaterare för calibre gjorda av calibre användare på `calibre forum <https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Hur är calibre licensierad?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2018,30 +2033,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr "calibre licensieras under GNU General Public License v3 (en öppen källkod-licens). Det innebär att du är fri att omdistributera calibre så länge du gör källkoden tillgänglig. Så om du vill lägga calibre på en CD med din produkt, måste du också lägga till calibre källkod på CD:n. Källkoden är tillgänglig `för hämtning <https://download.calibre-ebook.com>` _. Du är fri att använda resultaten av konverteringar från calibre hur du vill. Du kan inte använda endera kod eller bibliotek från calibre i ditt program utan att också öppna källkoden för din mjukvara. För mer information, se `GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>` _."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Hur kör jag calibre från mitt USB-minne? "
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "En bärbar version av calibre finns `här <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr "Hur kör jag delar av calibre som nyhetshämtning och Innehållsservern på min egen Linux-server? "
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr "Först måste du installera calibre på din Linux-server. Om din server använder en modern Linux-distribution, borde du inte ha några problem med att installera calibre på den."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2054,34 +2069,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr "calibre behöver GLIBC >= 2.18 och libstdc++ >= 6.0.21. Om du har en äldre server, kommer du antingen vara tvungen sammanställa dessa från källan eller använd calibre 3.48 som kräver GLIBC >= 2.17 eller 2.85.1 som kräver GLIBC >= 2.13 eller calibre 1.48 som endast kräver GLIBC >= 2.10. Dessutom, även om calibre-kommandoradsverktyget inte behöver ha en körande X-server, kräver en del av dem att X-serverns bibliotek installeras på ditt system. Detta beror på att användningen av Qt, som används för bildbearbetningsuppgifter och länkar mot dessa bibliotek. Om du får ett ImportError om några Qt-moduler, är det sannolikt du saknar vissa X-bibliotek."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Du kan köra calibre-servern med kommandot::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr "Du kan hämtar nyheter och konvertera dem till en e-bok med kommandot::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "Om du vill generera MOBI, använd outputfile.mobi istället och använd ``--output-profile Kindle``."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "Du kan skicka e-post med hämtade nyheter med kommandot::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr "Jag lämnar att lista ut exakt kommandorad som en övning för läsenheten."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Slutligen, du kan lägga till hämtade nyheter i calibre-biblioteket med::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/gui.po 5.10.0+dfsg-1/translations/manual/sv/gui.po
--- 5.9.0+dfsg-3/translations/manual/sv/gui.po	2021-01-06 15:36:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/gui.po	2021-01-20 15:30:07.000000000 +0000
@@ -3,11 +3,11 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2021
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Merarom <merarom@yahoo.es>, 2014-2015,2017
 # Sebastian Rasmussen <sebras@gmail.com>, 2018
 # Sofie Sundberg <filaes@gmail.com>, 2018
@@ -15,9 +15,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 07:03+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 07:28+0000\n"
+"Last-Translator: efef6ec5b435a041fce803c7f8af77d2_2341d43\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -675,7 +675,7 @@ msgstr "**Inställningar**: Tillåter di
 msgid ""
 "**Run Welcome wizard**: Allows you to start the :guilabel:`Welcome wizard` "
 "which appeared the first time you started calibre."
-msgstr "**Kör Välkomstguiden**: Tillåter dig att starta :guilabel:`Välkomstguiden` som dyker upp första gången du startar calibre."
+msgstr "**Kör välkomstguiden**: Tillåter dig att starta :guilabel:`välkomstguiden` som dyker upp första gången du startar calibre."
 
 #: ../../__w/calibre/calibre/manual/gui.rst:287
 msgid ""
@@ -902,7 +902,7 @@ msgid ""
 "column named ``#my_series``, you would use the search name "
 "``#my_series_index``. Series indices are numbers, so you can use the "
 "relational operators described above."
-msgstr "Indexserien är sökbara. För standardserien, är söknamnet \"series_index\". För anpassade seriekolumner, använd kolumnsökningsnamn följt av _index. Om du exempelvis vill söka indexen för en anpassad seriekolumn som heter ``#my_series``, skulle du använda sökfunktionsnamnet ``#my_series_index``. Indexserien är tal, så att du kan använda relationsoperatörer som beskrivs ovan."
+msgstr "Indexserien är sökbara. För standardserien, är söknamnet 'series_index'. För anpassade seriekolumner, använd kolumnsökningsnamn följt av _index. Om du exempelvis vill söka indexen för en anpassad seriekolumn som heter ``#my_series``, skulle du använda sökfunktionsnamnet ``#my_series_index``. Indexserien är tal, så att du kan använda relationsoperatörer som beskrivs ovan."
 
 #: ../../__w/calibre/calibre/manual/gui.rst:399
 msgid ""
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/index.po 5.10.0+dfsg-1/translations/manual/sv/index.po
--- 5.9.0+dfsg-3/translations/manual/sv/index.po	2020-12-12 09:00:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/index.po	2021-01-20 15:29:30.000000000 +0000
@@ -3,18 +3,18 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Merarom <merarom@yahoo.es>, 2014-2015
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-12 08:51+0000\n"
-"PO-Revision-Date: 2020-12-11 11:45+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-12 22:40+0000\n"
+"Last-Translator: efef6ec5b435a041fce803c7f8af77d2_2341d43\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -22,11 +22,11 @@ msgstr ""
 "Language: sv\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:4
+#: ../../__w/calibre/calibre/manual/index.rst:4
 msgid "calibre User Manual"
 msgstr "Användarhandboken för calibre"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:6
+#: ../../__w/calibre/calibre/manual/index.rst:6
 msgid ""
 "calibre is an e-book library manager. It can view, convert and catalog "
 "e-books in most of the major e-book formats. It can also talk to many e-book"
@@ -36,7 +36,7 @@ msgid ""
 "macOS."
 msgstr "calibre är en bibliotekshanterare för e-böcker. Den kan visa, konvertera och katalogisera e-böcker i de flesta större e-bokformaten. Den kan också prata med många e-bokläsenheter. Den kan gå ut på internet och hämta metadata för dina böcker. Den kan hämta tidningar och konvertera dem till e-böcker för bekväm läsning. Den är plattformsoberoende som körs på Linux, Windows och macOS."
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:8
+#: ../../__w/calibre/calibre/manual/index.rst:8
 msgid ""
 "You've just started calibre. What do you do now? Before calibre can do "
 "anything with your e-books, it first has to know about them. Drag and drop a"
@@ -45,7 +45,7 @@ msgid ""
 "will show up in the main view looking something like this:"
 msgstr "Du har precis startat calibre. Vad gör du nu? Innan calibre kan göra någonting med dina e-böcker måste den först känna till dem. Dra och släpp några e-bokfiler in i calibre eller klicka på knappen \"Lägg till böcker\" och bläddra efter de e-böcker du vill arbeta med. När du har lagt till böckerna kommer de att visas i huvudvyn och se ut ungefär så här:"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:12
+#: ../../__w/calibre/calibre/manual/index.rst:12
 msgid ""
 "Once you've admired the list of books you just added to your heart's "
 "content, you'll probably want to read one. In order to do that you'll have "
@@ -56,9 +56,9 @@ msgid ""
 " now and click \"OK\". The little icon in the bottom right corner will start"
 " spinning. Once it's finished spinning, your converted book is ready. Click "
 "the \"View\" button to read the book."
-msgstr "När du har beundrat listan med böcker som du just lagt till, kommer du antagligen att vilja läsa en. För att göra det måste du konvertera boken till ett format som din läsenhet förstår. När calibre körs för första gånger kommer en :guilabel:`Välkomstguide` starta och ställa in calibre för din läsenhet. Konvertering är enkelt. Välj bara den bok du vill konvertera och klicka sedan på knappen \"Konvertera böcker\". Ignorera alla alternativ just nu och klicka på \"OK\". Den lilla ikonen i det nedre högra hörnet kommer att börja snurra. När den har snurrat klart är din konverterade bok klar. Klicka på knappen \"Visa\" för att läsa boken."
+msgstr "När du har beundrat listan med böcker som du just lagt till, kommer du antagligen att vilja läsa en. För att göra det måste du konvertera boken till ett format som din läsenhet förstår. När calibre körs för första gånger startas :guilabel:`välkomstguiden` och ställer in calibre för din läsenhet. Konvertering är enkelt. Välj bara den bok du vill konvertera och klicka sedan på knappen \"Konvertera böcker\". Ignorera alla alternativ just nu och klicka på \"OK\". Den lilla ikonen i det nedre högra hörnet kommer att börja snurra. När den har snurrat klart är din konverterade bok klar. Klicka på knappen \"Visa\" för att läsa boken."
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:14
+#: ../../__w/calibre/calibre/manual/index.rst:14
 msgid ""
 "If you want to read the book on your reader, connect it to the computer, "
 "wait till calibre detects it (10-20 seconds) and then click the \"Send to "
@@ -67,79 +67,79 @@ msgid ""
 "will auto convert it to the format your reader device understands."
 msgstr "Om du vill läsa boken på din läsenhet, anslut den till datorn, vänta tills calibre upptäcker den (10-20 sekunder) och klicka sedan på knappen \"Överför till enhet\". När ikonen slutar snurra igen, koppla bort din läsenhet och börja läsa! Om du inte konverterat boken i föregående steg, kommer calibre automatiskt konvertera den till formatet din läsenhet förstår."
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:16
+#: ../../__w/calibre/calibre/manual/index.rst:16
 msgid ""
 "To get started with more advanced usage, you should read about :doc:`gui`. "
 "For even more power and versatility, learn the :doc:`generated/en/cli-"
 "index`. You will find the list of :doc:`faq` useful as well."
 msgstr "För att komma igång med mer avancerad användning bör du läsa om :doc:`gui`. lär dig :doc:`generated/sv/cli-index` för ännu mer kraft och mångsidighet. Du kommer att finna listan över :doc:`faq` också användbar."
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:18
+#: ../../__w/calibre/calibre/manual/index.rst:18
 msgid ""
 "If you have more questions, or want to discuss calibre with other users or "
 "ask for help with specific things, there are `forums and other help "
 "resources available <https://calibre-ebook.com/help>`_."
 msgstr "Om du har ytterligare frågor eller vill diskutera calibre med andra användare eller fråga om hjälp med något specifikt finns `forum och andra hjälpresurser tillgängliga <https://calibre-ebook.com/help>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:24
+#: ../../__w/calibre/calibre/manual/index.rst:24
 msgid ""
 "**An e-book version of this User Manual is available in** `EPUB format "
 "<calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_ and `PDF "
 "format <calibre.pdf>`_."
 msgstr "**En e-bokversion av denna användarhandbok finns tillgänglig i** `EPUB- <calibre.epub>`_,  `AZW3 (Kindle Fire)- <calibre.azw3>`_ och `PDF-format <calibre.pdf>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:27
+#: ../../__w/calibre/calibre/manual/index.rst:27
 msgid "Sections"
 msgstr "Avsnitt"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:50
+#: ../../__w/calibre/calibre/manual/index.rst:50
 msgid "The main calibre user interface"
 msgstr "calibres användargränssnitt"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:58
+#: ../../__w/calibre/calibre/manual/index.rst:58
 msgid "Adding your favorite news website to calibre"
 msgstr "Lägg dina favoritnyhetssidor i calibre "
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:66
+#: ../../__w/calibre/calibre/manual/index.rst:66
 msgid "The calibre E-book viewer"
 msgstr "calibre E-bokvisaren"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:74
+#: ../../__w/calibre/calibre/manual/index.rst:74
 msgid "Customizing calibre's e-book conversion"
 msgstr "Anpassa calibre e-bokkonvertering"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:82
+#: ../../__w/calibre/calibre/manual/index.rst:82
 msgid "Editing e-books"
 msgstr "Redigera e-böcker"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:90
+#: ../../__w/calibre/calibre/manual/index.rst:90
 msgid "The calibre Content server"
 msgstr "calibre Innehållsservern"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:98
+#: ../../__w/calibre/calibre/manual/index.rst:98
 msgid "Comparing e-books"
 msgstr "Jämföra e-böcker"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:106
+#: ../../__w/calibre/calibre/manual/index.rst:106
 msgid "Editing e-book metadata"
 msgstr "Redigera e-bokmetadata"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:114
+#: ../../__w/calibre/calibre/manual/index.rst:114
 msgid "Frequently Asked Questions"
 msgstr "Vanliga frågor och svar"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:122
+#: ../../__w/calibre/calibre/manual/index.rst:122
 msgid "Tutorials"
 msgstr "Handledningar"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:130
+#: ../../__w/calibre/calibre/manual/index.rst:130
 msgid "Customizing calibre"
 msgstr "Anpassa calibre"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:138
+#: ../../__w/calibre/calibre/manual/index.rst:138
 msgid "The Command Line Interface"
 msgstr "Kommandoradsgränssnittet"
 
-#: ../../home/runner/work/calibre/calibre/manual/index.rst:146
+#: ../../__w/calibre/calibre/manual/index.rst:146
 msgid "Setting up a calibre development environment"
 msgstr "Inrätta en calibre-utvecklingsmiljö"
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/plugins.po 5.10.0+dfsg-1/translations/manual/sv/plugins.po
--- 5.9.0+dfsg-3/translations/manual/sv/plugins.po	2021-01-06 15:35:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/plugins.po	2021-01-20 15:29:29.000000000 +0000
@@ -3,20 +3,20 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2021
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Merarom <merarom@yahoo.es>, 2014-2017,2019
 # Sofie Sundberg <filaes@gmail.com>, 2018
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 07:00+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-09 03:46+0000\n"
+"Last-Translator: efef6ec5b435a041fce803c7f8af77d2_2341d43\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -1459,7 +1459,7 @@ msgid ""
 "driver must maintain its own blacklist of failed devices. Similarly, when "
 "ejecting, calibre will call eject() and then assuming the next call to "
 "detect_managed_devices() returns None, it will call post_yank_cleanup()."
-msgstr "Om True indikerar att denna drivrutin helt hanterar enhetsupptäckt, utmatning och så vidare. Om du ställer in detta till True, *måste* du implmentera detect_managed_devices och debug_managed_device_detection metoder. En drivrutin med denna uppsättning till True är ansvarig för upptäckt av enheter, hantering av en svartlista med enheter, en förteckning över de utmatade enheter och så vidare. calibre kommer regelbundet kalla detect_managed_devices() metoden och om det återger en detekterad enhet, kommer calibre anropa open(). open() kommer att anropas varje gång en enhet återges även om tidigare anrop för att open() misslyckades, därför måste drivrutin bibehålla sin egen svartlista med misslyckade enheter. Likaså vid utmatning, kommer calibre anropa eject() och sedan antar nästa anrop till detect_managed_devices() återger None, kommer det att anropa post_yank_cleanup()."
+msgstr "Om True indikerar att denna drivrutin helt hanterar enhetsupptäckt, utmatning och så vidare. Om du ställer in detta till True, *måste* du implmentera detect_managed_devices och debug_managed_device_detection metoder. En drivrutin med denna uppsättning till True är ansvarig för upptäckt av enheter, hantering av en svartlista med enheter, en förteckning över de utmatade enheter och så vidare. calibre kommer regelbundet kalla detect_managed_devices() metoden och om det återger en upptäckt enhet, kommer calibre anropa open(). open() kommer att anropas varje gång en enhet återges även om tidigare anrop för att open() misslyckades, därför måste drivrutin bibehålla sin egen svartlista med misslyckade enheter. Likaså vid utmatning, kommer calibre anropa eject() och sedan antar nästa anrop till detect_managed_devices() återger None, kommer det att anropa post_yank_cleanup()."
 
 #: ../../__w/calibre/calibre/src/calibre/devices/interface.pydocstring of
 #: calibre.devices.interface.DevicePlugin.SLOW_DRIVEINFO:1
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/regexp.po 5.10.0+dfsg-1/translations/manual/sv/regexp.po
--- 5.9.0+dfsg-3/translations/manual/sv/regexp.po	2020-11-26 07:33:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/regexp.po	2021-01-20 15:29:28.000000000 +0000
@@ -3,20 +3,20 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Merarom <merarom@yahoo.es>, 2014-2015,2017
 # Sebastian Rasmussen <sebras@gmail.com>, 2018
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-11-26 07:03+0000\n"
-"PO-Revision-Date: 2020-11-20 09:06+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 07:31+0000\n"
+"Last-Translator: efef6ec5b435a041fce803c7f8af77d2_2341d43\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -24,11 +24,11 @@ msgstr ""
 "Language: sv\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:4
+#: ../../__w/calibre/calibre/manual/regexp.rst:4
 msgid "All about using regular expressions in calibre"
 msgstr "Allt om att använda reguljära uttryck i calibre"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:6
+#: ../../__w/calibre/calibre/manual/regexp.rst:6
 msgid ""
 "Regular expressions are features used in many places in calibre to perform "
 "sophisticated manipulation of e-book content and metadata. This tutorial is "
@@ -36,15 +36,15 @@ msgid ""
 "in calibre."
 msgstr "Reguljära uttryck är funktioner som används på många ställen i calibre för att utföra avancerad manipulation av e-bokens innehåll och metadata. Denna handledning är en mild introduktion till att få dig igång med att använda vanliga uttryck i calibre."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:11
+#: ../../__w/calibre/calibre/manual/regexp.rst:11
 msgid "Contents"
 msgstr "Innehåll"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:14
+#: ../../__w/calibre/calibre/manual/regexp.rst:14
 msgid "First, a word of warning and a word of courage"
 msgstr "Först, ett varningens ord och ett modets ord"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:16
+#: ../../__w/calibre/calibre/manual/regexp.rst:16
 msgid ""
 "This is, inevitably, going to be somewhat technical- after all, regular "
 "expressions are a technical tool for doing technical stuff. I'm going to "
@@ -60,11 +60,11 @@ msgid ""
 "step. So, take a step and follow me into the rabbit hole."
 msgstr "Detta kommer, oundvikligen, att vara något tekniska trots allt, reguljära uttryck är ett tekniskt verktyg för att göra tekniska saker. Jag kommer att behöva använda en del jargong och begrepp som kan verka komplicerat och invecklat. Jag ska försöka förklara dessa begrepp så tydligt som jag kan, men egentligen kan jag inte göra det utan att använda dem alla. Med detta sagt, förkasta inte detta på grund av all jargong, jag har försökt att förklara allt nytt. Och medan reguljära uttryck själva kan verka som en svårbegripliga, svart magi (eller för att vara mer prosaisk, en slumpmässig sträng av rappakalja bokstäver och tecken), jag lovar att det är inte så komplicerat. Även de som förstår vanliga uttryck riktigt bra kan ha problem med att läsa de mer komplexa, men att skriva dem är inte så svårt - du konstruerar uttrycket steg för steg. Så, ta ett steg och följa mig in i kaninhålet."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:19
+#: ../../__w/calibre/calibre/manual/regexp.rst:19
 msgid "Where in calibre can you use regular expressions?"
 msgstr "Var i calibre kan man använda reguljära uttryck?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:21
+#: ../../__w/calibre/calibre/manual/regexp.rst:21
 msgid ""
 "There are a few places calibre uses regular expressions. There's the "
 ":guilabel:`Search & replace` in conversion options, metadata detection from "
@@ -75,11 +75,11 @@ msgid ""
 "searching inside the calibre E-book viewer."
 msgstr "Det finns ett fåtal platser calibre använder reguljära uttryck. Det finns :guilabel:`Sök & ersätt` i konverteringsalternativ, metadatadetektering från filnamn i importinställningar och Sök och ersätt när du redigerar metadata för böcker i grupp. calibres redigerare kan även använda reguljära uttryck i sin :guilabel:`Sök och ersätt` funktion. Slutligen kan du använda reguljära uttryck när du söker i calibre-boklistan och när du söker i calibre E-bokvisaren."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:30
+#: ../../__w/calibre/calibre/manual/regexp.rst:30
 msgid "What on earth *is* a regular expression?"
 msgstr "Vad i hela världen *är* ett reguljärt uttryck?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:32
+#: ../../__w/calibre/calibre/manual/regexp.rst:32
 msgid ""
 "A regular expression is a way to describe sets of strings. A single regular "
 "expression can *match* a number of different strings. This is what makes "
@@ -87,7 +87,7 @@ msgid ""
 "potentially large number of variations."
 msgstr "Ett reguljärt uttryck är ett sätt att beskriva en uppsättningar strängar. En enda reguljära uttryck kan *matcha* flera olika strängar. Det är det som gör reguljära uttryck så kraftfulla - de är ett kortfattad sätt att beskriva ett potentiellt stort antal varianter."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:34
+#: ../../__w/calibre/calibre/manual/regexp.rst:34
 msgid ""
 "I'm using string here in the sense it is used in programming languages: a "
 "string of one or more characters, characters including actual characters, "
@@ -102,11 +102,11 @@ msgid ""
 "people bother using them at all. More on that in a bit."
 msgstr "Jag använder sträng här i den mening den används i programspråk: en sträng av ett eller flera tecken, tecken inklusive faktiska tecken, siffror, skiljetecken och s.k. whitespace (radbrytningar, tabulatorer o.s.v.). Observera att i allmänhet anses inte stora och små bokstäver vara samma, alltså \"a\" som en annan karaktär från \"A\" och så vidare. I calibre, är reguljära uttryck skiftlägesokänslig i sökfältet, men inte i konverteringsalternativet. Det finns ett sätt att göra alla reguljära uttryck fall okänsligt, men vi kommer att diskutera det senare. Det blir komplicerat eftersom reguljära uttryck tillåter variationer i strängar som matchar, så ett uttryck kan matcha flera strängar, vilket är varför folk bryr sig att använda dem. Mer om det om ett tag."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:37
+#: ../../__w/calibre/calibre/manual/regexp.rst:37
 msgid "Care to explain?"
 msgstr "Vill du förklara?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:39
+#: ../../__w/calibre/calibre/manual/regexp.rst:39
 msgid ""
 "Well, that's why we're here. First, this is the most important concept in "
 "regular expressions: *A string by itself is a regular expression that "
@@ -118,11 +118,11 @@ msgid ""
 "variation."
 msgstr "Tja, det är därför vi är här. För det första är detta det viktigaste konceptet i reguljära uttryck: *En sträng i sig är ett reguljärt uttryck som matchar sig själv*. Det vill säga, om jag ville matcha strängen ``\"Hej, Värld!\"`` genom att använda ett reguljärt uttryck, skulle det reguljära uttrycket för att använda vara ``Hej, Värld!``. Och ja, det är verkligen så enkelt. Du kommer att märka dock att detta *endast* matchar den exakta strängen ``\"Hej, Värld!\"``, inte t.ex. ``\"Hej vÄrlden!\"`` eller ``\"hej, värld!\"`` eller någon annan sådan variation."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:42
+#: ../../__w/calibre/calibre/manual/regexp.rst:42
 msgid "That doesn't sound too bad. What's next?"
 msgstr "Det låter inte så illa. Vad händer nu?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:44
+#: ../../__w/calibre/calibre/manual/regexp.rst:44
 msgid ""
 "Next is the beginning of the really good stuff. Remember where I said that "
 "regular expressions can match multiple strings? This is where it gets a "
@@ -144,11 +144,11 @@ msgid ""
 "expression would look like. Yes, go ahead. Write it down."
 msgstr "Nästa är början på riktigt bra grejer. Kom ihåg var jag sa att reguljära uttryck kan matcha flera strängar? Det är här det blir lite mer komplicerat. Säg, som en något mer praktisk övning, e-boken du ville konvertera hade en otäck sidfot som räknar sidor, \"Sida 5 av 423\". Uppenbarligen skulle sidnumret stiga från 1 till 423, så du skulle behöva matcha 423 olika strängar, eller hur? Fel, faktiskt: reguljära uttryck tillåter dig definiera uppsättningar av tecken som matchar: För att definiera en uppsättning, lägger du alla de tecken du vill att ska vara i uppsättningen inom hakparenteser. Så, till exempel uppsättningen `` [abc]`` skulle matcha antingen tecknet \"a\", \"b\" eller \"c\". *Uppsättningarna kommer alltid bara matcha en av karaktärerna i uppsättningen*. De \"förstår\" teckenformattering, det vill säga om du ville matcha mot alla små bokstäver, skulle du använda uppsättningen ``[az]`` för gemener och för versaler skulle du använda `` [a-zA-Z]`` o.s.v. Förstår du principen? Så, självklart, med hjälp av uttrycket ``Sida [0-9] av 423`` skulle du kunna matcha de första nio sidorna, vilket minskar uttrycken som behövs för tre: Det andra uttrycket ``Sida [0-9] [0-9] av 423`` skulle matcha alla tvåsiffriga sidnummer, och jag är säker på att du kan gissa hur det tredje uttryck skulle se ut. Ja, gå vidare. Skriv ner det."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:47
+#: ../../__w/calibre/calibre/manual/regexp.rst:47
 msgid "Hey, neat! This is starting to make sense!"
 msgstr "Hej, snyggt! Detta börjar låta vettigt!"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:49
+#: ../../__w/calibre/calibre/manual/regexp.rst:49
 msgid ""
 "I was hoping you'd say that. But brace yourself, now it gets even better! We"
 " just saw that using sets, we could match one of several characters at once."
@@ -174,7 +174,7 @@ msgid ""
 " every page number in that book!"
 msgstr "Jag hoppades att du skulle säga det. Men förvänta dig själv, nu blir det ännu bättre! Vi såg precis att du använder apparater, kunde vi matcha ett av flera tecken på en gång. Men du kan även upprepa ett tecken eller uppsättning, för att minska antalet uttryck som behövs för att hantera det ovan sidnummerexemplet till ett. Ja, ETT! Upphetsad? Du bör vara det! Det fungerar så här: En del så kallade specialtecken \"+\", \"?\" och \"*\", * upprepa enda element som föregår dem*. (Element antingen ett enda tecken, en teckenuppsättning, en escape-sekvens eller en grupp (vi ska lära oss om de två sista senare) - kort sagt, en enda enhet i ett reguljärt uttryck) är Dessa tecken kallas jokertecken eller kvantifikatorer. För att vara mer exakt, \"?\" matchar *0 eller 1* förekomster av det föregående elementet, \"*\" matchar *0 eller flera* för det föregående elementet och \"+\" matchar *1 eller flera* av det föregående elementet. Några exempel:? Uttrycket `` a `` skulle matcha antingen \"\" (som är den tomma strängen, inte strikt användbar i detta fall) eller \"a\", uttrycket ``a*`` skulle matcha \"\", \"a\",\"aa\" eller valfritt antal a: n i rad, och slutligen uttrycket` `a+` `skulle matcha \"a\",\"aa\" eller valfritt antal a: n i rad (Observera: det skulle inte matcha den tomma strängen!). Samma gäller för uppsättningar: Uttrycket `` [0-9]+ `` skulle matcha *varje heltal finns det*! Jag vet vad du tänker, och du har rätt: Om du använder det i ovanstående fall matcha sidnummer, skulle inte det vara det enda uttryck som matcha alla sidnummer? Ja, uttrycket `` Page [0-9]+ av 423`` skulle matcha varje sidnummer i boken!"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:52
+#: ../../__w/calibre/calibre/manual/regexp.rst:52
 msgid ""
 "A note on these quantifiers: They generally try to match as much text as "
 "possible, so be careful when using them. This is called \"greedy "
@@ -194,13 +194,13 @@ msgid ""
 "write a regular expression."
 msgstr "En kommentar om dessa kvantifierare: De försöker i allmänhet att matcha så mycket text som möjligt, så var försiktig när du använder dem. Detta kallas \"girigt beteende\" - Jag är säker på att du förstår varför. Det blir problematiskt när man, säg, försöker matcha en tagg. Tänk dig, till exempel strängen ``\"<p class =\" calibre2\">Titel här</p>\"`` och låt oss säga att du skulle vilja matcha öppningstaggen (delen mellan det första paret vinkelfästen, lite mer om taggar senare). Man skulle kunna tro att uttrycket ``<p.*>`` skulle matcha den taggen men faktiskt, den matchar hela strängen! (Tecknet \".\" Är ett annat specialtecken. Den matchar något *utom* radbrytningar, så i grund och botten, uttrycket ``.*`` Skulle matcha vilken rad du än kan tänka dig.) Försök istället att använda ``<p.*?>`` som gör kvantifierare ``\"*\"`` ogiriga. Detta uttryck skulle endast matcha den första öppningstaggen, som avsett. Det finns faktiskt ett annat sätt att åstadkomma detta: Uttrycket ``<p[^>]*>`` matchar denna öppningstagg- du kommer se varför efter nästa avsnitt. Bara konstatera att det ganska ofta finns mer än ett sätt att skriva ett reguljärt uttryck."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:56
+#: ../../__w/calibre/calibre/manual/regexp.rst:56
 msgid ""
 "Well, these special characters are very neat and all, but what if I wanted "
 "to match a dot or a question mark?"
 msgstr "Tja, dessa specialtecken är mycket snygga och allt, men vad händer om jag ville matcha en punkt eller ett frågetecken?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:58
+#: ../../__w/calibre/calibre/manual/regexp.rst:58
 msgid ""
 "You can of course do that: Just put a backslash in front of any special "
 "character and it is interpreted as the literal character, without any "
@@ -215,11 +215,11 @@ msgid ""
 "needing to be escaped if you want the literal character."
 msgstr "Du kan givetvis göra det: Bara sätt ett omvänt snedstreck (bakåtsnedstreck) framför någon speciell karaktär och det tolkas som bokstavskaraktär, utan någon speciell betydelse. Detta par av ett omvänt snedstreck följt av ett enda tecken kallas en escape-sekvens (flyktsekvensen), och handlingen att sätta ett omvänt snedstreck framför ett specialtecken kallas escape-tecknet (flykttecken). En flyktsekvensen tolkas som ett enda element. Det finns naturligtvis flyktsekvensener som gör mer än att bara flyr specialtecken, till exempel ``\"\\t\" ``: en tabulator. Vi kommer till en del av de kontrollsekvenser senare. Åh, och förresten, om dessa specialtecken: Tänk alla tecken som vi diskuterar i denna introduktion som har någon funktion att vara speciell och därför kan behöva flyktmarkeras om du vill ha bokstavskaraktären."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:61
+#: ../../__w/calibre/calibre/manual/regexp.rst:61
 msgid "So, what are the most useful sets?"
 msgstr "Så, vilka är de mest användbara uppsättningarna?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:63
+#: ../../__w/calibre/calibre/manual/regexp.rst:63
 msgid ""
 "Knew you'd ask. Some useful sets are ``[0-9]`` matching a single number, "
 "``[a-z]`` matching a single lowercase letter, ``[A-Z]`` matching a single "
@@ -228,14 +228,14 @@ msgid ""
 "shorthand::"
 msgstr "Visste att du skulle fråga. Några användbara uppsättningar är ``[0-9]`` matchar ett enda nummer, ``[az]`` matchar en enda liten bokstav, ``[AZ]`` matchar en enda versal ``[a-zA Z]`` matchar en enda bokstav och ``[a-zA-Z0-9]`` matchar en enda bokstav eller siffra. Du kan också använda en flyktsekvens (escape-sekvens) som stenografer::"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:70
+#: ../../__w/calibre/calibre/manual/regexp.rst:70
 msgid ""
 "\"Whitespace\" is a term for anything that won't be printed. These "
 "characters include space, tabulator, line feed, form feed and carriage "
 "return."
 msgstr "\"Whitespace\" är en term för något som inte kommer att skrivas ut. Dessa tecken inkluderar utrymme, tabulator, radmatning, sidmatning och vagnretur."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:72
+#: ../../__w/calibre/calibre/manual/regexp.rst:72
 msgid ""
 "As a last note on sets, you can also define a set as any character *but* "
 "those in the set. You do that by including the character ``\"^\"`` as the "
@@ -250,13 +250,13 @@ msgid ""
 "bracket."
 msgstr "Som en sista anmärkning om grupper, du kan också definiera en uppsättning som alla tecken *men* de i uppsättningen. Du gör det genom att inkludera tecknet ``\"^\"`` som det *första tecknet i uppsättningen*. Således `` [^ a] `` skulle matcha alla tecken utom \"a\". Det kallas att komplettera uppsättningen. Dessa flyktsekvens stenografier vi såg tidigare kan också kompletteras: ``\"\\D\"``: vilket betyder någon icke-nummer karaktär, vilket är ekvivalent med ``[^0-9]``. De andra stenografier kan kompletteras med, du uppskattade rätt, med hjälp av respektive versal istället för det gemena tecknet. Så, går tillbaka till exemplet ``<p[^>]*`>` från föregående avsnitt, nu kan du se till att teckenuppsättning det använder försöker matcha alla tecken med undantag för ett avslutande vinkelparentes."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:75
+#: ../../__w/calibre/calibre/manual/regexp.rst:75
 msgid ""
 "But if I had a few varying strings I wanted to match, things get "
 "complicated?"
 msgstr "Men om jag hade några olika strängar jag ville matcha, blir saker komplicerade?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:77
+#: ../../__w/calibre/calibre/manual/regexp.rst:77
 msgid ""
 "Fear not, life still is good and easy. Consider this example: The book "
 "you're converting has \"Title\" written on every odd page and \"Author\" "
@@ -272,7 +272,7 @@ msgid ""
 "the even pages). Well, wasn't that easy?"
 msgstr "Frukta inte, ändå är livet bra och lätt. Tänk på detta exempel: Boken du konverterar har \"Titel\" skrivet på varje udda sida och \"Författare\" skrivet på varje jämn sida. Ser bra i tryck, eller hur? Men i e-böcker är det irriterande. Du kan gruppen hela uttryck i normala parenteser och tecknet ``\"|\"`` låter dig matcha *antingen* uttrycket till höger *eller* det till vänster. Kombinera dem så är du klar. För fort för dig? Okej, först och främst grupperar vi uttryck för udda och jämna sidor och på så sätt får ``(Titel)(Författare)`` som våra två nödvändiga uttryck. Nu gör vi det enklare genom att använda det lodräta strecket (``\"|\"`` kallas lodrättstrecktecken): Om du använder uttrycket ` (Titel|Författare)`` kommer du antingen få en träff för \"Titel\" (på de udda sidorna) eller eller så får du en träff för \"Författare\" (på de jämna sidorna). Var det inte lätt?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:79
+#: ../../__w/calibre/calibre/manual/regexp.rst:79
 msgid ""
 "You can, of course, use the vertical bar without using grouping parentheses,"
 " as well. Remember when I said that quantifiers repeat the element preceding"
@@ -288,11 +288,11 @@ msgid ""
 "short: If in doubt, use grouping together with the vertical bar."
 msgstr "Du kan naturligtvis använda det lodräta strecket utan att använda grupperingsparenteser, lika så. Kommer du ihåg när jag sa att kvantifierare upprepar elementet som föregår dem? Tja, det vertikala strecket fungerar lite annorlunda: Uttrycket \"Titel|Författare\" kommer också att matcha antingen strängen \"Titel\" eller strängen \"Författare\", precis som ovanstående exempel med hjälp av gruppering. *Det vertikala strecket väljer mellan hela uttrycket före och efter den*. Så, om du ville matcha strängarna \"Calibre\" och \"calibre\" och ville bara välja mellan det övre och små bokstäver \"c\", skulle du behöva använda uttrycket ``(c|C)alibre``, där grupperingen säkerställer att endast \"c\" kommer att väljas. Om du skulle använda ``c|Calibre``, du skulle få en match på strängen \"c\" eller på strängen \"Calibre\", vilket inte är vad vi ville ha. Kort sagt: Om du är osäker, använd gruppering tillsammans med det vertikala strecket."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:82
+#: ../../__w/calibre/calibre/manual/regexp.rst:82
 msgid "You missed..."
 msgstr "Du missade..."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:84
+#: ../../__w/calibre/calibre/manual/regexp.rst:84
 msgid ""
 "... wait just a minute, there's one last, really neat thing you can do with "
 "groups. If you have a group that you previously matched, you can use "
@@ -303,13 +303,13 @@ msgid ""
 "match the whole string!"
 msgstr "... vänta lite, det finns en sista, riktigt snygg sak du kan göra med uppsättningar. Om du har en uppsättning som du tidigare matchade kan du använda referenser till uppsättningen senare i uttrycket: Uppsättningar är numrerade med början 1, och du refererar till dem genom att flyktnumret på den uppsättning som du vill referera till, alltså den femte gruppen skulle kallad ``\\5``. Så, om du sökte ``([^]+)\\1`` i strängen \"Test Test\", skulle du matcha hela strängen!"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:88
+#: ../../__w/calibre/calibre/manual/regexp.rst:88
 msgid ""
 "In the beginning, you said there was a way to make a regular expression case"
 " insensitive?"
 msgstr "I början sa du att det var ett sätt att göra ett reguljärt uttryck teckenskiftsokänsligt?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:90
+#: ../../__w/calibre/calibre/manual/regexp.rst:90
 msgid ""
 "Yes, I did, thanks for paying attention and reminding me. You can tell "
 "calibre how you want certain things handled by using something called flags."
@@ -320,7 +320,7 @@ msgid ""
 "\"Test\", \"tEst\", \"TEst\" and any case variation you could think of."
 msgstr "Ja, det gjorde jag, tack för att uppmärksammande och att du påminde mig. Du kan berätta för calibre hur du vill vissa saker hanteras med hjälp av något som kallas flaggor. Du inkluderar flaggor i ditt uttryck med hjälp av speciella konstruktionen ``(?flaggor finns här)`` där, naturligtvis, skulle du ersätta \"flaggor finns här\" med de specifika flaggor du vill ha. För att ignorera teckenskiftläge finns flaggan ``i`` därmed inkluderar du ``(?i)`` i ditt uttryck. Således ``(?i)test`` skulle matcha \"Test\", \"tEst\", \"TEst\", och varje fall variation du kan tänka dig."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:92
+#: ../../__w/calibre/calibre/manual/regexp.rst:92
 msgid ""
 "Another useful flag lets the dot match any character at all, *including* the"
 " newline, the flag ``s``. If you want to use multiple flags in an "
@@ -329,17 +329,17 @@ msgid ""
 "``(?si)`` would be equivalent to the above."
 msgstr "En annan användbar flagga tillåter att pricka in alla tecken, *inklusive* på ny rad, flaggan ``s``. Om du vill använda flera flaggor i ett uttryck, bara sätta dem i samma gruppering:  ``(?is)`` skulle ignorera teckenskiftläge och matcha alla. Det spelar ingen roll vilken flagga som du anger först, ``(?si)`` skulle motsvara den ovan."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:95
+#: ../../__w/calibre/calibre/manual/regexp.rst:95
 msgid ""
 "I think I'm beginning to understand these regular expressions now... how do "
 "I use them in calibre?"
 msgstr "Jag tror jag börjar förstå dessa reguljära uttryck nu... hur använder jag dem i calibre?"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:98
+#: ../../__w/calibre/calibre/manual/regexp.rst:98
 msgid "Conversions"
 msgstr "Konverteringar"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:100
+#: ../../__w/calibre/calibre/manual/regexp.rst:100
 msgid ""
 "Let's begin with the conversion settings, which is really neat. In the "
 ":guilabel:`Search & replace` part, you can input a regexp (short for regular"
@@ -355,7 +355,7 @@ msgid ""
 "convert. Be careful if your conversion source has tags like this example::"
 msgstr "Låt oss börja med konverteringsinställningarna, vilket är riktigt snyggt. I Sök- och ersättsdel, kan mata in en regexp (kort för reguljära uttryck) som beskriver den sträng som kommer att ersättas under konverteringen. Den nätta delen är guiden. Klicka på guiden och du får en förhandsvisning av vad calibre \"ser\" under konverteringen. Bläddra ner till den sträng som du vill ta bort, välj och kopiera den, klistra in den i regexp fältet högst upp i fönstret. Om det finns variabla delar, t.ex. sidnummer eller så använder uppsättningar och kvantifierare för att täcka dem, och medan du ändå håller på, kom ihåg att undkomma specialtecken, om det finns några. Klicka på knappen :guilabel:`Test` och calibre belyser delarna som skulle ersättas om du använder regexp. När du är nöjd, klicka på OK och konvertera. Var försiktig om din konverteringskällan har taggar som detta exempel::"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:110
+#: ../../__w/calibre/calibre/manual/regexp.rst:110
 msgid ""
 "(shamelessly ripped out of `this thread "
 "<https://www.mobileread.com/forums/showthread.php?t=75594\">`_). You'd have "
@@ -382,11 +382,11 @@ msgid ""
 " removal."
 msgstr "(pinsamt utslitet från `denna tråd <https://www.mobileread.com/forums/showthread.php?t=75594\">`_). Du skulle behöva ta bort en del av taggarna också. I detta exempel jag skulle rekommendera börjar med taggen ``<b class=\"calibre2\">``, nu måste du sluta med motsvarande sluttagg (öppningstaggar är ``<tag>``, sluttagg är ``</tag>``), vilket är helt enkelt nästa ``</b>`` i detta fall. (Se en bra HTML-handboken eller fråga i forumet om du är osäker på den här punkten.) öppningstaggen kan vara beskrivas med ``<b.*?>``, den avslutande taggen med hjälp av ``</b>``, vilket vi kunde ta bort allt mellan dessa taggar med ``<b.*?>.*?</b>``. Men att använda detta uttryck skulle vara en dålig idé, eftersom det tar bort allt omges av <b>- taggar (som förresten, återger den medföljande texten i fetstil), och det är en rimlig satsning som vi tar bort delar av boken på detta sätt. Istället inkluderar början av den medföljande strängen också, vilket gör det reguljära uttrycket ``<b.*?>\\s*Generera\\s+genom\\s+ABC\\s+Amber\\s+LIT.*?</b>`` Den ``\\s`` med kvantifierare som ingår här i stället för explicit använda mellanslag som sedda i strängen för att fånga några varianter av strängen som kan uppstå. Kom ihåg att kontrollera vad calibre kommer att ta bort för att se till att du inte bort några delar som du vill behålla om du testar ett nytt uttryck. Om du bara kontrollera en händelse, kanske du missar en obalans någon annanstans i texten. Observera också att om du av misstag tar bort fler eller färre taggar än du faktiskt ville försöker calibre för att reparera den skadade koden efter att ha gjort borttagningen."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:113
+#: ../../__w/calibre/calibre/manual/regexp.rst:113
 msgid "Adding books"
 msgstr "Lägga till böcker"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:115
+#: ../../__w/calibre/calibre/manual/regexp.rst:115
 msgid ""
 "Another thing you can use regular expressions for is to extract metadata "
 "from filenames. You can find this feature in the \"Adding books\" part of "
@@ -407,13 +407,13 @@ msgid ""
 "calibre provides, you need to add the file extension to your testing "
 "filename, otherwise you won't get any matches at all, despite using a "
 "working expression."
-msgstr "En annan sak du kan använda reguljära uttryck för är att utvinna metadata från filnamn. Du hittar den här funktionen \"Lägga till böcker\" i en del av inställningarna. Det finns en speciell funktion här: Du kan använda fältnamn för metadatafält, till exempel `(?P<titel>)`` tyder på att calibre använder denna del av strängen som boktiteln. De tillåtna fält namn upptas i fönstren, tillsammans med en annan trevlig testfält. Ett exempel: Säg att du vill importera en hel massa filer namnges som `` Klassiska texter: Den gudomliga komedin av Dante Alighieri.mobi``. (Uppenbarligen är detta redan i ditt bibliotek, eftersom vi alla älskar klassisk italiensk poesi) eller `` science epos: Stiftelsen Trilogy av Isaac Asimov.epub``. Detta är naturligtvis ett namngivningssystem som calibre inte kommer att packa några meningsfulla uppgifter ur sitt standarduttryck för att extrahera metadata är ``(?P<title>.+) - (?P<author>[^_]+)``. Ett reguljärt uttryck som fungerar här skulle vara ```[a-zA-Z]+: (?P<title>.+) by (?P<author>.+)``. Observera att inom gruppen för metadatafält, måste du använda uttryck för att beskriva vad fältet verkligen ska matcha. Och observera också att vid användning av testfältet calibre tillhandahåller, måste du lägga till filändelsen till ditt provfilnamn, annars kommer du inte få några matchningar alls, trots användningen av ett fungerande uttryck."
+msgstr "En annan sak du kan använda reguljära uttryck för är att utvinna metadata från filnamn. Du hittar den här funktionen \"Lägga till böcker\" i en del av inställningarna. Det finns en speciell funktion här: Du kan använda fältnamn för metadatafält, till exempel ``(?P<titel>)`` tyder på att calibre använder denna del av strängen som boktiteln. De tillåtna fält namn upptas i fönstren, tillsammans med en annan trevlig testfält. Ett exempel: Säg att du vill importera en hel massa filer namnges som ``Klassiska texter: Den gudomliga komedin av Dante Alighieri.mobi``. (Uppenbarligen är detta redan i ditt bibliotek, eftersom vi alla älskar klassisk italiensk poesi) eller ``Science Fiction epos: The Foundation Trilogy av Isaac Asimov.epub``. Detta är naturligtvis ett namngivningssystem som calibre inte kommer att packa några meningsfulla uppgifter ur sitt standarduttryck för att extrahera metadata är ``(?P<title>.+) - (?P<author>[^_]+)``. Ett reguljärt uttryck som fungerar här skulle vara ``[a-zA-Z]+: (?P<title>.+) by (?P<author>.+)``. Observera att inom gruppen för metadatafält, måste du använda uttryck för att beskriva vad fältet verkligen ska matcha. Och observera också att vid användning av testfältet calibre tillhandahåller, måste du lägga till filändelsen till ditt provfilnamn, annars kommer du inte få några matchningar alls, trots användningen av ett fungerande uttryck."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:119
+#: ../../__w/calibre/calibre/manual/regexp.rst:119
 msgid "Bulk editing metadata"
 msgstr "Massredigera metadata"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:121
+#: ../../__w/calibre/calibre/manual/regexp.rst:121
 msgid ""
 "The last part is regular expression :guilabel:`Search and replace` in "
 "metadata fields. You can access this by selecting multiple books in the "
@@ -439,7 +439,7 @@ msgid ""
 " behaviour here."
 msgstr "Den sista delen är reguljära uttryck :guilabel:`Sök och ersätt` i metadatafält. Du kan komma åt detta genom att välja flera böcker i biblioteket och genom massmetadataredigering. Var mycket försiktig när du använder denna sista funktion, eftersom det kan göra **Mycket dåliga saker** till ditt bibliotek! Dubbelkolla att dina uttryck verkligen gör vad du vill att de ska med hjälp av testfält, och bara välja de böcker du verkligen vill förändra! I det reguljära uttrycket sökläget kan du söka i ett fält, ersätta texten med något och till och med skriva in resultatet i ett annat fält. Ett praktiskt exempel: Anta ditt bibliotek innehöll böcker av Frank Herberts Dune-serien, uppkallad efter stilen ``Dune 1 - Dune``, ``Dune 2 - Dune Messiah`` o.s.v. Nu vill du få ``Dune`` in i serien fältet. Du kan göra det genom att söka efter ``\\d+(*.?) -.*`` I titelfältet och ersätta den med ``\\1`` i serien fältet. Se vad jag gjorde där? Det är en referens till den första gruppen som du ersätter seriefält med. Nu när du har serien allt klart, bara måste du göra en ny sökning efter ``.*? -``  I titelfältet och ersätta den med ``\"\"`` (en tom sträng), en gång i titelfältet, och ditt metadata är allt snyggt och prydligt. Är inte det bra? Förresten, istället för att ersätta hela fältet, kan du också lägga till eller låta föregå fältet, så, om du *ville* att bok titeln ska infogas med serier information, kan du göra det också. Som ni nu har utan tvivel märkt, det finns en kryssruta markerad :guilabel:`Skiftlägeskänslig`, så att du inte behöver använda flaggor för att välja beteende här."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:123
+#: ../../__w/calibre/calibre/manual/regexp.rst:123
 msgid ""
 "Well, that just about concludes the very short introduction to regular "
 "expressions. Hopefully I'll have shown you enough to at least get you "
@@ -448,7 +448,7 @@ msgid ""
 "<https://docs.python.org/library/re.html>`_."
 msgstr "Nåväl, det avslutar nästan den mycket korta introduktionen till reguljära uttryck. Förhoppningsvis har jag ha visat dig tillräckligt för att åtminstone komma igång och så att du kan fortsätta lära dig själv - en bra utgångspunkt är `Python-dokumentationen för reguljära uttryck <https://docs.python.org/library/re.html>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:125
+#: ../../__w/calibre/calibre/manual/regexp.rst:125
 msgid ""
 "One last word of warning, though: Regexps are powerful, but also really easy"
 " to get wrong. calibre provides really great testing possibilities to see if"
@@ -458,47 +458,47 @@ msgid ""
 "learn from it."
 msgstr "Ett sista ord av varning, emellertid: Regexps är kraftfulla, men också riktigt lätt få fel. calibre ger riktigt bra testmöjligheter för att se om dina uttryck beter sig som du förväntar dig. Använd dem. Försök att inte skjuta dig själv i foten. (Gud, jag älskar det uttrycket...) Men om du trots varningen, skadar foten (eller andra kroppsdelar), försök att lära av det."
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:129
+#: ../../__w/calibre/calibre/manual/regexp.rst:129
 msgid "Quick reference"
 msgstr "Snabbreferens"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:137
+#: ../../__w/calibre/calibre/manual/regexp.rst:137
 msgid "Credits"
 msgstr "Förtjänst"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:139
+#: ../../__w/calibre/calibre/manual/regexp.rst:139
 msgid "Thanks for helping with tips, corrections and such:"
 msgstr "Tack för hjälp med tips, rättningar och liknande:"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:141
+#: ../../__w/calibre/calibre/manual/regexp.rst:141
 msgid "ldolse"
 msgstr "ldolse"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:142
+#: ../../__w/calibre/calibre/manual/regexp.rst:142
 msgid "kovidgoyal"
 msgstr "kovidgoyal"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:143
+#: ../../__w/calibre/calibre/manual/regexp.rst:143
 msgid "chaley"
 msgstr "chaley"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:144
+#: ../../__w/calibre/calibre/manual/regexp.rst:144
 msgid "dwanthny"
 msgstr "dwanthny"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:145
+#: ../../__w/calibre/calibre/manual/regexp.rst:145
 msgid "kacir"
 msgstr "kacir"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:146
+#: ../../__w/calibre/calibre/manual/regexp.rst:146
 msgid "Starson17"
 msgstr "Starson17"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:147
+#: ../../__w/calibre/calibre/manual/regexp.rst:147
 msgid "Orpheu"
 msgstr "Orpheu"
 
-#: ../../home/runner/work/calibre/calibre/manual/regexp.rst:149
+#: ../../__w/calibre/calibre/manual/regexp.rst:149
 msgid ""
 "For more about regexps see `The Python User Manual "
 "<https://docs.python.org/library/re.html>`_. The actual regular expression "
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/simple_index.po 5.10.0+dfsg-1/translations/manual/sv/simple_index.po
--- 5.9.0+dfsg-3/translations/manual/sv/simple_index.po	2020-12-12 09:01:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/simple_index.po	2021-01-20 15:31:02.000000000 +0000
@@ -3,19 +3,19 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018,2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018,2020-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Merarom <merarom@yahoo.es>, 2014
 # Sebastian Rasmussen <sebras@gmail.com>, 2018
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-12 08:51+0000\n"
-"PO-Revision-Date: 2020-12-11 11:45+0000\n"
-"Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-12 22:40+0000\n"
+"Last-Translator: efef6ec5b435a041fce803c7f8af77d2_2341d43\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -23,11 +23,11 @@ msgstr ""
 "Language: sv\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/simple_index.rst:4
+#: ../../__w/calibre/calibre/manual/simple_index.rst:4
 msgid "calibre User Manual"
 msgstr "Användarhandboken för calibre"
 
-#: ../../home/runner/work/calibre/calibre/manual/simple_index.rst:6
+#: ../../__w/calibre/calibre/manual/simple_index.rst:6
 msgid ""
 "calibre is an e-book library manager. It can view, convert and catalog "
 "e-books in most of the major e-book formats. It can also talk to many e-book"
@@ -37,7 +37,7 @@ msgid ""
 "macOS."
 msgstr "calibre är en bibliotekshanterare för e-böcker. Den kan visa, konvertera och katalogisera e-böcker i de flesta större e-bokformaten. Den kan också prata med många e-bokläsenheter. Den kan gå ut på internet och hämta metadata för dina böcker. Den kan hämta tidningar och konvertera dem till e-böcker för bekväm läsning. Den är plattformsoberoende som körs på Linux, Windows och macOS."
 
-#: ../../home/runner/work/calibre/calibre/manual/simple_index.rst:8
+#: ../../__w/calibre/calibre/manual/simple_index.rst:8
 msgid ""
 "You've just started calibre. What do you do now? Before calibre can do "
 "anything with your e-books, it first has to know about them. Drag and drop a"
@@ -46,7 +46,7 @@ msgid ""
 "will show up in the main view looking something like this:"
 msgstr "Du har precis startat calibre. Vad gör du nu? Innan calibre kan göra någonting med dina e-böcker måste den först känna till dem. Dra och släpp några e-bokfiler in i calibre eller klicka på knappen \"Lägg till böcker\" och bläddra efter de e-böcker du vill arbeta med. När du har lagt till böckerna kommer de att visas i huvudvyn och se ut ungefär så här:"
 
-#: ../../home/runner/work/calibre/calibre/manual/simple_index.rst:12
+#: ../../__w/calibre/calibre/manual/simple_index.rst:12
 msgid ""
 "Once you've admired the list of books you just added to your heart's "
 "content, you'll probably want to read one. In order to do that you'll have "
@@ -57,9 +57,9 @@ msgid ""
 " now and click \"OK\". The little icon in the bottom right corner will start"
 " spinning. Once it's finished spinning, your converted book is ready. Click "
 "the \"View\" button to read the book."
-msgstr "När du har beundrat listan med böcker som du just lagt till, kommer du antagligen att vilja läsa en. För att göra det måste du konvertera boken till ett format som din läsenhet förstår. När calibre körs första gånger kommer en :guilabel:`Välkomstguide` starta och ställa in calibre för din läsenhet. Konvertering är enkelt. Välj bara den bok du vill konvertera och klicka sedan på knappen \"Konvertera böcker\". Ignorera alla alternativ just nu och klicka på \"OK\". Den lilla ikonen i det nedre högra hörnet kommer att börja snurra. När den har snurrat klart, är din konverterade bok klar. Klicka på knappen \"Visa\" för att läsa boken."
+msgstr "När du har beundrat listan med böcker som du just lagt till, kommer du antagligen att vilja läsa en. För att göra det måste du konvertera boken till ett format som din läsenhet förstår. När calibre körs första gånger startas :guilabel:`välkomstguiden` och ställer in calibre för din läsenhet. Konvertering är enkelt. Välj bara den bok du vill konvertera och klicka sedan på knappen \"Konvertera böcker\". Ignorera alla alternativ just nu och klicka på \"OK\". Den lilla ikonen i det nedre högra hörnet kommer att börja snurra. När den har snurrat klart, är din konverterade bok klar. Klicka på knappen \"Visa\" för att läsa boken."
 
-#: ../../home/runner/work/calibre/calibre/manual/simple_index.rst:14
+#: ../../__w/calibre/calibre/manual/simple_index.rst:14
 msgid ""
 "If you want to read the book on your reader, connect it to the computer, "
 "wait till calibre detects it (10-20 seconds) and then click the \"Send to "
@@ -68,27 +68,27 @@ msgid ""
 "will auto convert it to the format your reader device understands."
 msgstr "Om du vill läsa boken på din läsenhet, anslut den till datorn, vänta tills Calibre upptäcker den (10-20 sekunder) och sedan klicka på knappen \"Överför till enhet\". När ikonen slutar rotera igen, koppla bort din läsenhet och börja läsa! Om du inte konverterar boken i föregående steg, calibre kommer automatiskt konvertera den till formatet som din läsenhet förstår."
 
-#: ../../home/runner/work/calibre/calibre/manual/simple_index.rst:16
+#: ../../__w/calibre/calibre/manual/simple_index.rst:16
 msgid ""
 "To get started with more advanced usage, you should read about :doc:`gui`. "
 "For even more power and versatility, learn the :doc:`generated/en/cli-"
 "index`. You will find the list of :doc:`faq` useful as well."
 msgstr "För att komma igång med mer avancerad användning, bör du läsa om :doc:`gui`. Lär dig :doc:`generated/sv/cli-index` för ännu mer kraft och mångsidighet. Du kommer att finna listan över :doc:`faq` också användbar."
 
-#: ../../home/runner/work/calibre/calibre/manual/simple_index.rst:18
+#: ../../__w/calibre/calibre/manual/simple_index.rst:18
 msgid ""
 "If you have more questions, or want to discuss calibre with other users or "
 "ask for help with specific things, there are `forums and other help "
 "resources available <https://calibre-ebook.com/help>`_."
 msgstr "Om du har ytterligare frågor eller vill diskutera calibre med andra användare eller fråga om hjälp med något specifikt finns `forum och andra hjälpresurser tillgängliga <https://calibre-ebook.com/help>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/simple_index.rst:24
+#: ../../__w/calibre/calibre/manual/simple_index.rst:24
 msgid ""
 "**An e-book version of this User Manual is available in** `EPUB format "
 "<calibre.epub>`_,  `AZW3 (Kindle Fire) format <calibre.azw3>`_ and `PDF "
 "format <calibre.pdf>`_."
 msgstr "**En e-bokversion av denna användarhandbok finns tillgänglig i** `EPUB- <calibre.epub>`_,  `AZW3 (Kindle Fire)- <calibre.azw3>`_ och `PDF-format <calibre.pdf>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/simple_index.rst:27
+#: ../../__w/calibre/calibre/manual/simple_index.rst:27
 msgid "Sections"
 msgstr "Avsnitt"
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/stats.json 5.10.0+dfsg-1/translations/manual/sv/stats.json
--- 5.9.0+dfsg-3/translations/manual/sv/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 2916,
-    "untranslated": 109
+    "translated": 2924,
+    "untranslated": 107
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/template_lang.po 5.10.0+dfsg-1/translations/manual/sv/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/sv/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -3,18 +3,18 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017-2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018-2021
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017-2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Merarom <merarom@yahoo.es>, 2014-2017
 # Sebastian Rasmussen <sebras@gmail.com>, 2018
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -25,7 +25,7 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:4
 msgid "The calibre template language"
-msgstr "mallspråket för calibre"
+msgstr "Mallspråket för calibre"
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:6
 msgid ""
@@ -715,9 +715,9 @@ msgstr "``and(value, value, ...)`` -- å
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
-msgstr "``add(x, y)`` -- återger x + y. Ger ett undantag om någon av x eller y inte är tal."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
 msgid ""
@@ -838,7 +838,7 @@ msgstr "``days_between(date1, date2)`` -
 msgid ""
 "``divide(x, y)`` -- returns ``x / y``. Throws an exception if either ``x`` "
 "or ``y`` are not numbers."
-msgstr ""
+msgstr "``divide(x, y)`` -- återger ``x / y``. Ger ett undantag om antingen ``x`` eller ``y`` inte är tal."
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:388
 msgid ""
@@ -857,6 +857,12 @@ msgstr "``field(name)`` -- återger meta
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -866,14 +872,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Ytterligare exempel: för mallen ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` använd::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -881,33 +887,33 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- jämför ``val < cmpN`` i sekvens, återger resultN för första jämförelsen som lyckas. Återger else_result om ingen jämförelse lyckas. Exempel::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "återger \"large\". Samma exempel med ett första värde på 16 återger \"giant\"."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty (värde, värde, ...)`` - återger det första värdet som inte är tomt. Om alla värden är tomma, då återges det tomma värdet. Du kan ha så många värden som du vill."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr "``floor(x)`` -- återger det största heltalet mindre än eller lika med x. Kaster ett undantag om x inte är ett tal."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr "``format_date(val, format_string)`` -- formatera värdet, vilket måste vara ett datumfält med hjälp av format_string, återsänder en sträng. Formateringskoder är::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -916,7 +922,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -926,7 +932,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(format_string)`` -- återger en kommaseparerad lista över kolonseparerade post som representerar modifieringstider för formaten i en bok. Den format_string parametern anger hur datumet ska formateras. Se `format_date()`-funktionen för detaljer. Du kan använda funktionen för val för att få modifieringstider för ett visst format. Observera att formatnamn är alltid versaler, som i EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -934,7 +940,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` -- återger en kommaseparerad lista över kolonseparerade post som representerar fullständig sökväg till format i en bok. Du kan använda select-funktionen för att få sökvägen för ett visst format. Observera att formatnamn är alltid versaler, som i EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -942,27 +948,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` -- återger en kommaseparerad lista över kolonseparerade poster som representerar storlekar i oktetter av formaten i en bok. Du kan använda select-funktionen för att få storleken för ett visst format. Observera att formatnamn är alltid versaler, som i EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(value)``  -- återger strängen \"1\" om värdet är tomt, annars återges tomma strängen. Denna funktion fungerar bra med test eller first_non_empty."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -970,7 +976,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(list1, list2, separator)`` -- återge en lista genom att ta bort list1 alla post som finns i \"list2\" med en skiftlägeskänslig jämförelse. Posterna i \"list1\" och \"list2\" skiljs åt av avskiljare, liksom posterna i den återgivna listan."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -979,7 +985,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- återger yes_val om list1 och list2 innehåller samma poster, annars återges no_val. Föremålen bestäms genom att dela upp varje lista med lämpliga avgränsare (sep1 eller sep2). Ordningen på posterna i listorna inte är relevant. Jämförelsen är inte skiftlägeskänslig."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -987,7 +993,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(list1, list2, separator)`` -- återge en lista genom att ta bort list1 alla post som finns i \"list2\" med en skiftlägeskänslig jämförelse. Posterna i \"list1\" och \"list2\" skiljs åt av avskiljare, liksom posterna i den återgivna listan."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -997,7 +1003,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(src_list, separator, include_re, opt_replace)`` -- Konstruera en lista genom att först separera `src_list` i poster med tecknet `separator`. För varje post i listan, kolla om det matchar `include_re`. Om den gör det, lägg till den i listan som ska återges. Om `opt_replace` inte är den tomma strängen, så tillämpa bytet innan du lägger till posten till den återgivna listan."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1005,7 +1011,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(src_list, separator, include_re, search_re, template_for_group_1, for_group_2, ...)`` -- Liksom list_re utom ersättare inte är valbar. Den använder re_group (item, search_re, mall ...) när man gör ersättning."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1013,7 +1019,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1022,53 +1028,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
-msgstr ""
+msgstr "``mod(x)`` -- återger resten av ``x / y``, där ``x``, ``y``, och resultatet är heltal. Ger ett undantag om antingen ``x`` eller ``y`` inte är ett tal."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
-msgstr "``multiply(x, y)`` -- återger x * y. Ger ett undantag om någon x eller y inte är tal."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
-msgstr "``print(a, b, ...)`` -- skriver ut argument till standard ut. Såvida du börjar calibre från kommandoraden (`` calibre-debug -g``), kommer utmatning att gå till ett svart hål."
+msgstr "``print(a, b, ...)`` -- skriver ut argument till standard utmatning. Såvida du börjar calibre från kommandoraden (`` calibre-debug -g``), kommer utmatning att gå till ett svart hål."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "``raw_field(name)`` -- återger metadatafält nämnt efter name utan att tillämpa någon formatering."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(name, separator)`` -- återger listan metadata med namnet name utan att tillämpa någon formatering eller sortering och med poster åtskilda av avskiljare."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1080,17 +1086,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr "``round(x)`` -- återger närmaste heltal till x. Kaster ett undantag om x inte är ett tal."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "``series_sort()`` -- återger seriens sorterade värden."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1099,17 +1105,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "``strcat(a, b, ...)`` -- kan ta valfritt antal argument. Återger en sträng som bildas genom att sammanfoga alla argumenten."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1119,19 +1125,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "``strlen(a)`` -- Återger längden på strängen som skickas som argument."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1141,20 +1147,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "``substr(str, start, end)`` -- återger ``start`` genom ``end`` tecknen i ``str``. Det första tecknet i ``str`` är nolltecken. Om slutet är negativt, då det tyder på att många tecken räknat från höger. Om slutet är noll, då det tyder på det sista tecknet. Till exempel ``substr(\"12345\", 1, 0) `` återger ``'2345'`` och ``substr('12345', 1, -1)`` återger ``'234'`` ."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
-msgstr ""
+msgstr "``subtract(x, y)`` -- återger ``x - y``. Ger ett undantag om antingen ``x`` eller ``y`` inte är tal."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1166,11 +1172,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1180,14 +1186,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1195,26 +1201,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1224,13 +1230,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1240,50 +1246,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1293,13 +1299,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1309,18 +1315,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1331,24 +1337,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1361,29 +1367,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1392,11 +1398,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1404,11 +1410,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1419,27 +1425,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1453,11 +1459,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1467,35 +1473,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1503,20 +1509,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr "Användardefinierade Python-mallfunktioner"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1524,11 +1530,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Särskilda anvisningar för att spara/skicka mallar"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1539,18 +1545,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "Särskild bearbetning tillämpas när en mall används i en 'spara på disk` eller `skicka till enhet` mall. Värdena på fälten städas, ersätter tecken som är speciella till filsystem med understreck, inklusive snedstreck. Det innebär att textfältet inte kan användas för att skapa mappar. Snedstreck ändras dock inte i prefix eller suffixsträngar, så snedstreck i dessa strängar kommer att orsaka att mappar skapas. På grund av detta kan du skapa variabeldjup mappstruktur."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Antag till exempel att vi vill ha mappstrukturen  `series/series_index - title`, med förbehållet att om serien inte existerar, så bör titeln vara i topp-mappen. Mallen för att göra detta är::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "Det snedstreck och bindestreck visas bara om serien inte är tom."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1560,25 +1566,25 @@ msgid ""
 "depending on the value of series."
 msgstr "Uppslagsfunktionen låter oss göra ännu snyggare bearbetning. Antag till exempel att om en bok har en serie, så vi vill att mappstrukturen `series/series index - title.fmt`. Om boken inte har en serie, så vi vill att mappstrukturen `genre/author_sort/title.fmt`. Om boken inte har någon genre, vill vi använda 'Okänd'. Vi vill två helt olika vägar, beroende på värdet av serien."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "För att åstadkomma detta, vi:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr "Skapa en sammansatt fält (ge det uppslagsnamn #AA) som innehåller ``{series}/{series_index} - {title'}``. Om serien inte är tom, så kommer den här mallen att producera `series/series_index - title`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr "Skapa en sammansatt fält (ge det uppslagsnamn #BB) som innehåller``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. Denna mall ger `genre/author_sort/title`, där en tom genre ersätts med `Okänd`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1586,11 +1592,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr "Ändra spara mallen till  ``{series:lookup(.,#AA,#BB)}``.  Denna mall väljer sammansatta fält #AA om serien inte är tom, och sammansatta fält #BB om serien är tom. Vi har alltså två helt olika sparvägar, beroende på om eller inte `series` är tom."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr "Mallar och pluggbrädor"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1601,7 +1607,7 @@ msgid ""
 "display issues."
 msgstr "Pluggbrädor används för att ändra metadata som skrivs in böcker under \"skicka till enhet\" och \"spara till disk\" operationer. En pluggbräda tillåter dig att ange en mall för att tillhandahålla data som ska skrivas i bokens metadata. Du kan använda pluggbrädor för att ändra följande fält: författare, author_sort, språk, förläggare, taggar, titel, title_sort. Den här funktion hjälper personer som vill använda olika metadata i böcker på enheter för att lösa sortering- eller visningsproblem."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1612,7 +1618,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1621,29 +1627,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr "När en pluggbräda kan gälla (Innehållsserver, spara till disk, eller skicka till enhet), söker calibre de definierade pluggbrädor att välja den rätta för givet format och enhet. Till exempel för att hitta rätt pluggbräda för en EPUB-bok som skickas till en Android-enhet, söker calibre dessa pluggbrädor enligt följande sökordning:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "en pluggbräda med en exakt matchning på format och enhet, till exempel ``EPUB`` och ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "en pluggbräda med en exakt matchning på format och den speciella ``any device`` val, till exempel `` EPUB`` och ``any device``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "en pluggbräda med en exakt matchning på format och den speciella ``any device`` val, och ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "en pluggbräda med ``något format`` och ``någon enhet``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1655,7 +1661,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Tagg och författar fält har särskild behandling, eftersom båda dessa fält kan ha mer än en post. En bok kan ha många taggar och många författare. När du anger att ett av dessa två fält ska ändras, är mallens resultat som undersöks för att se om mer än en post finns. För taggar, skärs resultatet bort varhelst calibre finner ett kommatecken. Till exempel om mallen producerar värdet ``Thriller, Horror``, då blir resultatet två taggar, ``Thriller`` och ``Horror``. Det finns inget sätt att sätta ett kommatecken i mitten av en tagg."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1665,7 +1671,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "Samma sak händer för författare, men med en annan karaktär för snittet, en `&` (et-tecken) istället för ett kommatecken. Till exempel om mallen producerar värdet  ``Blogs, Joe&Posts, Susan``,  då kommer boken att sluta med två författare, ``Blogs, Joe`` och ``Posts, Susan``. Om mallen producerar värdet ``Blogs, Joe;Posts, Susan``, då kommer boken att ha en författare med ett ganska konstigt namn."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1674,39 +1680,39 @@ msgid ""
 "preferences window."
 msgstr "Pluggbrädor påverkar metadata som skrivs in i boken när den sparas till disk eller skrivs till enheten. Pluggbrädor påverkar inte metadata som används av ``spara till disk`` och ``skicka till enhet`` för att skapa filnamnen. Istället konstrueras filnamn med hjälp av mallar som anges i lämpliga inställningsfönster."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Du kan hitta följande tips användbart."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "I en kontrolpanel, kan du ställa in ett fält för att vara tomt (eller vad som motsvarar tom) med hjälp av särskild mall ``{}``. Denna mall kommer alltid utvärderas till en tom sträng."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
-msgstr "Den teknik som beskrivs ovan för att visa siffror även om de har ett nollvärde fungerar med standardfält series_index."
+msgstr "Den teknik som beskrivs ovan för att visa siffror även om de har ett nollvärde fungerar med standardfältet series_index."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
-msgstr ""
+msgstr "Funktionsreferens"
diff -pruN 5.9.0+dfsg-3/translations/manual/sv/viewer.po 5.10.0+dfsg-1/translations/manual/sv/viewer.po
--- 5.9.0+dfsg-3/translations/manual/sv/viewer.po	2021-01-06 15:35:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/sv/viewer.po	2021-01-20 15:29:38.000000000 +0000
@@ -3,18 +3,18 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2020
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2016-2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2020
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2016-2017
 # Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018-2021
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2018
-# Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>, 2017
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2018
+# efef6ec5b435a041fce803c7f8af77d2_2341d43, 2017
 # Merarom <merarom@yahoo.es>, 2014,2017
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 07:02+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 11:15+0000\n"
 "Last-Translator: Jonatan Nyberg <jonatan.nyberg.karl@gmail.com>\n"
 "Language-Team: Swedish (http://www.transifex.com/calibre/calibre/language/sv/)\n"
 "MIME-Version: 1.0\n"
@@ -251,11 +251,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr "På Linux, kräver :guilabel:`Read aloud` att `Speech Dispatcher <https://freebsoft.org/speechd>`_ är installerat och fungerar."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr "I Windows kanske inte alla installerade röster är synliga för SAPI-delsystemet som används för text-till-tal. Det finns `instruktioner för att göra alla röster synliga <https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr "Följande länkar med endast tangentbordet"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -265,7 +273,7 @@ msgid ""
 "link."
 msgstr "E-bokvisaren har ett :guilabel:`Tipsläge` som låter dig klicka på länkar i texten utan att använda musen. Tryck på :kbd:`Alt+F` och alla länkar i den aktuella skärmen markeras med ett nummer eller bokstav över dem. Tryck på bokstaven på tangentbordet för att klicka på länken. Genom att trycka på :kbd:`Esc` avbryts :guilabel:`Tipsläge` utan att välja någon länk."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -273,37 +281,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr "Om mer än trettiofem länkar visas på skärmen kommer vissa av dem att ha flera bokstäver, i vilket fall skriver du den första och den andra eller den första och trycker på :kbd:`Retur` för att aktivera. Du kan också använda :kbd:`Baksteg` för att ångra ett fel vid skrivning."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Anpassa utseendet och känslan av din läsupplevelse"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr "Du kan ändra teckenstorlekar i farten med hjälp av :guilabel:`Teckenstorlek` i visarens kontroller eller :kbd:`Ctrl++` eller :kbd:`Ctrl+-` eller hålla :kbd:`Ctrl`- tangenten och använda mushjulet."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr "Färger kan ändras i avsnittet :guilabel:`Färger` i inställningarna för visaren."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr "Du kan ändra antalet sidor som visas på skärmen samt sidmarginaler :guilabel:`Sidlayout` i visarens inställningar."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr "Du kan visa anpassade sidhuvud och sidfot som tid kvar att läsa, aktuell kapiteltitel, bokposition o.s.v. via avsnittet :guilabel:`Sidhuvuden och sidfötter` i inställningarna för visaren."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -313,11 +321,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr "Mer avancerad anpassning kan uppnås genom inställningarna :guilabel:`Format`. Här kan du ange en bakgrundsbild som ska visas under texten och även en formatmall som du kan ställa in som kommer att tillämpas på varje bok. Med hjälp av det kan du göra saker som ändra styckeformat, textjustering, o.s.v. Exempel på anpassade formatmallar som används av calibres användare finns i `forumet <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Ordlistsuppslag"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -325,11 +333,11 @@ msgid ""
 "panel."
 msgstr "Du kan slå upp betydelsen av ord i den aktuella boken genom att öppna :guilabel:`Slå upp/sök ord panelen` via visarens kontroller. Sedan helt enkelt dubbelklicka på något ord och dess definition kommer att visas i panelen Slå upp."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Kopiera text och bilder"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -337,22 +345,22 @@ msgid ""
 "and images."
 msgstr "Du kan välja text och bilder genom att dra innehållet med musen och sedan högerklicka och välja :guilabel:`Kopiera` för att kopiera till urklipp. Det kopierade materialet kan klistras in i ett annat program som oformaterad text och bilder."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Zooma in på bilder"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr "Du kan zooma in för att visa en bild i full storlek i ett separat fönster genom att antingen dubbelklicka eller trycka länge på den. Du kan också högerklicka på den och välja :guilabel:`Visa bild`."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr "Inte återflödbart innehåll"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ta/db_api.po 5.10.0+dfsg-1/translations/manual/ta/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ta/db_api.po	2020-12-23 14:21:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ta/db_api.po	2021-01-20 15:30:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ta/edit.po 5.10.0+dfsg-1/translations/manual/ta/edit.po
--- 5.9.0+dfsg-3/translations/manual/ta/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ta/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ta\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ta/faq.po 5.10.0+dfsg-1/translations/manual/ta/faq.po
--- 5.9.0+dfsg-3/translations/manual/ta/faq.po	2021-01-06 15:34:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ta/faq.po	2021-01-20 15:29:11.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ta/stats.json 5.10.0+dfsg-1/translations/manual/ta/stats.json
--- 5.9.0+dfsg-3/translations/manual/ta/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ta/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 11,
-    "untranslated": 3014
+    "untranslated": 3020
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ta/template_lang.po 5.10.0+dfsg-1/translations/manual/ta/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ta/template_lang.po	2021-01-06 15:34:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ta/template_lang.po	2021-01-20 15:28:51.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ta/viewer.po 5.10.0+dfsg-1/translations/manual/ta/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ta/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ta/viewer.po	2021-01-20 15:29:39.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tamil (http://www.transifex.com/calibre/calibre/language/ta/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/te/db_api.po 5.10.0+dfsg-1/translations/manual/te/db_api.po
--- 5.9.0+dfsg-3/translations/manual/te/db_api.po	2020-12-23 14:20:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/te/db_api.po	2021-01-20 15:30:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/te/edit.po 5.10.0+dfsg-1/translations/manual/te/edit.po
--- 5.9.0+dfsg-3/translations/manual/te/edit.po	2020-12-10 03:01:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/te/edit.po	2021-01-20 15:30:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: te\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/te/faq.po 5.10.0+dfsg-1/translations/manual/te/faq.po
--- 5.9.0+dfsg-3/translations/manual/te/faq.po	2021-01-06 15:34:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/te/faq.po	2021-01-20 15:29:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/te/stats.json 5.10.0+dfsg-1/translations/manual/te/stats.json
--- 5.9.0+dfsg-3/translations/manual/te/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/te/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 3,
-    "untranslated": 3022
+    "untranslated": 3028
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/te/template_lang.po 5.10.0+dfsg-1/translations/manual/te/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/te/template_lang.po	2021-01-06 15:34:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/te/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/te/viewer.po 5.10.0+dfsg-1/translations/manual/te/viewer.po
--- 5.9.0+dfsg-3/translations/manual/te/viewer.po	2021-01-06 15:35:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/te/viewer.po	2021-01-20 15:29:44.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Telugu (http://www.transifex.com/calibre/calibre/language/te/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/template_lang.pot 5.10.0+dfsg-1/translations/manual/template_lang.pot
--- 5.9.0+dfsg-3/translations/manual/template_lang.pot	2021-01-08 03:53:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/template_lang.pot	2021-01-22 02:28:36.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -402,7 +402,7 @@ msgid "``and(value, value, ...)`` -- ret
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:349
-msgid "``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not numbers."
+msgid "``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception if an argument is not a number."
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:350
@@ -474,493 +474,497 @@ msgid "``field(name)`` -- returns the me
 msgstr ""
 
 #: ../../home/kovid/work/calibre/manual/template_lang.rst:393
+msgid "``field_exists(field_name)`` -- checks if a field (column) named ``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:394
 msgid "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix, and suffix to a value in the same way as done in a template like ``{series_index:05.2f| - |- }``. This function is provided to ease conversion of complex single-function- or template-program-mode templates to :ref:`General Program Mode <general_mode>` (see below) to take advantage of GPM template compilation. For example, the following program produces the same output as the above template::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:404
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:405
 msgid "Another example: for the template ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` use::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:413
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:414
 msgid "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- compares ``val < cmpN`` in sequence, returning resultN for the first comparison that succeeds. Returns else_result if no comparison succeeds. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:419
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:420
 msgid "returns \"large\". The same example with a first value of 16 returns \"giant\"."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:421
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:422
 msgid "``first_non_empty(value, value, ...)`` -- returns the first value that is not empty. If all values are empty, then the empty value is returned. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:423
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:424
 msgid "``floor(x)`` -- returns the largest integer less than or equal to x. Throws an exception if x is not a number."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:424
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:425
 msgid "``format_date(val, format_string)`` -- format the value, which must be a date field, using the format_string, returning a string. The formatting codes are::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:449
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:450
 msgid "You might get unexpected results if the date you are formatting contains localized month names, which can happen if you changed the format tweaks to contain ``MMMM``. In this case, instead of using something like ``{pubdate:format_date(yyyy)}``, write the template using Template Program Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:452
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:453
 msgid "``formats_modtimes(format_string)`` -- return a comma-separated list of colon-separated items representing modification times for the formats of a book. The format_string parameter specifies how the date is to be formatted. See the `format_date()` function for details. You can use the select function to get the mod time for a specific format. Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:455
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:456
 msgid "``formats_paths()`` -- return a comma-separated list of colon-separated items representing full path to the formats of a book. You can use the select function to get the path for a specific format. Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:457
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:458
 msgid "``formats_sizes()`` -- return a comma-separated list of colon-separated items representing sizes in bytes of the formats of a book. You can use the select function to get the size for a specific format. Note that format names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:459
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:460
 msgid "``fractional_part(x)`` -- returns the value after the decimal point. For example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if ``x`` is not a number."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:461
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
 msgid "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return the empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:462
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:463
 msgid "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise returns the empty string. This function works well with test or first_non_empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:464
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:465
 msgid "``list_difference(list1, list2, separator)`` -- return a list made by removing from `list1` any item found in `list2`, using a case-insensitive comparison. The items in `list1` and `list2` are separated by separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:466
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:467
 msgid "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return `yes_val` if `list1` and `list2` contain the same items, otherwise return `no_val`. The items are determined by splitting each list using the appropriate separator character (`sep1` or `sep2`). The order of items in the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:469
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:470
 msgid "``list_intersection(list1, list2, separator)`` -- return a list made by removing from `list1` any item not found in `list2`, using a case-insensitive comparison. The items in `list1` and `list2` are separated by separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:471
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:472
 msgid "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a list by first separating `src_list` into items using the `separator` character. For each item in the list, check if it matches `include_re`. If it does, then add it to the list to be returned. If `opt_replace` is not the empty string, then apply the replacement before adding the item to the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:474
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:475
 msgid "``list_re_group(src_list, separator, include_re, search_re, template_for_group_1, for_group_2, ...)`` -- Like list_re except replacements are not optional. It uses re_group(item, search_re, template ...) when doing the replacements."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:476
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:477
 msgid "``list_sort(list, direction, separator)`` -- return list sorted using a case-insensitive sort. If ``direction`` is zero, ``list`` is sorted ascending, otherwise descending. The list items are separated by separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:478
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:479
 msgid "``list_union(list1, list2, separator)`` -- return a list made by merging the items in ``list1`` and ``list2``, removing duplicate items using a case-insensitive comparison. If items differ in case, the one in ``list1`` is used. The items in ``list1`` and ``list2`` are separated by ``separator``, as are the items in the returned list."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:481
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:482
 msgid "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and the result are integers. Throws an exception if either ``x`` or ``y`` is not a number."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:483
-msgid "``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y are not numbers."
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:484
+msgid "``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an exception if any argument is not a number."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:484
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
 msgid "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, otherwise return the empty string"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:485
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:486
 msgid "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is not empty, otherwise returns the empty string. This function works well with test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:487
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:488
 msgid "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you start calibre from the command line (``calibre-debug -g``), the output will go to a black hole."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:489
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
 msgid "``raw_field(name)`` -- returns the metadata field named by name without applying any formatting."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:490
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:491
 msgid "``raw_list(name, separator)`` -- returns the metadata list named by name without applying any formatting or sorting and with items separated by separator."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:491
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:492
 msgid "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  return a string made by applying the regular expression pattern to the val and replacing each matched instance with the string computed by replacing each matched group by the value returned by the corresponding template. The original matched value for the group is available as ``$``. In Template Program Mode, like for the template and the eval functions, you use [[ for { and ]] for }. The following example in Template Program Mode looks for series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:498
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
 msgid "``round(x)`` -- returns the nearest integer to x. Throws an exception if x is not a number."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:499
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:500
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:501
 msgid "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into separate values using ``sep``, then assigns the values to variables named ``id_prefix_N`` where N is the position of the value in the list. The first item has position 0 (zero). The function returns the last element in the list. Example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:506
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:512
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:513
 msgid "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:513
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:514
 msgid "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string formed by concatenating the arguments. The returned value is initialized to ``string1``. ``prefix, string`` pairs are added to the end of the value as long as the resulting string length is less than ``max``. Returns ``string1`` even if ``string1`` is longer than ``max``. You can pass as many ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:516
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:517
 msgid "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:518
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:519
 msgid "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:519
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:520
 msgid "``substr(str, start, end)`` -- returns the ``start``'th through the ``end``'th characters of ``str``. The first character in ``str`` is the zero'th character. If end is negative, then it indicates that many characters counting from the right. If end is zero, then it indicates the last character. For example, ``substr('12345', 1, 0)`` returns ``'2345'``, and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:522
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:523
 msgid "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x`` or ``y`` are not numbers."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:523
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:524
 msgid "``today()`` -- return a date string for today. This value is designed for use in `format_date` or `days_between`, but can be manipulated like any other string. The date is in ISO format."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:525
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:526
 msgid "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in its own context, meaning that variables are not shared between the caller and the template evaluation. Because the `{` and `}` characters are special, you must use `[[` for the `{` character and `]]` for the '}' character; they are converted automatically. For example, ``template('[[title_sort]]') will evaluate the template ``{title_sort}`` and return its value. Note also that prefixes and suffixes (the `|prefix|suffix` syntax) cannot be used in the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:534
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:536
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:537
 msgid "For more complicated template programs it is often easier to avoid template syntax (all the `{` and `}` characters), instead writing a more classic-looking program. You can do this by beginning the template with `program:`. The template program is compiled and executed. No template processing (e.g., formatting, prefixes, suffixes) is done. The special variable `$` is not set."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:540
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:541
 msgid "One advantage of `program:` mode is that braces are no longer special. For example, it is not necessary to use `[[` and `]]` when using the `template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:543
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:544
 msgid "Template Program Mode and General Program Mode support classic **relational (comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The operators return '1' if they evaluate to True, otherwise ''. They do case-insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:547
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:548
 msgid "``program: field('series') == 'foo'`` returns '1' if the book's series is 'foo'."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:548
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:549
 msgid "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:549
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:550
 msgid "``program: if or(field('series') == 'foo', field('series') == '1632') then 'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', otherwise 'no'."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:551
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:552
 msgid "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it is doing a lexical comparison. If you want numeric comparison instead of lexical comparison, use the operators ``==#``, ``!=#``, ``<#``, ``<=#``, ``>#``, ``>=#``. In this case the left and right values are set to zero if they are undefined or the empty string. If they are not numbers then an error is raised."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:555
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:556
 msgid "Both General and Template Program Modes support **``if`` expressions** with the following syntax::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:563
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:564
 msgid "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, ``else``, and ``fi`` are reserved; you cannot use them as identifier names. You can put newlines and white space wherever they make sense. <<expression>> is one template language expression; semicolons are not allowed. <<expression_list>> is a semicolon-separated sequence of template language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:567
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:568
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:569
 msgid "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:569
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:584
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:585
 msgid "An ``if`` produces a value like any other language expression. This means that all the following are valid:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:586
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:587
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:588
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:589
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:590
 msgid "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:591
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:592
 msgid "The template language supports **``for`` expressions** with the following syntax::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:597
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:598
 msgid "The expression must evaluate to either a metadata field lookup key, for example ``tags`` or ``#genre``, or a comma-separated list of values. If the result is a valid lookup name then the field's value is fetched, otherwise the list is broken into its individual values. Each resulting value in the list is assigned to the variable ``id`` then the ``expression_list`` is evaluated."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:602
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:603
 msgid "Example: This template removes the first hierarchical name for each value in Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:613
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:614
 msgid "If the original Genre is ``History.Military, Science Fiction.Alternate History, ReadMe`` then the template returns ``Military, Alternate History, ReadMe``. You could use this template in calibre's :guilabel:`Edit metadata in bulk -> Search & replace` with :guilabel:`Search for` set to ``template`` to strip off the first level of the hierarchy and assign the resulting value to Genre."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:618
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:619
 msgid "Note: the last line in the template, ``new_tags``, isn't necessary in this case because ``for`` returns the value of the last ``expression`` in the ``expression list``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:622
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:624
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:625
 msgid "General Program Mode supports saving templates and calling those templates from another template. You save templates using :guilabel:`Preferences->Advanced->Template functions`. More information is provided in that dialog. You call a template the same way you call a function, passing positional arguments if desired. An argument can be any expression. Examples of calling a template, assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:629
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:630
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:631
 msgid "``foo(a, b)`` call the template passing the values of the two variables ``a`` and ``b``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:631
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:632
 msgid "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the book has a ``series`` then pass the ``series_index``, otherwise pass the value ``0``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:633
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:634
 msgid "In the stored template you retrieve the arguments passed in the call using the ``arguments`` function. It both declares and initializes local variables, effectively parameters. The variables are positional; they get the value of the value given in the call in the same position. If the corresponding parameter is not provided in the call then ``arguments`` assigns that variable the provided default value. If there is no default value then the variable is set to the empty string. For example, the following ``arguments`` function declares 2 variables, ``key``, ``alternate``::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:641
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:643
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:644
 msgid "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:644
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:645
 msgid "``foo('series', '#genre')`` the variable ``key`` is assigned the value ``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:645
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:646
 msgid "``foo()`` -- the variable ``key`` is assigned the empty string and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:647
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:648
 msgid "An easy way to test stored templates is using the ``Template tester`` dialog. Give it a keyboard shortcut in :guilabel:`Preferences->Advanced->Keyboard shortcuts->Template tester`. Giving the ``Stored templates`` dialog a shortcut will help switching more rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:652
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:654
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:655
 msgid "A developer can choose to pass additional information to the template processor, such as application-specific book metadata or information about what the processor is being asked to do. A template can access this information and use it during the evaluation."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:658
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:660
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:661
 msgid "The additional information is a python dictionary containing pairs ``variable_name: variable_value`` where the values should be strings. The template can access the dict, creating template local variables named ``variable_name`` containing the value ``variable_value``. The user cannot change the name so it is best to use names that won't collide with other template local variables, for example by prefixing the name with an underscore."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:665
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:666
 msgid "This dict is passed to the template processor (the ``formatter``) using the named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:672
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:669
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:670
 msgid "column_name=None, template_cache=None, strip_results=True, template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:674
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:676
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:677
 msgid "You access the additional information in a template using the template function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is any legal variable name. This function checks whether the additional information provided by the developer contains the name. If it does then the function assigns the provided value to a template local variable with the given name. If the name is not in the additional information and if an ``expression`` is provided, the ``expression`` is evaluated and the result is assigned to the local variable. If neither a value nor an expression is provided, the function assigns the empty string (``''``) to the local variable."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:685
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:687
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:688
 msgid "The three program modes, Single Function Mode (SFM), Template Program Mode (TPM), and General Program Mode (GPM), work differently. SFM is intended to be 'simple' so it hides a lot of programming language bits. For example, the value of the column is always passed as an 'invisible' first argument to a function included in the template. SFM also doesn't support the difference between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:693
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:694
 msgid "Example: the following SFM template returns either the series name or the string \"no series\"::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:697
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:701
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:705
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:706
 msgid "The first argument to ``ifempty`` is the value of the field ``series``. The second argument is the string ``no series``. In SFM the first argument, the value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:709
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:710
 msgid "Several template functions, for example ``booksize()`` and ``current_library_name()``, take no arguments. Because of the 'invisible argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:712
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:713
 msgid "Nested functions, where a function calls another function to compute an argument, cannot be used in SFM. For example this template, intended to return the first 5 characters of the series value uppercased, won't work in SFM::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:717
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:718
 msgid "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:721
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:727
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:729
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:730
 msgid "You can add your own Python functions to the template processor. Such functions can be used in any of the three template programming modes. The functions are added by going to :guilabel:`Preferences -> Advanced -> Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:733
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:735
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:736
 msgid "Special processing is applied when a template is used in a `save to disk` or `send to device` template. The values of the fields are cleaned, replacing characters that are special to file systems with underscores, including slashes. This means that field text cannot be used to create folders. However, slashes are not changed in prefix or suffix strings, so slashes in these strings will cause folders to be created. Because of this, you can create variable-depth folder structure."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:740
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:741
 msgid "For example, assume we want the folder structure `series/series_index - title`, with the caveat that if series does not exist, then the title should be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:745
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:747
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:748
 msgid "The lookup function lets us do even fancier processing. For example, assume that if a book has a series, then we want the folder structure `series/series index - title.fmt`. If the book does not have a series, then we want the folder structure `genre/author_sort/title.fmt`. If the book has no genre, we want to use 'Unknown'. We want two completely different paths, depending on the value of series."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:757
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:752
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:753
 msgid "Create a composite field (give it lookup name #AA) containing ``{series}/{series_index} - {title}``. If the series is not empty, then this template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:754
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:755
 msgid "Create a composite field (give it lookup name #BB) containing ``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces `genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:756
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:757
 msgid "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template chooses composite field #AA if series is not empty, and composite field #BB if series is empty. We therefore have two completely different save paths, depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:760
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:762
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:763
 msgid "Plugboards are used for changing the metadata written into books during send-to-device and save-to-disk operations. A plugboard permits you to specify a template to provide the data to write into the book's metadata. You can use plugboards to modify the following fields: authors, author_sort, language, publisher, tags, title, title_sort. This feature helps people who want to use different metadata in books on devices to solve sorting or display issues."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:767
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:768
 msgid "When you create a plugboard, you specify the format and device for which the plugboard is to be used. A special device is provided, ``save_to_disk``, that is used when saving formats (as opposed to sending them to a device). Once you have chosen the format and device, you choose the metadata fields to change, providing templates to supply the new values. These templates are `connected` to their destination fields, hence the name `plugboards`. You can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:772
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:773
 msgid "When a plugboard might apply (Content server, save to disk, or send to device), calibre searches the defined plugboards to choose the correct one for the given format and device. For example, to find the appropriate plugboard for an EPUB book being sent to an ANDROID device, calibre searches the plugboards using the following search order:"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:776
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:777
 msgid "a plugboard with an exact match on format and device, e.g., ``EPUB`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:777
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:778
 msgid "a plugboard with an exact match on format and the special ``any device`` choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:778
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:779
 msgid "a plugboard with the special ``any format`` choice and an exact match on device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:779
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:781
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:782
 msgid "The tags and authors fields have special treatment, because both of these fields can hold more than one item. A book can have many tags and many authors. When you specify that one of these two fields is to be changed, the template's result is examined to see if more than one item is there. For tags, the result is cut apart wherever calibre finds a comma. For example, if the template produces the value ``Thriller, Horror``, then the result will be two tags, ``Thriller`` and ``Horror``. There is no way to put a comma in the middle of a tag."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:786
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:787
 msgid "The same thing happens for authors, but using a different character for the cut, a `&` (ampersand) instead of a comma. For example, if the template produces the value ``Blogs, Joe&Posts, Susan``, then the book will end up with two authors, ``Blogs, Joe`` and ``Posts, Susan``. If the template produces the value ``Blogs, Joe;Posts, Susan``, then the book will have one author with a rather strange name."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:790
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:791
 msgid "Plugboards affect the metadata written into the book when it is saved to disk or written to the device. Plugboards do not affect the metadata used by ``save to disk`` and ``send to device`` to create the file names. Instead, file names are constructed using the templates entered on the appropriate preferences window."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:795
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:797
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:799
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:800
 msgid "Use the Template Tester to test templates. Add the tester to the context menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:800
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:801
 msgid "Templates can use other templates by referencing composite columns built with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:802
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:803
 msgid "In a plugboard, you can set a field to empty (or whatever is equivalent to empty) by using the special template ``{}``. This template will always evaluate to an empty string."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:804
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:805
 msgid "The technique described above to show numbers even if they have a zero value works with the standard field series_index."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/template_lang.rst:809
+#: ../../home/kovid/work/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/th/db_api.po 5.10.0+dfsg-1/translations/manual/th/db_api.po
--- 5.9.0+dfsg-3/translations/manual/th/db_api.po	2020-12-23 14:20:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/th/db_api.po	2021-01-20 15:30:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/th/edit.po 5.10.0+dfsg-1/translations/manual/th/edit.po
--- 5.9.0+dfsg-3/translations/manual/th/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/th/edit.po	2021-01-20 15:29:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: th\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/th/faq.po 5.10.0+dfsg-1/translations/manual/th/faq.po
--- 5.9.0+dfsg-3/translations/manual/th/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/th/faq.po	2021-01-20 15:29:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/th/stats.json 5.10.0+dfsg-1/translations/manual/th/stats.json
--- 5.9.0+dfsg-3/translations/manual/th/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/th/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 10,
-    "untranslated": 3015
+    "untranslated": 3021
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/th/template_lang.po 5.10.0+dfsg-1/translations/manual/th/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/th/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/th/template_lang.po	2021-01-20 15:28:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/th/viewer.po 5.10.0+dfsg-1/translations/manual/th/viewer.po
--- 5.9.0+dfsg-3/translations/manual/th/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/th/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Thai (http://www.transifex.com/calibre/calibre/language/th/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ti/db_api.po 5.10.0+dfsg-1/translations/manual/ti/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ti/db_api.po	2020-12-23 14:21:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ti/db_api.po	2021-01-20 15:30:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ti/edit.po 5.10.0+dfsg-1/translations/manual/ti/edit.po
--- 5.9.0+dfsg-3/translations/manual/ti/edit.po	2020-12-10 03:01:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ti/edit.po	2021-01-20 15:29:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ti\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ti/faq.po 5.10.0+dfsg-1/translations/manual/ti/faq.po
--- 5.9.0+dfsg-3/translations/manual/ti/faq.po	2021-01-06 15:34:48.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ti/faq.po	2021-01-20 15:29:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ti/stats.json 5.10.0+dfsg-1/translations/manual/ti/stats.json
--- 5.9.0+dfsg-3/translations/manual/ti/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ti/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ti/template_lang.po 5.10.0+dfsg-1/translations/manual/ti/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ti/template_lang.po	2021-01-06 15:34:25.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ti/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ti/viewer.po 5.10.0+dfsg-1/translations/manual/ti/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ti/viewer.po	2021-01-06 15:35:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ti/viewer.po	2021-01-20 15:29:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tigrinya (http://www.transifex.com/calibre/calibre/language/ti/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/tr/db_api.po 5.10.0+dfsg-1/translations/manual/tr/db_api.po
--- 5.9.0+dfsg-3/translations/manual/tr/db_api.po	2020-12-23 14:21:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tr/db_api.po	2021-01-20 15:30:24.000000000 +0000
@@ -11,9 +11,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: tarakbumba <tarakbumba@gmail.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -189,6 +189,21 @@ msgid "Return the set of books in the sp
 msgstr "Belirlenen sanal kitaplıktaki kitap setini döndürür"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/tr/edit.po 5.10.0+dfsg-1/translations/manual/tr/edit.po
--- 5.9.0+dfsg-3/translations/manual/tr/edit.po	2020-12-10 03:01:13.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tr/edit.po	2021-01-20 15:29:53.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: tr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "calibre EPUB ve AZW3 (Kindle) biçimlerinde kitapları düzenlemeye yarayan dahili bir e-kitap düzenleyicisi içerir. Düzenleyici kitap dosyalarında dahili olarak kullanılan HTML ve CSS'i ve değişiklik yaptıkça güncellenen bir canlı ön izlemeyi gösterir. Ayrıca genel temizlik ve düzeltme işleri için çeşitli otomatize araç da içerir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Bu düzenleyiciyi calibre'de herhangi bir kitaba sağ tıklayıp :guilabel:`Kitabı düzenle` seçerek kullanabilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "İçindekiler"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Temel iş akışı"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "Kitap düzenleme aracıyla bir kitabı ilk defa açtığınızda, solda bir dosya listesiyle karşılanırsınız. Bunlar kitap içeriğini oluşturan HTML dosyaları, biçem sayfaları, resimler vs. dir. Bir dosyayı düzenlemek için basitçe sağ tıklayın. Bir kaç küçük düzeltmeden başka bir şeyler yapacaksanız, `HTML eğitimi <http://html.net/tutorials/html/>`_  ve `CSS Eğitimi <http://html.net/tutorials/css/>`_ bilmeniz gerektiğini unutmayın."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "Kitap düzenleme için temel akış bu şekildedir -- Bir dosya aç, değişiklikler yap, ön izle ve kaydet. Bu kılavuzun devamı belirli görevleri efektif yapabilmeniz için mevcut çeşitli araçları ve özellikleri tartışacaktır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "Tekli dosyalar üstünde bir çok hareketi sağ tıklayarak sağlayabilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Dosyaları yeniden adlandırma"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr "Tek bir dosyayı sağ tıklayarak ve :guilabel:`Yeniden adlandır` seçerek yeniden adlandırabilirsiniz. Bir dosyayı yeniden adlandırmak kitapta ona olan tüm bağları ve referansları günceller. Yani tek yapmanız gereken yeni ismi sağlamaktır, gerisini calibre halleder."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Dosyaları birleştirme"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Metin dosyası sırası değiştirme"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr "Kitabı okurken metin (HTML) dosyalarının hangi sırada açılacağını Dosya tarayıcısında basitçe sürükle bırak yaparak ayarlayabilirsiniz. Teknik detay isteyenler için, buna kitap omurgasının yeniden sıralanması denir. Öğeleri diğerlerinin *arasına* bırakmanız gerekir üstüne değil, alışana kadar bu iş biraz zor gelebilir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Kapağı işaretleme"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr "Ek olarak, EPUB dosyalarının bir *başlık sayfası* kavramı vardır. Başlık sayfası kitabın başlık sayfası/kapağı olarak davranan bir HTML dosyasıdır. EPUB düzenlerken bir HTML dosyasını başlık sayfası olarak sağ tıklayarak ayarlayabilirsiniz. Seçtiğiniz dosyanın yalnızca kapak bilgisi içerdiğinden emin olun. Başka bir içeriği olursa, ilk bölüm gibi, kullanıcı calibre'de bu EPUB'I başka bir biçime dönüştürdüğünde bu içerik silinir. Bunun sebebi dönüştürme sırasında, calibre'nin işaretli başlık sayfasının sadece kapak bilgisi içerdiğini var saymasındandır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Dosyaları siliyor"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr "Dosyaları sağ tıklayarak ya da seçip Delete tuşuna basarak silebilirsiniz. Bir dosyayı silmek OPF dosyasından ona olan tüm referansları da siler. Ancak başka yerlerdeki referanslar silinmez, Kitabı Kontrol Et aracını kullanarak bunları kolayca silebilir/yer değiştirebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr "Dosyaları kitaptan bilgisayarınızdaki başka bir yere aktarabilirsiniz. Dosya üstünde özel olarak başka araçlarla çalışmak istiyorsanız faydalı olabilir. Bu işlem için dosyaya sağ tıklayın ve :guilabel:`Dışa aktar`ı seçin."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr "Dışa aktarılan dosya üstünde çalışmayı bitirdiğinizde, kitaba yeniden, dosyaya sağ tıklayıp :guilabel:`Dosya ile yer değiştir...`i seçerek geri aktarabilirsiniz, bu da kitaptaki dosyayı daha önce dışa aktardığınız dosyayla değiştirmenize olanak verir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "Yeni resim/yazı tipi/vs. ekleme veya yeni boş dosyalar oluşturma"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr "Ayrıca birden çok dosyayı tek seferde Dosya->Dosya içe aktar ile kitaba aktarabilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Dosyaları yer değiştirme"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr "Kitapta mevcut dosyaları sağ tıklayıp yer değiştiri seçerek kolayca değiştirebilirsiniz. Değiştirilen dosyanın farklı bir adı varsa, bu işlem tüm referansları ve bağlantıları da günceller."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr "Biçim sayfalarını HTML dosyalarına etkin biçimde bağlama"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr "Aramayı başlatın ve :guilabel:`Ara->Bul/değiştir`  menü girdisi ile yer değiştirin (HTML veya CSS dosyası düzenliyor olmalısınız)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr "Bulmak istediğiniz metni Arama kutusuna yazın ve Yer değiştir kutusuna da değiştirilecek halini. Sonraki eşleşmeyi bulmak için uygun düğmelere tıklayabilir, mevcut eşleşmeyi veya tüm eşleşmeleri değiştirebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr "Kutunun altındaki açılır menülerden, aramanın mevcut dosya, tüm metin dosyaları, tüm biçim dosyaları veya tüm dosyalar üzerinde çalışmasını sağlayabilirsiniz. Ayrıca arama kipini normal (karakter dizisi) arama veya düzenli ifade arama olarak seçebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr "Bir arama için tüm eşleşmeleri :guilabel:`Ara->Hepsini say` ile sayabilirsiniz. Sayma açılır kutudan hangi dosyaları/bölgeleri seçtiyseniz onlar üzerinde çalışır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr "Ayrıca o an açık düzenleyicide belirli bir satıra :guilabel:`Ara->Satıra git` ile gidebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr "Unutmayın, arama ve yer değiştirmenin tüm gücünü toplamak için, düzenli ifadeler kullanmanız gerekir. Bknz :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Kaydedilmiş aramalar"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "İşlev kipi"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Otomatik araçlar"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr "Kitap düzenlenin yaygın görevlerle ilgili bir çok aracı vardır. Bunlara :guilabel:`Araçlar` menüsü ile erişebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr "İçindekileri kolayca düzenlemek için özel bir araç vardır. :guilabel:`Araçlar->İçindekiler->İçindekileri Düzenle` ile başlatabilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr "İçindekileri Düzenle aracı solda mevcut (eğer varsa) İçindekileri gösterir. Metnini değiştirmek için herhangi bir girdiye çift tıklayın. Ayrıca girdileri sağdaki düğmeleri kullanarak veya sürükle bırak yaparak yeniden düzenleyebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr "Mevcut bir İçindekileri olmayan kitaplar için, bu araç size metinden otomatik İçindekiler oluşturmanız için çeşitli seçenekler sunar. Belgedeki başlıklardan, bağlantılardan, dosyalardan vs İçindekiler oluşturabilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr "Girdileri tıklayıp :guilabel:`Bu girdinin gösterdiği konumu değiştir` ile düzenleyebilirsiniz. Bu işlem kitabın küçük bir ön izlemesini açar, basitçe fare işaretçisini kitap görüntüleme paneli üzerinde hareket ettirin ve girdinin göstermesini istediğiniz noktaya tıklayın. Kalın bir yeil çizgi konumu gösterecektir. Konumdan memnun olduğunuzda OK tıklayın."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
-msgstr ":guilabel:`Kitabı Kontrol Et` aracı kitabınızı gerçek okuyucu cihazlarda oluşabilecek problemlere karşı arar. Etkinleştirmek için :guilabel:`Araçlar->Kitabı Kontrol Et` kullanın."
+":guilabel:`Tools->Check book`."
+msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr "Bulunan tüm problemler güzel, kullanımı kolay bir listede raporlanır. Listedeki herhangi bir girdiye tıklamak bu hata hakkında biraz yardım ve bu hatayı mümkünse otomatik düzeltme seçeneği sunar. Hataya çift tıklayarak hatanın bulunduğu noktayı düzenleyicide açabilir, kendiniz düzeltebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr "Gerçekleştirilen kontrollerden bazıları:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr "Bozuk HTML işaretçileri. İyi biçimlenmiş XML olarak ayrıştırılamayan tüm HTML işaretçileri raporlanır. Düzeltilmesi biçimlemenizin tüm bağlamda olması gibi çalıştığını garantiler. calibre bu hataları otomatik düzeltebilir, ama otomatik düzeltmenin beklenmedik etkileri olabilir, dikkatli kullanın. Her zaman olduğu gibi, otomatik düzeltmeden önce bir kontrol noktası oluşturulur ki kolayca geri dönebilin. Otomatik düzeltme işaretçilerin oldukça hata payı bırakan HTML5 algoritmasıyla ayrıştırılmasıyla, ardından XML'e dönüştürülmesiyle yapılır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr "Bozuk ya da bilinmeyen CSS biçimi. Geçerli olmayan veya CSS 2.1 standardında (CSS 3'den de bir kaç tane eklenerek) tanımlanmayan özellikler içeren herhangi bir CSS raporlanır. CSS tüm biçim dosyalarında, satır arası özniteliklerde ve HTML dosyalarındaki <style> etiketlerinde kontrol edilir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr "Kırık bağlantılar. Kitap içinde eksik ya da bulunmayan dosyaları gösteren bağlantılar varsa raporlanır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr "Referansı olmayan dosyalar. Başka bir dosya tarafından referans edilmeyen veya omurgada olmayan dosyalar raporlanır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr "OPF dosyalarında kopya omurga veya manifesto öğeleri, kırık idref'ler veya meta kapak etiketleri, eksik gerekli kısımlar vs."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr "Kitabın okuyucu cihazlarda bozuk çalışmasına sabep olacak bilinen problemlere uyumluluk kontrolleri."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ":guilabel:`Araçlar->Kapak ekle` kullanarak kitaba kolaylıkla bir kapak ekleyebilirsiniz. Bu işlem mevcut bir resmi seçip kapak yapmanızı veya yeni bir resmi içe aktarıp kapak yapmanızı sağlar. EPUB dosyalarını düzenlerken, kapak için HTML kapsayıcı otomatik üretilir. Kitapta mevcut bir kapak bulunursa, yer değiştirilir. Araç ayrıca OPF'de kapak dosyalarını düzgünce işaretleme işini de otomatik halleder."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Kaynak yazı tipleri katıştırılıyor"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ":guilabel:`Araçlar->Başvurulan fontları göm` ile erişilen bu araç kitapta başvurulan tüm yazı tiplerini bulur ve gömülü değillerse, bilgisayarınızda arama yapar ve bulunursa kitaba gömer. Bu işlemi yapmadan ticari yazı tiplerini gömmek için gerekli izniniz olduğundan emin olun lütfen."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Katıştırılmış yazı tiplerinin alt kümelere ayrılması"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ":guilabel:`Araçlar->Gömülü yazı tiplerini altkümele` ile erişilen bu araç, kitaptaki tüm yazı tiplerini kitapta gerçekten mevcut olan kabartmaları içerecek şekilde eksiltir. Bu işlem genellikle yazı tipi dosyalarının boyutunu ~ 50% azaltır. Ancak yazı tipleri altkümelendikten sonra, daha önce altkümede mevcut olmayan bir yazı tipi eklerseniz, yazı tipi yeni metin için çalışmayacaktır. Yani bunu iş akışında son adım olarak yapın."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Noktalamanın daha akıllı hale getirilmesi"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr "Düz metin tire işaretlerini, elipsleri, tırnakları, çift çizgileri, vs. tipografik olarak düzgün denklerine dönüştür. Algoritmanın bazen yanlış sonuç üretebileceğini not edin, özellikle daraltmanın başında tek tırnak işaretleri varken. :guilabel:`Araçlar->Noktalama işaretlerini toparla` ile erişlebilir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Kullanılmayan CSS kurallarını kaldırma"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Dosyaların güzelleştirilmesi"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr "Bu aracı birden fazla kullanırsanız, her çalıştırmada bir öncekinde oluşturulan İçindekiler yer değiştirecektir. Araca :guilabel:`Araçlar->İçindekiler->Satır Arası İçindekiler Ekle` ile erişilebilir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr "Bu araç EPUB dosyalarında *anlamsal* ayarlar yapmak için kullanılır. Anlamsallar basitçe, OPF dosyasında kitapta özel anlama sahip belirli konumları ayırt eden bağlantılardır. Önsöz, kapak, ithaf, içindekiler vs. tanımlamak için kullanabilirsiniz. Belirtmek istediğiniz anlamsal bilgi türünü seçin ve kitapta göstermesini istediğiniz noktayı seçin. Bu araca :guilabel:`Araçlar->Anlamsal Ayarlar` ile erişebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr "Bu araç tüm kitaptan belirtilen CSS biçem özelliklerini kolayca çıkarmak için kullanılabilir. Kaldırılmasını istediğiniz özellikleri sölyeyebilirsiniz, örneğin ``color, background-color, line-height`` ve bulundukları her yerden kaldırılırlar --- biçem dosyaları, ``<style>`` etiketleri ve satır arası ``style`` öznitelikleri."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Kontrol noktaları"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ":guilabel:`Düzenle->Kontrol noktası oluştur` ile bir kontrol noktası oluşturabilirsiniz. Önceki bir kontrol noktasına da :guilabel:`Düzenle->Geri al...` ile dönebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ":guilabel:`Görünüm->Kontrol noktaları` ile uygun kontrol noktası listesini görebilirsiniz. Kitabın mevcut durumunu belirtilen bir kontrol noktası ile :ref:`diff` aracı ile karşılaştırabilirsiniz -- ilgilenilen kontrol noktasını seçip :guilabel:`Karşılaştır` düğmesine tıklayarak. :guilabel:`Geri al` düğmesi kitabı seçili kontrol noktasına kontrol noktası oluşturulduktan sonra yapılan tüm değişiklikleri geri alarak geri yükler."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr "Değişikliklerin canlı izlenmesi ve otomatik konum eş zamanlamayı -- ön izleme paneli altındaki düğmelerle kapatabilirsiniz. Ön izleme panelinin canlı güncellemesi sadece düzenleyicide yazmadığınız zaman yapılır, böylece dikkatinizi dağıtmaz ve yavaşlatmaz, ön izlemenin gerçeklenmesini bekler."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr "Ön izleme paneli metnin görüntülendiğinde nasıl görüneceğini gösterir. Ancak ön izleme paneli kitabınızı gerçek bir okuma aygıtında test etmenin yerini tutmaz. Gerçek bir okuyucudan hem daha çok hem daha az kapasitelidir. Bir çok okuyucu aygıttan daha fazla hatalara ve bozuk işaretçilere toleransı vardır. Ayrıca size sayfa kenar boşluklarını, sayfa sonlarını ve yazı tipi örtüştüren gömülü yazı tiplerini göstermez. Kitap üstünde çalışırken ön izleme panelini kullanın, ama işiniz bittiğinide, gerçek bir cihaz ya da yazılım öykünücüsünde görüntüleyin."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr "Ön izleme paneli yazıtipi dosyası içindeki yazı tipi ismi CSS @font-face kuralındaki isimle uyuşmazsa gömülü yazı tiplerini desteklemez. Bu tarz yazı tipi sorunlarını Kitabı Kontrol Et aracını kullanarak hızlıca bulup düzeltebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "HTML dosyalarının ayrılması"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr "Dosyayı ayırmak dosyanın alt yarısını gösteren tüm bağlantıların ve referansların otomatik güncellenmesini ve ayrılan kısmın yeni dosya düzenleyicide açılmasını sağlar."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr "Tek bir HTML dosyasını birden çok konumdan otomatik olarak düzenleyicideki dosyaya sağ tıklayıp :guilabel:`Birden fazla konumdan ayır` seçerek ayırabilirsiniz. Bu işlem büyük bir dosyayı tüm başlık etiketlerinde veya belli sınıfta etikete sahip her yerde ayırma imkanı sağlar."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "Canlı CSS paneli"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ":guilabel:`Canlı CSS` paneli o an düzenlediğiniz etikete uygulanabilir tüm biçim kurallarını gösterir. Etiket adı, düzenleyicideki satırı ile birlikte gösterilir, ardından eşleşme kuralları listesi gelir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr "Herhangi bir etikete hangi biçim kurallarının uygulandığını görmek için çok iyi bir yöntemdir. Görünüm ayrıca tıklanabilir bağlantılar (mavi renkte) içerir, bu bağlantılar biçim kurallarında değişiklik yapmak isterseniz biçimin tanımlandığı noktaya doğrudan götürür. Doğrudan etikete uygulanan biçim kuralları ana etiketlerden miras alınan kurallarla birlikte gösterilir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr "Panel ayrıca etiket için hesaplanan son biçimleri de gösterir. Daha yüksek öncelikli kurallarca önüne geçilen özellikler üzeri çizili olarak gösterilir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr "Canlı CSS panelini :guilabel:`Görünüm->Canlı CSS` ile etkinleştirebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr "Kitabı düzenlerken faydalı olabilecek bir kaç araç daha var."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Kitaptaki kelimelerin yazım denetimi"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr " :guilabel:`Araçlar->Yazım denetimi` ile bir yazım denetimi gerçekleştirebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr "Kelimeler kitapta kaç kere geçtikleri ve hangi dilden olduklarıyla gösterilirler. Dil bilgisi kitabın metadatasından ve HTML dosyalarındaki ``lang`` özniteliğinden alınır. Bu da birden çok dil içeren kitaplarda bile yazım denetiminin çalışmasına olanak verir. Örneğin, aşağıdaki HTML çıktısında, color kelimesi Amerikan İngilizcesiyle, colour kelimesi İngiliz İngilizcesiyle kontrol edilir::"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr "Bir kelimeye çift tıklayarak düzenleyicide sonraki konumunu vurgulayabilirsiniz. Kelimeyi elle düzenlemek istiyorsanız, veya hangi içerikte bulunduğunu görmek istiyorsanız faydalıdır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr "Bir kelimeyi değiştirmek için, sağdaki önerilen yazımlardan birine çift tıklayın, veya kendi düzeltilmiş yazımınızı yazın ve :guilabel:`Seçili kelimeyi değiştir` düğmesine tıklayın. Bu işlem kelimeyi tüm kitapta değiştirir. Ayrıca ana kelime listesindeki bir kelimeye sağ tıklayarak sağ tık menüsünden kolayca değiştirebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr "Yazım denetiminin mevcut oturum için bir kelimeyi göz ardı etmesini :guilabel:`Yoksay` düğmesi ile sağlayabilirsiniz. Ayrıca :guilabel:`Sözlüğe ekle` düğmesiyle bir kelimeyi sözlüğe ekleyebilirsiniz. Yazım denetimi birden çok kullanıcı sözlüğünü destekler, yani kelimenin ekleneceği sözlüğü de seçebilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr "Ayrıca yazım denetiminin kitaptaki, sadece yanlış olanlar değil, tüm kelimeleri göstermesini sağlayabilirsiniz. Kitabınızdan hangi kelimelere en sık rastlandığını görmek için ve belli kelimeler için arama ve değiştirme çalıştırmak için faydalıdır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Yeni sözlük ekleme"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Özel karakter eklemek"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr "Bir çok karakter olduğundan, ilk önce gösterilmesi için kendi :guilabel:`Sık kullanılanlar` karakterlerinizi belirtebilirsiniz. Basitçe bir karaktere sağ tıklayıp sık kullanılan olarak işaretleyin. Ayrıca sık kullanılanlardan kaldırmak için sık kullanılanlardaki bir karaktere sağ tıklayabilirsiniz. Son olarak, karakterlerin sırasını :guilabel:`Sık kullanılanları yeniden düzenle` düğmesine tıklayarak ve karakterleri sürükle bırak yaparak ayarlayabilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr "Son olarak, HTML isimlendirilmiş birimleri kullanarak da özel karakterleri girebilirsiniz. Örneğin &nbsp; yazmak noktalı virgülü girdiğinizde bir boşlukla değişmesini sağlar. Yer değiştirme yalnızca noktalı virgülü yazarken gerçekleşir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr "Kod denetleme görünümü"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr "Bu görünüm ilgilenilen mevcut öğeye uygulanan CSS ve HTML kodunu gösterir. Ön izleme panelinde bir yere sağ tıklayıp :guilabel:`Denetle` seçerek açabilirsiniz. Bu öğe için HTML kodunu görmenin yanında, daha da önemli olarak CSS biçimlerini de görürsünüz. Dahası, biçimleri düzenleyebilir ve değişikliklerinizin getirdiği etkileri anında görebilirsiniz. Biçimi düzenlemenin kitap içeriğinde değişiklik yapmayacağını not edin, yalnızca hızlıca deneyler yapmaya izin verir. Denetleyici içinde canlı düzenleme yapma işlevi geliştirme altındadır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr "Diğer e-kitap biçimlerindeki dosyaları EPUB olarak içe aktarma"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr "Düzenleyici başka bir e-kitap biçimindeki dosyaları tam bir dönüştürmeye sokmadan EPUB olarak içe aktarmayı destekler. Özellikle kendi elle düzenlenmiş HTML dosyalarınızdan EPUB dosyaları oluşturmak için faydalıdır. Bu işlemi :guilabel:`Dosya->HTML veya DOCX dosyasını yeni kitap olarak içe aktar` ile yapabilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "Raporlar aracı"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr "Düzenleyici kitapta kullanılan dosyalar, resimler, bağlantılar, kelimeler, karakterler ve biçemlerin özetini gösteren güzel bir *Raporlar* aracı içerir (:guilabel:`Araçlar->Raporlar` ile). Rapordaki her satır bağlantılıdır. Bir satıra çift tıklamak bu öğenin kitapta kullanıldığı veya tanımlandığı (uygun olduğu üzere) noktaya atlama yapar. Örneğin, :guilabel:`Bağlantılar` görünümünde :guilabel:`Kaynak` sütunundaki öğelere çift tıklayarak bağlantının tanımlandığı yere, :guilabel:`Hedef` sütunundaki girdilere tıklayarak bağlantının gösterdiği yere atlayabilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Kod düzenleyicideki özel özellikler"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr "Calibre HTML Düzenleyici çok güçlüdür. HTML (ve CSS) düzenlemeyi kolaylaştıracak bir çok özelliği vardır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Sözdizim vurgulama"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr "HTML düzenleyicinin çok gelişmiş sözdizim vurgulama özelliği vardır. Bazı özellikleri:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr "Kalın, yatık ve başlık etiketleri içindeki metin kalın/yatık yapılır"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "Geçersiz HTML altı kırmızı çizgili olarak vurgulanır"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr "Başlık gibi HTML etiketleri ve öznitelikleri içindeki yazım hataları vurgulanır. Yazım denetimi dile göre yapılır, mevcut etiketteki lang özniteliğine ve kitabın genel diline bakılır."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr "``<style>`` etiketleri arasına gömülmüş CSS vurgulanır"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr "Satır atlatmayan boşluklar, değişik türdeki tireler, vs. gibi görülmesi zor olabilecek özel karakterler vurgulanırlar."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr "``<a>`` etiketleri içindeki diğer dosyalara bağlantılar, ``<img>`` ve ``<link>`` etiketlerindeki dosya isimleri hep vurgulanır. Gösterdikleri dosya ismi mevcut değilse, dosya isminin altı kırmızıyla çizilir."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "İçeriğe duyarlı yardım"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr "Bir HTML etiket ismi veya CSS özelliği ismine sağ tıklayarak bu etiket veya özellikle ilgili yardım alabilirsiniz."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Otomatik tamamlama"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Kesitler"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/tr/faq.po 5.10.0+dfsg-1/translations/manual/tr/faq.po
--- 5.9.0+dfsg-3/translations/manual/tr/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tr/faq.po	2021-01-20 15:29:05.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -49,9 +49,9 @@ msgstr "calibre bir çok girdi biçimind
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -169,8 +169,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -180,7 +180,7 @@ msgid ""
 "resulting MOBI file may not function correctly on a Kindle, since the "
 "Kindle's use the metadata ToC for many things, including the Page Flip "
 "feature."
-msgstr "MOBI'ye dönüştürürken, calibre girdi belgesindeki *metadata İçindekileri* algılar ve çıktı MOBI dosyasında bir dosya sonu İçindekileri oluşturur. Bunu MOBI ayarlarındaki bir seçenekle kapatabilirsiniz. Ayrıca calibre'ye MOBI Çıktı ayarlarındaki bir seçenekle kitabın başına mı sonuna mı konacağını söyleyebilirsiniz. Unutmayın bu İçindekiler anlamsal olarak bir *metadata İçindekileri*, MOBI dışındaki biçimlerde *metnin bir parçası olamaz*. MOBI'deki metnin bir parçası olması MOBI'nin kısıtlamaları yüzünden oluşan bir kazadandır. Belge metninizde belirli bir konumda bir İçindekiler istiyorsanız, elle oluşturun. Yani varsayılan olanı olduğu gibi bırakmanızı öneriyoruz, örn kitap sonunda metadata İçindekileri olarak. Ayrıca dosya sonu İçindekiler üretimini kapatırsanız oluşan MOBI Kindle üzerinde düzgün çalışmayabilir, çünkü Kindle'lar metadata İçindekileri Sayfa Çevirme özelliği gibi bir çok yerde kullanır."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:66
 msgid ""
@@ -410,7 +410,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -806,8 +806,8 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
-msgstr "Ne Kindle ne de Nook koleksiyonların USB üzerinden değiştirilmesi için bir yöntem sunmaz.  Gerçekten koleksiyon kullanmak istiyorsanız, Kindle/Nook aygıtınızı satıp bir Kobo almanızı öneririm.  Hayatın bir e-mürekkep ekran üzerinden tek tek koleksiyon girmek için çok kısa olduğunu yalnızca Kobo anlamış gibi görünüyor :)"
+"an e-ink screen 😇"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
 msgid ""
@@ -940,8 +940,8 @@ msgid ""
 msgstr "Kindle'ye gönderilen kitaplar ancak Kindle tarafından *indis*lendiklerinde görünürler. Bu biraz zaman alabilir. Kitap bir süre sonra hala görünmüyorsa, Kindle indisleyici çökmüş olabilir. Bazen belirli bir kitap çökmeye sebep olmuş olabilir. Malesef, Amazon hangi kitabın çökmeye neden olduğuyla ilgili bir bilgi sağlamaz. Yapabileceğiniz tek şey Kindle'yi baştan başlatmak, veya Windows Gezgini (veya hangi dosya yöneticisini kullanıyorsanız) ile hafızasından tüm dosyaları silerek kitapları teker teker, sorun yaratan kitabı bulana kadar göndermektir. Sorunlu kitabı bulduktan sonra, kitabı Kindle'den silin, calibre ile MOBI'den MOBI'ye veya MOBI'den AZW3'e dönüştürme yapın ve tekrar gönderin. Bu muhtemelene sorunu çözecektir."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
-msgstr "Kitaplık Yönetimi"
+msgid "Library management"
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
 msgid "Where are the book files stored?"
@@ -1622,12 +1622,27 @@ msgid ""
 msgstr "Sorun kaynağını bulmanın tek yolu programları tek tek eleyerek soruna yol açanı anlamaktır. Temel olarak, programı durdurun, calibre'yi çalıştırın, çökme var mı kontrol edin. Hala sorun varsa başka bir programı durdurun ve tekrar edin."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr "Görüntüleyiciyi kullanmak ya da herhangi bir dönüştürme yapmak Windows üzerinde izin verilmedi hatasına yol açıyor"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1638,7 +1653,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1647,22 +1662,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr "Bazı kullanıcılar Yönetici komut satırında aşağıdaki komutu çalıştırmanın izinlerini düzelttiğini söylediler.  Yönetici Komut Satırı açmak için başlat menüsünde cmd.exe arayın, komut satırı girdisine sağ tıklayın ve Yönetici olarak Çalıştırı seçin. Komut satırında aşağıdaki komutu yazın ve Enter tuşlayın::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr "Alternatif olarak, calibre'yi Yönetici olarak çalıştırabilirsiniz, ama böyle yapmak sürükle bırak gibi bazı işlevlerin çalışmamasına yol açar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr "Son olarak, bazı kullanıcılar UAC'nin kapatılmasının problemi çözdüğünü raporladılar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1672,14 +1687,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr "Calibre'nin neden başlamadığıyla ilgili hata ayıklama çıktısını `Console.app` çalıştırarak alabilirsiniz. Hata çıktısı buraya yazılacaktır. Eğer hata çıktısı şuna benzer bir satır içeriyorsa::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1690,11 +1705,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "Yükleyiciyi indirdim ama çalışmıyor?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1704,26 +1719,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr "Geçici olarak antivirüs programınızı kapatmayı deneyin (Microsoft Security Essentials, veya Kaspersky veya Norton veya McAfee veya her neyse). Güncelleme süreci yarıda kalıyorsa sorun büyük ihtimalle budur."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1731,13 +1746,13 @@ msgid ""
 " settings."
 msgstr "Temiz bir yükleme deneyin. Yani, calibre'yi silin, :file:`C:\\\\Program Files\\\\Calibre2` (veya calibre'yi nereye yüklemeyi seçtiyseniz) silin. Calibre'yi baştan kurun. Kaldırmanın kitaplarınızı veya ayarlarınızı silmeyeceğini hatırlatalım."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr "Yükleyiciyi değişik bir tarayıcı ile indirmeyi deneyin. Örneğin Internet Explorer kullanıyorsanız, Firefox veya Chrome kullanmayı deneyin."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1747,7 +1762,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr "Windows üzerinde eksik DLL hatası alırsanız, muhtemelen, geçici dizininizin izinleri geçersizdir. Windows tarayıcı ile :file:`C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local` dizinine gidin ve :file:`Temp` dizinine sağ tıklayıp :guilabel:`Özellikler` tıklayın ve :guilabel:`Güvenlik` sekmesine gidin. Kullanıcı hesabınızın bu dizine tam kontrolü olduğunu doğrulayın."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1755,11 +1770,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Antivirüs programım calibre'nin bir virüs/trojen olduğunu söylüyor?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1768,7 +1783,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1782,11 +1797,11 @@ msgid ""
 " and then re-enable it."
 msgstr "Resmi siteden indirdiyseniz ve antivirüs programınız hala calibre'yi virüs olarak görüyorsa, antivirüs programınız yanılıyor demektir. Antivirüs programları sezgisel davranırlar, \"şüpheli görünen\" kod parçaları ararlar. Irka göre ayırma gibi bir şeydir bu. calibre tamamen açık kaynaklı bir yazılımdır. Bir virüs programı olmadığını görmek için tüm kaynak kodunu kendiniz tarayabilirsiniz (veya bu işi yapması için birini kiralayabilirsiniz). Lütfen yanlış tanıyı hangi firmadan antivirüs programı alıyorsanız oraya bildirin. Antivirüs programı calibre'yi indirmenizi/yüklemenizi engelliyorsa, geçici olarak kapatın, calibre'yi yükleyin ve tekrar açın."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Calibre'yi nasıl yedeklerim?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1795,7 +1810,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr "Yedeklenecek en önemli şey calibre kitaplık dizinidir, burası tüm kitaplarınızı ve metadata'yı barındırır. Calibre'yi ilk defa çalıştırdığınızda size sorulan calibre kitaplığı dizini burasıdır. Ana araç çubuğundaki calibre simgesine tıklayarak kitaplık dizininin yolunu alabilirsiniz. Bu dizini tamamen tüm alt dizinleriyle yedeklemeniz gerekir."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1803,7 +1818,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr "Araç çubuğundaki calibre simgesine tıklayıp daha önceden yedek alınmış bir kitaplık dizinini kolayca kullanmaya başlayabilirsiniz. Yedeklenmiş bir kitaplık dizini özel sütunlarınızı ve kaydedilmiş aramalarınızı da kitap ve metadata bilgisiyle beraber tutar."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1813,13 +1828,13 @@ msgid ""
 "directory to restore."
 msgstr "Calibre aiyarları/eklentilerini yedeklemek isterseniz, ayar dizinini yedeklemelisiniz. Bu dizini :guilabel:`Tercihler->Çeşitli` ile bulabilirsiniz. Yapılandırma dizinlerinin geri yüklenmesinin resmi olarak desteklenmediğini söylemeliyiz, ama çoğu durumda çalışacaktır. Yedek dizinin içeriğini mevcut ayar dizinine kopyalamanız yeterli."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr "Satın aldığım EPUB kitapları calibre ile nasıl kullanırım (veya .acsm dosyalarıyla ne yapacağım)?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1832,44 +1847,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "\"İzin Verilmedi\" hatası alıyorum?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr "İzin verilmedi hatası bir takım sebeplerden olabilir, hiçbirinin calibre ile bir ilgisi yoktur."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr "Yazma koruması açık bir SD kart kullanıyorsanız izin verilmedi hatası alabilirsiniz."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr "Siz ya da kullandığınız herhangi bir program dosyaların izinlerini yalnızca okunur olarak değiştirdiyse alabilirsiniz."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr "Aygıtta bir dosya sistemi hatası olduysa bu işletim sisteminizin dosya sistemini yalnızca okunur kipte bağlamasına yol açar veya belli bir dosyayı kurtarılmayı bekliyor olarak yalnızca okunur şekilde işaretler."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr "Dosyaların sahibi sizden başka biri olarak ayarlıysa."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Dosyanız başka bir program tarafından açılmışsa."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1877,18 +1892,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr "Calibre kullanmaya devam etmeden önce izin hatalarının sebebini bulup düzeltmeniz gerekir. Hata iletisini dikkatlice okuyun, hangi dosyayı işaret ettiğine bakın ve bu dosyayı ya da dosyayı içeren dizini düzeltin."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr "Yorum metadata'sının okuyucumda görüntülenmesini sağlayabilir miyim?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1901,7 +1916,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1910,11 +1925,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "Calibre'nin HTTP vekilimi kullanmasını nasıl sağlarım?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1927,21 +1942,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "Calibre'ye bir özelliğin eklenmesini istiyorum. Ne yapabilirim?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "İki seçeneğiniz var:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1952,15 +1967,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Calibre'nin neden otomatik güncellemesi yok?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Bir çok sebepten:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1968,7 +1983,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*Her hafta güncellemeye gerek yok*. Calibre'nin çalışmasından memnunsanız güncelleme iletilerini kapatın ve yolunuza devam edin. Senede bir gelip güncelleme var mı diye bakın. Güncelleme iletisi üzerinde güncelleme iletilerini kapatmak için bir kontrol kutusu bulunmaktadır."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1976,7 +1991,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1984,25 +1999,25 @@ msgid ""
 " things to do in calibre development."
 msgstr "Güncellemeyi indiren ve çalıştıran bir iletişim penceresi uyarlarsam, en çok güncelleme yapan insanı şimdi çalışan websitesine gidip indirme mantığından *haftada en fazla beş tık* kar ettirebilirim. Calibre geliştirmesinde bundan çok daha yüksek öncelikli işler var."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr "Calibre'yi indirmekten gerçekten bu kadar nefret ediyorsanız, ve sürekli güncel olmak istiyorsanız, kaynak koddan çalıştırmanızı öneririm, bu yöntem güncellemeyi çok kolaylaştırır. Yönergeler :ref:`burada <develop>`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Calibre'nin lisansı nedir?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2015,30 +2030,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Calibre'yi USB diskimden nasıl çalıştırırım?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2051,34 +2066,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Calibre sunucuyu şu komutla çalıştırabilirsiniz::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "MOBI üretmek istiyorsanız, çıktıdosyası.mobi ve ``--output-profile kindle`` kullanın."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "İndirilen haberleri şu komutla e-posta gönderebilirsiniz::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr "Tam komut satırını tahmin etmeyi okuyucuya bırakıyorum."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Son olarak, indirilen haberleri calibre kitaplığına şu komutla ekleyebilirsiniz::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/tr/stats.json 5.10.0+dfsg-1/translations/manual/tr/stats.json
--- 5.9.0+dfsg-3/translations/manual/tr/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tr/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 1848,
-    "untranslated": 1177
+    "translated": 1842,
+    "untranslated": 1189
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/tr/template_lang.po 5.10.0+dfsg-1/translations/manual/tr/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/tr/template_lang.po	2021-01-06 15:34:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tr/template_lang.po	2021-01-20 15:28:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -709,9 +709,9 @@ msgstr "``and(value, value, ...)`` -- t
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
-msgstr "``add(x, y)`` -- x + y döndürür. x veya y sayı değilse bir istisna fırlatır."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
+msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
 msgid ""
@@ -851,6 +851,12 @@ msgstr "``field(name)`` -- ``name`` ile
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Başka bir örnek: ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` şablonu için şunu kullanın::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr "``list_re(src_list, separator, include_re, opt_replace)`` -- Önce `separator` karakterini kullanarak `src_list`i öğelere ayırarak bir liste oluştur. Listedeki her öğenin `include_re` ile eşleşip eşleşmediğini kontrol et. Eşleşirse, döndürülecek listeye ekle. `opt_replace` boş karakter dizisi değilse, öğeyi döndürülen listeye eklemeden önce yer değiştirmeyi uygula."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(src_list, separator, include_re, search_re, template_for_group_1, for_group_2, ...)`` -- list_re except gibi yer değiştirmeler seçime bağlı değildir. Yer değiştirmeleri kullanırken re_group(item, search_re, template ...) kullanır."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
-msgstr "``multiply(x, y)`` -- x * y döndürür. x veya y sayı değilse bir istisna fırlatır."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr "``print(a, b, ...)`` -- bağımsız değişkenleri standart çıktıya yazdırır. Calibre'yi komut satırından başlatmadığınız takdirde (``calibre-debug -g``) çıktı bir kara deliğe gideceketir."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "``raw_field(name)`` -- Herhangi biçimlendirme uygulamadan name ile isimlendirilmiş metadata alanını döndürür."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(name, separator)`` -- Herhangi biçimlendirme veya sıralama uygulamadan ve separator ile ayrılmış öğelerle, name ile isimlendirilmiş metadata listesini döndürür."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "``series_sort()`` -- seri sıralama değerini döndürür."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "``strcat(a, b, ...)`` --  istenilen sayıda değişken alabilir. Tüm değişkenlerin uç uca eklenmesiyle oluşturulmuş bir karakter dizisi döndürür."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "``strlen(a)`` -- Değişken olarak geçirilen karakter dizisinin uzunluğunu döndürür."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "``substr(str, start, end)`` -- ``str``nin ``start``dan ``end``e kadar olan karakterlerini döndürür. ``str``nin ilk karakteri sıfırıncı karakterdir. end negatif ise, sağdan sayıldığında kaç karakter olduğunu ifade eder. end sıfır ise, son karakteri ifade eder. Örneğin, ``substr('12345', 1, 0)`` ``'2345'`` döndürür, ve ``substr('12345', 1, -1)`` ``'234'`` döndürür."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Kayıt et/gönder şablonları ile ilgili özel notlar"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "Bir şablon `diske kaydet` veya `aygıta gönder` şablonu ile kullanıldığında özel işlemler uygulanır. Alanların değerleri temizlenir, dosya sistemine özel karakterler alt çizgiler ile değiştirilir, yatık çizgiler dahil. Bunun anlamı alan metni kullanılarak klasör oluşturulamayacağıdır. Ancak yatık çizgiler ön ek veya son ek karakter dizilerinden değiştirilmezler, yani bu karakter dizilerindeki yatık çizgiler klasörlerin oluşturulmasına sebep olur. Bu sebepten, değişken derinlikli klasör yapıları oluşturabilirsiniz."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Örneğin, `series/series_index - title` dizin yapısını istediğimizi varsayın, series'in olmama durumunda, başlık en üst klasörde olmalıdır. Bunu yapan şablon şu şekildedir::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "Yatık çizgi ve tire sadece seriler boş değilken görülür."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr "Arama fonksiyonu daha da ince işlemler yapmamıza olanak verir. Örneğin, bir kitabın serisi varsa, `series/series index - title.fmt` şeklinde bir dizin yapısı istediğimizi varsayalım. Kitabın serisi yoksa da `genre/author_sort/title.fmt`. Kitabın türü de yoksa, 'Unknown' kullanmak istiyoruz. Serinin değerine bağlı olarak, iki tane tamamen değişik yol istiyoruz."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "Bunu elde etmek için:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr "Santraller kitaba yazılan metadata'yı diske kaydetme ve aygıta gönderme işlemlerinde değiştirmeye yarar. Bir santral size kitabın metadata'sına yazılacak veriyi sağlayan şablonu belirtme izni verir. Santraller kullanarak şu alanları değiştirebilirsiniz: authors, author_sort, language, publisher, tags, title, title_sort. Bu özellik sıralama ya da görüntüleme sorunlarını aygıttaki kitapta değişik metadata kullanarak çözmek isteyen insanlara yardımcı olur."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "biçim ve aygıtla birebir eşleşen bir santral, örn., ``EPUB`` ve ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "biçim ve özel ``any device`` seçimi ile birebir eşleşen bir santral, örn., ``EPUB`` ve ``any device``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "özel ``any format`` seçimi ve aygıtla birebir eşleşmeli bir santral, örn., ``any format`` ve ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "``any format`` ve ``any device`` olan bir santral"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Etiket ve yazar alanları özel işlem gerektirir, çünkü her iki alan da birden fazla öğe tutabilir. Bir kitabın birden çok etiketi ve yazarı olabilir. Bu iki alandan birinin değişeceğini belirttiğinizde, şablonun sonucu birden fazla öğenin orada olup olmadığı hususunda incelenir. Etiketler için, sonuç, calibre'nin virgül bulduğu yerlerden kesilerek ayrılır.  Örneğin, şablon ``Thriller, Horror`` değerini üretiyorsa, sonuç iki etiket olur ``Thriller`` ve ``Horror``.  Etiketin ortasına virgül koymanın bir yolu yoktur."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "Aynı şey yazarlar için de geçerlidir, ama ayırma için virgül yerine `&` (ampersand) karakteri kullanılır. Örneğin, şablon ``Blogs, Joe&Posts, Susan`` değerini üretiyorsa, kitap iki yazarı var olarak sonlanacaktır, ``Blogs, Joe`` ve ``Posts, Susan``. Şablon ``Blogs, Joe;Posts, Susan`` üretiyorsa, kitabın biraz garip isimli tek bir yazarı olacaktır."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr "Santraller diske kaydedilirken ya da aygıta yazılırken kitaba yazılan metadata'yı etkilerler. Santraller ``diske kaydet`` ve ``aygıta gönder`` tarafından dosya isimlerini oluşturmakta kullanılan metadata'yı etkilemezler. Bunun yerine, dosya isimleri, uygun seçenekler penceresinde girilen şablonlar kullanılarak oluştururlur."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Şu ipuçlarını faydalı bulabilirsiniz."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "Bir santralde, özel şablon ``{}`` kullanarak bir alanı boş olarak ayarlayabilirsiniz (ya da boşla eş değer neyse). Bu şablon her zaman boş karakter dizisi olarak değerlenecektir."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr "Yukarıda sıfır değeri olsa bile sayıları göstermeye yarayan teknik standart alan series_index ile de çalışır."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/tr/viewer.po 5.10.0+dfsg-1/translations/manual/tr/viewer.po
--- 5.9.0+dfsg-3/translations/manual/tr/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tr/viewer.po	2021-01-20 15:29:36.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Turkish (http://www.transifex.com/calibre/calibre/language/tr/)\n"
 "MIME-Version: 1.0\n"
@@ -247,11 +247,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -261,7 +269,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -269,37 +277,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Okuma deneyiminizin görünümünü özelleştirmek"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -309,11 +317,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Sözlük araması"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -321,11 +329,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Metin ve Görüntü Kopyalamak"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -333,22 +341,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/tt/db_api.po 5.10.0+dfsg-1/translations/manual/tt/db_api.po
--- 5.9.0+dfsg-3/translations/manual/tt/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tt/db_api.po	2021-01-20 15:30:13.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/tt/edit.po 5.10.0+dfsg-1/translations/manual/tt/edit.po
--- 5.9.0+dfsg-3/translations/manual/tt/edit.po	2020-12-10 03:00:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tt/edit.po	2021-01-20 15:29:48.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: tt\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/tt/faq.po 5.10.0+dfsg-1/translations/manual/tt/faq.po
--- 5.9.0+dfsg-3/translations/manual/tt/faq.po	2021-01-06 15:34:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tt/faq.po	2021-01-20 15:29:01.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/tt/stats.json 5.10.0+dfsg-1/translations/manual/tt/stats.json
--- 5.9.0+dfsg-3/translations/manual/tt/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tt/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/tt/template_lang.po 5.10.0+dfsg-1/translations/manual/tt/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/tt/template_lang.po	2021-01-06 15:34:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tt/template_lang.po	2021-01-20 15:28:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/tt/viewer.po 5.10.0+dfsg-1/translations/manual/tt/viewer.po
--- 5.9.0+dfsg-3/translations/manual/tt/viewer.po	2021-01-06 15:35:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tt/viewer.po	2021-01-20 15:29:33.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Tatar (http://www.transifex.com/calibre/calibre/language/tt/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/tutorials.pot 5.10.0+dfsg-1/translations/manual/tutorials.pot
--- 5.9.0+dfsg-3/translations/manual/tutorials.pot	2021-01-08 03:53:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/tutorials.pot	2021-01-22 02:28:33.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/typesetting_math.pot 5.10.0+dfsg-1/translations/manual/typesetting_math.pot
--- 5.9.0+dfsg-3/translations/manual/typesetting_math.pot	2021-01-08 03:53:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/typesetting_math.pot	2021-01-22 02:28:31.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/ug/db_api.po 5.10.0+dfsg-1/translations/manual/ug/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ug/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ug/db_api.po	2021-01-20 15:30:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ug/edit.po 5.10.0+dfsg-1/translations/manual/ug/edit.po
--- 5.9.0+dfsg-3/translations/manual/ug/edit.po	2020-12-10 03:01:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ug/edit.po	2021-01-20 15:29:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ug\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ug/faq.po 5.10.0+dfsg-1/translations/manual/ug/faq.po
--- 5.9.0+dfsg-3/translations/manual/ug/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ug/faq.po	2021-01-20 15:29:09.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ug/stats.json 5.10.0+dfsg-1/translations/manual/ug/stats.json
--- 5.9.0+dfsg-3/translations/manual/ug/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ug/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 2,
-    "untranslated": 3023
+    "untranslated": 3029
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ug/template_lang.po 5.10.0+dfsg-1/translations/manual/ug/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ug/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ug/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ug/viewer.po 5.10.0+dfsg-1/translations/manual/ug/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ug/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ug/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uyghur (http://www.transifex.com/calibre/calibre/language/ug/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/uk/db_api.po 5.10.0+dfsg-1/translations/manual/uk/db_api.po
--- 5.9.0+dfsg-3/translations/manual/uk/db_api.po	2020-12-23 14:21:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uk/db_api.po	2021-01-20 15:30:33.000000000 +0000
@@ -4,14 +4,14 @@
 # 
 # Translators:
 # Zoriana Zaiats, 2014
-# Yuri Chornoivan <yurchor@ukr.net>, 2014,2017-2018
+# Yuri Chornoivan <yurchor@ukr.net>, 2014,2017-2018,2021
 # Zoriana Zaiats, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 14:54+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -188,6 +188,21 @@ msgid "Return the set of books in the sp
 msgstr "Повертає набір книг у вказаній віртуальній бібліотеці"
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr "Стиснути зображення обкладинок вказаних книг. Якість стискання 100 означає виконання стискання без втрати даних. Усі інші значення призводитимуть до втрати якості зображення."
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr "Зворотний виклик поступу буде виконано із використанням ідентифікатора книги та старого і нового розмірів для кожної обробленої книги. Якщо станеться помилка, розміром новин буде рядок із повідомленням про помилку."
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/uk/edit.po 5.10.0+dfsg-1/translations/manual/uk/edit.po
--- 5.9.0+dfsg-3/translations/manual/uk/edit.po	2020-12-10 03:00:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uk/edit.po	2021-01-20 15:29:59.000000000 +0000
@@ -3,13 +3,13 @@
 # This file is distributed under the same license as the calibre package.
 # 
 # Translators:
-# Yuri Chornoivan <yurchor@ukr.net>, 2016-2020
+# Yuri Chornoivan <yurchor@ukr.net>, 2016-2021
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 07:06+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 07:17+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: uk\n"
 "Plural-Forms: nplurals=4; plural=(n % 1 == 0 && n % 10 == 1 && n % 100 != 11 ? 0 : n % 1 == 0 && n % 10 >= 2 && n % 10 <= 4 && (n % 100 < 12 || n % 100 > 14) ? 1 : n % 1 == 0 && (n % 10 ==0 || (n % 10 >=5 && n % 10 <=9) || (n % 100 >=11 && n % 100 <=14 )) ? 2: 3);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Редагування електронних книг"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "До складу пакунка calibre включено вбудований редактор електронних книг, яким можна скористатися для редагування книг у форматах EPUB та AZW3 (Kindle). У редакторі вам буде показано код HTML і CSS, який використовується у файлах книг, разом із інтерактивною панеллю результатів зміни цього коду, вміст якої відповідатиме внесеним вами змінам. Крім того, у редакторі передбачено різноманітні автоматизовані інструменти для виконання типових завдань із чищення та виправлення коду."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "Ви можете скористатися цим редактором так: наведіть вказівник миші на пункт книги у списку calibre, клацніть правою кнопкою миші і виберіть у контекстному меню пункт :guilabel:`Редагувати книгу`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Зміст"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "Базові принципи роботи"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr "Із відеооглядом редактора книг calibre можна ознайомитися `тут <https://calibre-ebook.com/demo#tutorials>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "Коли ви вперше відкриєте книгу у вікні інструмента «Редагувати книгу», ви побачите панель списку файлів, розташовану ліворуч. Там буде показано окремі файли HTML, таблиці стилів, зображення тощо, з яких складається вміст книги. Щоб розпочати редагування файла, двічі клацніть лівою кнопкою миші на його позначці. Зауважте, що якщо вам потрібно внести зміни, складніші за незначне удосконалення, вам варто ознайомитися із `Підручником з HTML <http://html.net/tutorials/html/>`_ і `Підручником з CSS <http://html.net/tutorials/css/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr "Паралельно із внесенням змін до файлів HTML або CSS у редакторі ви зможете спостерігати за результатами на панелі попереднього перегляду, яку розташовано праворуч. Коли внесення змін буде завершено, натисніть кнопку :guilabel:`Зберегти` або скористайтеся пунктом меню :guilabel:`Файл -> Зберегти`, щоб зберегти внесені вами зміни до файла електронної книги."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr "Однією з корисних можливостей є :guilabel:`Контрольні точки`. Перш ніж ви почнете значні зміни у коді, ви можете створити контрольну точку. Контрольна точка збереже поточний стан вашої книги. Якщо у майбутньому ви вирішите, що не варто було вносити якісь зміни, ви можете повернутися до стану, який книга мала на час створення контрольної точки. Для створення контрольної точки скористайтеся пунктом меню :guilabel:`Зміни -> Створити контрольну точку`. Крім того, контрольні точки створюватимуться автоматично у відповідь на запуск автоматизованих інструментів, зокрема загального пошуку із заміною. Можливості роботи з контрольними точками доповнюють звичайні механізми скасовування та повторення дій під час редагування окремих файлів. Контрольні точки є корисними, якщо зміни вносяться одразу до декількох файлів у книзі."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "Це базовий процес редагування книг — відкрити файл, внести зміни, переглянути результати і зберегти їх. У решті цього підручника буде обговорено різноманітні інструменти і можливості, які нададуть вам змогу ефективно виконувати певні завдання."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr "Навігатор файловою системою"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr "За допомогою панелі :guilabel:`Перегляд файлів` ви зможете бачити список файлів у книзі під час редагування. Файли буде впорядковано за категоріями, текстові файли (HTML) буде розташовано на початку списку, за ними буде розташовано файли таблиць стилів (CSS), зображення та ніші файли. Щоб розпочати редагування файла, просто двічі клацніть на його позначці лівою кнопкою миші. Передбачено можливість редагування файлів HTML і CSS, а також файлів зображень. Порядок файлів у списку визначатиметься порядком, у якому ви переглядатимете файли їх вміст під час читання книги. Решта файлів упорядковується за абеткою."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr "Якщо ви наведете вказівник миші на запис у списку, програма покаже панель підказки із даними щодо розміру файла. У нижній частині вікна програми буде показано повний шлях до файла у книзі. Зауважте, що файли у електронних книгах стискаються, отже остаточний файл книги матиме розмір, який не дорівнюватиме сумі розмірів файлів, з яких він складається."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr "У книгах багато файлів мають спеціальне призначення. Такі спеціальні файли позначаються піктограмами, розташованими поруч із їхніми назвами. Ці піктограми відповідають спеціальному призначенню файлів. Наприклад, на наведеному ліворуч знімку ви можете бачити файли :guilabel:`cover_image.jpg` та :guilabel:`titlepage.xhtml`, які позначено піктограмою обкладинки. Це означає, що маємо справу із зображенням обкладинки і титульною сторінкою, відповідно. Так само, файл :guilabel:`content.opf` позначено піктограмою метаданих, що означає, що у цьому файлі зберігаються метадані книги. Файл же :guilabel:`toc.ncx` позначено піктограмою із літерою T, що позначає список змісту (Table of Contents)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "Доступ до багатьох дій з окремими файлами можна отримати простим наведенням вказівника миші на позначку файла з наступним клацанням правою кнопкою миші."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "Перейменування файлів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr "Ви можете перейменувати окремий файл, навівши вказівник миші на пункт книги, клацнувши правою кнопкою миші і вибравши у контекстному меню пункт :guilabel:`Перейменувати`. Перейменування файла автоматично оновить усі посилання і вказівки на нього у книзі. Отже, усе, що вам слід зробити, це вказати нову назву. Решту calibre зробить автоматично."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr "Крім того, ви можете пакетно перейменовувати файли. Цим можна скористатися, якщо ви хочете, щоб усі файли мали прості назви, сформовані за простим взірцем. Наприклад, можна перейменувати файли HTML так, щоб вони мали назви Глава-1.html, Глава-2.html тощо. Позначте файли, які слід пакетно перейменувати за допомогою утримання натиснутою клавіші :kbd:`Shift` або :kbd:`Ctrl` і клацання на позначках файлів у списку. Далі, клацніть правою кнопкою миші на одному з позначених файлів і виберіть у контекстному меню пункт :guilabel:`Пакетне перейменування позначених файлів`. Вкажіть префікс і число, з якого слід почати автоматичну нумерацію, потім натисніть кнопку :guilabel:`Гаразд`, ось і усе. Крім того, за допомогою вікна пакетного перейменування ви можете перейменувати файли за порядком, у якому вони з'являються у книзі, замість порядку, у якому їх було позначено. Це корисно, наприклад, для перейменовування усіх зображень так, щоб їхня нумерація відповідала порядку, якому вони з'являються у книзі."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr "Нарешті, ви можете пакетно змінити суфікс назви файла для усіх позначених файлів. Позначте декілька файлів, як вище, клацніть правою кнопкою миші на позначеному і виберіть у контекстному меню пункт :guilabel:`Змінити суфікси назв позначених файлів`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "Об’єднання файлів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr "Іноді виникає потреба у об’єднанні двох файлів HTML або двох файлів CSS. Іноді корисно зібрати якісь дані у одному файлі. Втім, цим не слід зловживати, оскільки розташовування усіх даних у одному файлі може призвести до проблем із швидкодією, якщо книгу читають на типовому пристрої для читання електронних книг."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr "Щоб об’єднати декілька файлів у один, позначте їх, утримуючи натиснутою клавішу :kbd:`Ctrl` і клацаючи на позначках файлів (переконайтеся, що ви позначаєте файли одного типу, або файли HTML, або файли CSS, або інші файли). Далі, наведіть вказівник миші на позначку одного з позначених файлів і клацніть правою кнопкою миші, виберіть у контекстному меню пункт об’єднання. Ось і усе, calibre об’єднає файли і автоматично виправить усі посилання та прив’язки, пов’язані із об’єднаним файлом. Зауважте, що об’єднання файлів іноді призводить до зміни оформлення тексту, оскільки у різних файлів можуть бути різні таблиці стилів."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "Зміна порядку текстових файлів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr "Ви можете змінити порядок, у якому текстові файли (HTML) відкриватимуться під час читання книги, простим перетягуванням пунктів на панелі навігації файловою системою із наступним скиданням їх у належних місцях списку. Якщо ви надаєте перевагу технічному опису дій, до ця процедура називається перевпорядковуванням вмісту книги. Зауважте, що пункти у списку слід скидати *між* іншими пунктами, а не на інші пункти. Доки ви звикнете до цього, таке скидання може видатися доволі марудною справою."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "Позначення зображення обкладинки"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr "У електронних книг типово є зображення обкладинки. Це зображення позначається на панелі навігації файловою системою розташованою поруч із записом зображення піктограмою із брунатною книгою. Якщо ви хочете використати якесь інше зображення для обкладинки, ви можете зробити це навівши вказівник миші на позначку нового зображення обкладинки, клацнувши правою кнопкою миші і вибравши пункт :guilabel:`Позначити як зображення обкладинки`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr "Крім того, у файлах EPUB є річ, яку називають *титульною сторінкою*. Титульна сторінка — це файл HTML, який працює як титульна сторінка або обкладинка книги. Позначити файл титульної сторінки у форматі HTML можна вибором відповідного контекстного меню запису файла під час редагування EPUB. Переконайтеся, що позначений вами таким чином файл містить лише дані титульної сторінки. Якщо у ньому містяться інші дані, зокрема перша глава, ці дані буде втрачено, якщо користувач спробує перетворити файл EPUB на файл у іншому форматі за допомогою calibre. Так відбувається через те, що під час перетворення calibre припускає що у файлі титульної сторінки міститься лише обкладинка книги і не міститься ніяких інших даних."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "Вилучення файлів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr "Вилучити файли можна за допомогою відповідного пункту контекстного меню або позначенням пунктів файлів із наступним натисканням клавіші Delete. Вилучення файла призводить до вилучення усіх посилань на цей файл з файла OPF, позбавляючи вас від зайвої мороки. Втім, посилання у інших місцях книги вилучено не буде. Для вилучення або заміни таких посилань ви можете скористатися інструментом «Перевірити книгу»."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "Експортування файлів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr "Ви можете експортувати файл з книги до якогось іншого місця на вашому комп’ютері. Це корисно, якщо ви хочете попрацювати над файлом окремо, за допомогою спеціалізованих інструментів. Для експортування просто клацніть правою кнопкою миші на файлі і виберіть у контекстному меню пункт :guilabel:`Експортувати`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr "Після завершення роботи над експортованим файлом ви можете повторно імпортувати його до книги. Для цього просто клацніть на файлі правою кнопкою миші ще раз і виберіть у контекстному меню пункт :guilabel:`Замінити <назва_файла> файлом…`. Це надасть вам змогу замінити файл у книзі раніше експортованим файлом."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr "Крім того, передбачено можливість копіювання файлів між декількома екземплярами редактора. Позначте файли, які ви хочете скопіювати на панелі :guilabel:`Навігація файлами`, клацніть правою кнопкою миші на позначеному і виберіть пункт :guilabel:`Копіювати позначені файли до іншого екземпляра редактора`. Далі, у іншому екземплярі редактора клацніть правою кнопкою миші на панелі :guilabel:`Навігація файлами` і виберіть пункт :guilabel:`Вставити файл з іншого екземпляра редактора`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "Додавання нових зображень, шрифтів та інших елементів або створення порожніх файлів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr "Ви можете додати зображення, шрифт, таблицю стилів тощо з вашого комп’ютера до книги, скориставшись пунктом меню :guilabel:`Файл -> Новий файл`. Програма надасть вам змогу імпортувати файл, натиснувши кнопку :guilabel:`Імпортувати файл ресурсу`, або створити порожній файл HTMLl або таблиці стилів, якщо ви просто введете назву нового файла у поле для введення назви."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr "Ви також можете імпортувати до книги одразу декілька файлів за допомогою пункту меню «Файл → Імпортувати файли до книги»."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "Заміна файлів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr "Замінити наявні файли у книзі дуже просто: позначте пункт файла, який слід замінити, клацніть правою кнопкою миші і виберіть у контекстному меню пункт заміни. Програма автоматично оновить усі посилання та вказівки, якщо файл-замінник матиме назву, яка не збігається із назвою початкового файла."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr "Ефективне пов’язування таблиць стилів з файлами HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr "Для зручності, ви можете позначити декілька файлів HTML на панелі навігації файловою системою, клацнути правою кнопкою і вибрати у контекстному меню пункт :guilabel:`Пов’язати таблиці стилів`, щоб наказати calibre автоматично вставити теґи <link> для цих таблиць стилів до усіх позначених файлів HTML."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "Пошук і заміна"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr "У редакторі книг передбачено дуже потужний інтерфейс пошуку із заміною, за допомогою якого ви можете шукати і замінювати фрагменти тексту у поточному файлі, у всіх файлах книги і навіть у позначеному фрагменті поточного файла. Пошук може виконуватися у звичайному режимі або у режимі з використанням формальних виразів. Щоб дізнатися більше про використання формальних виразів для розширення можливостей пошуку, зверніться до розділу :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr "Пошук із заміною можна розпочати за допомогою пункту меню :guilabel:`Пошук -> Знайти/Замінити` (має бути редаговано файл HTML або CSS)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr "Введіть текст, який ви хочете знайти, у поле :guilabel::`Знайти`, а його замінник у поле :guilabel:`Замінити`. Ви можете натискати відповідні кнопки, щоб знайти наступний відповідник, замінити поточний відповідник або замінити усі відповідники."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr "За допомогою спадних списків у нижній частині панелі ви можете виконувати пошук у поточному файлі, в усіх текстових файлах, в усіх файлах стилів або просто в усіх файлах. Ви також можете вибрати режим пошуку: звичайний пошук (за рядками) або пошук за формальним виразом."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr "Обчислити кількість усіх відповідників виразу можна за допомогою пункту меню :guilabel:`Шукати -> Полічити усі`. Обчислення буде виконано для файлів чи фрагментів, які ви вибрали у спадному списку."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr "Ви також можете перейти до певного рядка у вікні поточного відкритого редактора за допомогою пункту :guilabel:`Пошук → Перейти до рядка`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr "Пам’ятайте: щоб скористатися усіма можливостями пошуку із заміною, вам слід використовувати формальні вирази. Див. :ref:`regexptutorial`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "Збережені результати пошуків"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr "Ви можете зберегти вирази для пошуку із заміною (зокрема вирази функціонального режиму), якими часто користуєтеся, і потім знову викликати їх. Щоб зберегти поточні критерії пошуку із заміною, просто клацніть правою кнопкою миші на полі :guilabel:`Знайти` і виберіть у контекстному меню пункт :guilabel:`Зберегти поточні критерії пошуку`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr "Відкрити список збережених записів пошуку можна за допомогою пункту меню :guilabel:`Шукати -> Збережені критерії пошуку`. У відповідь на вибір цього пункту програма покаже вам список виразів для пошуку із заміною, якими ви можете скористатися. Ви навіть можете вибрати декілька записів у списку одразу, утримуючи натиснутою клавішу :kbd:`Ctrl` із одночасним клацанням на пунктах списку. Таким чином, ви можете виконувати декілька дій із пошуку з заміною одним натисканням кнопки."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "Режим функцій"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr "За допомогою режиму функцій формального виразу ви можете визначати довільні потужні функції Python, які виконуватимуться під час кожної дії із пошуку з заміною. У цьому режимі ви можете виконувати майже будь-які дії з текстом. Щоб дізнатися більше про цей режим, зверніться до розділу :doc:`function_mode`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr "Пошук з ігноруванням міток HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr "Крім того, передбачено особливий інструмент для пошуку тексту із ігноруванням усіх теґів HTML. Наприклад, якщо у книзі є код HTML ``Зверніть увагу на <i>слово</i>.``, ви можете шукати текст ``на слово``, і його буде знайдено, навіть попри те, що у коді він містить теґи ``<i>``. Доступ до цього інструмента можна отримати за допомогою пункту меню :guilabel:`Шукати -> Пошук з ігноруванням розмітки HTML`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "Автоматизовані інструменти"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr "Передбачено різноманітні засоби редагування, які допоможуть вам виконати типові завдання. Пункти цих засобів розташовано у меню :guilabel:`Інструменти`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr "Редагування таблиці вмісту"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr "Передбачено спеціалізований інструмент для спрощення редагування таблиці змісту. Запустити його можна за допомогою пункту :guilabel:`Інструменти->Зміст->Змінити зміст`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr "Інструмент редагування змісту покаже вам поточний список змісту книги (якщо такий існує) у лівій частині вікна. Щоб змінити текст запису змісту, просто двічі клацніть лівою кнопкою миші на відповідному пункті у списку. Змінити порядок пунктів у списку можна простим перетягуванням зі скиданням або за допомогою кнопок, розташованих праворуч."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr "Для книг, у яких ще немає списку змісту, інструмент надасть вам змогу вибрати варіант автоматичного створення списку змісту на основі тексту книги. Ви можете створити зміст на основі заголовків у документі, на основі посилань, окремих файлів тощо."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr "Ви можете редагувати окремі записи: клацніть на пункті запису, потім натисніть кнопку :guilabel:`Змінити місце, на яке вказує цей запис`. У відповідь буде показано мініпанель перегляду книги. Просто пересуньте вказівник миші на панель перегляду книги і клацніть там, куди має вказувати запис. Товста зелена лінія покаже вам місце. Натисніть кнопку :guilabel:`Гаразд`, коли місце буде вказано правильно."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr "Перевірка книги"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr "Інструмент :guilabel:`Перевірити книгу` виконує пошук проблемних місць у книзі. Такі проблемні місця можуть призвести до неналежного показу вмісту книги читачеві на пристроях для читання електронних книг. Скористатися цим інструментом можна за допомогою пункту меню :guilabel:`Інструменти -> Перевірити книгу`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr "Усі знайдені проблеми буде показано у чудовому, простому у користуванні списку. Після натискання будь-якого пункту у списку програма покаже вам деякі довідкові дані щодо помилки, а також запропонує вам автоматично виправити проблему, якщо це можливо. Ви також можете двічі клацнути лівою кнопкою миші на пункті помилки, щоб відкрити відповідний код у редакторі з метою його виправлення."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr "Серед перевірок, які виконує програма, такі:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr "Пошук помилок у форматуванні HTML. Буде повідомлено про усі фрагменти коду HTML, які не є коректними з огляду на правила XML. Виправлення таких помилок гарантує належну роботу визначеного вами форматування в усіх контекстах. Крім того, у calibre передбачено автоматичне виправлення таких помилок. Втім, автоматичне виправлення іноді може мати несподівані наслідки, отже ним слід користуватися з осторогою. Як завжди, перед автоматичним виправленням буде створено контрольну точку, отже ви зможете без проблем скасувати усі зміни. Автовиправлення працює, виконуючи обробку розмітки за алгоритмом HTML5, який має високий рівень надійності, і перетворюючи код у коректний XML."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr "Пошук помилково форматованих або невідомих стилів CSS. Засіб перевірки повідомить вам про увесь код CSS, який є некоректним або який має властивості, які не визначено у стандарті CSS 2.1 (а також деякі з CSS 3). CSS буде перевірено в усіх таблицях, вбудованих атрибутах стилів та у теґах <style> у файлах HTML."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr "Помилкові посилання. Програма повідомляє про посилання всередині книги, які вказують на файли, які не вдалося виявити."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr "Файли без посилань. Створюється звіт щодо файлів у книзі, на які не посилається жоден інший файл або яких немає у вмісті книги."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr "Різноманітні типові проблеми у файлах OPF, зокрема дублювання записів вмісту або маніфесту, помилкові idref або теґи обкладинок, пропущені обов’язкові розділи тощо."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr "Різноманітні перевірки сумісності щодо відомих проблем, які можуть призвести до неможливості читання книги на пристроях для читання електронних книг."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr "Додавання зображення обкладинки"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr "Додати зображення обкладинки до книги дуже просто: скористайтеся пунктом меню :guilabel:`Інструменти -> Додати обкладинку`. Ви зможете або вибрати як обкладинку наявне зображення у книзі або імпортувати нове зображення до книги із зробити його зображенням обкладинки. Під час редагування файлів EPUB буде автоматично створено обгортку-код HTML для зображення обкладинки. Якщо у книги вже було зображення обкладинки, його при визначенні нового зображення буде замінено. Інструмент також автоматично подбає про належне позначення файлів зображень обкладинки у коді OPF."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "Вбудовуємо використані шрифти"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr "Доступ до цього інструмента можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Вбудувати використані шрифти`. Інструмент шукає усі шрифти, які використано у книзі і, якщо їх ще не було вбудовано, шукає відповідні файли на вашому комп’ютері і вбудовує знайдені файли до книги. Будь ласка, переконайтеся, що у вас є відповідні права на вбудовування шрифтів із комерційними умовами ліцензування, перш ніж вбудовувати такі шрифти до книг."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "Обрізаємо вбудовані шрифти"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr "Доступ до цього інструмента можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Обрізати вбудовані шрифти`. Він надає змогу обмежити набори символів усіх вбудованих до книги шрифтів лише тими гліфами, які потрібні для відтворення тексту книги. Зазвичай, таким чином можна зменшити розмір файлів шрифтів приблизно на 50%. Втім, слід зауважити, що після обрізання шрифтів стане неможливим додавання тексту, символів якого немає у обрізаному шрифті. Шрифт просто не працюватиме з таким текстом. Отже, цю дію слід виконувати наприкінці процедури редагування книги."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "Удосконалення пунктуації"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr "Виконати перетворення звичайних дефісів, багатокрапок, тире з декількох дефісів тощо відповідно до типографських стандартів. Зауважте, що використання цього алгоритму може іноді призводити до некоректних результатів, особливо якщо на початку фрагментів тексту використано одинарні лапки. Доступ до цього пункту можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Удосконалити пунктуацію`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr "Перетворення властивостей CSS"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr "Створити правила для перетворення стилів книги. Наприклад, створити правило для перетворення усього тексту, позначеного червоним кольором, на текст зеленим кольором, або подвоєння розміру шрифту усього тексту у книзі, або зробити текст певною гарнітурою шрифту курсивним."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr "Створювати правила просто. Правила записуються у природному для мови форматі, ось так:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr "Якщо властивість *color* має значення *red* *змінити* його на *green*"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr "Якщо властивість *font-size* має *будь-яке значення*, *помножити* це значення на *2*"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr "Доступ до цього інструменту можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Перетворити стилі`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "Вилучення зайвих правил CSS"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr "Вилучити усі невикористані правила CSS з таблиць стилів та теґів <style>. У деяких книгах, створених на основі шаблонів, багато зайвих правил CSS, які не використовуються для форматування даних. Ці правила можуть уповільнити обробку програмами для читання. Доступ до цього засобу можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Вилучити невикористані CSS`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr "Виправлення HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr "Цей інструмент просто перетворює код HTML, який не вдається обробити за правилами XML, на добре форматований код XML. Помилкове форматування коду XML є доволі поширеною вадою електронних книг. Цей інструмент просто автоматизує виправлення коду HTML книг. В основі роботи інструмента лежить використання алгоритму HTML5 (цей алгоритм використовується в усіх сучасних програмах для перегляду сторінок інтернету) і наступне перетворення результату у код XML. Зауважте, що автоматичне виправлення може іноді призвести до небажаних результатів. Якщо хочете, можете скористатися інструментом :guilabel:`Перевірити книгу`, який ми обговорювали вище, щоб виявити і виправити вручну проблеми у коді HTML. Доступ до цього інструмента можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Виправити HTML`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "Удосконалення файлів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr "Цей інструмент використовується для автоматичного форматування усіх файлів HTML і CSS так, щоб вони «мали добрий вигляд». У коді автоматично розставляються відступи, щоб рядки виглядали красиво, вставляються порожні рядки там, де варто їх додати, тощо. Зауважте, що під час поліпшення вигляду коду також автоматично виправляються помилки у HTML/CSS. Тому, якщо ви не хочете, щоб було виконано автоматичне виправлення помилок, спершу скористайтеся інструментом :guilabel:`Перевірити книгу`, щоб виправити усі проблеми, а вже потім удосконалюйте вигляд коду. Доступ до інструмента можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Удосконалити усі файли`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr "У HTML у будь-якому тексті можуть бути значні пробільні інтервали, які визначаються інструкцією white-space у CSS. Через це, удосконалення коду потенційно може змінити вигляд обробленого HTML. Щоб уникнути небажаних змін, алгоритм удосконалення обробляє лише ті теґи рівня блоку, які містять інші теґи рівня блоку. Отже, наприклад, пробільні інтервали у тексті у тезі <p> не буде змінено. Але теґ <body>, який містить інші теґи <p> і <div>, буде удосконалено. Це іноді може означати, що певний файл взагалі не буде удосконалено, оскільки у ньому не міститься відповідних теґів рівня блоку. У таких випадках ви можете спробувати інші інструменти удосконалення, які є менш розбірливими, наприклад `HTML Tidy <https://infohound.net/tidy/>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr "Вставляння вбудованої таблиці змісту"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr "Зазвичай, у електронних книгах список змісту відділено від основного тексту, доступ до нього типово здійснюється за допомогою спеціальної кнопки або пункту меню `Зміст` на пристрої для читання електронних книг. Крім того, ви можете наказати calibre автоматично створити *вбудований* список змісту, який стане частиною тексту книги. Такий список змісту буде створено на основі поточного визначеного списку змісту."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr "Якщо ви спробуєте скористатися цим інструментом декілька разів, кожен його виклик призводитиме до того, що раніше створений список змісту замінюватиметься новим. Доступ до цього інструмента можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Зміст -> Вставити вбудований зміст`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr "Встановлення семантики"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr "Цей інструмент використовується для встановлення *семантики* у файлах EPUB. Елементами семантики є посилання у файлі OPF, які визначаються певні місця у книзі як такі, що мають спеціальне значення. Ви можете скористатися ними для визначення передмови, присвяти, обкладинки, змісту тощо. Просто виберіть тип семантичної інформації, який ви хочете визначити, а потім виберіть місце у книзі, на яке вказуватиме посилання. Доступ до цього інструмента можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Встановити семантику`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr "Фільтрування даних щодо стилів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr "Цим інструментом можна скористатися для спрощення вилучення вказаних властивостей стилю CSS з усієї книги. Ви можете повідомити інструменту, які саме властивості слід вилучити, наприклад, ``color, background-color, line-height``, і він вилучити їх усюди — із таблиць стилів, теґів ``<style>`` і вбудованих атрибутів ``style``. Після вилучення даних щодо стилю буде показано резюме щодо усіх внесених змін; отже ви зможете побачити, що саме було змінено. Доступ до цього інструмента можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Фільтрувати інформацію щодо стилів`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr "Оновлення внутрішніх частин книги"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr "Цим інструментом можна скористатися для оновлення, якщо це можливо, внутрішніх частин книги. Наприклад, вні може оновити книги EPUB 2 до версії формату EPUB 3. Доступ до інструмента можна отримати за допомогою пункту :guilabel:`Оновити внутрішні частини`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "Контрольні точки"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ":guilabel:`Контрольні точки` — спосіб позначити поточний стан книги як «особливий». Далі, ви можете внести до книги будь-які зміни і, якщо вони вам не сподобаються, повернутися до стану для якого було створено контрольну точку. Контрольні точки створюються автоматично кожного разу, коли ви використовуєте автоматизовані інструменти, описані у попередньому розділі."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr "Створити контрольну точку можна за допомогою пункту меню :guilabel:`Зміни -> Створити контрольну точку`. Повернутися до попередньої контрольної точки можна за допомогою пункту меню :guilabel:`Зміни -> Відновити ...`"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr "Функціональні можливості із роботи з контрольними точками доповнюють звичайні можливості зі скасовування і повторення дій під час редагування окремих файлів. Зокрема контрольні точки корисні, якщо зміни торкаються декількох файлів у книзі або якщо ви хочете одразу скасувати велику групу пов’язаних змін."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr "Зі списком доступних контрольних точок можна ознайомитися за допомогою пункту меню :guilabel:`Перегляд -> Контрольні точки`. Ви можете порівняти поточний стан книги із визначеною вами контрольною точкою за допомогою програми :ref:`diff`: достатньо позначити якусь контрольну точку і натиснути кнопку :guilabel:`Порівняти`. За допомогою кнопки :guilabel:`Відновити` можна відновити стан книги на момент створення вибраної контрольної точки, скасувавши усі зміни, які було внесено до книги з моменту створення контрольної точки."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr "Панель інтерактивного перегляду"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr "За допомогою панелі :guilabel:`Попередній перегляд вмісту` ви зможете переглядати вміст різноманітних файлів. Панель попереднього інтерактивного перегляду надає вам змогу одразу бачити зміни (із затримкою у одну чи дві секунди). Під час редагування файлів HTML або CSS вміст панелі автоматично оновлюється і відповідає поточному стану коду. Пересування курсора на панелі редактора призводить до зміни фокусу на панелі попереднього перегляду: програма показує вам саме те місце у книзі, де у коді перебуває курсор. Клацанням на панелі попереднього перегляду ви можете пересунути курсор у відповідне місце коду. Якщо ви клацнете на посиланні на інший файл у книзі, цей файл буде автоматично відкрито на панелі редагування і панелі попереднього перегляду."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr "Ви можете вимкнути автоматичну синхронізацію позицій та інтерактивний перегляд змін. Відповідні кнопки розміщено у нижній частині панелі попереднього перегляду. Інтерактивне оновлення вмісту на панелі попереднього перегляду відбувається, лише коли ви не набираєте щось у вікні редактора. Так зроблено, щоб не відволікати вас і не уповільнювати роботу очікуванням обробки вигляду тексту."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr "На панелі попереднього перегляду буде показано текст таким, яким його можна буде побачити під час читання книги. Втім, панель попереднього перегляду не є замінником справжнього тестування вашої книги на пристрої для читання електронних книг. У неї одночасно і більше і менше можливостей за справжню програму для читання книг. Вона поблажливіша до помилок і неточної розмітки за більшу частину пристроїв для читання книг. Крім того, на панелі попереднього перегляду не буде показано полів сторінки, розривів сторінок та вбудованих шрифтів, для яких використовуються замінники за назвами шрифтів. Користуйтеся панеллю попереднього перегляду, доки ви працюєте над книгою. Але коли ви завершите роботу, перегляньте результат на справжньому пристрої для читання електронних книг або його програмному емуляторі."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr "На панелі попереднього перегляду не передбачено підтримки таких вбудованих шрифтів, у яких назва шрифту у файлі шрифту не збігається із назвою шрифту у правилі @font-face CSS. Ви можете скористатися інструментом :guilabel:`Перевірити книгу` для того, щоб швидко знайти і виправити такі проблеми зі шрифтами."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "Поділ файлів HTML на частини"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr "Ще одним, ймовірно неочевидним, застосуванням панелі попереднього перегляду є поділ довгих файлів HTML. Під час перегляду файла, який ви хочете поділити, натисніть кнопку :guilabel:`Режим поділу`, яку розташовано під панеллю попереднього перегляду |spmb|. Далі просто наведіть вказівник на місце у книзі, де слід виконати поділ файла, і клацніть лівою кнопкою миші. Місце поділу буде показано товстою зеленою лінією, доки ви рухатимете вказівник миші. Поділ буде виконано, щойно ви клацнете лівою кнопкою миші."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr "Після поділу файла програма автоматично оновити усі посилання і вказівки, які стосувалися нижньої частини файла, і відкриє новий файл у вікні редактора."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr "Ви можете також поділити окремий файл HTML автоматично у декількох місцях. Достатньо клацнути правою кнопкою миші на коді файла у редакторі і вибрати у контекстному меню пункт :guilabel:`Поділити у декількох місцях`. Так ви зможете дуже просто поділити великий файл за теґами заголовків або усіма теґами, які належать до певного класу, тощо."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr "Панель «Інтерактивний CSS»"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr "На панелі :guilabel:`Інтерактивний CSS` вам буде показано усі правила стилів, які застосовуються до теґу, який ви зараз редагуєте. Буде показано назву теґу разом із номером рядка у редакторі, а також список відповідних правил стилів."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr "Це чудовий спосіб швидко переглянути правила стилів, які стосуються будь-якого з теґів. На панелі перегляду буде також показано придатні до натискання посилання (позначені синім кольором), натискання яких переноситиме вас до місця, де було визначено стиль, якщо ви захочете внести зміни до правил стилів. Буде показано правила стилів, які застосовуються безпосередньо до теґу, а також правила, які було успадковано від батьківських теґів."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr "На панелі також буде показано, якими є остаточні обчислені стилі для теґу. У списку властивості, які було перевизначено правилами вищої пріоритетності, буде позначено перекресленням."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr "Ви можете увімкнути панель інтерактивного CSS за допомогою пункту меню :guilabel:`Перегляд -> Інтерактивний CSS`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr "Інші інструменти"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr "У програмі передбачено ще декілька інструментів, які можуть виявитися корисними для редагування книг."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr "Панель «Зміст»"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr "На панелі перегляду списку змісту буде показано поточний список змісту книги. Подвійне клацання на будь-якому з пунктів відкриє місце, на яке вказує пункт, у редакторі коду. Ви можете клацнути правою кнопкою миші, щоб вибрати у меню пункт редагування списку змісту, пункт оновлення перегляду або пункт розгортання або згортання усіх записів. Доступ до цієї панелі перегляду можна отримати за допомогою пункту меню :guilabel:`Перегляд -> Зміст`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr "Перевірка правопису слів у книзі"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr "Скористатися засобом перевірки правопису можна за допомогою пункту меню :guilabel:`Інструменти->Перевірити правопис`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr "Слова буде показано із даними щодо кількості використання цих слів у книзі та мови, до якої вони належать. Дані щодо мови буде взяти з метаданих книги та атрибутів ``lang`` у файлах HTML. Це надає змогу засобу перевірки правопису працювати належним чином, навіть у книгах, які містять текст декількома мовами. Наприклад, у наведеному нижче фрагменті HTML, слово `color` буде перевірено за допомогою словника американської англійської, а слово `colour` — за допомогою словника британської англійської::"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr "Ви можете двічі клацнути на пункті слова, щоб програма позначила наступний випадок використання слова у редакторі. Це корисно, якщо ви хочете змінити слово вручну або переглянути контекст, у якому його вжито."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr "Щоб замінити слово, просто двічі клацніть на одній із пропозицій його правильного написання, показаних праворуч, або введіть ваш власний варіант написання і натисніть кнопку :guilabel:`Замінити позначене слово на`. Програма замінить усі випадки використання слова у книзі. Ви також можете клацнути правою кнопкою миші на слові у основному списку слів, щоб зручно замінити слово на варіант з контекстного меню."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr "Ви можете наказати засобу перевірки правопису ігнорувати слово протягом поточного сеансу перевірки, натиснувши кнопку :guilabel:`Ігнорувати`. Ви також можете додати слово до словника користувача, натиснувши кнопку :guilabel:`Додати до словника`. У засобі перевірки правопису передбачено можливість використання декількох словників користувача. Ви можете вибрати словник, до якого буде додано слово."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr "Крім того, ви можете наказати засобу перевірки правопису показати усі слова у книзі, а не лише ті, де виявлено помилки. Це корисно для визначення найчастіше вживаних слів у книзі та виконання простого пошуку із заміною окремих слів."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr "Якщо ви внесли до книги якісь зміни шляхом редагування файлів, доки було відкрито вікно засобу перевірки правопису, вам слід натиснути кнопку :guilabel:`Оновити` у вікні засобу перевірки. Якщо ви цього не зробите, і продовжите користуватися застарілими даними, зміни, які було внесено у вікні редактора, може бути втрачено."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr "Додавання нових словників"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr "Засіб перевірки правопису постачається із вбудованими словникам для англійської та іспанської мов. Ви можете встановити власні словник за допомогою вкладки :guilabel:`Налаштування -> Редактор -> Керування словниками перевірки правопису`. Засіб перевірки правопису може використовуватися словники програми LibreOffice (у форматі файлів .oxt). Ви можете отримати ці словники зі `сховища розширень LibreOffice <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "Вставлення спеціальних символів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr "Ви можете вставляти символи, які важко вводити з клавіатури, за допомогою пункту меню :guilabel:`Зміни -> Вставити спеціальний символ`. У відповідь буде показано таблицю символів Unicode. Просто натисніть пункт символу, який ви хочете ввести. Якщо ви утримуватимете натиснутою клавішу :kbd:`Ctrl`, доки клацатимете, вікно буде автоматично закрито після вставляння вибраного символу. Цим інструментом можна скористатися для введення спеціальних символів до основного тексту або до будь-якого іншого елемента інтерфейсу користувача, зокрема до поля засобу пошуку із заміною."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr "Оскільки спеціальних символів дуже багато, ви можете визначити ваші :guilabel:`Улюблені` символи, які буде показано першими. Просто наведіть вказівник миші на відповідний символ, клацніть правою кнопкою миші і виберіть з контекстного меню пункт позначення символу як улюбленого. Нарешті, ви можете перевпорядкувати символи у списку улюблених: натисніть кнопку :guilabel:`Перевпорядкувати улюблені`, а потім упорядкуйте символи перетягуванням зі скиданням."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr "Ви також можете безпосереднього вводити спеціальні символи з клавіатури. Для цього ви можете ввести код символу у Unicode (у шістнадцятковому форматі), а потім натиснути комбінацію клавіш :kbd:`Alt+X`, яка перетворить раніше введений код на відповідний символ. Наприклад, щоб ввести ÿ, вам слід набрати ff, а потім натиснути комбінацію клавіш :kbd:`Alt+X`. Щоб ввести нерозривний пробіл, вам слід ввести a0 і натиснути :kbd:`Alt+X`, щоб ввести горизонтальну багатокрапку, вам слід ввести 2026 і натиснути :kbd:`Alt+X`, тощо."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr "Нарешті, ви можете вводити спеціальні символи за допомогою іменованих замінників HTML. Наприклад, після введення &nbsp; цю комбінацію символів буде замінено на нерозривний пробіл одразу після введення крапки з комою. Заміну буде здійснено лише після введення крапки з комою."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr "Панель ревізії коду"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr "На цій панелі буде показано код HTML та таблицю стилів CSS, які стосуються поточного елемента. Відкрити панель можна за допомогою клацання правою кнопкою миші на потрібному місці на панелі попереднього перегляду із наступним вибором у контекстному меню пункту :guilabel:`Перевірити`. Ви зможете переглянути код HTML елемента і, що важливіше, стилі CSS, які до нього застосовано. Ви навіть можете редагувати стилі і негайно бачити результат застосування внесених змін. Зауважте, що редагування стилів не змінює вмісту книги, а лише надає вам змогу трохи поекспериментувати. Можливість інтерактивного редагування у Інспекторі усе ще перебуває на стадії розробки."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr "Перевірка зовнішніх посилань"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr "Ви можете скористатися цим інструментом для того, щоб перевірити усі посилання, які посилаються на сайти інтернету, у книзі. Програма спробує відвідати усі посилання на зовнішні сайти і, якщо отримати дані не вдасться, у зручному форматі повідомить вам про помилкові посилання, які вам варто виправити."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr "Отримання зовнішніх ресурсів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr "Цим інструментом ви можете скористатися для автоматичного отримання будь-яких зображень, таблиць стилів та інших даних, які не включено до книги (тобто ті, на які книга посилається як на дані у інтернеті). Програма знайде усі такі ресурси і автоматично отримає дані, додасть їх до книги і замінить усі посилання на них на посилання на отримані файли."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr "Розподіл файлів за теками на основі типів"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr "Часто під час редагування файлів EPUB, отриманих деінде, ви можете виявити, що файли в EPUB упорядковано якось дивно, за різними підтеками. За допомогою цього інструмента ви можете автоматично пересунути усі файли до відповідних їм підтек на основі даних про типи цих файлів. Доступ до інструмента можна отримати за допомогою пункту меню :guilabel:`Інструменти -> Розподілити за теками`. Зауважте, що цей інструмент змінює лише спосіб упорядковування файлів в EPUB, він не змінює спосіб, у який ці файли буде показано на панелі навігації файлами."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr "Імпортування файлів у форматах електронних книг, відмінних від EPUB"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr "До редактора включено можливість імпортування файлів у деяких інших форматах безпосередньо у новий файл EPUB, без проміжного повноцінного перетворення. Це, зокрема, корисно для безпосереднього створення файлів EPUB з ваших власноруч створених файлів HTML. Скористатися цією можливістю можна за допомогою пункту меню :guilabel:`Файл -> Імпортувати файл HTML або DOCX як нову книгу`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr "Інструмент «Звіти»"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr "До редактора включено чудовий інструмент *Звіти* (доступний за допомогою пункту меню :guilabel:`Інструменти -> Звіти`), за допомогою якого можна переглядати резюме щодо файлів, зображень, посилань, слів, символів та стилів, використаних у книзі. З кожним рядком звіту пов’язано посилання. Подвійне клацання лівою кнопкою миші на рядку у списку призведе до переходу до місця у книзі, де відповідний елементи книги використано або визначено. Наприклад, на панелі :guilabel:`Посилання` ви можете двічі клацнути на записі у стовпчику :guilabel:`Джерело`, щоб перейти до місця, де посилання було визначено, і двічі клацнути на записі у стовпчику :guilabel:`Призначення`, щоб перейти до місця, на яке вказує посилання."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr "Особливі можливості редактора коду"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr "Редактор HTML у calibre є дуже потужним. У ньому передбачено багато можливостей, які спрощують редагування коду HTML (і CSS)."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "Підсвічування синтаксичних конструкцій"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr "У вікні редактора HTML передбачено дуже зручну систему підсвічування синтаксичних конструкцій. Серед її можливостей такі:"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr "Текст між теґами напівжирного, курсивного стилю та стилю заголовків буде позначено напівжирним або курсивним стилем."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr "Під час пересування курсора кодом HTML програма підсвічуватиме теґи HTML. Ви можете переходити до початкового або кінцевого теґу за допомогою клавіатурних скорочень :kbd:`Ctrl+{` і :kbd:`Ctrl+}`. Так само, ви можете позначити вміст теґу за допомогою комбінації клавіш :kbd:`Ctrl+Alt+T`."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "Некоректні конструкції мови HTML буде підкреслено червоною лінією"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr "Помилки у правописі тексту у теґах HTML і атрибутах, зокрема атрибутах title, буде позначено. Перевірка правопису враховуватиме мову, яку визначено значенням атрибута lang поточного теґу та загальними параметрами мови книги."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr "Буде підсвічено код CSS, вбудований за допомогою теґів ``<style>``."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr "Спеціальні символи, які важко виокремити простим поглядом, зокрема нерозривні пробіли, різні типи тире тощо, буде підсвічено."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr "У посиланнях на інші файли у теґах ``<a>`` tags, ``<img>`` і ``<link>`` назви файлів буде позначено іншим кольором. Якщо файла, на який посилаються, не існує, назву файла буде підкреслено червоним кольором."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "Контекстна довідка"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr "Щоб переглянути довідкові дані щодо теґу або властивості, клацніть правою кнопкою миші на назві теґу HTML або назві властивості CSS."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr "Щоб автоматично відкрити файл у редакторі, натисніть і утримуйте клавішу :kbd:`Ctrl` і клацніть на назві файла всередині теґу посилання."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "Автоматичне доповнення"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr "Під час редагування електронної книги одним із найбільш марудних завдань є створення посилань на інші файли у книзі, таблиці стилів CSS або зображення. Вам потрібно визначити належну назву файла і відносний шлях у файлі. Засіб автоматичного доповнення у редакторі зробить ваше завдання набагато простішим."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr "Під час введення назви файла редактор автоматично пропонуватиме вам варіанти його продовження. Просто натисніть клавішу :kbd:`Tab`, щоб вибрати належну назву файла. Редактор навіть пропонуватиме вам варіанти посилань, на прив’язки у іншому файлі HTML. Після введення вами символу ``#`` редактор покаже список усіх прив’язок у файлі призначення із невеличкими фрагментами тексту, щоб вам простіше було вибрати належну прив’язку."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr "Зауважте, що на відміну від більшості інших систем автоматичного доповнення, система автоматичного доповнення редактора використовує встановлення відповідності за підпослідовностями символів. Це означає, що ви можете ввести дві або три літери з будь-якої частини назви файла, щоб мати змогу вибрати належний варіант повної назви файла. Нехай, наприклад, вам потрібно ввести назву файла ``../images/arrow1.png``. Ви можете просто ввести ``ia1`` і натиснути :kbd:`Tab`, щоб завершити введення цієї назви файла. Під час пошуку відповідників система автоматичного доповнення надає пріоритет літерам на початку слова або одразу після роздільника у запису шляху до файла. Щойно ви звикнете до цієї системи, вона надасть вам змогу заощаджувати багато часу і зусиль."
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "Фрагменти"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/uk/faq.po 5.10.0+dfsg-1/translations/manual/uk/faq.po
--- 5.9.0+dfsg-3/translations/manual/uk/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uk/faq.po	2021-01-20 15:29:19.000000000 +0000
@@ -5,16 +5,16 @@
 # Translators:
 # AlexKR <alexkr.post@gmail.com>, 2015
 # Zoriana Zaiats, 2014
-# Yuri Chornoivan <yurchor@ukr.net>, 2014-2020
+# Yuri Chornoivan <yurchor@ukr.net>, 2014-2021
 # Yuri Chornoivan <yurchor@ukr.net>, 2016
 # Zoriana Zaiats, 2014
 msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
-"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 06:29+0000\n"
+"Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -51,10 +51,10 @@ msgstr "У calibre передбачен
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
-msgstr "*Формати вхідних даних:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
+msgstr "*Формати вхідних даних:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB, FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, TCR, TXT, TXTZ"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
 msgid ""
@@ -171,8 +171,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -412,7 +412,7 @@ msgid ""
 msgstr "Якщо ви з'єднуєтеся із Kindle Fire HD або іншим пристроєм під керуванням Android, ознайомтеся із приміткою щодо :ref:`android_usb`."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -808,8 +808,8 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
-msgstr "Ні у Kindle, ні у Nook не передбачено жодного способу керування збірками за допомогою з’єднання USB. Якщо ви справді хочете користуватися збірками, рекомендуємо вам продати ваш Kindle/Nook і придбати Kobo. Лише розробники Kobo, здається, розуміють, що життя є надто коротким для введення назв збірок одна за одною за допомогою екрана з електронним чорнилом. :)"
+"an e-ink screen 😇"
+msgstr "Ні у Kindle, ні у Nook не передбачено жодного способу керування збірками за допомогою з’єднання USB. Якщо ви справді хочете користуватися збірками, рекомендуємо вам продати ваш Kindle/Nook і придбати Kobo. Лише розробники Kobo, здається, розуміють, що життя є надто коротким для введення назв збірок одна за одною за допомогою екрана з електронним чорнилом. 😇"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
 msgid ""
@@ -942,7 +942,7 @@ msgid ""
 msgstr "Книги, які надіслано на Kindle, буде показано лише після того, як їх буде *проіндексовано* Kindle. Індексація є доволі тривалим процесом. Якщо навіть доволі довге очікування не винагороджується появою книги у списку, ймовірною причиною є аварійне завершення засобу індексування книг Kindle. Іноді індексування певних книг цим засобом призводить до його аварії. На жаль, розробники Amazon не передбачили жодного способу визначити, обробка якої з книг призвела до аварії на Kindle. Єдиним способом усування проблеми є скидання Kindle до початкового стану або вилучення усіх файлів з пам’яті пристрою за допомогою Провідника Windows (або будь-якої іншої програми для керування файлами) із наступним надсиланням книг на пристрій, одна за одною, аж доки не буде виявлено проблемну книгу. Щойно ви виявите таку книгу, вилучіть її з Kindle і виконайте перетворення цієї книги з MOBI на MOBI або з MOBI на AZW3 у calibre, а потім знову надішліть її на пристрій. Найімовірніше, таким чином проблему буде усунено."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr "Керування бібліотекою"
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1624,12 +1624,27 @@ msgid ""
 msgstr "Єдиним способом виявити причину є припинення роботи програм одна за іншою з метою визначення тієї з них, яка спричиняє проблеми. Тобто слід діяти так: зупинити роботу програми, запустити calibre, перевірити, чи немає аварійних завершень роботи. Якщо аварійне завершення трапилося, зупинити роботу іншої програми і повторити процедуру."
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr "Чому засіб для перегляду електронних книг calibre та засоби редагування книг не працюють у Windows?"
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr "У цих двох програмах використано апаратне прискорення обробки графіки, оскільки у них вбудовано версію браузера Chrome для показу HTML. Якщо програми не працюють, причиною є несумісність із драйверами до графічного процесора у вашій системі. Спробуйте оновити драйвери і перезавантажити систему. Якщо це не допоможе, ви можете встановити змінну середовища ``QTWEBENGINE_CHROMIUM_FLAGS`` у значення ``--disable-gpu``, щоб вимкнути апаратне прискорення обробки. Докладніше про це можна дізнатися з `цієї сторінки <https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_."
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr "Використання засобу перегляду або виконання перетворень призводить до повідомлення про заборону доступу (permission denied) у Windows. Що робити?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1640,7 +1655,7 @@ msgid ""
 " full control for this folder."
 msgstr "Щось на вашому комп’ютері заважає calibre отримати доступ до власних тимчасових файлів програми. Ймовірно, маємо помилкові права доступу до вашої теки Temp. Перейдіть до теки file:`C:\\\\Users\\\\USERNAME\\\\AppData\\\\Local` у Провіднику Windows, клацніть правою кнопкою миші на теці file:`Temp`, виберіть пункт :guilabel:`Властивості` і перейдіть на вкладку :guilabel:`Безпека`. Переконайтеся, що ваш обліковий запис користувача має повний контроль над цією текою."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1649,22 +1664,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr "Деякими користувачами повідомлялося, що вказана нижче команда, віддана у командному рядку від імені адміністратора системи, виправила права доступу. Щоб відкрити командний рядок від імені адміністратора, пошукайте у меню «Пуск» cmd.exe, потім клацніть правою кнопкою миші на полі команди і виберіть «Запустити від імені адміністратора». У вікні командного рядка впишіть вказану нижче команду і натисніть клавішу Enter::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr "Крім того, ви можете запустити calibre від імені адміністратора. Втім, робота у такому режимі призводить до недоступності частини можливостей програми, зокрема перетягування зі скиданням позначок файлів."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr "Нарешті, деякі користувачі повідомляють, що вимикання UAC усуває проблему."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr "Чому calibre не запускається або аварійно завершує роботу у macOS?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1674,14 +1689,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr "Поширеною причиною аварійних завершень програми у macOS є використання технологій доступності, які несумісні із набором графічних бібліотек, які використовуються у calibre. Спробуйте вимкнути VoiceOver, якщо цю можливість увімкнено. Крім того, відкрийте сторінку :guilabel:`Системні параметри -> Система -> Універсальний доступ` і зніміть позначення з пункту уможливлення доступу до допоміжних пристроїв на усіх вкладках. Іншою причиною можуть бути деякі сторонні програми, які змінюють поведінку системи, зокрема Smart Scroll."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr "Ви можете отримати діагностичні дані щодо того, чому не вдається запустити calibre, запустивши `Console.app`. Діагностичні дані буде виведено до вікна цієї програми. Якщо у діагностичних даних міститься рядок, який є подібним до такого::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1692,11 +1707,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr "Це означає, що проблема, ймовірно, у пошкодженому кеші шрифтів. Щоб спорожнити кеш, скористайтеся цими `настановами <https://www.macworld.com/article/1139383/fontcacheclear.html>`_. Якщо вони не допоможуть вирішити проблему, пошукайте у вашій системі пошкоджений файл шрифту у каталозі ~/Library/Fonts або іншому подібному каталозі. Найпростішим способом виявлення пошкоджених шрифтів у macOS є використання програми «Книга шрифтів». Просто позначте усі шрифти і виберіть у меню «Файл» пункт «Перевірити шрифти» («Validate fonts»)."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr "Мною отримано програму для встановлення. Чому вона не спрацьовує?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1706,26 +1721,26 @@ msgid ""
 "it from running."
 msgstr "Іноді під час отримання даних з інтернету відбувається пошкодження цих даних. Якщо отримана вами програма для встановлення calibre не запускається, спробуйте отримати її ще раз. Якщо повторне отримання програми не допомагає, спробуйте отримати її з `альтернативного джерела <https://github.com/kovidgoyal/calibre/releases/latest>`_. Якщо програма для встановлення не запускається, щось на вашому комп’ютері заважає їй це зробити."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr "Спробуйте тимчасово вимкнути програму-антивірус (Microsoft Security Essentials, Kaspersky, Norton або McAfee). Робота таких програм є найпоширенішою причиною повисання процесу оновлення у незавершеному стані."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr "Так само, якщо засіб встановлення не може виконати завдання, і у вас запущено Microsoft PowerToys, завершіть їхню роботу."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr "Спробуйте перезавантажити систему і запустіть програму для чищення регістру, наприклад `Wise registry cleaner <https://www.wisecleaner.com>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1733,13 +1748,13 @@ msgid ""
 " settings."
 msgstr "Спробуйте встановити програму наново. Це означає, вилучіть calibre, витріть каталог :file:`C:\\\\Program Files\\\\Calibre2` (або каталог, який ви раніше вибрали для встановлення calibre). Потім повторно встановіть calibre. Зауважте, що вилучення пакунка не призведе до вилучення ваших книг або параметрів роботи програми."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr "Спробуйте отримати пакунок для встановлення за допомогою іншої програми для перегляду інтернету. Наприклад, якщо ви користувалися Internet Explorer, спробуйте скористатися для отримання Firefox або Chrome."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1749,7 +1764,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr "Якщо система повідомляє вам про нестачу DLL у Windows, найімовірніше, маєте помилкові права доступу до вашого каталогу тимчасових даних. Перейдіть до теки :file:`C:\\\\Users\\\\КОРИСТУВАЧ\\\\AppData\\\\Local` у Провіднику Windows, клацніть правою кнопкою миші на теці :file:`Temp` виберіть пункт :guilabel:`Властивості` і перейдіть на вкладку :guilabel:`Безпека`. Переконайтеся, що користувач вашого облікового запису має повний контроль над цією текою."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1757,11 +1772,11 @@ msgid ""
 " a zip file)."
 msgstr "Якщо вам не вдається змусити працювати засіб встановлення програми у Windows, ви можете скористатися `портативною версією calibre <https://calibre-ebook.com/download_portable>`_, яка не потребує встановлення (це просто архів zip із програмою)."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr "Антивірусна програма стверджує, що calibre є вірусом або троянською програмою. Щоб робити?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1770,7 +1785,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr "По-перше, слід перевірити, чи отримали ви calibre з офіційного сайта: `<https://calibre-ebook.com/download>`_. Переконайтеся, що ви натискали посилання для отримання програми ліворуч, а не пункти реклами праворуч. calibre — дуже популярна програма, тому шахраї намагаються створити сайти, які пропонують отримати програму, і вбудовують до коду програми шкідливий код."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1784,11 +1799,11 @@ msgid ""
 " and then re-enable it."
 msgstr "Якщо ви отримали пакунок з програмою з офіційного джерела, а ваша антивірусна програма повідомляє, що calibre заражено вірусом, тоді ця антивірусна програма помиляється. У антивірусних програмах для пошуку вірусів використовують евристику, взірці коду, який «виглядає підозріливо». Це щось схоже за профілювання за кольором шкіри. Програма calibre є програмою з повністю відкритим кодом. Ви можете самі ознайомитися з кодом (або найняти когось, хто зробить це за вас) і переконатися, що у програмі немає вірусів. Будь ласка, повідомте про таку помилкову ідентифікацію програми як вірусу компанії, у якої ви придбали антивірусне програмне забезпечення. Якщо антивірусна програма не дає вам отримати або встановити calibre, тимчасово вимкніть її, встановіть calibre, а потім знову увімкніть."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr "Як створити резервну копію даних calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1797,7 +1812,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr "Найважливішою є резервна копія теки бібліотеки calibre — у ній містяться усі книги і їхні метадані. Це тека, яку ви вибрали як теку бібліотеки calibre, коли запускали calibre вперше. Шлях до цієї теки можна визначити натисканням кнопки з піктограмою calibre на головній панелі інструментів. Вам слід зробити резервну копію усієї теки разом з усіма файлами та підтеками, які у ній зберігаються."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1805,7 +1820,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr "Ви можете перемкнути calibre на використання теки резервної копії бібліотеки простим натисканням кнопки з піктограмою calibre на панелі інструментів з наступним вибором теки резервної копії. У теці резервної копії зберігатимуться дані щодо нетипових стовпчиків та збережених пошуків, а також усі книги і їхні метадані."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1815,13 +1830,13 @@ msgid ""
 "directory to restore."
 msgstr "Якщо ви хочете створити резервну копію налаштувань і додатків calibre, вам слід створити резервну копію каталогу налаштувань. Визначити розташування каталогу налаштувань можна за допомогою сторінки :guilabel:`Налаштування -> Різне`. Зауважте, що підтримки відновлення даних з каталогів налаштувань офіційно не передбачено, але у більшості випадків таке відновлення має спрацювати. Достатньо просто скопіювати вміст каталогу резервної копії до поточного каталогу налаштувань, щоб відновити налаштування."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr "Як прочитати придбані книги EPUB у calibre (або що робити з файлами .acsm)?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1834,44 +1849,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr "У більшості книг EPUB реалізовано :doc:`DRM <drm>`. Calibre не може відкрити такі книги. Ви можете користуватися calibre для зберігання і передавання цих книг на ваш пристрій для читання електронних книг. Спочатку, вам слід уповноважити ваш пристрій для читання на комп'ютері Windows за допомогою Adobe Digital Editions. Після цього, книги EPUB, які передано за допомогою calibre, можна буде без проблем читати. Якщо ви придбаєте книгу epub на якомусь сайті, ви отримаєте файл «.acsm». Цей файл слід відкрити за допомогою Adobe Digital Editions — програми, яка отримає саму електронну книгу «.epub». Файл електронної книги буде збережено до теки «My Digital Editions», звідки ви можете додати його до бібліотеки calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr "Бачу повідомлення «Доступ заборонено» («Permission Denied»). Що робити?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr "Повідомлення про заборону доступу може мати багато причин, жодна з яких не пов’язана із calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr "Ви можете отримати повідомлення щодо недостатні права доступу, якщо ви використовуєте картку SD із увімкненим захистом від запису."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr "Якщо ви або якась програма, якою ви користувалися, змінила права доступу до файлів на такі, що передбачають лише читання."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr "Якщо на пристрої є помилка файлової системи, яка спричиняє монтування файлової системи операційною системою комп’ютера у режимі лише читання або позначення певного файла як придатного лише до читання, такого, що потребує виправлення."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr "Якщо для файлів встановлено власника, який не є вашим користувачем."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr "Якщо файл відкрито у іншій програмі."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1879,18 +1894,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr "Якщо файл зберігається на пристрої, можливо перевищено обмеження у 256 файлів у кореневій теці пристрою. Якщо це так, вам доведеться форматувати пристрій або картку SD, щодо якої було повідомлено про помилку, з використанням файлової системи FAT32 або вилучити якісь файли з цієї картки SD або пристрою."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr "Перш ніж поновлювати користування calibre, вам слід виправити помилку, пов’язану із правами доступу. Уважно прочитайте повідомлення про помилку, подивіться, який саме файл там вказано і виправте права доступу до цього файла або теки, у якій він зберігається."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr "Як зробити, щоб метадані коментаря було показано на пристрої для читання?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1903,7 +1918,7 @@ msgid ""
 "that format to the same format."
 msgstr "На більшості пристроїв для читання не передбачено підтримки показу коментарів. Вам слід поскаржитися виробникові про це і сподіватися на те, що під вашим тиском та тиском інших користувачів ситуація зміниться. Тим часом, ви можете вставити метадані, зокрема коментарі, на сторінку суперобкладинки, за допомогою пункту :guilabel:`Вставити метадані як сторінку на початку книги` у вікні перетворення. Цей пункт розташовано у розділі :guilabel:`Виявлення структури` параметрів перетворення. Зауважте, що отримання цієї сторінки з метаданими можливе лише після *перетворення* книги. Якщо ваша книга вже зберігається у форматі, який не потребує перетворення, ви можете перетворити її без зміни формату."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1912,11 +1927,11 @@ msgid ""
 "to\" books on your reader."
 msgstr "Ще одним варіантом є створення каталогу у форматі електронної книги, де міститиметься список усіх книг у вашій бібліотеці calibre з їхніми метаданими. Для отримання доступу до інструмента створення каталогу наведіть вказівник миші на кнопку перетворення на панелі інструментів, натисніть ліву кнопку миші і трохи її потримайте. І, перш ніж ви могли б спитати, ні, не можна створювати каталог, який безпосередньо посилатиметься на книги на вашому пристрої для читання електронних книг."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr "Як налаштувати calibre на використання проксі-сервера HTTP?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1929,21 +1944,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr "Типово, calibre використовує параметри проксі-сервера, які визначено у вашій операційній системі на загальному рівні. Іноді ці параметри є помилковими, наприклад, у Windows, якщо ви не користуєтеся Internet Explorer, параметри проксі-сервера можуть бути типовими або застарілими. Ви можете повідомити calibre про те, що слід використовувати певний проксі-сервер, встановленням змінних середовища ``http_proxy`` та ``https_proxy``. Формат значення для змінної такий: ``http://користувач:пароль@назва_сервера``. Правильне значення для цієї змінної можна дізнатися у адміністратора системи. Зауважте, що у calibre передбачено підтримку лише проксі-серверів HTTP, а не проксі-серверів SOCKS. Переглянути поточні параметри проксі-сервера можна за допомогою сторінки :guilabel:`Налаштування -> Різне`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr "Я хочу реалізувати якісь нові можливості у calibre. Як це зробити?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr "Маєте два варіанти:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr "Створіть латку, змінивши код calibre, і надішліть її розробнику для рецензування та включення до основного сховища. Див. розділ `Розробка <https://calibre-ebook.com/get-involved>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1954,15 +1969,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr "`Відкрийте запит на реалізацію можливості <https://calibre-ebook.com/bugs>`_ . Пам’ятайте, що хоча вам може здатися, що можливість, яку ви просите реалізувати, є надзвичайно важливою, з цим можуть не погодитися розробники calibre. На щастя, calibre — програма з відкритим кодом. Це означає, що ви завжди можете реалізувати можливість власноруч або найняти когось, хто реалізує її за вас. Більше того, архітектуру calibre побудовано на додатках, отже можливість можна реалізувати у форматі додатка, див. розділ :ref:`pluginstutorial`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Чому у calibre немає системи автоматичного оновлення?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "Через багато причин:"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1970,7 +1985,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr "*У оновленні щотижня немає потреби*. Якщо у вас немає проблем із працездатністю calibre, вимкніть сповіщення щодо оновлення і не переймайтеся ним. Можете перевіряти наявність оновлень щороку або щомісяця. Пункт вимикання сповіщень щодо оновлення є у самому діалоговому вікні сповіщення."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1978,7 +1993,7 @@ msgid ""
 " which someone has to pay."
 msgstr "Обмін даними у процесі оновлення calibre на сьогодні складає `близько 150 ТБ щомісяця <https://calibre-ebook.com/dynamic/downloads>`_. Реалізація автоматичного оновлення значно збільшить цю цифру і коштуватиме авторам програми тисячі доларів щомісяця, які комусь доведеться платити."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1986,25 +2001,25 @@ msgid ""
 " things to do in calibre development."
 msgstr "Якщо розробники реалізують діалогове вікно для отримання оновлень і запуску програми для оновлення, замість відкриття сторінки сайта, як це робиться зараз, це збереже найпалкішим фанатам оновлення calibre *не більше п’яти клацань кнопкою миші*. У нас є набагато пріоритетніші завдання у розробці calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr "Якщо вам дуже-дуже не хочеться отримувати новий пакунок calibre щотижня, але хочеться користуватися найсвіжішим кодом, вам варто запускати програму з початкового коду, оскільки його оновлення є тривіальною справою. Настанови можна знайти :ref:`тут <develop>`."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr "Існують сторонні засоби автоматичного оновлення calibre, які створено користувачами calibre. Посилання на них розміщено на `форумі calibre <https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Якими є умови ліцензування calibre?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2017,30 +2032,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr "Програму calibre випущено за умов дотримання GNU General Public License v3 (ліцензії для програм з відкритим кодом). Це означає, що ви можете вільно розповсюджувати calibre, якщо залишатимете загальнодоступним початковий код програми. Отже, якщо ви хочете розмістити calibre на компакт-диску з вашим продуктом, вам також слід розмістити на компакт-диску початковий код програми. Початковий код можна отримати `тут <https://download.calibre-ebook.com>`_. Ви можете безкоштовно користуватися результатами перетворення даних за допомогою  calibre у будь-який бажаний для вас спосіб. Ви не можете використовувати код або бібліотеки з calibre у вашому програмному забезпеченні, не зробивши його код відкритим. Докладніше про це у тексті `GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "Як запустити calibre з флешки?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr "Портативну версію calibre можна отримати `тут <https://calibre-ebook.com/download_portable>`_."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr "Як скористатися частинами calibre, зокрема засобом отримання новин та сервером даних, на сервері під керуванням Linux?"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr "По-перше, вам слід встановити calibre на вашому сервері під керуванням Linux. Якщо на вашому сервері встановлено сучасний дистрибутив Linux, у вас не повинно бути проблем зі встановленням calibre."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2053,34 +2068,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr "Для роботи calibre потрібні бібліотеки GLIBC >= 2.18 і libstdc++ >= 6.0.21. Якщо ви маєте справу із застарілим сервером, вам доведеться або зібрати ці бібліотеки з початкових кодів, або скористатися calibre 3.48, які потрібна GLIBC >= 2.17, чи calibre 2.85.1, якій потрібна GLIBC >= 2.13, чи calibre версії 1.48, для якої достатньо GLIBC >= 2.10. Крім того, хоча для роботи інструментів командного рядка calibre не потрібен графічний сервер, деяким з них потрібні встановлені у вашій системі бібліотеки графічного сервера. Причиною є використання Qt (бібліотеки, яка використовується для виконання різноманітних завдань, які пов’язано із обробкою зображень) та компонування частин програми з цими бібліотеками. Якщо ви отримуєте повідомлення ImportError щодо якихось модулів Qt, ймовірно, у системі не вистачає деяких бібліотек сервера X (графічного сервера)."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr "Запустити сервер calibre можна за допомогою такої команди::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr "Отримати новини і перетворити їх дані на електронну книгу можна за допомогою такої команди::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr "Якщо ви хочете створити файл MOBI, скористайтеся outputfile.mobi і параметром ``--output-profile kindle``."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr "Надіслати отримані новини електронною поштою можна за допомогою такої команди::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr "Читач може сам повправлятися у визначення точного вигляду рядка команди."
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr "Нарешті, ви можете додати отримані новини до бібліотеки calibre ось так::"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/uk/stats.json 5.10.0+dfsg-1/translations/manual/uk/stats.json
--- 5.9.0+dfsg-3/translations/manual/uk/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uk/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
-    "translated": 3025,
+    "translated": 3031,
     "untranslated": 0
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/uk/template_lang.po 5.10.0+dfsg-1/translations/manual/uk/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/uk/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uk/template_lang.po	2021-01-20 15:28:54.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 10:47+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:42+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -710,9 +710,9 @@ msgstr "and(значення, значе
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
-msgstr "add(x, y) — повертає суму x + y. Повідомляє про виключення, якщо x або y не є числом."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
+msgstr "``add(x, y, ...)`` — повертає суму аргументів. Надсилає повідомлення про виключення, якщо аргумент не є числом."
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
 msgid ""
@@ -852,6 +852,12 @@ msgstr "field(назва) — повер
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr "``field_exists(назва_поля)`` — перевіряє, чи існує поле (стовпчик) із назвою назва_поля. Повертає «1», якщо поле існує, і «», якщо не існує."
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -861,14 +867,14 @@ msgid ""
 "same output as the above template::"
 msgstr "``finish_formatting(значення, формат, префікс, суфікс)`` — застосувати формат, префікс і суфікс до значення у спосіб, у який це виконується шаблоном, зокрема ``{series_index:05.2f| - |- }``. Цю функцію створено для спрощення перетворення складних шаблонів режиму єдиної функції і програмного режиму до :ref:`загального програмного режиму <general_mode>` (див. нижче) для використання переваг компіляції шаблонів загального програмного режиму. Наприклад, наведена нижче програма виводить ті самі дані, що і вказаний вище програма-шаблон::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr "Інший приклад. Для шаблона ``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - }{title}`` скористайтеся таким::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -876,33 +882,33 @@ msgid ""
 "Example::"
 msgstr "``first_matching_cmp(значенняl, умова1, результат1, умова2, результат2, ..., інший_результат)`` — послідовно виконує порівняння «val < cmpN», повертаючи результатN для першої з виконаних умов у послідовності. Повертає інший_результат, якщо жодну з умов не буде виконано. Приклад::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr "повертає «large». Той самий приклад із першим значенням 16 повертатиме «giant»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr "``first_non_empty(значення, значення, ...)`` — повертає перше значення, яке не є порожнім. Якщо всі значення є порожніми, повертає порожнє значення. Ви можете вказати довільну кількість значень."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr "``floor(x)`` — повертає найбільше ціле число, яке є меншим або рівним x. Надсилає виключення, якщо x не є числом."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr "``format_date(значення, рядок_формату)`` — форматувати значення, яке має бути записом поля дати, на основі значення рядок_формату, повернути рядок. Коди форматування::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -911,7 +917,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr "Результати можуть бути не такими, на які ви сподівалися, якщо форматована дата містить локалізовані назви місяців, що може трапитися, якщо ви змінили коригування формату на такі, які містять ``MMMM``. У цьому випадку, замість використання шаблона, подібного до ``{pubdate:format_date(yyyy)}``, напишіть шаблон, що використовує програмний режим, ось так: ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -921,7 +927,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr "``formats_modtimes(формат_дати)`` — повертає відокремлений комами список відокремлених двокрапками пунктів, які відповідають часу внесення змін до файлів форматів книги. Параметр «формат_дати» визначає спосіб форматування дати. Докладніше про цей формат можна дізнатися з опису функції format_date(). Для отримання даних щодо внесення змін до одного з форматів ви можете скористатися функцією select. Зауважте, що назви форматів буде вказано великими літерами, наприклад EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -929,7 +935,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_paths()`` — повернути розділений комами список розділених двокрапками записів, щоб відповідають шляхам до файлів книги у різних форматах. Для отримання шляху до файла певного формату ви можете скористатися функцією select. Зауважте, що назви форматів слід вказувати великими літерами, ось так: EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -937,27 +943,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr "``formats_sizes()`` — повертає відокремлений комами список відокремлених двокрапками пунктів, які відповідають об’єму у байтах файлів форматів книги. Для отримання даних щодо об’єму файла у одному з форматів ви можете скористатися функцією select. Зауважте, що назви форматів буде вказано великими літерами, наприклад EPUB."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr "``fractional_part(x)`` — повертає дробову частину десяткового числа. Наприклад, ``fractional_part(3.14)`` дорівнює ``0.14``. Надсилає виключення, якщо ``x`` не є числом."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr "has_cover() — повертає «Yes», якщо у книги є зображення обкладинки, інакше повертає порожній рядок"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr "``not(значення)`` — повертає рядок «1», якщо значення не є порожнім. Якщо значення є порожнім, повертає порожній рядок. Ця функція добре поєднується з test або first_non_empty."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -965,7 +971,7 @@ msgid ""
 "are the items in the returned list."
 msgstr "``list_difference(список1, список2, роздільник)`` — повертає список, створений вилученням зі списку список1 всіх пунктів, які містяться у списку список2, на основі порівняння без врахування регістру. Пункти у списках список1 і список2 відокремлюються роздільником «роздільник», як і пункти у повернутому функцією списку."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -974,7 +980,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr "``list_equals(список1, роздільник1, список2, роздільник2, значення_якщо_так, значення_якщо_ні)`` — повертає «значення_якщо_так», якщо список1 і список2 містять однакові записи. Якщо це не так, повертає «значення_якщо_ні». Записи визначаються поділом кожного зі списків на основі вказаного символу роздільника (роздільник1 або роздільник2). Порядок записів у списках не береться до уваги. Порівняння виконуватиметься без врахування регістру символів."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -982,7 +988,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr "``list_intersection(список1, список2, роздільник)`` — повертає список, створений вилученням зі списку список1 всіх пунктів, яких немає у списку список2, на основі порівняння без врахування регістру. Пункти у списках список1 і список2 відокремлюються роздільником «роздільник», як і пункти у повернутому функцією списку."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -992,7 +998,7 @@ msgid ""
 "returned list."
 msgstr "list_re(початковий_список, роздільник, фв_пошуку, пар_заміни) — будує список таким чином: спочатку поділяє початковий_список на запис на основі вказаного символу роздільника`. Для кожного з записів у списку перевіряє відповідність формальному виразу «фв_пошуку». Якщо відповідність буде встановлено, запис буде додано до повернутого списку. Якщо параметр «пар_заміни» не буде порожнім, заміну буде виконано до додавання запису до повернутого списку."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1000,7 +1006,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr "``list_re_group(список_джерел, роздільник, фв_включення, фв_пошуку, шаблон_групи_1, шаблон_групи_2, ...)`` — Подібне до list_re, але замінники є обов’язковими. Використовує re_group(пункт_списку, фв_пошуку, шаблон_групи_, ) під час виконання замін у остаточному списку."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1008,7 +1014,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr "list_sort(список, напрямок, роздільник) — повертає список, впорядкований без врахування регістру. Якщо значенням параметра ``напрямок`` є нуль, ``список`` буде впорядковано за зростанням. Якщо значення буде іншим, список впорядковуватиметься за спаданням. Записи у початковому списку має бути відокремлено роздільником, як і записи у списку-результаті."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1017,53 +1023,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr "``list_union(список1, список2, роздільник)`` — повертає список, створений за допомогою об’єднання пунктів у списках ``список1`` і ``список2` з вилученням дублікатів, виявлених шляхом порівняння без врахування регістру символів. Якщо записи пунктів відрізнятимуться лише регістром символів, використовуватиметься пункт зі списку ``список1``. Пункти у списках ``список1`` і ``список2`` має бути відокремлено ``роздільником``, який також буде використано під час формування списку-результату."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr "``mod(x)`` -— повертає лишок від ділення ``x`` на ``y``, де ``x``, ``y`` та результат є цілими числами. Надсилає виключення, якщо ``x`` або ``y`` не є числом."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
-msgstr "multiply(x, y) — повертає добуток x * y. Повідомляє про виключення, якщо x або y не є числом."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
+msgstr "``multiply(x, y, ...)`` — повертає добуток аргументів. Надсилає повідомлення про виключення, якщо аргумент не є числом."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr "ondevice() — повертає «Yes», якщо встановлено ``ondevice``, інакше повертає порожній рядок"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr "or(значення, значення, ...) — повертає рядок ``\"1\"``, якщо хоч одне значення не є порожнім. Якщо всі значення є порожніми, повертає порожній рядок. Ця функція добре поєднується з test або ``first_non_empty``. Ви можете вказати довільну кількість значень."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr "print(a, b, ...) — виводить аргументи до стандартного виведення. Якщо ви не запускали calibre з командного рядка (calibre-debug -g), дані нікуди не буде виведено."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr "raw_field(назва) — повертає поле метаданих, вказане за допомогою параметра «назва», без застосування форматування."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr "``raw_list(назва, роздільник)`` — повертає список метаданих з назвою «назва» без застосування будь-якого форматування або упорядковування. Записи у списку буде відокремлено значенням «роздільник»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1075,17 +1081,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr "``re_group(значення, зразок, шаблон_для_групи_1, шаблон_для_групи_2, ...)`` — повертає рядок, створений за допомогою застосування формального виразу заданого зразком до значення та заміною кожної з відповідних груп значенням, повернутим відповідним шаблоном. Початкове відповідне значення для групи позначається ``$``. У режимі шаблонного програмування, як і у функціях template та eval, замість { слід використовувати [[, замість } — ]]. Приклад: у режимі шаблонного програмування знайти послідовності з понад одного слова і замінити першу літеру першого слова на велику::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr "``round(x)`` — повертає найближче до x ціле число. Надсилає виключення, якщо x не є числом."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr "series_sort() — повертає значення впорядкування циклу."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1094,17 +1100,17 @@ msgid ""
 "list. Example::"
 msgstr "``split(значення_список, роздільник, префікс_ідентифікатора)`` — ділить ``значення_список`` на окремі значення з використанням роздільника ``роздільник``, а потім надає значення змінним із назвами ``префікс_ідентифікатора_N``, де N — позиція значення у списку. Перший запис має позицію 0 (нуль). Функція повертає останній елемент у списку. Приклад::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr "дає такий результат::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr "strcat(a, b, ...) — може приймати довільну кількість аргументів. Повертає рядок, отриманий з’єднанням всіх аргументів.."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1114,19 +1120,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr "strcat_max(максимум, рядок1, префікс2, рядок2, ...) — повертає рядок, утворений об’єднанням аргументів функції. Початковим значенням результату буде ``рядок1``. Пари ``префікс, рядок`` додаватимуться в кінець результату, якщо довжина рядка-результату не перевищуватиме значення ``максимум``. Значення ``рядок1`` буде повернуто, навіть якщо довжина рядка ``рядок1`` перевищує ``максимум``. Функції можна передавати довільну кількість пар ``префікс, рядок``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr "strcmp(x, y, lt, eq, gt) — виконує порівняння ``x`` і ``y`` як рядків без врахування регістру. Повертає ``lt``, якщо ``x < y``. Повертає ``eq``, якщо ``x == y``. За інших умов повертає ``gt``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr "strlen(a) — повертає довжину рядка, переданого як аргумент.."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1136,20 +1142,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr "substr(рядок, початок, кінець) — повертає символи від символу з номером «початок» до символу з номером «кінець» у рядку «рядок»````. Вважається, що у рядок починається з нульового символу. Якщо значення «кінець» є від’ємним, символи буде відраховано у напрямку до початку рядка. Якщо значенням «кінець» є нуль, кінцем вважатиметься останній символ. Приклади: substr('12345', 1, 0) повертає '2345', а substr('12345', 1, -1) повертає '234'."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr "``subtract(x, y)`` — повертає різницю ``x - y``. Повідомляє про виключення, якщо ``x`` або ``y`` не є числом."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr "``today()`` — повертає сьогоднішню дату. Це значення створено для використання у ``format_date`` або ``days_between``, але з ним можна працювати як зі звичайним рядком. Дату буде повернуто у форматі ISO."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1161,11 +1167,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr "template(x) — обробляє ``x`` як шаблон. Обробку буде виконано у власному контексті, тобто змінні не використовуватимуться як спільні для функції виклику і обробки шаблону. Оскільки символи «{» і «}» є особливими, вам слід використовувати «[[» для позначення символу «{» і «]]» для позначення символу «}». Перетворення буде виконано автоматично. Наприклад, template('[[title_sort]]') буде оброблено як шаблон {title_sort} і повернуто відповідне значення. Також слід зауважити, що у аргументі цієї функції не можна використовувати префікси і суфікси (тобто синтаксичні конструкції, подібні до «|префікс|суфікс»), якщо використовується режим програмного шаблона."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr "Використання загального режиму програмування"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1175,14 +1181,14 @@ msgid ""
 "set."
 msgstr "У складніших шаблонних програмах часто простіше уникати синтаксису шаблонів (усіх символів `{` і `}`) і писати програми у класичному стилі. Перейти до такого режиму у calibre можна розпочавши шаблон зі слова `program:`. Шаблонні програми програми компілюються і виконуються. Обробка шаблонів (форматування, обробка префіксів, суфіксів) не виконується. Значення для спеціальної змінної `$` не встановлюватиметься."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr "Однією з переваг режиму `program:` є те, що дужки у ньому вже не є спеціальними символами. Наприклад, немає потреби у використанні `[[` і `]]` при використанні функції `template()`. Ще однією перевагою є зручність у читанні."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1190,26 +1196,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr "У режимі програмування також передбачено підтримку класичних **реляційних (порівняльних) операторів**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. Оператори повертають '1', якщо умова справджується, і '', якщо ні. Ці оператори виконують порівняння рядків без врахування регістру символів із використанням лексичного порядку. Приклади:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr "``program: field('series') == 'foo'`` повертає '1', якщо циклом книги є 'foo'."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` повертає 'bar', якщо циклом книги не є 'foo', а інакше, повертає 'mumble'."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr "``program: if or(field('series') == 'foo', field('series') == '1632') then 'yes' else 'no' fi`` повертає 'yes', якщо циклом є 'foo' або '1632', а інакше, повертає 'no'."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1219,13 +1225,13 @@ msgid ""
 "error is raised."
 msgstr "``program: if '11' > '2' then 'yes' else 'no' fi`` повертає 'no', оскільки це лексичне порівняння. Якщо вам потрібне порівняння чисел, а не лексичне порівняння, скористайтеся операторами ``==#``, ``!=#``, ``<#``, ``<=#``, ``>#``, ``>=#``. У цьому випадку для лівого і правого операндів встановлюються нульові значення, якщо їх не визначено, або вони дорівнюють порожньому рядку. Якщо операнди не є числами, буде повідомлено про помилку."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr "У обох режимах програмування, загальному і шаблонному, передбачено можливість використання **виразів ``if``** із таким синтаксисом:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1235,50 +1241,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr "Частина із elif та else є необов'язковою. Слова ``if``, ``then``, ``elif``, ``else`` і ``fi`` є зарезервованими. Ви не можете використовувати їх як назви ідентифікаторів. Додавати розриви рядків та пробіли можна будь-де, де це має сенс. <<expression>> є одинарним виразом мови шаблонів. Не можна використовувати у цьому виразі крапку з комою. <<expression_list>> — послідовність відокремлених крапкою з комою виразів мови шаблонів, яка включає вкладені if. Приклади:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr "``program: if field('series') then 'yes' else 'no' fi``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; b='yes' fi; strcat(a, '-', b)``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr "Приклад вкладеного``if``::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr "``if`` виводить значення, подібно до будь-якого іншого виразу мови. Це означає, що коректними є усі наведені нижче інструкції:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr "``program: if field('series') then 'foo' else 'bar' fi``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr "У мові шаблонів передбачено підтримку **виразів ``for``** із таким синтаксисом:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1288,13 +1294,13 @@ msgid ""
 "evaluated."
 msgstr "Обчисленим значенням виразу має бути або ключ фільтрування у полі метаданих, наприклад ``tags`` або ``#genre``, або список значень, відокремлених комами. Якщо результатом є коректна назва фільтрування, буде отримано значення поля. Якщо ні, список буде поділено на окремі значення. Кожному значенню-результату у списку буде надано значення змінної ``id``, а потім буде визначено ``expression_list``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr "Приклад: цей шаблон вилучає першу ієрархічну назву для кожного значення у полі «Жанр» (``#genre``), будуючи список із новими назвами::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1304,18 +1310,18 @@ msgid ""
 "value to Genre."
 msgstr "Якщо початковим значенням поля «Жанр» було ``History.Military, Science Fiction.Alternate History, ReadMe``, шаблон поверне ``Military, Alternate History, ReadMe``. Ви можете скористатися цим шаблоном в інструменті calibre :guilabel:`Пакетне редагування метаданих -> Пошук із заміною` ^ у полі :guilabel:`Шукати` слід вказати ``шаблон`` для вилучення першого рівня ієрархії і визначення значення-результату для поля «Жанр»."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr "Зауваження: останній рядок шаблону, ``new_tags``, не є необхідним у цьому випадку, оскільки ``for`` повертає значення останнього ``виразу`` у ``списку виразів``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr "Збережені шаблони загального режиму програмування"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1326,24 +1332,24 @@ msgid ""
 "named ``foo``:"
 msgstr "У загальному режимі програмування передбачено можливість збереження шаблонів загального режиму програмування та виклику цих шаблонів з інших шаблонів. Зберегти шаблони можна за допомогою пункту :guilabel:`Налаштування->Додатково->Шаблонні функції`. у відповідному діалоговому вікні буде наведено довідкову інформації. Викликати шаблон можна у той самий спосіб, що і функцію, передавши йому, якщо потрібно, позиційні аргументи. Аргументом може бути будь-який вираз. Приклади виклику шаблону, де ми припускаємо, що збережений шаблон має назву ``foo``:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr "``foo()`` — виклик шаблону без передавання аргументів."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr "``foo(a, b)`` — виклик шаблону з передаванням значень двох змінних — ``a`` і ``b``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr "``foo(if field('series') then field('series_index') else 0 fi)`` — якщо книга належить до циклу, передати номер книги у циклі, інакше — передати значення ``0``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1356,29 +1362,29 @@ msgid ""
 "``alternate``::"
 msgstr "У збереженому шаблоні отримання аргументів відбувається за допомогою виклику функції ``arguments``. Ця функція одразу оголошує і ініціалізує локальні змінні, які виконують роль параметрів. Ці змінні є позиційними — їм надається значення, яке стоїть у виклику на відповідній позиції. Якщо відповідне значення змінної не було надано у виклику, ``arguments`` надає параметру типового значення. Якщо типове значення не вказано, змінній буде надано значення порожнього рядка. Наприклад, наведена нижче функція ``arguments`` оголошує 2 змінні — ``key``, ``alternate``::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr "У наведених нижче прикладах знову припускаємо, що збережений шаблон має назву ``foo``:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr "``foo('#myseries')`` — аргумент ``key`` матиме значення ``myseries``, а аргумент ``alternate`` матиме значення ``series``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr "``foo('series', '#genre')`` — змінній ``key`` буде надано значення ``series``, а змінній ``alternate`` — значення ``#genre``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr "``foo()`` -— змінній ``key`` буде надано значення порожнього рядка, а змінній ``alternate`` — значення ``#genre``."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1387,11 +1393,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr "Простим способом тестування збережених шаблонів є використання вікна ``Засіб тестування шаблонів``. Надайте цьому вікну клавіатурного скорочення за допомогою пункту :guilabel:`Налаштування->Додатково->Клавіатурні скорочення->Засіб тестування шаблонів`. Надання клавіатурного скорочення вікну ``Збережені шаблони`` допоможе вам швидше перемикатися між тестуванням та редагування початкового коду збереженого шаблону."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr "Надання додаткової інформації шаблонам"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1399,11 +1405,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr "Розробник може передати додаткові відомості обробнику шаблонів, зокрема, специфічні для книги метадані або відомості про те, що слід виконати обробнику. Шаблон може отримувати доступ до цих відомостей і використовувати їх під час обробки."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr "**Розробник: як передати додаткові відомості**"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1414,27 +1420,27 @@ msgid ""
 "underscore."
 msgstr "Додатковими відомостями є словник python, який містить пари ``назва_змінної: значення_змінної``, де значеннями мають бути рядки. Шаблон може отримувати доступ до словника, створюючи локальні змінні із назвами ``назва_змінної``, які міститимуть значення ``значення_змінної``. Користувач не може змінювати назву, тому краще користуватися назвами, які не збігатимуться із локальними змінними інших шаблонів. Можна, наприклад, додати до усіх назв початковий символ підкреслювання."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr "Цей словник буде передано обробнику шаблонів (``форматувальнику``) за допомогою іменованого параметра ``global_vars=ваш_словник``. Ось повний запис методу:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr "def safe_format(self, fmt, kwargs, error_value, book,"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr "column_name=None, template_cache=None, strip_results=True, template_functions=None, global_vars={})"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr "**Розробник шаблонів: як отримати доступ до додаткових відомостей**"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1448,11 +1454,11 @@ msgid ""
 "variable."
 msgstr "Отримати доступ до додаткових відомостей у шаблоні можна за допомогою шаблонної функції ``globals(ідентифікатор[=вираз] [, ідентифікатор[=вираз]]*)``, де записом ``ідентифікатор`` є будь-яка коректна назва змінної. Ця функція перевіряє, чи у додаткових відомостях, наданих розробником, міститься відповідна назва. Якщо це так, функція призначає надане значення змінної локальній змінній із вказаною назвою. Якщо назву змінної не буде виявлено у додаткових відомостях і якщо вказано ``вираз``, буде виконано обчислення ``виразу`` із призначенням результату локальній змінній. Якщо не буде знайдено ні значення, ні виразу, локальній змінній буде призначено порожній рядок (``''``)."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr "Зауваження щодо відмінностей між режимами"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1462,35 +1468,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr "У роботі трьох режимів програмування, режиму єдиної функції, режиму програмування шаблонів та загального режиму програмування є відмінності. Режим єдиної функції є «простим», тому у ньому багато можливостей програмування «приховано». Наприклад, значення зі стовпчика завжди передається як «невидимий» перший аргумент до функції, включеної до шаблону. Також у режимі єдиної функції не передбачено підтримки розрізнення змінних і рядків — усі значення є рядками."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr "Приклад: у наведеному нижче шаблоні режиму єдиної функції шаблон повертає або назву циклу, або рядок «no series»::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr "Еквівалентний шаблон у режимі програмування шаблонів::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr "Еквівалентний шаблон у режимі загального програмування::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr "Першим аргументом ``ifempty`` є значення поля ``series``, а другим аргументом — рядок ``no series``. У режимі єдиної функції перший аргумент, значення поля, передається автоматично (невидимий аргумент)."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr "Декілька шаблонних функцій, зокрема ``booksize()`` і ``current_library_name()``, не приймають аргументів. Через наявність невидимого аргументу ви не зможете скористатися цими функціями у режимі єдиної функції."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1498,20 +1504,20 @@ msgid ""
 "SFM::"
 msgstr "У режимі єдиної функції не можна скористатися вкладеними функціями, коли одна з функцій викликає іншу функцію для обчислення свого аргументу. Наприклад, цей шаблон, який призначено для отримання перших 5 літер значення назви циклу у верхньому регістрі, не працюватиме у режимі єдиної функції::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr "У шаблонному режимі програмування та загальному режимі програмування передбачено підтримку вкладених функцій. Наведений вище шаблон у шаблонному режимі програмування можна записати так::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr "У загальному режимі програмування це було б::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr "Визначені користувачем шаблонні функції Python"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1519,11 +1525,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr "Ви можете додавати власні функції мовою Python до обробника шаблонів. Такими функціями можна скористатися в усіх трьох режимах програмування шаблонів. Додати функції можна за допомогою сторінки :guilabel:`Налаштування -> Додатково -> Шаблонні функції`. У діалоговому вікні, яке буде відкрито програмою, можна знайти відповідні настанови."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr "Спеціальні нотатки щодо шаблонів збереження або надсилання"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1534,18 +1540,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr "До шаблонів, які використовуються для дій `зберегти на диск` і `надіслати на пристрій`, застосовується спеціальна обробка. Значення полів буде очищено із заміною символів, які мають спеціальне значення у файлових системах, зокрема символів похилих рисок, на символи підкреслювання. Це означає, що текст поля не можна використовувати для створення тек. Втім, похилі риски не замінюватимуться у рядках префікса і суфікса, отже похилі риски у цих рядках можна використати для створення тек. Таким чином, ви можете створити структуру тек довільного рівня вкладеності."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr "Наприклад, припустімо ми хочемо створити структуру тек `цикл/номер_у_циклі - назва`, із умовою, що якщо циклу не існує, назву слід розташувати у верхній теці. Шаблон для виконання цього завдання::"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr "Похила риска і дефіс мають з’являтися, лише якщо цикл не є порожнім."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1555,25 +1561,25 @@ msgid ""
 "depending on the value of series."
 msgstr "Функція `lookup` надає вам змогу виконувати виконувати навіть ще вишуканішу обробку. Наприклад, припустімо, що якщо книга належить до циклу, ми хочемо мати структуру тек `цикл/номер у циклі - назва.формат`. Якщо книга не належить до циклу, нам потрібна структура тек `жанр/упорядковане ім’я автора/назва.формат`. Якщо ж книга не належить до певного жанру, слід скористатися текою 'Unknown'. Нам потрібно два повністю різних шляхи, залежно від значення параметра циклу."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr "Для виконання цього завдання ми:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr "Створимо складене поле (надавши йому назву #AA), що міститиме дані ``{series}/{series_index} - {title}``. Якщо значення циклу (series) є непорожнім, такий шаблон дасть нам `цикл/номер_у_циклі - назва`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr "Створимо складене поле (надавши йому назву #BB) із вмістом ``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. Цей шаблон дає `жанр/упорядковані_автори/назва`. Якщо немає даних щодо жанру, запис жанру буде замінено на `Unknown`."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1581,11 +1587,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr "Встановимо шаблон збереження ``{series:lookup(.,#AA,#BB)}``. Цей шаблон вибирає складене поле #AA, якщо значення запису циклу є непорожнім, і складене поле #BB, якщо значення запису циклу є порожнім. Таким чином, ми матимемо повністю різні шляхи для збереження книг, залежно від того, чи є запис `series` порожнім."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr "Шаблони і набори метаданих"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1596,7 +1602,7 @@ msgid ""
 "display issues."
 msgstr "Набори метаданих використовуються для внесення змін до метаданих, що записуються до книг під час дій із надсилання на пристрій і збереження на диск. Набір метаданих надає вам змогу вказати шаблон для надання даних, які слід записати до метаданих книги. Ви можете скористатися наборами метаданих для внесення змін до таких полів: authors, author_sort, language, publisher, tags, title, title_sort. Набори метаданих допомагають у використанні спеціалізованих метаданих для книг на пристрої з метою усування проблем із упорядковуванням книг або їхнім показом."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1607,7 +1613,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr "Під час створення набору метаданих ви визначаєте формат і пристрій, для яких використовуватиметься набір. Передбачено особливий пристрій, ``save_to_disk``, який використовується для збереження книг у певних форматах (на відміну від надсилання книг на пристрій). Після вибору формату і пристрою вам слід вибрати поля метаданих для внесення змін і надати шаблони для визначення нових значень цих полів. Ці шаблони буде `з’єднано` з відповідними полями призначення. Ви, звичайно ж, можете використовувати у шаблонах наборів метаданих складені стовпчики."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1616,29 +1622,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr "Якщо до метаданих може бути застосовано набір (на сервері даних, для збереження на диск або надсилання на пристрій), calibre шукає визначені набори метаданих і вибирає належний для заданого формату і пристрою. Наприклад, для того, щоб знайти належний набір метаданих для книги EPUB, яку надсилають на пристрій під керуванням ANDROID, calibre шукає набори метаданих у такому порядку:"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr "набір метаданих із точною відповідністю за форматом і пристроєм, наприклад ``EPUB`` і ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr "набір метаданих із точним відповідником за форматом і спеціальним варіантом ``any device``, наприклад ``EPUB`` і ``any device``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr "набір метаданих із спеціальним варіантом ``any format`` і точною відповідністю за пристроєм, наприклад ``any format`` і ``ANDROID``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr "набір метаданих ``any format`` і ``any device``"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1650,7 +1656,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr "Поля міток (`tags`) і авторів (`authors`) обробляються у особливий спосіб, оскільки у обох цих полях може міститися декілька записів. У книги може бути багато міток і багато авторів. Якщо ви визначаєте одне з цих двох полів як таке, вміст якого слід змінити, результати використання шаблона буде перевірено на наявність декількох записів. Для міток результат буде розділено на записи за знайденими calibre комами. Наприклад, якщо шаблон створює значення ``Трилер, Жахи``, результатом буде дві мітки, ``Трилер`` і ``Жахи``. Способів додавання коми у окрему мітку не передбачено."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1660,7 +1666,7 @@ msgid ""
 "author with a rather strange name."
 msgstr "Те саме стосується авторів, але для поділу на записи використовується інший символ, `&` (амперсанд), а не кома. Наприклад, якщо шаблоном створюється значення ``Blogs, Joe&Posts, Susan``, для книги буде визначено двоє авторів, ``Blogs, Joe`` і ``Posts, Susan``. Якщо ж шаблон створює значення ``Blogs, Joe;Posts, Susan``, книга матиме один запис автора із доволі чудернацьким іменем."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1669,39 +1675,39 @@ msgid ""
 "preferences window."
 msgstr "Набори метаданих впливають на метадані, які записуються до книги, коли її зберігають на диск або записують на пристрій для читання. Набори метаданих не змінюють метадані, які використовуються діями ``зберегти на диск`` та ``надіслати на пристрій`` для створення назв файлів. Назви файлів будуються за допомогою шаблонів, які вказано у відповідних місцях вікна налаштувань."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr "Підказки"
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr "Можливо, для вас будуть корисними зазначені нижче підказки."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr "Для перевірки шаблонів скористайтеся засобом перевірки шаблонів. Додайте пункт засобу до контекстного меню для книг у бібліотеці і/або встановіть для нього клавіатурне скорочення."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr "Шаблони можуть використовувати інші шаблони, посилаючись на складені стовпчики, які побудовано на основі бажаного шаблону. Крім того, можна скористатися збереженими шаблонами."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr "У наборі метаданих ви можете вказати порожні значення поля (або вказати будь-який еквівалент порожнього поля) за допомогою спеціального шаблона ``{}``. Цей шаблон завжди обробляється як порожній рядок."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr "Описана вище методика для показу чисел працює зі стандартним полем series_index, навіть якщо вміст відповідного поля є порожнім."
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr "Довідник з функцій"
diff -pruN 5.9.0+dfsg-3/translations/manual/uk/viewer.po 5.10.0+dfsg-1/translations/manual/uk/viewer.po
--- 5.9.0+dfsg-3/translations/manual/uk/viewer.po	2021-01-06 15:35:41.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uk/viewer.po	2021-01-20 15:29:39.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 06:42+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 06:29+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian (http://www.transifex.com/calibre/calibre/language/uk/)\n"
 "MIME-Version: 1.0\n"
@@ -248,11 +248,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr "У Linux для роботи інструмента :guilabel:`Читати уголос` слід встановити і належно налаштувати `Speech Dispatcher <https://freebsoft.org/speechd>`_."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr "У Windows підсистема SAPI, яка використовується для озвучення тексту, може бачити не усі встановлені голосові рушії. Можете скористатися `настановами щодо уможливлення доступу до усіх голосових рушіїв <https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr "Перехід за посиланнями лише за допомогою клавіатури"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -262,7 +270,7 @@ msgid ""
 "link."
 msgstr "У засобі для читання електронних книг передбачено :guilabel:`Режим підказок`, у якому ви можете клацати на посиланнях у тексті без використання миші. Натисніть комбінацію клавіш :kbd:`Alt+F`, і програма підсвітить усі посилання у поточній області перегляду, показавши для кожного з них цифру або літеру. Натисніть клавішу літери, щоб перейти за відповідним посиланням. Натисканням клавіші :kbd:`Esc` можна вийти з режиму підказок без переходу за посиланням."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -270,37 +278,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr "Якщо в області перегляду виявиться понад 35 посилань, деяким з них буде призначено багатолітерні комбінації. У цьому випадку натисніть першу і другу клавіш комбінації, а потім натисніть клавішу :kbd:`Enter`, щоб перейти за посиланням. Ви також можете скористатися натисканням клавіші :kbd:`Backspace`, щоб скасувати помилку під час набирання комбінації літер."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Налаштовування вигляду і поведінки програми під час читання"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr "Змінити розмір символів шрифту «на льоту» можна за допомогою пункту :guilabel:`Розмір шрифту` на панелі засобів керування переглядом, або натискання комбінацій клавіш :kbd:`Ctrl++` чи :kbd:`Ctrl+-`, або утримуванням натиснутою клавіші :kbd:`Ctrl` із одночасним прокручуванням коліщатка миші."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr "Кольори можна змінити за допомогою пункту :guilabel:`Кольори` у налаштуваннях засобу перегляду книг."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr "Ви можете змінити кількість показаних на екрані сторінок, а також розміри полів сторінки за допомогою розділу :guilabel:`Компонування сторінки` у налаштуваннях засобу перегляду."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr "Ви можете наказати програмі показувати нетипові верхні і нижні колонтитули, зокрема час до завершення читання книги, назву поточної глави, позицію у книзі тощо, за допомогою розділу :guilabel:`Верхні і нижні колонтитули` налаштувань засобу читання."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -310,11 +318,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr "Доступ до ширшого спектра налаштувань можна отримати за допомогою розділу :guilabel:`Стилі`. За допомогою цього розділу ви можете вказати зображення тла, яке буде показано під текстом, а також таблицю стилів програма застосовуватиме до усіх книг, які ви у ній відкриватимете. За її допомогою ви зможете змінити стилі абзаців, вирівнювання тексту тощо. Приклади нетипових таблиць стилів, які використовуються користувачами calibre, можна знайти на `форумі програми <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Пошук у словнику"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -322,11 +330,11 @@ msgid ""
 "panel."
 msgstr "Ви можете пошукати значення слів у поточній книзі за допомогою пункту :guilabel:`Панель пошуку` на панелі засобів керування переглядом. Відкрийте панель пошуку, а потім двічі клацніть на будь-якому слові у книзі, щоб побачити його визначення на панелі пошуку."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Копіювання тексту та малюнків"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -334,22 +342,22 @@ msgid ""
 "and images."
 msgstr "Ви можете вибрати текст та малюнки, позначивши фрагмент за допомогою миші, потім клацнувши правою кнопкою миші і вибравши пункт :guilabel:`Копіювати` для копіювання даних до буфера обміну. Скопійований матеріал може бути вставлений у іншу програму як неформатований текст та малюнки."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "Збільшення масштабу зображень"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr "Ви можете наказати програмі збільшити масштаб для показу зображення у повному розмірі в окремому вікні або подвійним клацанням, або довгим притисканням (на сенсорних пристроях) зображення. Крім того, ви можете клацнути на зображенні правою кнопкою миші і вибрати :guilabel:`Переглянути зображення`."
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr "Непридатний до перенесення текст"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ur/db_api.po 5.10.0+dfsg-1/translations/manual/ur/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ur/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ur/db_api.po	2021-01-20 15:30:24.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ur/edit.po 5.10.0+dfsg-1/translations/manual/ur/edit.po
--- 5.9.0+dfsg-3/translations/manual/ur/edit.po	2020-12-10 03:01:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ur/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ur\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ur/faq.po 5.10.0+dfsg-1/translations/manual/ur/faq.po
--- 5.9.0+dfsg-3/translations/manual/ur/faq.po	2021-01-06 15:34:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ur/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ur/stats.json 5.10.0+dfsg-1/translations/manual/ur/stats.json
--- 5.9.0+dfsg-3/translations/manual/ur/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ur/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 4,
-    "untranslated": 3021
+    "untranslated": 3027
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ur/template_lang.po 5.10.0+dfsg-1/translations/manual/ur/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ur/template_lang.po	2021-01-06 15:34:29.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ur/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ur/viewer.po 5.10.0+dfsg-1/translations/manual/ur/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ur/viewer.po	2021-01-06 15:35:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ur/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Urdu (http://www.transifex.com/calibre/calibre/language/ur/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/url_scheme.pot 5.10.0+dfsg-1/translations/manual/url_scheme.pot
--- 5.9.0+dfsg-3/translations/manual/url_scheme.pot	2021-01-08 03:53:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/url_scheme.pot	2021-01-22 02:28:28.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/uz@Latn/db_api.po 5.10.0+dfsg-1/translations/manual/uz@Latn/db_api.po
--- 5.9.0+dfsg-3/translations/manual/uz@Latn/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uz@Latn/db_api.po	2021-01-20 15:30:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/uz@Latn/edit.po 5.10.0+dfsg-1/translations/manual/uz@Latn/edit.po
--- 5.9.0+dfsg-3/translations/manual/uz@Latn/edit.po	2020-12-10 03:01:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uz@Latn/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: uz@Latn\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/uz@Latn/faq.po 5.10.0+dfsg-1/translations/manual/uz@Latn/faq.po
--- 5.9.0+dfsg-3/translations/manual/uz@Latn/faq.po	2021-01-06 15:34:34.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uz@Latn/faq.po	2021-01-20 15:29:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/uz@Latn/stats.json 5.10.0+dfsg-1/translations/manual/uz@Latn/stats.json
--- 5.9.0+dfsg-3/translations/manual/uz@Latn/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uz@Latn/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/uz@Latn/template_lang.po 5.10.0+dfsg-1/translations/manual/uz@Latn/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/uz@Latn/template_lang.po	2021-01-06 15:33:56.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uz@Latn/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/uz@Latn/viewer.po 5.10.0+dfsg-1/translations/manual/uz@Latn/viewer.po
--- 5.9.0+dfsg-3/translations/manual/uz@Latn/viewer.po	2021-01-06 15:35:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/uz@Latn/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Uzbek (Latin) (http://www.transifex.com/calibre/calibre/language/uz@Latn/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/ve/db_api.po 5.10.0+dfsg-1/translations/manual/ve/db_api.po
--- 5.9.0+dfsg-3/translations/manual/ve/db_api.po	2020-12-23 14:21:07.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ve/db_api.po	2021-01-20 15:30:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/ve/edit.po 5.10.0+dfsg-1/translations/manual/ve/edit.po
--- 5.9.0+dfsg-3/translations/manual/ve/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ve/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: ve\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/ve/faq.po 5.10.0+dfsg-1/translations/manual/ve/faq.po
--- 5.9.0+dfsg-3/translations/manual/ve/faq.po	2021-01-06 15:34:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ve/faq.po	2021-01-20 15:29:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/ve/stats.json 5.10.0+dfsg-1/translations/manual/ve/stats.json
--- 5.9.0+dfsg-3/translations/manual/ve/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ve/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/ve/template_lang.po 5.10.0+dfsg-1/translations/manual/ve/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/ve/template_lang.po	2021-01-06 15:34:00.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ve/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/ve/viewer.po 5.10.0+dfsg-1/translations/manual/ve/viewer.po
--- 5.9.0+dfsg-3/translations/manual/ve/viewer.po	2021-01-06 15:35:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/ve/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Venda (http://www.transifex.com/calibre/calibre/language/ve/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/vi/db_api.po 5.10.0+dfsg-1/translations/manual/vi/db_api.po
--- 5.9.0+dfsg-3/translations/manual/vi/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/vi/db_api.po	2021-01-20 15:30:25.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/vi/edit.po 5.10.0+dfsg-1/translations/manual/vi/edit.po
--- 5.9.0+dfsg-3/translations/manual/vi/edit.po	2020-12-10 03:01:15.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/vi/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: vi\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "Biên tập e-books"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "calibre có một công cụ chỉnh sửa e-book tích hợp sẵn để chỉnh sửa các cuốn sách có định dạng EPUB và AZW3 (cho máy Kindle). Trình chỉnh sửa cho phép bạn chỉnh sửa các dòng mã HTML và CSS có trong các file sách điện tử"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "Nội dung"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/vi/faq.po 5.10.0+dfsg-1/translations/manual/vi/faq.po
--- 5.9.0+dfsg-3/translations/manual/vi/faq.po	2021-01-06 15:34:39.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/vi/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/vi/stats.json 5.10.0+dfsg-1/translations/manual/vi/stats.json
--- 5.9.0+dfsg-3/translations/manual/vi/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/vi/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 109,
-    "untranslated": 2916
+    "untranslated": 2922
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/vi/template_lang.po 5.10.0+dfsg-1/translations/manual/vi/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/vi/template_lang.po	2021-01-06 15:33:59.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/vi/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/vi/viewer.po 5.10.0+dfsg-1/translations/manual/vi/viewer.po
--- 5.9.0+dfsg-3/translations/manual/vi/viewer.po	2021-01-06 15:35:44.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/vi/viewer.po	2021-01-20 15:29:36.000000000 +0000
@@ -12,8 +12,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Vietnamese (http://www.transifex.com/calibre/calibre/language/vi/)\n"
 "MIME-Version: 1.0\n"
@@ -250,11 +250,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -264,7 +272,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -272,37 +280,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "Tùy biến cảm giác và hình thức trải nghiệm đọc sách của bạn"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -312,11 +320,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "Tra từ điển"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -324,11 +332,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "Chép văn bản và hình ảnh"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -336,22 +344,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/viewer.pot 5.10.0+dfsg-1/translations/manual/viewer.pot
--- 5.9.0+dfsg-3/translations/manual/viewer.pot	2021-01-08 03:52:58.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/viewer.pot	2021-01-22 02:28:26.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -160,70 +160,74 @@ msgstr ""
 msgid "On Linux, :guilabel:`Read aloud` requires `Speech Dispatcher <https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:158
+#: ../../home/kovid/work/calibre/manual/viewer.rst:156
+msgid "On Windows, not all installed voices may be visible to the SAPI sub-system that is used for text-to-speech. There are `instructions to make all voices visible <https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../home/kovid/work/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:160
+#: ../../home/kovid/work/calibre/manual/viewer.rst:165
 msgid "The E-book viewer has a :guilabel:`Hints mode` that allows you to click links in the text without using the mouse. Press the :kbd:`Alt+F` key and all links in the current screen will be highlighted with a number or letter over them. Press the letter on your keyboard to click the link. Pressing the :kbd:`Esc` key will abort the :guilabel:`Hints mode` without selecting any link."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:166
+#: ../../home/kovid/work/calibre/manual/viewer.rst:171
 msgid "If more than thirty five links are on-screen then some of them will have multiple letters, in which case type the first and second, or the first and press :kbd:`Enter` to activate. You can also use the :kbd:`Backspace` key to undo a mistake in typing."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:173
+#: ../../home/kovid/work/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:175
+#: ../../home/kovid/work/calibre/manual/viewer.rst:180
 msgid "You can change font sizes on the fly by using :guilabel:`Font size` in the viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl` key and using the mouse wheel."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:179
+#: ../../home/kovid/work/calibre/manual/viewer.rst:184
 msgid "Colors can be changed in the :guilabel:`Colors` section of the viewer preferences."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:182
+#: ../../home/kovid/work/calibre/manual/viewer.rst:187
 msgid "You can change the number of pages displayed on the screen as well as page margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:185
+#: ../../home/kovid/work/calibre/manual/viewer.rst:190
 msgid "You can display custom headers and footers such as time left to read, current chapter title, book position, etc. via the :guilabel:`Headers and footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:189
+#: ../../home/kovid/work/calibre/manual/viewer.rst:194
 msgid "More advanced customization can be achieved by the :guilabel:`Styles` settings. Here you can specify a background image to display under the text and also a stylesheet you can set that will be applied to every book. Using it you can do things like change paragraph styles, text justification, etc.  For examples of custom stylesheets used by calibre's users, see `the forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:197
+#: ../../home/kovid/work/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:199
+#: ../../home/kovid/work/calibre/manual/viewer.rst:204
 msgid "You can look up the meaning of words in the current book by opening the :guilabel:`Lookup/search word panel` via the viewer controls. Then simply double click on any word and its definition will be displayed in the Lookup panel."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:205
+#: ../../home/kovid/work/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:207
+#: ../../home/kovid/work/calibre/manual/viewer.rst:212
 msgid "You can select text and images by dragging the content with your mouse and then right clicking and selecting :guilabel:`Copy` to copy to the clipboard.  The copied material can be pasted into another application as plain text and images."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:213
+#: ../../home/kovid/work/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:215
+#: ../../home/kovid/work/calibre/manual/viewer.rst:220
 msgid "You can zoom in to show an image at full size in a separate window by either double clicking or long tapping on it. You can also right click on it and choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:221
+#: ../../home/kovid/work/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../home/kovid/work/calibre/manual/viewer.rst:223
+#: ../../home/kovid/work/calibre/manual/viewer.rst:228
 msgid "Some books have very wide content that cannot be broken up at page boundaries. For example tables or :code:`<pre>` tags. In such cases, you should switch the viewer to *flow mode* by pressing :kbd:`Ctrl+m` to read this content. Alternately, you can also add the following CSS to the :guilabel:`Styles` section of the viewer preferences to force the viewer to break up lines of text in :code:`<pre>` tags::"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/virtual_libraries.pot 5.10.0+dfsg-1/translations/manual/virtual_libraries.pot
--- 5.9.0+dfsg-3/translations/manual/virtual_libraries.pot	2021-01-08 03:52:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/virtual_libraries.pot	2021-01-22 02:28:24.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/wa/db_api.po 5.10.0+dfsg-1/translations/manual/wa/db_api.po
--- 5.9.0+dfsg-3/translations/manual/wa/db_api.po	2020-12-23 14:21:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/wa/db_api.po	2021-01-20 15:30:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/wa/edit.po 5.10.0+dfsg-1/translations/manual/wa/edit.po
--- 5.9.0+dfsg-3/translations/manual/wa/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/wa/edit.po	2021-01-20 15:30:04.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: wa\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/wa/faq.po 5.10.0+dfsg-1/translations/manual/wa/faq.po
--- 5.9.0+dfsg-3/translations/manual/wa/faq.po	2021-01-06 15:34:37.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/wa/faq.po	2021-01-20 15:29:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/wa/stats.json 5.10.0+dfsg-1/translations/manual/wa/stats.json
--- 5.9.0+dfsg-3/translations/manual/wa/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/wa/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/wa/template_lang.po 5.10.0+dfsg-1/translations/manual/wa/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/wa/template_lang.po	2021-01-06 15:33:57.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/wa/template_lang.po	2021-01-20 15:28:57.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/wa/viewer.po 5.10.0+dfsg-1/translations/manual/wa/viewer.po
--- 5.9.0+dfsg-3/translations/manual/wa/viewer.po	2021-01-06 15:35:40.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/wa/viewer.po	2021-01-20 15:29:46.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Walloon (http://www.transifex.com/calibre/calibre/language/wa/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/xh/db_api.po 5.10.0+dfsg-1/translations/manual/xh/db_api.po
--- 5.9.0+dfsg-3/translations/manual/xh/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/xh/db_api.po	2021-01-20 15:30:19.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/xh/edit.po 5.10.0+dfsg-1/translations/manual/xh/edit.po
--- 5.9.0+dfsg-3/translations/manual/xh/edit.po	2020-12-10 03:01:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/xh/edit.po	2021-01-20 15:29:52.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: xh\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/xh/faq.po 5.10.0+dfsg-1/translations/manual/xh/faq.po
--- 5.9.0+dfsg-3/translations/manual/xh/faq.po	2021-01-06 15:34:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/xh/faq.po	2021-01-20 15:29:05.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/xh/stats.json 5.10.0+dfsg-1/translations/manual/xh/stats.json
--- 5.9.0+dfsg-3/translations/manual/xh/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/xh/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/xh/template_lang.po 5.10.0+dfsg-1/translations/manual/xh/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/xh/template_lang.po	2021-01-06 15:34:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/xh/template_lang.po	2021-01-20 15:28:47.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/xh/viewer.po 5.10.0+dfsg-1/translations/manual/xh/viewer.po
--- 5.9.0+dfsg-3/translations/manual/xh/viewer.po	2021-01-06 15:35:52.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/xh/viewer.po	2021-01-20 15:29:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Xhosa (http://www.transifex.com/calibre/calibre/language/xh/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/xpath.pot 5.10.0+dfsg-1/translations/manual/xpath.pot
--- 5.9.0+dfsg-3/translations/manual/xpath.pot	2021-01-08 03:52:52.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/xpath.pot	2021-01-22 02:28:21.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: calibre 5.9.0\n"
+"Project-Id-Version: calibre 5.10.0\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-08 09:22+0530\n"
+"POT-Creation-Date: 2021-01-22 07:58+0530\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -pruN 5.9.0+dfsg-3/translations/manual/yi/db_api.po 5.10.0+dfsg-1/translations/manual/yi/db_api.po
--- 5.9.0+dfsg-3/translations/manual/yi/db_api.po	2020-12-23 14:21:09.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/yi/db_api.po	2021-01-20 15:30:36.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/yi/edit.po 5.10.0+dfsg-1/translations/manual/yi/edit.po
--- 5.9.0+dfsg-3/translations/manual/yi/edit.po	2020-12-10 03:01:10.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/yi/edit.po	2021-01-20 15:29:59.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: yi\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/yi/faq.po 5.10.0+dfsg-1/translations/manual/yi/faq.po
--- 5.9.0+dfsg-3/translations/manual/yi/faq.po	2021-01-06 15:34:46.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/yi/faq.po	2021-01-20 15:29:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/yi/stats.json 5.10.0+dfsg-1/translations/manual/yi/stats.json
--- 5.9.0+dfsg-3/translations/manual/yi/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/yi/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/yi/template_lang.po 5.10.0+dfsg-1/translations/manual/yi/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/yi/template_lang.po	2021-01-06 15:34:23.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/yi/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/yi/viewer.po 5.10.0+dfsg-1/translations/manual/yi/viewer.po
--- 5.9.0+dfsg-3/translations/manual/yi/viewer.po	2021-01-06 15:35:54.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/yi/viewer.po	2021-01-20 15:29:42.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Yiddish (http://www.transifex.com/calibre/calibre/language/yi/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_CN/db_api.po 5.10.0+dfsg-1/translations/manual/zh_CN/db_api.po
--- 5.9.0+dfsg-3/translations/manual/zh_CN/db_api.po	2020-12-23 14:20:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_CN/db_api.po	2021-01-20 15:30:35.000000000 +0000
@@ -9,9 +9,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
-"Last-Translator: nhyj <nhyjabc@msn.com>\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
+"Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -187,6 +187,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_CN/edit.po 5.10.0+dfsg-1/translations/manual/zh_CN/edit.po
--- 5.9.0+dfsg-3/translations/manual/zh_CN/edit.po	2020-12-10 03:01:06.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_CN/edit.po	2021-01-20 15:29:57.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: zh_CN\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "编辑书籍"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr "calibre有一个整合的电子书编辑器，用于编辑EPUB和AZW3(Kindle) 格式的电子书。此编辑器把书的内容以HTML和CSS的格式显示出来，并提供了可预览的界面，用于查看您的更改。它同时包含了大量的自动化工具执行常见的清理和修复任务。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr "你可以通过在calibre里右键单击任意一本书--选择“编辑书籍”来进入编辑器"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "目录"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr "基本的工作流程"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr "当你进入编辑器时，屏幕左侧将会显示出内容列表：包括单独的HTML文档、样式表、图像等。若想编辑某个特定的文件，只需双击即可。请注意，如果你不仅仅想做一些细微的调整，而是想进行更复杂的操作，你需要掌握 `HTML <http://html.net/tutorials/html/>`_ 和 `CSS <http://html.net/tutorials/css/>`_.的知识。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr "当您在编辑器中更改HTML或CSS时，更改将在右侧的预览面板中实时预览。如果您对所做更改的外观感到满意，请单击：guilabel：`保存`按钮或使用：guilabel：`文件->保存`将更改保存到电子书中。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr "一个有用的功能是：Guilabel：`检查点`。在开始一些雄心勃勃的编辑之前，您可以创建一个检查点。检查点将保留图书的当前状态，如果将来您决定不喜欢对其所做的更改，可以返回到创建检查点时的状态。要创建检查点，请使用：guilabel：`编辑->创建检查点`。每当您运行任何自动化工具如如全局搜索和替换时，也会自动为您创建检查点。在编辑单个文件时，检查点功能是对正常的撤消/重做机制的补充。当更改分布在书中的多个文件中时，检查点非常有用。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr "这是编辑图书的基本工作流程--打开文件、进行更改、预览和保存。本手册的其余部分将讨论现有的各种工具和功能，使您能够高效地执行特定任务。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr "文件浏览器"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr "guilabel：`文件浏览器`为您提供正在编辑的书本内各种文件的概览。文件按类别排列，文本(HTML)文件位于顶部，后面是样式表(CSS)文件、图像等。只需双击文件即可开始编辑。HTML、CSS和图像文件支持编辑。如果您正在阅读图书，则文本文件的顺序与它们的显示顺序相同。所有其他文件都按字母顺序排列。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr "通过将鼠标悬停在条目上，您可以看到它的大小，还可以在屏幕底部看到书中文件的完整路径。请注意，电子书中的文件是压缩的，因此最终图书的大小不是单个文件大小的总和。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr "在这本书中，许多文件都有特殊的意义。它们的名称旁边通常会有一个图标，表示特殊含义。例如，在左边的图片中，您可以看到文件：guilabel：`cover_image.jpg`和：guilabel：`title lepage.xhtml`旁边有封面图标，这表示它们是图书封面图片和标题页。同样，：guilabel：`content.opf`文件旁边有一个元数据图标，表示其中存在图书元数据，而：guilabel：`toc.ncx`文件旁边有一个T图标，表示它是目录。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr "通过右键单击单个文件，可以对它们执行许多操作。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "重命名文件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr "您可以通过右键单击单个文件并选择：guilabel：`Rename`来重命名该文件。重命名文件会自动更新整本书中对该文件的所有链接和引用。所以你要做的就是提供新的名字，其他的都会由Calibre来处理。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr "最后，您可以批量更改所有选定文件的文件扩展名。如上选择多个文件，右键选择：guilabel：`更改所选文件的文件扩展名`。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr "合并文件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr "有时，您可能希望将两个HTML文件或两个CSS文件合并在一起。有时将所有内容都放在一个文件中会很有用。不过要小心，在典型的电子书阅读器中查看图书时，将大量内容放入单个文件会导致性能问题。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr "更改文本文件顺序"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr "只需在文件浏览器中拖放文本(HTML)文件，即可重新安排阅读图书时这些文件的打开顺序。对于技术倾向的人来说，这叫做书脊的重新排序。请注意，您必须将这些项目放在其他项目之间，而不是放在它们上面，这可能会有点麻烦，直到您习惯为止。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "标记封面"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr "电子书通常都有封面图片。此图像在：guilabel：`文件浏览器`中由图像名称旁边的棕色书图标表示。如果要指定其他图像作为封面，可以通过右键单击该文件并选择：guilabel：`标记为封面‘来实现。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr "此外，EPUB文件还具有*title page*的概念。标题页是充当图书标题页/封面的HTML文件。在编辑ePub时，您可以通过右键单击将HTML文件标记为标题页。请注意，您标记的文件仅包含封面信息。如果它包含其他内容，如第一章，则如果用户将Calibre格式的EPUB文件转换为另一种格式，则该内容将丢失。这是因为在转换时，Calibre假定标记的标题页只包含封面，不包含其他内容。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "删除文件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr "您可以通过右键单击文件或选择文件并按Delete键来删除文件。删除文件会从OPF文件中删除对该文件的所有引用，从而省去了这项工作。但是，其他位置的参照不会被删除，您可以使用Check Book工具轻松地查找和删除/替换它们。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "正在导出文件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr "您可以将文件从书内导出到计算机上的其他位置。如果您希望使用专门的工具单独处理文件，这将非常有用。要执行此操作，只需右键单击该文件并选择：guilabel：`导出`。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr "处理完导出的文件后，您可以将其重新导入到书中，方法是再次右键单击该文件，然后选择：guilabel：`替换为文件...‘，这将允许您将书籍中的文件替换为以前导出的文件。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr "您还可以在多个编辑器实例之间复制文件。在：guilabel：`文件浏览器`中选择要复制的文件，然后右键单击并选择、：guilabel：`将所选文件复制到另一个编辑器实例`。然后，在另一个编辑器实例中，右键单击：guilabel：`文件浏览器`并选择：guilabel：`从其他编辑器实例粘贴文件`。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr "增加新的图片/字体等或者创建新空文件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr "您可以通过单击：guilabel：`文件->新建文件`将计算机中的新图像、字体、样式表等添加到书本中。这允许您通过单击：guilabel：`导入资源文件`按钮导入文件，或者只需在新文件的框中输入文件名即可创建新的空白HTML文件或样式表。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr "您还可以使用文件->将文件导入书本，一次将多个文件导入书本。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr "替代文件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr "通过右键单击文件并选择替换，您可以轻松地替换图书中的现有文件。这将自动更新所有链接和引用，以防替换文件的名称与要替换的文件不同。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr "有效地将样式表链接到HTML文件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr "为了方便起见，您可以在文件浏览器中选择多个HTML文件，右键单击并选择链接样式表，以便Calibre自动将这些样式表的 <link> 标记插入到所有选定的HTML文件中。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "搜索并替换"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr "编辑书籍有一个非常强大的搜索和替换界面，允许您搜索和替换当前文件中的文本，跨所有文件，甚至在当前文件的标记区域中搜索和替换文本。您可以使用普通搜索或使用正则表达式进行搜索。要了解如何使用正则表达式进行高级搜索，请参阅：ref：`regexptutorial`。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr "通过：guilabel：`搜索->查找/替换`菜单项开始搜索和替换(您必须编辑HTML或CSS文件)。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr "在“查找”框中键入要查找的文本，并在“替换”框中替换它。您可以单击相应的按钮查找下一个匹配项、替换当前匹配项和替换所有匹配项。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr "使用框底部的下拉列表，您可以对当前文件、所有文本文件、所有样式文件或所有文件进行搜索。您还可以将搜索模式选择为普通(字符串)搜索或正则表达式搜索。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr "您可以通过：guilabel：`搜索->全部计数`统计搜索表达式的所有匹配项。计数将遍历您在下拉框中选择的任何文件/区域。"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "保存的查找"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr "功能模式"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr "自动化工具"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "嵌入使用到的字体"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "子集化嵌入字体"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "规范标点"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "移除无用的 CSS 规则"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr "美化文件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "还原点"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr "分割HTML文件"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr "插入特殊字符"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr "语法高亮"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr "上下文帮助"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "自动完成"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr "片段"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_CN/faq.po 5.10.0+dfsg-1/translations/manual/zh_CN/faq.po
--- 5.9.0+dfsg-3/translations/manual/zh_CN/faq.po	2021-01-06 15:34:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_CN/faq.po	2021-01-20 15:29:11.000000000 +0000
@@ -10,8 +10,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -49,9 +49,9 @@ msgstr "calibre支持多种格式之间
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -169,8 +169,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -410,7 +410,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -806,7 +806,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -940,7 +940,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1622,12 +1622,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1638,7 +1653,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1647,22 +1662,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1672,14 +1687,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1690,11 +1705,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1704,26 +1719,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1731,13 +1746,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1747,7 +1762,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1755,11 +1770,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1768,7 +1783,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1782,11 +1797,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1795,7 +1810,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1803,7 +1818,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1813,13 +1828,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1832,44 +1847,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1877,18 +1892,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1901,7 +1916,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1910,11 +1925,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1927,21 +1942,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1952,15 +1967,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr "Calibre 为什么没有自动更新？"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr "有很多原因："
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1968,7 +1983,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1976,7 +1991,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1984,25 +1999,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr "Calibre 授权协议是什么？"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2015,30 +2030,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr "怎样在 U 盘上运行 Calibre？"
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2051,34 +2066,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_CN/stats.json 5.10.0+dfsg-1/translations/manual/zh_CN/stats.json
--- 5.9.0+dfsg-3/translations/manual/zh_CN/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_CN/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 971,
-    "untranslated": 2054
+    "untranslated": 2060
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_CN/template_lang.po 5.10.0+dfsg-1/translations/manual/zh_CN/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/zh_CN/template_lang.po	2021-01-06 15:33:55.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_CN/template_lang.po	2021-01-20 15:28:53.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -711,8 +711,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -853,6 +853,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -862,14 +868,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -877,33 +883,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -912,7 +918,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -922,7 +928,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -930,7 +936,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -938,27 +944,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -966,7 +972,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -975,7 +981,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -983,7 +989,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -993,7 +999,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -1001,7 +1007,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1009,7 +1015,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1018,53 +1024,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1076,17 +1082,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1095,17 +1101,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1115,19 +1121,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1137,20 +1143,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1162,11 +1168,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1176,14 +1182,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1191,26 +1197,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1220,13 +1226,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1236,50 +1242,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1289,13 +1295,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1305,18 +1311,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1327,24 +1333,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1357,29 +1363,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1388,11 +1394,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1400,11 +1406,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1415,27 +1421,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1449,11 +1455,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1463,35 +1469,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1499,20 +1505,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1520,11 +1526,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1535,18 +1541,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1556,25 +1562,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1582,11 +1588,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1597,7 +1603,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1608,7 +1614,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1617,29 +1623,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1651,7 +1657,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1661,7 +1667,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1670,39 +1676,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_CN/viewer.po 5.10.0+dfsg-1/translations/manual/zh_CN/viewer.po
--- 5.9.0+dfsg-3/translations/manual/zh_CN/viewer.po	2021-01-06 15:35:32.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_CN/viewer.po	2021-01-20 15:29:40.000000000 +0000
@@ -13,8 +13,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (China) (http://www.transifex.com/calibre/calibre/language/zh_CN/)\n"
 "MIME-Version: 1.0\n"
@@ -251,11 +251,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -265,7 +273,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -273,37 +281,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "自定义阅读视图的外观"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr "通过在阅读器控件中使用:guilabel:`字体大小`或:键盘:`Ctrl++`或:键盘:`Ctrl+-`或按住:键盘:`Ctrl`键并使用鼠标滚轮，可以动态更改字体大小。"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr "可以在阅读器首选项的:guilabel:`颜色`部分更改颜色。"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr "您可以在阅读器首选项的:guiabel:`页面排版`中更改屏幕上显示的页数和页边距。"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr "您可以通过阅读器首选项的:guilabel:`页眉和页脚`部分显示自定义页眉和页脚，如剩余阅读时间、当前章节标题、图书位置等。"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -313,11 +321,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr "可以通过:guilabel:`样式`的设置获得更高级的自定义。在这里，您可以指定要在文本下显示的背景图像，还可以指定将应用于每本书的样式表。使用它，你可以做一些比如改变段落样式，文本对齐等等的事情。有关Calibre用户使用的自定义样式表的示例，请参阅‘论坛<https://www.mobileread.com/forums/showthread.php?t=51500>`_。"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "字典查询"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -325,11 +333,11 @@ msgid ""
 "panel."
 msgstr "您可以通过阅读器控件打开:guilabel:`查找/搜索单词面板`来查找当前图书中单词的含义。然后，只需双击任何单词，其定义将显示在查找面板中。"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "文字和图像复制中"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -337,22 +345,22 @@ msgid ""
 "and images."
 msgstr "您可以选择文本和图像，方法是用鼠标拖动内容，然后右键单击并选择:guilabel:`复制`以复制到剪贴板。复制的材料可以作为纯文本和图像粘贴到另一个应用程序中。"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr "放大图像"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr "您可以通过双击或长按来放大在单独的窗口中以全尺寸显示图像。您也可以右键单击它并选择:guilabel:`查看图像`。"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr "不可重排的内容"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_HK/db_api.po 5.10.0+dfsg-1/translations/manual/zh_HK/db_api.po
--- 5.9.0+dfsg-3/translations/manual/zh_HK/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_HK/db_api.po	2021-01-20 15:30:26.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_HK/edit.po 5.10.0+dfsg-1/translations/manual/zh_HK/edit.po
--- 5.9.0+dfsg-3/translations/manual/zh_HK/edit.po	2020-12-10 03:01:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_HK/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: zh_HK\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "目錄"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr "文件改名中"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr "正在標記封面"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr "移除文件中"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr "匯出文件中"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "已儲存的搜尋"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr "已用紅線間底無效的HTML"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr "自動完成"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_HK/faq.po 5.10.0+dfsg-1/translations/manual/zh_HK/faq.po
--- 5.9.0+dfsg-3/translations/manual/zh_HK/faq.po	2021-01-06 15:34:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_HK/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_HK/stats.json 5.10.0+dfsg-1/translations/manual/zh_HK/stats.json
--- 5.9.0+dfsg-3/translations/manual/zh_HK/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_HK/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 36,
-    "untranslated": 2989
+    "untranslated": 2995
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_HK/template_lang.po 5.10.0+dfsg-1/translations/manual/zh_HK/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/zh_HK/template_lang.po	2021-01-06 15:34:11.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_HK/template_lang.po	2021-01-20 15:28:50.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_HK/viewer.po 5.10.0+dfsg-1/translations/manual/zh_HK/viewer.po
--- 5.9.0+dfsg-3/translations/manual/zh_HK/viewer.po	2021-01-06 15:35:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_HK/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Hong Kong) (http://www.transifex.com/calibre/calibre/language/zh_HK/)\n"
 "MIME-Version: 1.0\n"
@@ -246,11 +246,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -260,7 +268,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -268,37 +276,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr "遵從您的閱讀習慣"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -308,11 +316,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr "查字典"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -320,11 +328,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr "複製圖文"
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -332,22 +340,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_TW/db_api.po 5.10.0+dfsg-1/translations/manual/zh_TW/db_api.po
--- 5.9.0+dfsg-3/translations/manual/zh_TW/db_api.po	2020-12-23 14:21:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_TW/db_api.po	2021-01-20 15:30:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_TW/edit.po 5.10.0+dfsg-1/translations/manual/zh_TW/edit.po
--- 5.9.0+dfsg-3/translations/manual/zh_TW/edit.po	2020-12-10 03:01:01.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_TW/edit.po	2021-01-20 15:30:00.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -18,11 +18,11 @@ msgstr ""
 "Language: zh_TW\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr "編輯電子書"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -31,27 +31,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr "目錄"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -62,7 +62,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -70,7 +70,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -84,18 +84,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -106,7 +106,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -114,7 +114,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -127,16 +127,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -144,7 +144,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -158,18 +158,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -177,7 +177,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -188,11 +188,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -201,11 +201,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -213,7 +213,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -225,11 +225,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -238,11 +238,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -250,7 +250,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -258,7 +258,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -267,11 +267,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -280,17 +280,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -298,22 +298,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr "搜尋及取代"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -322,20 +322,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -343,37 +343,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr "已儲存搜尋"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -382,22 +382,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -406,27 +406,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -434,7 +434,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -442,7 +442,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -452,18 +452,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -472,11 +472,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -487,7 +487,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -495,36 +495,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -535,11 +535,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr "嵌入使用到的字體"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -548,11 +548,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr "子集化嵌入的字體"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -562,11 +562,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr "規範標點"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -575,40 +575,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr "移除沒使用到的 CSS 規則"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -617,11 +617,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -633,11 +633,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -647,7 +647,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -661,11 +661,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -674,7 +674,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -682,11 +682,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -697,11 +697,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -712,22 +712,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr "檢查點"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -736,13 +736,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -750,7 +750,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -760,11 +760,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -777,7 +777,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -786,7 +786,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -798,18 +798,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -820,14 +820,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -836,11 +836,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -848,7 +848,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -857,30 +857,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -889,15 +889,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -908,14 +908,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -925,7 +925,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -934,7 +934,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -942,7 +942,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -950,11 +950,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -964,11 +964,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -979,7 +979,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -990,7 +990,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1001,7 +1001,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1009,11 +1009,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1025,11 +1025,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1037,11 +1037,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1050,11 +1050,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1064,11 +1064,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1077,11 +1077,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1093,31 +1093,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1125,55 +1125,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1181,7 +1181,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1191,7 +1191,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1203,11 +1203,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_TW/faq.po 5.10.0+dfsg-1/translations/manual/zh_TW/faq.po
--- 5.9.0+dfsg-3/translations/manual/zh_TW/faq.po	2021-01-06 15:34:45.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_TW/faq.po	2021-01-20 15:29:21.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_TW/stats.json 5.10.0+dfsg-1/translations/manual/zh_TW/stats.json
--- 5.9.0+dfsg-3/translations/manual/zh_TW/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_TW/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 144,
-    "untranslated": 2881
+    "untranslated": 2887
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_TW/template_lang.po 5.10.0+dfsg-1/translations/manual/zh_TW/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/zh_TW/template_lang.po	2021-01-06 15:34:16.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_TW/template_lang.po	2021-01-20 15:28:55.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/zh_TW/viewer.po 5.10.0+dfsg-1/translations/manual/zh_TW/viewer.po
--- 5.9.0+dfsg-3/translations/manual/zh_TW/viewer.po	2021-01-06 15:35:53.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zh_TW/viewer.po	2021-01-20 15:29:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Chinese (Taiwan) (http://www.transifex.com/calibre/calibre/language/zh_TW/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
diff -pruN 5.9.0+dfsg-3/translations/manual/zu/db_api.po 5.10.0+dfsg-1/translations/manual/zu/db_api.po
--- 5.9.0+dfsg-3/translations/manual/zu/db_api.po	2020-12-23 14:21:03.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zu/db_api.po	2021-01-20 15:30:27.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-23 13:55+0000\n"
-"PO-Revision-Date: 2020-12-15 13:51+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 08:30+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -185,6 +185,21 @@ msgid "Return the set of books in the sp
 msgstr ""
 
 #: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:1
+msgid ""
+"Compress the cover images for the specified books. A compression quality of "
+"100 will perform lossless compression, otherwise lossy compression."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
+#: calibre.db.cache.Cache.compress_covers:4
+msgid ""
+"The progress callback will be called with the book_id and the old and new "
+"sizes for each book that has been processed. If an error occurs, the news "
+"size will be a string with the error details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/src/calibre/db/cache.pydocstring of
 #: calibre.db.cache.Cache.copy_cover_to:1
 msgid ""
 "Copy the cover to the file like object ``dest``. Returns False if no cover "
diff -pruN 5.9.0+dfsg-3/translations/manual/zu/edit.po 5.10.0+dfsg-1/translations/manual/zu/edit.po
--- 5.9.0+dfsg-3/translations/manual/zu/edit.po	2020-12-10 03:01:04.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zu/edit.po	2021-01-20 15:29:54.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2020-12-09 16:34+0000\n"
-"PO-Revision-Date: 2020-11-30 04:54+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 00:22+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -17,11 +17,11 @@ msgstr ""
 "Language: zu\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:4
+#: ../../__w/calibre/calibre/manual/edit.rst:4
 msgid "Editing e-books"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:6
+#: ../../__w/calibre/calibre/manual/edit.rst:6
 msgid ""
 "calibre has an integrated e-book editor that can be used to edit books in "
 "the EPUB and AZW3 (Kindle) formats. The editor shows you the HTML and CSS "
@@ -30,27 +30,27 @@ msgid ""
 "perform common cleanup and fixing tasks."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:12
+#: ../../__w/calibre/calibre/manual/edit.rst:12
 msgid ""
 "You can use this editor by right clicking on any book in calibre and "
 "selecting :guilabel:`Edit book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:23
+#: ../../__w/calibre/calibre/manual/edit.rst:23
 msgid "Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:26
+#: ../../__w/calibre/calibre/manual/edit.rst:26
 msgid "Basic workflow"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:29
+#: ../../__w/calibre/calibre/manual/edit.rst:29
 msgid ""
 "A video tour of the calibre E-book editor is available `here <https"
 "://calibre-ebook.com/demo#tutorials>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:32
+#: ../../__w/calibre/calibre/manual/edit.rst:32
 msgid ""
 "When you first open a book with the Edit book tool, you will be presented "
 "with a list of files on the left. These are the individual HTML files, "
@@ -61,7 +61,7 @@ msgid ""
 "<http://html.net/tutorials/css/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:40
+#: ../../__w/calibre/calibre/manual/edit.rst:40
 msgid ""
 "As you make changes to the HTML or CSS in the editor, the changes will be "
 "previewed, live, in the preview panel to the right. When you are happy with "
@@ -69,7 +69,7 @@ msgid ""
 " :guilabel:`File->Save` to save your changes into the e-book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:45
+#: ../../__w/calibre/calibre/manual/edit.rst:45
 msgid ""
 "One useful feature is :guilabel:`Checkpoints`. Before you embark on some "
 "ambitious set of edits, you can create a checkpoint. The checkpoint will "
@@ -83,18 +83,18 @@ msgid ""
 "for when changes are spread over multiple files in the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:56
+#: ../../__w/calibre/calibre/manual/edit.rst:56
 msgid ""
 "That is the basic work flow for editing books -- Open a file, make changes, "
 "preview and save. The rest of this manual will discuss the various tools and"
 " features present to allow you to perform specific tasks efficiently."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:61
+#: ../../__w/calibre/calibre/manual/edit.rst:61
 msgid "The File browser"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:67
+#: ../../__w/calibre/calibre/manual/edit.rst:67
 msgid ""
 "The :guilabel:`File browser` gives you an overview of the various files "
 "inside the book you are editing. The files are arranged by category, with "
@@ -105,7 +105,7 @@ msgid ""
 "other files are arranged alphabetically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:75
+#: ../../__w/calibre/calibre/manual/edit.rst:75
 msgid ""
 "By hovering your mouse over an entry, you can see its size, and also, at the"
 " bottom of the screen, the full path to the file inside the book. Note that "
@@ -113,7 +113,7 @@ msgid ""
 "the sum of the individual file sizes."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:80
+#: ../../__w/calibre/calibre/manual/edit.rst:80
 msgid ""
 "Many files have special meaning, in the book. These will typically have an "
 "icon next to their names, indicating the special meaning. For example, in "
@@ -126,16 +126,16 @@ msgid ""
 " of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:89
+#: ../../__w/calibre/calibre/manual/edit.rst:89
 msgid ""
 "You can perform many actions on individual files, by right clicking them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:92
+#: ../../__w/calibre/calibre/manual/edit.rst:92
 msgid "Renaming files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:94
+#: ../../__w/calibre/calibre/manual/edit.rst:94
 msgid ""
 "You can rename an individual file by right clicking it and selecting "
 ":guilabel:`Rename`. Renaming a file automatically updates all links and "
@@ -143,7 +143,7 @@ msgid ""
 "new name, calibre will take care of the rest."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:99
+#: ../../__w/calibre/calibre/manual/edit.rst:99
 msgid ""
 "You can also bulk rename many files at once. This is useful if you want the "
 "files to have some simple name pattern. For example you might want to rename"
@@ -157,18 +157,18 @@ msgid ""
 "all images by the order they appear."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:110
+#: ../../__w/calibre/calibre/manual/edit.rst:110
 msgid ""
 "Finally, you can bulk change the file extension for all selected files. "
 "Select multiple files, as above, and right click and choose "
 ":guilabel:`Change the file extension for the selected files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:115
+#: ../../__w/calibre/calibre/manual/edit.rst:115
 msgid "Merging files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:117
+#: ../../__w/calibre/calibre/manual/edit.rst:117
 msgid ""
 "Sometimes, you may want to merge two HTML files or two CSS files together. "
 "It can sometimes be useful to have everything in a single file. Be wary, "
@@ -176,7 +176,7 @@ msgid ""
 "problems when viewing the book in a typical e-book reader."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:122
+#: ../../__w/calibre/calibre/manual/edit.rst:122
 msgid ""
 "To merge multiple files together, select them by holding the :kbd:`Ctrl` key"
 " and clicking on them (make sure you only select files of one type, either "
@@ -187,11 +187,11 @@ msgid ""
 "files could have used different stylesheets."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:131
+#: ../../__w/calibre/calibre/manual/edit.rst:131
 msgid "Changing text file order"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:133
+#: ../../__w/calibre/calibre/manual/edit.rst:133
 msgid ""
 "You can re-arrange the order in which text (HTML) files are opened when "
 "reading the book by simply dragging and dropping them in the Files browser. "
@@ -200,11 +200,11 @@ msgid ""
 "them, this can be a little fiddly until you get used to it."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:140
+#: ../../__w/calibre/calibre/manual/edit.rst:140
 msgid "Marking the cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:142
+#: ../../__w/calibre/calibre/manual/edit.rst:142
 msgid ""
 "E-books typically have a cover image. This image is indicated in the "
 ":guilabel:`File browser` by the icon of a brown book next to the image name."
@@ -212,7 +212,7 @@ msgid ""
 "right clicking on the file and choosing :guilabel:`Mark as cover`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:147
+#: ../../__w/calibre/calibre/manual/edit.rst:147
 msgid ""
 "In addition, EPUB files has the concept of a *titlepage*. A title page is a "
 "HTML file that acts as the title page/cover for the book. You can mark an "
@@ -224,11 +224,11 @@ msgid ""
 " only the cover and no other content."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:157
+#: ../../__w/calibre/calibre/manual/edit.rst:157
 msgid "Deleting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:159
+#: ../../__w/calibre/calibre/manual/edit.rst:159
 msgid ""
 "You can delete files by either right clicking on them or by selecting them "
 "and pressing the Delete key. Deleting a file removes all references to the "
@@ -237,11 +237,11 @@ msgid ""
 "remove/replace them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:166
+#: ../../__w/calibre/calibre/manual/edit.rst:166
 msgid "Exporting files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:168
+#: ../../__w/calibre/calibre/manual/edit.rst:168
 msgid ""
 "You can export a file from inside the book to somewhere else on your "
 "computer. This is useful if you want to work on the file in isolation, with "
@@ -249,7 +249,7 @@ msgid ""
 ":guilabel:`Export`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:173
+#: ../../__w/calibre/calibre/manual/edit.rst:173
 msgid ""
 "Once you are done working on the exported file, you can re-import it into "
 "the book, by right clicking on the file again and choosing "
@@ -257,7 +257,7 @@ msgid ""
 " the book with the previously exported file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:178
+#: ../../__w/calibre/calibre/manual/edit.rst:178
 msgid ""
 "You can also copy files between multiple editor instances. Select the files "
 "you want to copy in the :guilabel:`File browser`, then right click and "
@@ -266,11 +266,11 @@ msgid ""
 "choose :guilabel:`Paste file from other editor instance`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:185
+#: ../../__w/calibre/calibre/manual/edit.rst:185
 msgid "Adding new images/fonts/etc. or creating new blank files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:187
+#: ../../__w/calibre/calibre/manual/edit.rst:187
 msgid ""
 "You can add a new image, font, stylesheet, etc. from your computer into the "
 "book by clicking :guilabel:`File->New file`. This lets you either import a "
@@ -279,17 +279,17 @@ msgid ""
 " for the new file."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:192
+#: ../../__w/calibre/calibre/manual/edit.rst:192
 msgid ""
 "You can also import multiple files into the book at once using File->Import "
 "files into book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:196
+#: ../../__w/calibre/calibre/manual/edit.rst:196
 msgid "Replacing files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:198
+#: ../../__w/calibre/calibre/manual/edit.rst:198
 msgid ""
 "You can easily replace existing files in the book, by right clicking on the "
 "file and choosing replace. This will automatically update all links and "
@@ -297,22 +297,22 @@ msgid ""
 "being replaced."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:204
+#: ../../__w/calibre/calibre/manual/edit.rst:204
 msgid "Linking stylesheets to HTML files efficiently"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:206
+#: ../../__w/calibre/calibre/manual/edit.rst:206
 msgid ""
 "As a convenience, you can select multiple HTML files in the File browser, "
 "right click and choose Link stylesheets to have calibre automatically insert"
 " the <link> tags for those stylesheets into all the selected HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:216
+#: ../../__w/calibre/calibre/manual/edit.rst:216
 msgid "Search & replace"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:218
+#: ../../__w/calibre/calibre/manual/edit.rst:218
 msgid ""
 "Edit book has a very powerful search and replace interface that allows you "
 "to search and replace text in the current file, across all files and even in"
@@ -321,20 +321,20 @@ msgid ""
 "advanced searching, see :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:228
+#: ../../__w/calibre/calibre/manual/edit.rst:228
 msgid ""
 "Start the search and replace via the :guilabel:`Search->Find/replace` menu "
 "entry (you must be editing an HTML or CSS file)."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:231
+#: ../../__w/calibre/calibre/manual/edit.rst:231
 msgid ""
 "Type the text you want to find into the Find box and its replacement into "
 "the Replace box. You can the click the appropriate buttons to Find the next "
 "match, replace the current match and replace all matches."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:235
+#: ../../__w/calibre/calibre/manual/edit.rst:235
 msgid ""
 "Using the drop downs at the bottom of the box, you can have the search "
 "operate over the current file, all text files, all style files or all files."
@@ -342,37 +342,37 @@ msgid ""
 "regular expression search."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:240
+#: ../../__w/calibre/calibre/manual/edit.rst:240
 msgid ""
 "You can count all the matches for a search expression via "
 ":guilabel:`Search->Count all`. The count will run over whatever "
 "files/regions you have selected in the dropdown box."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:244
+#: ../../__w/calibre/calibre/manual/edit.rst:244
 msgid ""
 "You can also go to a specific line in the currently open editor via "
 ":guilabel:`Search->Go to line`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:248
+#: ../../__w/calibre/calibre/manual/edit.rst:248
 msgid ""
 "Remember, to harness the full power of search and replace, you will need to "
 "use regular expressions. See :ref:`regexptutorial`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:252
+#: ../../__w/calibre/calibre/manual/edit.rst:252
 msgid "Saved searches"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:254
+#: ../../__w/calibre/calibre/manual/edit.rst:254
 msgid ""
 "You can save frequently used search/replace expressions (including function "
 "mode expressions) and reuse them multiple times.  To save a search simply "
 "right click in the Find box and select :guilabel:`Save current search`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:258
+#: ../../__w/calibre/calibre/manual/edit.rst:258
 msgid ""
 "You can bring up the saved searches via :guilabel:`Search->Saved searches`. "
 "This will present you with a list of search and replace expressions that you"
@@ -381,22 +381,22 @@ msgid ""
 " expressions in a single operation."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:265
+#: ../../__w/calibre/calibre/manual/edit.rst:265
 msgid "Function mode"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:267
+#: ../../__w/calibre/calibre/manual/edit.rst:267
 msgid ""
 "Function mode allows you to write arbitrarily powerful Python functions that"
 " are run on every Find/replace. You can do pretty much any text manipulation"
 " you like in function mode. For more information, see :doc:`function_mode`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:272
+#: ../../__w/calibre/calibre/manual/edit.rst:272
 msgid "Search ignoring HTML tags"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:274
+#: ../../__w/calibre/calibre/manual/edit.rst:274
 msgid ""
 "There is also a dedicated tool for searching for text, ignoring any HTML "
 "tags in between. For example, if the book has the HTML ``Empahisis on a "
@@ -405,27 +405,27 @@ msgid ""
 ":guilabel:`Search->Search ignoring HTML markup` menu item."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:281
+#: ../../__w/calibre/calibre/manual/edit.rst:281
 msgid "Automated tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:283
+#: ../../__w/calibre/calibre/manual/edit.rst:283
 msgid ""
 "Edit book has various tools to help with common tasks. These are accessed "
 "via the :guilabel:`Tools` menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:287
+#: ../../__w/calibre/calibre/manual/edit.rst:287
 msgid "Editing the Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:289
+#: ../../__w/calibre/calibre/manual/edit.rst:289
 msgid ""
 "There is a dedicated tool to ease editing of the Table of Contents. Launch "
 "it with :guilabel:`Tools->Table of Contents->Edit Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:296
+#: ../../__w/calibre/calibre/manual/edit.rst:296
 msgid ""
 "The Edit Table of Contents tool shows you the current Table of Contents (if "
 "any) on the left. Simply double click on any entry to change its text. You "
@@ -433,7 +433,7 @@ msgid ""
 "right."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:300
+#: ../../__w/calibre/calibre/manual/edit.rst:300
 msgid ""
 "For books that do not have a pre-existing Table of Contents, the tool gives "
 "you various options to auto-generate a Table of Contents from the text. You "
@@ -441,7 +441,7 @@ msgid ""
 "files and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:305
+#: ../../__w/calibre/calibre/manual/edit.rst:305
 msgid ""
 "You can edit individual entries by clicking on them and then clicking the "
 ":guilabel:`Change the location this entry points to` button. This will open "
@@ -451,18 +451,18 @@ msgid ""
 "location."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:316
-msgid "Checking the Book"
+#: ../../__w/calibre/calibre/manual/edit.rst:316
+msgid "Checking the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:318
+#: ../../__w/calibre/calibre/manual/edit.rst:318
 msgid ""
-"The :guilabel:`Check Book` tool searches your book for problems that could "
+"The :guilabel:`Check book` tool searches your book for problems that could "
 "prevent it working as intended on actual reader devices. Activate it via "
-":guilabel:`Tools->Check Book`."
+":guilabel:`Tools->Check book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:326
+#: ../../__w/calibre/calibre/manual/edit.rst:326
 msgid ""
 "Any problems found are reported in a nice, easy to use list. Clicking any "
 "entry in the list shows you some help about that error as well as giving you"
@@ -471,11 +471,11 @@ msgid ""
 " editor, so you can fix it yourself."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:333
+#: ../../__w/calibre/calibre/manual/edit.rst:333
 msgid "Some of the checks performed are:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:335
+#: ../../__w/calibre/calibre/manual/edit.rst:335
 msgid ""
 "Malformed HTML markup. Any HTML markup that does not parse as well-formed "
 "XML is reported. Correcting it will ensure that your markup works as "
@@ -486,7 +486,7 @@ msgid ""
 "which is highly fault tolerant and then converting to well formed XML."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:344
+#: ../../__w/calibre/calibre/manual/edit.rst:344
 msgid ""
 "Malformed or unknown CSS styles. Any CSS that is not valid or that has "
 "properties not defined in the CSS 2.1 standard (plus a few from CSS 3) are "
@@ -494,36 +494,36 @@ msgid ""
 "<style> tags in HTML files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:349
+#: ../../__w/calibre/calibre/manual/edit.rst:349
 msgid ""
 "Broken links. Links that point to files inside the book that are missing are"
 " reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:352
+#: ../../__w/calibre/calibre/manual/edit.rst:352
 msgid ""
 "Unreferenced files. Files in the book that are not referenced by any other "
 "file or are not in the spine are reported."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:355
+#: ../../__w/calibre/calibre/manual/edit.rst:355
 msgid ""
 "Various common problems in OPF files such as duplicate spine or manifest "
 "items, broken idrefs or meta cover tags, missing required sections and so "
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:359
+#: ../../__w/calibre/calibre/manual/edit.rst:359
 msgid ""
 "Various compatibility checks for known problems that can cause the book to "
 "malfunction on reader devices."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:363
+#: ../../__w/calibre/calibre/manual/edit.rst:363
 msgid "Adding a cover"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:365
+#: ../../__w/calibre/calibre/manual/edit.rst:365
 msgid ""
 "You can easily add a cover to the book via :guilabel:`Tools->Add cover`. "
 "This allows you to either choose an existing image in the book as the cover "
@@ -534,11 +534,11 @@ msgid ""
 "the OPF."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:374
+#: ../../__w/calibre/calibre/manual/edit.rst:374
 msgid "Embedding referenced fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:376
+#: ../../__w/calibre/calibre/manual/edit.rst:376
 msgid ""
 "Accessed via :guilabel:`Tools->Embed reference fonts`, this tool finds all "
 "fonts referenced in the book and if they are not already embedded, searches "
@@ -547,11 +547,11 @@ msgid ""
 "licensed fonts, before doing this."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:383
+#: ../../__w/calibre/calibre/manual/edit.rst:383
 msgid "Subsetting embedded fonts"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:385
+#: ../../__w/calibre/calibre/manual/edit.rst:385
 msgid ""
 "Accessed via :guilabel:`Tools->Subset embedded fonts`, this tool reduces all"
 " the fonts in the book to only contain glyphs for the text actually present "
@@ -561,11 +561,11 @@ msgid ""
 "work for the new text. So do this only as the last step in your workflow."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:393
+#: ../../__w/calibre/calibre/manual/edit.rst:393
 msgid "Smartening punctuation"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:395
+#: ../../__w/calibre/calibre/manual/edit.rst:395
 msgid ""
 "Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into "
 "their typographically correct equivalents. Note that the algorithm can "
@@ -574,40 +574,40 @@ msgid ""
 "punctuation`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:402
+#: ../../__w/calibre/calibre/manual/edit.rst:402
 msgid "Transforming CSS properties"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:404
+#: ../../__w/calibre/calibre/manual/edit.rst:404
 msgid ""
 "Create rules to transform the styling of the book. For example, create a "
 "rule to convert all red text to green or to double the font size of all text"
 " in the book or make text of a certain font family italic, etc."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:408
+#: ../../__w/calibre/calibre/manual/edit.rst:408
 msgid ""
 "Creating the rules is simple, the rules follow a natural language format, "
 "that looks like:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:411
+#: ../../__w/calibre/calibre/manual/edit.rst:411
 msgid "If the property *color* is *red* *change* it to *green*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:412
+#: ../../__w/calibre/calibre/manual/edit.rst:412
 msgid "If the property *font-size* is *any value* *multiply* the value by *2*"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:414
+#: ../../__w/calibre/calibre/manual/edit.rst:414
 msgid "Accessed via :guilabel:`Tools->Transform styles`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:417
+#: ../../__w/calibre/calibre/manual/edit.rst:417
 msgid "Removing unused CSS rules"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:419
+#: ../../__w/calibre/calibre/manual/edit.rst:419
 msgid ""
 "Remove all unused CSS rules from stylesheets and <style> tags. Some books "
 "created from production templates can have a large number of extra CSS rules"
@@ -616,11 +616,11 @@ msgid ""
 " unused CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:426
+#: ../../__w/calibre/calibre/manual/edit.rst:426
 msgid "Fixing HTML"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:428
+#: ../../__w/calibre/calibre/manual/edit.rst:428
 msgid ""
 "This tool simply converts HTML that cannot be parsed as XML into well-formed"
 " XML. It is very common in e-books to have non-well-formed XML, so this tool"
@@ -632,11 +632,11 @@ msgid ""
 " the HTML. Accessed via :guilabel:`Tools->Fix HTML`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:438
+#: ../../__w/calibre/calibre/manual/edit.rst:438
 msgid "Beautifying files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:440
+#: ../../__w/calibre/calibre/manual/edit.rst:440
 msgid ""
 "This tool is used to auto-format all HTML and CSS files so that they \"look "
 "pretty\". The code is auto-indented so that it lines up nicely, blank lines "
@@ -646,7 +646,7 @@ msgid ""
 "then run beautify.  Accessed via :guilabel:`Tools->Beautify all files`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:448
+#: ../../__w/calibre/calibre/manual/edit.rst:448
 msgid ""
 "In HTML any text can have significant whitespace, via the CSS white-space "
 "directive. Therefore, beautification could potentially change the rendering "
@@ -660,11 +660,11 @@ msgid ""
 "Tidy <https://infohound.net/tidy/>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:461
+#: ../../__w/calibre/calibre/manual/edit.rst:461
 msgid "Inserting an inline Table of Contents"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:463
+#: ../../__w/calibre/calibre/manual/edit.rst:463
 msgid ""
 "Normally in e-books, the Table of Contents is separate from the main text "
 "and is typically accessed via a special Table of Contents button/menu in the"
@@ -673,7 +673,7 @@ msgid ""
 "generated based on the currently defined Table of Contents."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:469
+#: ../../__w/calibre/calibre/manual/edit.rst:469
 msgid ""
 "If you use this tool multiple times, each invocation will cause the "
 "previously created inline Table of Contents to be replaced. The tool can be "
@@ -681,11 +681,11 @@ msgid ""
 "Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:474
+#: ../../__w/calibre/calibre/manual/edit.rst:474
 msgid "Setting Semantics"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:476
+#: ../../__w/calibre/calibre/manual/edit.rst:476
 msgid ""
 "This tool is used to set *semantics* in EPUB files. Semantics are simply, "
 "links in the OPF file that identify certain locations in the book as having "
@@ -696,11 +696,11 @@ msgid ""
 "semantics`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:484
+#: ../../__w/calibre/calibre/manual/edit.rst:484
 msgid "Filtering style information"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:486
+#: ../../__w/calibre/calibre/manual/edit.rst:486
 msgid ""
 "This tool can be used to easily remove specified CSS style properties from "
 "the entire book. You can tell it what properties you want removed, for "
@@ -711,22 +711,22 @@ msgid ""
 "tool can be accessed via :guilabel:`Tools->Filter style information`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:496
+#: ../../__w/calibre/calibre/manual/edit.rst:496
 msgid "Upgrading the book's internals"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:498
+#: ../../__w/calibre/calibre/manual/edit.rst:498
 msgid ""
 "This tool can be used to upgrade the book's internals, if possible. For "
 "instance it will upgrade EPUB 2 books to EPUB 3 books. The tool can be "
 "accessed via :guilabel:`Upgrade book internals`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:505
+#: ../../__w/calibre/calibre/manual/edit.rst:505
 msgid "Checkpoints"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:507
+#: ../../__w/calibre/calibre/manual/edit.rst:507
 msgid ""
 ":guilabel:`Checkpoints` are a way to mark the current state of the book as "
 "\"special\". You can then go on to do whatever changes you want to the book "
@@ -735,13 +735,13 @@ msgid ""
 "automated tools described in the previous section."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:513
+#: ../../__w/calibre/calibre/manual/edit.rst:513
 msgid ""
 "You can create a checkpoint via :guilabel:`Edit->Create checkpoint`. And go "
 "back to a previous checkpoint with :guilabel:`Edit->Revert to ...`"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:516
+#: ../../__w/calibre/calibre/manual/edit.rst:516
 msgid ""
 "The check pointing functionality is in addition to the normal Undo/redo "
 "mechanism when editing individual files. Checkpoints are particularly useful"
@@ -749,7 +749,7 @@ msgid ""
 "wish to be able to revert a large group of related changes as a whole."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:521
+#: ../../__w/calibre/calibre/manual/edit.rst:521
 msgid ""
 "You can see a list of available checkpoints via "
 ":guilabel:`View->Checkpoints`. You can compare the current state of the book"
@@ -759,11 +759,11 @@ msgid ""
 "undoing all changes since that checkpoint was created."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:529
+#: ../../__w/calibre/calibre/manual/edit.rst:529
 msgid "The Live preview panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:535
+#: ../../__w/calibre/calibre/manual/edit.rst:535
 msgid ""
 "The :guilabel:`File preview` gives you an overview of the various files "
 "inside The live preview panel shows you the changes you are making live "
@@ -776,7 +776,7 @@ msgid ""
 " file will be opened in the edit and the preview panel, automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:545
+#: ../../__w/calibre/calibre/manual/edit.rst:545
 msgid ""
 "You can turn off the automatic syncing of position and live preview of "
 "changes -- by buttons under the preview panel. The live update of the "
@@ -785,7 +785,7 @@ msgid ""
 "render."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:550
+#: ../../__w/calibre/calibre/manual/edit.rst:550
 msgid ""
 "The preview panel shows you how the text will look when viewed. However, the"
 " preview panel is not a substitute for actually testing your book an actual "
@@ -797,18 +797,18 @@ msgid ""
 "software emulator."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:559
+#: ../../__w/calibre/calibre/manual/edit.rst:559
 msgid ""
 "The preview panel does not support embedded fonts if the name of the font "
 "inside the font file does not match the name in the CSS @font-face rule. You"
 " can use the Check Book tool to quickly find and fix any such problem fonts."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:565
+#: ../../__w/calibre/calibre/manual/edit.rst:565
 msgid "Splitting HTML files"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:569
+#: ../../__w/calibre/calibre/manual/edit.rst:569
 msgid ""
 "One, perhaps non-obvious, use of the preview panel is to split long HTML "
 "files. While viewing the file you want to split, click the :guilabel:`Split "
@@ -819,14 +819,14 @@ msgid ""
 "be performed."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:576
+#: ../../__w/calibre/calibre/manual/edit.rst:576
 msgid ""
 "Splitting the file will automatically update all links and references that "
 "pointed into the bottom half of the file and will open the newly split file "
 "in an editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:580
+#: ../../__w/calibre/calibre/manual/edit.rst:580
 msgid ""
 "You can also split a single HTML file at multiple locations automatically, "
 "by right clicking inside the file in the editor and choosing "
@@ -835,11 +835,11 @@ msgid ""
 "on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:590
+#: ../../__w/calibre/calibre/manual/edit.rst:590
 msgid "The Live CSS panel"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:597
+#: ../../__w/calibre/calibre/manual/edit.rst:597
 msgid ""
 "The :guilabel:`Live CSS` panel shows you all the style rules that apply to "
 "the tag you are currently editing. The name of tag, along with its line "
@@ -847,7 +847,7 @@ msgid ""
 "rules."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:601
+#: ../../__w/calibre/calibre/manual/edit.rst:601
 msgid ""
 "It is a great way to quickly see which style rules apply to any tag. The "
 "view also has clickable links (in blue), which take you directly to the "
@@ -856,30 +856,30 @@ msgid ""
 "rules that are inherited from parent tags are shown."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:607
+#: ../../__w/calibre/calibre/manual/edit.rst:607
 msgid ""
 "The panel also shows you what the finally calculated styles for the tag are."
 " Properties in the list that are superseded by higher priority rules are "
 "shown with a line through them."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:611
+#: ../../__w/calibre/calibre/manual/edit.rst:611
 msgid "You can enable the Live CSS panel via :guilabel:`View->Live CSS`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:618
+#: ../../__w/calibre/calibre/manual/edit.rst:618
 msgid "Miscellaneous tools"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:620
+#: ../../__w/calibre/calibre/manual/edit.rst:620
 msgid "There are a few more tools that can be useful while you edit the book."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:623
+#: ../../__w/calibre/calibre/manual/edit.rst:623
 msgid "The Table of Contents view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:625
+#: ../../__w/calibre/calibre/manual/edit.rst:625
 msgid ""
 "The Table of Contents view shows you the current table of contents in the "
 "book. Double clicking on any entry opens the place that entry points to in "
@@ -888,15 +888,15 @@ msgid ""
 ":guilabel:`View->Table of Contents`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:632
+#: ../../__w/calibre/calibre/manual/edit.rst:632
 msgid "Checking the spelling of words in the book"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:634
+#: ../../__w/calibre/calibre/manual/edit.rst:634
 msgid "You can run a spelling checker via :guilabel:`Tools->Check spelling`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:641
+#: ../../__w/calibre/calibre/manual/edit.rst:641
 msgid ""
 "Words are shown with the number of times they occur in the book and the "
 "language the word belongs to. Language information is taken from the books "
@@ -907,14 +907,14 @@ msgid ""
 "English::"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:651
+#: ../../__w/calibre/calibre/manual/edit.rst:651
 msgid ""
 "You can double click a word to highlight the next occurrence of that word in"
 " the editor. This is useful if you wish to manually edit the word, or see "
 "what context it is in."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:655
+#: ../../__w/calibre/calibre/manual/edit.rst:655
 msgid ""
 "To change a word, simply double click one of the suggested alternative "
 "spellings on the right, or type in your own corrected spelling and click the"
@@ -924,7 +924,7 @@ msgid ""
 "menu."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:661
+#: ../../__w/calibre/calibre/manual/edit.rst:661
 msgid ""
 "You can have the spelling checker ignore a word for the current session by "
 "clicking the :guilabel:`Ignore` button. You can also add a word to the user "
@@ -933,7 +933,7 @@ msgid ""
 "dictionary you want the word added to."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:667
+#: ../../__w/calibre/calibre/manual/edit.rst:667
 msgid ""
 "You can also have the spelling checker display all the words in your book, "
 "not just the incorrectly spelled ones. This is useful to see what words are "
@@ -941,7 +941,7 @@ msgid ""
 "individual words."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:672
+#: ../../__w/calibre/calibre/manual/edit.rst:672
 msgid ""
 "If you make any changes to the book by editing files while the spell check "
 "tool is open, you should click the :guilabel:`Refresh` button in the Spell "
@@ -949,11 +949,11 @@ msgid ""
 "you could lose the changes you have made in the editor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:678
+#: ../../__w/calibre/calibre/manual/edit.rst:678
 msgid "Adding new dictionaries"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:680
+#: ../../__w/calibre/calibre/manual/edit.rst:680
 msgid ""
 "The spelling checker comes with builtin dictionaries for the English and "
 "Spanish languages. You can install your own dictionaries via "
@@ -963,11 +963,11 @@ msgid ""
 "Extensions repository <https://extensions.libreoffice.org/?Tags%5B%5D=50>`_."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:689
+#: ../../__w/calibre/calibre/manual/edit.rst:689
 msgid "Inserting special characters"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:691
+#: ../../__w/calibre/calibre/manual/edit.rst:691
 msgid ""
 "You can insert characters that are difficult to type by using the "
 ":guilabel:`Edit->Insert special character` tool. This shows you all Unicode "
@@ -978,7 +978,7 @@ msgid ""
 "Search and replace tool."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:699
+#: ../../__w/calibre/calibre/manual/edit.rst:699
 msgid ""
 "Because there are a lot of characters, you can define your own "
 ":guilabel:`Favorite` characters, that will be shown first. Simply right "
@@ -989,7 +989,7 @@ msgid ""
 "favorites around."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:706
+#: ../../__w/calibre/calibre/manual/edit.rst:706
 msgid ""
 "You can also directly type in special characters using the keyboard. To do "
 "this, you type the Unicode code for the character (in hexadecimal) and then "
@@ -1000,7 +1000,7 @@ msgid ""
 ":kbd:`Alt+X` and so on."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:714
+#: ../../__w/calibre/calibre/manual/edit.rst:714
 msgid ""
 "Finally, you can type in special characters by using HTML named entities. "
 "For example, typing &nbsp; will be replaced by a non breaking space when you"
@@ -1008,11 +1008,11 @@ msgid ""
 "colon."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:719
+#: ../../__w/calibre/calibre/manual/edit.rst:719
 msgid "The code inspector view"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:721
+#: ../../__w/calibre/calibre/manual/edit.rst:721
 msgid ""
 "This view shows you the HTML coding and CSS that applies to the current "
 "element of interest. You open it by right clicking a location in the preview"
@@ -1024,11 +1024,11 @@ msgid ""
 "ability to live edit inside the Inspector is under development."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:731
+#: ../../__w/calibre/calibre/manual/edit.rst:731
 msgid "Checking external links"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:733
+#: ../../__w/calibre/calibre/manual/edit.rst:733
 msgid ""
 "You can use this tool to check all links in your book that point to external"
 " websites. The tool will try to visit every externally linked website, and "
@@ -1036,11 +1036,11 @@ msgid ""
 "for you to fix."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:740
+#: ../../__w/calibre/calibre/manual/edit.rst:740
 msgid "Downloading external resources"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:742
+#: ../../__w/calibre/calibre/manual/edit.rst:742
 msgid ""
 "You can use this tool to automatically download any images/stylesheets/etc. "
 "in the book that are not bundled with the book (i.e. they have URLs pointing"
@@ -1049,11 +1049,11 @@ msgid ""
 " to them to use the downloaded files."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:750
+#: ../../__w/calibre/calibre/manual/edit.rst:750
 msgid "Arranging files into folders by type"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:752
+#: ../../__w/calibre/calibre/manual/edit.rst:752
 msgid ""
 "Often when editing EPUB files that you get from somewhere, you will find "
 "that the files inside the EPUB are arranged haphazardly, in different sub-"
@@ -1063,11 +1063,11 @@ msgid ""
 " the EPUB, it does not change how they are displayed in the File browser."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:760
+#: ../../__w/calibre/calibre/manual/edit.rst:760
 msgid "Importing files in other e-book formats as EPUB"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:762
+#: ../../__w/calibre/calibre/manual/edit.rst:762
 msgid ""
 "The editor includes the ability to import files in some other e-book formats"
 " directly as a new EPUB, without going through a full conversion. This is "
@@ -1076,11 +1076,11 @@ msgid ""
 " as a new book`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:775
+#: ../../__w/calibre/calibre/manual/edit.rst:775
 msgid "The Reports tool"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:777
+#: ../../__w/calibre/calibre/manual/edit.rst:777
 msgid ""
 "The editor includes a nice *Reports* tool (via :guilabel:`Tools->Reports`) "
 "that shows summaries of the files, images, links, words, characters and "
@@ -1092,31 +1092,31 @@ msgid ""
 "where the link points."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:792
+#: ../../__w/calibre/calibre/manual/edit.rst:792
 msgid "Special features in the code editor"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:794
+#: ../../__w/calibre/calibre/manual/edit.rst:794
 msgid ""
 "The calibre HTML editor is very powerful. It has many features that make "
 "editing of HTML (and CSS) easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:798
+#: ../../__w/calibre/calibre/manual/edit.rst:798
 msgid "Syntax highlighting"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:800
+#: ../../__w/calibre/calibre/manual/edit.rst:800
 msgid ""
 "The HTML editor has very sophisticated syntax highlighting. Features "
 "include:"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:802
+#: ../../__w/calibre/calibre/manual/edit.rst:802
 msgid "The text inside bold, italic and heading tags is made bold/italic"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:803
+#: ../../__w/calibre/calibre/manual/edit.rst:803
 msgid ""
 "As you move your cursor through the HTML, the matching HTML tags are "
 "highlighted, and you can jump to the opening or closing tag with the "
@@ -1124,55 +1124,55 @@ msgid ""
 "select the contents of a tag with :kbd:`Ctrl+Alt+T`."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:807
+#: ../../__w/calibre/calibre/manual/edit.rst:807
 msgid "Invalid HTML is highlighted with a red underline"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:808
+#: ../../__w/calibre/calibre/manual/edit.rst:808
 msgid ""
 "Spelling errors in the text inside HTML tags and attributes such as title "
 "are highlighted. The spell checking is language aware, based on the value of"
 " the lang attribute of the current tag and the overall book language."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:811
+#: ../../__w/calibre/calibre/manual/edit.rst:811
 msgid "CSS embedded inside ``<style>`` tags is highlighted"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:812
+#: ../../__w/calibre/calibre/manual/edit.rst:812
 msgid ""
 "Special characters that can be hard to distinguish such as non-breaking "
 "spaces, different types of hyphens, etc. are highlighted."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:814
+#: ../../__w/calibre/calibre/manual/edit.rst:814
 msgid ""
 "Links to other files in ``<a>`` tags, ``<img>`` and ``<link>`` tags all have"
 " the filenames highlighted. If the filename they point to does not exist, "
 "the filename is marked with a red underline."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:819
+#: ../../__w/calibre/calibre/manual/edit.rst:819
 msgid "Context sensitive help"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:821
+#: ../../__w/calibre/calibre/manual/edit.rst:821
 msgid ""
 "You can right click on an HTML tag name or a CSS property name to get help "
 "for that tag or property."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:823
+#: ../../__w/calibre/calibre/manual/edit.rst:823
 msgid ""
 "You can also hold down the :kbd:`Ctrl` key and click on any filename inside "
 "a link tag to open that file in the editor automatically."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:829
+#: ../../__w/calibre/calibre/manual/edit.rst:829
 msgid "Auto-complete"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:831
+#: ../../__w/calibre/calibre/manual/edit.rst:831
 msgid ""
 "When editing an e-book, one of the most tedious tasks is creating links to "
 "other files inside the book, or to CSS stylesheets, or images. You have to "
@@ -1180,7 +1180,7 @@ msgid ""
 "has auto-complete to make that easier."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:836
+#: ../../__w/calibre/calibre/manual/edit.rst:836
 msgid ""
 "As you type a filename, the editor automatically pops up suggestions. Simply"
 " use the :kbd:`Tab` key to select the correct file name. The editor even "
@@ -1190,7 +1190,7 @@ msgid ""
 "the right anchor."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:842
+#: ../../__w/calibre/calibre/manual/edit.rst:842
 msgid ""
 "Note that unlike most other completion systems, the editor's completion "
 "system uses subsequence matching. This means that you can type just two or "
@@ -1202,11 +1202,11 @@ msgid ""
 " system, you will find it saves you a lot of time and effort."
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:852
+#: ../../__w/calibre/calibre/manual/edit.rst:852
 msgid "Snippets"
 msgstr ""
 
-#: ../../home/runner/work/calibre/calibre/manual/edit.rst:854
+#: ../../__w/calibre/calibre/manual/edit.rst:854
 msgid ""
 "The calibre E-book editor supports *snippets*. A snippet is a piece of text "
 "that is either re-used often or contains a lot of redundant text. The editor"
diff -pruN 5.9.0+dfsg-3/translations/manual/zu/faq.po 5.10.0+dfsg-1/translations/manual/zu/faq.po
--- 5.9.0+dfsg-3/translations/manual/zu/faq.po	2021-01-06 15:34:43.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zu/faq.po	2021-01-20 15:29:07.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2020-12-26 04:24+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:33+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -46,9 +46,9 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:21
 msgid ""
-"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CBC, CHM, DJVU, DOCX, EPUB, FB2,"
-" FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, SNB, "
-"TCR, TXT, TXTZ"
+"*Input Formats:* AZW, AZW3, AZW4, CBZ, CBR, CB7, CBC, CHM, DJVU, DOCX, EPUB,"
+" FB2, FBZ, HTML, HTMLZ, LIT, LRF, MOBI, ODT, PDF, PRC, PDB, PML, RB, RTF, "
+"SNB, TCR, TXT, TXTZ"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:23
@@ -166,8 +166,8 @@ msgid ""
 "When converting to MOBI, calibre detects the *metadata ToC* in the input "
 "document and generates an end-of-file ToC in the output MOBI file. You can "
 "turn this off by an option in the MOBI Output settings. You can also tell "
-"calibre whether to put it and the start or the end of the book via an option"
-" in the MOBI Output settings. Remember this ToC is semantically a *metadata "
+"calibre whether to put it at the start or the end of the book via an option "
+"in the MOBI Output settings. Remember this ToC is semantically a *metadata "
 "ToC*, in any format other than MOBI it *cannot not be part of the text*. The"
 " fact that it is part of the text in MOBI is an accident caused by the "
 "limitations of MOBI. If you want a ToC at a particular location in your "
@@ -407,7 +407,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:214
-#: ../../__w/calibre/calibre/manual/faq.rst:953
+#: ../../__w/calibre/calibre/manual/faq.rst:965
 msgid ""
 "On macOS if you get permission errors when connecting a device to calibre, "
 "you can fix that by looking under :guilabel:`System Preferences > Security "
@@ -803,7 +803,7 @@ msgid ""
 "over a USB connection.  If you really care about using collections, I would "
 "urge you to sell your Kindle/Nook and get a Kobo.  Only Kobo seems to "
 "understand that life is too short to be entering collections one by one on "
-"an e-ink screen :)"
+"an e-ink screen 😇"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:444
@@ -937,7 +937,7 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:517
-msgid "Library Management"
+msgid "Library management"
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:524
@@ -1619,12 +1619,27 @@ msgid ""
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/faq.rst:851
+msgid "The calibre E-book viewer and Edit book tools do not work on Windows?"
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:853
+msgid ""
+"These two programs use hardware acceleration as they embed a version of the "
+"Chrome browser to render HTML. If they do not work it will be because of "
+"incompatibility with your system's GPU (graphics) drivers. Try updating "
+"these first, and reboot. If that does not fix it, you can set the "
+"``QTWEBENGINE_CHROMIUM_FLAGS`` environment variable to the value "
+"``--disable-gpu`` to turn off hardware acceleration. See `this page "
+"<https://doc.qt.io/qt-5/qtwebengine-debugging.html>`_ for details."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/faq.rst:863
 msgid ""
 "Using the viewer or doing any conversions results in a permission denied "
 "error on Windows"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:853
+#: ../../__w/calibre/calibre/manual/faq.rst:865
 msgid ""
 "Something on your computer is preventing calibre from accessing its own "
 "temporary files. Most likely the permissions on your :file:`Temp` folder are"
@@ -1635,7 +1650,7 @@ msgid ""
 " full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:860
+#: ../../__w/calibre/calibre/manual/faq.rst:872
 msgid ""
 "Some users have reported that running the following command in an "
 "Administrator Command Prompt fixed their permissions.  To get an "
@@ -1644,22 +1659,22 @@ msgid ""
 "the command prompt type the following command and press Enter::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:868
+#: ../../__w/calibre/calibre/manual/faq.rst:880
 msgid ""
 "Alternately, you can run calibre as Administrator, but doing so will cause "
 "some functionality, such as drag and drop to not work."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:871
+#: ../../__w/calibre/calibre/manual/faq.rst:883
 msgid ""
 "Finally, some users have reported that disabling UAC fixes the problem."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:875
+#: ../../__w/calibre/calibre/manual/faq.rst:887
 msgid "calibre is not starting/crashing on macOS?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:877
+#: ../../__w/calibre/calibre/manual/faq.rst:889
 msgid ""
 "One common cause of failures on macOS is the use of accessibility "
 "technologies that are incompatible with the graphics toolkit calibre uses.  "
@@ -1669,14 +1684,14 @@ msgid ""
 "third party apps that modify system behavior, such as Smart Scroll."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:884
+#: ../../__w/calibre/calibre/manual/faq.rst:896
 msgid ""
 "You can obtain debug output about why calibre is not starting by running "
 "`Console.app`. Debug output will be printed to it. If the debug output "
 "contains a line that looks like::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:889
+#: ../../__w/calibre/calibre/manual/faq.rst:901
 msgid ""
 "then the problem is probably a corrupted font cache. You can clear the cache"
 " by following these `instructions "
@@ -1687,11 +1702,11 @@ msgid ""
 "in the File menu, choose \"Validate fonts\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:897
+#: ../../__w/calibre/calibre/manual/faq.rst:909
 msgid "I downloaded the installer, but it is not working?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:899
+#: ../../__w/calibre/calibre/manual/faq.rst:911
 msgid ""
 "Downloading from the Internet can sometimes result in a corrupted download. "
 "If the calibre installer you downloaded is not opening, try downloading it "
@@ -1701,26 +1716,26 @@ msgid ""
 "it from running."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:901
+#: ../../__w/calibre/calibre/manual/faq.rst:913
 msgid ""
 "Try temporarily disabling your antivirus program (Microsoft Security "
 "Essentials, or Kaspersky or Norton or McAfee or whatever). This is most "
 "likely the culprit if the upgrade process is hanging in the middle."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:902
+#: ../../__w/calibre/calibre/manual/faq.rst:914
 msgid ""
 "Similarly, if the installer is failing/rolling and you have Microsoft "
 "PowerToys running, quit it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:903
+#: ../../__w/calibre/calibre/manual/faq.rst:915
 msgid ""
 "Try rebooting your computer and running a registry cleaner like `Wise "
 "registry cleaner <https://www.wisecleaner.com>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:904
+#: ../../__w/calibre/calibre/manual/faq.rst:916
 msgid ""
 "Try a clean install. That is, uninstall calibre, delete :file:`C:\\\\Program"
 " Files\\\\Calibre2` (or wherever you previously chose to install calibre). "
@@ -1728,13 +1743,13 @@ msgid ""
 " settings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:905
+#: ../../__w/calibre/calibre/manual/faq.rst:917
 msgid ""
 "Try downloading the installer with an alternate browser. For example if you "
 "are using Internet Explorer, try using Firefox or Chrome instead."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:906
+#: ../../__w/calibre/calibre/manual/faq.rst:918
 msgid ""
 "If you get an error about a missing DLL on Windows, then most likely, the "
 "permissions on your temporary folder are incorrect. Go to the folder "
@@ -1744,7 +1759,7 @@ msgid ""
 "that your user account has full control for this folder."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:913
+#: ../../__w/calibre/calibre/manual/faq.rst:925
 msgid ""
 "If you still cannot get the installer to work and you are on Windows, you "
 "can use the `calibre portable install <https://calibre-"
@@ -1752,11 +1767,11 @@ msgid ""
 " a zip file)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:916
+#: ../../__w/calibre/calibre/manual/faq.rst:928
 msgid "My antivirus program claims calibre is a virus/trojan?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:918
+#: ../../__w/calibre/calibre/manual/faq.rst:930
 msgid ""
 "The first thing to check is that you are downloading calibre from the "
 "official website: `<https://calibre-ebook.com/download>`_. Make sure you are"
@@ -1765,7 +1780,7 @@ msgid ""
 "setup websites offering it for download to fool the unwary."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:924
+#: ../../__w/calibre/calibre/manual/faq.rst:936
 msgid ""
 "If you have the official download and your antivirus program is still "
 "claiming calibre is a virus, then, your antivirus program is wrong. "
@@ -1779,11 +1794,11 @@ msgid ""
 " and then re-enable it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:935
+#: ../../__w/calibre/calibre/manual/faq.rst:947
 msgid "How do I backup calibre?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:937
+#: ../../__w/calibre/calibre/manual/faq.rst:949
 msgid ""
 "The most important thing to backup is the calibre library folder, that "
 "contains all your books and metadata. This is the folder you chose for your "
@@ -1792,7 +1807,7 @@ msgid ""
 " You must backup this complete folder with all its files and sub-folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:939
+#: ../../__w/calibre/calibre/manual/faq.rst:951
 msgid ""
 "You can switch calibre to using a backed up library folder by simply "
 "clicking the calibre icon on the toolbar and choosing your backup library "
@@ -1800,7 +1815,7 @@ msgid ""
 "searches as well as all your books and metadata."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:941
+#: ../../__w/calibre/calibre/manual/faq.rst:953
 msgid ""
 "If you want to backup the calibre configuration/plugins, you have to backup "
 "the config directory. You can find this config directory via "
@@ -1810,13 +1825,13 @@ msgid ""
 "directory to restore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:944
+#: ../../__w/calibre/calibre/manual/faq.rst:956
 msgid ""
 "How do I use purchased EPUB books with calibre (or what do I do with .acsm "
 "files)?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:945
+#: ../../__w/calibre/calibre/manual/faq.rst:957
 msgid ""
 "Most purchased EPUB books have :doc:`DRM <drm>`. This prevents calibre from "
 "opening them. You can still use calibre to store and transfer them to your "
@@ -1829,44 +1844,44 @@ msgid ""
 "Editions\", from where you can add it to calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:948
+#: ../../__w/calibre/calibre/manual/faq.rst:960
 msgid "I am getting a \"Permission Denied\" error?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:950
+#: ../../__w/calibre/calibre/manual/faq.rst:962
 msgid ""
 "A permission denied error can occur because of many possible reasons, none "
 "of them having anything to do with calibre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:952
+#: ../../__w/calibre/calibre/manual/faq.rst:964
 msgid ""
 "You can get permission denied errors if you are using an SD card with write "
 "protect enabled."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:956
+#: ../../__w/calibre/calibre/manual/faq.rst:968
 msgid ""
 "If you, or some program you used changed the file permissions of the files "
 "in question to read only."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:957
+#: ../../__w/calibre/calibre/manual/faq.rst:969
 msgid ""
 "If there is a filesystem error on the device which caused your operating "
 "system to mount the filesystem in read only mode or mark a particular file "
 "as read only pending recovery."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:958
+#: ../../__w/calibre/calibre/manual/faq.rst:970
 msgid "If the files have their owner set to a user other than you."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:959
+#: ../../__w/calibre/calibre/manual/faq.rst:971
 msgid "If your file is open in another program."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:960
+#: ../../__w/calibre/calibre/manual/faq.rst:972
 msgid ""
 "If the file resides on a device, you may have reached the limit of a maximum"
 " of 256 files in the root of the device. In this case you need to reformat "
@@ -1874,18 +1889,18 @@ msgid ""
 " or delete some files from the SD card/device memory."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:962
+#: ../../__w/calibre/calibre/manual/faq.rst:974
 msgid ""
 "You will need to fix the underlying cause of the permissions error before "
 "resuming to use calibre. Read the error message carefully, see what file it "
 "points to and fix the permissions on that file or its containing folders."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:965
+#: ../../__w/calibre/calibre/manual/faq.rst:977
 msgid "Can I have the comment metadata show up on my reader?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:967
+#: ../../__w/calibre/calibre/manual/faq.rst:979
 msgid ""
 "Most readers do not support this. You should complain to the manufacturer "
 "about it and hopefully if enough people complain, things will change. In the"
@@ -1898,7 +1913,7 @@ msgid ""
 "that format to the same format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:969
+#: ../../__w/calibre/calibre/manual/faq.rst:981
 msgid ""
 "Another alternative is to create a catalog in e-book form containing a "
 "listing of all the books in your calibre library, with their metadata. "
@@ -1907,11 +1922,11 @@ msgid ""
 "to\" books on your reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:972
+#: ../../__w/calibre/calibre/manual/faq.rst:984
 msgid "How do I get calibre to use my HTTP proxy?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:974
+#: ../../__w/calibre/calibre/manual/faq.rst:986
 msgid ""
 "By default, calibre uses whatever proxy settings are set in your OS. "
 "Sometimes these are incorrect, for example, on Windows if you don't use "
@@ -1924,21 +1939,21 @@ msgid ""
 "current proxies used by calibre in Preferences->Miscellaneous."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:985
+#: ../../__w/calibre/calibre/manual/faq.rst:997
 msgid "I want some feature added to calibre. What can I do?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid "You have two choices:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:987
+#: ../../__w/calibre/calibre/manual/faq.rst:999
 msgid ""
 "Create a patch by hacking on calibre and send it to me for review and "
 "inclusion. See `Development <https://calibre-ebook.com/get-involved>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:988
+#: ../../__w/calibre/calibre/manual/faq.rst:1000
 msgid ""
 "`Open a bug requesting the feature <https://calibre-ebook.com/bugs>`_ . "
 "Remember that while you may think your feature request is extremely "
@@ -1949,15 +1964,15 @@ msgid ""
 "be able to develop your feature as a plugin, see :ref:`pluginstutorial`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:991
+#: ../../__w/calibre/calibre/manual/faq.rst:1003
 msgid "Why doesn't calibre have an automatic update?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:993
+#: ../../__w/calibre/calibre/manual/faq.rst:1005
 msgid "For many reasons:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:995
+#: ../../__w/calibre/calibre/manual/faq.rst:1007
 msgid ""
 "*There is no need to update every week*. If you are happy with how calibre "
 "works turn off the update notification and be on your merry way. Check back "
@@ -1965,7 +1980,7 @@ msgid ""
 " off the update notification, on the update notification itself."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1000
+#: ../../__w/calibre/calibre/manual/faq.rst:1012
 msgid ""
 "calibre downloads currently use `about 150TB of bandwidth a month <https"
 "://calibre-ebook.com/dynamic/downloads>`_. Implementing automatic updates "
@@ -1973,7 +1988,7 @@ msgid ""
 " which someone has to pay."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1005
+#: ../../__w/calibre/calibre/manual/faq.rst:1017
 msgid ""
 "If I implement a dialog that downloads the update and launches it, instead "
 "of going to the website as it does now, that would save the most ardent "
@@ -1981,25 +1996,25 @@ msgid ""
 " things to do in calibre development."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1010
+#: ../../__w/calibre/calibre/manual/faq.rst:1022
 msgid ""
 "If you really, really hate downloading calibre every week but still want to "
 "be up to the latest, I encourage you to run from source, which makes "
 "updating trivial. Instructions are :ref:`available here <develop>`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1014
+#: ../../__w/calibre/calibre/manual/faq.rst:1026
 msgid ""
 "There are third party automatic updaters for calibre made by calibre users "
 "in the `calibre forum "
 "<https://www.mobileread.com/forums/forumdisplay.php?f=238>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1018
+#: ../../__w/calibre/calibre/manual/faq.rst:1030
 msgid "How is calibre licensed?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1019
+#: ../../__w/calibre/calibre/manual/faq.rst:1031
 msgid ""
 "calibre is licensed under the GNU General Public License v3 (an open source "
 "license). This means that you are free to redistribute calibre as long as "
@@ -2012,30 +2027,30 @@ msgid ""
 "`The GNU GPL v3 <https://www.gnu.org/licenses/gpl.html>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1022
+#: ../../__w/calibre/calibre/manual/faq.rst:1034
 msgid "How do I run calibre from my USB stick?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1024
+#: ../../__w/calibre/calibre/manual/faq.rst:1036
 msgid ""
 "A portable version of calibre is available `here <https://calibre-"
 "ebook.com/download_portable>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1027
+#: ../../__w/calibre/calibre/manual/faq.rst:1039
 msgid ""
 "How do I run parts of calibre like news download and the Content server on "
 "my own Linux server?"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1029
+#: ../../__w/calibre/calibre/manual/faq.rst:1041
 msgid ""
 "First, you must install calibre onto your Linux server. If your server is "
 "using a modern Linux distribution, you should have no problems installing "
 "calibre onto it."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1033
+#: ../../__w/calibre/calibre/manual/faq.rst:1045
 msgid ""
 "calibre needs GLIBC >= 2.18 and libstdc++ >= 6.0.21. If you have an older "
 "server, you will either need to compile these from source, or use calibre "
@@ -2048,34 +2063,34 @@ msgid ""
 "you are likely missing some X libraries."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1043
+#: ../../__w/calibre/calibre/manual/faq.rst:1055
 msgid "You can run the calibre server via the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1047
+#: ../../__w/calibre/calibre/manual/faq.rst:1059
 msgid "You can download news and convert it into an e-book with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1051
+#: ../../__w/calibre/calibre/manual/faq.rst:1063
 msgid ""
 "If you want to generate MOBI, use outputfile.mobi instead and use "
 "``--output-profile kindle``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1053
+#: ../../__w/calibre/calibre/manual/faq.rst:1065
 msgid "You can email downloaded news with the command::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1057
+#: ../../__w/calibre/calibre/manual/faq.rst:1069
 msgid ""
 "I leave figuring out the exact command line as an exercise for the reader."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1059
+#: ../../__w/calibre/calibre/manual/faq.rst:1071
 msgid "Finally, you can add downloaded news to the calibre library with::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/faq.rst:1063
+#: ../../__w/calibre/calibre/manual/faq.rst:1075
 msgid ""
 "Remember to read the :ref:`cli` section of the calibre User Manual to learn "
 "more about these, and other commands."
diff -pruN 5.9.0+dfsg-3/translations/manual/zu/stats.json 5.10.0+dfsg-1/translations/manual/zu/stats.json
--- 5.9.0+dfsg-3/translations/manual/zu/stats.json	2021-01-08 03:54:47.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zu/stats.json	2021-01-22 02:30:32.000000000 +0000
@@ -1,4 +1,4 @@
 {
     "translated": 0,
-    "untranslated": 3025
+    "untranslated": 3031
 }
\ No newline at end of file
diff -pruN 5.9.0+dfsg-3/translations/manual/zu/template_lang.po 5.10.0+dfsg-1/translations/manual/zu/template_lang.po
--- 5.9.0+dfsg-3/translations/manual/zu/template_lang.po	2021-01-06 15:34:08.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zu/template_lang.po	2021-01-20 15:28:49.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 08:43+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-17 14:10+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -709,8 +709,8 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:349
 msgid ""
-"``add(x, y)`` -- returns x + y. Throws an exception if either x or y are not"
-" numbers."
+"``add(x, y, ...)`` -- returns the sum of its arguments. Throws an exception "
+"if an argument is not a number."
 msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:350
@@ -851,6 +851,12 @@ msgstr ""
 
 #: ../../__w/calibre/calibre/manual/template_lang.rst:393
 msgid ""
+"``field_exists(field_name)`` -- checks if a field (column) named "
+"``field_name`` exists, returning '1' if so and '' if not."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/template_lang.rst:394
+msgid ""
 "``finish_formatting(val, fmt, prefix, suffix)`` -- apply the format, prefix,"
 " and suffix to a value in the same way as done in a template like "
 "``{series_index:05.2f| - |- }``. This function is provided to ease "
@@ -860,14 +866,14 @@ msgid ""
 "same output as the above template::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:404
+#: ../../__w/calibre/calibre/manual/template_lang.rst:405
 msgid ""
 "Another example: for the template "
 "``{series:re(([^\\s])[^\\s]+(\\s|$),\\1)}{series_index:0>2s| - | - "
 "}{title}`` use::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:413
+#: ../../__w/calibre/calibre/manual/template_lang.rst:414
 msgid ""
 "``first_matching_cmp(val, cmp1, result1, cmp2, r2, ..., else_result)`` -- "
 "compares ``val < cmpN`` in sequence, returning resultN for the first "
@@ -875,33 +881,33 @@ msgid ""
 "Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:419
+#: ../../__w/calibre/calibre/manual/template_lang.rst:420
 msgid ""
 "returns \"large\". The same example with a first value of 16 returns "
 "\"giant\"."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:421
+#: ../../__w/calibre/calibre/manual/template_lang.rst:422
 msgid ""
 "``first_non_empty(value, value, ...)`` -- returns the first value that is "
 "not empty. If all values are empty, then the empty value is returned. You "
 "can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:423
+#: ../../__w/calibre/calibre/manual/template_lang.rst:424
 msgid ""
 "``floor(x)`` -- returns the largest integer less than or equal to x. Throws "
 "an exception if x is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:424
+#: ../../__w/calibre/calibre/manual/template_lang.rst:425
 msgid ""
 "``format_date(val, format_string)`` -- format the value, which must be a "
 "date field, using the format_string, returning a string. The formatting "
 "codes are::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:449
+#: ../../__w/calibre/calibre/manual/template_lang.rst:450
 msgid ""
 "You might get unexpected results if the date you are formatting contains "
 "localized month names, which can happen if you changed the format tweaks to "
@@ -910,7 +916,7 @@ msgid ""
 "Mode as in ``{:'format_date(raw_field('pubdate'),'yyyy')'}``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:452
+#: ../../__w/calibre/calibre/manual/template_lang.rst:453
 msgid ""
 "``formats_modtimes(format_string)`` -- return a comma-separated list of "
 "colon-separated items representing modification times for the formats of a "
@@ -920,7 +926,7 @@ msgid ""
 "are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:455
+#: ../../__w/calibre/calibre/manual/template_lang.rst:456
 msgid ""
 "``formats_paths()`` -- return a comma-separated list of colon-separated "
 "items representing full path to the formats of a book. You can use the "
@@ -928,7 +934,7 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:457
+#: ../../__w/calibre/calibre/manual/template_lang.rst:458
 msgid ""
 "``formats_sizes()`` -- return a comma-separated list of colon-separated "
 "items representing sizes in bytes of the formats of a book. You can use the "
@@ -936,27 +942,27 @@ msgid ""
 "names are always uppercase, as in EPUB."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:459
+#: ../../__w/calibre/calibre/manual/template_lang.rst:460
 msgid ""
 "``fractional_part(x)`` -- returns the value after the decimal point. For "
 "example, ``fractional_part(3.14)`` returns ``0.14``. Throws an exception if "
 "``x`` is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:461
+#: ../../__w/calibre/calibre/manual/template_lang.rst:462
 msgid ""
 "``has_cover()`` -- return ``Yes`` if the book has a cover, otherwise return "
 "the empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:462
+#: ../../__w/calibre/calibre/manual/template_lang.rst:463
 msgid ""
 "``not(value)`` -- returns the string \"1\" if the value is empty, otherwise "
 "returns the empty string. This function works well with test or "
 "first_non_empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:464
+#: ../../__w/calibre/calibre/manual/template_lang.rst:465
 msgid ""
 "``list_difference(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item found in `list2`, using a case-insensitive "
@@ -964,7 +970,7 @@ msgid ""
 "are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:466
+#: ../../__w/calibre/calibre/manual/template_lang.rst:467
 msgid ""
 "``list_equals(list1, sep1, list2, sep2, yes_val, no_val)`` -- return "
 "`yes_val` if `list1` and `list2` contain the same items, otherwise return "
@@ -973,7 +979,7 @@ msgid ""
 "the lists is not relevant. The comparison is case-insensitive."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:469
+#: ../../__w/calibre/calibre/manual/template_lang.rst:470
 msgid ""
 "``list_intersection(list1, list2, separator)`` -- return a list made by "
 "removing from `list1` any item not found in `list2`, using a case-"
@@ -981,7 +987,7 @@ msgid ""
 "separator, as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:471
+#: ../../__w/calibre/calibre/manual/template_lang.rst:472
 msgid ""
 "``list_re(src_list, separator, include_re, opt_replace)`` -- Construct a "
 "list by first separating `src_list` into items using the `separator` "
@@ -991,7 +997,7 @@ msgid ""
 "returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:474
+#: ../../__w/calibre/calibre/manual/template_lang.rst:475
 msgid ""
 "``list_re_group(src_list, separator, include_re, search_re, "
 "template_for_group_1, for_group_2, ...)`` -- Like list_re except "
@@ -999,7 +1005,7 @@ msgid ""
 "...) when doing the replacements."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:476
+#: ../../__w/calibre/calibre/manual/template_lang.rst:477
 msgid ""
 "``list_sort(list, direction, separator)`` -- return list sorted using a "
 "case-insensitive sort. If ``direction`` is zero, ``list`` is sorted "
@@ -1007,7 +1013,7 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:478
+#: ../../__w/calibre/calibre/manual/template_lang.rst:479
 msgid ""
 "``list_union(list1, list2, separator)`` -- return a list made by merging the"
 " items in ``list1`` and ``list2``, removing duplicate items using a case-"
@@ -1016,53 +1022,53 @@ msgid ""
 "as are the items in the returned list."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:481
+#: ../../__w/calibre/calibre/manual/template_lang.rst:482
 msgid ""
 "``mod(x)`` -- returns the remainder of ``x / y``, where ``x``, ``y``, and "
 "the result are integers. Throws an exception if either ``x`` or ``y`` is not"
 " a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:483
+#: ../../__w/calibre/calibre/manual/template_lang.rst:484
 msgid ""
-"``multiply(x, y)`` -- returns x * y. Throws an exception if either x or y "
-"are not numbers."
+"``multiply(x, y, ...)`` -- returns the product of its arguments. Throws an "
+"exception if any argument is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:484
+#: ../../__w/calibre/calibre/manual/template_lang.rst:485
 msgid ""
 "``ondevice()`` -- return the string \"Yes\" if ``ondevice`` is set, "
 "otherwise return the empty string"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:485
+#: ../../__w/calibre/calibre/manual/template_lang.rst:486
 msgid ""
 "``or(value, value, ...)`` -- returns the string ``\"1\"`` if any value is "
 "not empty, otherwise returns the empty string. This function works well with"
 " test or `first_non_empty`. You can have as many values as you want."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:487
+#: ../../__w/calibre/calibre/manual/template_lang.rst:488
 msgid ""
 "``print(a, b, ...)`` -- prints the arguments to standard output. Unless you "
 "start calibre from the command line (``calibre-debug -g``), the output will "
 "go to a black hole."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:489
+#: ../../__w/calibre/calibre/manual/template_lang.rst:490
 msgid ""
 "``raw_field(name)`` -- returns the metadata field named by name without "
 "applying any formatting."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:490
+#: ../../__w/calibre/calibre/manual/template_lang.rst:491
 msgid ""
 "``raw_list(name, separator)`` -- returns the metadata list named by name "
 "without applying any formatting or sorting and with items separated by "
 "separator."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:491
+#: ../../__w/calibre/calibre/manual/template_lang.rst:492
 msgid ""
 "``re_group(val, pattern, template_for_group_1, for_group_2, ...)`` --  "
 "return a string made by applying the regular expression pattern to the val "
@@ -1074,17 +1080,17 @@ msgid ""
 "series with more than one word and uppercases the first word::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:498
+#: ../../__w/calibre/calibre/manual/template_lang.rst:499
 msgid ""
 "``round(x)`` -- returns the nearest integer to x. Throws an exception if x "
 "is not a number."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:499
+#: ../../__w/calibre/calibre/manual/template_lang.rst:500
 msgid "``series_sort()`` -- returns the series sort value."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:500
+#: ../../__w/calibre/calibre/manual/template_lang.rst:501
 msgid ""
 "``'split(list_val, sep, id_prefix)`` -- splits the ``list_val`` into "
 "separate values using ``sep``, then assigns the values to variables named "
@@ -1093,17 +1099,17 @@ msgid ""
 "list. Example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:506
+#: ../../__w/calibre/calibre/manual/template_lang.rst:507
 msgid "is equivalent to::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:512
+#: ../../__w/calibre/calibre/manual/template_lang.rst:513
 msgid ""
 "``strcat(a, b, ...)`` -- can take any number of arguments. Returns a string "
 "formed by concatenating all the arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:513
+#: ../../__w/calibre/calibre/manual/template_lang.rst:514
 msgid ""
 "``strcat_max(max, string1, prefix2, string2, ...)`` -- Returns a string "
 "formed by concatenating the arguments. The returned value is initialized to "
@@ -1113,19 +1119,19 @@ msgid ""
 " ``prefix, string`` pairs as you wish."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:516
+#: ../../__w/calibre/calibre/manual/template_lang.rst:517
 msgid ""
 "``strcmp(x, y, lt, eq, gt)`` -- does a case-insensitive comparison ``x`` and"
 " ``y`` as strings. Returns ``lt`` if ``x < y``. Returns ``eq`` if ``x == "
 "y``. Otherwise returns ``gt``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:518
+#: ../../__w/calibre/calibre/manual/template_lang.rst:519
 msgid ""
 "``strlen(a)`` -- Returns the length of the string passed as the argument."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:519
+#: ../../__w/calibre/calibre/manual/template_lang.rst:520
 msgid ""
 "``substr(str, start, end)`` -- returns the ``start``'th through the "
 "``end``'th characters of ``str``. The first character in ``str`` is the "
@@ -1135,20 +1141,20 @@ msgid ""
 "and ``substr('12345', 1, -1)`` returns ``'234'``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:522
+#: ../../__w/calibre/calibre/manual/template_lang.rst:523
 msgid ""
 "``subtract(x, y)`` -- returns ``x - y``. Throws an exception if either ``x``"
 " or ``y`` are not numbers."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:523
+#: ../../__w/calibre/calibre/manual/template_lang.rst:524
 msgid ""
 "``today()`` -- return a date string for today. This value is designed for "
 "use in `format_date` or `days_between`, but can be manipulated like any "
 "other string. The date is in ISO format."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:525
+#: ../../__w/calibre/calibre/manual/template_lang.rst:526
 msgid ""
 "``template(x)`` -- evaluates ``x`` as a template. The evaluation is done in "
 "its own context, meaning that variables are not shared between the caller "
@@ -1160,11 +1166,11 @@ msgid ""
 "the argument to this function when using Template Program Mode."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:534
+#: ../../__w/calibre/calibre/manual/template_lang.rst:535
 msgid "Using General Program Mode"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:536
+#: ../../__w/calibre/calibre/manual/template_lang.rst:537
 msgid ""
 "For more complicated template programs it is often easier to avoid template "
 "syntax (all the `{` and `}` characters), instead writing a more classic-"
@@ -1174,14 +1180,14 @@ msgid ""
 "set."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:540
+#: ../../__w/calibre/calibre/manual/template_lang.rst:541
 msgid ""
 "One advantage of `program:` mode is that braces are no longer special. For "
 "example, it is not necessary to use `[[` and `]]` when using the "
 "`template()` function. Another advantage is readability."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:543
+#: ../../__w/calibre/calibre/manual/template_lang.rst:544
 msgid ""
 "Template Program Mode and General Program Mode support classic **relational "
 "(comparison) operators**: ``==``, ``!=``, ``<``, ``<=``, ``>``, ``>=``. The "
@@ -1189,26 +1195,26 @@ msgid ""
 "insensitive string comparison using lexical order. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:547
+#: ../../__w/calibre/calibre/manual/template_lang.rst:548
 msgid ""
 "``program: field('series') == 'foo'`` returns '1' if the book's series is "
 "'foo'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:548
+#: ../../__w/calibre/calibre/manual/template_lang.rst:549
 msgid ""
 "``program: if field('series') != 'foo' then 'bar' else 'mumble' fi`` returns"
 " 'bar' if the book's series is not 'foo', else 'mumble'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:549
+#: ../../__w/calibre/calibre/manual/template_lang.rst:550
 msgid ""
 "``program: if or(field('series') == 'foo', field('series') == '1632') then "
 "'yes' else 'no' fi`` returns 'yes' if series is either 'foo' or '1632', "
 "otherwise 'no'."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:551
+#: ../../__w/calibre/calibre/manual/template_lang.rst:552
 msgid ""
 "``program: if '11' > '2' then 'yes' else 'no' fi`` returns 'no' because it "
 "is doing a lexical comparison. If you want numeric comparison instead of "
@@ -1218,13 +1224,13 @@ msgid ""
 "error is raised."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:555
+#: ../../__w/calibre/calibre/manual/template_lang.rst:556
 msgid ""
 "Both General and Template Program Modes support **``if`` expressions** with "
 "the following syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:563
+#: ../../__w/calibre/calibre/manual/template_lang.rst:564
 msgid ""
 "The elif and else parts are optional. The words ``if``, ``then``, ``elif``, "
 "``else``, and ``fi`` are reserved; you cannot use them as identifier names. "
@@ -1234,50 +1240,50 @@ msgid ""
 "language expressions, including nested ifs. Examples:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:567
+#: ../../__w/calibre/calibre/manual/template_lang.rst:568
 msgid "``program: if field('series') then 'yes' else 'no' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:568
+#: ../../__w/calibre/calibre/manual/template_lang.rst:569
 msgid ""
 "``program: if field('series') then a = 'yes'; b = 'no' else a = 'no'; "
 "b='yes' fi; strcat(a, '-', b)``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:569
+#: ../../__w/calibre/calibre/manual/template_lang.rst:570
 msgid "Nested ``if`` example::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:584
+#: ../../__w/calibre/calibre/manual/template_lang.rst:585
 msgid ""
 "An ``if`` produces a value like any other language expression. This means "
 "that all the following are valid:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:586
+#: ../../__w/calibre/calibre/manual/template_lang.rst:587
 msgid "``program: if field('series') then 'foo' else 'bar' fi``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:587
+#: ../../__w/calibre/calibre/manual/template_lang.rst:588
 msgid "``program: if field('series') then a = 'foo' else a = 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:588
+#: ../../__w/calibre/calibre/manual/template_lang.rst:589
 msgid "``program: a = if field('series') then 'foo' else 'bar' fi; a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:589
+#: ../../__w/calibre/calibre/manual/template_lang.rst:590
 msgid ""
 "``program: a = field(if field('series') then 'series' else 'title' fi); a``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:591
+#: ../../__w/calibre/calibre/manual/template_lang.rst:592
 msgid ""
 "The template language supports **``for`` expressions** with the following "
 "syntax::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:597
+#: ../../__w/calibre/calibre/manual/template_lang.rst:598
 msgid ""
 "The expression must evaluate to either a metadata field lookup key, for "
 "example ``tags`` or ``#genre``, or a comma-separated list of values. If the "
@@ -1287,13 +1293,13 @@ msgid ""
 "evaluated."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:602
+#: ../../__w/calibre/calibre/manual/template_lang.rst:603
 msgid ""
 "Example: This template removes the first hierarchical name for each value in"
 " Genre (``#genre``), constructing a list with the new names::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:613
+#: ../../__w/calibre/calibre/manual/template_lang.rst:614
 msgid ""
 "If the original Genre is ``History.Military, Science Fiction.Alternate "
 "History, ReadMe`` then the template returns ``Military, Alternate History, "
@@ -1303,18 +1309,18 @@ msgid ""
 "value to Genre."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:618
+#: ../../__w/calibre/calibre/manual/template_lang.rst:619
 msgid ""
 "Note: the last line in the template, ``new_tags``, isn't necessary in this "
 "case because ``for`` returns the value of the last ``expression`` in the "
 "``expression list``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:622
+#: ../../__w/calibre/calibre/manual/template_lang.rst:623
 msgid "Stored General Program Mode Templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:624
+#: ../../__w/calibre/calibre/manual/template_lang.rst:625
 msgid ""
 "General Program Mode supports saving templates and calling those templates "
 "from another template. You save templates using "
@@ -1325,24 +1331,24 @@ msgid ""
 "named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:629
+#: ../../__w/calibre/calibre/manual/template_lang.rst:630
 msgid "``foo()`` -- call the template passing no arguments."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:630
+#: ../../__w/calibre/calibre/manual/template_lang.rst:631
 msgid ""
 "``foo(a, b)`` call the template passing the values of the two variables "
 "``a`` and ``b``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:631
+#: ../../__w/calibre/calibre/manual/template_lang.rst:632
 msgid ""
 "``foo(if field('series') then field('series_index') else 0 fi)`` -- if the "
 "book has a ``series`` then pass the ``series_index``, otherwise pass the "
 "value ``0``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:633
+#: ../../__w/calibre/calibre/manual/template_lang.rst:634
 msgid ""
 "In the stored template you retrieve the arguments passed in the call using "
 "the ``arguments`` function. It both declares and initializes local "
@@ -1355,29 +1361,29 @@ msgid ""
 "``alternate``::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:641
+#: ../../__w/calibre/calibre/manual/template_lang.rst:642
 msgid "Examples, again assuming the stored template is named ``foo``:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:643
+#: ../../__w/calibre/calibre/manual/template_lang.rst:644
 msgid ""
 "``foo('#myseries')`` -- argument ``key`` will have the value ``myseries`` "
 "and the argument ``alternate`` will have the value ``series``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:644
+#: ../../__w/calibre/calibre/manual/template_lang.rst:645
 msgid ""
 "``foo('series', '#genre')`` the variable ``key`` is assigned the value "
 "``series`` and the variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:645
+#: ../../__w/calibre/calibre/manual/template_lang.rst:646
 msgid ""
 "``foo()`` -- the variable ``key`` is assigned the empty string and the "
 "variable ``alternate`` is assigned the value ``#genre``."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:647
+#: ../../__w/calibre/calibre/manual/template_lang.rst:648
 msgid ""
 "An easy way to test stored templates is using the ``Template tester`` "
 "dialog. Give it a keyboard shortcut in "
@@ -1386,11 +1392,11 @@ msgid ""
 "rapidly between the tester and editing the stored template's source code."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:652
+#: ../../__w/calibre/calibre/manual/template_lang.rst:653
 msgid "Providing additional information to templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:654
+#: ../../__w/calibre/calibre/manual/template_lang.rst:655
 msgid ""
 "A developer can choose to pass additional information to the template "
 "processor, such as application-specific book metadata or information about "
@@ -1398,11 +1404,11 @@ msgid ""
 "information and use it during the evaluation."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:658
+#: ../../__w/calibre/calibre/manual/template_lang.rst:659
 msgid "**Developer: how to pass additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:660
+#: ../../__w/calibre/calibre/manual/template_lang.rst:661
 msgid ""
 "The additional information is a python dictionary containing pairs "
 "``variable_name: variable_value`` where the values should be strings. The "
@@ -1413,27 +1419,27 @@ msgid ""
 "underscore."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:665
+#: ../../__w/calibre/calibre/manual/template_lang.rst:666
 msgid ""
 "This dict is passed to the template processor (the ``formatter``) using the "
 "named parameter ``global_vars=your_dict``. The full method signature is:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:672
+#: ../../__w/calibre/calibre/manual/template_lang.rst:673
 msgid "def safe_format(self, fmt, kwargs, error_value, book,"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:669
+#: ../../__w/calibre/calibre/manual/template_lang.rst:670
 msgid ""
 "column_name=None, template_cache=None, strip_results=True, "
 "template_functions=None, global_vars={})"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:674
+#: ../../__w/calibre/calibre/manual/template_lang.rst:675
 msgid "**Template writer: how to access the additional information**"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:676
+#: ../../__w/calibre/calibre/manual/template_lang.rst:677
 msgid ""
 "You access the additional information in a template using the template "
 "function ``globals(id[=expression] [, id[=expression]]*)`` where ``id`` is "
@@ -1447,11 +1453,11 @@ msgid ""
 "variable."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:685
+#: ../../__w/calibre/calibre/manual/template_lang.rst:686
 msgid "Notes on the difference between modes"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:687
+#: ../../__w/calibre/calibre/manual/template_lang.rst:688
 msgid ""
 "The three program modes, Single Function Mode (SFM), Template Program Mode "
 "(TPM), and General Program Mode (GPM), work differently. SFM is intended to "
@@ -1461,35 +1467,35 @@ msgid ""
 "between variables and strings; all values are strings."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:693
+#: ../../__w/calibre/calibre/manual/template_lang.rst:694
 msgid ""
 "Example: the following SFM template returns either the series name or the "
 "string \"no series\"::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:697
+#: ../../__w/calibre/calibre/manual/template_lang.rst:698
 msgid "The equivalent template in TPM is ::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:701
+#: ../../__w/calibre/calibre/manual/template_lang.rst:702
 msgid "The equivalent template in GPM is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:705
+#: ../../__w/calibre/calibre/manual/template_lang.rst:706
 msgid ""
 "The first argument to ``ifempty`` is the value of the field ``series``. The "
 "second argument is the string ``no series``. In SFM the first argument, the "
 "value of the field, is automatically passed (the invisible argument)."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:709
+#: ../../__w/calibre/calibre/manual/template_lang.rst:710
 msgid ""
 "Several template functions, for example ``booksize()`` and "
 "``current_library_name()``, take no arguments. Because of the 'invisible "
 "argument' you cannot use these functions in SFM."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:712
+#: ../../__w/calibre/calibre/manual/template_lang.rst:713
 msgid ""
 "Nested functions, where a function calls another function to compute an "
 "argument, cannot be used in SFM. For example this template, intended to "
@@ -1497,20 +1503,20 @@ msgid ""
 "SFM::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:717
+#: ../../__w/calibre/calibre/manual/template_lang.rst:718
 msgid ""
 "TPM and GPM support nested functions. The above template in TPM would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:721
+#: ../../__w/calibre/calibre/manual/template_lang.rst:722
 msgid "In GPM it would be::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:727
+#: ../../__w/calibre/calibre/manual/template_lang.rst:728
 msgid "User-defined Python template functions"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:729
+#: ../../__w/calibre/calibre/manual/template_lang.rst:730
 msgid ""
 "You can add your own Python functions to the template processor. Such "
 "functions can be used in any of the three template programming modes. The "
@@ -1518,11 +1524,11 @@ msgid ""
 "Template functions`. Instructions are shown in that dialog."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:733
+#: ../../__w/calibre/calibre/manual/template_lang.rst:734
 msgid "Special notes for save/send templates"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:735
+#: ../../__w/calibre/calibre/manual/template_lang.rst:736
 msgid ""
 "Special processing is applied when a template is used in a `save to disk` or"
 " `send to device` template. The values of the fields are cleaned, replacing "
@@ -1533,18 +1539,18 @@ msgid ""
 "create variable-depth folder structure."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:740
+#: ../../__w/calibre/calibre/manual/template_lang.rst:741
 msgid ""
 "For example, assume we want the folder structure `series/series_index - "
 "title`, with the caveat that if series does not exist, then the title should"
 " be in the top folder. The template to do this is::"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:745
+#: ../../__w/calibre/calibre/manual/template_lang.rst:746
 msgid "The slash and the hyphen appear only if series is not empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:747
+#: ../../__w/calibre/calibre/manual/template_lang.rst:748
 msgid ""
 "The lookup function lets us do even fancier processing. For example, assume "
 "that if a book has a series, then we want the folder structure "
@@ -1554,25 +1560,25 @@ msgid ""
 "depending on the value of series."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:757
+#: ../../__w/calibre/calibre/manual/template_lang.rst:758
 msgid "To accomplish this, we:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:752
+#: ../../__w/calibre/calibre/manual/template_lang.rst:753
 msgid ""
 "Create a composite field (give it lookup name #AA) containing "
 "``{series}/{series_index} - {title}``. If the series is not empty, then this"
 " template will produce `series/series_index - title`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:754
+#: ../../__w/calibre/calibre/manual/template_lang.rst:755
 msgid ""
 "Create a composite field (give it lookup name #BB) containing "
 "``{#genre:ifempty(Unknown)}/{author_sort}/{title}``. This template produces "
 "`genre/author_sort/title`, where an empty genre is replaced with `Unknown`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:756
+#: ../../__w/calibre/calibre/manual/template_lang.rst:757
 msgid ""
 "Set the save template to ``{series:lookup(.,#AA,#BB)}``. This template "
 "chooses composite field #AA if series is not empty, and composite field #BB "
@@ -1580,11 +1586,11 @@ msgid ""
 "depending on whether or not `series` is empty."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:760
+#: ../../__w/calibre/calibre/manual/template_lang.rst:761
 msgid "Templates and plugboards"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:762
+#: ../../__w/calibre/calibre/manual/template_lang.rst:763
 msgid ""
 "Plugboards are used for changing the metadata written into books during "
 "send-to-device and save-to-disk operations. A plugboard permits you to "
@@ -1595,7 +1601,7 @@ msgid ""
 "display issues."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:767
+#: ../../__w/calibre/calibre/manual/template_lang.rst:768
 msgid ""
 "When you create a plugboard, you specify the format and device for which the"
 " plugboard is to be used. A special device is provided, ``save_to_disk``, "
@@ -1606,7 +1612,7 @@ msgid ""
 "can, of course, use composite columns in these templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:772
+#: ../../__w/calibre/calibre/manual/template_lang.rst:773
 msgid ""
 "When a plugboard might apply (Content server, save to disk, or send to "
 "device), calibre searches the defined plugboards to choose the correct one "
@@ -1615,29 +1621,29 @@ msgid ""
 " the plugboards using the following search order:"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:776
+#: ../../__w/calibre/calibre/manual/template_lang.rst:777
 msgid ""
 "a plugboard with an exact match on format and device, e.g., ``EPUB`` and "
 "``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:777
+#: ../../__w/calibre/calibre/manual/template_lang.rst:778
 msgid ""
 "a plugboard with an exact match on format and the special ``any device`` "
 "choice, e.g., ``EPUB`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:778
+#: ../../__w/calibre/calibre/manual/template_lang.rst:779
 msgid ""
 "a plugboard with the special ``any format`` choice and an exact match on "
 "device, e.g., ``any format`` and ``ANDROID``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:779
+#: ../../__w/calibre/calibre/manual/template_lang.rst:780
 msgid "a plugboard with ``any format`` and ``any device``"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:781
+#: ../../__w/calibre/calibre/manual/template_lang.rst:782
 msgid ""
 "The tags and authors fields have special treatment, because both of these "
 "fields can hold more than one item. A book can have many tags and many "
@@ -1649,7 +1655,7 @@ msgid ""
 "comma in the middle of a tag."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:786
+#: ../../__w/calibre/calibre/manual/template_lang.rst:787
 msgid ""
 "The same thing happens for authors, but using a different character for the "
 "cut, a `&` (ampersand) instead of a comma. For example, if the template "
@@ -1659,7 +1665,7 @@ msgid ""
 "author with a rather strange name."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:790
+#: ../../__w/calibre/calibre/manual/template_lang.rst:791
 msgid ""
 "Plugboards affect the metadata written into the book when it is saved to "
 "disk or written to the device. Plugboards do not affect the metadata used by"
@@ -1668,39 +1674,39 @@ msgid ""
 "preferences window."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:795
+#: ../../__w/calibre/calibre/manual/template_lang.rst:796
 msgid "Tips"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:797
+#: ../../__w/calibre/calibre/manual/template_lang.rst:798
 msgid "You might find the following tips useful."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:799
+#: ../../__w/calibre/calibre/manual/template_lang.rst:800
 msgid ""
 "Use the Template Tester to test templates. Add the tester to the context "
 "menu for books in the library and/or give it a keyboard shortcut."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:800
+#: ../../__w/calibre/calibre/manual/template_lang.rst:801
 msgid ""
 "Templates can use other templates by referencing composite columns built "
 "with the desired template. Alternatively, you could use Stored Templates."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:802
+#: ../../__w/calibre/calibre/manual/template_lang.rst:803
 msgid ""
 "In a plugboard, you can set a field to empty (or whatever is equivalent to "
 "empty) by using the special template ``{}``. This template will always "
 "evaluate to an empty string."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:804
+#: ../../__w/calibre/calibre/manual/template_lang.rst:805
 msgid ""
 "The technique described above to show numbers even if they have a zero value"
 " works with the standard field series_index."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/template_lang.rst:809
+#: ../../__w/calibre/calibre/manual/template_lang.rst:810
 msgid "Function reference"
 msgstr ""
diff -pruN 5.9.0+dfsg-3/translations/manual/zu/viewer.po 5.10.0+dfsg-1/translations/manual/zu/viewer.po
--- 5.9.0+dfsg-3/translations/manual/zu/viewer.po	2021-01-06 15:35:50.000000000 +0000
+++ 5.10.0+dfsg-1/translations/manual/zu/viewer.po	2021-01-20 15:29:37.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: calibre\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2021-01-06 13:34+0000\n"
-"PO-Revision-Date: 2021-01-06 03:15+0000\n"
+"POT-Creation-Date: 2021-01-20 14:41+0000\n"
+"PO-Revision-Date: 2021-01-20 03:34+0000\n"
 "Last-Translator: Kovid Goyal <kovid@kovidgoyal.net>\n"
 "Language-Team: Zulu (http://www.transifex.com/calibre/calibre/language/zu/)\n"
 "MIME-Version: 1.0\n"
@@ -245,11 +245,19 @@ msgid ""
 "<https://freebsoft.org/speechd>`_ to be installed and working."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:158
+#: ../../__w/calibre/calibre/manual/viewer.rst:156
+msgid ""
+"On Windows, not all installed voices may be visible to the SAPI sub-system "
+"that is used for text-to-speech. There are `instructions to make all voices "
+"visible "
+"<https://www.mobileread.com/forums/showpost.php?p=4084051&postcount=108>`_."
+msgstr ""
+
+#: ../../__w/calibre/calibre/manual/viewer.rst:163
 msgid "Following links using only the keyboard"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:160
+#: ../../__w/calibre/calibre/manual/viewer.rst:165
 msgid ""
 "The E-book viewer has a :guilabel:`Hints mode` that allows you to click "
 "links in the text without using the mouse. Press the :kbd:`Alt+F` key and "
@@ -259,7 +267,7 @@ msgid ""
 "link."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:166
+#: ../../__w/calibre/calibre/manual/viewer.rst:171
 msgid ""
 "If more than thirty five links are on-screen then some of them will have "
 "multiple letters, in which case type the first and second, or the first and "
@@ -267,37 +275,37 @@ msgid ""
 " undo a mistake in typing."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:173
+#: ../../__w/calibre/calibre/manual/viewer.rst:178
 msgid "Customizing the look and feel of your reading experience"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:175
+#: ../../__w/calibre/calibre/manual/viewer.rst:180
 msgid ""
 "You can change font sizes on the fly by using :guilabel:`Font size` in the "
 "viewer controls or :kbd:`Ctrl++` or :kbd:`Ctrl+-` or holding the :kbd:`Ctrl`"
 " key and using the mouse wheel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:179
+#: ../../__w/calibre/calibre/manual/viewer.rst:184
 msgid ""
 "Colors can be changed in the :guilabel:`Colors` section of the viewer "
 "preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:182
+#: ../../__w/calibre/calibre/manual/viewer.rst:187
 msgid ""
 "You can change the number of pages displayed on the screen as well as page "
 "margins in :guilabel:`Page layout` in the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:185
+#: ../../__w/calibre/calibre/manual/viewer.rst:190
 msgid ""
 "You can display custom headers and footers such as time left to read, "
 "current chapter title, book position, etc. via the :guilabel:`Headers and "
 "footers` section of the viewer preferences."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:189
+#: ../../__w/calibre/calibre/manual/viewer.rst:194
 msgid ""
 "More advanced customization can be achieved by the :guilabel:`Styles` "
 "settings. Here you can specify a background image to display under the text "
@@ -307,11 +315,11 @@ msgid ""
 "forums <https://www.mobileread.com/forums/showthread.php?t=51500>`_."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:197
+#: ../../__w/calibre/calibre/manual/viewer.rst:202
 msgid "Dictionary lookup"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:199
+#: ../../__w/calibre/calibre/manual/viewer.rst:204
 msgid ""
 "You can look up the meaning of words in the current book by opening the "
 ":guilabel:`Lookup/search word panel` via the viewer controls. Then simply "
@@ -319,11 +327,11 @@ msgid ""
 "panel."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:205
+#: ../../__w/calibre/calibre/manual/viewer.rst:210
 msgid "Copying text and images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:207
+#: ../../__w/calibre/calibre/manual/viewer.rst:212
 msgid ""
 "You can select text and images by dragging the content with your mouse and "
 "then right clicking and selecting :guilabel:`Copy` to copy to the clipboard."
@@ -331,22 +339,22 @@ msgid ""
 "and images."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:213
+#: ../../__w/calibre/calibre/manual/viewer.rst:218
 msgid "Zooming in on images"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:215
+#: ../../__w/calibre/calibre/manual/viewer.rst:220
 msgid ""
 "You can zoom in to show an image at full size in a separate window by either"
 " double clicking or long tapping on it. You can also right click on it and "
 "choose :guilabel:`View image`."
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:221
+#: ../../__w/calibre/calibre/manual/viewer.rst:226
 msgid "Non re-flowable content"
 msgstr ""
 
-#: ../../__w/calibre/calibre/manual/viewer.rst:223
+#: ../../__w/calibre/calibre/manual/viewer.rst:228
 msgid ""
 "Some books have very wide content that cannot be broken up at page "
 "boundaries. For example tables or :code:`<pre>` tags. In such cases, you "
